import { EventEmitter } from '@angular/core';
import { AccordionConfigurations, AccordionItem } from './accordion-entities';
import { DynamicComponentConfiguration } from '@ironsource/fusion-ui/components/dynamic-components/common/entities';
import * as i0 from "@angular/core";
export declare abstract class AccordionBaseComponent {
    set data(value: AccordionItem[]);
    set configuration(value: AccordionConfigurations);
    stateChange: EventEmitter<{
        opened?: number;
    } | {
        closed?: number;
    }>;
    accordionBoxes: AccordionItem[];
    accordionConfiguration: AccordionConfigurations;
    onClick(index: any): void;
    /**
     * Get Accordion Item dynamic config
     * @param index - index of target Accordion Item
     * @param type - Accordion Item type ('header' | 'content')
     */
    getItemConfiguration(index: number, type: 'header' | 'content'): DynamicComponentConfiguration;
    isOpened(index: any): boolean;
    private getItemData;
    private getData;
    private applyItemOptions;
    static ɵfac: i0.ɵɵFactoryDeclaration<AccordionBaseComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<AccordionBaseComponent, never, never, { "data": { "alias": "data"; "required": false; }; "configuration": { "alias": "configuration"; "required": false; }; }, { "stateChange": "stateChange"; }, never, never, false, never>;
}
