import { DoCheck, EventEmitter, OnChanges } from '@angular/core';
import { FormControl } from '@angular/forms';
import { DropdownOption } from '@ironsource/fusion-ui/components/dropdown-option/entities';
import { DropdownBaseComponent } from '@ironsource/fusion-ui/components/dropdown/common/base';
import * as i0 from "@angular/core";
export declare class AddboxDropdownBaseComponent extends DropdownBaseComponent implements OnChanges, DoCheck {
    selected: DropdownOption[];
    autoComplete: boolean;
    actionButtonText: any;
    itemSelected: EventEmitter<any>;
    set options(value: DropdownOption[]);
    get options(): DropdownOption[];
    id: string;
    searchValue: FormControl<any>;
    searchError: string;
    lastSearchValue: string;
    placeholderText: string;
    private oldIsLoading;
    private commaSeparatedSearch;
    ngOnChanges(changes: any): void;
    initListeners(): void;
    ngDoCheck(): void;
    isActionButtonDisabled(): boolean;
    /**
     * Check if option already in selected
     */
    private isOptionShowed;
    /**
     * If in search input has ',' comma, do not made search by input value (keyword)
     */
    private isSearchByKeyword;
    /**
     * Add Bulk done
     */
    private onAddItemsDone;
    /**
     * on key enter in input pressed - if mode for bulk search do it
     */
    addList(): void;
    changeSelected({ option, $event }: {
        option: any;
        $event: any;
    }): void;
    /**
     * override parent function
     */
    setLabel(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AddboxDropdownBaseComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<AddboxDropdownBaseComponent, never, never, { "selected": { "alias": "selected"; "required": false; }; "autoComplete": { "alias": "autoComplete"; "required": false; }; "actionButtonText": { "alias": "actionButtonText"; "required": false; }; "options": { "alias": "options"; "required": false; }; }, { "itemSelected": "itemSelected"; }, never, never, false, never>;
}
