import { EventEmitter } from '@angular/core';
import { AlertColor, AlertVariant } from './alert-v4.entities';
import { ButtonColor } from '@ironsource/fusion-ui/components/button/v4';
import { AlertTestIdModifiers } from '@ironsource/fusion-ui/entities';
import { TestIdsService } from '@ironsource/fusion-ui/services/test-ids';
import * as i0 from "@angular/core";
export declare class AlertV4Component {
    title: string;
    description: string;
    set color(value: AlertColor);
    testId: string;
    /** @internal */
    testIdAlertModifiers: typeof AlertTestIdModifiers;
    /** @internal */
    testIdsService: TestIdsService;
    get testAttribute(): string;
    get color(): AlertColor;
    get alertContent(): import("@angular/platform-browser").SafeHtml;
    variant: AlertVariant;
    dismissible: boolean;
    actionText: string;
    rounded: boolean;
    close: EventEmitter<void>;
    action: EventEmitter<void>;
    /** @internal */
    iconName: string;
    /** @internal */
    iconColor: string;
    /** @internal */
    actionButtonColor: ButtonColor;
    private _color;
    private sanitizer;
    /** @internal */
    onDismissClicked(): void;
    /** @internal */
    onActionClicked(): void;
    protected readonly alertTestIdModifiers: typeof AlertTestIdModifiers;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlertV4Component, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AlertV4Component, "fusion-alert", never, { "title": { "alias": "title"; "required": false; }; "description": { "alias": "description"; "required": false; }; "color": { "alias": "color"; "required": false; }; "testId": { "alias": "testId"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; "dismissible": { "alias": "dismissible"; "required": false; }; "actionText": { "alias": "actionText"; "required": false; }; "rounded": { "alias": "rounded"; "required": false; }; }, { "close": "close"; "action": "action"; }, never, never, true, never>;
}
