import { TemplateRef } from '@angular/core';
import { BehaviorSubject, Observable, Subject } from 'rxjs';
export declare abstract class ApiBase {
    /** @internal */
    templateRef: TemplateRef<any>;
    /** @internal */
    contentTemplate: TemplateRef<any>;
    /** @internal */
    isComponentDisabled$: BehaviorSubject<boolean>;
    /** @internal */
    resetState$: Subject<void>;
    /** @internal */
    selectedTypeObject: boolean;
    /** @ignore
     * used for placeholder generation in chip mode
     * "All" - when all options selected (without Chip label)
     * "Item + x selected" - when some options selected
     * */
    placeholderChipV4Mode: boolean;
    /** @internal */
    abstract valueSelected(): Observable<any>;
    /** @internal */
    abstract changeConfig(val: any): void;
    /** @internal */
    abstract open(): void;
}
