import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { DomSanitizer } from '@angular/platform-browser';
import { UniqueIdService } from '@ironsource/fusion-ui/services/unique-id';
import { IconData } from '@ironsource/fusion-ui/components/icon/common/entities';
import * as i0 from "@angular/core";
export declare abstract class CheckboxBaseComponent implements OnInit, ControlValueAccessor {
    private uniqueIdService;
    private cd;
    protected sanitizer: DomSanitizer;
    label: string;
    /** @internal */
    name: string;
    /** @internal */
    value: string;
    icon: IconData;
    flag: string;
    isDisabled: boolean;
    /** @internal */
    checked: boolean;
    isIndeterminate: boolean;
    /** checkbox DOM element id. If not set, will be generated. */
    id: string;
    /** slass will be added to the checkbox label */
    class: string;
    /** custom fill color for checked or indeterminate stated*/
    backgroundColor: string;
    /** @internal */
    tooltipContent: string;
    /** @internal */
    tooltipWidth: number;
    /** @internal */
    changed: EventEmitter<any>;
    /** @internal */
    isOnlyCheckbox: boolean;
    protected isDisabledForm: boolean;
    get toolTip(): string;
    constructor(uniqueIdService: UniqueIdService, cd: ChangeDetectorRef, sanitizer: DomSanitizer);
    ngOnInit(): void;
    /** @ignore */
    change(event: any): void;
    /**
     * Method to call when value has changes.
     * @ignore
     */
    propagateChange: (_: boolean) => void;
    /**
     * Method to call when the component is touched (when it was is clicked).
     * @ignore
     */
    propagateTouched: () => void;
    /**
     * update value from model to the component
     * @ignore
     */
    writeValue(value: boolean): void;
    /**
     * Informs the outside world about changes.
     * see method propagateChange call - this.propagateChange(this.model);
     * @ignore
     */
    registerOnChange(fn: any): void;
    /**
     * on click
     * @ignore
     */
    registerOnTouched(fn: any): void;
    /**
     * on set form controll enabled / disabled
     * also do UI Component enabled / disabled
     * @ignore
     */
    setDisabledState?(isDisabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CheckboxBaseComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<CheckboxBaseComponent, never, never, { "label": { "alias": "label"; "required": false; }; "name": { "alias": "name"; "required": false; }; "value": { "alias": "value"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; "flag": { "alias": "flag"; "required": false; }; "isDisabled": { "alias": "isDisabled"; "required": false; }; "checked": { "alias": "checked"; "required": false; }; "isIndeterminate": { "alias": "isIndeterminate"; "required": false; }; "id": { "alias": "id"; "required": false; }; "class": { "alias": "class"; "required": false; }; "backgroundColor": { "alias": "backgroundColor"; "required": false; }; "tooltipContent": { "alias": "tooltipContent"; "required": false; }; "tooltipWidth": { "alias": "tooltipWidth"; "required": false; }; }, { "changed": "changed"; }, never, never, false, never>;
}
