import { AfterViewInit, ChangeDetectorRef, EventEmitter, OnDestroy, QueryList, Renderer2 } from '@angular/core';
import { ChipFilterComponent } from '@ironsource/fusion-ui/components/chip-filter';
import { BehaviorSubject } from 'rxjs';
import { FormControl } from '@angular/forms';
import { DropdownOption } from '@ironsource/fusion-ui/components/dropdown-option/entities';
import * as i0 from "@angular/core";
export declare abstract class ChipFiltersBaseComponent implements AfterViewInit, OnDestroy {
    private renderer;
    private cdr;
    /** @internal */
    set chipFilters(value: QueryList<ChipFilterComponent>);
    get chipFilters(): QueryList<ChipFilterComponent>;
    /** @internal */
    addFilterComponent: any;
    set disableAddFilter(val: boolean);
    testId: string;
    set addFilterOptions(options: DropdownOption[]);
    addFiltersTitle: string;
    isSearch: boolean;
    selectFilter: EventEmitter<any>;
    dynamicChipSelect: EventEmitter<DropdownOption>;
    removeSelection: EventEmitter<any>;
    /** @internal */
    disableAddFilter$: BehaviorSubject<boolean>;
    /** @internal */
    addFilterControl: FormControl<any[]>;
    /** @internal */
    optionsRef$: BehaviorSubject<DropdownOption[]>;
    /** @internal */
    options$: BehaviorSubject<DropdownOption[]>;
    /** @internal */
    addFilterIndex: number;
    /** @internal */
    addFilterIcon: string;
    private selectedFilters;
    private preSelectedDynamicOptions;
    private addedFilters;
    private onDestroy$;
    private _chipFilters;
    constructor(renderer: Renderer2, cdr: ChangeDetectorRef);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    private setChipFilters;
    private initListeners;
    private checkForPreSelectedDynamic;
    private initDynamicFiltersListeners;
    private onTypeChipsChanges;
    private onSelectedValueListener;
    private onClosedChipListener;
    private openAddedDynamicFilter;
    private orderChipFilters;
    private setPreSelectedFilters;
    private reduceSelectedFiltersOptions;
    private restoredUnselectedFiltersOptions;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChipFiltersBaseComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ChipFiltersBaseComponent, never, never, { "disableAddFilter": { "alias": "disableAddFilter"; "required": false; }; "testId": { "alias": "testId"; "required": false; }; "addFilterOptions": { "alias": "addFilterOptions"; "required": false; }; "addFiltersTitle": { "alias": "addFiltersTitle"; "required": false; }; "isSearch": { "alias": "isSearch"; "required": false; }; }, { "selectFilter": "selectFilter"; "dynamicChipSelect": "dynamicChipSelect"; "removeSelection": "removeSelection"; }, ["chipFilters"], never, false, never>;
}
