import { OnDestroy, OnInit } from '@angular/core';
import { ControlValueAccessor, FormControl } from '@angular/forms';
import { DaterangeOptions } from '@ironsource/fusion-ui/components/daterange';
import { DatepickerOptions, DatepickerSelection } from './datepicker-v4.entities';
import * as i0 from "@angular/core";
export declare class DatepickerV4Component implements OnInit, OnDestroy, ControlValueAccessor {
    set options(value: DatepickerOptions);
    set minDate(value: Date);
    set maxDate(value: Date);
    testId: string;
    private onDestroy$;
    /** @internal */
    daterangeOptions: DaterangeOptions;
    /** @internal */
    daterangeFormControl: FormControl;
    /** @internal */
    daterangeMinDate: Date;
    /** @internal */
    daterangeMaxDate: Date;
    /** @internal */
    ngOnInit(): void;
    /** @internal */
    ngOnDestroy(): void;
    /** @internal */
    propagateChange: (_: DatepickerSelection) => void;
    /** @internal */
    propagateTouched: () => void;
    /** @internal */
    writeValue(value: DatepickerSelection): void;
    /** @internal */
    registerOnChange(fn: any): void;
    /** @internal */
    registerOnTouched(fn: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatepickerV4Component, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DatepickerV4Component, "fusion-datepicker", never, { "options": { "alias": "options"; "required": false; }; "minDate": { "alias": "minDate"; "required": false; }; "maxDate": { "alias": "maxDate"; "required": false; }; "testId": { "alias": "testId"; "required": false; }; }, {}, never, never, true, never>;
}
