import { Injector, OnInit } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { DropdownOption } from '@ironsource/fusion-ui/components/dropdown-option/entities';
import { DropdownService } from '@ironsource/fusion-ui/components/dropdown/service';
import { DropdownTestIdModifiers } from '@ironsource/fusion-ui/entities';
import { TestIdsService } from '@ironsource/fusion-ui/services/test-ids';
import * as i0 from "@angular/core";
export declare abstract class DropdownOptionBaseComponent implements OnInit {
    private dropdownService;
    protected injector: Injector;
    option: DropdownOption;
    /** @internal */
    mappingOptions: any;
    /** @internal */
    dropdownType: '' | 'multi' | 'tags';
    /** @internal */
    lastSearchValue: string;
    /** @internal */
    optionRightHoverText: string;
    /** @internal */
    set isMultiRawDisplay(value: boolean);
    /** @internal */
    set optionCloseIcon(value: boolean);
    testId: string;
    /** @internal */
    get shouldDisplayMultiRaw(): boolean;
    /** @internal */
    get hasChildren(): boolean;
    /** @internal */
    get isOpen(): boolean;
    testIdDropdownModifiers: typeof DropdownTestIdModifiers;
    testIdsService: TestIdsService;
    get testAttribute(): string;
    /** @internal */
    isMultiRawDisplay$: BehaviorSubject<boolean>;
    /** @internal */
    shownCloseIcon$: BehaviorSubject<boolean>;
    /** @internal */
    settings: any;
    /** @internal */
    optionToStringFunc: any;
    constructor(dropdownService: DropdownService, injector: Injector);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropdownOptionBaseComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DropdownOptionBaseComponent, never, never, { "option": { "alias": "option"; "required": false; }; "mappingOptions": { "alias": "mappingOptions"; "required": false; }; "dropdownType": { "alias": "dropdownType"; "required": false; }; "lastSearchValue": { "alias": "lastSearchValue"; "required": false; }; "optionRightHoverText": { "alias": "optionRightHoverText"; "required": false; }; "isMultiRawDisplay": { "alias": "isMultiRawDisplay"; "required": false; }; "optionCloseIcon": { "alias": "optionCloseIcon"; "required": false; }; "testId": { "alias": "testId"; "required": false; }; }, {}, never, never, false, never>;
}
