import { DropdownPlaceholder } from '@ironsource/fusion-ui/components/dropdown-select';
import { CountryCode } from '@ironsource/fusion-ui/components/flag/v4';
import { DropdownTestIdModifiers } from '@ironsource/fusion-ui/entities';
import { TestIdsService } from '@ironsource/fusion-ui/services/test-ids';
import * as i0 from "@angular/core";
export declare class DropdownSelectV4Component {
    placeholder: DropdownPlaceholder;
    isOpen: boolean;
    size: 'small' | 'medium' | 'large' | 'xlarge';
    disabled: boolean;
    validationState: 'error' | 'warning' | 'success' | null;
    imageUrl: string;
    icon: string;
    iconColor: string;
    testId: string;
    country: CountryCode | string;
    hideCaretIcon: boolean;
    /** @internal */
    testIdDropdownModifiers: typeof DropdownTestIdModifiers;
    /** @internal */
    testIdsService: TestIdsService;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropdownSelectV4Component, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DropdownSelectV4Component, "fusion-dropdown-select", never, { "placeholder": { "alias": "placeholder"; "required": false; }; "isOpen": { "alias": "isOpen"; "required": false; }; "size": { "alias": "size"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "validationState": { "alias": "validationState"; "required": false; }; "imageUrl": { "alias": "imageUrl"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; "iconColor": { "alias": "iconColor"; "required": false; }; "testId": { "alias": "testId"; "required": false; }; "country": { "alias": "country"; "required": false; }; "hideCaretIcon": { "alias": "hideCaretIcon"; "required": false; }; }, {}, never, never, true, never>;
}
