import { Component, ViewContainerRef, Type, OnChanges, OnDestroy, OnInit, Renderer2, ElementRef, TemplateRef } from '@angular/core';
import { DynamicComponentConfiguration } from '@ironsource/fusion-ui/components/dynamic-components/common/entities';
import { DomSanitizer, SafeHtml } from '@angular/platform-browser';
import * as i0 from "@angular/core";
export declare abstract class DynamicComponentsBaseComponent implements OnChanges, OnInit, OnDestroy {
    private renderer;
    private sanitizer;
    dynamicData: ViewContainerRef;
    set elementContent(value: ElementRef);
    component: Type<Component>;
    componentData: any;
    set element(node: Node);
    set configuration(data: DynamicComponentConfiguration);
    htmlSnippet: SafeHtml;
    templateRef: TemplateRef<any>;
    private cmpRef;
    private isViewInitialized;
    private nativeElement;
    private elementContainer;
    constructor(renderer: Renderer2, sanitizer: DomSanitizer);
    updateComponent(isComponentChanged?: boolean): void;
    ngOnChanges(changes: any): void;
    ngOnInit(): void;
    onComponentChanges(): void;
    ngOnDestroy(): void;
    private renderNativeElement;
    private clearContent;
    static ɵfac: i0.ɵɵFactoryDeclaration<DynamicComponentsBaseComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DynamicComponentsBaseComponent, never, never, { "component": { "alias": "component"; "required": false; }; "componentData": { "alias": "componentData"; "required": false; }; "element": { "alias": "element"; "required": false; }; "configuration": { "alias": "configuration"; "required": false; }; }, {}, never, never, false, never>;
}
