import { EventEmitter } from '@angular/core';
import { FileDragAndDropState } from '@ironsource/fusion-ui/components/file-drag-and-drop';
import { UniqueIdService } from '@ironsource/fusion-ui/services/unique-id';
import { IconData } from '@ironsource/fusion-ui/components/icon/common/entities';
import * as i0 from "@angular/core";
export declare class FileCsvUploadComponent {
    private uniqueId;
    /**
     * element ID for initial file selection dialog by click.
     * if not provided used click on host
     */
    buttonId: string;
    /**
     * for disabling file selection
     */
    disabled: boolean;
    /**
     * for loading file selection
     */
    loading: boolean;
    /**
     * Tile text
     * @param value
     */
    set title(value: string);
    /**
     * General component error
     * @param value
     */
    set error(value: string);
    /**
     * General component helper text
     * @param value
     */
    set helper(value: string);
    /**
     * File state
     * @param value
     */
    set fileState(value: FileDragAndDropState);
    /**
     * output event emitter (files: FileList)
     */
    handleFiles: EventEmitter<any>;
    /**
     * Event on button replace was clicked
     */
    replaceFile: EventEmitter<string>;
    /**
     * Event on button delete was clicked
     */
    deleteFile: EventEmitter<string>;
    /** @internal */
    successIcon: IconData;
    /** @internal */
    errorIcon: IconData;
    get title(): string;
    private _title;
    get error(): string;
    private _error;
    get helper(): string;
    private _helper;
    get fileState(): FileDragAndDropState;
    private _fileState;
    get fileStateMessage(): string;
    constructor(uniqueId: UniqueIdService);
    /** @internal */
    handleSelectedFiles(files: FileList): void;
    /** @internal */
    onReplace(): void;
    /** @internal */
    onDelete(): void;
    private resetFileState;
    static ɵfac: i0.ɵɵFactoryDeclaration<FileCsvUploadComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FileCsvUploadComponent, "fusion-file-csv-upload", never, { "buttonId": { "alias": "buttonId"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "loading": { "alias": "loading"; "required": false; }; "title": { "alias": "title"; "required": false; }; "error": { "alias": "error"; "required": false; }; "helper": { "alias": "helper"; "required": false; }; "fileState": { "alias": "fileState"; "required": false; }; }, { "handleFiles": "handleFiles"; "replaceFile": "replaceFile"; "deleteFile": "deleteFile"; }, never, never, false, never>;
}
