import { EventEmitter, OnDestroy, ElementRef } from '@angular/core';
import { HeaderState } from '@ironsource/fusion-ui/components/header/common/base';
import { MenuItem, MenuItemAdditionalData } from '@ironsource/fusion-ui/components/menu/common/base';
import { IconData } from '@ironsource/fusion-ui/components/icon/v1';
import { StorageService } from '@ironsource/fusion-ui/services/stogare';
import * as i0 from "@angular/core";
export declare class LayoutComponent implements OnDestroy {
    private storageService;
    loading: boolean;
    menuItems: MenuItem[];
    state: HeaderState;
    scrollTopOnRouteChange: boolean;
    userName: string;
    headerPrimaryMenuIconName: IconData;
    headerMenuUserNameIcon: string;
    headerPrimaryMenuItems: MenuItem[];
    headerSecondaryMenuItems: MenuItem[];
    menuItemClick: EventEmitter<MenuItem>;
    menuAdditionalItemClick: EventEmitter<MenuItem>;
    menuStateChanged: EventEmitter<boolean>;
    logoClicked: EventEmitter<any>;
    mainContent: ElementRef;
    isMenuOpened: boolean;
    isMainMenuCollapsed: boolean;
    private onDestroy$;
    constructor(storageService: StorageService);
    onMenuItemClicked(item: MenuItem): void;
    onMenuAdditionalItemClicked(item: MenuItemAdditionalData): void;
    onMenuStateChanged(isMainMenuCollapsed: any): void;
    onMouseLeave(): void;
    onMouseEnter(): void;
    onLogoClicked(): void;
    routeChanged(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LayoutComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LayoutComponent, "fusion-layout", never, { "loading": { "alias": "loading"; "required": false; }; "menuItems": { "alias": "menuItems"; "required": false; }; "state": { "alias": "state"; "required": false; }; "scrollTopOnRouteChange": { "alias": "scrollTopOnRouteChange"; "required": false; }; "userName": { "alias": "userName"; "required": false; }; "headerPrimaryMenuIconName": { "alias": "headerPrimaryMenuIconName"; "required": false; }; "headerMenuUserNameIcon": { "alias": "headerMenuUserNameIcon"; "required": false; }; "headerPrimaryMenuItems": { "alias": "headerPrimaryMenuItems"; "required": false; }; "headerSecondaryMenuItems": { "alias": "headerSecondaryMenuItems"; "required": false; }; }, { "menuItemClick": "menuItemClick"; "menuAdditionalItemClick": "menuAdditionalItemClick"; "menuStateChanged": "menuStateChanged"; "logoClicked": "logoClicked"; }, never, ["*"], false, never>;
}
