import { EventEmitter } from '@angular/core';
import { LayoutHeaderComponentConfiguration } from './layout-header-entity';
import { DynamicComponentConfiguration } from '@ironsource/fusion-ui/components/dynamic-components/common/entities';
import { LayoutHeaderMenuConfiguration } from './layout-header-menu/layout-header-menu-entity';
import { SidebarMenuItem } from '@ironsource/fusion-ui/components/sidebar/common/entities';
import { IconData } from '@ironsource/fusion-ui/components/icon/v1';
import * as i0 from "@angular/core";
export declare class LayoutHeaderComponent {
    set configuration(value: LayoutHeaderComponentConfiguration);
    set sidebarOpen(value: boolean);
    showPageHeaderContent: boolean;
    sidebarToggleIconClicked: EventEmitter<any>;
    layoutHeaderMenuItemClicked: EventEmitter<SidebarMenuItem>;
    sidebarOpenOpen: boolean;
    sidebarIconName: IconData;
    titleText: string;
    subtitleText: string;
    titleContent: DynamicComponentConfiguration;
    customHeader: DynamicComponentConfiguration;
    hasMenu: boolean;
    userName: string;
    userIcon: IconData;
    headerMenuConfiguration: LayoutHeaderMenuConfiguration;
    menuOpen: boolean;
    /**
     * Toggle open / close header menu
     * - $event: HTMLEvent (if it occur by click or called from component method )
     */
    changeLayoutHeaderMenuState($event?: any): void;
    /**
     * On outside header menu click, if it was open - close it
     */
    onOutsideLayoutHeaderMenuClick(): void;
    /**
     * Emitted from header menu. Occur by menu item in header menu clicked
     * -param menuItem
     */
    onLayoutHeaderMenuItemClicked(menuItem: SidebarMenuItem): void;
    private setPageHeader;
    private serHeaderRightPanel;
    /**
     * Get sidebar toggle icon name by sidebar state from configuration
     * - isOpen: Sidebar state Open
     * *private
     */
    private setSidebarIconName;
    /**
     * Check and return custom header component / element / html snippet
     * - config
     * *private
     */
    private getCustomConfiguration;
    static ɵfac: i0.ɵɵFactoryDeclaration<LayoutHeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LayoutHeaderComponent, "fusion-layout-header", never, { "configuration": { "alias": "configuration"; "required": false; }; "sidebarOpen": { "alias": "sidebarOpen"; "required": false; }; "showPageHeaderContent": { "alias": "showPageHeaderContent"; "required": false; }; }, { "sidebarToggleIconClicked": "sidebarToggleIconClicked"; "layoutHeaderMenuItemClicked": "layoutHeaderMenuItemClicked"; }, never, never, false, never>;
}
