import { AfterViewInit, ElementRef, Renderer2 } from '@angular/core';
import { LoaderColor, LoaderPosition, LoaderSize } from './loader.types';
import { IconData } from '@ironsource/fusion-ui/components/icon/v1';
import * as i0 from "@angular/core";
export declare abstract class LoaderBaseComponent implements AfterViewInit {
    private elementRef;
    private renderer;
    /** @internal */
    componentType: any;
    /** @internal */
    customLoader: ElementRef;
    /** @internal */
    height: number;
    /** @internal */
    status: boolean;
    /** @internal */
    text: string;
    /** @internal */
    position: LoaderPosition;
    /** @internal */
    size: LoaderSize;
    /** @internal */
    color: LoaderColor;
    /** @internal */
    top: number;
    /** @internal */
    get loaderPosition(): string;
    /** @internal */
    loaderIconName: IconData;
    constructor(elementRef: ElementRef, renderer: Renderer2, 
    /** @internal */
    componentType: any);
    ngAfterViewInit(): void;
    private addCustomLoaderSizeClass;
    static ɵfac: i0.ɵɵFactoryDeclaration<LoaderBaseComponent, [null, null, { optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<LoaderBaseComponent, never, never, { "height": { "alias": "height"; "required": false; }; "status": { "alias": "status"; "required": false; }; "text": { "alias": "text"; "required": false; }; "position": { "alias": "position"; "required": false; }; "size": { "alias": "size"; "required": false; }; "color": { "alias": "color"; "required": false; }; }, {}, never, never, false, never>;
}
