import { MenuItemAdditionalData } from './menu-item-additional-data';
import { DynamicComponentConfiguration } from '@ironsource/fusion-ui/components/dynamic-components/common/entities';
import { IconData } from '@ironsource/fusion-ui/components/icon/v1';
export interface MenuItem {
    id?: string;
    icon?: IconData;
    name: string;
    route?: string;
    subRoutes?: string[];
    permissions?: string[];
    redirect?: string;
    abstract?: boolean;
    cssClass?: string;
    withTopDelimiter?: boolean;
    customCSS?: {
        [key: string]: string | number;
    };
    target?: string;
    showNewWindowIcon?: boolean;
    additionalAction?: MenuItemAdditionalData;
    children?: MenuItem[];
    platformMenuPath?: string;
    content?: DynamicComponentConfiguration;
    isGroupName?: boolean;
    order?: number;
    executeBeforeNavigation?: () => void;
    default?: boolean;
}
