import { ElementRef, OnInit } from '@angular/core';
import { MobilePreviewerComponentConfiguration } from './mobile-previewer-component-configuration';
import { CapitalizePipe } from '@ironsource/fusion-ui/pipes/string';
import * as i0 from "@angular/core";
export declare abstract class MobilePreviewerBaseComponent implements OnInit {
    private elementRef;
    private _capitalizePipe;
    _configurations: MobilePreviewerComponentConfiguration;
    set configurations(configurations: MobilePreviewerComponentConfiguration);
    get configurations(): MobilePreviewerComponentConfiguration;
    _selectedDevice: string;
    isStaticSize: boolean;
    refresh: boolean;
    devices: string[];
    get selectedDevice(): string;
    get staticHeight(): number;
    get height(): number;
    get width(): number;
    get calculatedContentSize(): {
        width: number;
        height: number;
    };
    private borderWidth;
    constructor(elementRef: ElementRef, _capitalizePipe: CapitalizePipe);
    ngOnInit(): void;
    isDeviceSelected(device: string): boolean;
    isDeviceLandscape(device: string): boolean;
    selectDevice(device: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MobilePreviewerBaseComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<MobilePreviewerBaseComponent, never, never, { "configurations": { "alias": "configurations"; "required": false; }; }, {}, never, never, false, never>;
}
