import { ElementRef, EventEmitter, OnDestroy, OnInit, Renderer2 } from '@angular/core';
import { UniqueIdService } from '@ironsource/fusion-ui/services/unique-id';
import { LogService } from '@ironsource/fusion-ui/services/log';
import { WindowService } from '@ironsource/fusion-ui/services/window';
import { ModalService } from './modal.base.service';
import * as i0 from "@angular/core";
export declare abstract class ModalBaseComponent implements OnInit, OnDestroy {
    protected document: Document;
    protected uidService: UniqueIdService;
    protected elRef: ElementRef;
    protected windowRef: WindowService;
    protected logService: LogService;
    private modalService;
    protected renderer: Renderer2;
    id: string;
    footer: boolean;
    loading: boolean;
    waiting: boolean;
    set width(value: string);
    get width(): string;
    set height(value: string);
    get height(): string;
    padding: string;
    error: string;
    headerText: string;
    noHeaderBorder: boolean;
    isClosed: boolean;
    saveButtonText: string;
    saveButtonDisabled: boolean;
    cancelButtonText: string;
    cancelButtonHidden: boolean;
    onSave: EventEmitter<any>;
    onOpen: EventEmitter<any>;
    onClose: EventEmitter<any>;
    modalBody: ElementRef;
    modalHolder: ElementRef;
    protected uid: string;
    private _width;
    private _height;
    constructor(document: Document, uidService: UniqueIdService, elRef: ElementRef, windowRef: WindowService, logService: LogService, modalService: ModalService, renderer: Renderer2);
    ngOnInit(): void;
    ngOnDestroy(): void;
    open(): void;
    close(emitEvent?: boolean): void;
    save(value: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ModalBaseComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ModalBaseComponent, never, never, { "id": { "alias": "id"; "required": false; }; "footer": { "alias": "footer"; "required": false; }; "loading": { "alias": "loading"; "required": false; }; "waiting": { "alias": "waiting"; "required": false; }; "width": { "alias": "width"; "required": false; }; "height": { "alias": "height"; "required": false; }; "padding": { "alias": "padding"; "required": false; }; "error": { "alias": "error"; "required": false; }; "headerText": { "alias": "headerText"; "required": false; }; "noHeaderBorder": { "alias": "noHeaderBorder"; "required": false; }; "isClosed": { "alias": "isClosed"; "required": false; }; "saveButtonText": { "alias": "saveButtonText"; "required": false; }; "saveButtonDisabled": { "alias": "saveButtonDisabled"; "required": false; }; "cancelButtonText": { "alias": "cancelButtonText"; "required": false; }; "cancelButtonHidden": { "alias": "cancelButtonHidden"; "required": false; }; }, { "onSave": "onSave"; "onOpen": "onOpen"; "onClose": "onClose"; }, never, never, false, never>;
}
