import { EventEmitter, Injector } from '@angular/core';
import { ButtonColor, ButtonVariant } from '@ironsource/fusion-ui/components/button/v4';
import { AlertV4Configuration } from '@ironsource/fusion-ui/components/alert/v4';
import { ModalV4Size } from './modal-v4.entities';
import { InputTestIdModifiers, DialogTestIdModifiers } from '@ironsource/fusion-ui/entities';
import { TestIdsService } from '@ironsource/fusion-ui/services/test-ids';
import * as i0 from "@angular/core";
export declare class ModalV4Component {
    private injector;
    title: string;
    description: string;
    showHeader: boolean;
    showCloseButton: boolean;
    disableCloseButton: boolean;
    size: ModalV4Size;
    content: string;
    alert: AlertV4Configuration | undefined;
    primaryButtonLabel: string;
    primaryButtonColor: ButtonColor;
    primaryButtonVariant: ButtonVariant;
    primaryButtonLoading: boolean;
    primaryButtonDisabled: boolean;
    secondaryButtonLabel: string;
    secondaryButtonColor: ButtonColor;
    secondaryButtonVariant: ButtonVariant;
    secondaryButtonDisabled: boolean;
    closeButtonClicked: EventEmitter<void>;
    secondaryButtonClicked: EventEmitter<void>;
    primaryButtonClicked: EventEmitter<void>;
    testId: string;
    testIdInputModifiers: typeof InputTestIdModifiers;
    testIdsService: TestIdsService;
    constructor(injector: Injector);
    onAlertActionClicked(): void;
    onCloseButtonClicked($event: any): void;
    onSecondaryButtonClicked($event: any): void;
    onPrimaryButtonClicked($event: any): void;
    protected readonly DialogTestIdModifiers: typeof DialogTestIdModifiers;
    static ɵfac: i0.ɵɵFactoryDeclaration<ModalV4Component, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ModalV4Component, "fusion-modal", never, { "title": { "alias": "title"; "required": false; }; "description": { "alias": "description"; "required": false; }; "showHeader": { "alias": "showHeader"; "required": false; }; "showCloseButton": { "alias": "showCloseButton"; "required": false; }; "disableCloseButton": { "alias": "disableCloseButton"; "required": false; }; "size": { "alias": "size"; "required": false; }; "content": { "alias": "content"; "required": false; }; "alert": { "alias": "alert"; "required": false; }; "primaryButtonLabel": { "alias": "primaryButtonLabel"; "required": false; }; "primaryButtonColor": { "alias": "primaryButtonColor"; "required": false; }; "primaryButtonVariant": { "alias": "primaryButtonVariant"; "required": false; }; "primaryButtonLoading": { "alias": "primaryButtonLoading"; "required": false; }; "primaryButtonDisabled": { "alias": "primaryButtonDisabled"; "required": false; }; "secondaryButtonLabel": { "alias": "secondaryButtonLabel"; "required": false; }; "secondaryButtonColor": { "alias": "secondaryButtonColor"; "required": false; }; "secondaryButtonVariant": { "alias": "secondaryButtonVariant"; "required": false; }; "secondaryButtonDisabled": { "alias": "secondaryButtonDisabled"; "required": false; }; "testId": { "alias": "testId"; "required": false; }; }, { "closeButtonClicked": "closeButtonClicked"; "secondaryButtonClicked": "secondaryButtonClicked"; "primaryButtonClicked": "primaryButtonClicked"; }, never, ["*"], true, never>;
}
