import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { LayoutUser } from '@ironsource/fusion-ui/entities';
import { MenuItem, MenuItemAdditionalData } from '@ironsource/fusion-ui/components/menu/common/base';
import { PrimaryMenuItem, PrimaryMenuMode } from './navigation-menu.entities';
import { NavigationPrimaryMenuComponent } from './navigation-primary-menu/navigation-primary-menu.component';
import { NavigationSecondaryMenuComponent } from './navigation-secondary-menu/navigation-secondary-menu.component';
import { StorageService } from '@ironsource/fusion-ui/services/stogare';
import * as i0 from "@angular/core";
export declare class NavigationMenuComponent implements OnInit {
    private elementRef;
    protected storageService: StorageService;
    primaryMenu: NavigationPrimaryMenuComponent;
    secondaryMenu: NavigationSecondaryMenuComponent;
    menuItems: PrimaryMenuItem[];
    layoutUser: LayoutUser;
    primaryMenuItemMode: PrimaryMenuMode;
    menuAdditionalItemClicked: EventEmitter<MenuItemAdditionalData>;
    menuItemClicked: EventEmitter<MenuItem>;
    secondaryMenuItems$: BehaviorSubject<MenuItem[]>;
    secondaryMenuName$: BehaviorSubject<string>;
    secondaryMenuLogoSrc$: BehaviorSubject<string>;
    secondaryMenuOpen$: BehaviorSubject<boolean>;
    secondaryMenuExpanded$: BehaviorSubject<boolean>;
    menuOpenForPrimaryMenuItem$: BehaviorSubject<PrimaryMenuItem>;
    private onDestroy$;
    private preSelectedPrimaryMenuItem;
    private selectedPrimaryMenuItem;
    private selectedSecondaryMenuItem;
    get needRestoreSelectedState(): boolean;
    private _isSecondaryMenuExpandable;
    set isSecondaryMenuExpandable(value: boolean);
    get isSecondaryMenuExpandable(): boolean;
    constructor(elementRef: ElementRef, storageService: StorageService);
    ngOnInit(): void;
    initListeners(): void;
    onMenuItemClicked(menuItem: any, popMenuItem?: boolean): void;
    onPrimaryMenuMainMouseEnter($event: any): void;
    onNavigationMenuMouseLeave(): void;
    onPrimaryMainMenuItemClicked(selectedNetwork: PrimaryMenuItem): void;
    onChangeColorTheme(cssTheme: {
        [key: string]: string;
    }): void;
    toggleMenu(): void;
    resetSecondaryMenu(): void;
    setActiveMenu(primary: PrimaryMenuItem, secondary: MenuItem | PrimaryMenuItem): void;
    private setSecondaryMenu;
    private selectSecondaryMenuItem;
    private setSecondaryMenuVisibilityState;
    private setNetworkTheme;
    private findDefaultMenuItem;
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigationMenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavigationMenuComponent, "fusion-navigation-menu", never, { "menuItems": { "alias": "menuItems"; "required": false; }; "layoutUser": { "alias": "layoutUser"; "required": false; }; "primaryMenuItemMode": { "alias": "primaryMenuItemMode"; "required": false; }; }, { "menuAdditionalItemClicked": "menuAdditionalItemClicked"; "menuItemClicked": "menuItemClicked"; }, never, never, true, never>;
}
