import { MenuItem } from '@ironsource/fusion-ui/components/menu/common/base';
import { IconData } from '@ironsource/fusion-ui/components/icon/common/entities';
/**
 * default mode is 'clickToOpenSecondaryMenu'
 */
export type PrimaryMenuMode = 'clickToOpenSecondaryMenu' | 'clickToDefaultSecondaryItem' | 'hoverToShowSecondaryItems';
export declare enum NavigationBarItemType {
    Home = "home",
    Main = "main",
    Bottom = "bottom",
    User = "user"
}
export interface PrimaryMenuItem {
    id?: string;
    type: NavigationBarItemType;
    menuIcon?: IconData;
    menuIconPath?: string;
    menuLogoSrc?: string;
    menuTitle?: string;
    menuTooltip?: string;
    menuItems?: MenuItem[];
    customClick?: Function;
    route?: string;
    redirect?: string;
    target?: string;
    cssTheme?: {
        [key: string]: string;
    };
    cssStyle?: string;
}
