import { ElementRef, EventEmitter } from '@angular/core';
import { BehaviorSubject, Observable } from 'rxjs';
import { LayoutUser } from '@ironsource/fusion-ui/entities';
import { TooltipPosition } from '@ironsource/fusion-ui/components/tooltip/common/base';
import { RepositionOffset } from '@ironsource/fusion-ui/directives/reposition';
import { MenuItem } from '@ironsource/fusion-ui/components/menu/common/base';
import { PrimaryMenuItem } from '../navigation-menu.entities';
import * as i0 from "@angular/core";
export declare class NavigationPrimaryMenuComponent {
    private elementRef;
    set menuBarItems(value: PrimaryMenuItem[]);
    layoutUser: LayoutUser;
    menuOpened: boolean;
    menuExpanded: boolean;
    menuOpenForPrimaryMenuItem: PrimaryMenuItem;
    menuHoverMode: boolean;
    menuItemClick: EventEmitter<MenuItem>;
    primaryMenuItemClicked: EventEmitter<PrimaryMenuItem>;
    changeColorTheme: EventEmitter<{
        [key: string]: string;
    }>;
    toggleMenu: EventEmitter<any>;
    resetSecondaryMenu: EventEmitter<void>;
    get nativeElement(): HTMLElement;
    get bottomItemsTopPosition(): number;
    homeItem: PrimaryMenuItem;
    networkItems$: BehaviorSubject<PrimaryMenuItem[]>;
    bottomItems$: BehaviorSubject<PrimaryMenuItem[]>;
    showPopMenu$: BehaviorSubject<boolean>;
    selectedBarItem$: BehaviorSubject<PrimaryMenuItem>;
    menuToggleCollapsed$: BehaviorSubject<boolean>;
    menuCollapsedIcon: string;
    menuExpandedIcon: string;
    popMenuPosition: TooltipPosition;
    popMenuOffset$: Observable<RepositionOffset>;
    private primaryMenuOpenedItem;
    defaultCssTheme: {
        [key: string]: string;
    };
    constructor(elementRef: ElementRef);
    onItemHover(item: PrimaryMenuItem, hoverMode: boolean): void;
    networkItemClicked(item: PrimaryMenuItem): void;
    onPopMenuOutsideClick(target: HTMLElement): void;
    onPopMenuItemClicked(menuItem: any): void;
    setColorTheme(cssTheme?: {
        [key: string]: string;
    }): void;
    setSelectedPrimaryMenuItem(menuItem: PrimaryMenuItem): void;
    menuToggleButtonClicked($event: MouseEvent): void;
    private parseNavigationBarItems;
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigationPrimaryMenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavigationPrimaryMenuComponent, "fusion-navigation-primary-menu", never, { "menuBarItems": { "alias": "menuBarItems"; "required": false; }; "layoutUser": { "alias": "layoutUser"; "required": false; }; "menuOpened": { "alias": "menuOpened"; "required": false; }; "menuExpanded": { "alias": "menuExpanded"; "required": false; }; "menuOpenForPrimaryMenuItem": { "alias": "menuOpenForPrimaryMenuItem"; "required": false; }; "menuHoverMode": { "alias": "menuHoverMode"; "required": false; }; }, { "menuItemClick": "menuItemClick"; "primaryMenuItemClicked": "primaryMenuItemClicked"; "changeColorTheme": "changeColorTheme"; "toggleMenu": "toggleMenu"; "resetSecondaryMenu": "resetSecondaryMenu"; }, never, never, true, never>;
}
