import { Injector, OnDestroy, OnInit } from '@angular/core';
import { InputSize } from '@ironsource/fusion-ui/components/input/v4';
import { FormControl } from '@angular/forms';
import { Subject } from 'rxjs';
import { TestIdsService } from '@ironsource/fusion-ui/services/test-ids';
import * as i0 from "@angular/core";
export declare class SearchV4Component implements OnInit, OnDestroy {
    private injector;
    set placeholder(value: string);
    constructor(injector: Injector);
    get placeholder(): string;
    private _placeholder;
    set size(value: InputSize);
    get size(): InputSize;
    private _size;
    /** @internal */
    searchIcon: string;
    /** @internal */
    searchFormControl: FormControl<any>;
    /** @internal */
    onDestroy$: Subject<void>;
    ngOnInit(): void;
    ngOnDestroy(): void;
    /**
     * Method to call when value has changes.
     * @ignore
     */
    propagateChange: (_: boolean) => void;
    /**
     * Method to call when the component is touched (when it was is clicked).
     * @ignore
     */
    propagateTouched: () => void;
    /**
     * update value from model to the component
     * @ignore
     */
    writeValue(value: string): void;
    /**
     * Informs the outside world about changes.
     * see method propagateChange call - this.propagateChange(this.model);
     * @ignore
     */
    registerOnChange(fn: any): void;
    /**
     * on click
     * @ignore
     */
    registerOnTouched(fn: any): void;
    /**
     * on set form controll enabled / disabled
     * also do UI Component enabled / disabled
     * @ignore
     */
    setDisabledState?(disabled: boolean): void;
    testIdsService: TestIdsService;
    testId: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchV4Component, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchV4Component, "fusion-search", never, { "placeholder": { "alias": "placeholder"; "required": false; }; "size": { "alias": "size"; "required": false; }; "testId": { "alias": "testId"; "required": false; }; }, {}, never, never, true, never>;
}
