import { BehaviorSubject } from 'rxjs';
import { SidebarMenuItem } from '@ironsource/fusion-ui/components/sidebar/common/entities';
import * as i0 from "@angular/core";
export declare class SidebarMenuService {
    openedMenuItem$: BehaviorSubject<SidebarMenuItem>;
    selectedMenuItem$: BehaviorSubject<SidebarMenuItem>;
    activeMenuItem$: BehaviorSubject<SidebarMenuItem>;
    constructor();
    normalizeActiveRoute(activeRoute: string, regExp: RegExp): string;
    /**
     * Found in menu-items three open, selected and active menu item by route (ignore part after menu item route)
     * route '/XXX/YYY/ZZZ' will match for menuItem route '/XXX/YYY'
     * - menuItems menu items array
     * - activeRoute
     * - rootItem (first parent in three)
     * - deepLevel (optional need just for not replace root parent if level of parents more than one)
     */
    setMenuByActiveRoute(menuItems: SidebarMenuItem[], activeRoute: string, rootItem?: SidebarMenuItem, deepLevel?: number): void;
    private checkBySubRoutes;
    private setMenuItemsState;
    static ɵfac: i0.ɵɵFactoryDeclaration<SidebarMenuService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SidebarMenuService>;
}
