import { OnInit, EventEmitter, OnDestroy } from '@angular/core';
import { SidebarMenuItem } from '@ironsource/fusion-ui/components/sidebar/common/entities';
import { SidebarMenuService } from '@ironsource/fusion-ui/components/sidebar/common/services';
import { Router } from '@angular/router';
import { BehaviorSubject } from 'rxjs';
import { LogService } from '@ironsource/fusion-ui/services/log';
import { WindowService } from '@ironsource/fusion-ui/services/window';
import * as i0 from "@angular/core";
export declare class SidebarMenuComponent implements OnInit, OnDestroy {
    private router;
    private sidebarMenuService;
    private logService;
    private windowService;
    set menuItems(value: SidebarMenuItem[]);
    set pathNameNormalizeRegex(value: RegExp);
    menuItemClicked: EventEmitter<SidebarMenuItem>;
    navigationEnded: EventEmitter<any>;
    items: SidebarMenuItem[];
    pathRegex: RegExp;
    openedMenuItem$: BehaviorSubject<SidebarMenuItem>;
    selectedMenuItem$: BehaviorSubject<SidebarMenuItem>;
    activeMenuItem$: BehaviorSubject<SidebarMenuItem>;
    isReturnToMenuMobile$: BehaviorSubject<boolean>;
    showedItem$: import("rxjs").Observable<any>;
    private leaveMenuTimeout;
    private onDestroy$;
    constructor(router: Router, sidebarMenuService: SidebarMenuService, logService: LogService, windowService: WindowService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    initNavigationEvents(): void;
    /**
     * Used for fusion native (without this.router)
     */
    initNativeStateChangeEvent(window: Window): void;
    mouseEnterMenu(): void;
    onMouseLeave(): void;
    onMenuItemClicked($event: Event, menuItem: SidebarMenuItem): void;
    private normalizeActiveRoute;
    private setMenuItemOpenedState;
    private reopenClosedMenuItem;
    static ɵfac: i0.ɵɵFactoryDeclaration<SidebarMenuComponent, [{ optional: true; }, null, null, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SidebarMenuComponent, "fusion-sidebar-menu", never, { "menuItems": { "alias": "menuItems"; "required": false; }; "pathNameNormalizeRegex": { "alias": "pathNameNormalizeRegex"; "required": false; }; }, { "menuItemClicked": "menuItemClicked"; "navigationEnded": "navigationEnded"; }, never, never, false, never>;
}
