import { AfterViewInit, ElementRef, EventEmitter, OnInit, Renderer2 } from '@angular/core';
import { SnackActionButton, SnackbarLocation, SnackbarType } from './snackbar.entities';
import * as i0 from "@angular/core";
export declare class SnackbarComponent implements OnInit, AfterViewInit {
    private renderer;
    title: string;
    message: string;
    type: SnackbarType;
    duration: number;
    location: SnackbarLocation;
    actionButtons: SnackActionButton[];
    closed: EventEmitter<any>;
    /** @internal */
    shownByService: boolean;
    /** @internal */
    snackbarView: ElementRef;
    /** @internal */
    get statusIcon(): string;
    constructor(renderer: Renderer2);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    /** @internal */
    onCloseClicked(): void;
    actionButtonsClicked(button: SnackActionButton): void;
    private closeSnackbar;
    private setCloseTransition;
    private getShownTransition;
    private getShownTransitionByLocation;
    static ɵfac: i0.ɵɵFactoryDeclaration<SnackbarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SnackbarComponent, "fusion-snackbar", never, { "title": { "alias": "title"; "required": false; }; "message": { "alias": "message"; "required": false; }; "type": { "alias": "type"; "required": false; }; "duration": { "alias": "duration"; "required": false; }; "location": { "alias": "location"; "required": false; }; "actionButtons": { "alias": "actionButtons"; "required": false; }; }, { "closed": "closed"; }, never, never, true, never>;
}
