import { ElementRef, Renderer2, AfterViewInit, OnDestroy } from '@angular/core';
import { LogService } from '@ironsource/fusion-ui/services/log';
import { SvgOptions } from './svg-entities';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { StorageService } from '@ironsource/fusion-ui/services/stogare';
import * as i0 from "@angular/core";
export declare class SvgComponent implements AfterViewInit, OnDestroy {
    private httpClient;
    elementRef: ElementRef;
    renderer: Renderer2;
    protected logService: LogService;
    protected storageService: StorageService;
    svgOptions: SvgOptions;
    set path(value: string);
    libVersion: string;
    svgPath: string;
    private onDestroy$;
    static cache: {
        [key: string]: Observable<any>;
    };
    constructor(httpClient: HttpClient, elementRef: ElementRef, renderer: Renderer2, logService: LogService, storageService: StorageService, svgOptions: SvgOptions);
    ngOnDestroy(): void;
    getUrlPath(): string;
    ngAfterViewInit(): void;
    loadSvg(): void;
    private getSvgData;
    private onPathChanged;
    static ɵfac: i0.ɵɵFactoryDeclaration<SvgComponent, [null, null, null, null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SvgComponent, "fusion-svg", never, { "path": { "alias": "path"; "required": false; }; }, {}, never, ["*"], false, never>;
}
