import { AfterViewInit, EventEmitter } from '@angular/core';
import { FormControl } from '@angular/forms';
import { BehaviorSubject, Observable } from 'rxjs';
import { InlineInputType, InputInlineComponent } from '@ironsource/fusion-ui/components/input-inline/v3';
import * as i0 from "@angular/core";
export declare class CustomCellEditComponent implements AfterViewInit {
    /** @internal */
    inputInlineComponent: InputInlineComponent;
    /** @internal */
    inputType: InlineInputType;
    /** @internal */
    formControl: FormControl<any>;
    /** @internal */
    inputError$: BehaviorSubject<string>;
    /** @internal */
    isInRequest$: BehaviorSubject<boolean>;
    /** @internal */
    editMode$: Observable<unknown>;
    /** @internal */
    hasRemaining: boolean;
    set data(value: number);
    /** @internal */
    cellPosition?: {
        rowIndex: number;
        cellIndex: number;
    };
    private _remaining;
    /** @internal */
    set remaining(remaining: number);
    get remaining(): number;
    dataChange: EventEmitter<any>;
    get showInput(): boolean;
    private initInputData;
    private errorMessages;
    private keyChanged;
    private _showInput;
    ngAfterViewInit(): void;
    /** @internal */
    showEdit(): void;
    saveChanges(valuesOptions: {
        currentValue: number;
        newValue: string;
    }): void;
    /** @internal */
    cancelEdit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomCellEditComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomCellEditComponent, "fusion-custom-cell-edit", never, { "data": { "alias": "data"; "required": false; }; "cellPosition": { "alias": "cellPosition"; "required": false; }; "remaining": { "alias": "remaining"; "required": false; }; }, { "dataChange": "dataChange"; }, never, never, true, never>;
}
