import { OnDestroy, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import { TagComponentConfigurations } from '@ironsource/fusion-ui/components/tag';
import { DropdownOption } from '@ironsource/fusion-ui/components/dropdown-option';
import * as i0 from "@angular/core";
/**
 * Combined component Tags-Input with Dropdown-Include-Exclude
 */
export declare class TagsInputIncludeExcludeComponent implements OnInit, OnDestroy {
    set placeholder(value: string);
    error: string;
    helper: string;
    title: string;
    items: DropdownOption[];
    /** @internal */
    formControlIncludeExclude: FormControl<DropdownOption[]>;
    /** @internal */
    tagInputPlaceholder: string;
    /** @internal */
    tags: TagComponentConfigurations[];
    private initPlaceholder;
    private onDestroy$;
    constructor();
    ngOnInit(): void;
    ngOnDestroy(): void;
    /** @internal */
    propagateChange: (_: DropdownOption[]) => void;
    /** @internal */
    propagateTouched: () => void;
    /** @internal */
    writeValue(value: DropdownOption[]): void;
    /** @internal */
    registerOnChange(fn: any): void;
    /** @internal */
    registerOnTouched(fn: any): void;
    private setTags;
    static ɵfac: i0.ɵɵFactoryDeclaration<TagsInputIncludeExcludeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TagsInputIncludeExcludeComponent, "fusion-tags-input-include-exclude", never, { "placeholder": { "alias": "placeholder"; "required": false; }; "error": { "alias": "error"; "required": false; }; "helper": { "alias": "helper"; "required": false; }; "title": { "alias": "title"; "required": false; }; "items": { "alias": "items"; "required": false; }; }, {}, never, never, true, never>;
}
