import { EventEmitter, OnDestroy, OnInit, TemplateRef } from '@angular/core';
import { InputOptions } from '@ironsource/fusion-ui/components/input/v3';
import { TagComponentConfigurations } from '@ironsource/fusion-ui/components/tag';
import { BehaviorSubject } from 'rxjs';
import { ApiBase } from '@ironsource/fusion-ui/components/api-base';
import * as i0 from "@angular/core";
export declare class TagsInputComponent implements OnInit, OnDestroy {
    /** Placeholder for input used for add new tag */
    inputPlaceholder: string;
    /** Placeholder for using with drop-down */
    placeholder: string;
    /** Tags */
    set tags(value: TagComponentConfigurations[]);
    /** Error message */
    error: string;
    /** Helper message */
    helper: string;
    /** On add new tag */
    addNewTag: EventEmitter<string>;
    /** On tag removed*/
    removeTag: EventEmitter<TagComponentConfigurations>;
    /** @internal */
    apiBase: ApiBase;
    /** @internal */
    apiBaseTriggerTemplate: TemplateRef<any>;
    /** @internal */
    private tagInput;
    /** @internal */
    inputOptions: InputOptions;
    /** @ignore */
    displayedTags$: BehaviorSubject<TagComponentConfigurations[]>;
    private onDestroy$;
    constructor();
    ngOnInit(): void;
    ngOnDestroy(): void;
    /** @internal */
    enterNewTag(newTag: string): void;
    /** @internal */
    tagRemoved(tagRemoved: TagComponentConfigurations): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TagsInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TagsInputComponent, "fusion-tags-input", never, { "inputPlaceholder": { "alias": "inputPlaceholder"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "tags": { "alias": "tags"; "required": false; }; "error": { "alias": "error"; "required": false; }; "helper": { "alias": "helper"; "required": false; }; }, { "addNewTag": "addNewTag"; "removeTag": "removeTag"; }, ["apiBase"], [".filter-element"], true, never>;
}
