import { EventEmitter, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare abstract class TextareaBaseComponent implements OnInit {
    placeholder: string;
    error: string;
    readonly: boolean;
    required: boolean;
    resize: boolean;
    name: string;
    isDisabled: boolean;
    model: string;
    modelChange: EventEmitter<any>;
    ngOnInit(): void;
    onChange(event: any): void;
    /**
     * Method to call when value has changes.
     */
    propagateChange: (_: string) => void;
    /**
     * Method to call when the component is touched (when it was is clicked).
     */
    propagateTouched: () => void;
    /**
     * update value from model to the component
     */
    writeValue(value: string): void;
    /**
     * Informs the outside world about changes.
     * see method propagateChange call - this.propagateChange(this.model);
     */
    registerOnChange(fn: any): void;
    /**
     * on click
     */
    registerOnTouched(fn: any): void;
    /**
     * on set form controll enabled / disabled
     * also do UI Component enabled / disabled
     */
    setDisabledState?(isDisabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextareaBaseComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TextareaBaseComponent, never, never, { "placeholder": { "alias": "placeholder"; "required": false; }; "error": { "alias": "error"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; "required": { "alias": "required"; "required": false; }; "resize": { "alias": "resize"; "required": false; }; "name": { "alias": "name"; "required": false; }; "isDisabled": { "alias": "isDisabled"; "required": false; }; "model": { "alias": "model"; "required": false; }; }, { "modelChange": "modelChange"; }, never, never, false, never>;
}
