import { AfterViewInit, EventEmitter, OnInit, Renderer2 } from '@angular/core';
import { ToastEntity, ToastLocation, ToastType } from '@ironsource/fusion-ui/components/toast/common/entities';
import { DynamicComponentConfiguration } from '@ironsource/fusion-ui/components/dynamic-components/common/entities';
import { LogService } from '@ironsource/fusion-ui/services/log';
import { IconData } from '@ironsource/fusion-ui/components/icon/v1';
import * as i0 from "@angular/core";
export declare abstract class ToastBaseComponent implements OnInit, AfterViewInit {
    private logService;
    private renderer;
    set configuration(value: ToastEntity);
    toastClosed: EventEmitter<any>;
    /** @internal */
    type: ToastType;
    /** @internal */
    text: string;
    /** @internal */
    iconName: IconData;
    /** @internal */
    icon: string;
    /** @internal */
    image: string;
    /** @internal */
    duration: number;
    /** @internal */
    location: ToastLocation;
    /** @internal */
    locationClass: string;
    /** @internal */
    custom: DynamicComponentConfiguration;
    /** @internal */
    shownByService: boolean;
    /** @internal */
    hasIconHolder: boolean;
    /** @internal */
    hasIcon: boolean;
    /** @internal */
    toastView: any;
    constructor(logService: LogService, renderer: Renderer2);
    /** @internal */
    onCloseClicked(): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    private closeToast;
    private setIconByType;
    private getCustomConfiguration;
    private setCloseTransition;
    private getShownTransition;
    private getShownTransitionByLocation;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToastBaseComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ToastBaseComponent, never, never, { "configuration": { "alias": "configuration"; "required": false; }; }, { "toastClosed": "toastClosed"; }, never, never, false, never>;
}
