import { ToggleButtonGroupColor, ToggleButtonGroupOption, ToggleButtonGroupSize } from './toggle-button-group.entities';
import { UniqueIdService } from '@ironsource/fusion-ui/services/unique-id';
import { TooltipPosition } from '@ironsource/fusion-ui/components/tooltip/common/base';
import * as i0 from "@angular/core";
export declare class ToggleButtonGroupComponent {
    private uniqueService;
    name: string;
    options: ToggleButtonGroupOption[];
    size: ToggleButtonGroupSize;
    color: ToggleButtonGroupColor;
    /** @internal */
    selected: ToggleButtonGroupOption;
    tooltipConfiguration: {
        position: TooltipPosition;
    };
    constructor(uniqueService: UniqueIdService);
    /** @internal */
    setSelected(selected: ToggleButtonGroupOption): void;
    /** @internal */
    propagateChange: (_: ToggleButtonGroupOption) => void;
    /** @internal */
    propagateTouched: () => void;
    testId: string;
    /** @internal */
    writeValue(value: ToggleButtonGroupOption): void;
    /** @ignore */
    registerOnChange(fn: any): void;
    /** @ignore */
    registerOnTouched(fn: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToggleButtonGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ToggleButtonGroupComponent, "fusion-toggle-button-group", never, { "name": { "alias": "name"; "required": false; }; "options": { "alias": "options"; "required": false; }; "size": { "alias": "size"; "required": false; }; "color": { "alias": "color"; "required": false; }; "testId": { "alias": "testId"; "required": false; }; }, {}, never, never, true, never>;
}
