import { Renderer2, ElementRef, OnDestroy, AfterViewInit, ViewContainerRef } from '@angular/core';
import { tooltipConfiguration } from '@ironsource/fusion-ui/components/tooltip/common/base';
import { Observable } from 'rxjs';
import { TooltipContentDirective } from './tooltip-content.directive';
import * as i0 from "@angular/core";
export declare class TooltipDirective implements OnDestroy, AfterViewInit {
    private renderer;
    private elementRef;
    private vcr;
    directiveRef: TooltipContentDirective;
    tooltipTriggerElement: ElementRef;
    viewTriggerContainer: ViewContainerRef;
    fusionTooltip: string;
    set configuration(config: tooltipConfiguration);
    width: number;
    height: number;
    backgroundColor: string;
    preventTooltipToClose: boolean;
    private visible;
    private onDestroy$;
    private tooltipElement;
    private position;
    private tooltipPosition;
    private viewContainerRef;
    private tooltipComponentRef;
    constructor(renderer: Renderer2, elementRef: ElementRef, vcr: ViewContainerRef);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    initListeners(): void;
    private showTooltip;
    private hideTooltip;
    private adjustTooltipPosition;
    private setTooltipPosition;
    private setTooltipConfiguration;
    private setPositionLeftRight;
    private setPositionBottomTop;
    private calcTruncate;
    private adjustArrowPos;
    haveToBeClosed(event: MouseEvent): Observable<Event>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TooltipDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TooltipDirective, "[fusionTooltip]", never, { "fusionTooltip": { "alias": "fusionTooltip"; "required": false; }; "configuration": { "alias": "configuration"; "required": false; }; }, {}, ["directiveRef", "tooltipTriggerElement", "viewTriggerContainer"], never, false, never>;
}
