import { ElementRef, Injector, Renderer2, TemplateRef } from '@angular/core';
import { TooltipComponentStyleConfiguration, TooltipPosition } from '@ironsource/fusion-ui/components/tooltip/common/base';
import { TooltipTestIdModifiers } from '@ironsource/fusion-ui/entities';
import { TestIdsService } from '@ironsource/fusion-ui/services/test-ids';
import * as i0 from "@angular/core";
export declare class TooltipContentV4Component {
    /** @internal */
    elementRef: ElementRef;
    private renderer;
    private injector;
    /** @internal */
    tooltipInnerText: string;
    /** @internal */
    position: string;
    /** @internal */
    temp: TemplateRef<any>;
    testId: string;
    set tooltipTextContent(text: string);
    /** @internal */
    testIdTooltipModifiers: typeof TooltipTestIdModifiers;
    /** @internal */
    testIdsService: TestIdsService;
    /** @internal */
    set templateRef(template: TemplateRef<any>);
    set tooltipPositionClass(pos: TooltipPosition);
    set tooltipStyleConfiguration(config: TooltipComponentStyleConfiguration);
    constructor(
    /** @internal */
    elementRef: ElementRef, renderer: Renderer2, injector: Injector);
    suppressTooltipArrow(suppressPositionArrow: boolean): void;
    private setTooltipStyle;
    static ɵfac: i0.ɵɵFactoryDeclaration<TooltipContentV4Component, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TooltipContentV4Component, "fusion-tooltip-content", never, { "testId": { "alias": "testId"; "required": false; }; "tooltipTextContent": { "alias": "tooltipTextContent"; "required": false; }; "templateRef": { "alias": "templateRef"; "required": false; }; "tooltipPositionClass": { "alias": "tooltipPositionClass"; "required": false; }; "tooltipStyleConfiguration": { "alias": "tooltipStyleConfiguration"; "required": false; }; }, {}, never, never, true, never>;
}
