import { Renderer2, ElementRef, OnDestroy, AfterViewInit, ViewContainerRef } from '@angular/core';
import { tooltipConfiguration } from '@ironsource/fusion-ui/components/tooltip/common/base';
import { Observable } from 'rxjs';
import { TooltipContentV4Directive } from './tooltip-content-v4.directive';
import * as i0 from "@angular/core";
export declare class TooltipV4Directive implements OnDestroy, AfterViewInit {
    private renderer;
    private elementRef;
    private vcr;
    directiveRef: TooltipContentV4Directive;
    tooltipTriggerElement: ElementRef;
    viewTriggerContainer: ViewContainerRef;
    fusionTooltip: string;
    set configuration(config: tooltipConfiguration);
    width: number;
    height: number;
    backgroundColor: string;
    preventTooltipToClose: boolean;
    suppressPositionArrow: boolean;
    positionOffset: number;
    private visible;
    private onDestroy$;
    private tooltipElement;
    private position;
    private tooltipPosition;
    private viewContainerRef;
    private tooltipComponentRef;
    testId: string;
    contentTestId: string;
    constructor(renderer: Renderer2, elementRef: ElementRef, vcr: ViewContainerRef);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    initListeners(): void;
    private showTooltip;
    private hideTooltip;
    private adjustTooltipPosition;
    private setTooltipPosition;
    private setTooltipConfiguration;
    private setPositionLeftRight;
    private setPositionBottomTop;
    private calcTruncate;
    private adjustArrowPos;
    haveToBeClosed(event: MouseEvent): Observable<Event>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TooltipV4Directive, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TooltipV4Directive, "[fusionTooltip]", never, { "fusionTooltip": { "alias": "fusionTooltip"; "required": false; }; "configuration": { "alias": "configuration"; "required": false; }; "testId": { "alias": "testId"; "required": false; }; "contentTestId": { "alias": "contentTestId"; "required": false; }; }, {}, ["directiveRef", "tooltipTriggerElement", "viewTriggerContainer"], never, true, never>;
}
