import { EventEmitter, OnDestroy, OnInit, TemplateRef, ChangeDetectorRef, AfterViewInit } from '@angular/core';
import { DomSanitizer, SafeStyle } from '@angular/platform-browser';
import { IconData } from '@ironsource/fusion-ui/components/icon/common/entities';
import { ApiBase } from '@ironsource/fusion-ui/components/api-base';
import * as i0 from "@angular/core";
export declare class TopFilterTriggerComponent implements OnInit, OnDestroy, AfterViewInit {
    private sanitizer;
    private cdr;
    /** @internal */
    apiBase: ApiBase;
    /** @internal */
    ref: TemplateRef<any>;
    placeholder: string;
    set label(value: string);
    required: boolean;
    helper: string;
    error: string;
    icon: IconData;
    imageApp: string;
    loading: boolean;
    selectedChange: EventEmitter<any>;
    /** @internal */
    triggerIcon: IconData;
    /** @internal */
    selectedLabel: string;
    private onDestroy$;
    private imageHolderBack;
    get appImage(): SafeStyle;
    constructor(sanitizer: DomSanitizer, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    private setValueSelectedListener;
    private resetSelected;
    private setSelected;
    static ɵfac: i0.ɵɵFactoryDeclaration<TopFilterTriggerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TopFilterTriggerComponent, "fusion-top-filter-trigger", never, { "placeholder": { "alias": "placeholder"; "required": false; }; "label": { "alias": "label"; "required": false; }; "required": { "alias": "required"; "required": false; }; "helper": { "alias": "helper"; "required": false; }; "error": { "alias": "error"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; "imageApp": { "alias": "imageApp"; "required": false; }; "loading": { "alias": "loading"; "required": false; }; }, { "selectedChange": "selectedChange"; }, ["apiBase"], [".filter-element"], true, never>;
}
