import { OnChanges, OnInit, SimpleChanges, AfterViewInit } from '@angular/core';
import { BehaviorSubject, Observable, Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare abstract class VideoPlayerBaseComponent implements OnInit, AfterViewInit, OnChanges {
    videoPlayer: any;
    src: string;
    width: string;
    height: string;
    thumbnail: string;
    options: {
        noVideo?: {
            icon?: string;
            title?: string;
        };
        autoplay?: boolean;
        showTimeline?: boolean;
        controlsList?: string;
    };
    get isAutoplay(): boolean;
    get isTimeline(): boolean;
    isVideoPlaying$: BehaviorSubject<boolean>;
    videoLoaded$: Subject<unknown>;
    videoDuration$: Observable<number>;
    progressValue$: Observable<number>;
    videoCurrentTime$: Observable<number>;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    onVideoPlayPauseButtonClicked(event: MouseEvent, video: any): void;
    private getVideoDuration;
    private getVideoCurrentTime;
    private updateProgress;
    static ɵfac: i0.ɵɵFactoryDeclaration<VideoPlayerBaseComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<VideoPlayerBaseComponent, never, never, { "src": { "alias": "src"; "required": false; }; "width": { "alias": "width"; "required": false; }; "height": { "alias": "height"; "required": false; }; "thumbnail": { "alias": "thumbnail"; "required": false; }; "options": { "alias": "options"; "required": false; }; }, {}, never, never, false, never>;
}
