import * as i0 from '@angular/core';
import { inject, EventEmitter, Component, ChangeDetectionStrategy, Input, HostBinding, Output } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import { ButtonComponent, IconButtonComponent } from '@ironsource/fusion-ui/components/button/v4';
import { isNullOrUndefined } from '@ironsource/fusion-ui/utils';
import { GenericPipe } from '@ironsource/fusion-ui/pipes/generic';
import { AlertTestIdModifiers } from '@ironsource/fusion-ui/entities';
import { TestIdsService } from '@ironsource/fusion-ui/services/test-ids';

const AlertIconMap = {
    success: 'ph/fill/check-circle',
    warning: 'ph/fill/warning-octagon',
    info: 'ph/fill/info',
    danger: 'ph/fill/warning'
};
const AlertIconColorsMap = {
    success: '#30A46C',
    warning: '#FFC53D',
    info: '#3E63DD',
    danger: '#E5484D'
};

function AlertV4Component_div_0_div_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 8);
    i0.ɵɵelement(1, "fusion-icon", 9);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵstyleProp("color", ctx_r1.iconColor);
    i0.ɵɵproperty("name", ctx_r1.iconName);
} }
function AlertV4Component_div_0_div_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 10);
    i0.ɵɵpipe(1, "generic");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r2 = i0.ɵɵnextContext(2);
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(1, 2, ctx_r2.testIdsService.getTestAttribute.bind(ctx_r2), ctx_r2.testId, ctx_r2.testIdAlertModifiers.TITLE));
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate1(" ", ctx_r2.title, " ");
} }
function AlertV4Component_div_0_div_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "div", 11);
    i0.ɵɵpipe(1, "generic");
} if (rf & 2) {
    const ctx_r3 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("innerHTML", ctx_r3.alertContent, i0.ɵɵsanitizeHtml);
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(1, 2, ctx_r3.testIdsService.getTestAttribute.bind(ctx_r3), ctx_r3.testId, ctx_r3.testIdAlertModifiers.MESSAGE));
} }
function AlertV4Component_div_0_fusion_button_7_Template(rf, ctx) { if (rf & 1) {
    const _r7 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-button", 12);
    i0.ɵɵlistener("click", function AlertV4Component_div_0_fusion_button_7_Template_fusion_button_click_0_listener() { i0.ɵɵrestoreView(_r7); const ctx_r6 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r6.onActionClicked()); });
    i0.ɵɵpipe(1, "generic");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r4 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("color", ctx_r4.actionButtonColor)("testId", i0.ɵɵpipeBind3(1, 3, ctx_r4.testIdsService.getTestAttribute.bind(ctx_r4), ctx_r4.testId, ctx_r4.testIdAlertModifiers.ACTION_BUTTON));
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate1("", ctx_r4.actionText, " ");
} }
function AlertV4Component_div_0_fusion_icon_button_8_Template(rf, ctx) { if (rf & 1) {
    const _r9 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-icon-button", 13);
    i0.ɵɵlistener("click", function AlertV4Component_div_0_fusion_icon_button_8_Template_fusion_icon_button_click_0_listener() { i0.ɵɵrestoreView(_r9); const ctx_r8 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r8.onDismissClicked()); });
    i0.ɵɵpipe(1, "generic");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r5 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("testId", i0.ɵɵpipeBind3(1, 1, ctx_r5.testIdsService.getTestAttribute.bind(ctx_r5), ctx_r5.testId, ctx_r5.testIdAlertModifiers.CLOSE_BUTTON));
} }
function AlertV4Component_div_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div");
    i0.ɵɵpipe(1, "generic");
    i0.ɵɵtemplate(2, AlertV4Component_div_0_div_2_Template, 2, 3, "div", 1);
    i0.ɵɵelementStart(3, "div", 2);
    i0.ɵɵtemplate(4, AlertV4Component_div_0_div_4_Template, 3, 6, "div", 3)(5, AlertV4Component_div_0_div_5_Template, 2, 6, "div", 4);
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(6, "div", 5);
    i0.ɵɵtemplate(7, AlertV4Component_div_0_fusion_button_7_Template, 3, 7, "fusion-button", 6)(8, AlertV4Component_div_0_fusion_icon_button_8_Template, 2, 5, "fusion-icon-button", 7);
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵclassMapInterpolate1("fu-alert-wrapper fu-alert-color-", ctx_r0.color, "");
    i0.ɵɵclassProp("fu-alert-outlined", ctx_r0.variant === "outlined")("fu-alert-rounded", ctx_r0.rounded);
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(1, 13, ctx_r0.testIdsService.getTestAttribute.bind(ctx_r0), ctx_r0.testId, ctx_r0.testIdAlertModifiers.WRAPPER));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", ctx_r0.iconName);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", ctx_r0.title);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r0.description == null ? null : ctx_r0.description.length);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", ctx_r0.actionText);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r0.dismissible);
} }
class AlertV4Component {
    constructor() {
        this.title = '';
        /** @internal */
        this.testIdAlertModifiers = AlertTestIdModifiers;
        /** @internal */
        this.testIdsService = inject(TestIdsService);
        this.variant = 'standard';
        this.dismissible = false;
        this.actionText = '';
        this.rounded = true;
        // ts-ignore
        this.close = new EventEmitter();
        this.action = new EventEmitter();
        /** @internal */
        this.iconName = '';
        /** @internal */
        this.iconColor = '';
        /** @internal */
        this.actionButtonColor = 'default';
        this._color = 'success';
        this.sanitizer = inject(DomSanitizer);
        this.alertTestIdModifiers = AlertTestIdModifiers;
    }
    set color(value) {
        if (!isNullOrUndefined(value))
            this._color = value;
        this.iconName = AlertIconMap[this._color];
        this.iconColor = AlertIconColorsMap[this._color];
        this.actionButtonColor = this._color;
    }
    get testAttribute() {
        return this.testId;
    }
    get color() {
        return this._color;
    }
    get alertContent() {
        const htmlRegex = /<([A-Za-z][A-Za-z0-9]*)\b[^>]*>(.*?)<\/\1>/i;
        return !!this.description && htmlRegex.test(this.description)
            ? this.sanitizer.bypassSecurityTrustHtml(this.description)
            : this.description;
    }
    /** @internal */
    onDismissClicked() {
        this.close.emit();
    }
    /** @internal */
    onActionClicked() {
        this.action.emit();
    }
    static { this.ɵfac = function AlertV4Component_Factory(t) { return new (t || AlertV4Component)(); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: AlertV4Component, selectors: [["fusion-alert"]], hostAttrs: [1, "fusion-v4"], hostVars: 1, hostBindings: function AlertV4Component_HostBindings(rf, ctx) { if (rf & 2) {
            i0.ɵɵattribute("data-testid", ctx.testAttribute);
        } }, inputs: { title: "title", description: "description", color: "color", testId: "testId", variant: "variant", dismissible: "dismissible", actionText: "actionText", rounded: "rounded" }, outputs: { close: "close", action: "action" }, standalone: true, features: [i0.ɵɵStandaloneFeature], decls: 1, vars: 1, consts: [[3, "class", "fu-alert-outlined", "fu-alert-rounded", 4, "ngIf"], ["class", "fu-alert-icon-wrapper", 4, "ngIf"], [1, "fu-alert-content"], ["class", "fu-alert-title", 4, "ngIf"], ["class", "fu-alert-message", 3, "innerHTML", 4, "ngIf"], [1, "fu-alert-actions"], ["size", "small", "variant", "outlined", 3, "color", "testId", "click", 4, "ngIf"], ["class", "fu-alert-close", "iconName", "ph/x", 3, "testId", "click", 4, "ngIf"], [1, "fu-alert-icon-wrapper"], [1, "fu-alert-icon", 3, "name"], [1, "fu-alert-title"], [1, "fu-alert-message", 3, "innerHTML"], ["size", "small", "variant", "outlined", 3, "color", "testId", "click"], ["iconName", "ph/x", 1, "fu-alert-close", 3, "testId", "click"]], template: function AlertV4Component_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵtemplate(0, AlertV4Component_div_0_Template, 9, 17, "div", 0);
        } if (rf & 2) {
            i0.ɵɵproperty("ngIf", (ctx.description == null ? null : ctx.description.length) || ctx.title);
        } }, dependencies: [CommonModule, i1.NgIf, IconModule, i2.IconComponent, ButtonComponent, IconButtonComponent, GenericPipe], styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";.fusion-v4[_ngcontent-%COMP%]{--background-default: #FFFFFF;--background-paper: hsl(0, 0%, 99%);--background-model-elevation: #FFFFFF;--background-backdrop: hsla(0, 0%, 0%, .11);--background-paper-elevation-0: hsl(0, 0%, 97.5%);--background-paper-elevation-1: hsl(0, 0%, 94.6%);--background-paper-elevation-2: hsl(0, 0%, 92%);--background-paper-elevation-3: hsl(0, 0%, 89.5%);--background-paper-elevation-4: hsl(0, 0%, 86.8%);--background-paper-elevation-5: hsl(0, 0%, 83%);--background-paper-elevation-6: hsl(0, 0%, 73.2%);--background-paper-elevation-7: hsl(0, 0%, 55.2%);--background-paper-elevation-8: hsl(0, 0%, 50.3%);--background-paper-elevation-9: hsl(0, 0%, 39.3%);--action-primary: hsl(0, 0%, 12.5%);--action-active: hsl(0, 0%, 50.3%);--action-hover: hsla(0, 0%, 0%, .05);--action-selected: hsl(0, 0%, 92%);--action-disabled: hsl(0, 0%, 87%);--action-disabled-background: hsl(0, 0%, 95%);--action-focus: hsl(0, 0%, 92%);--action-outlined-border: hsl(0, 0%, 73%);--default-light: hsl(0, 0%, 89.5%);--default-main: hsl(0, 0%, 94.51%);--default-dark: hsl(0, 0%, 92%);--default-outlined-border: hsl(0, 0%, 73.2%);--default-contrast-text: hsl(0, 0%, 12.5%);--default-button-contrast-text: hsl(0, 0%, 0%);--common-white: #FFFFFF;--common-black: #000000;--common-inverse-white: #FFFFFF;--common-inverse-black: #000000;--common-divider: hsl(0, 0%, 86.8%);--common-divider-elevation-0: hsl(0, 0%, 89%);--text-primary: hsl(0, 0%, 12.5%);--text-secondary: hsl(0, 0%, 39.3%);--text-disabled: hsl(0, 0%, 73.33%);--primary-lighter: hsl(209, 100%, 96.5%);--primary-light: hsl(209, 95%, 90.1%);--primary-main: hsl(206, 100%, 50%);--primary-main-8-p: hsla(206, 100%, 50%, .08);--primary-main-50-p: hsla(206, 100%, 50%, .5);--primary-dark: hsl(208, 93.5%, 47.4%);--primary-darker: hsl(211, 90%, 42%);--primary-outlined-border: hsl(206, 100%, 50%);--primary-contrast-text: hsl(216, 71%, 23%);--primary-button-contrast-text: hsl(0, 0%, 100%);--info-lighter: hsl(223, 98.4%, 97.1%);--info-light: hsl(224, 87.1%, 92%);--info-main: hsl(226, 70%, 55.5%);--info-main-8-p: hsla(226, 70%, 55.5%, .08);--info-main-50-p: hsla(226, 70%, 55.5%, .5);--info-dark: hsl(226, 58.6%, 51.3%);--info-darker: hsl(226, 55%, 45%);--info-outlined-border: hsl(226, 70%, 55.5%);--info-contrast-text: hsl(226, 50%, 24%);--info-button-contrast-text: hsl(0, 0%, 100%);--success-lighter: hsl(139, 55.2%, 94.5%);--success-light: hsl(141, 43.7%, 86%);--success-main: hsl(151, 55%, 41.5%);--success-main-8-p: hsla(151, 55%, 41.5%, .08);--success-main-50-p: hsla(151, 55%, 41.5%, .5);--success-dark: hsl(152, 57.5%, 37.6%);--success-darker: hsl(153, 67%, 28.5%);--success-outlined-border: hsl(151, 55%, 41.5%);--success-contrast-text: hsl(155, 40%, 16.5%);--success-button-contrast-text: hsl(0, 0%, 100%);--warning-lighter: hsl(45, 100%, 90.8%);--warning-light: hsl(40, 100%, 81.5%);--warning-main: hsl(42, 100%, 62%);--warning-main-8-p: hsla(42, 100%, 62%, .08);--warning-main-50-p: hsla(42, 100%, 62%, .5);--warning-dark: hsl(42, 100%, 55%);--warning-darker: hsl(25, 50%, 38%);--warning-outlined-border: hsl(42, 100%, 62%);--warning-contrast-text: hsl(25, 40%, 22%);--warning-button-contrast-text: hsl(24, 40%, 22%);--error-lighter: hsl(0, 100%, 96.8%);--error-light: hsl(0, 90.2%, 91.9%);--error-main: hsl(358, 75%, 59%);--error-main-8-p: hsla(358, 75%, 59%, .08);--error-main-50-p: hsla(358, 75%, 59%, .5);--error-dark: hsl(358, 67.4%, 54.6%);--error-darker: hsl(358, 65%, 47%);--error-outlined-border: hsl(358, 75%, 59%);--error-contrast-text: hsl(350, 63%, 24%);--error-button-contrast-text: hsl(0, 0%, 100%);--aba: #FFC134;--abb: #4F4FF5}.fusion-v4[_ngcontent-%COMP%]{--spacing-tockenset: 0px;--spacing-25: 2px;--spacing-50: 4px;--spacing-75: 6px;--spacing-100: 8px;--spacing-125: 10px;--spacing-150: 12px;--spacing-200: 16px;--spacing-250: 20px;--spacing-300: 24px;--spacing-400: 32px;--spacing-500: 40px;--spacing-600: 48px;--spacing-700: 56px;--spacing-800: 64px;--spacing-900: 72px;--spacing-1000: 80px}.fusion-v4[_ngcontent-%COMP%]{--border-radius-xs: 2px;--border-radius-sm: 4px;--border-radius-md: 6px;--border-radius-lg: 8px;--border-radius-xl: 16px;--border-radius-full: 100px}.font-v4-bold[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%], .font-v4-chart-2[_ngcontent-%COMP%], .font-v4-chart-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold[_ngcontent-%COMP%], .font-v4-chip-label[_ngcontent-%COMP%], .font-v4-table-label[_ngcontent-%COMP%], .font-v4-button[_ngcontent-%COMP%], .font-v4-heading-6[_ngcontent-%COMP%], .font-v4-heading-5[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-alert-wrapper[_ngcontent-%COMP%]   .fu-alert-content[_ngcontent-%COMP%]   .fu-alert-title[_ngcontent-%COMP%], .font-v4-heading-4[_ngcontent-%COMP%], .font-v4-heading-3[_ngcontent-%COMP%], .font-v4-heading-2[_ngcontent-%COMP%], .font-v4-heading-1[_ngcontent-%COMP%], .font-v4-title[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium[_ngcontent-%COMP%], .font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-input-label[_ngcontent-%COMP%], .font-v4-overline[_ngcontent-%COMP%], .font-v4-subtitle-2[_ngcontent-%COMP%], .font-v4-subtitle-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular[_ngcontent-%COMP%], .font-v4-caption[_ngcontent-%COMP%], .font-v4-body-2[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-alert-wrapper[_ngcontent-%COMP%]   .fu-alert-content[_ngcontent-%COMP%]   .fu-alert-message[_ngcontent-%COMP%], .font-v4-body-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title[_ngcontent-%COMP%]{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2[_ngcontent-%COMP%]{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3[_ngcontent-%COMP%]{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}[_nghost-%COMP%]   .fu-alert-wrapper[_ngcontent-%COMP%]   .fu-alert-content[_ngcontent-%COMP%]   .fu-alert-title[_ngcontent-%COMP%], .font-v4-heading-4[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5[_ngcontent-%COMP%]{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6[_ngcontent-%COMP%]{font-size:.75rem;line-height:.75rem;letter-spacing:0}[_nghost-%COMP%]   .fu-alert-wrapper[_ngcontent-%COMP%]   .fu-alert-content[_ngcontent-%COMP%]   .fu-alert-message[_ngcontent-%COMP%], .font-v4-body-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-body-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2[_ngcontent-%COMP%]{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}.font-v4-caption[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem}.font-v4-table-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem}.font-v4-chip-label[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:normal}[_nghost-%COMP%]{padding:0;margin:0}[_nghost-%COMP%]   .fu-alert-wrapper[_ngcontent-%COMP%]{display:flex;align-items:center;gap:var(--spacing-100, 8px);padding:var(--spacing-150) var(--spacing-200)}[_nghost-%COMP%]   .fu-alert-wrapper.fu-alert-color-success[_ngcontent-%COMP%]{background-color:var(--success-lighter);border-color:var(--success-main, hsl(151, 55%, 41.5%))}[_nghost-%COMP%]   .fu-alert-wrapper.fu-alert-color-info[_ngcontent-%COMP%]{background-color:var(--info-lighter);border-color:var(--info-main, hsl(226, 70%, 55.5%))}[_nghost-%COMP%]   .fu-alert-wrapper.fu-alert-color-danger[_ngcontent-%COMP%]{background-color:var(--error-lighter);border-color:var(--error-main, hsl(358, 75%, 59%))}[_nghost-%COMP%]   .fu-alert-wrapper.fu-alert-color-warning[_ngcontent-%COMP%]{background-color:var(--warning-lighter);border-color:var(--warning-main, hsl(42, 100%, 62%))}[_nghost-%COMP%]   .fu-alert-wrapper.fu-alert-outlined[_ngcontent-%COMP%]{background-color:transparent;border-width:1px;border-style:solid}[_nghost-%COMP%]   .fu-alert-wrapper.fu-alert-rounded[_ngcontent-%COMP%]{border-radius:var(--border-radius-lg, 8px)}[_nghost-%COMP%]   .fu-alert-wrapper[_ngcontent-%COMP%]   .fu-alert-icon-wrapper[_ngcontent-%COMP%]{display:flex;align-self:flex-start}[_nghost-%COMP%]   .fu-alert-wrapper[_ngcontent-%COMP%]   .fu-alert-icon-wrapper[_ngcontent-%COMP%]   .fu-alert-icon[_ngcontent-%COMP%]{width:20px;height:20px}[_nghost-%COMP%]   .fu-alert-wrapper[_ngcontent-%COMP%]   .fu-alert-content[_ngcontent-%COMP%]{flex:1;display:flex;flex-direction:column}[_nghost-%COMP%]   .fu-alert-wrapper[_ngcontent-%COMP%]   .fu-alert-content[_ngcontent-%COMP%]   .fu-alert-title[_ngcontent-%COMP%]{color:var(--text-primary, hsl(0, 0%, 12.5%))}[_nghost-%COMP%]   .fu-alert-wrapper[_ngcontent-%COMP%]   .fu-alert-content[_ngcontent-%COMP%]   .fu-alert-message[_ngcontent-%COMP%]{color:var(--text-secondary, hsl(0, 0%, 39.3%))}[_nghost-%COMP%]   .fu-alert-wrapper[_ngcontent-%COMP%]   .fu-alert-content[_ngcontent-%COMP%]   .fu-alert-message[_ngcontent-%COMP%]     a:link, [_nghost-%COMP%]   .fu-alert-wrapper[_ngcontent-%COMP%]   .fu-alert-content[_ngcontent-%COMP%]   .fu-alert-message[_ngcontent-%COMP%]     a:visited, [_nghost-%COMP%]   .fu-alert-wrapper[_ngcontent-%COMP%]   .fu-alert-content[_ngcontent-%COMP%]   .fu-alert-message[_ngcontent-%COMP%]     a:hover, [_nghost-%COMP%]   .fu-alert-wrapper[_ngcontent-%COMP%]   .fu-alert-content[_ngcontent-%COMP%]   .fu-alert-message[_ngcontent-%COMP%]     a:active{text-decoration:none;color:var(--primary-main, hsl(206, 100%, 50%))}[_nghost-%COMP%]   .fu-alert-wrapper[_ngcontent-%COMP%]   .fu-alert-actions[_ngcontent-%COMP%]{margin-left:auto;display:flex;align-items:center;gap:var(--spacing-100)}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(AlertV4Component, [{
        type: Component,
        args: [{ selector: 'fusion-alert', standalone: true, imports: [CommonModule, IconModule, ButtonComponent, IconButtonComponent, GenericPipe], host: { class: 'fusion-v4' }, changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"fu-alert-wrapper fu-alert-color-{{color}}\"\n     *ngIf=\"description?.length || title\"\n     [class.fu-alert-outlined]=\"variant==='outlined'\"\n     [class.fu-alert-rounded]=\"rounded\"\n     [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdAlertModifiers.WRAPPER\">\n    <div class=\"fu-alert-icon-wrapper\" *ngIf=\"iconName\">\n        <fusion-icon class=\"fu-alert-icon\" [style.color]=\"iconColor\" [name]=\"iconName\"></fusion-icon>\n    </div>\n    <div class=\"fu-alert-content\">\n        <div class=\"fu-alert-title\" *ngIf=\"title\"\n             [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdAlertModifiers.TITLE\">\n            {{ title }}\n        </div>\n        <div class=\"fu-alert-message\" *ngIf=\"description?.length\"\n             [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdAlertModifiers.MESSAGE\"\n             [innerHTML]=\"alertContent\"\n        >\n        </div>\n    </div>\n    <div class=\"fu-alert-actions\">\n        <fusion-button *ngIf=\"actionText\" size=\"small\" variant=\"outlined\" [color]=\"actionButtonColor\"\n                       [testId]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdAlertModifiers.ACTION_BUTTON\"\n                       (click)=\"onActionClicked()\"\n        >{{ actionText }}\n        </fusion-button>\n        <fusion-icon-button *ngIf=\"dismissible\" class=\"fu-alert-close\" iconName=\"ph/x\"\n                            [testId]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdAlertModifiers.CLOSE_BUTTON\"\n                            (click)=\"onDismissClicked()\n\"></fusion-icon-button>\n    </div>\n</div>\n", styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";.fusion-v4{--background-default: #FFFFFF;--background-paper: hsl(0, 0%, 99%);--background-model-elevation: #FFFFFF;--background-backdrop: hsla(0, 0%, 0%, .11);--background-paper-elevation-0: hsl(0, 0%, 97.5%);--background-paper-elevation-1: hsl(0, 0%, 94.6%);--background-paper-elevation-2: hsl(0, 0%, 92%);--background-paper-elevation-3: hsl(0, 0%, 89.5%);--background-paper-elevation-4: hsl(0, 0%, 86.8%);--background-paper-elevation-5: hsl(0, 0%, 83%);--background-paper-elevation-6: hsl(0, 0%, 73.2%);--background-paper-elevation-7: hsl(0, 0%, 55.2%);--background-paper-elevation-8: hsl(0, 0%, 50.3%);--background-paper-elevation-9: hsl(0, 0%, 39.3%);--action-primary: hsl(0, 0%, 12.5%);--action-active: hsl(0, 0%, 50.3%);--action-hover: hsla(0, 0%, 0%, .05);--action-selected: hsl(0, 0%, 92%);--action-disabled: hsl(0, 0%, 87%);--action-disabled-background: hsl(0, 0%, 95%);--action-focus: hsl(0, 0%, 92%);--action-outlined-border: hsl(0, 0%, 73%);--default-light: hsl(0, 0%, 89.5%);--default-main: hsl(0, 0%, 94.51%);--default-dark: hsl(0, 0%, 92%);--default-outlined-border: hsl(0, 0%, 73.2%);--default-contrast-text: hsl(0, 0%, 12.5%);--default-button-contrast-text: hsl(0, 0%, 0%);--common-white: #FFFFFF;--common-black: #000000;--common-inverse-white: #FFFFFF;--common-inverse-black: #000000;--common-divider: hsl(0, 0%, 86.8%);--common-divider-elevation-0: hsl(0, 0%, 89%);--text-primary: hsl(0, 0%, 12.5%);--text-secondary: hsl(0, 0%, 39.3%);--text-disabled: hsl(0, 0%, 73.33%);--primary-lighter: hsl(209, 100%, 96.5%);--primary-light: hsl(209, 95%, 90.1%);--primary-main: hsl(206, 100%, 50%);--primary-main-8-p: hsla(206, 100%, 50%, .08);--primary-main-50-p: hsla(206, 100%, 50%, .5);--primary-dark: hsl(208, 93.5%, 47.4%);--primary-darker: hsl(211, 90%, 42%);--primary-outlined-border: hsl(206, 100%, 50%);--primary-contrast-text: hsl(216, 71%, 23%);--primary-button-contrast-text: hsl(0, 0%, 100%);--info-lighter: hsl(223, 98.4%, 97.1%);--info-light: hsl(224, 87.1%, 92%);--info-main: hsl(226, 70%, 55.5%);--info-main-8-p: hsla(226, 70%, 55.5%, .08);--info-main-50-p: hsla(226, 70%, 55.5%, .5);--info-dark: hsl(226, 58.6%, 51.3%);--info-darker: hsl(226, 55%, 45%);--info-outlined-border: hsl(226, 70%, 55.5%);--info-contrast-text: hsl(226, 50%, 24%);--info-button-contrast-text: hsl(0, 0%, 100%);--success-lighter: hsl(139, 55.2%, 94.5%);--success-light: hsl(141, 43.7%, 86%);--success-main: hsl(151, 55%, 41.5%);--success-main-8-p: hsla(151, 55%, 41.5%, .08);--success-main-50-p: hsla(151, 55%, 41.5%, .5);--success-dark: hsl(152, 57.5%, 37.6%);--success-darker: hsl(153, 67%, 28.5%);--success-outlined-border: hsl(151, 55%, 41.5%);--success-contrast-text: hsl(155, 40%, 16.5%);--success-button-contrast-text: hsl(0, 0%, 100%);--warning-lighter: hsl(45, 100%, 90.8%);--warning-light: hsl(40, 100%, 81.5%);--warning-main: hsl(42, 100%, 62%);--warning-main-8-p: hsla(42, 100%, 62%, .08);--warning-main-50-p: hsla(42, 100%, 62%, .5);--warning-dark: hsl(42, 100%, 55%);--warning-darker: hsl(25, 50%, 38%);--warning-outlined-border: hsl(42, 100%, 62%);--warning-contrast-text: hsl(25, 40%, 22%);--warning-button-contrast-text: hsl(24, 40%, 22%);--error-lighter: hsl(0, 100%, 96.8%);--error-light: hsl(0, 90.2%, 91.9%);--error-main: hsl(358, 75%, 59%);--error-main-8-p: hsla(358, 75%, 59%, .08);--error-main-50-p: hsla(358, 75%, 59%, .5);--error-dark: hsl(358, 67.4%, 54.6%);--error-darker: hsl(358, 65%, 47%);--error-outlined-border: hsl(358, 75%, 59%);--error-contrast-text: hsl(350, 63%, 24%);--error-button-contrast-text: hsl(0, 0%, 100%);--aba: #FFC134;--abb: #4F4FF5}.fusion-v4{--spacing-tockenset: 0px;--spacing-25: 2px;--spacing-50: 4px;--spacing-75: 6px;--spacing-100: 8px;--spacing-125: 10px;--spacing-150: 12px;--spacing-200: 16px;--spacing-250: 20px;--spacing-300: 24px;--spacing-400: 32px;--spacing-500: 40px;--spacing-600: 48px;--spacing-700: 56px;--spacing-800: 64px;--spacing-900: 72px;--spacing-1000: 80px}.fusion-v4{--border-radius-xs: 2px;--border-radius-sm: 4px;--border-radius-md: 6px;--border-radius-lg: 8px;--border-radius-xl: 16px;--border-radius-full: 100px}.font-v4-bold,.font-v4-tab-label-2,.font-v4-chart-2,.font-v4-chart-1{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold,.font-v4-chip-label,.font-v4-table-label,.font-v4-button,.font-v4-heading-6,.font-v4-heading-5,:host .fu-alert-wrapper .fu-alert-content .fu-alert-title,.font-v4-heading-4,.font-v4-heading-3,.font-v4-heading-2,.font-v4-heading-1,.font-v4-title{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium,.font-v4-tab-label-1,.font-v4-input-label,.font-v4-overline,.font-v4-subtitle-2,.font-v4-subtitle-1{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular,.font-v4-caption,.font-v4-body-2,:host .fu-alert-wrapper .fu-alert-content .fu-alert-message,.font-v4-body-1{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}:host .fu-alert-wrapper .fu-alert-content .fu-alert-title,.font-v4-heading-4{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6{font-size:.75rem;line-height:.75rem;letter-spacing:0}:host .fu-alert-wrapper .fu-alert-content .fu-alert-message,.font-v4-body-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-body-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}.font-v4-caption{font-size:.75rem;line-height:1rem}.font-v4-table-label{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1,.font-v4-tab-label-2{font-size:.875rem;line-height:1rem}.font-v4-chip-label{font-size:.75rem;line-height:1rem;letter-spacing:normal}:host{padding:0;margin:0}:host .fu-alert-wrapper{display:flex;align-items:center;gap:var(--spacing-100, 8px);padding:var(--spacing-150) var(--spacing-200)}:host .fu-alert-wrapper.fu-alert-color-success{background-color:var(--success-lighter);border-color:var(--success-main, hsl(151, 55%, 41.5%))}:host .fu-alert-wrapper.fu-alert-color-info{background-color:var(--info-lighter);border-color:var(--info-main, hsl(226, 70%, 55.5%))}:host .fu-alert-wrapper.fu-alert-color-danger{background-color:var(--error-lighter);border-color:var(--error-main, hsl(358, 75%, 59%))}:host .fu-alert-wrapper.fu-alert-color-warning{background-color:var(--warning-lighter);border-color:var(--warning-main, hsl(42, 100%, 62%))}:host .fu-alert-wrapper.fu-alert-outlined{background-color:transparent;border-width:1px;border-style:solid}:host .fu-alert-wrapper.fu-alert-rounded{border-radius:var(--border-radius-lg, 8px)}:host .fu-alert-wrapper .fu-alert-icon-wrapper{display:flex;align-self:flex-start}:host .fu-alert-wrapper .fu-alert-icon-wrapper .fu-alert-icon{width:20px;height:20px}:host .fu-alert-wrapper .fu-alert-content{flex:1;display:flex;flex-direction:column}:host .fu-alert-wrapper .fu-alert-content .fu-alert-title{color:var(--text-primary, hsl(0, 0%, 12.5%))}:host .fu-alert-wrapper .fu-alert-content .fu-alert-message{color:var(--text-secondary, hsl(0, 0%, 39.3%))}:host .fu-alert-wrapper .fu-alert-content .fu-alert-message ::ng-deep a:link,:host .fu-alert-wrapper .fu-alert-content .fu-alert-message ::ng-deep a:visited,:host .fu-alert-wrapper .fu-alert-content .fu-alert-message ::ng-deep a:hover,:host .fu-alert-wrapper .fu-alert-content .fu-alert-message ::ng-deep a:active{text-decoration:none;color:var(--primary-main, hsl(206, 100%, 50%))}:host .fu-alert-wrapper .fu-alert-actions{margin-left:auto;display:flex;align-items:center;gap:var(--spacing-100)}\n"] }]
    }], null, { title: [{
            type: Input
        }], description: [{
            type: Input
        }], color: [{
            type: Input
        }], testId: [{
            type: Input
        }], testAttribute: [{
            type: HostBinding,
            args: ['attr.data-testid']
        }], variant: [{
            type: Input
        }], dismissible: [{
            type: Input
        }], actionText: [{
            type: Input
        }], rounded: [{
            type: Input
        }], close: [{
            type: Output
        }], action: [{
            type: Output
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(AlertV4Component, { className: "AlertV4Component", filePath: "alert-v4.component.ts", lineNumber: 21 }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { AlertV4Component as AlertComponent, AlertIconColorsMap, AlertIconMap };
//# sourceMappingURL=ironsource-fusion-ui-components-alert-v4.mjs.map
