import * as i0 from '@angular/core';
import { inject, Component, ChangeDetectionStrategy, Input } from '@angular/core';
import * as i1 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import { SnackbarService } from '@ironsource/fusion-ui/components/snackbar/v4';
import { TooltipDirective, TooltipComponent } from '@ironsource/fusion-ui/components/tooltip/v4';
import { TooltipPosition } from '@ironsource/fusion-ui/components/tooltip/common/base';
import * as i2 from '@ironsource/fusion-ui/directives/copy-to-clipboard';
import { CopyToClipboardModule } from '@ironsource/fusion-ui/directives/copy-to-clipboard';

function AppTriggerComponent_Conditional_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "img", 3)(1, "fusion-icon", 4);
    i0.ɵɵelementStart(2, "div", 5);
    i0.ɵɵtext(3);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵproperty("src", ctx_r0.appImageSrc, i0.ɵɵsanitizeUrl);
    i0.ɵɵadvance();
    i0.ɵɵproperty("name", ctx_r0.platformIcon);
    i0.ɵɵadvance();
    i0.ɵɵproperty("fusionTooltip", ctx_r0.application.name);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r0.application == null ? null : ctx_r0.application.name);
} }
function AppTriggerComponent_Conditional_2_Conditional_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 8);
    i0.ɵɵtext(1, "*");
    i0.ɵɵelementEnd();
} }
function AppTriggerComponent_Conditional_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 6);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(2, AppTriggerComponent_Conditional_2_Conditional_2_Template, 2, 0, "div", 7);
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r1.placeholderText);
    i0.ɵɵadvance();
    i0.ɵɵconditional(2, ctx_r1.required ? 2 : -1);
} }
function AppTriggerComponent_Conditional_4_Template(rf, ctx) { if (rf & 1) {
    const _r5 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-tooltip", 9)(1, "div", 10)(2, "div", 11);
    i0.ɵɵlistener("copied", function AppTriggerComponent_Conditional_4_Template_div_copied_2_listener() { i0.ɵɵrestoreView(_r5); const ctx_r4 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r4.textCopied()); });
    i0.ɵɵelement(3, "fusion-icon", 12);
    i0.ɵɵelementEnd()();
    i0.ɵɵelementStart(4, "div", 13)(5, "div", 14);
    i0.ɵɵtext(6, "Copy app key");
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(7, "div", 15);
    i0.ɵɵtext(8);
    i0.ɵɵelementEnd()()();
} if (rf & 2) {
    const ctx_r2 = i0.ɵɵnextContext();
    i0.ɵɵproperty("tooltipConfiguration", ctx_r2.tooltipConfiguration);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("fusionCopyToClipboard", ctx_r2.copyToClipboard());
    i0.ɵɵadvance(6);
    i0.ɵɵtextInterpolate(ctx_r2.application.key);
} }
class AppTriggerComponent {
    constructor() {
        this.placeholder = '';
        this.required = false;
        /** @internal */
        this.tooltipConfiguration = {
            position: TooltipPosition.Bottom,
            suppressPositionArrow: true
        };
        /** @internal */
        this.snackbarService = inject(SnackbarService);
    }
    /** @internal */
    get appImageSrc() {
        return this.application?.imageSrc;
    }
    /** @internal */
    get platformIcon() {
        return `v4/branded/${this.application?.platform}`;
    }
    /** @internal */
    get placeholderText() {
        return this.placeholder;
    }
    /** @internal */
    copyToClipboard() {
        return () => this.application.key;
    }
    /** @internal */
    textCopied() {
        this.snackbarService.show({
            title: 'Copied successfully',
            type: 'success',
            location: 'top-right',
            duration: 1500
        });
    }
    static { this.ɵfac = function AppTriggerComponent_Factory(t) { return new (t || AppTriggerComponent)(); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: AppTriggerComponent, selectors: [["fusion-app-trigger"]], hostAttrs: [1, "fusion-v4"], inputs: { application: "application", placeholder: "placeholder", required: "required" }, standalone: true, features: [i0.ɵɵProvidersFeature([SnackbarService]), i0.ɵɵStandaloneFeature], decls: 5, vars: 2, consts: [[1, "fu-app-trigger-wrapper"], ["name", "ph/caret-down", 1, "fu-app-trigger-caret-icon"], ["class", "fusion-v4 fu-app-trigger-app-key", 3, "tooltipConfiguration"], ["loading", "lazy", 1, "fu-app-trigger-image", 3, "src"], [1, "fu-app-trigger-platform", 3, "name"], [1, "fu-app-trigger-name", "truncate", 3, "fusionTooltip"], [1, "fu-app-trigger-placeholder"], ["class", "fu-app-trigger-mandatory"], [1, "fu-app-trigger-mandatory"], [1, "fusion-v4", "fu-app-trigger-app-key", 3, "tooltipConfiguration"], [1, "fusionTooltipTrigger"], [1, "fu-app-trigger-inline-copy-wrapper", 3, "fusionCopyToClipboard", "copied"], ["name", "ph/copy", 1, "fu-inline-copy-icon"], [1, "fusionTooltipContent"], [1, "font-v4-heading-5", 2, "margin-bottom", "5px"], [1, "font-v4-body-2"]], template: function AppTriggerComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵtemplate(1, AppTriggerComponent_Conditional_1_Template, 4, 4)(2, AppTriggerComponent_Conditional_2_Template, 3, 2);
            i0.ɵɵelement(3, "fusion-icon", 1);
            i0.ɵɵelementEnd();
            i0.ɵɵtemplate(4, AppTriggerComponent_Conditional_4_Template, 9, 3, "fusion-tooltip", 2);
        } if (rf & 2) {
            i0.ɵɵadvance();
            i0.ɵɵconditional(1, ctx.application ? 1 : 2);
            i0.ɵɵadvance(3);
            i0.ɵɵconditional(4, (ctx.application == null ? null : ctx.application.key) ? 4 : -1);
        } }, dependencies: [IconModule, i1.IconComponent, TooltipDirective, CopyToClipboardModule, i2.CopyToClipboardDirective, TooltipComponent], styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";.font-v4-bold[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%], .font-v4-chart-2[_ngcontent-%COMP%], .font-v4-chart-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold[_ngcontent-%COMP%], .font-v4-chip-label[_ngcontent-%COMP%], .font-v4-table-label[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-app-trigger-wrapper[_ngcontent-%COMP%], .font-v4-button[_ngcontent-%COMP%], .font-v4-heading-6[_ngcontent-%COMP%], .font-v4-heading-5[_ngcontent-%COMP%], .font-v4-heading-4[_ngcontent-%COMP%], .font-v4-heading-3[_ngcontent-%COMP%], .font-v4-heading-2[_ngcontent-%COMP%], .font-v4-heading-1[_ngcontent-%COMP%], .font-v4-title[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium[_ngcontent-%COMP%], .font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-input-label[_ngcontent-%COMP%], .font-v4-overline[_ngcontent-%COMP%], .font-v4-subtitle-2[_ngcontent-%COMP%], .font-v4-subtitle-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular[_ngcontent-%COMP%], .font-v4-caption[_ngcontent-%COMP%], .font-v4-body-2[_ngcontent-%COMP%], .font-v4-body-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title[_ngcontent-%COMP%]{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2[_ngcontent-%COMP%]{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3[_ngcontent-%COMP%]{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5[_ngcontent-%COMP%]{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6[_ngcontent-%COMP%]{font-size:.75rem;line-height:.75rem;letter-spacing:0}.font-v4-body-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-body-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2[_ngcontent-%COMP%]{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}[_nghost-%COMP%]   .fu-app-trigger-wrapper[_ngcontent-%COMP%], .font-v4-button[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}.font-v4-caption[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem}.font-v4-table-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem}.font-v4-chip-label[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:normal}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]{margin:0;padding:0;vertical-align:initial;text-align:initial}[_nghost-%COMP%]   .truncate[_ngcontent-%COMP%]{width:100%;display:inline-block;white-space:nowrap;overflow:hidden!important;text-overflow:ellipsis}@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}[_nghost-%COMP%]{--fu-app-trigger-padding: 0 12px;--fu-app-trigger-app-left-padding: 8px;--fu-app-trigger-gap: 4px;--fu-app-trigger-border-radius: 8px;--fu-app-trigger-background-color: var(--default-main, hsl(0, 0%, 94.51%));--fu-app-trigger-hover-background-color: var(--action-selected, hsl(0, 0%, 92%));--fu-app-trigger-color: var(--text-primary, hsl(0, 0%, 12.5%));--fu-app-trigger-image-size: 28px;--fu-app-trigger-image-border-radius: 6px;--fu-app-platforn-icon-size: 20px;--fu-app-platforn-icon-color: var(--action-active, hsl(0, 0%, 50.3%));--fu-app-platforn-icon-hover-color: var(--action-primary, hsl(0, 0%, 12.5%));--fu-app-trigger-mandatory-color: var(--error-main, hsl(358, 75%, 59%));--fu-app-trigger-carret-icon-size: 20px;--fu-app-trigger-carret-icon-color: var(--action-active, hsl(0, 0%, 50.3%));--fu-app-trigger-border: 1px solid var(--common-divider, hsl(0, 0%, 86.8%));display:flex;align-items:center;width:var(--fu-app-trigger-width, 100%);height:var(--fu-app-trigger-height, 40px)}[_nghost-%COMP%]   .fu-app-trigger-wrapper[_ngcontent-%COMP%]{width:100%;height:100%;padding:var(--fu-app-trigger-padding);display:flex;align-items:center;gap:var(--fu-app-trigger-gap);border-top-left-radius:var(--fu-app-trigger-border-radius);border-bottom-left-radius:var(--fu-app-trigger-border-radius);background:var(--fu-app-trigger-background-color);color:var(--fu-app-trigger-color)}[_nghost-%COMP%]   .fu-app-trigger-wrapper[_ngcontent-%COMP%]   .fu-app-trigger-platform[_ngcontent-%COMP%]{width:var(--fu-app-platforn-icon-size);height:var(--fu-app-platforn-icon-size);color:var(--fu-app-platforn-icon-color)}[_nghost-%COMP%]   .fu-app-trigger-wrapper[_ngcontent-%COMP%]   .fu-app-trigger-image[_ngcontent-%COMP%]{width:var(--fu-app-trigger-image-size);height:var(--fu-app-trigger-image-size);border-radius:var(--fu-app-trigger-image-border-radius)}[_nghost-%COMP%]   .fu-app-trigger-wrapper[_ngcontent-%COMP%]   .fu-app-trigger-mandatory[_ngcontent-%COMP%]{color:var(--fu-app-trigger-mandatory-color)}[_nghost-%COMP%]   .fu-app-trigger-wrapper[_ngcontent-%COMP%]   .fu-app-trigger-caret-icon[_ngcontent-%COMP%]{margin-left:auto;width:var(--fu-app-trigger-carret-icon-size);height:var(--fu-app-trigger-carret-icon-size);color:var(--fu-app-trigger-carret-icon-color)}[_nghost-%COMP%]   .fu-app-trigger-wrapper[_ngcontent-%COMP%]:hover{cursor:pointer;background-color:var(--fu-app-trigger-hover-background-color)}[_nghost-%COMP%]   .fu-app-trigger-wrapper[_ngcontent-%COMP%]:has(.fu-app-trigger-image){padding-left:var(--fu-app-trigger-app-left-padding)}[_nghost-%COMP%]   .fu-app-trigger-inline-copy-wrapper[_ngcontent-%COMP%]{margin-left:auto;display:flex;align-items:center;border-top-right-radius:var(--fu-app-trigger-border-radius);border-bottom-right-radius:var(--fu-app-trigger-border-radius);background:var(--fu-app-trigger-background-color);border-left:var(--fu-app-trigger-border);padding:10px;width:40px;height:100%}[_nghost-%COMP%]   .fu-app-trigger-inline-copy-wrapper[_ngcontent-%COMP%]   .fu-inline-copy-icon[_ngcontent-%COMP%]{width:20px;height:20px;color:var(--fu-app-platforn-icon-color)}[_nghost-%COMP%]   .fu-app-trigger-inline-copy-wrapper[_ngcontent-%COMP%]:hover{cursor:pointer;background-color:var(--fu-app-trigger-hover-background-color)}[_nghost-%COMP%]   .fu-app-trigger-inline-copy-wrapper[_ngcontent-%COMP%]:hover   .fu-inline-copy-icon[_ngcontent-%COMP%]{color:var(--fu-app-platforn-icon-hover-color)}[_nghost-%COMP%]:not(:has(.fu-app-trigger-app-key))   .fu-app-trigger-wrapper[_ngcontent-%COMP%]{border-top-right-radius:var(--fu-app-trigger-border-radius);border-bottom-right-radius:var(--fu-app-trigger-border-radius)}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(AppTriggerComponent, [{
        type: Component,
        args: [{ selector: 'fusion-app-trigger', standalone: true, host: { class: 'fusion-v4' }, imports: [IconModule, TooltipDirective, CopyToClipboardModule, TooltipComponent], providers: [SnackbarService], changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"fu-app-trigger-wrapper\">\n        @if (application) {\n            <img loading=\"lazy\" [src]=\"appImageSrc\" class=\"fu-app-trigger-image\"/>\n            <fusion-icon class=\"fu-app-trigger-platform\" [name]=\"platformIcon\"></fusion-icon>\n            <div class=\"fu-app-trigger-name truncate\" [fusionTooltip]=\"application.name\">{{ application?.name }}</div>\n        } @else {\n            <div class=\"fu-app-trigger-placeholder\">{{ placeholderText }}</div>\n            @if (required) {\n                <div class=\"fu-app-trigger-mandatory\">*</div>\n            }\n        }\n        <fusion-icon class=\"fu-app-trigger-caret-icon\" name=\"ph/caret-down\"></fusion-icon>\n</div>\n@if (application?.key) {\n    <fusion-tooltip class=\"fusion-v4 fu-app-trigger-app-key\" [tooltipConfiguration]=\"tooltipConfiguration\">\n        <div class=\"fusionTooltipTrigger\">\n            <div class=\"fu-app-trigger-inline-copy-wrapper\"\n                 [fusionCopyToClipboard]=\"copyToClipboard()\"\n                 (copied)=\"textCopied()\"\n            >\n                <fusion-icon class=\"fu-inline-copy-icon\" name=\"ph/copy\"/>\n            </div>\n\n        </div>\n        <div class=\"fusionTooltipContent\">\n            <div class=\"font-v4-heading-5\" style=\"margin-bottom: 5px;\">Copy app key</div>\n            <div class=\"font-v4-body-2\">{{application.key}}</div>\n        </div>\n    </fusion-tooltip>\n}\n", styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";.font-v4-bold,.font-v4-tab-label-2,.font-v4-chart-2,.font-v4-chart-1{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold,.font-v4-chip-label,.font-v4-table-label,:host .fu-app-trigger-wrapper,.font-v4-button,.font-v4-heading-6,.font-v4-heading-5,.font-v4-heading-4,.font-v4-heading-3,.font-v4-heading-2,.font-v4-heading-1,.font-v4-title{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium,.font-v4-tab-label-1,.font-v4-input-label,.font-v4-overline,.font-v4-subtitle-2,.font-v4-subtitle-1{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular,.font-v4-caption,.font-v4-body-2,.font-v4-body-1{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6{font-size:.75rem;line-height:.75rem;letter-spacing:0}.font-v4-body-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-body-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}:host .fu-app-trigger-wrapper,.font-v4-button{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}.font-v4-caption{font-size:.75rem;line-height:1rem}.font-v4-table-label{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1,.font-v4-tab-label-2{font-size:.875rem;line-height:1rem}.font-v4-chip-label{font-size:.75rem;line-height:1rem;letter-spacing:normal}:host *{box-sizing:border-box}:host{margin:0;padding:0;vertical-align:initial;text-align:initial}:host .truncate{width:100%;display:inline-block;white-space:nowrap;overflow:hidden!important;text-overflow:ellipsis}@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}:host{--fu-app-trigger-padding: 0 12px;--fu-app-trigger-app-left-padding: 8px;--fu-app-trigger-gap: 4px;--fu-app-trigger-border-radius: 8px;--fu-app-trigger-background-color: var(--default-main, hsl(0, 0%, 94.51%));--fu-app-trigger-hover-background-color: var(--action-selected, hsl(0, 0%, 92%));--fu-app-trigger-color: var(--text-primary, hsl(0, 0%, 12.5%));--fu-app-trigger-image-size: 28px;--fu-app-trigger-image-border-radius: 6px;--fu-app-platforn-icon-size: 20px;--fu-app-platforn-icon-color: var(--action-active, hsl(0, 0%, 50.3%));--fu-app-platforn-icon-hover-color: var(--action-primary, hsl(0, 0%, 12.5%));--fu-app-trigger-mandatory-color: var(--error-main, hsl(358, 75%, 59%));--fu-app-trigger-carret-icon-size: 20px;--fu-app-trigger-carret-icon-color: var(--action-active, hsl(0, 0%, 50.3%));--fu-app-trigger-border: 1px solid var(--common-divider, hsl(0, 0%, 86.8%));display:flex;align-items:center;width:var(--fu-app-trigger-width, 100%);height:var(--fu-app-trigger-height, 40px)}:host .fu-app-trigger-wrapper{width:100%;height:100%;padding:var(--fu-app-trigger-padding);display:flex;align-items:center;gap:var(--fu-app-trigger-gap);border-top-left-radius:var(--fu-app-trigger-border-radius);border-bottom-left-radius:var(--fu-app-trigger-border-radius);background:var(--fu-app-trigger-background-color);color:var(--fu-app-trigger-color)}:host .fu-app-trigger-wrapper .fu-app-trigger-platform{width:var(--fu-app-platforn-icon-size);height:var(--fu-app-platforn-icon-size);color:var(--fu-app-platforn-icon-color)}:host .fu-app-trigger-wrapper .fu-app-trigger-image{width:var(--fu-app-trigger-image-size);height:var(--fu-app-trigger-image-size);border-radius:var(--fu-app-trigger-image-border-radius)}:host .fu-app-trigger-wrapper .fu-app-trigger-mandatory{color:var(--fu-app-trigger-mandatory-color)}:host .fu-app-trigger-wrapper .fu-app-trigger-caret-icon{margin-left:auto;width:var(--fu-app-trigger-carret-icon-size);height:var(--fu-app-trigger-carret-icon-size);color:var(--fu-app-trigger-carret-icon-color)}:host .fu-app-trigger-wrapper:hover{cursor:pointer;background-color:var(--fu-app-trigger-hover-background-color)}:host .fu-app-trigger-wrapper:has(.fu-app-trigger-image){padding-left:var(--fu-app-trigger-app-left-padding)}:host .fu-app-trigger-inline-copy-wrapper{margin-left:auto;display:flex;align-items:center;border-top-right-radius:var(--fu-app-trigger-border-radius);border-bottom-right-radius:var(--fu-app-trigger-border-radius);background:var(--fu-app-trigger-background-color);border-left:var(--fu-app-trigger-border);padding:10px;width:40px;height:100%}:host .fu-app-trigger-inline-copy-wrapper .fu-inline-copy-icon{width:20px;height:20px;color:var(--fu-app-platforn-icon-color)}:host .fu-app-trigger-inline-copy-wrapper:hover{cursor:pointer;background-color:var(--fu-app-trigger-hover-background-color)}:host .fu-app-trigger-inline-copy-wrapper:hover .fu-inline-copy-icon{color:var(--fu-app-platforn-icon-hover-color)}:host:not(:has(.fu-app-trigger-app-key)) .fu-app-trigger-wrapper{border-top-right-radius:var(--fu-app-trigger-border-radius);border-bottom-right-radius:var(--fu-app-trigger-border-radius)}\n"] }]
    }], null, { application: [{
            type: Input
        }], placeholder: [{
            type: Input
        }], required: [{
            type: Input
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(AppTriggerComponent, { className: "AppTriggerComponent", filePath: "v4/app-trigger.component.ts", lineNumber: 20 }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { AppTriggerComponent };
//# sourceMappingURL=ironsource-fusion-ui-components-app-trigger.mjs.map
