import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy } from '@angular/core';
import { DatePipe, CurrencyPipe, DecimalPipe, PercentPipe, CommonModule } from '@angular/common';
import { ArcElement, LineElement, BarElement, PointElement, LineController, BarController, PieController, ScatterController, CategoryScale, LinearScale, Filler, Tooltip, Chart } from 'chart.js';
import { ChartBaseComponent, ChartDataService } from '@ironsource/fusion-ui/components/chart/common/base';
export { ChartDataService, ChartType } from '@ironsource/fusion-ui/components/chart/common/base';
import { ShortNumberScaleSuffixPipe } from '@ironsource/fusion-ui/pipes/numbers';

Chart.register(ArcElement, LineElement, BarElement, PointElement, LineController, BarController, PieController, ScatterController, CategoryScale, LinearScale, Filler, Tooltip);
class ChartV4Component extends ChartBaseComponent {
    constructor() {
        super(...arguments);
        /** @internal */
        this.componentVersion = 4;
    }
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵChartV4Component_BaseFactory; return function ChartV4Component_Factory(t) { return (ɵChartV4Component_BaseFactory || (ɵChartV4Component_BaseFactory = i0.ɵɵgetInheritedFactory(ChartV4Component)))(t || ChartV4Component); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: ChartV4Component, selectors: [["fusion-chart"]], hostAttrs: [1, "fusion-v4"], standalone: true, features: [i0.ɵɵProvidersFeature([DatePipe, CurrencyPipe, DecimalPipe, PercentPipe, ChartDataService, ShortNumberScaleSuffixPipe]), i0.ɵɵInheritDefinitionFeature, i0.ɵɵStandaloneFeature], decls: 2, vars: 0, consts: [[1, "fu-chart-wrapper"]], template: function ChartV4Component_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵelement(1, "canvas");
            i0.ɵɵelementEnd();
        } }, dependencies: [CommonModule], styles: ["[_nghost-%COMP%]   .fu-chart-wrapper[_ngcontent-%COMP%]{height:var(--chart-canvas-height, 100%);position:relative}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(ChartV4Component, [{
        type: Component,
        args: [{ selector: 'fusion-chart', standalone: true, imports: [CommonModule, ShortNumberScaleSuffixPipe], providers: [DatePipe, CurrencyPipe, DecimalPipe, PercentPipe, ChartDataService, ShortNumberScaleSuffixPipe], host: { class: 'fusion-v4' }, changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"fu-chart-wrapper\">\n    <canvas></canvas>\n</div>", styles: [":host .fu-chart-wrapper{height:var(--chart-canvas-height, 100%);position:relative}\n"] }]
    }], null, null); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(ChartV4Component, { className: "ChartV4Component", filePath: "chart-v4.component.ts", lineNumber: 47 }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { ChartV4Component as ChartComponent };
//# sourceMappingURL=ironsource-fusion-ui-components-chart-v4.mjs.map
