import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, NgModule } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import { NG_VALUE_ACCESSOR } from '@angular/forms';
import { CheckboxBaseComponent } from '@ironsource/fusion-ui/components/checkbox/common/base';
import * as i2 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import * as i3 from '@ironsource/fusion-ui/components/flag/v1';
import { FlagModule } from '@ironsource/fusion-ui/components/flag/v1';
import * as i4 from '@ironsource/fusion-ui/components/tooltip/v1';
import { TooltipModule } from '@ironsource/fusion-ui/components/tooltip/v1';

/* eslint-disable max-len */
const BASE_CHECKED_IMAGE = {
    style_v1: {
        checked: `<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="15" height="15">
    <defs>
        <rect id="a" width="15" height="15" rx="2"/>
    </defs>
    <g fill="none" fill-rule="evenodd">
        <use fill="{backgroundColor}" xlink:href="#a"/>
        <path fill="#FFF"
              d="M12.395 5.852l-4.47 4.47-.84.84a.57.57 0 0 1-.42.172.57.57 0 0 1-.418-.173l-.84-.84-2.234-2.233A.57.57 0 0 1 3 7.667c0-.165.058-.305.173-.42l.84-.84a.57.57 0 0 1 .42-.172c.164 0 .304.057.42.172L6.666 8.23l4.05-4.056a.57.57 0 0 1 .42-.173.58.58 0 0 1 .42.174l.84.84a.57.57 0 0 1 .17.42.57.57 0 0 1-.172.42z"/>
    </g>
</svg>`,
        indeterminate: `<svg xmlns="http://www.w3.org/2000/svg" width="15" height="15" viewBox="0 0 15 15">
    <g fill="none" fill-rule="evenodd">
        <rect width="14" height="14" x=".5" y=".5" stroke="#3091F6" rx="2"/>
        <path fill="{backgroundColor}" d="M4 6h7v3H4z"/>
    </g>
</svg>
`
    }
};

function CheckboxComponent_fusion_icon_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 3);
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵproperty("name", ctx_r0.icon);
} }
function CheckboxComponent_fusion_flag_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-flag", 3);
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵproperty("name", ctx_r1.flag);
} }
class CheckboxComponent extends CheckboxBaseComponent {
    /** @internal */
    getBackgroundImage() {
        let svg;
        if (this.backgroundColor && (this.checked || this.isIndeterminate)) {
            const baseSvg = BASE_CHECKED_IMAGE.style_v1;
            svg = this.sanitizer.bypassSecurityTrustStyle(`url("data:image/svg+xml,${encodeURIComponent(baseSvg[this.isIndeterminate ? 'indeterminate' : 'checked'].replace('{backgroundColor}', this.backgroundColor))}") left top no-repeat`);
        }
        return svg;
    }
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵCheckboxComponent_BaseFactory; return function CheckboxComponent_Factory(t) { return (ɵCheckboxComponent_BaseFactory || (ɵCheckboxComponent_BaseFactory = i0.ɵɵgetInheritedFactory(CheckboxComponent)))(t || CheckboxComponent); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: CheckboxComponent, selectors: [["fusion-checkbox"]], features: [i0.ɵɵProvidersFeature([
                {
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(() => CheckboxComponent),
                    multi: true
                }
            ]), i0.ɵɵInheritDefinitionFeature], decls: 6, vars: 14, consts: [["type", "checkbox", 3, "id", "value", "checked", "disabled", "indeterminate", "change"], [3, "for", "ngClass", "fusionTooltip", "tooltipWidth"], [3, "name", 4, "ngIf"], [3, "name"]], template: function CheckboxComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "input", 0);
            i0.ɵɵlistener("change", function CheckboxComponent_Template_input_change_0_listener($event) { return ctx.change($event); });
            i0.ɵɵelementEnd();
            i0.ɵɵelementStart(1, "label", 1);
            i0.ɵɵelement(2, "span");
            i0.ɵɵtemplate(3, CheckboxComponent_fusion_icon_3_Template, 1, 1, "fusion-icon", 2)(4, CheckboxComponent_fusion_flag_4_Template, 1, 1, "fusion-flag", 2);
            i0.ɵɵtext(5);
            i0.ɵɵelementEnd();
        } if (rf & 2) {
            i0.ɵɵproperty("id", ctx.id)("value", ctx.value)("checked", ctx.checked)("disabled", ctx.isDisabled || ctx.isDisabledForm)("indeterminate", ctx.isIndeterminate);
            i0.ɵɵadvance();
            i0.ɵɵproperty("for", ctx.id)("ngClass", ctx.class)("fusionTooltip", ctx.toolTip)("tooltipWidth", ctx.tooltipWidth);
            i0.ɵɵadvance();
            i0.ɵɵstyleProp("background", ctx.getBackgroundImage());
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.icon);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.flag);
            i0.ɵɵadvance();
            i0.ɵɵtextInterpolate1("", ctx.label, "\n");
        } }, dependencies: [i1.NgClass, i1.NgIf, i2.IconComponent, i3.FlagComponent, i4.TooltipDirective], styles: ["[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%] + label[_ngcontent-%COMP%]{font-size:13px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:400}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%] + label.font13[_ngcontent-%COMP%]{font-size:12px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:700}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%] + label.font14[_ngcontent-%COMP%]{font-size:12px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:400}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%]{display:none}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%] + label[_ngcontent-%COMP%]{color:var(--dark-color-300, #172D4C);-webkit-user-select:none;user-select:none;cursor:pointer}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%] + label.maxWidth[_ngcontent-%COMP%]{width:100%;display:inline-block;padding-right:10px}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%] + label[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]{display:inline-block;width:19px;height:19px;margin-top:2px;margin-right:3px;vertical-align:middle;background:url(data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22%20width%3D%2215%22%20height%3D%2215%22%20viewBox%3D%220%200%2015%2015%22%3E%3Cdefs%3E%3Crect%20id%3D%22a%22%20width%3D%2215%22%20height%3D%2215%22%20rx%3D%222%22%2F%3E%3C%2Fdefs%3E%3Cg%20fill%3D%22none%22%20fill-rule%3D%22evenodd%22%3E%3Cuse%20fill%3D%22%23FFF%22%20xlink%3Ahref%3D%22%23a%22%2F%3E%3Crect%20width%3D%2214%22%20height%3D%2214%22%20x%3D%22.5%22%20y%3D%22.5%22%20stroke%3D%22%23C2CDD7%22%20rx%3D%222%22%2F%3E%3C%2Fg%3E%3C%2Fsvg%3E) left top no-repeat;cursor:pointer}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%] + label[_ngcontent-%COMP%]   span.is-partial[_ngcontent-%COMP%]{background:url(data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20width%3D%2215%22%20height%3D%2215%22%20viewBox%3D%220%200%2015%2015%22%3E%0A%20%20%20%20%3Cg%20fill%3D%22none%22%20fill-rule%3D%22evenodd%22%3E%0A%20%20%20%20%20%20%20%20%3Crect%20width%3D%2214%22%20height%3D%2214%22%20x%3D%22.5%22%20y%3D%22.5%22%20stroke%3D%22%233091F6%22%20rx%3D%222%22/%3E%0A%20%20%20%20%20%20%20%20%3Cpath%20fill%3D%22%233091F6%22%20d%3D%22M4%206h7v3H4z%22/%3E%0A%20%20%20%20%3C/g%3E%0A%3C/svg%3E%0A) left top no-repeat}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%]:checked + label[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]{background:url(data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22%20width%3D%2215%22%20height%3D%2215%22%20viewBox%3D%220%200%2015%2015%22%3E%3Cdefs%3E%3Crect%20id%3D%22a%22%20width%3D%2215%22%20height%3D%2215%22%20rx%3D%222%22%2F%3E%3C%2Fdefs%3E%3Cg%20fill%3D%22none%22%20fill-rule%3D%22evenodd%22%3E%3Cuse%20fill%3D%22%23FFF%22%20xlink%3Ahref%3D%22%23a%22%2F%3E%3Crect%20width%3D%2214%22%20height%3D%2214%22%20x%3D%22.5%22%20y%3D%22.5%22%20stroke%3D%22%233091F6%22%20rx%3D%222%22%2F%3E%3Cpath%20fill%3D%22%233091F6%22%20d%3D%22M12.395%205.852l-4.47%204.47-.84.84a.57.57%200%200%201-.42.172.57.57%200%200%201-.418-.173l-.84-.84-2.234-2.233A.57.57%200%200%201%203%207.667c0-.165.058-.305.173-.42l.84-.84a.57.57%200%200%201%20.42-.172c.164%200%20.304.057.42.172L6.666%208.23l4.05-4.056a.57.57%200%200%201%20.42-.173c.164%200%20.304.06.42.174l.84.84a.57.57%200%200%201%20.17.42.57.57%200%200%201-.172.42z%22%2F%3E%3C%2Fg%3E%3C%2Fsvg%3E) left top no-repeat}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%]:indeterminate + label[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]{background:url(data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20width%3D%2215%22%20height%3D%2215%22%20viewBox%3D%220%200%2015%2015%22%3E%0A%20%20%20%20%3Cg%20fill%3D%22none%22%20fill-rule%3D%22evenodd%22%3E%0A%20%20%20%20%20%20%20%20%3Crect%20width%3D%2214%22%20height%3D%2214%22%20x%3D%22.5%22%20y%3D%22.5%22%20stroke%3D%22%233091F6%22%20rx%3D%222%22/%3E%0A%20%20%20%20%20%20%20%20%3Cpath%20fill%3D%22%233091F6%22%20d%3D%22M4%206h7v3H4z%22/%3E%0A%20%20%20%20%3C/g%3E%0A%3C/svg%3E%0A) left top no-repeat}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%]:disabled + label[_ngcontent-%COMP%]{color:var(--light-color-700, #95A6B8);cursor:default}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%]:disabled + label[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]{background:url(data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20width%3D%2215%22%20height%3D%2215%22%20xmlns%3Axlink%3D%22http%3A//www.w3.org/1999/xlink%22%3E%3Cdefs%3E%3Crect%20id%3D%22a%22%20width%3D%2215%22%20height%3D%2215%22%20rx%3D%222%22/%3E%3C/defs%3E%3Cg%20fill%3D%22none%22%20fill-rule%3D%22evenodd%22%3E%3Cuse%20fill%3D%22%23F3F5F7%22%20xlink%3Ahref%3D%22%23a%22/%3E%3Crect%20width%3D%2214%22%20height%3D%2214%22%20x%3D%22.5%22%20y%3D%22.5%22%20stroke%3D%22%23C2CDD7%22%20rx%3D%222%22/%3E%3C/g%3E%3C/svg%3E) left top no-repeat;cursor:default}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%]:disabled:checked + label[_ngcontent-%COMP%]{cursor:default}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%]:disabled:checked + label[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]{background:url(data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22%20width%3D%2215%22%20height%3D%2215%22%20viewBox%3D%220%200%2015%2015%22%3E%3Cdefs%3E%3Crect%20id%3D%22a%22%20width%3D%2215%22%20height%3D%2215%22%20rx%3D%222%22%2F%3E%3C%2Fdefs%3E%3Cg%20fill%3D%22none%22%20fill-rule%3D%22evenodd%22%3E%3Cuse%20fill%3D%22%23FFF%22%20xlink%3Ahref%3D%22%23a%22%2F%3E%3Crect%20width%3D%2214%22%20height%3D%2214%22%20x%3D%22.5%22%20y%3D%22.5%22%20stroke%3D%22%2395A6B8%22%20rx%3D%222%22%2F%3E%3Cpath%20fill%3D%22%2395A6B8%22%20d%3D%22M12.395%205.852l-4.47%204.47-.84.84a.57.57%200%200%201-.42.172.57.57%200%200%201-.418-.173l-.84-.84-2.234-2.233A.57.57%200%200%201%203%207.667c0-.165.058-.305.173-.42l.84-.84a.57.57%200%200%201%20.42-.172c.164%200%20.304.057.42.172L6.666%208.23l4.05-4.056a.57.57%200%200%201%20.42-.173c.164%200%20.304.06.42.174l.84.84a.57.57%200%200%201%20.17.42.57.57%200%200%201-.172.42z%22%2F%3E%3C%2Fg%3E%3C%2Fsvg%3E) left top no-repeat;cursor:default}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%]:disabled:indeterminate + label[_ngcontent-%COMP%]{cursor:default}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%]:disabled:indeterminate + label[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]{background:url(data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20width%3D%2215%22%20height%3D%2215%22%20viewBox%3D%220%200%2015%2015%22%3E%0A%20%20%20%20%3Cg%20fill%3D%22none%22%20fill-rule%3D%22evenodd%22%3E%0A%20%20%20%20%20%20%20%20%3Crect%20width%3D%2214%22%20height%3D%2214%22%20x%3D%22.5%22%20y%3D%22.5%22%20stroke%3D%22%2395A6B8%22%20rx%3D%222%22/%3E%0A%20%20%20%20%20%20%20%20%3Cpath%20fill%3D%22%2395A6B8%22%20d%3D%22M4%206h7v3H4z%22/%3E%0A%20%20%20%20%3C/g%3E%0A%3C/svg%3E%0A) left top no-repeat;cursor:default}[_nghost-%COMP%]   label[_ngcontent-%COMP%]   fusion-flag[_ngcontent-%COMP%]{margin-right:13px;margin-left:1px;height:15px;width:15px}[_nghost-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon[_ngcontent-%COMP%]{padding-right:3px;vertical-align:middle}[_nghost-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon[_ngcontent-%COMP%]     svg{width:15px;height:15px}[_nghost-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon[_ngcontent-%COMP%]     svg *{fill:var(--light-color-700, #95A6B8)}.only-checkbox[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%] + label[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]{margin-right:0}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(CheckboxComponent, [{
        type: Component,
        args: [{ selector: 'fusion-checkbox', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => CheckboxComponent),
                        multi: true
                    }
                ], template: "<input\n    type=\"checkbox\"\n    [id]=\"id\"\n    [value]=\"value\"\n    [checked]=\"checked\"\n    [disabled]=\"isDisabled || isDisabledForm\"\n    (change)=\"change($event)\"\n    [indeterminate]=\"isIndeterminate\"\n/>\n<label [for]=\"id\" [ngClass]=\"class\" [fusionTooltip]=\"toolTip\" [tooltipWidth]=\"tooltipWidth\">\n    <span [style.background]=\"getBackgroundImage()\"></span><fusion-icon *ngIf=\"icon\" [name]=\"icon\"></fusion-icon\n    ><fusion-flag *ngIf=\"flag\" [name]=\"flag\"></fusion-flag>{{ label }}\n</label>\n", styles: [":host input[type=checkbox]+label{font-size:13px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:400}:host input[type=checkbox]+label.font13{font-size:12px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:700}:host input[type=checkbox]+label.font14{font-size:12px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:400}:host input[type=checkbox]{display:none}:host input[type=checkbox]+label{color:var(--dark-color-300, #172D4C);-webkit-user-select:none;user-select:none;cursor:pointer}:host input[type=checkbox]+label.maxWidth{width:100%;display:inline-block;padding-right:10px}:host input[type=checkbox]+label span{display:inline-block;width:19px;height:19px;margin-top:2px;margin-right:3px;vertical-align:middle;background:url(data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22%20width%3D%2215%22%20height%3D%2215%22%20viewBox%3D%220%200%2015%2015%22%3E%3Cdefs%3E%3Crect%20id%3D%22a%22%20width%3D%2215%22%20height%3D%2215%22%20rx%3D%222%22%2F%3E%3C%2Fdefs%3E%3Cg%20fill%3D%22none%22%20fill-rule%3D%22evenodd%22%3E%3Cuse%20fill%3D%22%23FFF%22%20xlink%3Ahref%3D%22%23a%22%2F%3E%3Crect%20width%3D%2214%22%20height%3D%2214%22%20x%3D%22.5%22%20y%3D%22.5%22%20stroke%3D%22%23C2CDD7%22%20rx%3D%222%22%2F%3E%3C%2Fg%3E%3C%2Fsvg%3E) left top no-repeat;cursor:pointer}:host input[type=checkbox]+label span.is-partial{background:url(data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20width%3D%2215%22%20height%3D%2215%22%20viewBox%3D%220%200%2015%2015%22%3E%0A%20%20%20%20%3Cg%20fill%3D%22none%22%20fill-rule%3D%22evenodd%22%3E%0A%20%20%20%20%20%20%20%20%3Crect%20width%3D%2214%22%20height%3D%2214%22%20x%3D%22.5%22%20y%3D%22.5%22%20stroke%3D%22%233091F6%22%20rx%3D%222%22/%3E%0A%20%20%20%20%20%20%20%20%3Cpath%20fill%3D%22%233091F6%22%20d%3D%22M4%206h7v3H4z%22/%3E%0A%20%20%20%20%3C/g%3E%0A%3C/svg%3E%0A) left top no-repeat}:host input[type=checkbox]:checked+label span{background:url(data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22%20width%3D%2215%22%20height%3D%2215%22%20viewBox%3D%220%200%2015%2015%22%3E%3Cdefs%3E%3Crect%20id%3D%22a%22%20width%3D%2215%22%20height%3D%2215%22%20rx%3D%222%22%2F%3E%3C%2Fdefs%3E%3Cg%20fill%3D%22none%22%20fill-rule%3D%22evenodd%22%3E%3Cuse%20fill%3D%22%23FFF%22%20xlink%3Ahref%3D%22%23a%22%2F%3E%3Crect%20width%3D%2214%22%20height%3D%2214%22%20x%3D%22.5%22%20y%3D%22.5%22%20stroke%3D%22%233091F6%22%20rx%3D%222%22%2F%3E%3Cpath%20fill%3D%22%233091F6%22%20d%3D%22M12.395%205.852l-4.47%204.47-.84.84a.57.57%200%200%201-.42.172.57.57%200%200%201-.418-.173l-.84-.84-2.234-2.233A.57.57%200%200%201%203%207.667c0-.165.058-.305.173-.42l.84-.84a.57.57%200%200%201%20.42-.172c.164%200%20.304.057.42.172L6.666%208.23l4.05-4.056a.57.57%200%200%201%20.42-.173c.164%200%20.304.06.42.174l.84.84a.57.57%200%200%201%20.17.42.57.57%200%200%201-.172.42z%22%2F%3E%3C%2Fg%3E%3C%2Fsvg%3E) left top no-repeat}:host input[type=checkbox]:indeterminate+label span{background:url(data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20width%3D%2215%22%20height%3D%2215%22%20viewBox%3D%220%200%2015%2015%22%3E%0A%20%20%20%20%3Cg%20fill%3D%22none%22%20fill-rule%3D%22evenodd%22%3E%0A%20%20%20%20%20%20%20%20%3Crect%20width%3D%2214%22%20height%3D%2214%22%20x%3D%22.5%22%20y%3D%22.5%22%20stroke%3D%22%233091F6%22%20rx%3D%222%22/%3E%0A%20%20%20%20%20%20%20%20%3Cpath%20fill%3D%22%233091F6%22%20d%3D%22M4%206h7v3H4z%22/%3E%0A%20%20%20%20%3C/g%3E%0A%3C/svg%3E%0A) left top no-repeat}:host input[type=checkbox]:disabled+label{color:var(--light-color-700, #95A6B8);cursor:default}:host input[type=checkbox]:disabled+label span{background:url(data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20width%3D%2215%22%20height%3D%2215%22%20xmlns%3Axlink%3D%22http%3A//www.w3.org/1999/xlink%22%3E%3Cdefs%3E%3Crect%20id%3D%22a%22%20width%3D%2215%22%20height%3D%2215%22%20rx%3D%222%22/%3E%3C/defs%3E%3Cg%20fill%3D%22none%22%20fill-rule%3D%22evenodd%22%3E%3Cuse%20fill%3D%22%23F3F5F7%22%20xlink%3Ahref%3D%22%23a%22/%3E%3Crect%20width%3D%2214%22%20height%3D%2214%22%20x%3D%22.5%22%20y%3D%22.5%22%20stroke%3D%22%23C2CDD7%22%20rx%3D%222%22/%3E%3C/g%3E%3C/svg%3E) left top no-repeat;cursor:default}:host input[type=checkbox]:disabled:checked+label{cursor:default}:host input[type=checkbox]:disabled:checked+label span{background:url(data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22%20width%3D%2215%22%20height%3D%2215%22%20viewBox%3D%220%200%2015%2015%22%3E%3Cdefs%3E%3Crect%20id%3D%22a%22%20width%3D%2215%22%20height%3D%2215%22%20rx%3D%222%22%2F%3E%3C%2Fdefs%3E%3Cg%20fill%3D%22none%22%20fill-rule%3D%22evenodd%22%3E%3Cuse%20fill%3D%22%23FFF%22%20xlink%3Ahref%3D%22%23a%22%2F%3E%3Crect%20width%3D%2214%22%20height%3D%2214%22%20x%3D%22.5%22%20y%3D%22.5%22%20stroke%3D%22%2395A6B8%22%20rx%3D%222%22%2F%3E%3Cpath%20fill%3D%22%2395A6B8%22%20d%3D%22M12.395%205.852l-4.47%204.47-.84.84a.57.57%200%200%201-.42.172.57.57%200%200%201-.418-.173l-.84-.84-2.234-2.233A.57.57%200%200%201%203%207.667c0-.165.058-.305.173-.42l.84-.84a.57.57%200%200%201%20.42-.172c.164%200%20.304.057.42.172L6.666%208.23l4.05-4.056a.57.57%200%200%201%20.42-.173c.164%200%20.304.06.42.174l.84.84a.57.57%200%200%201%20.17.42.57.57%200%200%201-.172.42z%22%2F%3E%3C%2Fg%3E%3C%2Fsvg%3E) left top no-repeat;cursor:default}:host input[type=checkbox]:disabled:indeterminate+label{cursor:default}:host input[type=checkbox]:disabled:indeterminate+label span{background:url(data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20width%3D%2215%22%20height%3D%2215%22%20viewBox%3D%220%200%2015%2015%22%3E%0A%20%20%20%20%3Cg%20fill%3D%22none%22%20fill-rule%3D%22evenodd%22%3E%0A%20%20%20%20%20%20%20%20%3Crect%20width%3D%2214%22%20height%3D%2214%22%20x%3D%22.5%22%20y%3D%22.5%22%20stroke%3D%22%2395A6B8%22%20rx%3D%222%22/%3E%0A%20%20%20%20%20%20%20%20%3Cpath%20fill%3D%22%2395A6B8%22%20d%3D%22M4%206h7v3H4z%22/%3E%0A%20%20%20%20%3C/g%3E%0A%3C/svg%3E%0A) left top no-repeat;cursor:default}:host label fusion-flag{margin-right:13px;margin-left:1px;height:15px;width:15px}:host label fusion-icon{padding-right:3px;vertical-align:middle}:host label fusion-icon ::ng-deep svg{width:15px;height:15px}:host label fusion-icon ::ng-deep svg *{fill:var(--light-color-700, #95A6B8)}:host.only-checkbox input[type=checkbox]+label span{margin-right:0}\n"] }]
    }], null, null); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(CheckboxComponent, { className: "CheckboxComponent", filePath: "checkbox.component.ts", lineNumber: 19 }); })();

class CheckboxModule {
    static { this.ɵfac = function CheckboxModule_Factory(t) { return new (t || CheckboxModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: CheckboxModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule, IconModule, FlagModule, TooltipModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(CheckboxModule, [{
        type: NgModule,
        args: [{
                declarations: [CheckboxComponent],
                exports: [CheckboxComponent],
                imports: [CommonModule, IconModule, FlagModule, TooltipModule]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(CheckboxModule, { declarations: [CheckboxComponent], imports: [CommonModule, IconModule, FlagModule, TooltipModule], exports: [CheckboxComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { CheckboxComponent, CheckboxModule };
//# sourceMappingURL=ironsource-fusion-ui-components-checkbox-v1.mjs.map
