import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, NgModule } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import { NG_VALUE_ACCESSOR } from '@angular/forms';
import { CheckboxBaseComponent } from '@ironsource/fusion-ui/components/checkbox/common/base';
import * as i2 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import * as i3 from '@ironsource/fusion-ui/components/flag/v1';
import { FlagModule } from '@ironsource/fusion-ui/components/flag/v1';
import * as i4 from '@ironsource/fusion-ui/components/tooltip/v2';
import { TooltipModule } from '@ironsource/fusion-ui/components/tooltip/v2';

/* eslint-disable max-len */
const BASE_CHECKED_IMAGE = {
    style_v2: {
        checked: `<svg viewBox="0 0 14 14" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
  <defs>
    <path d="M6.283 9.882l4.6-4.626a.404.404 0 000-.57l-.566-.568a.398.398 0 00-.566 0L6 7.89 4.249 6.129a.398.398 0 00-.566 0l-.566.57a.404.404 0 000 .568l2.6 2.615c.156.157.41.157.566 0z" id="a"/>
  </defs>
  <g fill="none" fill-rule="evenodd">
    <rect fill="{backgroundColor}" width="14" height="14" rx="3"/>
    <use fill="#FFF" xlink:href="#a"/>
  </g>
</svg>`,
        indeterminate: `<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 14 14">
    <g fill="none" fill-rule="evenodd" transform="translate(-1 -1)">
        <rect width="14" height="14" x="1" y="1" fill="{backgroundColor}" rx="3"></rect>
        <path fill="#FFF" d="M5 7h6v2H5z"></path>
    </g>
</svg>`
    }
};

function CheckboxComponent_fusion_icon_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 3);
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵproperty("name", ctx_r0.icon);
} }
function CheckboxComponent_fusion_flag_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-flag", 3);
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵproperty("name", ctx_r1.flag);
} }
class CheckboxComponent extends CheckboxBaseComponent {
    /** @internal */
    getBackgroundImage() {
        let svg;
        if (this.backgroundColor && (this.checked || this.isIndeterminate)) {
            const baseSvg = BASE_CHECKED_IMAGE.style_v2;
            svg = this.sanitizer.bypassSecurityTrustStyle(`url("data:image/svg+xml,${encodeURIComponent(baseSvg[this.isIndeterminate ? 'indeterminate' : 'checked'].replace('{backgroundColor}', this.backgroundColor))}") left top no-repeat`);
        }
        return svg;
    }
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵCheckboxComponent_BaseFactory; return function CheckboxComponent_Factory(t) { return (ɵCheckboxComponent_BaseFactory || (ɵCheckboxComponent_BaseFactory = i0.ɵɵgetInheritedFactory(CheckboxComponent)))(t || CheckboxComponent); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: CheckboxComponent, selectors: [["fusion-checkbox"]], features: [i0.ɵɵProvidersFeature([
                {
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(() => CheckboxComponent),
                    multi: true
                }
            ]), i0.ɵɵInheritDefinitionFeature], decls: 6, vars: 14, consts: [["type", "checkbox", 3, "id", "value", "checked", "disabled", "indeterminate", "change"], [3, "for", "ngClass", "fusionTooltip", "tooltipWidth"], [3, "name", 4, "ngIf"], [3, "name"]], template: function CheckboxComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "input", 0);
            i0.ɵɵlistener("change", function CheckboxComponent_Template_input_change_0_listener($event) { return ctx.change($event); });
            i0.ɵɵelementEnd();
            i0.ɵɵelementStart(1, "label", 1);
            i0.ɵɵelement(2, "span");
            i0.ɵɵtemplate(3, CheckboxComponent_fusion_icon_3_Template, 1, 1, "fusion-icon", 2)(4, CheckboxComponent_fusion_flag_4_Template, 1, 1, "fusion-flag", 2);
            i0.ɵɵtext(5);
            i0.ɵɵelementEnd();
        } if (rf & 2) {
            i0.ɵɵproperty("id", ctx.id)("value", ctx.value)("checked", ctx.checked)("disabled", ctx.isDisabled || ctx.isDisabledForm)("indeterminate", ctx.isIndeterminate);
            i0.ɵɵadvance();
            i0.ɵɵproperty("for", ctx.id)("ngClass", ctx.class)("fusionTooltip", ctx.toolTip)("tooltipWidth", ctx.tooltipWidth);
            i0.ɵɵadvance();
            i0.ɵɵstyleProp("background", ctx.getBackgroundImage());
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.icon);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.flag);
            i0.ɵɵadvance();
            i0.ɵɵtextInterpolate1("", ctx.label, "\n");
        } }, dependencies: [i1.NgClass, i1.NgIf, i2.IconComponent, i3.FlagComponent, i4.TooltipDirective], styles: ["[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%] + label[_ngcontent-%COMP%]{font-size:12px;font-family:HelveticaNeue,helvetica,sans-serif;font-weight:400;letter-spacing:.04px}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%]{display:none}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%] + label[_ngcontent-%COMP%]{color:var(--fu-dark-700, #1d1c64);-webkit-user-select:none;user-select:none;cursor:pointer}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%] + label.maxWidth[_ngcontent-%COMP%]{width:100%;display:inline-block;padding-right:10px}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%] + label[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]{display:inline-block;width:14px;height:14px;margin-right:8px;vertical-align:sub;background:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 14 14'%3E%3Crect width='12' height='12' x='1' y='1' fill='none' stroke='%23A9AFB4' stroke-width='2' rx='3'/%3E%3C/svg%3E\") left top no-repeat;cursor:pointer}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%]:checked + label[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]{background:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' viewBox='0 0 14 14'%3E%3Cdefs%3E%3Cpath id='a' d='M7.283 10.882l4.6-4.626a.406.406 0 000-.57l-.566-.568a.399.399 0 00-.566 0L7 8.89 5.249 7.129a.399.399 0 00-.566 0l-.566.57a.403.403 0 000 .568l2.6 2.615c.156.157.41.157.566 0z'/%3E%3C/defs%3E%3Cg fill='none' fill-rule='evenodd' transform='translate(-1 -1)'%3E%3Crect width='14' height='14' x='1' y='1' fill='%233083FF' rx='3'/%3E%3Cuse fill='%23FFF' xlink:href='%23a'/%3E%3C/g%3E%3C/svg%3E\") left top no-repeat}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%]:indeterminate + label[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]{background:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 14 14'%3E%3Cg fill='none' fill-rule='evenodd' transform='translate(-1 -1)'%3E%3Crect width='14' height='14' x='1' y='1' fill='%233083FF' rx='3'/%3E%3Cpath fill='%23FFF' d='M5 7h6v2H5z'/%3E%3C/g%3E%3C/svg%3E\") left top no-repeat}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%]:disabled + label[_ngcontent-%COMP%]{color:var(--fu-light-900, #7b838c);cursor:default}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%]:disabled + label[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]{background:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 14 14'%3E%3Crect width='12' height='12' x='1' y='1' fill='none' stroke='%23D2D5D8' stroke-width='2' rx='3'/%3E%3C/svg%3E\") left top no-repeat;cursor:default}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%]:disabled:checked + label[_ngcontent-%COMP%]{cursor:default}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%]:disabled:checked + label[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]{background:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' viewBox='0 0 14 14'%3E%3Cdefs%3E%3Cpath id='a' d='M6.283 9.882l4.6-4.626a.406.406 0 000-.57l-.566-.568a.399.399 0 00-.566 0L6 7.89 4.249 6.129a.399.399 0 00-.566 0l-.566.57a.403.403 0 000 .568l2.6 2.615c.156.157.41.157.566 0z'/%3E%3C/defs%3E%3Cg fill='none' fill-rule='evenodd'%3E%3Crect width='12' height='12' x='1' y='1' stroke='%23B7BBC0' stroke-width='2' rx='3'/%3E%3Crect width='14' height='14' fill='%23B7BBC0' rx='3'/%3E%3Cuse fill='%23FFF' xlink:href='%23a'/%3E%3C/g%3E%3C/svg%3E\") left top no-repeat;cursor:default}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%]:disabled:indeterminate + label[_ngcontent-%COMP%]{cursor:default}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%]:disabled:indeterminate + label[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]{background:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 14 14'%3E%3Cg fill='none' fill-rule='evenodd' transform='translate(-1 -1)'%3E%3Crect width='14' height='14' x='1' y='1' fill='%23B7BBC0' rx='3'/%3E%3Cpath fill='%23FFF' d='M5 7h6v2H5z'/%3E%3C/g%3E%3C/svg%3E\") left top no-repeat;cursor:default}[_nghost-%COMP%]   label[_ngcontent-%COMP%]   fusion-flag[_ngcontent-%COMP%]{margin-right:11px;margin-left:1px}[_nghost-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon[_ngcontent-%COMP%]{padding-right:3px;vertical-align:sub}[_nghost-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon[_ngcontent-%COMP%]     svg{width:14px;height:14px}[_nghost-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-700, #a9afb4)}.only-checkbox[_nghost-%COMP%]:not(.is-regular){width:12px;height:12px}.only-checkbox[_nghost-%COMP%]:not(.is-regular)   input[type=checkbox][_ngcontent-%COMP%] + label[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]{width:12px;height:12px;margin-right:0;background:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12'%3E%3Crect width='11' height='11' x='.5' y='.5' fill='none' stroke='%23A9AFB4' rx='3'/%3E%3C/svg%3E\") left top no-repeat;vertical-align:text-top}.only-checkbox[_nghost-%COMP%]:not(.is-regular)   input[type=checkbox][_ngcontent-%COMP%]:checked + label[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]{background:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' viewBox='0 0 12 12'%3E%3Cdefs%3E%3Cpath id='a' d='M5.283 8.882l4.6-4.626a.406.406 0 000-.57l-.566-.568a.399.399 0 00-.566 0L5 6.89 3.249 5.129a.399.399 0 00-.566 0l-.566.57a.403.403 0 000 .568l2.6 2.615c.156.157.41.157.566 0z'/%3E%3C/defs%3E%3Cg fill='none' fill-rule='evenodd'%3E%3Crect width='12' height='12' fill='%233083FF' rx='3'/%3E%3Cuse fill='%23FFF' xlink:href='%23a'/%3E%3C/g%3E%3C/svg%3E\") left top no-repeat}.only-checkbox[_nghost-%COMP%]:not(.is-regular)   input[type=checkbox][_ngcontent-%COMP%]:indeterminate + label[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]{background:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12'%3E%3Cg fill='none' fill-rule='evenodd'%3E%3Crect width='12' height='12' fill='%233083FF' rx='3'/%3E%3Cpath fill='%23FFF' d='M3 5h6v2H3z'/%3E%3C/g%3E%3C/svg%3E\") left top no-repeat}.only-checkbox[_nghost-%COMP%]:not(.is-regular)   input[type=checkbox][_ngcontent-%COMP%]:disabled + label[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]{background:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12'%3E%3Crect width='11' height='11' x='.5' y='.5' fill='none' stroke='%23D2D5D8' rx='3'/%3E%3C/svg%3E\") left top no-repeat}.only-checkbox[_nghost-%COMP%]:not(.is-regular)   input[type=checkbox][_ngcontent-%COMP%]:disabled:checked + label[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]{background:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' width='12' height='12' viewBox='0 0 12 12'%3E %3Cdefs%3E %3Cpath id='prefix__a' d='M5.283 8.882l4.6-4.626c.156-.157.156-.412 0-.57l-.566-.568c-.156-.157-.41-.157-.566 0L5 6.89 3.249 5.129c-.157-.157-.41-.157-.566 0l-.566.57c-.156.156-.156.411 0 .568l2.6 2.615c.156.157.41.157.566 0z'/%3E %3C/defs%3E %3Cg fill='none' fill-rule='evenodd'%3E %3Crect width='12' height='12' fill='%23B7BBC0' rx='3'/%3E %3Cuse fill='%23FFF' xlink:href='%23prefix__a'/%3E %3C/g%3E %3C/svg%3E \") left top no-repeat}.only-checkbox[_nghost-%COMP%]:not(.is-regular)   input[type=checkbox][_ngcontent-%COMP%]:disabled:indeterminate + label[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]{background:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12'%3E%3Cg fill='none' fill-rule='evenodd'%3E%3Crect width='12' height='12' fill='%23B7BBC0' rx='3'/%3E%3Cpath fill='%23FFF' d='M3 5h6v2H3z'/%3E%3C/g%3E%3C/svg%3E\") left top no-repeat}.only-checkbox.is-regular[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%] + label[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]{margin-right:0}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(CheckboxComponent, [{
        type: Component,
        args: [{ selector: 'fusion-checkbox', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => CheckboxComponent),
                        multi: true
                    }
                ], template: "<input\n    type=\"checkbox\"\n    [id]=\"id\"\n    [value]=\"value\"\n    [checked]=\"checked\"\n    [disabled]=\"isDisabled || isDisabledForm\"\n    (change)=\"change($event)\"\n    [indeterminate]=\"isIndeterminate\"\n/>\n<label [for]=\"id\" [ngClass]=\"class\" [fusionTooltip]=\"toolTip\" [tooltipWidth]=\"tooltipWidth\">\n    <span [style.background]=\"getBackgroundImage()\"></span><fusion-icon *ngIf=\"icon\" [name]=\"icon\"></fusion-icon\n    ><fusion-flag *ngIf=\"flag\" [name]=\"flag\"></fusion-flag>{{ label }}\n</label>\n", styles: [":host input[type=checkbox]+label{font-size:12px;font-family:HelveticaNeue,helvetica,sans-serif;font-weight:400;letter-spacing:.04px}:host input[type=checkbox]{display:none}:host input[type=checkbox]+label{color:var(--fu-dark-700, #1d1c64);-webkit-user-select:none;user-select:none;cursor:pointer}:host input[type=checkbox]+label.maxWidth{width:100%;display:inline-block;padding-right:10px}:host input[type=checkbox]+label span{display:inline-block;width:14px;height:14px;margin-right:8px;vertical-align:sub;background:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 14 14'%3E%3Crect width='12' height='12' x='1' y='1' fill='none' stroke='%23A9AFB4' stroke-width='2' rx='3'/%3E%3C/svg%3E\") left top no-repeat;cursor:pointer}:host input[type=checkbox]:checked+label span{background:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' viewBox='0 0 14 14'%3E%3Cdefs%3E%3Cpath id='a' d='M7.283 10.882l4.6-4.626a.406.406 0 000-.57l-.566-.568a.399.399 0 00-.566 0L7 8.89 5.249 7.129a.399.399 0 00-.566 0l-.566.57a.403.403 0 000 .568l2.6 2.615c.156.157.41.157.566 0z'/%3E%3C/defs%3E%3Cg fill='none' fill-rule='evenodd' transform='translate(-1 -1)'%3E%3Crect width='14' height='14' x='1' y='1' fill='%233083FF' rx='3'/%3E%3Cuse fill='%23FFF' xlink:href='%23a'/%3E%3C/g%3E%3C/svg%3E\") left top no-repeat}:host input[type=checkbox]:indeterminate+label span{background:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 14 14'%3E%3Cg fill='none' fill-rule='evenodd' transform='translate(-1 -1)'%3E%3Crect width='14' height='14' x='1' y='1' fill='%233083FF' rx='3'/%3E%3Cpath fill='%23FFF' d='M5 7h6v2H5z'/%3E%3C/g%3E%3C/svg%3E\") left top no-repeat}:host input[type=checkbox]:disabled+label{color:var(--fu-light-900, #7b838c);cursor:default}:host input[type=checkbox]:disabled+label span{background:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 14 14'%3E%3Crect width='12' height='12' x='1' y='1' fill='none' stroke='%23D2D5D8' stroke-width='2' rx='3'/%3E%3C/svg%3E\") left top no-repeat;cursor:default}:host input[type=checkbox]:disabled:checked+label{cursor:default}:host input[type=checkbox]:disabled:checked+label span{background:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' viewBox='0 0 14 14'%3E%3Cdefs%3E%3Cpath id='a' d='M6.283 9.882l4.6-4.626a.406.406 0 000-.57l-.566-.568a.399.399 0 00-.566 0L6 7.89 4.249 6.129a.399.399 0 00-.566 0l-.566.57a.403.403 0 000 .568l2.6 2.615c.156.157.41.157.566 0z'/%3E%3C/defs%3E%3Cg fill='none' fill-rule='evenodd'%3E%3Crect width='12' height='12' x='1' y='1' stroke='%23B7BBC0' stroke-width='2' rx='3'/%3E%3Crect width='14' height='14' fill='%23B7BBC0' rx='3'/%3E%3Cuse fill='%23FFF' xlink:href='%23a'/%3E%3C/g%3E%3C/svg%3E\") left top no-repeat;cursor:default}:host input[type=checkbox]:disabled:indeterminate+label{cursor:default}:host input[type=checkbox]:disabled:indeterminate+label span{background:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 14 14'%3E%3Cg fill='none' fill-rule='evenodd' transform='translate(-1 -1)'%3E%3Crect width='14' height='14' x='1' y='1' fill='%23B7BBC0' rx='3'/%3E%3Cpath fill='%23FFF' d='M5 7h6v2H5z'/%3E%3C/g%3E%3C/svg%3E\") left top no-repeat;cursor:default}:host label fusion-flag{margin-right:11px;margin-left:1px}:host label fusion-icon{padding-right:3px;vertical-align:sub}:host label fusion-icon ::ng-deep svg{width:14px;height:14px}:host label fusion-icon ::ng-deep svg *{fill:var(--fu-light-700, #a9afb4)}:host.only-checkbox:not(.is-regular){width:12px;height:12px}:host.only-checkbox:not(.is-regular) input[type=checkbox]+label span{width:12px;height:12px;margin-right:0;background:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12'%3E%3Crect width='11' height='11' x='.5' y='.5' fill='none' stroke='%23A9AFB4' rx='3'/%3E%3C/svg%3E\") left top no-repeat;vertical-align:text-top}:host.only-checkbox:not(.is-regular) input[type=checkbox]:checked+label span{background:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' viewBox='0 0 12 12'%3E%3Cdefs%3E%3Cpath id='a' d='M5.283 8.882l4.6-4.626a.406.406 0 000-.57l-.566-.568a.399.399 0 00-.566 0L5 6.89 3.249 5.129a.399.399 0 00-.566 0l-.566.57a.403.403 0 000 .568l2.6 2.615c.156.157.41.157.566 0z'/%3E%3C/defs%3E%3Cg fill='none' fill-rule='evenodd'%3E%3Crect width='12' height='12' fill='%233083FF' rx='3'/%3E%3Cuse fill='%23FFF' xlink:href='%23a'/%3E%3C/g%3E%3C/svg%3E\") left top no-repeat}:host.only-checkbox:not(.is-regular) input[type=checkbox]:indeterminate+label span{background:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12'%3E%3Cg fill='none' fill-rule='evenodd'%3E%3Crect width='12' height='12' fill='%233083FF' rx='3'/%3E%3Cpath fill='%23FFF' d='M3 5h6v2H3z'/%3E%3C/g%3E%3C/svg%3E\") left top no-repeat}:host.only-checkbox:not(.is-regular) input[type=checkbox]:disabled+label span{background:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12'%3E%3Crect width='11' height='11' x='.5' y='.5' fill='none' stroke='%23D2D5D8' rx='3'/%3E%3C/svg%3E\") left top no-repeat}:host.only-checkbox:not(.is-regular) input[type=checkbox]:disabled:checked+label span{background:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' width='12' height='12' viewBox='0 0 12 12'%3E %3Cdefs%3E %3Cpath id='prefix__a' d='M5.283 8.882l4.6-4.626c.156-.157.156-.412 0-.57l-.566-.568c-.156-.157-.41-.157-.566 0L5 6.89 3.249 5.129c-.157-.157-.41-.157-.566 0l-.566.57c-.156.156-.156.411 0 .568l2.6 2.615c.156.157.41.157.566 0z'/%3E %3C/defs%3E %3Cg fill='none' fill-rule='evenodd'%3E %3Crect width='12' height='12' fill='%23B7BBC0' rx='3'/%3E %3Cuse fill='%23FFF' xlink:href='%23prefix__a'/%3E %3C/g%3E %3C/svg%3E \") left top no-repeat}:host.only-checkbox:not(.is-regular) input[type=checkbox]:disabled:indeterminate+label span{background:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12'%3E%3Cg fill='none' fill-rule='evenodd'%3E%3Crect width='12' height='12' fill='%23B7BBC0' rx='3'/%3E%3Cpath fill='%23FFF' d='M3 5h6v2H3z'/%3E%3C/g%3E%3C/svg%3E\") left top no-repeat}:host.only-checkbox.is-regular input[type=checkbox]+label span{margin-right:0}\n"] }]
    }], null, null); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(CheckboxComponent, { className: "CheckboxComponent", filePath: "checkbox.component.ts", lineNumber: 19 }); })();

class CheckboxModule {
    static { this.ɵfac = function CheckboxModule_Factory(t) { return new (t || CheckboxModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: CheckboxModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule, IconModule, FlagModule, TooltipModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(CheckboxModule, [{
        type: NgModule,
        args: [{
                declarations: [CheckboxComponent],
                exports: [CheckboxComponent],
                imports: [CommonModule, IconModule, FlagModule, TooltipModule]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(CheckboxModule, { declarations: [CheckboxComponent], imports: [CommonModule, IconModule, FlagModule, TooltipModule], exports: [CheckboxComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { CheckboxComponent, CheckboxModule };
//# sourceMappingURL=ironsource-fusion-ui-components-checkbox-v2.mjs.map
