import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, ViewChild, NgModule } from '@angular/core';
import * as i2 from '@angular/forms';
import { NG_VALUE_ACCESSOR, ReactiveFormsModule } from '@angular/forms';
import { DropdownService } from '@ironsource/fusion-ui/components/dropdown/service';
export * from '@ironsource/fusion-ui/components/dropdown/service';
import { DropdownBaseComponent } from '@ironsource/fusion-ui/components/dropdown/common/base';
import * as i7 from '@ironsource/fusion-ui/components/dropdown-search/v1';
import { DropdownSearchModule } from '@ironsource/fusion-ui/components/dropdown-search/v1';
import * as i6 from '@ironsource/fusion-ui/components/dropdown-select/v1';
import { DropdownSelectModule } from '@ironsource/fusion-ui/components/dropdown-select/v1';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i3 from '@ironsource/fusion-ui/directives/click-outside';
import { ClickOutsideModule } from '@ironsource/fusion-ui/directives/click-outside';
import * as i4 from '@ironsource/fusion-ui/components/dropdown-loader/v1';
import { DropdownLoaderModule } from '@ironsource/fusion-ui/components/dropdown-loader/v1';
import * as i5 from '@ironsource/fusion-ui/components/dropdown-options-list/v1';
import { DropdownOptionsListModule } from '@ironsource/fusion-ui/components/dropdown-options-list/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import { ButtonModule } from '@ironsource/fusion-ui/components/button/v1';
import { InputModule } from '@ironsource/fusion-ui/components/input';
import { FlagModule } from '@ironsource/fusion-ui/components/flag/v1';
import { CheckboxModule } from '@ironsource/fusion-ui/components/checkbox/v1';
import { FilterByFieldPipe } from '@ironsource/fusion-ui/pipes/collection';
import { ClonePipe } from '@ironsource/fusion-ui/pipes/clone';
import { TooltipModule } from '@ironsource/fusion-ui/components/tooltip/v1';
import { DynamicComponentsModule } from '@ironsource/fusion-ui/components/dynamic-components/v1';
import { DropdownOptionModule } from '@ironsource/fusion-ui/components/dropdown-option/v1';
export * from '@ironsource/fusion-ui/components/dropdown/entities';

const _c0 = ["searchComponent"];
const _c1 = ["selectComponent"];
function DropdownComponent_fusion_dropdown_search_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-dropdown-search", 12, 13);
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵproperty("formControl", ctx_r1.searchValue)("placeholder", ctx_r1.searchPlaceholder);
} }
function DropdownComponent_li_13_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "li", 14);
    i0.ɵɵtext(1, "No results");
    i0.ɵɵelementEnd();
} }
function DropdownComponent_div_14_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 15);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r4 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r4.error);
} }
const _c2 = (a0, a1, a2) => ({ "dd-disabled": a0, "dd-confirm": a1, "dd-scroll": a2 });
class DropdownComponent extends DropdownBaseComponent {
    constructor() {
        super(...arguments);
        /** @ignore */
        this.dropdownArrowIconName = {
            iconName: 'arrow-dropdown',
            iconVersion: 'v1'
        };
    }
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵDropdownComponent_BaseFactory; return function DropdownComponent_Factory(t) { return (ɵDropdownComponent_BaseFactory || (ɵDropdownComponent_BaseFactory = i0.ɵɵgetInheritedFactory(DropdownComponent)))(t || DropdownComponent); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: DropdownComponent, selectors: [["fusion-dropdown"]], viewQuery: function DropdownComponent_Query(rf, ctx) { if (rf & 1) {
            i0.ɵɵviewQuery(_c0, 5);
            i0.ɵɵviewQuery(_c1, 5);
        } if (rf & 2) {
            let _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.searchComponent = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.selectComponent = _t.first);
        } }, features: [i0.ɵɵProvidersFeature([
                DropdownService,
                {
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(() => DropdownComponent),
                    multi: true
                }
            ]), i0.ɵɵInheritDefinitionFeature], decls: 15, vars: 31, consts: [[1, "is-dropdown", 3, "id", "clickOutsideActivate", "ngClass", "fusionClickOutside"], [3, "configurations", "searchValueChanged", "click"], ["selectComponent", ""], [1, "options-dropdown", 3, "ngClass"], [3, "formControl", "placeholder", 4, "ngIf"], [1, "options-holder", 3, "scroll"], ["optionsHolder", ""], [1, "options"], [3, "displayedOptions", "isMultiRawDisplay", "mappingOptions", "selected", "changeSelected"], [3, "fusionDropdownLoader"], ["class", "no-results", 4, "ngIf"], ["class", "error-msg", 4, "ngIf"], [3, "formControl", "placeholder"], ["searchComponent", ""], [1, "no-results"], [1, "error-msg"]], template: function DropdownComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵlistener("fusionClickOutside", function DropdownComponent_Template_div_fusionClickOutside_0_listener($event) { return ctx.onOutsideClick($event); });
            i0.ɵɵpipe(1, "async");
            i0.ɵɵelementStart(2, "fusion-dropdown-select", 1, 2);
            i0.ɵɵlistener("searchValueChanged", function DropdownComponent_Template_fusion_dropdown_select_searchValueChanged_2_listener($event) { return ctx.searchValue.setValue($event); })("click", function DropdownComponent_Template_fusion_dropdown_select_click_2_listener($event) { return ctx.openDropdown($event); });
            i0.ɵɵpipe(4, "async");
            i0.ɵɵelementEnd();
            i0.ɵɵelementStart(5, "div", 3);
            i0.ɵɵtemplate(6, DropdownComponent_fusion_dropdown_search_6_Template, 2, 2, "fusion-dropdown-search", 4);
            i0.ɵɵelementStart(7, "div", 5, 6);
            i0.ɵɵlistener("scroll", function DropdownComponent_Template_div_scroll_7_listener($event) { return ctx.onScroll($event); });
            i0.ɵɵelementStart(9, "ul", 7)(10, "fusion-dropdown-options-list", 8);
            i0.ɵɵlistener("changeSelected", function DropdownComponent_Template_fusion_dropdown_options_list_changeSelected_10_listener($event) { return ctx.changeSelected($event); });
            i0.ɵɵpipe(11, "async");
            i0.ɵɵelementEnd();
            i0.ɵɵelement(12, "li", 9);
            i0.ɵɵtemplate(13, DropdownComponent_li_13_Template, 2, 0, "li", 10);
            i0.ɵɵelementEnd()()()();
            i0.ɵɵtemplate(14, DropdownComponent_div_14_Template, 2, 1, "div", 11);
        } if (rf & 2) {
            i0.ɵɵstyleProp("width", ctx.placeholderWidth);
            i0.ɵɵproperty("id", ctx.id)("clickOutsideActivate", i0.ɵɵpipeBind1(1, 21, ctx.isOpen$))("ngClass", ctx.getHolderCSSClasses());
            i0.ɵɵadvance(2);
            i0.ɵɵclassProp("is-icon-right-position", ctx.isIconRightPosition);
            i0.ɵɵproperty("configurations", i0.ɵɵpipeBind1(4, 23, ctx.dropdownSelectConfigurations$));
            i0.ɵɵadvance(3);
            i0.ɵɵclassProp("options-locate-left", ctx.isLocatedLeft)("options-locate-right", ctx.isLocatedRight);
            i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction3(27, _c2, ctx.isDisabled || ctx.isDisabledForm, ctx.search || ctx.autoComplete, ctx.hasScroll));
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", (ctx.search || ctx.autoComplete) && ctx.searchValue);
            i0.ɵɵadvance(4);
            i0.ɵɵproperty("displayedOptions", i0.ɵɵpipeBind1(11, 25, ctx.displayedOptionsObservable$))("isMultiRawDisplay", ctx.isMultiRawDisplay)("mappingOptions", ctx.mappingOptions)("selected", ctx.selected);
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("fusionDropdownLoader", (ctx.autoComplete || ctx.search) && ctx.loading);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", !(ctx.filteredOptions == null ? null : ctx.filteredOptions.length) && !ctx.loading);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.error);
        } }, dependencies: [i1.NgClass, i1.NgIf, i2.NgControlStatus, i2.FormControlDirective, i3.ClickOutsideDirective, i4.DropdownLoaderDirective, i5.DropdownOptionsListComponent, i6.DropdownSelectComponent, i7.DropdownSearchComponent, i1.AsyncPipe], styles: ["[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .auto-complete-loading[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .auto-complete-loading[_ngcontent-%COMP%]{font-size:13px;font-family:var(--regular-font-family, \"Open Sans\");font-weight:600}[_nghost-%COMP%]   .error-msg[_ngcontent-%COMP%]{font-size:12px;font-family:var(--regular-font-family, \"Open Sans\");font-weight:400}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]   .is-dd-group[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]   .is-dd-group[_ngcontent-%COMP%]{font-size:11px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:400}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   .is-id[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   .is-id[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]     .is-id, [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]     .is-id{font-size:12px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:700}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]{font-size:12px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:400}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label.truncate[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label.truncate[_ngcontent-%COMP%]{width:100%;display:inline-block;white-space:nowrap;overflow:hidden!important;text-overflow:ellipsis}[_nghost-%COMP%]{margin:0;padding:0;vertical-align:initial;text-align:initial}[_nghost-%COMP%]   ul[_ngcontent-%COMP%], [_nghost-%COMP%]   ol[_ngcontent-%COMP%]{padding:0;margin:0}[_nghost-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%], [_nghost-%COMP%]   ol[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]{list-style:none}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   img[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   img[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{border-radius:var(--border-radius, 3px)}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]{border:1px solid var(--light-color, #E1E6EB)}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%]{border-top-right-radius:0!important}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%]{border-top-left-radius:0!important}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-locate-right.options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-locate-right.options-dropdown[_ngcontent-%COMP%]{left:auto}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-locate-left.options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-locate-left.options-dropdown[_ngcontent-%COMP%]{right:auto}[_nghost-%COMP%]{min-width:85px}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]{position:relative}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{position:absolute;left:0;right:0;top:100%;margin-top:1px;max-height:0;background:#FFF;box-shadow:0 2px 4px #0000004d;border:solid 1px var(--light-color-400, #E4E9ED);display:none}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]{padding:3px 0;overflow:hidden;overflow-y:auto}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .auto-complete-loading[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .auto-complete-loading[_ngcontent-%COMP%]{color:var(--dark-color-300, #172D4C);height:30px}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .auto-complete-loading[_ngcontent-%COMP%]   .is-add-tag[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .auto-complete-loading[_ngcontent-%COMP%]   .is-add-tag[_ngcontent-%COMP%]{color:var(--primary-color, #3091F6);padding:5px 5px 5px 20px;display:inline-block}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{display:block;visibility:hidden;overflow-y:auto;z-index:1001;max-height:248px;overflow-x:hidden}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-disabled[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-disabled[_ngcontent-%COMP%]{display:none}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-confirm[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-confirm[_ngcontent-%COMP%]{max-height:282px}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-scroll[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-scroll[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]{padding-bottom:0;height:100%;max-height:230px}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]{color:var(--dark-color-300, #172D4C)}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]   .is-dd-group[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]   .is-dd-group[_ngcontent-%COMP%]{text-transform:uppercase;color:var(--light-color-800, #678099);background-color:var(--light-color-300, #EAEEF1);cursor:default;padding:5px 11px 4px;display:block;line-height:1}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]     .is-id, [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]     .is-id{color:var(--light-color-800, #678099)}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .is-hidden[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .is-hidden[_ngcontent-%COMP%]{display:none}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .no-results[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .no-results[_ngcontent-%COMP%]{background:none;cursor:initial;padding:5px 15px;color:var(--light-color-800, #678099)}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%]{position:relative;text-align:right;background-color:var(--light-color-100, #F9FAFB);padding:7px;margin:0 -1px;border:solid 1px var(--light-color, #E1E6EB);box-shadow:0 2px 4px #0000004d}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%]   button[_ngcontent-%COMP%] + button[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%]   button[_ngcontent-%COMP%] + button[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%]   button[_ngcontent-%COMP%] + button[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%]   button[_ngcontent-%COMP%] + button[_ngcontent-%COMP%]{margin-left:2px}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%]   a.button-clear[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%]   a.button-clear[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%]   a.button-clear[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%]   a.button-clear[_ngcontent-%COMP%]{color:var(--tags-input-footer-color-button-color, var(--light-color-900, #52677B));text-decoration:underline;text-align:initial;padding:initial;height:initial;background-image:initial;border:none;position:absolute;left:16px;bottom:13px;font-weight:400}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{max-height:278px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-confirm[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-confirm[_ngcontent-%COMP%]{max-height:315px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-scroll[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-scroll[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]{padding-bottom:0;height:100%;max-height:230px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.option[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.option[_ngcontent-%COMP%]{height:30px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.option.is-group[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.option.is-group[_ngcontent-%COMP%]{height:20px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]{padding:4px 22px 5px 10px;cursor:pointer;display:block}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]:hover, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]:hover{background-color:var(--light-color-100, #F9FAFB)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   img[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   img[_ngcontent-%COMP%]{max-width:19px;height:auto;vertical-align:middle;margin-right:3px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]{margin-right:1px;margin-top:-3px;vertical-align:middle;display:inline-block}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg{width:13px;height:13px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg *, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg *{fill:var(--light-color-600, #C2CDD7)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-flag[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-flag[_ngcontent-%COMP%]{margin-right:6px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-icon-right-position[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-icon-right-position[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]{position:relative}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-icon-right-position[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-icon-right-position[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]{position:absolute;right:10px;top:11px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-icon-right-position[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-icon-right-position[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg{width:13px;height:13px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-icon-right-position[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg *, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-icon-right-position[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg *{fill:var(--light-color-600, #C2CDD7)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-with-confirm[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-with-confirm[_ngcontent-%COMP%]{min-width:162px}[_nghost-%COMP%]   .is-dropdown.is-tab-mode[_ngcontent-%COMP%]:hover, [_nghost-%COMP%]   .is-tags-holder.is-tab-mode[_ngcontent-%COMP%]:hover{background-color:var(--light-color-100, #F9FAFB)}.filter[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]{display:inline-block}.filter[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{width:250px}.title.inline[_nghost-%COMP%], .title.medium[_nghost-%COMP%]{display:inline-block}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]{box-sizing:border-box;border-color:var(--light-color, #E1E6EB);min-height:32px;padding:2px}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%] > ul.tags-holder[_ngcontent-%COMP%]{display:flex;flex-wrap:wrap}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]{display:inline-flex;margin:2px -3px 2px 2px}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%]   li.search-container[_ngcontent-%COMP%]{flex:1 1 auto}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%]   li.search-container[_ngcontent-%COMP%]   is-input[_ngcontent-%COMP%]{width:100%}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   is-tag[_ngcontent-%COMP%]{height:24px;line-height:23px}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]     .fu-input{border:none;width:100%;padding:0;height:20px;margin:2px}.dd-tab-active[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]{border-bottom:2px solid var(--primary-color, #3091F6)}.dd-tab-active[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]{border-bottom-color:transparent}.dd-tab-active[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]:hover{background-color:transparent}.dd-tab-active[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]:hover   .dropdown-arrow-container[_ngcontent-%COMP%]{background-color:var(--light-color-100, #F9FAFB)}[_nghost-%COMP%]   .error-msg[_ngcontent-%COMP%]{color:var(--negative-color, #e1174c);margin-top:3px}.fu-options-position-up[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], .fu-options-position-up[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{top:inherit;bottom:calc(100% + 2px)}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DropdownComponent, [{
        type: Component,
        args: [{ selector: 'fusion-dropdown', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                    DropdownService,
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => DropdownComponent),
                        multi: true
                    }
                ], template: "<div\n    class=\"is-dropdown\"\n    [id]=\"id\"\n    [style.width]=\"placeholderWidth\"\n    [clickOutsideActivate]=\"isOpen$ | async\"\n    (fusionClickOutside)=\"onOutsideClick($event)\"\n    [ngClass]=\"getHolderCSSClasses()\"\n>\n    <fusion-dropdown-select\n        [class.is-icon-right-position]=\"this.isIconRightPosition\"\n        (searchValueChanged)=\"searchValue.setValue($event)\"\n        (click)=\"openDropdown($event)\"\n        [configurations]=\"dropdownSelectConfigurations$ | async\"\n        #selectComponent\n    >\n    </fusion-dropdown-select>\n    <div class=\"options-dropdown\" [class.options-locate-left]=\"isLocatedLeft\" [class.options-locate-right]=\"isLocatedRight\" [ngClass]=\"{'dd-disabled': isDisabled || isDisabledForm, 'dd-confirm': search || autoComplete, 'dd-scroll': hasScroll}\">\n        <!--search input-->\n        <fusion-dropdown-search\n            *ngIf=\"(search || autoComplete) && searchValue\"\n            [formControl]=\"searchValue\"\n            [placeholder]=\"searchPlaceholder\"\n            #searchComponent\n        ></fusion-dropdown-search>\n        <!--dropdown options holder-->\n        <div class=\"options-holder\" (scroll)=\"onScroll($event)\" #optionsHolder>\n            <ul class=\"options\">\n                <!--options-->\n                <fusion-dropdown-options-list\n                    [displayedOptions]=\"displayedOptionsObservable$ | async\"\n                    [isMultiRawDisplay]=\"isMultiRawDisplay\"\n                    [mappingOptions]=\"mappingOptions\"\n                    [selected]=\"selected\"\n                    (changeSelected)=\"changeSelected($event)\"\n                ></fusion-dropdown-options-list>\n                <!--loader holder-->\n                <li [fusionDropdownLoader]=\"(autoComplete || search) && loading\"></li>\n                <!--no-result holder-->\n                <li class=\"no-results\" *ngIf=\"!filteredOptions?.length && !loading\">No results</li>\n            </ul>\n        </div>\n    </div>\n</div>\n<!--errors holder-->\n<div class=\"error-msg\" *ngIf=\"error\">{{ error }}</div>\n", styles: [":host .is-dropdown .options-dropdown .options-holder .options .auto-complete-loading,:host .is-tags-holder .options-dropdown .options-holder .options .auto-complete-loading{font-size:13px;font-family:var(--regular-font-family, \"Open Sans\");font-weight:600}:host .error-msg{font-size:12px;font-family:var(--regular-font-family, \"Open Sans\");font-weight:400}:host .is-dropdown.dd-opened .options-dropdown .options-holder .options .option .is-dd-group,:host .is-tags-holder.dd-opened .options-dropdown .options-holder .options .option .is-dd-group{font-size:11px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:400}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label .is-id,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label .is-id,:host .is-dropdown .dd-actions,:host .is-dropdown .is-footer,:host .is-tags-holder .dd-actions,:host .is-tags-holder .is-footer,:host .is-dropdown.dd-opened .options-dropdown .options-holder .options .option ::ng-deep .is-id,:host .is-tags-holder.dd-opened .options-dropdown .options-holder .options .option ::ng-deep .is-id{font-size:12px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:700}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label{font-size:12px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:400}:host *{box-sizing:border-box}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label.truncate,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label.truncate{width:100%;display:inline-block;white-space:nowrap;overflow:hidden!important;text-overflow:ellipsis}:host{margin:0;padding:0;vertical-align:initial;text-align:initial}:host ul,:host ol{padding:0;margin:0}:host ul li,:host ol li{list-style:none}:host .is-tags-holder,:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label img,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label img,:host .is-dropdown .dd-actions,:host .is-dropdown .is-footer,:host .is-tags-holder .dd-actions,:host .is-tags-holder .is-footer,:host .is-dropdown .options-dropdown,:host .is-tags-holder .options-dropdown{border-radius:var(--border-radius, 3px)}:host .is-tags-holder{border:1px solid var(--light-color, #E1E6EB)}:host .is-dropdown .dd-actions,:host .is-dropdown .is-footer,:host .is-tags-holder .dd-actions,:host .is-tags-holder .is-footer{border-top-right-radius:0!important}:host .is-dropdown .dd-actions,:host .is-dropdown .is-footer,:host .is-tags-holder .dd-actions,:host .is-tags-holder .is-footer{border-top-left-radius:0!important}:host .is-dropdown .options-locate-right.options-dropdown,:host .is-tags-holder .options-locate-right.options-dropdown{left:auto}:host .is-dropdown .options-locate-left.options-dropdown,:host .is-tags-holder .options-locate-left.options-dropdown{right:auto}:host{min-width:85px}:host .is-dropdown,:host .is-tags-holder{position:relative}:host .is-dropdown .options-dropdown,:host .is-tags-holder .options-dropdown{position:absolute;left:0;right:0;top:100%;margin-top:1px;max-height:0;background:#FFF;box-shadow:0 2px 4px #0000004d;border:solid 1px var(--light-color-400, #E4E9ED);display:none}:host .is-dropdown .options-dropdown .options-holder,:host .is-tags-holder .options-dropdown .options-holder{padding:3px 0;overflow:hidden;overflow-y:auto}:host .is-dropdown .options-dropdown .options-holder .options .auto-complete-loading,:host .is-tags-holder .options-dropdown .options-holder .options .auto-complete-loading{color:var(--dark-color-300, #172D4C);height:30px}:host .is-dropdown .options-dropdown .options-holder .options .auto-complete-loading .is-add-tag,:host .is-tags-holder .options-dropdown .options-holder .options .auto-complete-loading .is-add-tag{color:var(--primary-color, #3091F6);padding:5px 5px 5px 20px;display:inline-block}:host .is-dropdown.dd-opened .options-dropdown,:host .is-tags-holder.dd-opened .options-dropdown{display:block;visibility:hidden;overflow-y:auto;z-index:1001;max-height:248px;overflow-x:hidden}:host .is-dropdown.dd-opened .options-dropdown.dd-disabled,:host .is-tags-holder.dd-opened .options-dropdown.dd-disabled{display:none}:host .is-dropdown.dd-opened .options-dropdown.dd-confirm,:host .is-tags-holder.dd-opened .options-dropdown.dd-confirm{max-height:282px}:host .is-dropdown.dd-opened .options-dropdown.dd-scroll .options-holder,:host .is-tags-holder.dd-opened .options-dropdown.dd-scroll .options-holder{padding-bottom:0;height:100%;max-height:230px}:host .is-dropdown.dd-opened .options-dropdown .options-holder,:host .is-tags-holder.dd-opened .options-dropdown .options-holder{color:var(--dark-color-300, #172D4C)}:host .is-dropdown.dd-opened .options-dropdown .options-holder .options .option .is-dd-group,:host .is-tags-holder.dd-opened .options-dropdown .options-holder .options .option .is-dd-group{text-transform:uppercase;color:var(--light-color-800, #678099);background-color:var(--light-color-300, #EAEEF1);cursor:default;padding:5px 11px 4px;display:block;line-height:1}:host .is-dropdown.dd-opened .options-dropdown .options-holder .options .option ::ng-deep .is-id,:host .is-tags-holder.dd-opened .options-dropdown .options-holder .options .option ::ng-deep .is-id{color:var(--light-color-800, #678099)}:host .is-dropdown.dd-opened .options-dropdown .options-holder .options .is-hidden,:host .is-tags-holder.dd-opened .options-dropdown .options-holder .options .is-hidden{display:none}:host .is-dropdown.dd-opened .options-dropdown .options-holder .options .no-results,:host .is-tags-holder.dd-opened .options-dropdown .options-holder .options .no-results{background:none;cursor:initial;padding:5px 15px;color:var(--light-color-800, #678099)}:host .is-dropdown .dd-actions,:host .is-dropdown .is-footer,:host .is-tags-holder .dd-actions,:host .is-tags-holder .is-footer{position:relative;text-align:right;background-color:var(--light-color-100, #F9FAFB);padding:7px;margin:0 -1px;border:solid 1px var(--light-color, #E1E6EB);box-shadow:0 2px 4px #0000004d}:host .is-dropdown .dd-actions button+button,:host .is-dropdown .is-footer button+button,:host .is-tags-holder .dd-actions button+button,:host .is-tags-holder .is-footer button+button{margin-left:2px}:host .is-dropdown .dd-actions a.button-clear,:host .is-dropdown .is-footer a.button-clear,:host .is-tags-holder .dd-actions a.button-clear,:host .is-tags-holder .is-footer a.button-clear{color:var(--tags-input-footer-color-button-color, var(--light-color-900, #52677B));text-decoration:underline;text-align:initial;padding:initial;height:initial;background-image:initial;border:none;position:absolute;left:16px;bottom:13px;font-weight:400}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown{max-height:278px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown.dd-confirm,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown.dd-confirm{max-height:315px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown.dd-scroll .options-holder,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown.dd-scroll .options-holder{padding-bottom:0;height:100%;max-height:230px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.option,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.option{height:30px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.option.is-group,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.option.is-group{height:20px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label{padding:4px 22px 5px 10px;cursor:pointer;display:block}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label:hover,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label:hover{background-color:var(--light-color-100, #F9FAFB)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label img,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label img{max-width:19px;height:auto;vertical-align:middle;margin-right:3px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon{margin-right:1px;margin-top:-3px;vertical-align:middle;display:inline-block}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon ::ng-deep svg,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon ::ng-deep svg{width:13px;height:13px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon ::ng-deep svg *,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon ::ng-deep svg *{fill:var(--light-color-600, #C2CDD7)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-flag,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-flag{margin-right:6px}:host .is-dropdown.is-multiselect.is-icon-right-position .options .option,:host .is-tags-holder.is-multiselect.is-icon-right-position .options .option{position:relative}:host .is-dropdown.is-multiselect.is-icon-right-position .options .option fusion-icon.icon,:host .is-tags-holder.is-multiselect.is-icon-right-position .options .option fusion-icon.icon{position:absolute;right:10px;top:11px}:host .is-dropdown.is-multiselect.is-icon-right-position .options .option fusion-icon.icon ::ng-deep svg,:host .is-tags-holder.is-multiselect.is-icon-right-position .options .option fusion-icon.icon ::ng-deep svg{width:13px;height:13px}:host .is-dropdown.is-multiselect.is-icon-right-position .options .option fusion-icon.icon ::ng-deep svg *,:host .is-tags-holder.is-multiselect.is-icon-right-position .options .option fusion-icon.icon ::ng-deep svg *{fill:var(--light-color-600, #C2CDD7)}:host .is-dropdown.is-multiselect.is-with-confirm,:host .is-tags-holder.is-multiselect.is-with-confirm{min-width:162px}:host .is-dropdown.is-tab-mode:hover,:host .is-tags-holder.is-tab-mode:hover{background-color:var(--light-color-100, #F9FAFB)}:host.filter .is-dropdown{display:inline-block}:host.filter .is-dropdown .options-dropdown{width:250px}:host.title.inline,:host.title.medium{display:inline-block}:host .is-tags-holder{box-sizing:border-box;border-color:var(--light-color, #E1E6EB);min-height:32px;padding:2px}:host .is-tags-holder>ul.tags-holder{display:flex;flex-wrap:wrap}:host .is-tags-holder>ul li{display:inline-flex;margin:2px -3px 2px 2px}:host .is-tags-holder>ul li.search-container{flex:1 1 auto}:host .is-tags-holder>ul li.search-container is-input{width:100%}:host .is-tags-holder>ul li is-tag{height:24px;line-height:23px}:host .is-tags-holder>ul li ::ng-deep .fu-input{border:none;width:100%;padding:0;height:20px;margin:2px}:host.dd-tab-active .is-dropdown{border-bottom:2px solid var(--primary-color, #3091F6)}:host.dd-tab-active .is-dropdown.dd-opened{border-bottom-color:transparent}:host.dd-tab-active .is-dropdown:hover{background-color:transparent}:host.dd-tab-active .is-dropdown:hover .dropdown-arrow-container{background-color:var(--light-color-100, #F9FAFB)}:host .error-msg{color:var(--negative-color, #e1174c);margin-top:3px}:host.fu-options-position-up .is-dropdown .options-dropdown,:host.fu-options-position-up .is-tags-holder .options-dropdown{top:inherit;bottom:calc(100% + 2px)}\n"] }]
    }], null, { searchComponent: [{
            type: ViewChild,
            args: ['searchComponent']
        }], selectComponent: [{
            type: ViewChild,
            args: ['selectComponent']
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(DropdownComponent, { className: "DropdownComponent", filePath: "dropdown.component.ts", lineNumber: 22 }); })();

class DropdownModule {
    static { this.ɵfac = function DropdownModule_Factory(t) { return new (t || DropdownModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: DropdownModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule,
            ReactiveFormsModule,
            IconModule,
            ButtonModule,
            InputModule,
            FlagModule,
            CheckboxModule,
            ClickOutsideModule,
            TooltipModule,
            DynamicComponentsModule,
            DropdownLoaderModule,
            DropdownOptionsListModule,
            DropdownOptionModule,
            DropdownSelectModule,
            DropdownSearchModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DropdownModule, [{
        type: NgModule,
        args: [{
                declarations: [DropdownComponent],
                exports: [DropdownComponent],
                imports: [
                    CommonModule,
                    ReactiveFormsModule,
                    IconModule,
                    ButtonModule,
                    InputModule,
                    FlagModule,
                    CheckboxModule,
                    ClickOutsideModule,
                    FilterByFieldPipe,
                    ClonePipe,
                    TooltipModule,
                    DynamicComponentsModule,
                    DropdownLoaderModule,
                    DropdownOptionsListModule,
                    DropdownOptionModule,
                    DropdownSelectModule,
                    DropdownSearchModule
                ]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(DropdownModule, { declarations: [DropdownComponent], imports: [CommonModule,
        ReactiveFormsModule,
        IconModule,
        ButtonModule,
        InputModule,
        FlagModule,
        CheckboxModule,
        ClickOutsideModule,
        FilterByFieldPipe,
        ClonePipe,
        TooltipModule,
        DynamicComponentsModule,
        DropdownLoaderModule,
        DropdownOptionsListModule,
        DropdownOptionModule,
        DropdownSelectModule,
        DropdownSearchModule], exports: [DropdownComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { DropdownComponent, DropdownModule };
//# sourceMappingURL=ironsource-fusion-ui-components-dropdown-v1.mjs.map
