import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, ViewChild, NgModule } from '@angular/core';
import { NG_VALUE_ACCESSOR, ReactiveFormsModule } from '@angular/forms';
import { DropdownService } from '@ironsource/fusion-ui/components/dropdown/service';
export * from '@ironsource/fusion-ui/components/dropdown/service';
import { DropdownBaseComponent } from '@ironsource/fusion-ui/components/dropdown/common/base';
import { DropdownSearchModule } from '@ironsource/fusion-ui/components/dropdown-search/v2';
import * as i5 from '@ironsource/fusion-ui/components/dropdown-select/v2';
import { DropdownSelectModule } from '@ironsource/fusion-ui/components/dropdown-select/v2';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2 from '@ironsource/fusion-ui/directives/click-outside';
import { ClickOutsideModule } from '@ironsource/fusion-ui/directives/click-outside';
import * as i3 from '@ironsource/fusion-ui/components/dropdown-loader/v2';
import { DropdownLoaderModule } from '@ironsource/fusion-ui/components/dropdown-loader/v2';
import * as i4 from '@ironsource/fusion-ui/components/dropdown-options-list/v2';
import { DropdownOptionsListModule } from '@ironsource/fusion-ui/components/dropdown-options-list/v2';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import { ButtonModule } from '@ironsource/fusion-ui/components/button/v2';
import { InputModule } from '@ironsource/fusion-ui/components/input/v2';
import { FlagModule } from '@ironsource/fusion-ui/components/flag/v1';
import { CheckboxModule } from '@ironsource/fusion-ui/components/checkbox/v2';
import { FilterByFieldPipe } from '@ironsource/fusion-ui/pipes/collection';
import { ClonePipe } from '@ironsource/fusion-ui/pipes/clone';
import { TooltipModule } from '@ironsource/fusion-ui/components/tooltip/v2';
import { DynamicComponentsModule } from '@ironsource/fusion-ui/components/dynamic-components/v1';
import { DropdownOptionModule } from '@ironsource/fusion-ui/components/dropdown-option/v2';
export * from '@ironsource/fusion-ui/components/dropdown/entities';

const _c0 = ["searchComponent"];
const _c1 = ["selectComponent"];
function DropdownComponent_li_12_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "li", 11);
    i0.ɵɵtext(1, "No results");
    i0.ɵɵelementEnd();
} }
function DropdownComponent_div_13_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 12);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r3.error);
} }
const _c2 = (a0, a1, a2) => ({ "dd-disabled": a0, "dd-confirm": a1, "dd-scroll": a2 });
class DropdownComponent extends DropdownBaseComponent {
    constructor() {
        super(...arguments);
        /** @ignore */
        this.dropdownArrowIconName = {
            iconName: 'arrow-down',
            iconVersion: 'v2'
        };
    }
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵDropdownComponent_BaseFactory; return function DropdownComponent_Factory(t) { return (ɵDropdownComponent_BaseFactory || (ɵDropdownComponent_BaseFactory = i0.ɵɵgetInheritedFactory(DropdownComponent)))(t || DropdownComponent); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: DropdownComponent, selectors: [["fusion-dropdown"]], viewQuery: function DropdownComponent_Query(rf, ctx) { if (rf & 1) {
            i0.ɵɵviewQuery(_c0, 5);
            i0.ɵɵviewQuery(_c1, 5);
        } if (rf & 2) {
            let _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.searchComponent = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.selectComponent = _t.first);
        } }, features: [i0.ɵɵProvidersFeature([
                DropdownService,
                {
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(() => DropdownComponent),
                    multi: true
                }
            ]), i0.ɵɵInheritDefinitionFeature], decls: 14, vars: 30, consts: [[1, "is-dropdown", 3, "id", "clickOutsideActivate", "ngClass", "fusionClickOutside"], [3, "configurations", "searchValueChanged", "click"], ["selectComponent", ""], [1, "options-dropdown", 3, "ngClass"], [1, "options-holder", 3, "scroll"], ["optionsHolder", ""], [1, "options"], [3, "displayedOptions", "isMultiRawDisplay", "mappingOptions", "selected", "changeSelected"], [3, "fusionDropdownLoader"], ["class", "no-results", 4, "ngIf"], ["class", "error-msg", 4, "ngIf"], [1, "no-results"], [1, "error-msg"]], template: function DropdownComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵlistener("fusionClickOutside", function DropdownComponent_Template_div_fusionClickOutside_0_listener($event) { return ctx.onOutsideClick($event); });
            i0.ɵɵpipe(1, "async");
            i0.ɵɵelementStart(2, "fusion-dropdown-select", 1, 2);
            i0.ɵɵlistener("searchValueChanged", function DropdownComponent_Template_fusion_dropdown_select_searchValueChanged_2_listener($event) { return ctx.searchValue.setValue($event); })("click", function DropdownComponent_Template_fusion_dropdown_select_click_2_listener($event) { return ctx.openDropdown($event); });
            i0.ɵɵpipe(4, "async");
            i0.ɵɵelementEnd();
            i0.ɵɵelementStart(5, "div", 3)(6, "div", 4, 5);
            i0.ɵɵlistener("scroll", function DropdownComponent_Template_div_scroll_6_listener($event) { return ctx.onScroll($event); });
            i0.ɵɵelementStart(8, "ul", 6)(9, "fusion-dropdown-options-list", 7);
            i0.ɵɵlistener("changeSelected", function DropdownComponent_Template_fusion_dropdown_options_list_changeSelected_9_listener($event) { return ctx.changeSelected($event); });
            i0.ɵɵpipe(10, "async");
            i0.ɵɵelementEnd();
            i0.ɵɵelement(11, "li", 8);
            i0.ɵɵtemplate(12, DropdownComponent_li_12_Template, 2, 0, "li", 9);
            i0.ɵɵelementEnd()()()();
            i0.ɵɵtemplate(13, DropdownComponent_div_13_Template, 2, 1, "div", 10);
        } if (rf & 2) {
            i0.ɵɵstyleProp("width", ctx.placeholderWidth);
            i0.ɵɵproperty("id", ctx.id)("clickOutsideActivate", i0.ɵɵpipeBind1(1, 20, ctx.isOpen$))("ngClass", ctx.getHolderCSSClasses());
            i0.ɵɵadvance(2);
            i0.ɵɵclassProp("is-icon-right-position", ctx.isIconRightPosition);
            i0.ɵɵproperty("configurations", i0.ɵɵpipeBind1(4, 22, ctx.dropdownSelectConfigurations$));
            i0.ɵɵadvance(3);
            i0.ɵɵclassProp("options-locate-left", ctx.isLocatedLeft)("options-locate-right", ctx.isLocatedRight);
            i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction3(26, _c2, ctx.isDisabled || ctx.isDisabledForm, ctx.search || ctx.autoComplete, ctx.hasScroll));
            i0.ɵɵadvance(4);
            i0.ɵɵproperty("displayedOptions", i0.ɵɵpipeBind1(10, 24, ctx.displayedOptionsObservable$))("isMultiRawDisplay", ctx.isMultiRawDisplay)("mappingOptions", ctx.mappingOptions)("selected", ctx.selected);
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("fusionDropdownLoader", (ctx.autoComplete || ctx.search) && ctx.loading);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", !(ctx.filteredOptions == null ? null : ctx.filteredOptions.length) && !ctx.loading);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.error);
        } }, dependencies: [i1.NgClass, i1.NgIf, i2.ClickOutsideDirective, i3.DropdownLoaderDirective, i4.DropdownOptionsListComponent, i5.DropdownSelectComponent, i1.AsyncPipe], styles: ["[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .no-results[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .no-results[_ngcontent-%COMP%]{font-size:12px;font-family:HelveticaNeue,helvetica,sans-serif;font-weight:400;letter-spacing:.04px}[_nghost-%COMP%]   .error-msg[_ngcontent-%COMP%]{font-size:11px;font-family:HelveticaNeue,helvetica,sans-serif;font-weight:400}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-group[_ngcontent-%COMP%]   .is-dd-group[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-group[_ngcontent-%COMP%]   .is-dd-group[_ngcontent-%COMP%]{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;font-weight:400;letter-spacing:.25px}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label.truncate[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label.truncate[_ngcontent-%COMP%]{width:100%;display:inline-block;white-space:nowrap;overflow:hidden!important;text-overflow:ellipsis}[_nghost-%COMP%]{margin:0;padding:0;vertical-align:initial;text-align:initial}[_nghost-%COMP%]   ul[_ngcontent-%COMP%], [_nghost-%COMP%]   ol[_ngcontent-%COMP%]{padding:0;margin:0}[_nghost-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%], [_nghost-%COMP%]   ol[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]{list-style:none}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-locate-right.options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-locate-right.options-dropdown[_ngcontent-%COMP%]{left:auto}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-locate-left.options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-locate-left.options-dropdown[_ngcontent-%COMP%]{right:auto}[_nghost-%COMP%]{display:inline;min-width:85px;line-height:20px}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]{position:relative}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{position:absolute;left:0;right:0;top:100%;max-height:0;background:var(--fu-white, #ffffff);box-shadow:0 2px 4px #0c003333;border:solid 1px var(--fu-light-300, #e5e7e9);border-radius:4px;display:none}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]{padding:4px;overflow:hidden;overflow-y:auto}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{display:block;visibility:hidden;overflow-y:auto;z-index:1001;max-height:264px;overflow-x:hidden}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-disabled[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-disabled[_ngcontent-%COMP%]{display:none}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-confirm[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-confirm[_ngcontent-%COMP%]{max-height:300px}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .is-hidden[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .is-hidden[_ngcontent-%COMP%]{display:none}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .no-results[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .no-results[_ngcontent-%COMP%]{background:none;cursor:default;padding:8px 10px;height:32px;color:var(--fu-light-900, #7b838c)}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-scroll[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-scroll[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]{padding-bottom:0;height:100%;max-height:245px}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%]{text-align:right;background-color:var(--fu-white, #ffffff);padding:8px 7px 7px;border-top:solid 1px var(--fu-light-300, #e5e7e9)}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%]   button[_ngcontent-%COMP%] + button[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%]   button[_ngcontent-%COMP%] + button[_ngcontent-%COMP%]{margin-left:2px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{max-height:296px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-confirm[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-confirm[_ngcontent-%COMP%]{max-height:333px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-scroll[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-scroll[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]{padding-bottom:0;height:100%;max-height:245px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]{height:32px;border-radius:4px;padding:0 8px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]{position:relative;cursor:pointer;display:block;color:var(--fu-dark-700, #1d1c64);height:100%;padding:8px 0}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-checkbox[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-checkbox[_ngcontent-%COMP%]{margin-right:8px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   img[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   img[_ngcontent-%COMP%]{width:20px;height:20px;max-width:20px;border-radius:4px;vertical-align:middle;margin-right:10px;margin-top:-2px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]{margin-right:6px;vertical-align:sub;display:inline-block}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg{width:13px;height:13px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg *, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-600, #b7bbc0)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-flag[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-flag[_ngcontent-%COMP%]{margin-right:6px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label.has-icon[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label.has-icon[_ngcontent-%COMP%]{padding-right:20px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-group[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-group[_ngcontent-%COMP%]{padding:8px;height:24px;background-color:var(--fu-light-200, #f0f1f2);border-radius:4px;margin:4px 0}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-group[_ngcontent-%COMP%]:first-child, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-group[_ngcontent-%COMP%]:first-child{margin-top:0}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-group[_ngcontent-%COMP%]   .is-dd-group[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-group[_ngcontent-%COMP%]   .is-dd-group[_ngcontent-%COMP%]{text-transform:uppercase;color:var(--fu-light-900, #7b838c);cursor:default;display:block;height:24px;margin:-5px 0}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]{position:relative;color:var(--fu-light-900, #7b838c);border:solid 1px transparent;cursor:pointer;padding-left:13px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%] > div[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%] > div[_ngcontent-%COMP%]{margin-top:5px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   fusion-icon[class^=option-icon-arrow][_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   fusion-icon[class^=option-icon-arrow][_ngcontent-%COMP%]{position:absolute;right:7px;top:5px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   fusion-icon[class^=option-icon-arrow][_ngcontent-%COMP%]     svg, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   fusion-icon[class^=option-icon-arrow][_ngcontent-%COMP%]     svg{width:8px;height:8px;transform:rotate(-90deg)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   fusion-icon[class^=option-icon-arrow][_ngcontent-%COMP%]     svg *, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   fusion-icon[class^=option-icon-arrow][_ngcontent-%COMP%]     svg *{fill:var(--fu-light-900, #7b838c)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%]{display:none;margin:5px -10px 0 -14px;padding-top:4px;background-color:#fff}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]{display:flex;align-content:center;align-items:center;padding-left:5px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-checkbox[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-checkbox[_ngcontent-%COMP%]{margin:-5px 5px 0}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%] > span[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%] > span[_ngcontent-%COMP%]{margin-top:1px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%]{height:100%}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%]   fusion-icon.option-icon-arrow[_ngcontent-%COMP%]     svg, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%]   fusion-icon.option-icon-arrow[_ngcontent-%COMP%]     svg{width:8px;height:8px;transform:rotate(360deg)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%]   fusion-icon.option-icon-arrow[_ngcontent-%COMP%]     svg *, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%]   fusion-icon.option-icon-arrow[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-900, #7b838c)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%]{display:block}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.no-results[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.no-results[_ngcontent-%COMP%]{padding:8px 10px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.no-results[_ngcontent-%COMP%]:hover, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.no-results[_ngcontent-%COMP%]:hover{background-color:var(--fu-white, #ffffff)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]:hover, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]:hover{background-color:var(--fu-light-100, #f7f8f9)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon[class^=icon][_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon[class^=icon][_ngcontent-%COMP%]{position:absolute;right:-3px;top:8px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon[class^=icon][_ngcontent-%COMP%]     svg, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon[class^=icon][_ngcontent-%COMP%]     svg{width:13px;height:13px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon[class^=icon][_ngcontent-%COMP%]     svg *, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon[class^=icon][_ngcontent-%COMP%]     svg *{fill:var(--fu-light-500, #d2d5d8)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]:hover   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]:hover   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg{width:13px;height:13px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]:hover   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg *, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]:hover   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-700, #a9afb4)}[_nghost-%COMP%]   .is-dropdown.dd-disabled[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-disabled[_ngcontent-%COMP%]{cursor:not-allowed}[_nghost-%COMP%]   .error-msg[_ngcontent-%COMP%]{color:var(--fu-negative-500, #ff6a63);margin-top:-2px}.fu-options-position-up[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], .fu-options-position-up[_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{top:inherit;bottom:calc(100% + 2px)}.fu-items-top[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], .fu-items-top   [_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{top:0}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DropdownComponent, [{
        type: Component,
        args: [{ selector: 'fusion-dropdown', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                    DropdownService,
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => DropdownComponent),
                        multi: true
                    }
                ], template: "<div\n    class=\"is-dropdown\"\n    [id]=\"id\"\n    [style.width]=\"placeholderWidth\"\n    [clickOutsideActivate]=\"isOpen$ | async\"\n    (fusionClickOutside)=\"onOutsideClick($event)\"\n    [ngClass]=\"getHolderCSSClasses()\"\n>\n    <fusion-dropdown-select\n        [class.is-icon-right-position]=\"this.isIconRightPosition\"\n        (searchValueChanged)=\"searchValue.setValue($event)\"\n        (click)=\"openDropdown($event)\"\n        [configurations]=\"dropdownSelectConfigurations$ | async\"\n        #selectComponent\n    >\n    </fusion-dropdown-select>\n    <div class=\"options-dropdown\" [class.options-locate-left]=\"isLocatedLeft\" [class.options-locate-right]=\"isLocatedRight\" [ngClass]=\"{'dd-disabled': isDisabled || isDisabledForm, 'dd-confirm': search || autoComplete, 'dd-scroll': hasScroll}\">\n        <!--dropdown options holder-->\n        <div class=\"options-holder\" (scroll)=\"onScroll($event)\" #optionsHolder>\n            <ul class=\"options\">\n                <!--options-->\n                <fusion-dropdown-options-list\n                    [displayedOptions]=\"displayedOptionsObservable$ | async\"\n                    [isMultiRawDisplay]=\"isMultiRawDisplay\"\n                    [mappingOptions]=\"mappingOptions\"\n                    [selected]=\"selected\"\n                    (changeSelected)=\"changeSelected($event)\"\n                ></fusion-dropdown-options-list>\n                <!--loader holder-->\n                <li [fusionDropdownLoader]=\"(autoComplete || search) && loading\"></li>\n                <!--no-result holder-->\n                <li class=\"no-results\" *ngIf=\"!filteredOptions?.length && !loading\">No results</li>\n            </ul>\n        </div>\n    </div>\n</div>\n<!--errors holder-->\n<div class=\"error-msg\" *ngIf=\"error\">{{ error }}</div>\n", styles: [":host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label,:host .is-dropdown.dd-opened .options-dropdown .options-holder .options .no-results,:host .is-tags-holder.dd-opened .options-dropdown .options-holder .options .no-results{font-size:12px;font-family:HelveticaNeue,helvetica,sans-serif;font-weight:400;letter-spacing:.04px}:host .error-msg{font-size:11px;font-family:HelveticaNeue,helvetica,sans-serif;font-weight:400}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-group .is-dd-group,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-group .is-dd-group{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;font-weight:400;letter-spacing:.25px}:host *{box-sizing:border-box}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label.truncate,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label.truncate{width:100%;display:inline-block;white-space:nowrap;overflow:hidden!important;text-overflow:ellipsis}:host{margin:0;padding:0;vertical-align:initial;text-align:initial}:host ul,:host ol{padding:0;margin:0}:host ul li,:host ol li{list-style:none}:host .is-dropdown .options-locate-right.options-dropdown,:host .is-tags-holder .options-locate-right.options-dropdown{left:auto}:host .is-dropdown .options-locate-left.options-dropdown,:host .is-tags-holder .options-locate-left.options-dropdown{right:auto}:host{display:inline;min-width:85px;line-height:20px}:host .is-dropdown,:host .is-tags-holder{position:relative}:host .is-dropdown .options-dropdown,:host .is-tags-holder .options-dropdown{position:absolute;left:0;right:0;top:100%;max-height:0;background:var(--fu-white, #ffffff);box-shadow:0 2px 4px #0c003333;border:solid 1px var(--fu-light-300, #e5e7e9);border-radius:4px;display:none}:host .is-dropdown .options-dropdown .options-holder,:host .is-tags-holder .options-dropdown .options-holder{padding:4px;overflow:hidden;overflow-y:auto}:host .is-dropdown.dd-opened .options-dropdown,:host .is-tags-holder.dd-opened .options-dropdown{display:block;visibility:hidden;overflow-y:auto;z-index:1001;max-height:264px;overflow-x:hidden}:host .is-dropdown.dd-opened .options-dropdown.dd-disabled,:host .is-tags-holder.dd-opened .options-dropdown.dd-disabled{display:none}:host .is-dropdown.dd-opened .options-dropdown.dd-confirm,:host .is-tags-holder.dd-opened .options-dropdown.dd-confirm{max-height:300px}:host .is-dropdown.dd-opened .options-dropdown .options-holder .options .is-hidden,:host .is-tags-holder.dd-opened .options-dropdown .options-holder .options .is-hidden{display:none}:host .is-dropdown.dd-opened .options-dropdown .options-holder .options .no-results,:host .is-tags-holder.dd-opened .options-dropdown .options-holder .options .no-results{background:none;cursor:default;padding:8px 10px;height:32px;color:var(--fu-light-900, #7b838c)}:host .is-dropdown.dd-opened .options-dropdown.dd-scroll .options-holder,:host .is-tags-holder.dd-opened .options-dropdown.dd-scroll .options-holder{padding-bottom:0;height:100%;max-height:245px}:host .is-dropdown .dd-actions,:host .is-tags-holder .dd-actions{text-align:right;background-color:var(--fu-white, #ffffff);padding:8px 7px 7px;border-top:solid 1px var(--fu-light-300, #e5e7e9)}:host .is-dropdown .dd-actions button+button,:host .is-tags-holder .dd-actions button+button{margin-left:2px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown{max-height:296px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown.dd-confirm,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown.dd-confirm{max-height:333px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown.dd-scroll .options-holder,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown.dd-scroll .options-holder{padding-bottom:0;height:100%;max-height:245px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li{height:32px;border-radius:4px;padding:0 8px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label{position:relative;cursor:pointer;display:block;color:var(--fu-dark-700, #1d1c64);height:100%;padding:8px 0}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-checkbox,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-checkbox{margin-right:8px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label img,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label img{width:20px;height:20px;max-width:20px;border-radius:4px;vertical-align:middle;margin-right:10px;margin-top:-2px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon{margin-right:6px;vertical-align:sub;display:inline-block}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon ::ng-deep svg,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon ::ng-deep svg{width:13px;height:13px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon ::ng-deep svg *,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon ::ng-deep svg *{fill:var(--fu-light-600, #b7bbc0)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-flag,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-flag{margin-right:6px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label.has-icon,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label.has-icon{padding-right:20px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-group,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-group{padding:8px;height:24px;background-color:var(--fu-light-200, #f0f1f2);border-radius:4px;margin:4px 0}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-group:first-child,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-group:first-child{margin-top:0}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-group .is-dd-group,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-group .is-dd-group{text-transform:uppercase;color:var(--fu-light-900, #7b838c);cursor:default;display:block;height:24px;margin:-5px 0}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children{position:relative;color:var(--fu-light-900, #7b838c);border:solid 1px transparent;cursor:pointer;padding-left:13px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children>div,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children>div{margin-top:5px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children fusion-icon[class^=option-icon-arrow],:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children fusion-icon[class^=option-icon-arrow]{position:absolute;right:7px;top:5px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children fusion-icon[class^=option-icon-arrow] ::ng-deep svg,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children fusion-icon[class^=option-icon-arrow] ::ng-deep svg{width:8px;height:8px;transform:rotate(-90deg)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children fusion-icon[class^=option-icon-arrow] ::ng-deep svg *,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children fusion-icon[class^=option-icon-arrow] ::ng-deep svg *{fill:var(--fu-light-900, #7b838c)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children .is-subgroup-options,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children .is-subgroup-options{display:none;margin:5px -10px 0 -14px;padding-top:4px;background-color:#fff}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children .is-subgroup-options .is-option-label,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children .is-subgroup-options .is-option-label{display:flex;align-content:center;align-items:center;padding-left:5px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children .is-subgroup-options .is-option-label fusion-checkbox,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children .is-subgroup-options .is-option-label fusion-checkbox{margin:-5px 5px 0}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children .is-subgroup-options .is-option-label>span,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children .is-subgroup-options .is-option-label>span{margin-top:1px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open{height:100%}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open fusion-icon.option-icon-arrow ::ng-deep svg,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open fusion-icon.option-icon-arrow ::ng-deep svg{width:8px;height:8px;transform:rotate(360deg)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open fusion-icon.option-icon-arrow ::ng-deep svg *,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open fusion-icon.option-icon-arrow ::ng-deep svg *{fill:var(--fu-light-900, #7b838c)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open .is-subgroup-options,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open .is-subgroup-options{display:block}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.no-results,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.no-results{padding:8px 10px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.no-results:hover,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.no-results:hover{background-color:var(--fu-white, #ffffff)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li:hover,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li:hover{background-color:var(--fu-light-100, #f7f8f9)}:host .is-dropdown.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon[class^=icon],:host .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon[class^=icon]{position:absolute;right:-3px;top:8px}:host .is-dropdown.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon[class^=icon] ::ng-deep svg,:host .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon[class^=icon] ::ng-deep svg{width:13px;height:13px}:host .is-dropdown.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon[class^=icon] ::ng-deep svg *,:host .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon[class^=icon] ::ng-deep svg *{fill:var(--fu-light-500, #d2d5d8)}:host .is-dropdown.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li:hover .is-option-label fusion-icon.icon ::ng-deep svg,:host .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li:hover .is-option-label fusion-icon.icon ::ng-deep svg{width:13px;height:13px}:host .is-dropdown.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li:hover .is-option-label fusion-icon.icon ::ng-deep svg *,:host .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li:hover .is-option-label fusion-icon.icon ::ng-deep svg *{fill:var(--fu-light-700, #a9afb4)}:host .is-dropdown.dd-disabled,:host .is-tags-holder.dd-disabled{cursor:not-allowed}:host .error-msg{color:var(--fu-negative-500, #ff6a63);margin-top:-2px}:host.fu-options-position-up .is-dropdown .options-dropdown,:host.fu-options-position-up .is-tags-holder.dd-opened .options-dropdown{top:inherit;bottom:calc(100% + 2px)}:host-context(.fu-items-top) .is-dropdown .options-dropdown{top:0}\n"] }]
    }], null, { searchComponent: [{
            type: ViewChild,
            args: ['searchComponent']
        }], selectComponent: [{
            type: ViewChild,
            args: ['selectComponent']
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(DropdownComponent, { className: "DropdownComponent", filePath: "dropdown.component.ts", lineNumber: 22 }); })();

class DropdownModule {
    static { this.ɵfac = function DropdownModule_Factory(t) { return new (t || DropdownModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: DropdownModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule,
            ReactiveFormsModule,
            IconModule,
            ButtonModule,
            InputModule,
            FlagModule,
            CheckboxModule,
            ClickOutsideModule,
            TooltipModule,
            DynamicComponentsModule,
            DropdownLoaderModule,
            DropdownOptionsListModule,
            DropdownOptionModule,
            DropdownSelectModule,
            DropdownSearchModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DropdownModule, [{
        type: NgModule,
        args: [{
                declarations: [DropdownComponent],
                exports: [DropdownComponent],
                imports: [
                    CommonModule,
                    ReactiveFormsModule,
                    IconModule,
                    ButtonModule,
                    InputModule,
                    FlagModule,
                    CheckboxModule,
                    ClickOutsideModule,
                    FilterByFieldPipe,
                    ClonePipe,
                    TooltipModule,
                    DynamicComponentsModule,
                    DropdownLoaderModule,
                    DropdownOptionsListModule,
                    DropdownOptionModule,
                    DropdownSelectModule,
                    DropdownSearchModule
                ]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(DropdownModule, { declarations: [DropdownComponent], imports: [CommonModule,
        ReactiveFormsModule,
        IconModule,
        ButtonModule,
        InputModule,
        FlagModule,
        CheckboxModule,
        ClickOutsideModule,
        FilterByFieldPipe,
        ClonePipe,
        TooltipModule,
        DynamicComponentsModule,
        DropdownLoaderModule,
        DropdownOptionsListModule,
        DropdownOptionModule,
        DropdownSelectModule,
        DropdownSearchModule], exports: [DropdownComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { DropdownComponent, DropdownModule };
//# sourceMappingURL=ironsource-fusion-ui-components-dropdown-v2.mjs.map
