import * as i0 from '@angular/core';
import { inject, Component, ChangeDetectionStrategy, Input } from '@angular/core';
import * as i1 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import { GenericPipe } from '@ironsource/fusion-ui/pipes/generic';
import { TestIdsService } from '@ironsource/fusion-ui/services/test-ids';
import { LinkTestIdModifiers } from '@ironsource/fusion-ui/entities';

function LinkComponent_Conditional_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 4);
    i0.ɵɵpipe(1, "generic");
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵstyleProp("color", ctx_r0.startIconColor);
    i0.ɵɵproperty("name", ctx_r0.startIconName);
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(1, 4, ctx_r0.testIdsService.getTestAttribute.bind(ctx_r0), ctx_r0.testId, ctx_r0.testIdLinkModifiers.START_ICON));
} }
function LinkComponent_Conditional_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 5);
    i0.ɵɵpipe(1, "generic");
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵstyleProp("color", ctx_r1.endIconColor);
    i0.ɵɵproperty("name", ctx_r1.endIconName);
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(1, 4, ctx_r1.testIdsService.getTestAttribute.bind(ctx_r1), ctx_r1.testId, ctx_r1.testIdLinkModifiers.END_ICON));
} }
function LinkComponent_Conditional_7_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 5);
    i0.ɵɵpipe(1, "generic");
} if (rf & 2) {
    const ctx_r2 = i0.ɵɵnextContext();
    i0.ɵɵstyleProp("color", ctx_r2.externalIconColor);
    i0.ɵɵproperty("name", ctx_r2.externalIcon);
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(1, 4, ctx_r2.testIdsService.getTestAttribute.bind(ctx_r2), ctx_r2.testId, ctx_r2.testIdLinkModifiers.EXTERNAL_ICON));
} }
const _c0 = ["*"];
class LinkComponent {
    constructor() {
        this.href = '#';
        this.target = '_self';
        this._variant = 'body1';
        this._color = 'default';
        this.disabled = false;
        this.underline = false;
        /** @internal */
        this.testIdsService = inject(TestIdsService);
        /** @internal */
        this.testIdLinkModifiers = LinkTestIdModifiers;
    }
    set variant(value) {
        this._variant = value ?? 'body1';
    }
    get variant() {
        return this._variant;
    }
    set color(value) {
        this._color = value ?? 'default';
    }
    get isPrimary() {
        return this._color === 'primary';
    }
    get isExternal() {
        return this.target === '_blank';
    }
    get externalIcon() {
        return this.externalIconName ?? 'ph/regular/arrow-square-out';
    }
    static { this.ɵfac = function LinkComponent_Factory(t) { return new (t || LinkComponent)(); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: LinkComponent, selectors: [["fusion-link"]], hostAttrs: [1, "fusion-v4"], inputs: { testId: "testId", href: "href", target: "target", variant: "variant", color: "color", disabled: "disabled", underline: "underline", startIconColor: "startIconColor", startIconName: "startIconName", endIconColor: "endIconColor", endIconName: "endIconName", externalIconColor: "externalIconColor", externalIconName: "externalIconName" }, standalone: true, features: [i0.ɵɵStandaloneFeature], ngContentSelectors: _c0, decls: 8, vars: 24, consts: [[3, "href", "target"], ["class", "fu-link-start-icon", 3, "color", "name"], [1, "fu-link-content"], ["class", "fu-link-end-icon", 3, "color", "name"], [1, "fu-link-start-icon", 3, "name"], [1, "fu-link-end-icon", 3, "name"]], template: function LinkComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵprojectionDef();
            i0.ɵɵelementStart(0, "a", 0);
            i0.ɵɵpipe(1, "generic");
            i0.ɵɵtemplate(2, LinkComponent_Conditional_2_Template, 2, 8, "fusion-icon", 1);
            i0.ɵɵelementStart(3, "span", 2);
            i0.ɵɵpipe(4, "generic");
            i0.ɵɵprojection(5);
            i0.ɵɵelementEnd();
            i0.ɵɵtemplate(6, LinkComponent_Conditional_6_Template, 2, 8, "fusion-icon", 3)(7, LinkComponent_Conditional_7_Template, 2, 8, "fusion-icon", 3);
            i0.ɵɵelementEnd();
        } if (rf & 2) {
            i0.ɵɵclassMapInterpolate1("fu-link fu-link-variant-", ctx.variant, "");
            i0.ɵɵclassProp("fu-link-primary", ctx.isPrimary)("fu-link-underline", ctx.underline)("fu-link-disabled", ctx.disabled);
            i0.ɵɵproperty("href", ctx.href, i0.ɵɵsanitizeUrl)("target", ctx.target);
            i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(1, 16, ctx.testIdsService.getTestAttribute.bind(ctx), ctx.testId, ctx.testIdLinkModifiers.LINK));
            i0.ɵɵadvance(2);
            i0.ɵɵconditional(2, !!ctx.startIconName ? 2 : -1);
            i0.ɵɵadvance();
            i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(4, 20, ctx.testIdsService.getTestAttribute.bind(ctx), ctx.testId, ctx.testIdLinkModifiers.CONTENT));
            i0.ɵɵadvance(3);
            i0.ɵɵconditional(6, !!ctx.endIconName ? 6 : -1);
            i0.ɵɵadvance();
            i0.ɵɵconditional(7, ctx.isExternal && !!ctx.externalIcon ? 7 : -1);
        } }, dependencies: [GenericPipe, IconModule, i1.IconComponent], styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";.fusion-v4[_ngcontent-%COMP%]{--background-default: #FFFFFF;--background-paper: hsl(0, 0%, 99%);--background-model-elevation: #FFFFFF;--background-backdrop: hsla(0, 0%, 0%, .11);--background-paper-elevation-0: hsl(0, 0%, 97.5%);--background-paper-elevation-1: hsl(0, 0%, 94.6%);--background-paper-elevation-2: hsl(0, 0%, 92%);--background-paper-elevation-3: hsl(0, 0%, 89.5%);--background-paper-elevation-4: hsl(0, 0%, 86.8%);--background-paper-elevation-5: hsl(0, 0%, 83%);--background-paper-elevation-6: hsl(0, 0%, 73.2%);--background-paper-elevation-7: hsl(0, 0%, 55.2%);--background-paper-elevation-8: hsl(0, 0%, 50.3%);--background-paper-elevation-9: hsl(0, 0%, 39.3%);--action-primary: hsl(0, 0%, 12.5%);--action-active: hsl(0, 0%, 50.3%);--action-hover: hsla(0, 0%, 0%, .05);--action-selected: hsl(0, 0%, 92%);--action-disabled: hsl(0, 0%, 87%);--action-disabled-background: hsl(0, 0%, 95%);--action-focus: hsl(0, 0%, 92%);--action-outlined-border: hsl(0, 0%, 73%);--default-light: hsl(0, 0%, 89.5%);--default-main: hsl(0, 0%, 94.51%);--default-dark: hsl(0, 0%, 92%);--default-outlined-border: hsl(0, 0%, 73.2%);--default-contrast-text: hsl(0, 0%, 12.5%);--default-button-contrast-text: hsl(0, 0%, 0%);--common-white: #FFFFFF;--common-black: #000000;--common-inverse-white: #FFFFFF;--common-inverse-black: #000000;--common-divider: hsl(0, 0%, 86.8%);--common-divider-elevation-0: hsl(0, 0%, 89%);--text-primary: hsl(0, 0%, 12.5%);--text-secondary: hsl(0, 0%, 39.3%);--text-disabled: hsl(0, 0%, 73.33%);--primary-lighter: hsl(209, 100%, 96.5%);--primary-light: hsl(209, 95%, 90.1%);--primary-main: hsl(206, 100%, 50%);--primary-main-8-p: hsla(206, 100%, 50%, .08);--primary-main-50-p: hsla(206, 100%, 50%, .5);--primary-dark: hsl(208, 93.5%, 47.4%);--primary-darker: hsl(211, 90%, 42%);--primary-outlined-border: hsl(206, 100%, 50%);--primary-contrast-text: hsl(216, 71%, 23%);--primary-button-contrast-text: hsl(0, 0%, 100%);--info-lighter: hsl(223, 98.4%, 97.1%);--info-light: hsl(224, 87.1%, 92%);--info-main: hsl(226, 70%, 55.5%);--info-main-8-p: hsla(226, 70%, 55.5%, .08);--info-main-50-p: hsla(226, 70%, 55.5%, .5);--info-dark: hsl(226, 58.6%, 51.3%);--info-darker: hsl(226, 55%, 45%);--info-outlined-border: hsl(226, 70%, 55.5%);--info-contrast-text: hsl(226, 50%, 24%);--info-button-contrast-text: hsl(0, 0%, 100%);--success-lighter: hsl(139, 55.2%, 94.5%);--success-light: hsl(141, 43.7%, 86%);--success-main: hsl(151, 55%, 41.5%);--success-main-8-p: hsla(151, 55%, 41.5%, .08);--success-main-50-p: hsla(151, 55%, 41.5%, .5);--success-dark: hsl(152, 57.5%, 37.6%);--success-darker: hsl(153, 67%, 28.5%);--success-outlined-border: hsl(151, 55%, 41.5%);--success-contrast-text: hsl(155, 40%, 16.5%);--success-button-contrast-text: hsl(0, 0%, 100%);--warning-lighter: hsl(45, 100%, 90.8%);--warning-light: hsl(40, 100%, 81.5%);--warning-main: hsl(42, 100%, 62%);--warning-main-8-p: hsla(42, 100%, 62%, .08);--warning-main-50-p: hsla(42, 100%, 62%, .5);--warning-dark: hsl(42, 100%, 55%);--warning-darker: hsl(25, 50%, 38%);--warning-outlined-border: hsl(42, 100%, 62%);--warning-contrast-text: hsl(25, 40%, 22%);--warning-button-contrast-text: hsl(24, 40%, 22%);--error-lighter: hsl(0, 100%, 96.8%);--error-light: hsl(0, 90.2%, 91.9%);--error-main: hsl(358, 75%, 59%);--error-main-8-p: hsla(358, 75%, 59%, .08);--error-main-50-p: hsla(358, 75%, 59%, .5);--error-dark: hsl(358, 67.4%, 54.6%);--error-darker: hsl(358, 65%, 47%);--error-outlined-border: hsl(358, 75%, 59%);--error-contrast-text: hsl(350, 63%, 24%);--error-button-contrast-text: hsl(0, 0%, 100%);--aba: #FFC134;--abb: #4F4FF5}.fusion-v4[_ngcontent-%COMP%]{--spacing-tockenset: 0px;--spacing-25: 2px;--spacing-50: 4px;--spacing-75: 6px;--spacing-100: 8px;--spacing-125: 10px;--spacing-150: 12px;--spacing-200: 16px;--spacing-250: 20px;--spacing-300: 24px;--spacing-400: 32px;--spacing-500: 40px;--spacing-600: 48px;--spacing-700: 56px;--spacing-800: 64px;--spacing-900: 72px;--spacing-1000: 80px}.font-v4-bold[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%], .font-v4-chart-2[_ngcontent-%COMP%], .font-v4-chart-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold[_ngcontent-%COMP%], [_nghost-%COMP%]   a.fu-link.fu-link-variant-chip-label[_ngcontent-%COMP%], .font-v4-chip-label[_ngcontent-%COMP%], .font-v4-table-label[_ngcontent-%COMP%], [_nghost-%COMP%]   a.fu-link.fu-link-variant-button[_ngcontent-%COMP%], .font-v4-button[_ngcontent-%COMP%], .font-v4-heading-6[_ngcontent-%COMP%], .font-v4-heading-5[_ngcontent-%COMP%], .font-v4-heading-4[_ngcontent-%COMP%], .font-v4-heading-3[_ngcontent-%COMP%], .font-v4-heading-2[_ngcontent-%COMP%], .font-v4-heading-1[_ngcontent-%COMP%], .font-v4-title[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium[_ngcontent-%COMP%], .font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-input-label[_ngcontent-%COMP%], .font-v4-overline[_ngcontent-%COMP%], [_nghost-%COMP%]   a.fu-link.fu-link-variant-subtitle2[_ngcontent-%COMP%], .font-v4-subtitle-2[_ngcontent-%COMP%], [_nghost-%COMP%]   a.fu-link.fu-link-variant-subtitle1[_ngcontent-%COMP%], .font-v4-subtitle-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular[_ngcontent-%COMP%], [_nghost-%COMP%]   a.fu-link.fu-link-variant-caption[_ngcontent-%COMP%], .font-v4-caption[_ngcontent-%COMP%], [_nghost-%COMP%]   a.fu-link.fu-link-variant-body2[_ngcontent-%COMP%], .font-v4-body-2[_ngcontent-%COMP%], [_nghost-%COMP%]   a.fu-link[_ngcontent-%COMP%], .font-v4-body-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title[_ngcontent-%COMP%]{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2[_ngcontent-%COMP%]{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3[_ngcontent-%COMP%]{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5[_ngcontent-%COMP%]{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6[_ngcontent-%COMP%]{font-size:.75rem;line-height:.75rem;letter-spacing:0}[_nghost-%COMP%]   a.fu-link[_ngcontent-%COMP%], .font-v4-body-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}[_nghost-%COMP%]   a.fu-link.fu-link-variant-body2[_ngcontent-%COMP%], .font-v4-body-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}[_nghost-%COMP%]   a.fu-link.fu-link-variant-subtitle1[_ngcontent-%COMP%], .font-v4-subtitle-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}[_nghost-%COMP%]   a.fu-link.fu-link-variant-subtitle2[_ngcontent-%COMP%], .font-v4-subtitle-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2[_ngcontent-%COMP%]{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}[_nghost-%COMP%]   a.fu-link.fu-link-variant-button[_ngcontent-%COMP%], .font-v4-button[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}[_nghost-%COMP%]   a.fu-link.fu-link-variant-caption[_ngcontent-%COMP%], .font-v4-caption[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem}.font-v4-table-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem}[_nghost-%COMP%]   a.fu-link.fu-link-variant-chip-label[_ngcontent-%COMP%], .font-v4-chip-label[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:normal}[_nghost-%COMP%]{margin:0;padding:0}[_nghost-%COMP%]   a.fu-link[_ngcontent-%COMP%]{text-decoration:none;display:flex;align-items:center;gap:4px}[_nghost-%COMP%]   a.fu-link[_ngcontent-%COMP%]:link, [_nghost-%COMP%]   a.fu-link[_ngcontent-%COMP%]:visited, [_nghost-%COMP%]   a.fu-link[_ngcontent-%COMP%]:active{color:var(--text-secondary, hsl(0, 0%, 12.5%))}[_nghost-%COMP%]   a.fu-link[_ngcontent-%COMP%]:hover{color:var(--text-primary, hsl(0, 0%, 12.5%))}[_nghost-%COMP%]   a.fu-link.fu-link-primary[_ngcontent-%COMP%]:link, [_nghost-%COMP%]   a.fu-link.fu-link-primary[_ngcontent-%COMP%]:visited, [_nghost-%COMP%]   a.fu-link.fu-link-primary[_ngcontent-%COMP%]:active{color:var(--primary-main, hsl(206, 100%, 50%))}[_nghost-%COMP%]   a.fu-link.fu-link-primary[_ngcontent-%COMP%]:hover{color:var(--primary-dark, hsl(208, 93.5%, 47.4%))}[_nghost-%COMP%]   a.fu-link[_ngcontent-%COMP%]   fusion-icon[_ngcontent-%COMP%]{width:16px;height:16px}[_nghost-%COMP%]   a.fu-link.fu-link-disabled[_ngcontent-%COMP%], [_nghost-%COMP%]   a.fu-link.fu-link-primary.fu-link-disabled[_ngcontent-%COMP%]{color:var(--text-disabled, hsl(0, 0%, 73.33%));cursor:default;pointer-events:none}[_nghost-%COMP%]   a.fu-link.fu-link-underline[_ngcontent-%COMP%]{text-decoration:underline}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(LinkComponent, [{
        type: Component,
        args: [{ selector: 'fusion-link', standalone: true, host: { class: 'fusion-v4' }, imports: [GenericPipe, IconModule], changeDetection: ChangeDetectionStrategy.OnPush, template: "<a class=\"fu-link fu-link-variant-{{variant}}\"\n   [class.fu-link-primary]=\"isPrimary\"\n   [class.fu-link-underline]=\"underline\"\n   [class.fu-link-disabled]=\"disabled\"\n   [href]=\"href\"\n   [target]=\"target\"\n   [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdLinkModifiers.LINK\"\n>\n    @if (!!startIconName) {\n        <fusion-icon class=\"fu-link-start-icon\"\n                     [style.color]=\"startIconColor\"\n                     [name]=\"startIconName\"\n                     [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdLinkModifiers.START_ICON\">\n        </fusion-icon>\n    }\n    <span class=\"fu-link-content\" [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdLinkModifiers.CONTENT\"><ng-content></ng-content></span>\n    @if (!!endIconName) {\n        <fusion-icon class=\"fu-link-end-icon\"\n                     [style.color]=\"endIconColor\"\n                     [name]=\"endIconName\"\n                     [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdLinkModifiers.END_ICON\">\n        </fusion-icon>\n    }\n    @if (isExternal && !!externalIcon) {\n        <fusion-icon class=\"fu-link-end-icon\"\n                     [style.color]=\"externalIconColor\"\n                     [name]=\"externalIcon\"\n                     [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdLinkModifiers.EXTERNAL_ICON\">\n        </fusion-icon>\n    }\n</a>\n", styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";.fusion-v4{--background-default: #FFFFFF;--background-paper: hsl(0, 0%, 99%);--background-model-elevation: #FFFFFF;--background-backdrop: hsla(0, 0%, 0%, .11);--background-paper-elevation-0: hsl(0, 0%, 97.5%);--background-paper-elevation-1: hsl(0, 0%, 94.6%);--background-paper-elevation-2: hsl(0, 0%, 92%);--background-paper-elevation-3: hsl(0, 0%, 89.5%);--background-paper-elevation-4: hsl(0, 0%, 86.8%);--background-paper-elevation-5: hsl(0, 0%, 83%);--background-paper-elevation-6: hsl(0, 0%, 73.2%);--background-paper-elevation-7: hsl(0, 0%, 55.2%);--background-paper-elevation-8: hsl(0, 0%, 50.3%);--background-paper-elevation-9: hsl(0, 0%, 39.3%);--action-primary: hsl(0, 0%, 12.5%);--action-active: hsl(0, 0%, 50.3%);--action-hover: hsla(0, 0%, 0%, .05);--action-selected: hsl(0, 0%, 92%);--action-disabled: hsl(0, 0%, 87%);--action-disabled-background: hsl(0, 0%, 95%);--action-focus: hsl(0, 0%, 92%);--action-outlined-border: hsl(0, 0%, 73%);--default-light: hsl(0, 0%, 89.5%);--default-main: hsl(0, 0%, 94.51%);--default-dark: hsl(0, 0%, 92%);--default-outlined-border: hsl(0, 0%, 73.2%);--default-contrast-text: hsl(0, 0%, 12.5%);--default-button-contrast-text: hsl(0, 0%, 0%);--common-white: #FFFFFF;--common-black: #000000;--common-inverse-white: #FFFFFF;--common-inverse-black: #000000;--common-divider: hsl(0, 0%, 86.8%);--common-divider-elevation-0: hsl(0, 0%, 89%);--text-primary: hsl(0, 0%, 12.5%);--text-secondary: hsl(0, 0%, 39.3%);--text-disabled: hsl(0, 0%, 73.33%);--primary-lighter: hsl(209, 100%, 96.5%);--primary-light: hsl(209, 95%, 90.1%);--primary-main: hsl(206, 100%, 50%);--primary-main-8-p: hsla(206, 100%, 50%, .08);--primary-main-50-p: hsla(206, 100%, 50%, .5);--primary-dark: hsl(208, 93.5%, 47.4%);--primary-darker: hsl(211, 90%, 42%);--primary-outlined-border: hsl(206, 100%, 50%);--primary-contrast-text: hsl(216, 71%, 23%);--primary-button-contrast-text: hsl(0, 0%, 100%);--info-lighter: hsl(223, 98.4%, 97.1%);--info-light: hsl(224, 87.1%, 92%);--info-main: hsl(226, 70%, 55.5%);--info-main-8-p: hsla(226, 70%, 55.5%, .08);--info-main-50-p: hsla(226, 70%, 55.5%, .5);--info-dark: hsl(226, 58.6%, 51.3%);--info-darker: hsl(226, 55%, 45%);--info-outlined-border: hsl(226, 70%, 55.5%);--info-contrast-text: hsl(226, 50%, 24%);--info-button-contrast-text: hsl(0, 0%, 100%);--success-lighter: hsl(139, 55.2%, 94.5%);--success-light: hsl(141, 43.7%, 86%);--success-main: hsl(151, 55%, 41.5%);--success-main-8-p: hsla(151, 55%, 41.5%, .08);--success-main-50-p: hsla(151, 55%, 41.5%, .5);--success-dark: hsl(152, 57.5%, 37.6%);--success-darker: hsl(153, 67%, 28.5%);--success-outlined-border: hsl(151, 55%, 41.5%);--success-contrast-text: hsl(155, 40%, 16.5%);--success-button-contrast-text: hsl(0, 0%, 100%);--warning-lighter: hsl(45, 100%, 90.8%);--warning-light: hsl(40, 100%, 81.5%);--warning-main: hsl(42, 100%, 62%);--warning-main-8-p: hsla(42, 100%, 62%, .08);--warning-main-50-p: hsla(42, 100%, 62%, .5);--warning-dark: hsl(42, 100%, 55%);--warning-darker: hsl(25, 50%, 38%);--warning-outlined-border: hsl(42, 100%, 62%);--warning-contrast-text: hsl(25, 40%, 22%);--warning-button-contrast-text: hsl(24, 40%, 22%);--error-lighter: hsl(0, 100%, 96.8%);--error-light: hsl(0, 90.2%, 91.9%);--error-main: hsl(358, 75%, 59%);--error-main-8-p: hsla(358, 75%, 59%, .08);--error-main-50-p: hsla(358, 75%, 59%, .5);--error-dark: hsl(358, 67.4%, 54.6%);--error-darker: hsl(358, 65%, 47%);--error-outlined-border: hsl(358, 75%, 59%);--error-contrast-text: hsl(350, 63%, 24%);--error-button-contrast-text: hsl(0, 0%, 100%);--aba: #FFC134;--abb: #4F4FF5}.fusion-v4{--spacing-tockenset: 0px;--spacing-25: 2px;--spacing-50: 4px;--spacing-75: 6px;--spacing-100: 8px;--spacing-125: 10px;--spacing-150: 12px;--spacing-200: 16px;--spacing-250: 20px;--spacing-300: 24px;--spacing-400: 32px;--spacing-500: 40px;--spacing-600: 48px;--spacing-700: 56px;--spacing-800: 64px;--spacing-900: 72px;--spacing-1000: 80px}.font-v4-bold,.font-v4-tab-label-2,.font-v4-chart-2,.font-v4-chart-1{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold,:host a.fu-link.fu-link-variant-chip-label,.font-v4-chip-label,.font-v4-table-label,:host a.fu-link.fu-link-variant-button,.font-v4-button,.font-v4-heading-6,.font-v4-heading-5,.font-v4-heading-4,.font-v4-heading-3,.font-v4-heading-2,.font-v4-heading-1,.font-v4-title{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium,.font-v4-tab-label-1,.font-v4-input-label,.font-v4-overline,:host a.fu-link.fu-link-variant-subtitle2,.font-v4-subtitle-2,:host a.fu-link.fu-link-variant-subtitle1,.font-v4-subtitle-1{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular,:host a.fu-link.fu-link-variant-caption,.font-v4-caption,:host a.fu-link.fu-link-variant-body2,.font-v4-body-2,:host a.fu-link,.font-v4-body-1{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6{font-size:.75rem;line-height:.75rem;letter-spacing:0}:host a.fu-link,.font-v4-body-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}:host a.fu-link.fu-link-variant-body2,.font-v4-body-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}:host a.fu-link.fu-link-variant-subtitle1,.font-v4-subtitle-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}:host a.fu-link.fu-link-variant-subtitle2,.font-v4-subtitle-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}:host a.fu-link.fu-link-variant-button,.font-v4-button{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}:host a.fu-link.fu-link-variant-caption,.font-v4-caption{font-size:.75rem;line-height:1rem}.font-v4-table-label{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1,.font-v4-tab-label-2{font-size:.875rem;line-height:1rem}:host a.fu-link.fu-link-variant-chip-label,.font-v4-chip-label{font-size:.75rem;line-height:1rem;letter-spacing:normal}:host{margin:0;padding:0}:host a.fu-link{text-decoration:none;display:flex;align-items:center;gap:4px}:host a.fu-link:link,:host a.fu-link:visited,:host a.fu-link:active{color:var(--text-secondary, hsl(0, 0%, 12.5%))}:host a.fu-link:hover{color:var(--text-primary, hsl(0, 0%, 12.5%))}:host a.fu-link.fu-link-primary:link,:host a.fu-link.fu-link-primary:visited,:host a.fu-link.fu-link-primary:active{color:var(--primary-main, hsl(206, 100%, 50%))}:host a.fu-link.fu-link-primary:hover{color:var(--primary-dark, hsl(208, 93.5%, 47.4%))}:host a.fu-link fusion-icon{width:16px;height:16px}:host a.fu-link.fu-link-disabled,:host a.fu-link.fu-link-primary.fu-link-disabled{color:var(--text-disabled, hsl(0, 0%, 73.33%));cursor:default;pointer-events:none}:host a.fu-link.fu-link-underline{text-decoration:underline}\n"] }]
    }], null, { testId: [{
            type: Input
        }], href: [{
            type: Input
        }], target: [{
            type: Input
        }], variant: [{
            type: Input
        }], color: [{
            type: Input
        }], disabled: [{
            type: Input
        }], underline: [{
            type: Input
        }], startIconColor: [{
            type: Input
        }], startIconName: [{
            type: Input
        }], endIconColor: [{
            type: Input
        }], endIconName: [{
            type: Input
        }], externalIconColor: [{
            type: Input
        }], externalIconName: [{
            type: Input
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(LinkComponent, { className: "LinkComponent", filePath: "v4/link.component.ts", lineNumber: 17 }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { LinkComponent };
//# sourceMappingURL=ironsource-fusion-ui-components-link.mjs.map
