import * as i0 from '@angular/core';
import { EventEmitter, Component, ChangeDetectionStrategy, Input, Output, ViewChild } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import { BehaviorSubject, Subject, fromEvent } from 'rxjs';
import { map, takeUntil, filter } from 'rxjs/operators';
import { isNullOrUndefined } from '@ironsource/fusion-ui/utils';
import * as i2$1 from '@ironsource/fusion-ui/components/svg';
import { SvgModule } from '@ironsource/fusion-ui/components/svg';
import * as i2 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import { TooltipDirective } from '@ironsource/fusion-ui/components/tooltip/v4';
import * as i4 from '@ironsource/fusion-ui/directives/click-outside';
import { ClickOutsideModule } from '@ironsource/fusion-ui/directives/click-outside';
import { TooltipPosition } from '@ironsource/fusion-ui/components/tooltip/common/base';
import { RepositionDirective } from '@ironsource/fusion-ui/directives/reposition';
import * as i3 from '@ironsource/fusion-ui/components/tooltip';
import { TooltipModule } from '@ironsource/fusion-ui/components/tooltip';
import { IconButtonComponent } from '@ironsource/fusion-ui/components/button/v4';
import * as i1$1 from '@ironsource/fusion-ui/services/stogare';
import { StorageType } from '@ironsource/fusion-ui/services/stogare';

var NavigationBarItemType;
(function (NavigationBarItemType) {
    NavigationBarItemType["Home"] = "home";
    NavigationBarItemType["Main"] = "main";
    NavigationBarItemType["Bottom"] = "bottom";
    NavigationBarItemType["User"] = "user";
})(NavigationBarItemType || (NavigationBarItemType = {}));

function NavigationPopMenuComponent_div_1_div_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "div", 11);
} if (rf & 2) {
    const ctx_r2 = i0.ɵɵnextContext(2);
    i0.ɵɵstyleProp("background-image", "url(" + ctx_r2.layoutUser.avatar + ")");
} }
function NavigationPopMenuComponent_div_1_fusion_icon_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 12);
} if (rf & 2) {
    const ctx_r3 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("name", ctx_r3.userIcon);
} }
function NavigationPopMenuComponent_div_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 4)(1, "div", 5);
    i0.ɵɵtemplate(2, NavigationPopMenuComponent_div_1_div_2_Template, 1, 2, "div", 6)(3, NavigationPopMenuComponent_div_1_fusion_icon_3_Template, 1, 1, "fusion-icon", 7);
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(4, "div", 8)(5, "div", 9);
    i0.ɵɵtext(6);
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(7, "div", 10);
    i0.ɵɵtext(8);
    i0.ɵɵelementEnd()()();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", ctx_r0.layoutUser.avatar);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", !ctx_r0.layoutUser.avatar);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("fusionTooltip", ctx_r0.layoutUser.name);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r0.layoutUser.name);
    i0.ɵɵadvance();
    i0.ɵɵproperty("fusionTooltip", ctx_r0.layoutUser.email);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r0.layoutUser.email);
} }
function NavigationPopMenuComponent_ng_container_3_div_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "div", 17);
} }
function NavigationPopMenuComponent_ng_container_3_fusion_icon_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 18);
} if (rf & 2) {
    const menuItem_r4 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵproperty("name", menuItem_r4.icon);
} }
function NavigationPopMenuComponent_ng_container_3_Template(rf, ctx) { if (rf & 1) {
    const _r9 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, NavigationPopMenuComponent_ng_container_3_div_1_Template, 1, 0, "div", 13);
    i0.ɵɵelementStart(2, "a", 14);
    i0.ɵɵlistener("click", function NavigationPopMenuComponent_ng_container_3_Template_a_click_2_listener($event) { const restoredCtx = i0.ɵɵrestoreView(_r9); const menuItem_r4 = restoredCtx.$implicit; const ctx_r8 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r8.onMenuItemClicked($event, menuItem_r4)); });
    i0.ɵɵtemplate(3, NavigationPopMenuComponent_ng_container_3_fusion_icon_3_Template, 1, 1, "fusion-icon", 15);
    i0.ɵɵelementStart(4, "div", 16);
    i0.ɵɵtext(5);
    i0.ɵɵelementEnd()();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const menuItem_r4 = ctx.$implicit;
    let tmp_3_0;
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", menuItem_r4.withTopDelimiter);
    i0.ɵɵadvance();
    i0.ɵɵclassMapInterpolate1("fu-pop-menu-item ", menuItem_r4.cssClass, "");
    i0.ɵɵproperty("href", menuItem_r4.route || menuItem_r4.redirect, i0.ɵɵsanitizeUrl)("target", (tmp_3_0 = menuItem_r4.target) !== null && tmp_3_0 !== undefined ? tmp_3_0 : "_self");
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", menuItem_r4.icon);
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(menuItem_r4.name);
} }
class NavigationPopMenuComponent {
    constructor(element) {
        this.element = element;
        this.menuItemClicked = new EventEmitter();
        /** @internal */
        this.userIcon = { iconName: 'userCircle', iconVersion: 'v4' };
    }
    ngAfterViewInit() {
        const popupHeight = this.element.nativeElement.querySelector('.fu-pop-menu')?.offsetHeight;
        if (!!popupHeight) {
            this.element.nativeElement.style.height = `${popupHeight}px`;
        }
    }
    onMenuItemClicked($event, menuItem) {
        if ($event && $event.metaKey) {
            return;
        }
        if ($event && !menuItem.target) {
            $event.preventDefault();
            $event.stopPropagation();
            this.menuItemClicked.emit(menuItem);
        }
    }
    static { this.ɵfac = function NavigationPopMenuComponent_Factory(t) { return new (t || NavigationPopMenuComponent)(i0.ɵɵdirectiveInject(i0.ElementRef)); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: NavigationPopMenuComponent, selectors: [["fusion-navigation-pop-menu"]], inputs: { layoutUser: "layoutUser", menuItems: "menuItems" }, outputs: { menuItemClicked: "menuItemClicked" }, standalone: true, features: [i0.ɵɵStandaloneFeature], decls: 4, vars: 2, consts: [[1, "fu-pop-menu"], ["class", "fu-pop-menu-header", 4, "ngIf"], [1, "fu-pop-menu-items"], [4, "ngFor", "ngForOf"], [1, "fu-pop-menu-header"], [1, "fu-user-icon-holder"], ["class", "fu-user-avatar", 3, "background-image", 4, "ngIf"], ["class", "fu-user-icon", 3, "name", 4, "ngIf"], [1, "fu-user-data-holder"], [1, "fu-user-name", "truncate", 3, "fusionTooltip"], [1, "fu-user-email", "truncate", 3, "fusionTooltip"], [1, "fu-user-avatar"], [1, "fu-user-icon", 3, "name"], ["class", "fu-pop-menu-item-delimiter", 4, "ngIf"], [3, "href", "target", "click"], ["class", "fu-pop-menu-icon", 3, "name", 4, "ngIf"], [1, "fu-pop-menu-text"], [1, "fu-pop-menu-item-delimiter"], [1, "fu-pop-menu-icon", 3, "name"]], template: function NavigationPopMenuComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵtemplate(1, NavigationPopMenuComponent_div_1_Template, 9, 6, "div", 1);
            i0.ɵɵelementStart(2, "div", 2);
            i0.ɵɵtemplate(3, NavigationPopMenuComponent_ng_container_3_Template, 6, 8, "ng-container", 3);
            i0.ɵɵelementEnd()();
        } if (rf & 2) {
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.layoutUser);
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngForOf", ctx.menuItems);
        } }, dependencies: [CommonModule, i1.NgForOf, i1.NgIf, IconModule, i2.IconComponent, TooltipModule, i3.TooltipDirective], styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}.font-v4-bold[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%], .font-v4-chart-2[_ngcontent-%COMP%], .font-v4-chart-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold[_ngcontent-%COMP%], .font-v4-chip-label[_ngcontent-%COMP%], .font-v4-table-label[_ngcontent-%COMP%], .font-v4-button[_ngcontent-%COMP%], .font-v4-heading-6[_ngcontent-%COMP%], .font-v4-heading-5[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-pop-menu[_ngcontent-%COMP%]   .fu-pop-menu-header[_ngcontent-%COMP%]   .fu-user-data-holder[_ngcontent-%COMP%]   .fu-user-name[_ngcontent-%COMP%], .font-v4-heading-4[_ngcontent-%COMP%], .font-v4-heading-3[_ngcontent-%COMP%], .font-v4-heading-2[_ngcontent-%COMP%], .font-v4-heading-1[_ngcontent-%COMP%], .font-v4-title[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium[_ngcontent-%COMP%], .font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-input-label[_ngcontent-%COMP%], .font-v4-overline[_ngcontent-%COMP%], .font-v4-subtitle-2[_ngcontent-%COMP%], .font-v4-subtitle-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-pop-menu[_ngcontent-%COMP%]   .fu-pop-menu-header[_ngcontent-%COMP%]   .fu-user-data-holder[_ngcontent-%COMP%]   .fu-user-email[_ngcontent-%COMP%], .font-v4-caption[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-pop-menu[_ngcontent-%COMP%]   .fu-pop-menu-items[_ngcontent-%COMP%]   .fu-pop-menu-item[_ngcontent-%COMP%], .font-v4-body-2[_ngcontent-%COMP%], .font-v4-body-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title[_ngcontent-%COMP%]{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2[_ngcontent-%COMP%]{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3[_ngcontent-%COMP%]{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}[_nghost-%COMP%]   .fu-pop-menu[_ngcontent-%COMP%]   .fu-pop-menu-header[_ngcontent-%COMP%]   .fu-user-data-holder[_ngcontent-%COMP%]   .fu-user-name[_ngcontent-%COMP%], .font-v4-heading-4[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5[_ngcontent-%COMP%]{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6[_ngcontent-%COMP%]{font-size:.75rem;line-height:.75rem;letter-spacing:0}.font-v4-body-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}[_nghost-%COMP%]   .fu-pop-menu[_ngcontent-%COMP%]   .fu-pop-menu-items[_ngcontent-%COMP%]   .fu-pop-menu-item[_ngcontent-%COMP%], .font-v4-body-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2[_ngcontent-%COMP%]{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}[_nghost-%COMP%]   .fu-pop-menu[_ngcontent-%COMP%]   .fu-pop-menu-header[_ngcontent-%COMP%]   .fu-user-data-holder[_ngcontent-%COMP%]   .fu-user-email[_ngcontent-%COMP%], .font-v4-caption[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem}.font-v4-table-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem}.font-v4-chip-label[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:normal}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]{margin:0;padding:0;vertical-align:initial;text-align:initial}[_nghost-%COMP%]   .fu-pop-menu[_ngcontent-%COMP%]   .truncate[_ngcontent-%COMP%]{width:100%;display:inline-block;white-space:nowrap;overflow:hidden!important;text-overflow:ellipsis}[_nghost-%COMP%]{display:block;position:absolute;z-index:1004;bottom:0;left:0}[_nghost-%COMP%]   .fu-pop-menu[_ngcontent-%COMP%]{display:block;width:296px;padding:0 8px;background-color:#fff;box-shadow:0 8px 8px -4px #10182808,0 20px 24px -6px #10182814;border-radius:6px;border:1px solid var(--common-divider-elevation-0, hsl(0, 0%, 89%))}[_nghost-%COMP%]   .fu-pop-menu[_ngcontent-%COMP%]   .fu-pop-menu-header[_ngcontent-%COMP%]{display:flex;flex-direction:row;align-items:center;padding:14px 16px 14px 8px;gap:16px;border-bottom:1px solid var(--common-divider, hsl(0, 0%, 86.8%));height:72px}[_nghost-%COMP%]   .fu-pop-menu[_ngcontent-%COMP%]   .fu-pop-menu-header[_ngcontent-%COMP%]   .fu-user-icon-holder[_ngcontent-%COMP%]{display:flex;align-items:center;justify-items:center}[_nghost-%COMP%]   .fu-pop-menu[_ngcontent-%COMP%]   .fu-pop-menu-header[_ngcontent-%COMP%]   .fu-user-icon-holder[_ngcontent-%COMP%]   fusion-icon[class^=fu-user-icon][_ngcontent-%COMP%]{width:32px;height:32px}[_nghost-%COMP%]   .fu-pop-menu[_ngcontent-%COMP%]   .fu-pop-menu-header[_ngcontent-%COMP%]   .fu-user-icon-holder[_ngcontent-%COMP%]   fusion-icon[class^=fu-user-icon][_ngcontent-%COMP%]     svg{width:32px;height:32px}[_nghost-%COMP%]   .fu-pop-menu[_ngcontent-%COMP%]   .fu-pop-menu-header[_ngcontent-%COMP%]   .fu-user-icon-holder[_ngcontent-%COMP%]   fusion-icon[class^=fu-user-icon][_ngcontent-%COMP%]     svg *{fill:var(--action-active, hsl(0, 0%, 50.3%))}[_nghost-%COMP%]   .fu-pop-menu[_ngcontent-%COMP%]   .fu-pop-menu-header[_ngcontent-%COMP%]   .fu-user-icon-holder[_ngcontent-%COMP%]   .fu-user-avatar[_ngcontent-%COMP%]{width:32px;height:32px;border:solid 1px var(--text-primary, hsl(0, 0%, 12.5%));border-radius:50%;background-size:contain;background-repeat:no-repeat}[_nghost-%COMP%]   .fu-pop-menu[_ngcontent-%COMP%]   .fu-pop-menu-header[_ngcontent-%COMP%]   .fu-user-data-holder[_ngcontent-%COMP%]{display:flex;flex-direction:column;align-items:flex-start;gap:4px;width:208px}[_nghost-%COMP%]   .fu-pop-menu[_ngcontent-%COMP%]   .fu-pop-menu-header[_ngcontent-%COMP%]   .fu-user-data-holder[_ngcontent-%COMP%]   .fu-user-name[_ngcontent-%COMP%]{cursor:default;color:var(--text-primary, hsl(0, 0%, 12.5%))}[_nghost-%COMP%]   .fu-pop-menu[_ngcontent-%COMP%]   .fu-pop-menu-header[_ngcontent-%COMP%]   .fu-user-data-holder[_ngcontent-%COMP%]   .fu-user-email[_ngcontent-%COMP%]{cursor:default;color:var(--text-secondary, hsl(0, 0%, 39.3%))}[_nghost-%COMP%]   .fu-pop-menu[_ngcontent-%COMP%]   a[_ngcontent-%COMP%]{text-decoration:none}[_nghost-%COMP%]   .fu-pop-menu[_ngcontent-%COMP%]   .fu-pop-menu-items[_ngcontent-%COMP%]{display:flex;flex-direction:column;align-items:flex-start;padding:8px 0;gap:2px}[_nghost-%COMP%]   .fu-pop-menu[_ngcontent-%COMP%]   .fu-pop-menu-items[_ngcontent-%COMP%]   .fu-pop-menu-item[_ngcontent-%COMP%]{height:32px;width:100%;display:flex;flex-direction:row;align-items:center;padding:6px 12px;gap:8px;border-radius:4px;color:var(--text-primary, hsl(0, 0%, 12.5%))}[_nghost-%COMP%]   .fu-pop-menu[_ngcontent-%COMP%]   .fu-pop-menu-items[_ngcontent-%COMP%]   .fu-pop-menu-item[_ngcontent-%COMP%]   fusion-icon[class^=fu-pop-menu-icon][_ngcontent-%COMP%]{width:20px;height:20px}[_nghost-%COMP%]   .fu-pop-menu[_ngcontent-%COMP%]   .fu-pop-menu-items[_ngcontent-%COMP%]   .fu-pop-menu-item[_ngcontent-%COMP%]   fusion-icon[class^=fu-pop-menu-icon][_ngcontent-%COMP%]     svg{width:20px;height:20px}[_nghost-%COMP%]   .fu-pop-menu[_ngcontent-%COMP%]   .fu-pop-menu-items[_ngcontent-%COMP%]   .fu-pop-menu-item[_ngcontent-%COMP%]   fusion-icon[class^=fu-pop-menu-icon][_ngcontent-%COMP%]     svg *{fill:var(--action-active, hsl(0, 0%, 50.3%))}[_nghost-%COMP%]   .fu-pop-menu[_ngcontent-%COMP%]   .fu-pop-menu-items[_ngcontent-%COMP%]   .fu-pop-menu-item[_ngcontent-%COMP%]:hover{background-color:var(--action-hover, hsla(0, 0%, 0%, .05))}[_nghost-%COMP%]   .fu-pop-menu[_ngcontent-%COMP%]   .fu-pop-menu-items[_ngcontent-%COMP%]   .fu-pop-menu-item-delimiter[_ngcontent-%COMP%]{content:\"\";height:6px;width:100%;border-bottom:1px solid var(--common-divider, hsl(0, 0%, 86.8%));margin-bottom:6px}[_nghost-%COMP%]   .fu-pop-menu[_ngcontent-%COMP%]   .fu-pop-menu-items[_ngcontent-%COMP%]:hover{cursor:pointer}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(NavigationPopMenuComponent, [{
        type: Component,
        args: [{ selector: 'fusion-navigation-pop-menu', standalone: true, imports: [CommonModule, IconModule, TooltipModule], changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"fu-pop-menu\">\n    <!--region logged user info-->\n    <div class=\"fu-pop-menu-header\" *ngIf=\"layoutUser\">\n        <div class=\"fu-user-icon-holder\" >\n            <div *ngIf=\"layoutUser.avatar\" class=\"fu-user-avatar\" [style.background-image]=\"'url(' + layoutUser.avatar + ')'\"></div>\n            <fusion-icon *ngIf=\"!layoutUser.avatar\" class=\"fu-user-icon\" [name]=\"userIcon\"></fusion-icon>\n        </div>\n        <div class=\"fu-user-data-holder\">\n            <div class=\"fu-user-name truncate\" [fusionTooltip]=\"layoutUser.name\">{{layoutUser.name}}</div>\n            <div class=\"fu-user-email truncate\" [fusionTooltip]=\"layoutUser.email\">{{layoutUser.email}}</div>\n        </div>\n    </div>\n    <!--endregion logged user info-->\n    <div class=\"fu-pop-menu-items\">\n        <!--region menu items-->\n        <ng-container *ngFor=\"let menuItem of menuItems\">\n            <div *ngIf=\"menuItem.withTopDelimiter\" class=\"fu-pop-menu-item-delimiter\"></div>\n            <a class=\"fu-pop-menu-item {{menuItem.cssClass}}\"\n               [href]=\"menuItem.route || menuItem.redirect\"\n               [target]=\"menuItem.target ?? '_self'\"\n               (click)=\"onMenuItemClicked($event,menuItem)\"\n            >\n                <fusion-icon class=\"fu-pop-menu-icon\" *ngIf=\"menuItem.icon\" [name]=\"menuItem.icon\"></fusion-icon>\n                <div class=\"fu-pop-menu-text\">{{menuItem.name}}</div>\n            </a>\n        </ng-container>\n        <!--endregion menu items-->\n    </div>\n</div>\n", styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}.font-v4-bold,.font-v4-tab-label-2,.font-v4-chart-2,.font-v4-chart-1{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold,.font-v4-chip-label,.font-v4-table-label,.font-v4-button,.font-v4-heading-6,.font-v4-heading-5,:host .fu-pop-menu .fu-pop-menu-header .fu-user-data-holder .fu-user-name,.font-v4-heading-4,.font-v4-heading-3,.font-v4-heading-2,.font-v4-heading-1,.font-v4-title{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium,.font-v4-tab-label-1,.font-v4-input-label,.font-v4-overline,.font-v4-subtitle-2,.font-v4-subtitle-1{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular,:host .fu-pop-menu .fu-pop-menu-header .fu-user-data-holder .fu-user-email,.font-v4-caption,:host .fu-pop-menu .fu-pop-menu-items .fu-pop-menu-item,.font-v4-body-2,.font-v4-body-1{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}:host .fu-pop-menu .fu-pop-menu-header .fu-user-data-holder .fu-user-name,.font-v4-heading-4{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6{font-size:.75rem;line-height:.75rem;letter-spacing:0}.font-v4-body-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}:host .fu-pop-menu .fu-pop-menu-items .fu-pop-menu-item,.font-v4-body-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}:host .fu-pop-menu .fu-pop-menu-header .fu-user-data-holder .fu-user-email,.font-v4-caption{font-size:.75rem;line-height:1rem}.font-v4-table-label{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1,.font-v4-tab-label-2{font-size:.875rem;line-height:1rem}.font-v4-chip-label{font-size:.75rem;line-height:1rem;letter-spacing:normal}:host *{box-sizing:border-box}:host{margin:0;padding:0;vertical-align:initial;text-align:initial}:host .fu-pop-menu .truncate{width:100%;display:inline-block;white-space:nowrap;overflow:hidden!important;text-overflow:ellipsis}:host{display:block;position:absolute;z-index:1004;bottom:0;left:0}:host .fu-pop-menu{display:block;width:296px;padding:0 8px;background-color:#fff;box-shadow:0 8px 8px -4px #10182808,0 20px 24px -6px #10182814;border-radius:6px;border:1px solid var(--common-divider-elevation-0, hsl(0, 0%, 89%))}:host .fu-pop-menu .fu-pop-menu-header{display:flex;flex-direction:row;align-items:center;padding:14px 16px 14px 8px;gap:16px;border-bottom:1px solid var(--common-divider, hsl(0, 0%, 86.8%));height:72px}:host .fu-pop-menu .fu-pop-menu-header .fu-user-icon-holder{display:flex;align-items:center;justify-items:center}:host .fu-pop-menu .fu-pop-menu-header .fu-user-icon-holder fusion-icon[class^=fu-user-icon]{width:32px;height:32px}:host .fu-pop-menu .fu-pop-menu-header .fu-user-icon-holder fusion-icon[class^=fu-user-icon] ::ng-deep svg{width:32px;height:32px}:host .fu-pop-menu .fu-pop-menu-header .fu-user-icon-holder fusion-icon[class^=fu-user-icon] ::ng-deep svg *{fill:var(--action-active, hsl(0, 0%, 50.3%))}:host .fu-pop-menu .fu-pop-menu-header .fu-user-icon-holder .fu-user-avatar{width:32px;height:32px;border:solid 1px var(--text-primary, hsl(0, 0%, 12.5%));border-radius:50%;background-size:contain;background-repeat:no-repeat}:host .fu-pop-menu .fu-pop-menu-header .fu-user-data-holder{display:flex;flex-direction:column;align-items:flex-start;gap:4px;width:208px}:host .fu-pop-menu .fu-pop-menu-header .fu-user-data-holder .fu-user-name{cursor:default;color:var(--text-primary, hsl(0, 0%, 12.5%))}:host .fu-pop-menu .fu-pop-menu-header .fu-user-data-holder .fu-user-email{cursor:default;color:var(--text-secondary, hsl(0, 0%, 39.3%))}:host .fu-pop-menu a{text-decoration:none}:host .fu-pop-menu .fu-pop-menu-items{display:flex;flex-direction:column;align-items:flex-start;padding:8px 0;gap:2px}:host .fu-pop-menu .fu-pop-menu-items .fu-pop-menu-item{height:32px;width:100%;display:flex;flex-direction:row;align-items:center;padding:6px 12px;gap:8px;border-radius:4px;color:var(--text-primary, hsl(0, 0%, 12.5%))}:host .fu-pop-menu .fu-pop-menu-items .fu-pop-menu-item fusion-icon[class^=fu-pop-menu-icon]{width:20px;height:20px}:host .fu-pop-menu .fu-pop-menu-items .fu-pop-menu-item fusion-icon[class^=fu-pop-menu-icon] ::ng-deep svg{width:20px;height:20px}:host .fu-pop-menu .fu-pop-menu-items .fu-pop-menu-item fusion-icon[class^=fu-pop-menu-icon] ::ng-deep svg *{fill:var(--action-active, hsl(0, 0%, 50.3%))}:host .fu-pop-menu .fu-pop-menu-items .fu-pop-menu-item:hover{background-color:var(--action-hover, hsla(0, 0%, 0%, .05))}:host .fu-pop-menu .fu-pop-menu-items .fu-pop-menu-item-delimiter{content:\"\";height:6px;width:100%;border-bottom:1px solid var(--common-divider, hsl(0, 0%, 86.8%));margin-bottom:6px}:host .fu-pop-menu .fu-pop-menu-items:hover{cursor:pointer}\n"] }]
    }], () => [{ type: i0.ElementRef }], { layoutUser: [{
            type: Input
        }], menuItems: [{
            type: Input
        }], menuItemClicked: [{
            type: Output
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(NavigationPopMenuComponent, { className: "NavigationPopMenuComponent", filePath: "navigation-pop-menu/navigation-pop-menu.component.ts", lineNumber: 16 }); })();

const _c0$2 = (a0, a1) => ({ item: a0, selectedItem: a1 });
function NavigationPrimaryMenuComponent_div_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 4);
    i0.ɵɵelementContainer(1, 5);
    i0.ɵɵpipe(2, "async");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    const _r4 = i0.ɵɵreference(7);
    i0.ɵɵproperty("fusionTooltip", ctx_r0.homeItem.menuTooltip);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngTemplateOutlet", _r4)("ngTemplateOutletContext", i0.ɵɵpureFunction2(5, _c0$2, ctx_r0.homeItem, ctx_r0.homeItem === i0.ɵɵpipeBind1(2, 3, ctx_r0.selectedBarItem$)));
} }
function NavigationPrimaryMenuComponent_ng_container_2_div_1_div_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 9);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const networkItem_r7 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(networkItem_r7.menuTitle);
} }
const _c1$1 = (a0, a1, a2) => ({ item: a0, selectedItem: a1, hoverMode: a2 });
function NavigationPrimaryMenuComponent_ng_container_2_div_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 7);
    i0.ɵɵelementContainer(1, 5);
    i0.ɵɵpipe(2, "async");
    i0.ɵɵtemplate(3, NavigationPrimaryMenuComponent_ng_container_2_div_1_div_3_Template, 2, 1, "div", 8);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const networkItem_r7 = ctx.$implicit;
    const ctx_r6 = i0.ɵɵnextContext(2);
    const _r4 = i0.ɵɵreference(7);
    i0.ɵɵproperty("fusionTooltip", networkItem_r7.menuTooltip);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngTemplateOutlet", _r4)("ngTemplateOutletContext", i0.ɵɵpureFunction3(6, _c1$1, networkItem_r7, networkItem_r7 === i0.ɵɵpipeBind1(2, 4, ctx_r6.selectedBarItem$), ctx_r6.menuHoverMode));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", networkItem_r7.menuTitle);
} }
function NavigationPrimaryMenuComponent_ng_container_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, NavigationPrimaryMenuComponent_ng_container_2_div_1_Template, 4, 10, "div", 6);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const networkItems_r5 = ctx.ngIf;
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngForOf", networkItems_r5);
} }
const _c2 = a0 => ({ item: a0 });
function NavigationPrimaryMenuComponent_ng_container_4_ng_container_2_ng_container_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "a", 15);
    i0.ɵɵelementContainer(2, 5);
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const bottomItem_r13 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵnextContext(2);
    const _r4 = i0.ɵɵreference(7);
    i0.ɵɵadvance();
    i0.ɵɵpropertyInterpolate("href", bottomItem_r13.redirect, i0.ɵɵsanitizeUrl);
    i0.ɵɵpropertyInterpolate("target", bottomItem_r13.target);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngTemplateOutlet", _r4)("ngTemplateOutletContext", i0.ɵɵpureFunction1(4, _c2, bottomItem_r13));
} }
const _c3 = (a0, a2, a3) => ({ item: a0, selectedItem: false, popMenu: a2, index: a3 });
function NavigationPrimaryMenuComponent_ng_container_4_ng_container_2_ng_container_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0, 5);
} if (rf & 2) {
    const ctx_r19 = i0.ɵɵnextContext();
    const bottomItem_r13 = ctx_r19.$implicit;
    const bottomItemIndex_r14 = ctx_r19.index;
    i0.ɵɵnextContext(2);
    const _r4 = i0.ɵɵreference(7);
    i0.ɵɵproperty("ngTemplateOutlet", _r4)("ngTemplateOutletContext", i0.ɵɵpureFunction3(2, _c3, bottomItem_r13, bottomItem_r13.menuItems, bottomItemIndex_r14));
} }
function NavigationPrimaryMenuComponent_ng_container_4_ng_container_2_ng_container_4_Template(rf, ctx) { if (rf & 1) {
    const _r21 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "fusion-navigation-pop-menu", 16);
    i0.ɵɵlistener("menuItemClicked", function NavigationPrimaryMenuComponent_ng_container_4_ng_container_2_ng_container_4_Template_fusion_navigation_pop_menu_menuItemClicked_1_listener($event) { i0.ɵɵrestoreView(_r21); const ctx_r20 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r20.onPopMenuItemClicked($event)); })("fusionClickOutside", function NavigationPrimaryMenuComponent_ng_container_4_ng_container_2_ng_container_4_Template_fusion_navigation_pop_menu_fusionClickOutside_1_listener($event) { i0.ɵɵrestoreView(_r21); const ctx_r22 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r22.onPopMenuOutsideClick($event)); });
    i0.ɵɵpipe(2, "async");
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r23 = i0.ɵɵnextContext();
    const bottomItem_r13 = ctx_r23.$implicit;
    const bottomItemIndex_r14 = ctx_r23.index;
    const ctx_r17 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵproperty("layoutUser", (bottomItem_r13 == null ? null : bottomItem_r13.type) === "user" ? ctx_r17.layoutUser : null)("menuItems", bottomItem_r13.menuItems)("fusionReposition", "#fu-bottom-nav-item-btn_" + bottomItemIndex_r14)("fusionRepositionPlacement", ctx_r17.popMenuPosition)("fusionRepositionOffset", i0.ɵɵpipeBind1(2, 5, ctx_r17.popMenuOffset$));
} }
function NavigationPrimaryMenuComponent_ng_container_4_ng_container_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "div", 13);
    i0.ɵɵtemplate(2, NavigationPrimaryMenuComponent_ng_container_4_ng_container_2_ng_container_2_Template, 3, 6, "ng-container", 2)(3, NavigationPrimaryMenuComponent_ng_container_4_ng_container_2_ng_container_3_Template, 1, 6, "ng-container", 14);
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(4, NavigationPrimaryMenuComponent_ng_container_4_ng_container_2_ng_container_4_Template, 3, 7, "ng-container", 2);
    i0.ɵɵpipe(5, "async");
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const bottomItem_r13 = ctx.$implicit;
    const bottomItemIndex_r14 = ctx.index;
    const ctx_r11 = i0.ɵɵnextContext(2);
    let tmp_1_0;
    i0.ɵɵadvance();
    i0.ɵɵstyleMap(bottomItem_r13.cssStyle);
    i0.ɵɵproperty("id", (tmp_1_0 = bottomItem_r13.id) !== null && tmp_1_0 !== undefined ? tmp_1_0 : "bottomPrimaryMenuItem_" + bottomItemIndex_r14)("fusionTooltip", bottomItem_r13.menuTooltip);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", !!bottomItem_r13.redirect);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", !bottomItem_r13.redirect);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind1(5, 7, bottomItem_r13.menuItems && ctx_r11.showPopMenu$));
} }
function NavigationPrimaryMenuComponent_ng_container_4_div_3_Template(rf, ctx) { if (rf & 1) {
    const _r25 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 17)(1, "div", 18);
    i0.ɵɵlistener("click", function NavigationPrimaryMenuComponent_ng_container_4_div_3_Template_div_click_1_listener($event) { i0.ɵɵrestoreView(_r25); const ctx_r24 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r24.menuToggleButtonClicked($event)); });
    i0.ɵɵelement(2, "fusion-icon", 19);
    i0.ɵɵpipe(3, "async");
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const ctx_r12 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("name", i0.ɵɵpipeBind1(3, 1, ctx_r12.menuToggleCollapsed$) ? ctx_r12.menuExpandedIcon : ctx_r12.menuCollapsedIcon);
} }
function NavigationPrimaryMenuComponent_ng_container_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "div", 10);
    i0.ɵɵtemplate(2, NavigationPrimaryMenuComponent_ng_container_4_ng_container_2_Template, 6, 9, "ng-container", 11)(3, NavigationPrimaryMenuComponent_ng_container_4_div_3_Template, 4, 3, "div", 12);
    i0.ɵɵpipe(4, "async");
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const bottomItems_r10 = ctx.ngIf;
    const ctx_r2 = i0.ɵɵnextContext();
    let tmp_1_0;
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngForOf", bottomItems_r10);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ((tmp_1_0 = i0.ɵɵpipeBind1(4, 2, ctx_r2.selectedBarItem$)) == null ? null : tmp_1_0.type) === "main");
} }
function NavigationPrimaryMenuComponent_ng_template_6_fusion_svg_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-svg", 23);
} if (rf & 2) {
    const item_r26 = i0.ɵɵnextContext().item;
    i0.ɵɵproperty("path", item_r26.menuIconPath);
} }
function NavigationPrimaryMenuComponent_ng_template_6_fusion_icon_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 19);
} if (rf & 2) {
    const item_r26 = i0.ɵɵnextContext().item;
    i0.ɵɵproperty("name", item_r26.menuIcon);
} }
function NavigationPrimaryMenuComponent_ng_template_6_Template(rf, ctx) { if (rf & 1) {
    const _r36 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 20);
    i0.ɵɵlistener("click", function NavigationPrimaryMenuComponent_ng_template_6_Template_div_click_0_listener() { const restoredCtx = i0.ɵɵrestoreView(_r36); const item_r26 = restoredCtx.item; const ctx_r35 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r35.networkItemClicked(item_r26)); })("mouseenter", function NavigationPrimaryMenuComponent_ng_template_6_Template_div_mouseenter_0_listener() { const restoredCtx = i0.ɵɵrestoreView(_r36); const item_r26 = restoredCtx.item; const hoverMode_r30 = restoredCtx.hoverMode; const ctx_r37 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r37.onItemHover(item_r26, hoverMode_r30)); });
    i0.ɵɵpipe(1, "async");
    i0.ɵɵtemplate(2, NavigationPrimaryMenuComponent_ng_template_6_fusion_svg_2_Template, 1, 1, "fusion-svg", 21)(3, NavigationPrimaryMenuComponent_ng_template_6_fusion_icon_3_Template, 1, 1, "fusion-icon", 22);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const item_r26 = ctx.item;
    const selectedItem_r27 = ctx.selectedItem;
    const popMenu_r28 = ctx.popMenu;
    const index_r29 = ctx.index;
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵclassProp("fu-selected", selectedItem_r27)("fu-with-pop-menu", popMenu_r28)("fu-selected", popMenu_r28 && i0.ɵɵpipeBind1(1, 11, ctx_r3.showPopMenu$))("fu-triangle", ctx_r3.menuOpened && item_r26 === ctx_r3.menuOpenForPrimaryMenuItem);
    i0.ɵɵpropertyInterpolate1("id", "fu-bottom-nav-item-btn_", index_r29, "");
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", item_r26.menuIconPath);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", item_r26.menuIcon);
} }
class NavigationPrimaryMenuComponent {
    set menuBarItems(value) {
        if (!isNullOrUndefined(value)) {
            this.parseNavigationBarItems(value);
        }
    }
    get nativeElement() {
        return this.elementRef.nativeElement;
    }
    get bottomItemsTopPosition() {
        return this.nativeElement.querySelector('.fu-navigation-bar-bottom-items > div:first-child')?.offsetTop ?? 0;
    }
    constructor(elementRef) {
        this.elementRef = elementRef;
        this.menuOpened = false;
        this.menuExpanded = false;
        this.menuHoverMode = false;
        this.menuItemClick = new EventEmitter();
        this.primaryMenuItemClicked = new EventEmitter();
        this.changeColorTheme = new EventEmitter();
        this.toggleMenu = new EventEmitter();
        this.resetSecondaryMenu = new EventEmitter();
        this.networkItems$ = new BehaviorSubject([]);
        this.bottomItems$ = new BehaviorSubject([]);
        this.showPopMenu$ = new BehaviorSubject(false);
        this.selectedBarItem$ = new BehaviorSubject(null);
        this.menuToggleCollapsed$ = new BehaviorSubject(false);
        this.menuCollapsedIcon = 'ph/arrow-line-left';
        this.menuExpandedIcon = 'ph/arrow-line-right';
        this.popMenuPosition = TooltipPosition.BottomLeft;
        this.popMenuOffset$ = this.selectedBarItem$.asObservable().pipe(map((selectedBarItem) => {
            return selectedBarItem?.type === NavigationBarItemType.Main ? { x: 56, y: 48 } : { x: 56 };
        }));
    }
    onItemHover(item, hoverMode) {
        if (hoverMode) {
            this.networkItemClicked(item);
        }
    }
    networkItemClicked(item) {
        switch (item?.type) {
            case NavigationBarItemType.User:
                this.showPopMenu$.next(true);
                this.primaryMenuItemClicked.emit(null);
                break;
            case NavigationBarItemType.Home:
                this.setColorTheme(item.cssTheme);
                this.primaryMenuItemClicked.emit(item);
                break;
            case NavigationBarItemType.Main:
                this.primaryMenuItemClicked.emit(item);
                this.primaryMenuOpenedItem = item;
                break;
            case NavigationBarItemType.Bottom:
                if (!!item.customClick) {
                    item.customClick();
                }
                break;
        }
    }
    onPopMenuOutsideClick(target) {
        if (!target.closest('.fu-with-pop-menu')) {
            this.showPopMenu$.next(false);
        }
    }
    onPopMenuItemClicked(menuItem) {
        this.menuItemClick.emit(menuItem);
        this.showPopMenu$.next(false);
        this.setSelectedPrimaryMenuItem(null);
    }
    setColorTheme(cssTheme) {
        if (!isNullOrUndefined(cssTheme)) {
            this.changeColorTheme.emit(cssTheme);
        }
        else if (this.defaultCssTheme) {
            this.changeColorTheme.emit(this.defaultCssTheme);
        }
    }
    setSelectedPrimaryMenuItem(menuItem) {
        this.selectedBarItem$.next(menuItem);
        if (!menuItem) {
            this.resetSecondaryMenu.emit();
        }
    }
    menuToggleButtonClicked($event) {
        this.menuToggleCollapsed$.next(this.menuOpened && !this.menuExpanded);
        this.toggleMenu.emit();
    }
    parseNavigationBarItems(value) {
        const networkItems = [];
        const bottomItems = [];
        value.forEach((barItem) => {
            switch (barItem.type) {
                case NavigationBarItemType.Home:
                    this.homeItem = barItem;
                    if (!isNullOrUndefined(barItem.cssTheme)) {
                        this.defaultCssTheme = barItem.cssTheme;
                    }
                    break;
                case NavigationBarItemType.Main:
                    networkItems.push(barItem);
                    if (isNullOrUndefined(this.defaultCssTheme) && !isNullOrUndefined(barItem.cssTheme)) {
                        this.defaultCssTheme = barItem.cssTheme;
                        this.setColorTheme();
                    }
                    break;
                default:
                    bottomItems.push(barItem);
                    break;
            }
        });
        if (isNullOrUndefined(this.selectedBarItem$.getValue())) {
            this.setSelectedPrimaryMenuItem(this.homeItem);
        }
        this.networkItems$.next(networkItems);
        this.bottomItems$.next(bottomItems);
    }
    static { this.ɵfac = function NavigationPrimaryMenuComponent_Factory(t) { return new (t || NavigationPrimaryMenuComponent)(i0.ɵɵdirectiveInject(i0.ElementRef)); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: NavigationPrimaryMenuComponent, selectors: [["fusion-navigation-primary-menu"]], inputs: { menuBarItems: "menuBarItems", layoutUser: "layoutUser", menuOpened: "menuOpened", menuExpanded: "menuExpanded", menuOpenForPrimaryMenuItem: "menuOpenForPrimaryMenuItem", menuHoverMode: "menuHoverMode" }, outputs: { menuItemClick: "menuItemClick", primaryMenuItemClicked: "primaryMenuItemClicked", changeColorTheme: "changeColorTheme", toggleMenu: "toggleMenu", resetSecondaryMenu: "resetSecondaryMenu" }, standalone: true, features: [i0.ɵɵStandaloneFeature], decls: 8, vars: 7, consts: [[1, "fu-navigation-bar-holder"], ["class", "fu-navigation-bar-item fu-home", 3, "fusionTooltip", 4, "ngIf"], [4, "ngIf"], ["navigationButton", ""], [1, "fu-navigation-bar-item", "fu-home", 3, "fusionTooltip"], [3, "ngTemplateOutlet", "ngTemplateOutletContext"], ["class", "fu-navigation-bar-item fu-network", 3, "fusionTooltip", 4, "ngFor", "ngForOf"], [1, "fu-navigation-bar-item", "fu-network", 3, "fusionTooltip"], ["class", "fu-navigation-bar-network-name", 4, "ngIf"], [1, "fu-navigation-bar-network-name"], [1, "fu-navigation-bar-bottom-items"], [4, "ngFor", "ngForOf"], ["class", "fu-menu-toggle-button-holder", 4, "ngIf"], [1, "fu-navigation-bar-item", "fu-bottom-block", 3, "id", "fusionTooltip"], [3, "ngTemplateOutlet", "ngTemplateOutletContext", 4, "ngIf"], [3, "href", "target"], [3, "layoutUser", "menuItems", "fusionReposition", "fusionRepositionPlacement", "fusionRepositionOffset", "menuItemClicked", "fusionClickOutside"], [1, "fu-menu-toggle-button-holder"], [1, "fu-navigation-bar-button", "fu-menu-toggle", 3, "click"], [1, "fu-navigation-bar-button-icon", 3, "name"], [1, "fu-navigation-bar-button", 3, "id", "click", "mouseenter"], ["class", "fu-navigation-bar-button-icon-wrapper", 3, "path", 4, "ngIf"], ["class", "fu-navigation-bar-button-icon", 3, "name", 4, "ngIf"], [1, "fu-navigation-bar-button-icon-wrapper", 3, "path"]], template: function NavigationPrimaryMenuComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵtemplate(1, NavigationPrimaryMenuComponent_div_1_Template, 3, 8, "div", 1)(2, NavigationPrimaryMenuComponent_ng_container_2_Template, 2, 1, "ng-container", 2);
            i0.ɵɵpipe(3, "async");
            i0.ɵɵtemplate(4, NavigationPrimaryMenuComponent_ng_container_4_Template, 5, 4, "ng-container", 2);
            i0.ɵɵpipe(5, "async");
            i0.ɵɵelementEnd();
            i0.ɵɵtemplate(6, NavigationPrimaryMenuComponent_ng_template_6_Template, 4, 13, "ng-template", null, 3, i0.ɵɵtemplateRefExtractor);
        } if (rf & 2) {
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.homeItem);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind1(3, 3, ctx.networkItems$));
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind1(5, 5, ctx.bottomItems$));
        } }, dependencies: [CommonModule, i1.NgForOf, i1.NgIf, i1.NgTemplateOutlet, i1.AsyncPipe, SvgModule, i2$1.SvgComponent, IconModule, i2.IconComponent, TooltipDirective, ClickOutsideModule, i4.ClickOutsideDirective, RepositionDirective, NavigationPopMenuComponent], styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}.font-v4-bold[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%], .font-v4-chart-2[_ngcontent-%COMP%], .font-v4-chart-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-network-name[_ngcontent-%COMP%], .font-v4-semibold[_ngcontent-%COMP%], .font-v4-chip-label[_ngcontent-%COMP%], .font-v4-table-label[_ngcontent-%COMP%], .font-v4-button[_ngcontent-%COMP%], .font-v4-heading-6[_ngcontent-%COMP%], .font-v4-heading-5[_ngcontent-%COMP%], .font-v4-heading-4[_ngcontent-%COMP%], .font-v4-heading-3[_ngcontent-%COMP%], .font-v4-heading-2[_ngcontent-%COMP%], .font-v4-heading-1[_ngcontent-%COMP%], .font-v4-title[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium[_ngcontent-%COMP%], .font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-input-label[_ngcontent-%COMP%], .font-v4-overline[_ngcontent-%COMP%], .font-v4-subtitle-2[_ngcontent-%COMP%], .font-v4-subtitle-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular[_ngcontent-%COMP%], .font-v4-caption[_ngcontent-%COMP%], .font-v4-body-2[_ngcontent-%COMP%], .font-v4-body-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title[_ngcontent-%COMP%]{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2[_ngcontent-%COMP%]{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3[_ngcontent-%COMP%]{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5[_ngcontent-%COMP%]{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6[_ngcontent-%COMP%]{font-size:.75rem;line-height:.75rem;letter-spacing:0}.font-v4-body-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-body-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2[_ngcontent-%COMP%]{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}.font-v4-caption[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem}.font-v4-table-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem}.font-v4-chip-label[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:normal}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]{margin:0;padding:0;vertical-align:initial;text-align:initial}[_nghost-%COMP%]{display:block;height:100vh;width:56px}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]{position:fixed;z-index:1004;background-color:var(--fu-navbar-background-color, #181818);transition:background-color .8s;height:100%;width:56px;display:flex;flex-direction:column;align-items:flex-start}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-item[_ngcontent-%COMP%]{display:flex;flex-direction:column;justify-content:center;align-items:center;width:100%}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-item.fu-home[_ngcontent-%COMP%]{height:48px}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-item.fu-home[_ngcontent-%COMP%]   .fu-navigation-bar-button[_ngcontent-%COMP%]:hover{cursor:pointer}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-item.fu-home[_ngcontent-%COMP%]:first-child{margin-top:8px}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-item.fu-network[_ngcontent-%COMP%]{height:64px;position:relative}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-item.fu-network[_ngcontent-%COMP%]   .fu-navigation-bar-button[_ngcontent-%COMP%]   fusion-icon[class^=fu-navigation-bar-button-icon][_ngcontent-%COMP%]{width:20px;height:20px}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-item.fu-network[_ngcontent-%COMP%]   .fu-navigation-bar-button[_ngcontent-%COMP%]   fusion-icon[class^=fu-navigation-bar-button-icon][_ngcontent-%COMP%]     svg{width:20px;height:20px}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-item.fu-network[_ngcontent-%COMP%]   .fu-navigation-bar-button[_ngcontent-%COMP%]   fusion-icon[class^=fu-navigation-bar-button-icon][_ngcontent-%COMP%]     svg *{fill:#fff}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-item.fu-network[_ngcontent-%COMP%]   .fu-navigation-bar-button[_ngcontent-%COMP%]   .fu-navigation-bar-button-icon-wrapper[_ngcontent-%COMP%]{width:20px;height:20px}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-item.fu-network[_ngcontent-%COMP%]   .fu-navigation-bar-button[_ngcontent-%COMP%]:hover{cursor:pointer}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-item.fu-network[_ngcontent-%COMP%]   .fu-navigation-bar-button.fu-triangle[_ngcontent-%COMP%]:after{content:\"\";position:absolute;top:17px;right:0;width:0;height:0;border-top:7px solid transparent;border-right:6px solid var(--background-paper, hsl(0, 0%, 99%));border-bottom:7px solid transparent}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-item.fu-network[_ngcontent-%COMP%]:first-child{margin-top:8px}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-item.fu-bottom-block[_ngcontent-%COMP%]{height:40px}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-item.fu-bottom-block[_ngcontent-%COMP%]:last-of-type{padding-bottom:8px}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-item.fu-bottom-block[_ngcontent-%COMP%]:not(:has(a))   [_ngcontent-%COMP%]:hover{cursor:pointer}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-bottom-items[_ngcontent-%COMP%]{width:100%;margin-top:auto;display:flex;flex-direction:column;margin-bottom:8px}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-bottom-items[_ngcontent-%COMP%]   .fu-menu-toggle-button-holder[_ngcontent-%COMP%]{height:48px;display:flex;flex-direction:column;justify-content:center;align-items:center;border-top:solid 1px rgba(255,255,255,.12);background-color:#ffffff29;margin-top:8px;margin-bottom:-8px;gap:2px}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-network-name[_ngcontent-%COMP%]{color:#ffffffd1;font-size:10px;line-height:16px}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-button[_ngcontent-%COMP%]{width:32px;height:32px;border-radius:6px;display:flex;align-items:center;justify-content:center}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-button[_ngcontent-%COMP%]   fusion-icon[class^=fu-navigation-bar-button-icon][_ngcontent-%COMP%]{width:20px;height:20px;opacity:.82}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-button[_ngcontent-%COMP%]   fusion-icon[class^=fu-navigation-bar-button-icon][_ngcontent-%COMP%]     svg{width:20px;height:20px}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-button[_ngcontent-%COMP%]   fusion-icon[class^=fu-navigation-bar-button-icon][_ngcontent-%COMP%]     svg *{fill:#fff}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-button[_ngcontent-%COMP%]:hover{background-color:#ffffff29}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-button[_ngcontent-%COMP%]:hover   fusion-icon[class^=fu-navigation-bar-button-icon][_ngcontent-%COMP%]{opacity:1}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-button[_ngcontent-%COMP%]:hover   fusion-icon[class^=fu-navigation-bar-button-icon][_ngcontent-%COMP%]     svg{width:20px;height:20px}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-button[_ngcontent-%COMP%]:hover   fusion-icon[class^=fu-navigation-bar-button-icon][_ngcontent-%COMP%]     svg *{fill:#fff}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-button.fu-selected[_ngcontent-%COMP%]{border:solid 1px rgba(255,255,255,.12);background-color:#ffffff29}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-button.fu-selected[_ngcontent-%COMP%]   fusion-icon[class^=fu-navigation-bar-button-icon][_ngcontent-%COMP%]{opacity:1}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-button.fu-selected[_ngcontent-%COMP%]   fusion-icon[class^=fu-navigation-bar-button-icon][_ngcontent-%COMP%]     svg{width:20px;height:20px}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-button.fu-selected[_ngcontent-%COMP%]   fusion-icon[class^=fu-navigation-bar-button-icon][_ngcontent-%COMP%]     svg *{fill:#fff}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-button.fu-selected[_ngcontent-%COMP%]:hover{cursor:default}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-button.fu-selected[_ngcontent-%COMP%] + .fu-navigation-bar-network-name[_ngcontent-%COMP%]{color:#fff}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-button.fu-menu-toggle[_ngcontent-%COMP%]{width:32px;height:32px}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-button.fu-menu-toggle[_ngcontent-%COMP%]:hover{cursor:pointer;background-color:#ffffff29}[_nghost-%COMP%]   .fu-navigation-bar-holder[_ngcontent-%COMP%]   .fu-navigation-bar-button.fu-with-pop-menu[_ngcontent-%COMP%]{cursor:pointer}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(NavigationPrimaryMenuComponent, [{
        type: Component,
        args: [{ selector: 'fusion-navigation-primary-menu', standalone: true, imports: [CommonModule, SvgModule, IconModule, TooltipDirective, ClickOutsideModule, RepositionDirective, NavigationPopMenuComponent], changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"fu-navigation-bar-holder\">\n    <!--region home item-->\n    <div *ngIf=\"homeItem\" class=\"fu-navigation-bar-item fu-home\" [fusionTooltip]=\"homeItem.menuTooltip\">\n        <ng-container [ngTemplateOutlet]=\"navigationButton\" [ngTemplateOutletContext]=\"{item: homeItem, selectedItem: (homeItem === (selectedBarItem$ |async))}\"></ng-container>\n    </div>\n    <!--endregion home item-->\n    <!--region main items-->\n    <ng-container *ngIf=\"(networkItems$ | async) as networkItems\">\n        <div class=\"fu-navigation-bar-item fu-network\" *ngFor=\"let networkItem of networkItems\" [fusionTooltip]=\"networkItem.menuTooltip\" >\n            <ng-container [ngTemplateOutlet]=\"navigationButton\" [ngTemplateOutletContext]=\"{item: networkItem, selectedItem: (networkItem === (selectedBarItem$ |async)), hoverMode: menuHoverMode}\"></ng-container>\n            <div *ngIf=\"networkItem.menuTitle\" class=\"fu-navigation-bar-network-name\">{{networkItem.menuTitle}}</div>\n        </div>\n    </ng-container>\n    <!--endregion main items-->\n    <!--region bottom items-->\n    <ng-container *ngIf=\"(bottomItems$ | async) as bottomItems\">\n        <div class=\"fu-navigation-bar-bottom-items\">\n            <ng-container *ngFor=\"let bottomItem of bottomItems; let bottomItemIndex = index;\">\n                <div [id]=\"bottomItem.id ?? 'bottomPrimaryMenuItem_'+bottomItemIndex\" class=\"fu-navigation-bar-item fu-bottom-block\" [style]=\"bottomItem.cssStyle\"  [fusionTooltip]=\"bottomItem.menuTooltip\">\n                    <!--region item with link.href-->\n                    <ng-container *ngIf=\"!!bottomItem.redirect\">\n                        <a href=\"{{bottomItem.redirect}}\" target=\"{{bottomItem.target}}\">\n                            <ng-container [ngTemplateOutlet]=\"navigationButton\" [ngTemplateOutletContext]=\"{item: bottomItem}\"></ng-container>\n                        </a>\n                    </ng-container>\n                    <!--endregion item with a.href-->\n                    <!--region item with menu-->\n                    <ng-container *ngIf=\"!bottomItem.redirect\" [ngTemplateOutlet]=\"navigationButton\" [ngTemplateOutletContext]=\"{item: bottomItem, selectedItem: false, popMenu: bottomItem.menuItems, index: bottomItemIndex  }\"></ng-container>\n                    <!--endregion item with menu-->\n                </div>\n                <ng-container *ngIf=\"bottomItem.menuItems && showPopMenu$ | async\">\n                    <fusion-navigation-pop-menu\n                        [layoutUser]=\"bottomItem?.type === 'user' ? layoutUser : null\"\n                        [menuItems]=\"bottomItem.menuItems\"\n                        [fusionReposition]=\"'#fu-bottom-nav-item-btn_'+bottomItemIndex\"\n                        [fusionRepositionPlacement]=\"popMenuPosition\"\n                        [fusionRepositionOffset]=\"popMenuOffset$ | async\"\n                        (menuItemClicked)=\"onPopMenuItemClicked($event)\"\n                        (fusionClickOutside)=\"onPopMenuOutsideClick($event)\"></fusion-navigation-pop-menu>\n                </ng-container>\n            </ng-container>\n            <!--region toggle secondary menu button-->\n            <div class=\"fu-menu-toggle-button-holder\" *ngIf=\"(selectedBarItem$ | async)?.type === 'main'\" >\n                <div class=\"fu-navigation-bar-button fu-menu-toggle\" (click)=\"menuToggleButtonClicked($event)\">\n                    <fusion-icon class=\"fu-navigation-bar-button-icon\" [name]=\"(menuToggleCollapsed$ |async) ? menuExpandedIcon : menuCollapsedIcon\"></fusion-icon>\n                </div>\n            </div>\n            <!--endregion toggle secondary menu button-->\n        </div>\n    </ng-container>\n    <!--endregion bottom items-->\n</div>\n\n<ng-template #navigationButton let-item=\"item\" let-selectedItem=\"selectedItem\" let-popMenu=\"popMenu\" let-index=index let-hoverMode=\"hoverMode\">\n    <div class=\"fu-navigation-bar-button\" id=\"fu-bottom-nav-item-btn_{{index}}\"\n         [class.fu-selected]=\"selectedItem\"\n         [class.fu-with-pop-menu]=\"popMenu\"\n         [class.fu-selected]=\"popMenu && (showPopMenu$ | async)\"\n         [class.fu-triangle]=\"menuOpened && (item === menuOpenForPrimaryMenuItem)\"\n         (click)=\"networkItemClicked(item)\"\n         (mouseenter)=\"onItemHover(item, hoverMode)\"\n    >\n        <fusion-svg  *ngIf=\"item.menuIconPath\" class=\"fu-navigation-bar-button-icon-wrapper\" [path]=\"item.menuIconPath\"></fusion-svg>\n        <fusion-icon *ngIf=\"item.menuIcon\" class=\"fu-navigation-bar-button-icon\" [name]=\"item.menuIcon\"></fusion-icon>\n    </div>\n</ng-template>\n", styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}.font-v4-bold,.font-v4-tab-label-2,.font-v4-chart-2,.font-v4-chart-1{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}:host .fu-navigation-bar-holder .fu-navigation-bar-network-name,.font-v4-semibold,.font-v4-chip-label,.font-v4-table-label,.font-v4-button,.font-v4-heading-6,.font-v4-heading-5,.font-v4-heading-4,.font-v4-heading-3,.font-v4-heading-2,.font-v4-heading-1,.font-v4-title{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium,.font-v4-tab-label-1,.font-v4-input-label,.font-v4-overline,.font-v4-subtitle-2,.font-v4-subtitle-1{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular,.font-v4-caption,.font-v4-body-2,.font-v4-body-1{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6{font-size:.75rem;line-height:.75rem;letter-spacing:0}.font-v4-body-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-body-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}.font-v4-caption{font-size:.75rem;line-height:1rem}.font-v4-table-label{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1,.font-v4-tab-label-2{font-size:.875rem;line-height:1rem}.font-v4-chip-label{font-size:.75rem;line-height:1rem;letter-spacing:normal}:host *{box-sizing:border-box}:host{margin:0;padding:0;vertical-align:initial;text-align:initial}:host{display:block;height:100vh;width:56px}:host .fu-navigation-bar-holder{position:fixed;z-index:1004;background-color:var(--fu-navbar-background-color, #181818);transition:background-color .8s;height:100%;width:56px;display:flex;flex-direction:column;align-items:flex-start}:host .fu-navigation-bar-holder .fu-navigation-bar-item{display:flex;flex-direction:column;justify-content:center;align-items:center;width:100%}:host .fu-navigation-bar-holder .fu-navigation-bar-item.fu-home{height:48px}:host .fu-navigation-bar-holder .fu-navigation-bar-item.fu-home .fu-navigation-bar-button:hover{cursor:pointer}:host .fu-navigation-bar-holder .fu-navigation-bar-item.fu-home:first-child{margin-top:8px}:host .fu-navigation-bar-holder .fu-navigation-bar-item.fu-network{height:64px;position:relative}:host .fu-navigation-bar-holder .fu-navigation-bar-item.fu-network .fu-navigation-bar-button fusion-icon[class^=fu-navigation-bar-button-icon]{width:20px;height:20px}:host .fu-navigation-bar-holder .fu-navigation-bar-item.fu-network .fu-navigation-bar-button fusion-icon[class^=fu-navigation-bar-button-icon] ::ng-deep svg{width:20px;height:20px}:host .fu-navigation-bar-holder .fu-navigation-bar-item.fu-network .fu-navigation-bar-button fusion-icon[class^=fu-navigation-bar-button-icon] ::ng-deep svg *{fill:#fff}:host .fu-navigation-bar-holder .fu-navigation-bar-item.fu-network .fu-navigation-bar-button .fu-navigation-bar-button-icon-wrapper{width:20px;height:20px}:host .fu-navigation-bar-holder .fu-navigation-bar-item.fu-network .fu-navigation-bar-button:hover{cursor:pointer}:host .fu-navigation-bar-holder .fu-navigation-bar-item.fu-network .fu-navigation-bar-button.fu-triangle:after{content:\"\";position:absolute;top:17px;right:0;width:0;height:0;border-top:7px solid transparent;border-right:6px solid var(--background-paper, hsl(0, 0%, 99%));border-bottom:7px solid transparent}:host .fu-navigation-bar-holder .fu-navigation-bar-item.fu-network:first-child{margin-top:8px}:host .fu-navigation-bar-holder .fu-navigation-bar-item.fu-bottom-block{height:40px}:host .fu-navigation-bar-holder .fu-navigation-bar-item.fu-bottom-block:last-of-type{padding-bottom:8px}:host .fu-navigation-bar-holder .fu-navigation-bar-item.fu-bottom-block:not(:has(a)) :hover{cursor:pointer}:host .fu-navigation-bar-holder .fu-navigation-bar-bottom-items{width:100%;margin-top:auto;display:flex;flex-direction:column;margin-bottom:8px}:host .fu-navigation-bar-holder .fu-navigation-bar-bottom-items .fu-menu-toggle-button-holder{height:48px;display:flex;flex-direction:column;justify-content:center;align-items:center;border-top:solid 1px rgba(255,255,255,.12);background-color:#ffffff29;margin-top:8px;margin-bottom:-8px;gap:2px}:host .fu-navigation-bar-holder .fu-navigation-bar-network-name{color:#ffffffd1;font-size:10px;line-height:16px}:host .fu-navigation-bar-holder .fu-navigation-bar-button{width:32px;height:32px;border-radius:6px;display:flex;align-items:center;justify-content:center}:host .fu-navigation-bar-holder .fu-navigation-bar-button fusion-icon[class^=fu-navigation-bar-button-icon]{width:20px;height:20px;opacity:.82}:host .fu-navigation-bar-holder .fu-navigation-bar-button fusion-icon[class^=fu-navigation-bar-button-icon] ::ng-deep svg{width:20px;height:20px}:host .fu-navigation-bar-holder .fu-navigation-bar-button fusion-icon[class^=fu-navigation-bar-button-icon] ::ng-deep svg *{fill:#fff}:host .fu-navigation-bar-holder .fu-navigation-bar-button:hover{background-color:#ffffff29}:host .fu-navigation-bar-holder .fu-navigation-bar-button:hover fusion-icon[class^=fu-navigation-bar-button-icon]{opacity:1}:host .fu-navigation-bar-holder .fu-navigation-bar-button:hover fusion-icon[class^=fu-navigation-bar-button-icon] ::ng-deep svg{width:20px;height:20px}:host .fu-navigation-bar-holder .fu-navigation-bar-button:hover fusion-icon[class^=fu-navigation-bar-button-icon] ::ng-deep svg *{fill:#fff}:host .fu-navigation-bar-holder .fu-navigation-bar-button.fu-selected{border:solid 1px rgba(255,255,255,.12);background-color:#ffffff29}:host .fu-navigation-bar-holder .fu-navigation-bar-button.fu-selected fusion-icon[class^=fu-navigation-bar-button-icon]{opacity:1}:host .fu-navigation-bar-holder .fu-navigation-bar-button.fu-selected fusion-icon[class^=fu-navigation-bar-button-icon] ::ng-deep svg{width:20px;height:20px}:host .fu-navigation-bar-holder .fu-navigation-bar-button.fu-selected fusion-icon[class^=fu-navigation-bar-button-icon] ::ng-deep svg *{fill:#fff}:host .fu-navigation-bar-holder .fu-navigation-bar-button.fu-selected:hover{cursor:default}:host .fu-navigation-bar-holder .fu-navigation-bar-button.fu-selected+.fu-navigation-bar-network-name{color:#fff}:host .fu-navigation-bar-holder .fu-navigation-bar-button.fu-menu-toggle{width:32px;height:32px}:host .fu-navigation-bar-holder .fu-navigation-bar-button.fu-menu-toggle:hover{cursor:pointer;background-color:#ffffff29}:host .fu-navigation-bar-holder .fu-navigation-bar-button.fu-with-pop-menu{cursor:pointer}\n"] }]
    }], () => [{ type: i0.ElementRef }], { menuBarItems: [{
            type: Input
        }], layoutUser: [{
            type: Input
        }], menuOpened: [{
            type: Input
        }], menuExpanded: [{
            type: Input
        }], menuOpenForPrimaryMenuItem: [{
            type: Input
        }], menuHoverMode: [{
            type: Input
        }], menuItemClick: [{
            type: Output
        }], primaryMenuItemClicked: [{
            type: Output
        }], changeColorTheme: [{
            type: Output
        }], toggleMenu: [{
            type: Output
        }], resetSecondaryMenu: [{
            type: Output
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(NavigationPrimaryMenuComponent, { className: "NavigationPrimaryMenuComponent", filePath: "navigation-primary-menu/navigation-primary-menu.component.ts", lineNumber: 25 }); })();

function NavigationSecondaryMenuComponent_fusion_svg_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-svg", 9);
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵproperty("path", ctx_r0.menuLogoSrc);
} }
function NavigationSecondaryMenuComponent_ng_container_4_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0);
} }
const _c0$1 = a0 => ({ item: a0 });
function NavigationSecondaryMenuComponent_ng_container_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, NavigationSecondaryMenuComponent_ng_container_4_ng_container_1_Template, 1, 0, "ng-container", 10);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const item_r10 = ctx.$implicit;
    i0.ɵɵnextContext();
    const _r3 = i0.ɵɵreference(6);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngTemplateOutlet", _r3)("ngTemplateOutletContext", i0.ɵɵpureFunction1(2, _c0$1, item_r10));
} }
function NavigationSecondaryMenuComponent_ng_template_5_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0);
} }
function NavigationSecondaryMenuComponent_ng_template_5_fusion_icon_button_2_Template(rf, ctx) { if (rf & 1) {
    const _r18 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-icon-button", 14);
    i0.ɵɵlistener("click", function NavigationSecondaryMenuComponent_ng_template_5_fusion_icon_button_2_Template_fusion_icon_button_click_0_listener($event) { const restoredCtx = i0.ɵɵrestoreView(_r18); const additionalAction_r16 = restoredCtx.ngIf; const ctx_r17 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r17.onMenuItemClicked($event, additionalAction_r16)); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const additionalAction_r16 = ctx.ngIf;
    const ctx_r14 = i0.ɵɵnextContext(2);
    let tmp_0_0;
    i0.ɵɵproperty("iconName", (tmp_0_0 = additionalAction_r16.icon) !== null && tmp_0_0 !== undefined ? tmp_0_0 : "ph/bold/plus")("fusionTooltip", additionalAction_r16.name)("configuration", ctx_r14.quickActionTooltipConfiguration);
} }
function NavigationSecondaryMenuComponent_ng_template_5_ng_container_3_ng_container_2_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0);
} }
function NavigationSecondaryMenuComponent_ng_template_5_ng_container_3_ng_container_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, NavigationSecondaryMenuComponent_ng_template_5_ng_container_3_ng_container_2_ng_container_1_Template, 1, 0, "ng-container", 10);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const itemChild_r20 = ctx.$implicit;
    i0.ɵɵnextContext(3);
    const _r7 = i0.ɵɵreference(10);
    const _r5 = i0.ɵɵreference(8);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngTemplateOutlet", itemChild_r20.route || itemChild_r20.redirect ? _r7 : _r5)("ngTemplateOutletContext", i0.ɵɵpureFunction1(2, _c0$1, itemChild_r20));
} }
function NavigationSecondaryMenuComponent_ng_template_5_ng_container_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "div", 15);
    i0.ɵɵtemplate(2, NavigationSecondaryMenuComponent_ng_template_5_ng_container_3_ng_container_2_Template, 2, 4, "ng-container", 4);
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const item_r12 = i0.ɵɵnextContext().item;
    i0.ɵɵadvance();
    i0.ɵɵclassProp("fu-secondary-menu-sub-items-opened", !item_r12.closed);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngForOf", item_r12.children);
} }
function NavigationSecondaryMenuComponent_ng_template_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 11);
    i0.ɵɵtemplate(1, NavigationSecondaryMenuComponent_ng_template_5_ng_container_1_Template, 1, 0, "ng-container", 10)(2, NavigationSecondaryMenuComponent_ng_template_5_fusion_icon_button_2_Template, 1, 3, "fusion-icon-button", 12)(3, NavigationSecondaryMenuComponent_ng_template_5_ng_container_3_Template, 3, 3, "ng-container", 13);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const item_r12 = ctx.item;
    i0.ɵɵnextContext();
    const _r7 = i0.ɵɵreference(10);
    const _r5 = i0.ɵɵreference(8);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngTemplateOutlet", item_r12.route || item_r12.redirect ? _r7 : _r5)("ngTemplateOutletContext", i0.ɵɵpureFunction1(4, _c0$1, item_r12));
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", item_r12.additionalAction);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", item_r12 == null ? null : item_r12.children);
} }
function NavigationSecondaryMenuComponent_ng_template_7_ng_container_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0);
} }
function NavigationSecondaryMenuComponent_ng_template_7_Template(rf, ctx) { if (rf & 1) {
    const _r26 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 16);
    i0.ɵɵlistener("click", function NavigationSecondaryMenuComponent_ng_template_7_Template_div_click_0_listener($event) { const restoredCtx = i0.ɵɵrestoreView(_r26); const item_r23 = restoredCtx.item; const ctx_r25 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r25.onMenuItemClicked($event, item_r23)); });
    i0.ɵɵpipe(1, "async");
    i0.ɵɵtemplate(2, NavigationSecondaryMenuComponent_ng_template_7_ng_container_2_Template, 1, 0, "ng-container", 10);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const item_r23 = ctx.item;
    const ctx_r4 = i0.ɵɵnextContext();
    const _r9 = i0.ɵɵreference(12);
    i0.ɵɵclassProp("fu-nav-menu-title-item", item_r23.isGroupName)("fu-has-sub-items", !!item_r23.children)("fu-secondary-menu-item-selected", item_r23 === i0.ɵɵpipeBind1(1, 11, ctx_r4.selectedMenuItem$))("fu-sub-items-opened", !item_r23.closed);
    i0.ɵɵproperty("ngClass", item_r23.cssClass);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngTemplateOutlet", _r9)("ngTemplateOutletContext", i0.ɵɵpureFunction1(13, _c0$1, item_r23));
} }
function NavigationSecondaryMenuComponent_ng_template_9_ng_container_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0);
} }
function NavigationSecondaryMenuComponent_ng_template_9_Template(rf, ctx) { if (rf & 1) {
    const _r30 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "a", 17);
    i0.ɵɵlistener("click", function NavigationSecondaryMenuComponent_ng_template_9_Template_a_click_0_listener($event) { const restoredCtx = i0.ɵɵrestoreView(_r30); const item_r27 = restoredCtx.item; const ctx_r29 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r29.onMenuItemClicked($event, item_r27)); });
    i0.ɵɵpipe(1, "async");
    i0.ɵɵtemplate(2, NavigationSecondaryMenuComponent_ng_template_9_ng_container_2_Template, 1, 0, "ng-container", 10);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const item_r27 = ctx.item;
    const ctx_r6 = i0.ɵɵnextContext();
    const _r9 = i0.ɵɵreference(12);
    let tmp_5_0;
    i0.ɵɵclassProp("fu-nav-menu-title-item", item_r27.isGroupName)("fu-has-sub-items", !!item_r27.children)("fu-secondary-menu-item-selected", item_r27 === i0.ɵɵpipeBind1(1, 13, ctx_r6.selectedMenuItem$))("fu-sub-items-opened", !item_r27.closed);
    i0.ɵɵproperty("href", item_r27.route || item_r27.redirect, i0.ɵɵsanitizeUrl)("target", (tmp_5_0 = item_r27.target) !== null && tmp_5_0 !== undefined ? tmp_5_0 : "_self")("ngClass", item_r27.cssClass);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngTemplateOutlet", _r9)("ngTemplateOutletContext", i0.ɵɵpureFunction1(15, _c0$1, item_r27));
} }
function NavigationSecondaryMenuComponent_ng_template_11_div_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 22);
    i0.ɵɵelement(1, "fusion-icon", 23);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const item_r31 = i0.ɵɵnextContext().item;
    i0.ɵɵadvance();
    i0.ɵɵproperty("name", item_r31.icon);
} }
function NavigationSecondaryMenuComponent_ng_template_11_fusion_icon_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 24);
} if (rf & 2) {
    const ctx_r33 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("name", ctx_r33.itemChildToggleIcon);
} }
function NavigationSecondaryMenuComponent_ng_template_11_fusion_icon_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 25);
} if (rf & 2) {
    const ctx_r34 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("name", ctx_r34.itemNewTabIcon);
} }
function NavigationSecondaryMenuComponent_ng_template_11_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtemplate(0, NavigationSecondaryMenuComponent_ng_template_11_div_0_Template, 2, 1, "div", 18);
    i0.ɵɵelementStart(1, "div", 19);
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(3, NavigationSecondaryMenuComponent_ng_template_11_fusion_icon_3_Template, 1, 1, "fusion-icon", 20)(4, NavigationSecondaryMenuComponent_ng_template_11_fusion_icon_4_Template, 1, 1, "fusion-icon", 21);
} if (rf & 2) {
    const item_r31 = ctx.item;
    i0.ɵɵproperty("ngIf", item_r31.icon);
    i0.ɵɵadvance();
    i0.ɵɵproperty("fusionTooltip", item_r31.name);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(item_r31.name);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", !!item_r31.children);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", !!item_r31.target);
} }
class NavigationSecondaryMenuComponent {
    set menuItems(value) {
        if (Array.isArray(value)) {
            this._menuItems = [...value];
            this.selectedMenuItem$.next(null);
        }
    }
    get menuItems() {
        return this._menuItems;
    }
    constructor() {
        this.menuItemClick = new EventEmitter();
        this.itemChildToggleIcon = 'ph/bold/caret-right';
        this.itemNewTabIcon = 'ph/arrow-square-out';
        this.selectedMenuItem$ = new BehaviorSubject(null);
        this.quickActionTooltipConfiguration = { position: TooltipPosition.Right, suppressPositionArrow: true };
        this._menuItems = [];
    }
    onMenuItemClicked($event, menuItem) {
        if ($event && $event.metaKey) {
            return;
        }
        if ($event && !menuItem.target) {
            $event.preventDefault();
            $event.stopPropagation();
        }
        if (!menuItem.children && !menuItem.target) {
            this.menuItemClick.emit(menuItem);
            this.selectedMenuItem$.next(menuItem);
        }
        else {
            this.toggleChildItems($event, menuItem);
        }
    }
    setSelected(menuItem) {
        this.selectedMenuItem$.next(menuItem);
    }
    toggleChildItems($event, menuItem) {
        menuItem.closed = !menuItem.closed;
    }
    static { this.ɵfac = function NavigationSecondaryMenuComponent_Factory(t) { return new (t || NavigationSecondaryMenuComponent)(); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: NavigationSecondaryMenuComponent, selectors: [["fusion-navigation-secondary-menu"]], inputs: { menuItems: "menuItems", menuName: "menuName", menuLogoSrc: "menuLogoSrc" }, outputs: { menuItemClick: "menuItemClick" }, standalone: true, features: [i0.ɵɵStandaloneFeature], decls: 13, vars: 2, consts: [[1, "fu-secondary-menu-holder"], [1, "fu-logo-holder"], [3, "path", 4, "ngIf"], [1, "fu-secondary-menu"], [4, "ngFor", "ngForOf"], ["menuItem", ""], ["menuItemDiv", ""], ["menuItemLink", ""], ["menuItemInnerContent", ""], [3, "path"], [4, "ngTemplateOutlet", "ngTemplateOutletContext"], [1, "fu-secondary-menu-item-wrapper"], ["class", "fu-secondary-menu-quick-action", "size", "extraSmall", 3, "iconName", "fusionTooltip", "configuration", "click", 4, "ngIf"], [4, "ngIf"], ["size", "extraSmall", 1, "fu-secondary-menu-quick-action", 3, "iconName", "fusionTooltip", "configuration", "click"], [1, "fu-secondary-menu-sub-items-holder"], [1, "fu-secondary-menu-item-holder", 3, "ngClass", "click"], [1, "fu-secondary-menu-item-holder", 3, "href", "target", "ngClass", "click"], ["class", "fu-secondary-menu-item-icon-holder", 4, "ngIf"], [1, "fu-secondary-menu-item-label", "truncate", 3, "fusionTooltip"], ["class", "fu-secondary-menu-item-parent-icon-toggle", 3, "name", 4, "ngIf"], ["class", "fu-secondary-menu-item-new-tab-icon", 3, "name", 4, "ngIf"], [1, "fu-secondary-menu-item-icon-holder"], [1, "fu-secondary-menu-item-icon", 3, "name"], [1, "fu-secondary-menu-item-parent-icon-toggle", 3, "name"], [1, "fu-secondary-menu-item-new-tab-icon", 3, "name"]], template: function NavigationSecondaryMenuComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0)(1, "div", 1);
            i0.ɵɵtemplate(2, NavigationSecondaryMenuComponent_fusion_svg_2_Template, 1, 1, "fusion-svg", 2);
            i0.ɵɵelementEnd();
            i0.ɵɵelementStart(3, "div", 3);
            i0.ɵɵtemplate(4, NavigationSecondaryMenuComponent_ng_container_4_Template, 2, 4, "ng-container", 4);
            i0.ɵɵelementEnd()();
            i0.ɵɵtemplate(5, NavigationSecondaryMenuComponent_ng_template_5_Template, 4, 6, "ng-template", null, 5, i0.ɵɵtemplateRefExtractor)(7, NavigationSecondaryMenuComponent_ng_template_7_Template, 3, 15, "ng-template", null, 6, i0.ɵɵtemplateRefExtractor)(9, NavigationSecondaryMenuComponent_ng_template_9_Template, 3, 17, "ng-template", null, 7, i0.ɵɵtemplateRefExtractor)(11, NavigationSecondaryMenuComponent_ng_template_11_Template, 5, 5, "ng-template", null, 8, i0.ɵɵtemplateRefExtractor);
        } if (rf & 2) {
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngIf", ctx.menuLogoSrc);
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngForOf", ctx.menuItems);
        } }, dependencies: [CommonModule, i1.NgClass, i1.NgForOf, i1.NgIf, i1.NgTemplateOutlet, i1.AsyncPipe, IconModule, i2.IconComponent, TooltipDirective, SvgModule, i2$1.SvgComponent, IconButtonComponent], styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}.font-v4-bold[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%], .font-v4-chart-2[_ngcontent-%COMP%], .font-v4-chart-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]   .fu-secondary-menu-item-holder.fu-nav-menu-title-item[_ngcontent-%COMP%]   .fu-secondary-menu-item-label[_ngcontent-%COMP%], .font-v4-chip-label[_ngcontent-%COMP%], .font-v4-table-label[_ngcontent-%COMP%], .font-v4-button[_ngcontent-%COMP%], .font-v4-heading-6[_ngcontent-%COMP%], .font-v4-heading-5[_ngcontent-%COMP%], .font-v4-heading-4[_ngcontent-%COMP%], .font-v4-heading-3[_ngcontent-%COMP%], .font-v4-heading-2[_ngcontent-%COMP%], .font-v4-heading-1[_ngcontent-%COMP%], .font-v4-title[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium[_ngcontent-%COMP%], .font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-input-label[_ngcontent-%COMP%], .font-v4-overline[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]   .fu-secondary-menu-item-holder[_ngcontent-%COMP%]   .fu-secondary-menu-item-label[_ngcontent-%COMP%], .font-v4-subtitle-2[_ngcontent-%COMP%], .font-v4-subtitle-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular[_ngcontent-%COMP%], .font-v4-caption[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]   .fu-secondary-menu-sub-items-holder[_ngcontent-%COMP%]   .fu-secondary-menu-item-holder[_ngcontent-%COMP%]   .fu-secondary-menu-item-label[_ngcontent-%COMP%], .font-v4-body-2[_ngcontent-%COMP%], .font-v4-body-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title[_ngcontent-%COMP%]{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2[_ngcontent-%COMP%]{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3[_ngcontent-%COMP%]{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5[_ngcontent-%COMP%]{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6[_ngcontent-%COMP%]{font-size:.75rem;line-height:.75rem;letter-spacing:0}.font-v4-body-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]   .fu-secondary-menu-sub-items-holder[_ngcontent-%COMP%]   .fu-secondary-menu-item-holder[_ngcontent-%COMP%]   .fu-secondary-menu-item-label[_ngcontent-%COMP%], .font-v4-body-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]   .fu-secondary-menu-item-holder[_ngcontent-%COMP%]   .fu-secondary-menu-item-label[_ngcontent-%COMP%], .font-v4-subtitle-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2[_ngcontent-%COMP%]{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}.font-v4-caption[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem}.font-v4-table-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]   .fu-secondary-menu-item-holder.fu-nav-menu-title-item[_ngcontent-%COMP%]   .fu-secondary-menu-item-label[_ngcontent-%COMP%], .font-v4-chip-label[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:normal}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]{margin:0;padding:0;vertical-align:initial;text-align:initial}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .truncate[_ngcontent-%COMP%]{width:100%;display:inline-block;white-space:nowrap;overflow:hidden!important;text-overflow:ellipsis}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]::-webkit-scrollbar{background-color:transparent;border-left:var(--fu-scroll-border, solid 0px transparent);border-top:var(--fu-scroll-border, solid 0px transparent);width:var(--fu-scroll-width, 4px);height:var(--fu-scroll-width, 4px)}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]::-webkit-scrollbar-track{background-color:var(--fu-scroll-bg-color, transparent)}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]::-webkit-scrollbar-thumb{background-color:var(--fu-scroll-button-bg-color, rgba(83, 87, 91, .3));border-radius:var(--fu-scroll-button-border-radius, 4px)}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]::-webkit-scrollbar-button{display:none}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]   .fu-secondary-menu-item-holder[_ngcontent-%COMP%]:hover, [_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]:has(fusion-icon-button:hover)   .fu-secondary-menu-item-holder[_ngcontent-%COMP%]{border-radius:4px;background-color:var(--action-hover, hsla(0, 0%, 0%, .05))}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]   .fu-secondary-menu-item-holder[_ngcontent-%COMP%]:hover   .fu-secondary-menu-item-icon-holder[_ngcontent-%COMP%]   fusion-icon[class^=fu-secondary-menu-item-icon][_ngcontent-%COMP%]     svg, [_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]:has(fusion-icon-button:hover)   .fu-secondary-menu-item-holder[_ngcontent-%COMP%]   .fu-secondary-menu-item-icon-holder[_ngcontent-%COMP%]   fusion-icon[class^=fu-secondary-menu-item-icon][_ngcontent-%COMP%]     svg{width:20px;height:20px}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]   .fu-secondary-menu-item-holder[_ngcontent-%COMP%]:hover   .fu-secondary-menu-item-icon-holder[_ngcontent-%COMP%]   fusion-icon[class^=fu-secondary-menu-item-icon][_ngcontent-%COMP%]     svg *, [_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]:has(fusion-icon-button:hover)   .fu-secondary-menu-item-holder[_ngcontent-%COMP%]   .fu-secondary-menu-item-icon-holder[_ngcontent-%COMP%]   fusion-icon[class^=fu-secondary-menu-item-icon][_ngcontent-%COMP%]     svg *{fill:var(--action-primary, hsl(0, 0%, 12.5%))}[_nghost-%COMP%]{display:block;background-color:var(--background-paper, hsl(0, 0%, 99%));border-right:solid 1px var(--common-divider, hsl(0, 0%, 86.8%));margin-left:-1px;width:0px;max-width:200px;transition:width .45s ease-out}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]{position:fixed;z-index:1002;top:0;left:-144px;max-width:200px;transition:left .45s ease-out}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-logo-holder[_ngcontent-%COMP%]{height:64px;display:flex;align-items:center;padding:var(--spacing-200, 16px);padding-left:var(--spacing-250, 20px)}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-logo-holder[_ngcontent-%COMP%]   fusion-svg[_ngcontent-%COMP%]{height:100%;max-width:200px;max-height:64px;display:flex;align-items:center}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]{display:flex;flex-direction:column;align-items:flex-start;padding:0px var(--spacing-100, 8px) var(--spacing-300, 24px);width:200px;overflow-y:hidden;overflow-x:hidden;max-height:calc(100vh - 64px)}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]{width:100%;position:relative}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]   .fu-secondary-menu-item-holder[_ngcontent-%COMP%]{width:100%;height:28px;display:flex;flex-direction:row;align-items:center;padding:4px 8px;gap:8px;cursor:pointer;margin-bottom:4px;border:solid 1px transparent;text-decoration:none}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]   .fu-secondary-menu-item-holder.fu-secondary-menu-item-selected[_ngcontent-%COMP%]{border:solid 1px var(--common-divider, hsl(0, 0%, 86.8%));border-radius:4px;background-color:var(--action-hover, hsla(0, 0%, 0%, .05));cursor:default;pointer-events:none}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]   .fu-secondary-menu-item-holder.fu-secondary-menu-item-selected[_ngcontent-%COMP%]   .fu-secondary-menu-item-icon-holder[_ngcontent-%COMP%]   fusion-icon[class^=fu-secondary-menu-item-icon][_ngcontent-%COMP%]     svg{width:20px;height:20px}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]   .fu-secondary-menu-item-holder.fu-secondary-menu-item-selected[_ngcontent-%COMP%]   .fu-secondary-menu-item-icon-holder[_ngcontent-%COMP%]   fusion-icon[class^=fu-secondary-menu-item-icon][_ngcontent-%COMP%]     svg *{fill:var(--action-primary, hsl(0, 0%, 12.5%))}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]   .fu-secondary-menu-item-holder.fu-nav-menu-title-item[_ngcontent-%COMP%]{height:36px;cursor:default;pointer-events:none;padding:10px 8px}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]   .fu-secondary-menu-item-holder.fu-nav-menu-title-item[_ngcontent-%COMP%]   .fu-secondary-menu-item-icon-holder[_ngcontent-%COMP%]{display:none}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]   .fu-secondary-menu-item-holder.fu-nav-menu-title-item[_ngcontent-%COMP%]   .fu-secondary-menu-item-label[_ngcontent-%COMP%]{color:var(--text-secondary, hsl(0, 0%, 39.3%))}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]   .fu-secondary-menu-item-holder[_ngcontent-%COMP%]   .fu-secondary-menu-item-icon-holder[_ngcontent-%COMP%]{display:flex;align-items:center;justify-content:center}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]   .fu-secondary-menu-item-holder[_ngcontent-%COMP%]   .fu-secondary-menu-item-icon-holder[_ngcontent-%COMP%]   fusion-icon[class^=fu-secondary-menu-item-icon][_ngcontent-%COMP%]{width:20px;height:20px}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]   .fu-secondary-menu-item-holder[_ngcontent-%COMP%]   .fu-secondary-menu-item-icon-holder[_ngcontent-%COMP%]   fusion-icon[class^=fu-secondary-menu-item-icon][_ngcontent-%COMP%]     svg{width:20px;height:20px}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]   .fu-secondary-menu-item-holder[_ngcontent-%COMP%]   .fu-secondary-menu-item-icon-holder[_ngcontent-%COMP%]   fusion-icon[class^=fu-secondary-menu-item-icon][_ngcontent-%COMP%]     svg *{fill:var(--action-active, hsl(0, 0%, 50.3%))}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]   .fu-secondary-menu-item-holder[_ngcontent-%COMP%]   .fu-secondary-menu-item-label[_ngcontent-%COMP%]{color:var(--text-primary, hsl(0, 0%, 12.5%))}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]   .fu-secondary-menu-item-holder[_ngcontent-%COMP%]   fusion-icon[class^=fu-secondary-menu-item-new-tab-icon][_ngcontent-%COMP%]{width:16px;height:16px}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]   .fu-secondary-menu-item-holder[_ngcontent-%COMP%]   fusion-icon[class^=fu-secondary-menu-item-new-tab-icon][_ngcontent-%COMP%]     svg{width:16px;height:16px}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]   .fu-secondary-menu-item-holder[_ngcontent-%COMP%]   fusion-icon[class^=fu-secondary-menu-item-new-tab-icon][_ngcontent-%COMP%]     svg *{fill:var(--action-active, hsl(0, 0%, 50.3%))}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]   .fu-secondary-menu-item-holder[_ngcontent-%COMP%]   fusion-icon[class^=fu-secondary-menu-item-parent-icon-toggle][_ngcontent-%COMP%]{width:12px;height:12px;display:flex;align-items:center;margin-left:auto;cursor:pointer}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]   .fu-secondary-menu-item-holder[_ngcontent-%COMP%]   fusion-icon[class^=fu-secondary-menu-item-parent-icon-toggle][_ngcontent-%COMP%]     svg{width:12px;height:12px}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]   .fu-secondary-menu-item-holder[_ngcontent-%COMP%]   fusion-icon[class^=fu-secondary-menu-item-parent-icon-toggle][_ngcontent-%COMP%]     svg *{fill:var(--action-active, hsl(0, 0%, 50.3%))}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]   .fu-secondary-menu-item-holder.fu-sub-items-opened[_ngcontent-%COMP%]   fusion-icon[class^=fu-secondary-menu-item-parent-icon-toggle][_ngcontent-%COMP%]     svg{width:12px;height:12px;transform:rotate(90deg)}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]   .fu-secondary-menu-item-holder.fu-sub-items-opened[_ngcontent-%COMP%]   fusion-icon[class^=fu-secondary-menu-item-parent-icon-toggle][_ngcontent-%COMP%]     svg *{fill:var(--action-active, hsl(0, 0%, 50.3%))}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]   .fu-secondary-menu-sub-items-holder[_ngcontent-%COMP%]{margin-left:12px;display:flex;flex-direction:column;align-items:flex-start;transition:max-height,.45s cubic-bezier(0,1,0,1);max-height:0px;overflow-y:hidden}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]   .fu-secondary-menu-sub-items-holder.fu-secondary-menu-sub-items-opened[_ngcontent-%COMP%]{max-height:calc(100vh - 28px);transition:max-height,1s ease-out}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]   .fu-secondary-menu-sub-items-holder[_ngcontent-%COMP%]   .fu-secondary-menu-item-holder[_ngcontent-%COMP%]{margin-bottom:2px;gap:4px;padding:4px 8px 4px 12px}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .fu-secondary-menu-item-wrapper[_ngcontent-%COMP%]   .fu-secondary-menu-quick-action[_ngcontent-%COMP%]{position:absolute;right:5px;top:4px}[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]   .truncate[_ngcontent-%COMP%]{width:initial}.fu-menu-open[_nghost-%COMP%]{width:200px}.fu-menu-open[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]{left:56px}.fu-menu-open[_nghost-%COMP%]   .fu-secondary-menu-holder[_ngcontent-%COMP%]   .fu-secondary-menu[_ngcontent-%COMP%]{overflow-y:auto}.fu-menu-expanded[_nghost-%COMP%]{position:fixed;top:0;left:56px;height:100vh;z-index:1003}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(NavigationSecondaryMenuComponent, [{
        type: Component,
        args: [{ selector: 'fusion-navigation-secondary-menu', standalone: true, imports: [CommonModule, IconModule, TooltipDirective, SvgModule, IconButtonComponent], changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"fu-secondary-menu-holder\">\n    <div class=\"fu-logo-holder\">\n        <fusion-svg *ngIf=\"menuLogoSrc\" [path]=\"menuLogoSrc\"></fusion-svg>\n    </div>\n    <div class=\"fu-secondary-menu\">\n        <ng-container *ngFor=\"let item of menuItems\">\n            <ng-container *ngTemplateOutlet=\"menuItem;context: {item: item}\"></ng-container>\n        </ng-container>\n    </div>\n</div>\n\n\n<!--region menu items templating-->\n<ng-template #menuItem let-item=\"item\">\n    <!--region menu item-->\n    <div class=\"fu-secondary-menu-item-wrapper\">\n        <!--region menu first level item-->\n        <ng-container  *ngTemplateOutlet=\"(item.route || item.redirect) ? menuItemLink : menuItemDiv; context: {item: item}\"></ng-container>\n        <!--endregion menu first level item-->\n        <fusion-icon-button *ngIf=\"item.additionalAction as additionalAction\"\n                            class=\"fu-secondary-menu-quick-action\"\n                            size=\"extraSmall\"\n                            [iconName]=\"additionalAction.icon ?? 'ph/bold/plus'\"\n                            [fusionTooltip]=\"additionalAction.name\"\n                            [configuration]=\"quickActionTooltipConfiguration\"\n                            (click)=\"onMenuItemClicked($event, additionalAction)\"\n        ></fusion-icon-button>\n        <!--region second level (child) items-->\n        <ng-container *ngIf=\"item?.children\">\n            <div class=\"fu-secondary-menu-sub-items-holder\" [class.fu-secondary-menu-sub-items-opened]=\"!item.closed\">\n                <ng-container  *ngFor=\"let itemChild of item.children\">\n                    <ng-container  *ngTemplateOutlet=\"(itemChild.route || itemChild.redirect) ? menuItemLink : menuItemDiv; context: {item: itemChild}\"></ng-container>\n                </ng-container>\n            </div>\n        </ng-container>\n        <!--endregion submenu items-->\n    </div>\n    <!--endregion menu item-->\n</ng-template>\n<!--endregion menu items templating-->\n\n<!--region menuitem-->\n<ng-template #menuItemDiv  let-item=\"item\">\n    <div class=\"fu-secondary-menu-item-holder\"\n         [ngClass]=\"item.cssClass\"\n         [class.fu-nav-menu-title-item]=\"item.isGroupName\"\n         [class.fu-has-sub-items]=\"!!item.children\"\n         [class.fu-secondary-menu-item-selected]=\"item === (selectedMenuItem$ | async)\"\n         [class.fu-sub-items-opened]=\"!item.closed\"\n         (click)=\"onMenuItemClicked($event, item)\"\n    >\n        <ng-container *ngTemplateOutlet=\"menuItemInnerContent; context: {item: item}\"></ng-container>\n    </div>\n</ng-template>\n<!--endregion menuitem-->\n\n<!--region menuitem with navigation-->\n<ng-template #menuItemLink  let-item=\"item\">\n    <a class=\"fu-secondary-menu-item-holder\"\n         [href]=\"item.route || item.redirect\"\n         [target]=\"item.target ?? '_self'\"\n         [ngClass]=\"item.cssClass\"\n         [class.fu-nav-menu-title-item]=\"item.isGroupName\"\n         [class.fu-has-sub-items]=\"!!item.children\"\n         [class.fu-secondary-menu-item-selected]=\"item === (selectedMenuItem$ | async)\"\n         [class.fu-sub-items-opened]=\"!item.closed\"\n         (click)=\"onMenuItemClicked($event, item)\"\n    >\n        <ng-container *ngTemplateOutlet=\"menuItemInnerContent; context: {item: item}\"></ng-container>\n    </a>\n</ng-template>\n<!--endregion menuitem with navigation-->\n\n<!--region menu item elements-->\n<ng-template #menuItemInnerContent let-item=\"item\">\n    <div class=\"fu-secondary-menu-item-icon-holder\" *ngIf=\"item.icon\">\n        <fusion-icon class=\"fu-secondary-menu-item-icon\" [name]=\"item.icon\"></fusion-icon>\n    </div>\n    <div class=\"fu-secondary-menu-item-label truncate\" [fusionTooltip]=\"item.name\">{{item.name}}</div>\n    <fusion-icon *ngIf=\"!!item.children\"\n                 class=\"fu-secondary-menu-item-parent-icon-toggle\"\n                 [name]=\"itemChildToggleIcon\"\n    ></fusion-icon>\n    <fusion-icon *ngIf=\"!!item.target\"\n                 class=\"fu-secondary-menu-item-new-tab-icon\"\n                 [name]=\"itemNewTabIcon\"\n    ></fusion-icon>\n</ng-template>\n<!--endregion menu item elements-->\n", styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}.font-v4-bold,.font-v4-tab-label-2,.font-v4-chart-2,.font-v4-chart-1{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold,:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper .fu-secondary-menu-item-holder.fu-nav-menu-title-item .fu-secondary-menu-item-label,.font-v4-chip-label,.font-v4-table-label,.font-v4-button,.font-v4-heading-6,.font-v4-heading-5,.font-v4-heading-4,.font-v4-heading-3,.font-v4-heading-2,.font-v4-heading-1,.font-v4-title{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium,.font-v4-tab-label-1,.font-v4-input-label,.font-v4-overline,:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper .fu-secondary-menu-item-holder .fu-secondary-menu-item-label,.font-v4-subtitle-2,.font-v4-subtitle-1{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular,.font-v4-caption,:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper .fu-secondary-menu-sub-items-holder .fu-secondary-menu-item-holder .fu-secondary-menu-item-label,.font-v4-body-2,.font-v4-body-1{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6{font-size:.75rem;line-height:.75rem;letter-spacing:0}.font-v4-body-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper .fu-secondary-menu-sub-items-holder .fu-secondary-menu-item-holder .fu-secondary-menu-item-label,.font-v4-body-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper .fu-secondary-menu-item-holder .fu-secondary-menu-item-label,.font-v4-subtitle-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}.font-v4-caption{font-size:.75rem;line-height:1rem}.font-v4-table-label{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1,.font-v4-tab-label-2{font-size:.875rem;line-height:1rem}:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper .fu-secondary-menu-item-holder.fu-nav-menu-title-item .fu-secondary-menu-item-label,.font-v4-chip-label{font-size:.75rem;line-height:1rem;letter-spacing:normal}:host *{box-sizing:border-box}:host{margin:0;padding:0;vertical-align:initial;text-align:initial}:host .fu-secondary-menu-holder .fu-secondary-menu .truncate{width:100%;display:inline-block;white-space:nowrap;overflow:hidden!important;text-overflow:ellipsis}:host .fu-secondary-menu-holder .fu-secondary-menu::-webkit-scrollbar{background-color:transparent;border-left:var(--fu-scroll-border, solid 0px transparent);border-top:var(--fu-scroll-border, solid 0px transparent);width:var(--fu-scroll-width, 4px);height:var(--fu-scroll-width, 4px)}:host .fu-secondary-menu-holder .fu-secondary-menu::-webkit-scrollbar-track{background-color:var(--fu-scroll-bg-color, transparent)}:host .fu-secondary-menu-holder .fu-secondary-menu::-webkit-scrollbar-thumb{background-color:var(--fu-scroll-button-bg-color, rgba(83, 87, 91, .3));border-radius:var(--fu-scroll-button-border-radius, 4px)}:host .fu-secondary-menu-holder .fu-secondary-menu::-webkit-scrollbar-button{display:none}:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper .fu-secondary-menu-item-holder:hover,:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper:has(fusion-icon-button:hover) .fu-secondary-menu-item-holder{border-radius:4px;background-color:var(--action-hover, hsla(0, 0%, 0%, .05))}:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper .fu-secondary-menu-item-holder:hover .fu-secondary-menu-item-icon-holder fusion-icon[class^=fu-secondary-menu-item-icon] ::ng-deep svg,:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper:has(fusion-icon-button:hover) .fu-secondary-menu-item-holder .fu-secondary-menu-item-icon-holder fusion-icon[class^=fu-secondary-menu-item-icon] ::ng-deep svg{width:20px;height:20px}:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper .fu-secondary-menu-item-holder:hover .fu-secondary-menu-item-icon-holder fusion-icon[class^=fu-secondary-menu-item-icon] ::ng-deep svg *,:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper:has(fusion-icon-button:hover) .fu-secondary-menu-item-holder .fu-secondary-menu-item-icon-holder fusion-icon[class^=fu-secondary-menu-item-icon] ::ng-deep svg *{fill:var(--action-primary, hsl(0, 0%, 12.5%))}:host{display:block;background-color:var(--background-paper, hsl(0, 0%, 99%));border-right:solid 1px var(--common-divider, hsl(0, 0%, 86.8%));margin-left:-1px;width:0px;max-width:200px;transition:width .45s ease-out}:host .fu-secondary-menu-holder{position:fixed;z-index:1002;top:0;left:-144px;max-width:200px;transition:left .45s ease-out}:host .fu-secondary-menu-holder .fu-logo-holder{height:64px;display:flex;align-items:center;padding:var(--spacing-200, 16px);padding-left:var(--spacing-250, 20px)}:host .fu-secondary-menu-holder .fu-logo-holder fusion-svg{height:100%;max-width:200px;max-height:64px;display:flex;align-items:center}:host .fu-secondary-menu-holder .fu-secondary-menu{display:flex;flex-direction:column;align-items:flex-start;padding:0px var(--spacing-100, 8px) var(--spacing-300, 24px);width:200px;overflow-y:hidden;overflow-x:hidden;max-height:calc(100vh - 64px)}:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper{width:100%;position:relative}:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper .fu-secondary-menu-item-holder{width:100%;height:28px;display:flex;flex-direction:row;align-items:center;padding:4px 8px;gap:8px;cursor:pointer;margin-bottom:4px;border:solid 1px transparent;text-decoration:none}:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper .fu-secondary-menu-item-holder.fu-secondary-menu-item-selected{border:solid 1px var(--common-divider, hsl(0, 0%, 86.8%));border-radius:4px;background-color:var(--action-hover, hsla(0, 0%, 0%, .05));cursor:default;pointer-events:none}:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper .fu-secondary-menu-item-holder.fu-secondary-menu-item-selected .fu-secondary-menu-item-icon-holder fusion-icon[class^=fu-secondary-menu-item-icon] ::ng-deep svg{width:20px;height:20px}:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper .fu-secondary-menu-item-holder.fu-secondary-menu-item-selected .fu-secondary-menu-item-icon-holder fusion-icon[class^=fu-secondary-menu-item-icon] ::ng-deep svg *{fill:var(--action-primary, hsl(0, 0%, 12.5%))}:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper .fu-secondary-menu-item-holder.fu-nav-menu-title-item{height:36px;cursor:default;pointer-events:none;padding:10px 8px}:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper .fu-secondary-menu-item-holder.fu-nav-menu-title-item .fu-secondary-menu-item-icon-holder{display:none}:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper .fu-secondary-menu-item-holder.fu-nav-menu-title-item .fu-secondary-menu-item-label{color:var(--text-secondary, hsl(0, 0%, 39.3%))}:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper .fu-secondary-menu-item-holder .fu-secondary-menu-item-icon-holder{display:flex;align-items:center;justify-content:center}:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper .fu-secondary-menu-item-holder .fu-secondary-menu-item-icon-holder fusion-icon[class^=fu-secondary-menu-item-icon]{width:20px;height:20px}:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper .fu-secondary-menu-item-holder .fu-secondary-menu-item-icon-holder fusion-icon[class^=fu-secondary-menu-item-icon] ::ng-deep svg{width:20px;height:20px}:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper .fu-secondary-menu-item-holder .fu-secondary-menu-item-icon-holder fusion-icon[class^=fu-secondary-menu-item-icon] ::ng-deep svg *{fill:var(--action-active, hsl(0, 0%, 50.3%))}:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper .fu-secondary-menu-item-holder .fu-secondary-menu-item-label{color:var(--text-primary, hsl(0, 0%, 12.5%))}:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper .fu-secondary-menu-item-holder fusion-icon[class^=fu-secondary-menu-item-new-tab-icon]{width:16px;height:16px}:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper .fu-secondary-menu-item-holder fusion-icon[class^=fu-secondary-menu-item-new-tab-icon] ::ng-deep svg{width:16px;height:16px}:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper .fu-secondary-menu-item-holder fusion-icon[class^=fu-secondary-menu-item-new-tab-icon] ::ng-deep svg *{fill:var(--action-active, hsl(0, 0%, 50.3%))}:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper .fu-secondary-menu-item-holder fusion-icon[class^=fu-secondary-menu-item-parent-icon-toggle]{width:12px;height:12px;display:flex;align-items:center;margin-left:auto;cursor:pointer}:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper .fu-secondary-menu-item-holder fusion-icon[class^=fu-secondary-menu-item-parent-icon-toggle] ::ng-deep svg{width:12px;height:12px}:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper .fu-secondary-menu-item-holder fusion-icon[class^=fu-secondary-menu-item-parent-icon-toggle] ::ng-deep svg *{fill:var(--action-active, hsl(0, 0%, 50.3%))}:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper .fu-secondary-menu-item-holder.fu-sub-items-opened fusion-icon[class^=fu-secondary-menu-item-parent-icon-toggle] ::ng-deep svg{width:12px;height:12px;transform:rotate(90deg)}:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper .fu-secondary-menu-item-holder.fu-sub-items-opened fusion-icon[class^=fu-secondary-menu-item-parent-icon-toggle] ::ng-deep svg *{fill:var(--action-active, hsl(0, 0%, 50.3%))}:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper .fu-secondary-menu-sub-items-holder{margin-left:12px;display:flex;flex-direction:column;align-items:flex-start;transition:max-height,.45s cubic-bezier(0,1,0,1);max-height:0px;overflow-y:hidden}:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper .fu-secondary-menu-sub-items-holder.fu-secondary-menu-sub-items-opened{max-height:calc(100vh - 28px);transition:max-height,1s ease-out}:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper .fu-secondary-menu-sub-items-holder .fu-secondary-menu-item-holder{margin-bottom:2px;gap:4px;padding:4px 8px 4px 12px}:host .fu-secondary-menu-holder .fu-secondary-menu .fu-secondary-menu-item-wrapper .fu-secondary-menu-quick-action{position:absolute;right:5px;top:4px}:host .fu-secondary-menu-holder .fu-secondary-menu .truncate{width:initial}:host.fu-menu-open{width:200px}:host.fu-menu-open .fu-secondary-menu-holder{left:56px}:host.fu-menu-open .fu-secondary-menu-holder .fu-secondary-menu{overflow-y:auto}:host.fu-menu-expanded{position:fixed;top:0;left:56px;height:100vh;z-index:1003}\n"] }]
    }], () => [], { menuItems: [{
            type: Input
        }], menuName: [{
            type: Input
        }], menuLogoSrc: [{
            type: Input
        }], menuItemClick: [{
            type: Output
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(NavigationSecondaryMenuComponent, { className: "NavigationSecondaryMenuComponent", filePath: "navigation-secondary-menu/navigation-secondary-menu.component.ts", lineNumber: 20 }); })();

const _c0 = ["primaryMenu"];
const _c1 = ["secondaryMenu"];
const MENU_CACHE_KEY = 'persistent_fusionMenuCollapsed';
class NavigationMenuComponent {
    get needRestoreSelectedState() {
        return (!!this.selectedPrimaryMenuItem &&
            !!this.preSelectedPrimaryMenuItem &&
            this.selectedPrimaryMenuItem?.menuTitle !== this.preSelectedPrimaryMenuItem?.menuTitle);
    }
    set isSecondaryMenuExpandable(value) {
        this._isSecondaryMenuExpandable = value;
    }
    get isSecondaryMenuExpandable() {
        const storedOpenState = this.storageService.get(StorageType.SessionStorage, MENU_CACHE_KEY);
        return isNullOrUndefined(storedOpenState) ? this._isSecondaryMenuExpandable : !storedOpenState;
    }
    constructor(elementRef, storageService) {
        this.elementRef = elementRef;
        this.storageService = storageService;
        this.primaryMenuItemMode = 'clickToDefaultSecondaryItem';
        this.menuAdditionalItemClicked = new EventEmitter();
        this.menuItemClicked = new EventEmitter();
        this.secondaryMenuItems$ = new BehaviorSubject([]);
        this.secondaryMenuName$ = new BehaviorSubject('');
        this.secondaryMenuLogoSrc$ = new BehaviorSubject('');
        this.secondaryMenuOpen$ = new BehaviorSubject(this.storageService.get(StorageType.SessionStorage, MENU_CACHE_KEY) ?? true);
        this.secondaryMenuExpanded$ = new BehaviorSubject(true);
        this.menuOpenForPrimaryMenuItem$ = new BehaviorSubject(null);
        this.onDestroy$ = new Subject();
        this._isSecondaryMenuExpandable = true;
    }
    ngOnInit() {
        this.initListeners();
    }
    initListeners() {
        fromEvent(this.primaryMenu.nativeElement, 'mouseenter')
            .pipe(takeUntil(this.onDestroy$), filter((event) => {
            const isMainSelected = this.primaryMenu.selectedBarItem$.getValue()?.type === 'main';
            const isNotOverBottomItems = event.clientY < this.primaryMenu.bottomItemsTopPosition;
            return isMainSelected && this.isSecondaryMenuExpandable && isNotOverBottomItems;
        }))
            .subscribe(this.onPrimaryMenuMainMouseEnter.bind(this));
        fromEvent(this.elementRef.nativeElement, 'mouseleave')
            .pipe(takeUntil(this.onDestroy$))
            .subscribe(this.onNavigationMenuMouseLeave.bind(this));
        if (this.selectedPrimaryMenuItem?.type !== NavigationBarItemType.Main && this.secondaryMenuOpen$.getValue()) {
            // if started from primary menu item that have NOT children and secondary menu is open
            setTimeout(() => {
                this.secondaryMenuOpen$.next(false);
            }, 250);
        }
    }
    onMenuItemClicked(menuItem, popMenuItem = false) {
        if (!popMenuItem) {
            this.selectedPrimaryMenuItem = this.preSelectedPrimaryMenuItem;
            this.isSecondaryMenuExpandable = false;
            this.setSecondaryMenuVisibilityState(this.isSecondaryMenuExpandable, true);
            this.selectedSecondaryMenuItem = menuItem;
            this.primaryMenu.setSelectedPrimaryMenuItem(this.selectedPrimaryMenuItem);
            this.primaryMenu.setColorTheme(this.selectedPrimaryMenuItem?.cssTheme ?? null);
        }
        else {
            this.preSelectedPrimaryMenuItem = null;
            this.selectedSecondaryMenuItem = menuItem;
            this.storageService.remove(StorageType.SessionStorage, MENU_CACHE_KEY);
            this.isSecondaryMenuExpandable = true;
            this.setSecondaryMenuVisibilityState(this.isSecondaryMenuExpandable, false);
        }
        this.menuItemClicked.emit(menuItem);
    }
    onPrimaryMenuMainMouseEnter($event) {
        this.setSecondaryMenuVisibilityState(this.isSecondaryMenuExpandable, true);
    }
    onNavigationMenuMouseLeave() {
        if (this.needRestoreSelectedState) {
            this.setSecondaryMenu(this.selectedPrimaryMenuItem);
            this.primaryMenu.setColorTheme(this.selectedPrimaryMenuItem?.cssTheme ?? null);
        }
        if (this.selectedPrimaryMenuItem?.type !== NavigationBarItemType.Main) {
            this.setSecondaryMenuVisibilityState(this.isSecondaryMenuExpandable, false);
        }
        else if (this.selectedPrimaryMenuItem?.type === NavigationBarItemType.Main) {
            if (this.isSecondaryMenuExpandable) {
                this.setSecondaryMenuVisibilityState(true, false);
            }
        }
    }
    onPrimaryMainMenuItemClicked(selectedNetwork) {
        if (isNullOrUndefined(selectedNetwork)) {
            this.onNavigationMenuMouseLeave();
        }
        else {
            this.preSelectedPrimaryMenuItem = selectedNetwork;
            this.setSecondaryMenu(selectedNetwork);
            if (!isNullOrUndefined(selectedNetwork.route)) {
                this.isSecondaryMenuExpandable = true;
                this.setSecondaryMenuVisibilityState(this.isSecondaryMenuExpandable, false);
                this.selectedPrimaryMenuItem = this.preSelectedPrimaryMenuItem;
                this.primaryMenu.setSelectedPrimaryMenuItem(this.selectedPrimaryMenuItem);
                this.menuItemClicked.emit({ name: selectedNetwork.menuTitle, route: selectedNetwork.route });
            }
            else {
                const isNavigateByClick = this.primaryMenuItemMode === 'clickToDefaultSecondaryItem';
                const itemToNavigate = isNavigateByClick ? this.findDefaultMenuItem(selectedNetwork.menuItems) : undefined;
                if (itemToNavigate) {
                    this.onMenuItemClicked(itemToNavigate);
                }
                else {
                    this.setSecondaryMenuVisibilityState(this.isSecondaryMenuExpandable, true);
                }
            }
        }
    }
    onChangeColorTheme(cssTheme) {
        this.setNetworkTheme(cssTheme);
    }
    toggleMenu() {
        if (!(this.secondaryMenuOpen$.getValue() && this.secondaryMenuExpanded$.getValue())) {
            this.secondaryMenuOpen$.next(!this.secondaryMenuOpen$.getValue() && this.secondaryMenuItems$.getValue().length > 0);
        }
        const newMenuStateValue = isNullOrUndefined(this.storageService.get(StorageType.SessionStorage, MENU_CACHE_KEY))
            ? true
            : this.secondaryMenuOpen$.getValue();
        this.storageService.set(StorageType.SessionStorage, MENU_CACHE_KEY, newMenuStateValue);
        if (this.secondaryMenuOpen$.getValue()) {
            if (this.needRestoreSelectedState) {
                this.setSecondaryMenu(this.selectedPrimaryMenuItem);
            }
            this.secondaryMenuExpanded$.next(false);
        }
    }
    resetSecondaryMenu() {
        this.secondaryMenuItems$.next([]);
        this.secondaryMenuName$.next('');
        this.secondaryMenuLogoSrc$.next('');
    }
    setActiveMenu(primary, secondary) {
        if (isNullOrUndefined(primary) || isNullOrUndefined(secondary)) {
            this.secondaryMenu.setSelected(null);
        }
        else {
            this.selectedPrimaryMenuItem = primary;
            this.preSelectedPrimaryMenuItem = primary;
            if (primary !== secondary) {
                this.selectedSecondaryMenuItem = secondary;
                this.setSecondaryMenu(primary);
            }
            else {
                this.resetSecondaryMenu();
            }
            this.primaryMenu.setSelectedPrimaryMenuItem(primary);
            setTimeout(() => {
                this.primaryMenu.setColorTheme(primary?.cssTheme ?? null);
            });
        }
    }
    setSecondaryMenu(selectedNetwork) {
        if (selectedNetwork?.type === NavigationBarItemType.Main) {
            this.secondaryMenuItems$.next(selectedNetwork?.menuItems ?? []);
            this.secondaryMenuName$.next(selectedNetwork?.menuTitle ?? '');
            this.secondaryMenuLogoSrc$.next(selectedNetwork?.menuLogoSrc ?? '');
            this.menuOpenForPrimaryMenuItem$.next(selectedNetwork);
            this.selectSecondaryMenuItem(selectedNetwork);
        }
        else if (selectedNetwork?.type === NavigationBarItemType.Home) {
            this.resetSecondaryMenu();
        }
    }
    selectSecondaryMenuItem(selectedNetwork) {
        if (this.selectedPrimaryMenuItem === selectedNetwork && !isNullOrUndefined(this.selectedSecondaryMenuItem)) {
            setTimeout(() => {
                this.secondaryMenu.setSelected(this.selectedSecondaryMenuItem);
            });
        }
    }
    setSecondaryMenuVisibilityState(expanded, open) {
        this.secondaryMenuExpanded$.next(expanded);
        this.secondaryMenuOpen$.next(open);
    }
    setNetworkTheme(theme) {
        if (!isNullOrUndefined(theme)) {
            Object.keys(theme).forEach(key => {
                this.elementRef.nativeElement.style.setProperty(`--${key}`, theme[key]);
            });
        }
    }
    findDefaultMenuItem(items) {
        const searchMenuItemByKey = (items, key) => {
            for (const item of items) {
                if (!!item[key]) {
                    return item;
                }
            }
            for (const item of items) {
                if (item.children) {
                    const found = searchMenuItemByKey(item.children, key);
                    if (found) {
                        return found;
                    }
                }
            }
            return undefined;
        };
        const defaultMenuItem = searchMenuItemByKey(items, 'default');
        if (defaultMenuItem) {
            return defaultMenuItem;
        }
        return searchMenuItemByKey(items, 'route');
    }
    static { this.ɵfac = function NavigationMenuComponent_Factory(t) { return new (t || NavigationMenuComponent)(i0.ɵɵdirectiveInject(i0.ElementRef), i0.ɵɵdirectiveInject(i1$1.StorageService)); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: NavigationMenuComponent, selectors: [["fusion-navigation-menu"]], viewQuery: function NavigationMenuComponent_Query(rf, ctx) { if (rf & 1) {
            i0.ɵɵviewQuery(_c0, 7);
            i0.ɵɵviewQuery(_c1, 7);
        } if (rf & 2) {
            let _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.primaryMenu = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.secondaryMenu = _t.first);
        } }, inputs: { menuItems: "menuItems", layoutUser: "layoutUser", primaryMenuItemMode: "primaryMenuItemMode" }, outputs: { menuAdditionalItemClicked: "menuAdditionalItemClicked", menuItemClicked: "menuItemClicked" }, standalone: true, features: [i0.ɵɵStandaloneFeature], decls: 14, vars: 31, consts: [[1, "fu-navigation-menu"], [3, "menuBarItems", "layoutUser", "menuOpened", "menuExpanded", "menuOpenForPrimaryMenuItem", "menuHoverMode", "primaryMenuItemClicked", "changeColorTheme", "toggleMenu", "resetSecondaryMenu", "menuItemClick"], ["primaryMenu", ""], [3, "menuItems", "menuName", "menuLogoSrc", "menuItemClick"], ["secondaryMenu", ""]], template: function NavigationMenuComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0)(1, "fusion-navigation-primary-menu", 1, 2);
            i0.ɵɵlistener("primaryMenuItemClicked", function NavigationMenuComponent_Template_fusion_navigation_primary_menu_primaryMenuItemClicked_1_listener($event) { return ctx.onPrimaryMainMenuItemClicked($event); })("changeColorTheme", function NavigationMenuComponent_Template_fusion_navigation_primary_menu_changeColorTheme_1_listener($event) { return ctx.onChangeColorTheme($event); })("toggleMenu", function NavigationMenuComponent_Template_fusion_navigation_primary_menu_toggleMenu_1_listener() { return ctx.toggleMenu(); })("resetSecondaryMenu", function NavigationMenuComponent_Template_fusion_navigation_primary_menu_resetSecondaryMenu_1_listener() { return ctx.resetSecondaryMenu(); })("menuItemClick", function NavigationMenuComponent_Template_fusion_navigation_primary_menu_menuItemClick_1_listener($event) { return ctx.onMenuItemClicked($event, true); });
            i0.ɵɵpipe(3, "async");
            i0.ɵɵpipe(4, "async");
            i0.ɵɵpipe(5, "async");
            i0.ɵɵelementEnd();
            i0.ɵɵelementStart(6, "fusion-navigation-secondary-menu", 3, 4);
            i0.ɵɵlistener("menuItemClick", function NavigationMenuComponent_Template_fusion_navigation_secondary_menu_menuItemClick_6_listener($event) { return ctx.onMenuItemClicked($event); });
            i0.ɵɵpipe(8, "async");
            i0.ɵɵpipe(9, "async");
            i0.ɵɵpipe(10, "async");
            i0.ɵɵpipe(11, "async");
            i0.ɵɵpipe(12, "async");
            i0.ɵɵpipe(13, "async");
            i0.ɵɵelementEnd()();
        } if (rf & 2) {
            let tmp_7_0;
            i0.ɵɵadvance();
            i0.ɵɵproperty("menuBarItems", ctx.menuItems)("layoutUser", ctx.layoutUser)("menuOpened", i0.ɵɵpipeBind1(3, 13, ctx.secondaryMenuOpen$))("menuExpanded", i0.ɵɵpipeBind1(4, 15, ctx.secondaryMenuExpanded$))("menuOpenForPrimaryMenuItem", i0.ɵɵpipeBind1(5, 17, ctx.menuOpenForPrimaryMenuItem$))("menuHoverMode", ctx.primaryMenuItemMode === "hoverToShowSecondaryItems");
            i0.ɵɵadvance(5);
            i0.ɵɵclassProp("fu-menu-expanded", i0.ɵɵpipeBind1(8, 19, ctx.secondaryMenuExpanded$))("fu-menu-open", i0.ɵɵpipeBind1(9, 21, ctx.secondaryMenuOpen$) && ((tmp_7_0 = i0.ɵɵpipeBind1(10, 23, ctx.secondaryMenuItems$)) == null ? null : tmp_7_0.length));
            i0.ɵɵproperty("menuItems", i0.ɵɵpipeBind1(11, 25, ctx.secondaryMenuItems$))("menuName", i0.ɵɵpipeBind1(12, 27, ctx.secondaryMenuName$))("menuLogoSrc", i0.ɵɵpipeBind1(13, 29, ctx.secondaryMenuLogoSrc$));
        } }, dependencies: [CommonModule, i1.AsyncPipe, NavigationPrimaryMenuComponent, NavigationSecondaryMenuComponent], styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";.font-v4-bold[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%], .font-v4-chart-2[_ngcontent-%COMP%], .font-v4-chart-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold[_ngcontent-%COMP%], .font-v4-chip-label[_ngcontent-%COMP%], .font-v4-table-label[_ngcontent-%COMP%], .font-v4-button[_ngcontent-%COMP%], .font-v4-heading-6[_ngcontent-%COMP%], .font-v4-heading-5[_ngcontent-%COMP%], .font-v4-heading-4[_ngcontent-%COMP%], .font-v4-heading-3[_ngcontent-%COMP%], .font-v4-heading-2[_ngcontent-%COMP%], .font-v4-heading-1[_ngcontent-%COMP%], .font-v4-title[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium[_ngcontent-%COMP%], .font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-input-label[_ngcontent-%COMP%], .font-v4-overline[_ngcontent-%COMP%], .font-v4-subtitle-2[_ngcontent-%COMP%], .font-v4-subtitle-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular[_ngcontent-%COMP%], .font-v4-caption[_ngcontent-%COMP%], .font-v4-body-2[_ngcontent-%COMP%], .font-v4-body-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title[_ngcontent-%COMP%]{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2[_ngcontent-%COMP%]{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3[_ngcontent-%COMP%]{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5[_ngcontent-%COMP%]{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6[_ngcontent-%COMP%]{font-size:.75rem;line-height:.75rem;letter-spacing:0}.font-v4-body-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-body-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2[_ngcontent-%COMP%]{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}.font-v4-caption[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem}.font-v4-table-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem}.font-v4-chip-label[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:normal}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]{margin:0;padding:0;vertical-align:initial;text-align:initial}[_nghost-%COMP%]{height:100%;width:276px}[_nghost-%COMP%]   .fu-navigation-menu[_ngcontent-%COMP%]{display:block;height:100%;display:flex;flex-direction:row}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(NavigationMenuComponent, [{
        type: Component,
        args: [{ selector: 'fusion-navigation-menu', standalone: true, imports: [CommonModule, NavigationPrimaryMenuComponent, NavigationSecondaryMenuComponent], changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"fu-navigation-menu\">\n    <fusion-navigation-primary-menu #primaryMenu\n        [menuBarItems]=\"menuItems\"\n        [layoutUser]=\"layoutUser\"\n        [menuOpened]=\"secondaryMenuOpen$ | async\"\n        [menuExpanded]=\"secondaryMenuExpanded$ | async\"\n        [menuOpenForPrimaryMenuItem]=\"menuOpenForPrimaryMenuItem$ | async\"\n        [menuHoverMode]=\"primaryMenuItemMode === 'hoverToShowSecondaryItems'\"\n        (primaryMenuItemClicked)=\"onPrimaryMainMenuItemClicked($event)\"\n        (changeColorTheme)=\"onChangeColorTheme($event)\"\n        (toggleMenu)=\"toggleMenu()\"\n        (resetSecondaryMenu)=\"resetSecondaryMenu()\"\n        (menuItemClick)=\"onMenuItemClicked($event, true)\"\n    ></fusion-navigation-primary-menu>\n    <fusion-navigation-secondary-menu #secondaryMenu\n        [menuItems]=\"secondaryMenuItems$ | async\"\n        [menuName]=\"secondaryMenuName$ | async\"\n        [menuLogoSrc]=\"secondaryMenuLogoSrc$ | async\"\n        [class.fu-menu-expanded]=\"secondaryMenuExpanded$ | async\"\n        [class.fu-menu-open]=\"((secondaryMenuOpen$ | async) && (secondaryMenuItems$ | async)?.length)\"\n        (menuItemClick)=\"onMenuItemClicked($event)\"\n    ></fusion-navigation-secondary-menu>\n</div>\n", styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";.font-v4-bold,.font-v4-tab-label-2,.font-v4-chart-2,.font-v4-chart-1{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold,.font-v4-chip-label,.font-v4-table-label,.font-v4-button,.font-v4-heading-6,.font-v4-heading-5,.font-v4-heading-4,.font-v4-heading-3,.font-v4-heading-2,.font-v4-heading-1,.font-v4-title{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium,.font-v4-tab-label-1,.font-v4-input-label,.font-v4-overline,.font-v4-subtitle-2,.font-v4-subtitle-1{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular,.font-v4-caption,.font-v4-body-2,.font-v4-body-1{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6{font-size:.75rem;line-height:.75rem;letter-spacing:0}.font-v4-body-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-body-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}.font-v4-caption{font-size:.75rem;line-height:1rem}.font-v4-table-label{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1,.font-v4-tab-label-2{font-size:.875rem;line-height:1rem}.font-v4-chip-label{font-size:.75rem;line-height:1rem;letter-spacing:normal}:host *{box-sizing:border-box}:host{margin:0;padding:0;vertical-align:initial;text-align:initial}:host{height:100%;width:276px}:host .fu-navigation-menu{display:block;height:100%;display:flex;flex-direction:row}\n"] }]
    }], () => [{ type: i0.ElementRef }, { type: i1$1.StorageService }], { primaryMenu: [{
            type: ViewChild,
            args: ['primaryMenu', { static: true }]
        }], secondaryMenu: [{
            type: ViewChild,
            args: ['secondaryMenu', { static: true }]
        }], menuItems: [{
            type: Input
        }], layoutUser: [{
            type: Input
        }], primaryMenuItemMode: [{
            type: Input
        }], menuAdditionalItemClicked: [{
            type: Output
        }], menuItemClicked: [{
            type: Output
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(NavigationMenuComponent, { className: "NavigationMenuComponent", filePath: "navigation-menu.component.ts", lineNumber: 23 }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { NavigationBarItemType, NavigationMenuComponent, NavigationPopMenuComponent };
//# sourceMappingURL=ironsource-fusion-ui-components-navigation-menu-v4.mjs.map
