import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, ViewChild, Input } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2 from '@angular/forms';
import { FormControl, NG_VALUE_ACCESSOR, FormsModule, ReactiveFormsModule } from '@angular/forms';
import { Subject } from 'rxjs';
import { takeUntil } from 'rxjs/operators';
import { isNullOrUndefined } from '@ironsource/fusion-ui/utils';
import * as i3 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import { GenericPipe } from '@ironsource/fusion-ui/pipes/generic';
import { SearchTestIdModifiers } from '@ironsource/fusion-ui/entities';
import { TestIdsService } from '@ironsource/fusion-ui/services/test-ids';

const _c0 = ["input"];
function SearchComponent_fusion_icon_4_Template(rf, ctx) { if (rf & 1) {
    const _r3 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-icon", 4);
    i0.ɵɵlistener("click", function SearchComponent_fusion_icon_4_Template_fusion_icon_click_0_listener() { i0.ɵɵrestoreView(_r3); const ctx_r2 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r2.clearInput(true)); });
    i0.ɵɵpipe(1, "generic");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵproperty("name", ctx_r1.clearIcon);
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(1, 2, ctx_r1.testIdsService.getTestAttribute.bind(ctx_r1), ctx_r1.testId, ctx_r1.searchTestIdModifiers.CLEAR_BUTTON));
} }
class SearchComponent {
    set placeholder(value) {
        if (!isNullOrUndefined(value)) {
            this._placeholder = value;
        }
    }
    get placeholder() {
        return this._placeholder;
    }
    set showClearIcon(value) {
        this._showClearIcon = value;
    }
    get showClearIcon() {
        return this._showClearIcon;
    }
    constructor(injector) {
        this.injector = injector;
        this._placeholder = 'Search';
        this._showClearIcon = true;
        /** @internal */
        this.searchFormControl = new FormControl();
        /** @internal */
        this.onDestroy$ = new Subject();
        /** @internal */
        this.searchIcon = { iconName: 'search-bold', iconVersion: 'v3' };
        /** @internal */
        this.clearIcon = { iconName: 'cancel', iconVersion: 'v3' };
        /** @internal */
        this.searchTestIdModifiers = SearchTestIdModifiers;
        /** @internal */
        this.testIdsService = this.injector.get(TestIdsService);
        // region Implement ControlValueAccessor methods
        /**
         * Method to call when value has changes.
         * @ignore
         */
        this.propagateChange = (_) => { };
        /**
         * Method to call when the component is touched (when it was is clicked).
         * @ignore
         */
        this.propagateTouched = () => { };
    }
    ngOnInit() {
        this.searchFormControl.valueChanges.pipe(takeUntil(this.onDestroy$)).subscribe(value => {
            this.propagateTouched();
            this.propagateChange(value);
        });
    }
    ngOnDestroy() {
        this.onDestroy$.next();
        this.onDestroy$.complete();
    }
    /**
     * update value from model to the component
     * @ignore
     */
    writeValue(value) {
        if (isNullOrUndefined(value)) {
            this.clearInput();
        }
        else {
            this.searchFormControl.setValue(value, { emitEvent: false });
        }
    }
    /**
     * Informs the outside world about changes.
     * see method propagateChange call - this.propagateChange(this.model);
     * @ignore
     */
    registerOnChange(fn) {
        this.propagateChange = fn;
    }
    /**
     * on click
     * @ignore
     */
    registerOnTouched(fn) {
        this.propagateTouched = fn;
    }
    /**
     * on set form controll enabled / disabled
     * also do UI Component enabled / disabled
     * @ignore
     */
    setDisabledState(disabled) {
        if (disabled) {
            this.searchFormControl.disable();
        }
        else {
            this.searchFormControl.enable();
        }
    }
    // endregion
    clearInput(withEvent = false) {
        this.searchFormControl.setValue('', { emitEvent: withEvent });
        if (withEvent) {
            this.setFocus();
        }
    }
    setFocus() {
        this.inputElRef.nativeElement.focus();
    }
    static { this.ɵfac = function SearchComponent_Factory(t) { return new (t || SearchComponent)(i0.ɵɵdirectiveInject(i0.Injector)); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: SearchComponent, selectors: [["fusion-search"]], viewQuery: function SearchComponent_Query(rf, ctx) { if (rf & 1) {
            i0.ɵɵviewQuery(_c0, 5);
        } if (rf & 2) {
            let _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.inputElRef = _t.first);
        } }, inputs: { placeholder: "placeholder", showClearIcon: "showClearIcon", testId: "testId" }, standalone: true, features: [i0.ɵɵProvidersFeature([
                {
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(() => SearchComponent),
                    multi: true
                }
            ]), i0.ɵɵStandaloneFeature], decls: 6, vars: 13, consts: [[1, "fu-search", 3, "name"], ["type", "text", "autocomplete", "off", "minlength", "1", 3, "placeholder", "formControl"], ["input", ""], ["class", "fu-clear", 3, "name", "click", 4, "ngIf"], [1, "fu-clear", 3, "name", "click"]], template: function SearchComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelement(0, "fusion-icon", 0)(1, "input", 1, 2);
            i0.ɵɵpipe(3, "generic");
            i0.ɵɵtemplate(4, SearchComponent_fusion_icon_4_Template, 2, 6, "fusion-icon", 3);
            i0.ɵɵpipe(5, "async");
        } if (rf & 2) {
            i0.ɵɵproperty("name", ctx.searchIcon);
            i0.ɵɵadvance();
            i0.ɵɵclassProp("fu-has-clear-icon", ctx.showClearIcon);
            i0.ɵɵproperty("placeholder", ctx.placeholder)("formControl", ctx.searchFormControl);
            i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(3, 7, ctx.testIdsService.getTestAttribute.bind(ctx), ctx.testId, ctx.searchTestIdModifiers.INPUT));
            i0.ɵɵadvance(3);
            i0.ɵɵproperty("ngIf", ctx.showClearIcon && i0.ɵɵpipeBind1(5, 11, ctx.searchFormControl.valueChanges));
        } }, dependencies: [CommonModule, i1.NgIf, i1.AsyncPipe, FormsModule, i2.DefaultValueAccessor, i2.NgControlStatus, i2.MinLengthValidator, ReactiveFormsModule, i2.FormControlDirective, IconModule, i3.IconComponent, GenericPipe], styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6[_ngcontent-%COMP%], .font-heading-5[_ngcontent-%COMP%], .font-heading-4[_ngcontent-%COMP%], .font-heading-3[_ngcontent-%COMP%], .font-heading-2[_ngcontent-%COMP%], .font-heading-1[_ngcontent-%COMP%]{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1[_ngcontent-%COMP%]{font-size:60px}.font-heading-2[_ngcontent-%COMP%]{font-size:32px}.font-heading-3[_ngcontent-%COMP%]{font-size:22px}.font-heading-4[_ngcontent-%COMP%]{font-size:18px}.font-heading-5[_ngcontent-%COMP%]{font-size:15px}.font-heading-6[_ngcontent-%COMP%]{font-size:13px}.font-heading-label[_ngcontent-%COMP%]{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}.font-caption[_ngcontent-%COMP%], .font-bodyXSmall[_ngcontent-%COMP%], [_nghost-%COMP%]   input[_ngcontent-%COMP%], .font-bodySmall[_ngcontent-%COMP%], .font-bodyMedium[_ngcontent-%COMP%], .font-bodyLarge[_ngcontent-%COMP%]{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong[_ngcontent-%COMP%], .font-bodySmallStrong[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-size:16px}.font-bodyMedium[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%]{font-size:14px}[_nghost-%COMP%]   input[_ngcontent-%COMP%], .font-bodySmall[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}.font-bodySmallStrong[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}.font-bodyXSmall[_ngcontent-%COMP%], .font-bodyXSmallStrong[_ngcontent-%COMP%]{font-size:12px;letter-spacing:.24px}.font-caption[_ngcontent-%COMP%]{font-size:11px}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]{margin:0;padding:0;vertical-align:initial;text-align:initial}@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}[_nghost-%COMP%]{position:relative;display:inline-block;width:100%}.fu-transparent[_nghost-%COMP%]{--fu-search-background-color: transparent;--fu-search-focus-color: transparent;--fu-search-hover-color: transparent;--fu-search-disable-color: transparent}[_nghost-%COMP%]   input[_ngcontent-%COMP%]{border:none;border-radius:8px;background-color:var(--fu-search-background-color, var(--fu-white, #ffffff));height:40px;color:var(--fu-search-color, var(--fu-black-500, #53575B));padding:8px 8px 8px 32px;width:100%}[_nghost-%COMP%]   input.fu-has-clear-icon[_ngcontent-%COMP%]{padding-right:32px}[_nghost-%COMP%]   input[_ngcontent-%COMP%]::placeholder{color:var(--fu-search-placeholder-color, var(--fu-light-800, #8E959D))}[_nghost-%COMP%]   input[_ngcontent-%COMP%]:active, [_nghost-%COMP%]   input[_ngcontent-%COMP%]:focus{outline:none;background-color:var(--fu-search-focus-color, var(--fu-light-100, #F1F3F4))}[_nghost-%COMP%]   input[_ngcontent-%COMP%]:hover, [_nghost-%COMP%]   input[_ngcontent-%COMP%]:not(:placeholder-shown){background-color:var(--fu-search-hover-color, var(--fu-light-100, #F1F3F4))}[_nghost-%COMP%]   input[_ngcontent-%COMP%]:disabled{color:var(--fu-search-disable-color, var(--fu-light-100, #F1F3F4));pointer-events:none;cursor:default;-webkit-user-select:none;user-select:none}[_nghost-%COMP%]   input[_ngcontent-%COMP%]:disabled:focus{border-bottom:none}[_nghost-%COMP%]   fusion-icon[class^=fu-search][_ngcontent-%COMP%]{position:absolute;top:13px;left:8px;width:16px;height:16px}[_nghost-%COMP%]   fusion-icon[class^=fu-search][_ngcontent-%COMP%]     svg{width:16px;height:16px}[_nghost-%COMP%]   fusion-icon[class^=fu-search][_ngcontent-%COMP%]     svg *{fill:var(--fu-light-700, #A9AFB4)}[_nghost-%COMP%]   fusion-icon[class^=fu-clear][_ngcontent-%COMP%]{position:absolute;top:13px;right:7px;width:16px;height:16px;cursor:pointer}[_nghost-%COMP%]   fusion-icon[class^=fu-clear][_ngcontent-%COMP%]     svg{width:16px;height:16px}[_nghost-%COMP%]   fusion-icon[class^=fu-clear][_ngcontent-%COMP%]     svg *{fill:var(--fu-light-500, #D2D5D8)}[_nghost-%COMP%]   fusion-icon[class^=fu-clear][_ngcontent-%COMP%]:hover     svg{width:16px;height:16px}[_nghost-%COMP%]   fusion-icon[class^=fu-clear][_ngcontent-%COMP%]:hover     svg *{fill:var(--fu-light-800, #8E959D)}[_nghost-%COMP%]:not(.fu-small):has(.fu-clear:hover)   input[_ngcontent-%COMP%]{background-color:var(--fu-light-100, #F1F3F4)}.fu-small[_nghost-%COMP%]   input[_ngcontent-%COMP%]{height:32px}.fu-small[_nghost-%COMP%]   .fu-search[_ngcontent-%COMP%], .fu-small[_nghost-%COMP%]   .fu-clear[_ngcontent-%COMP%]{top:8px}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(SearchComponent, [{
        type: Component,
        args: [{ selector: 'fusion-search', changeDetection: ChangeDetectionStrategy.OnPush, standalone: true, imports: [CommonModule, FormsModule, ReactiveFormsModule, IconModule, GenericPipe], providers: [
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => SearchComponent),
                        multi: true
                    }
                ], template: "<fusion-icon class=\"fu-search\" [name]=\"searchIcon\"></fusion-icon>\n<input #input\n       type=\"text\"\n       autocomplete=\"off\"\n       minlength=\"1\"\n       [placeholder]=\"placeholder\"\n       [formControl]=\"searchFormControl\"\n       [class.fu-has-clear-icon]=\"showClearIcon\"\n       [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:searchTestIdModifiers.INPUT\"\n/>\n<fusion-icon class=\"fu-clear\"\n             *ngIf=\"showClearIcon && (searchFormControl.valueChanges | async)\"\n             [name]=\"clearIcon\"\n             [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:searchTestIdModifiers.CLEAR_BUTTON\"\n             (click)=\"clearInput(true)\"\n></fusion-icon>\n", styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6,.font-heading-5,.font-heading-4,.font-heading-3,.font-heading-2,.font-heading-1{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1{font-size:60px}.font-heading-2{font-size:32px}.font-heading-3{font-size:22px}.font-heading-4{font-size:18px}.font-heading-5{font-size:15px}.font-heading-6{font-size:13px}.font-heading-label{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}.font-caption,.font-bodyXSmall,:host input,.font-bodySmall,.font-bodyMedium,.font-bodyLarge{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong,.font-bodySmallStrong,.font-bodyMediumStrong,.font-bodyLargeStrong{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge,.font-bodyLargeStrong{font-size:16px}.font-bodyMedium,.font-bodyMediumStrong{font-size:14px}:host input,.font-bodySmall{font-size:13px;letter-spacing:.24px}.font-bodySmallStrong{font-size:13px;letter-spacing:.24px}.font-bodyXSmall,.font-bodyXSmallStrong{font-size:12px;letter-spacing:.24px}.font-caption{font-size:11px}:host *{box-sizing:border-box}:host{margin:0;padding:0;vertical-align:initial;text-align:initial}@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}:host{position:relative;display:inline-block;width:100%}:host.fu-transparent{--fu-search-background-color: transparent;--fu-search-focus-color: transparent;--fu-search-hover-color: transparent;--fu-search-disable-color: transparent}:host input{border:none;border-radius:8px;background-color:var(--fu-search-background-color, var(--fu-white, #ffffff));height:40px;color:var(--fu-search-color, var(--fu-black-500, #53575B));padding:8px 8px 8px 32px;width:100%}:host input.fu-has-clear-icon{padding-right:32px}:host input::placeholder{color:var(--fu-search-placeholder-color, var(--fu-light-800, #8E959D))}:host input:active,:host input:focus{outline:none;background-color:var(--fu-search-focus-color, var(--fu-light-100, #F1F3F4))}:host input:hover,:host input:not(:placeholder-shown){background-color:var(--fu-search-hover-color, var(--fu-light-100, #F1F3F4))}:host input:disabled{color:var(--fu-search-disable-color, var(--fu-light-100, #F1F3F4));pointer-events:none;cursor:default;-webkit-user-select:none;user-select:none}:host input:disabled:focus{border-bottom:none}:host fusion-icon[class^=fu-search]{position:absolute;top:13px;left:8px;width:16px;height:16px}:host fusion-icon[class^=fu-search] ::ng-deep svg{width:16px;height:16px}:host fusion-icon[class^=fu-search] ::ng-deep svg *{fill:var(--fu-light-700, #A9AFB4)}:host fusion-icon[class^=fu-clear]{position:absolute;top:13px;right:7px;width:16px;height:16px;cursor:pointer}:host fusion-icon[class^=fu-clear] ::ng-deep svg{width:16px;height:16px}:host fusion-icon[class^=fu-clear] ::ng-deep svg *{fill:var(--fu-light-500, #D2D5D8)}:host fusion-icon[class^=fu-clear]:hover ::ng-deep svg{width:16px;height:16px}:host fusion-icon[class^=fu-clear]:hover ::ng-deep svg *{fill:var(--fu-light-800, #8E959D)}:host:not(.fu-small):has(.fu-clear:hover) input{background-color:var(--fu-light-100, #F1F3F4)}:host.fu-small input{height:32px}:host.fu-small .fu-search,:host.fu-small .fu-clear{top:8px}\n"] }]
    }], () => [{ type: i0.Injector }], { inputElRef: [{
            type: ViewChild,
            args: ['input']
        }], placeholder: [{
            type: Input
        }], showClearIcon: [{
            type: Input
        }], testId: [{
            type: Input
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(SearchComponent, { className: "SearchComponent", filePath: "search.component.ts", lineNumber: 27 }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { SearchComponent };
//# sourceMappingURL=ironsource-fusion-ui-components-search-v3.mjs.map
