import { InjectionToken } from '@angular/core';
import { ERROR_MESSAGES } from '@ironsource/fusion-ui/components/error-message/common/entities';

var TableRowHeight;
(function (TableRowHeight) {
    TableRowHeight["Small"] = "small";
    TableRowHeight["Medium"] = "medium";
    TableRowHeight["Big"] = "big";
})(TableRowHeight || (TableRowHeight = {}));

var TableColumnTypeEnum;
(function (TableColumnTypeEnum) {
    TableColumnTypeEnum[TableColumnTypeEnum["String"] = 0] = "String";
    TableColumnTypeEnum[TableColumnTypeEnum["Component"] = 1] = "Component";
    TableColumnTypeEnum[TableColumnTypeEnum["Checkbox"] = 2] = "Checkbox";
    TableColumnTypeEnum[TableColumnTypeEnum["ToggleButton"] = 3] = "ToggleButton";
    TableColumnTypeEnum[TableColumnTypeEnum["InputEdit"] = 4] = "InputEdit";
    TableColumnTypeEnum[TableColumnTypeEnum["Date"] = 5] = "Date";
    TableColumnTypeEnum[TableColumnTypeEnum["Currency"] = 6] = "Currency";
    TableColumnTypeEnum[TableColumnTypeEnum["Number"] = 7] = "Number";
    TableColumnTypeEnum[TableColumnTypeEnum["Percent"] = 8] = "Percent";
})(TableColumnTypeEnum || (TableColumnTypeEnum = {}));

/*
 * Created on 2020.2.26 By Andy Kononenko (andyk@ironsrc.com)
 */
var TableRowClassesEnum;
(function (TableRowClassesEnum) {
    TableRowClassesEnum["Selected"] = "is-row-selected";
    TableRowClassesEnum["Disabled"] = "is-row-disabled";
    TableRowClassesEnum["Loading"] = "is-row-loading";
})(TableRowClassesEnum || (TableRowClassesEnum = {}));

const TABLE_OPTIONS_DEFAULT_VALUES = {
    errorMessages: ERROR_MESSAGES
};
const TABLE_OPTIONS_TOKEN = new InjectionToken('Table options');
const DEFAULT_REMOVE_ICON = 'close';
const DEFAULT_REMOVE_ICON_V3 = { iconName: 'delete', iconVersion: 'v3' };
const DEFAULT_REMOVE_TOOLTIP_TEXT = 'Remove';
const DEFAULT_REMOVE_TOOLTIP_WIDTH = '71';
const CELL_PADDING = '20px';
const CONFIG_TABLE_BY_UI_STYLE = {
    style_v1: {
        iconSort: { iconName: 'arrow-sort-table', iconVersion: 'v1' },
        iconInfo: { iconName: 'info-tooltip', iconVersion: 'v1' }
    },
    style_v2: {
        iconSort: { iconName: 'arrow-sort-down', iconVersion: 'v2' },
        iconInfo: { iconName: 'info-circle', iconVersion: 'v2' }
    }
};
const MAXIMUM_EXPANDABLE_LEVEL = 2;
const DEFAULT_EXPANDABLE_LEVEL = 1;
const ROW_CLICK_SUPPRESS_FOR_PARENT_SELECTORS = [
    'fusion-checkbox',
    'fusion-toggle',
    'fusion-input',
    'fusion-icon.icon-edit',
    'fusion-icon.icon-save',
    'fusion-button',
    '[fusion-button]',
    'li.fu-menu-item'
];
const ROW_HOVERED_CLASS_NAME = 'fu-hovered';

/**
 * Generated bundle index. Do not edit.
 */

export { CELL_PADDING, CONFIG_TABLE_BY_UI_STYLE, DEFAULT_EXPANDABLE_LEVEL, DEFAULT_REMOVE_ICON, DEFAULT_REMOVE_ICON_V3, DEFAULT_REMOVE_TOOLTIP_TEXT, DEFAULT_REMOVE_TOOLTIP_WIDTH, MAXIMUM_EXPANDABLE_LEVEL, ROW_CLICK_SUPPRESS_FOR_PARENT_SELECTORS, ROW_HOVERED_CLASS_NAME, TABLE_OPTIONS_DEFAULT_VALUES, TABLE_OPTIONS_TOKEN, TableColumnTypeEnum, TableRowClassesEnum, TableRowHeight };
//# sourceMappingURL=ironsource-fusion-ui-components-table-common-entities.mjs.map
