import * as i0 from '@angular/core';
import { EventEmitter, Component, ChangeDetectionStrategy, Optional, Inject, Input, Output, ViewChild, HostBinding, NgModule } from '@angular/core';
import * as i2$1 from '@angular/common';
import { CommonModule } from '@angular/common';
import { BehaviorSubject, of, Subject, fromEvent, defer } from 'rxjs';
import { takeUntil, tap, debounceTime } from 'rxjs/operators';
import { isNull, isNullOrUndefined, isBoolean, isUndefined } from '@ironsource/fusion-ui/utils';
import * as i1 from '@ironsource/fusion-ui/components/table/common/services';
import { TableService } from '@ironsource/fusion-ui/components/table/common/services';
export * from '@ironsource/fusion-ui/components/table/common/services';
import * as i2$2 from '@ironsource/fusion-ui/services/unique-id';
import { TableRowHeight, CELL_PADDING, DEFAULT_REMOVE_ICON, DEFAULT_REMOVE_TOOLTIP_TEXT, DEFAULT_REMOVE_TOOLTIP_WIDTH, TABLE_OPTIONS_TOKEN, TableRowClassesEnum, TableColumnTypeEnum, CONFIG_TABLE_BY_UI_STYLE, ROW_CLICK_SUPPRESS_FOR_PARENT_SELECTORS, TABLE_OPTIONS_DEFAULT_VALUES } from '@ironsource/fusion-ui/components/table/common/entities';
export * from '@ironsource/fusion-ui/components/table/common/entities';
import * as i3 from '@ironsource/fusion-ui/components/loader-inline/v2';
import { LoaderInlineModule } from '@ironsource/fusion-ui/components/loader-inline/v2';
import * as i4$1 from '@ironsource/fusion-ui/directives/load-more';
import { LoadMoreModule } from '@ironsource/fusion-ui/directives/load-more';
import * as i4 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import * as i9 from '@ironsource/fusion-ui/components/tooltip/v2';
import { TooltipModule } from '@ironsource/fusion-ui/components/tooltip/v2';
import * as i5 from '@ironsource/fusion-ui/components/input-inline/v2';
import { InputInlineModule } from '@ironsource/fusion-ui/components/input-inline/v2';
import { ERROR_MESSAGES } from '@ironsource/fusion-ui/components/error-message';
import * as i2 from '@ironsource/fusion-ui/services/log';
import * as i6 from '@ironsource/fusion-ui/components/loader/v2';
import { LoaderModule } from '@ironsource/fusion-ui/components/loader/v2';
import * as i7 from '@ironsource/fusion-ui/components/checkbox/v2';
import { CheckboxModule } from '@ironsource/fusion-ui/components/checkbox/v2';
import * as i8 from '@ironsource/fusion-ui/components/dynamic-components/v1';
import { DynamicComponentsModule } from '@ironsource/fusion-ui/components/dynamic-components/v1';
import * as i10 from '@ironsource/fusion-ui/components/toggle/v2';
import { ToggleModule } from '@ironsource/fusion-ui/components/toggle/v2';
import * as i11 from '@angular/forms';
import { ReactiveFormsModule } from '@angular/forms';
import * as i12 from '@ironsource/fusion-ui/components/button/v2';
import { ButtonModule } from '@ironsource/fusion-ui/components/button/v2';
import * as i13 from '@ironsource/fusion-ui/pipes/not-available';
import { NotAvailablePipe } from '@ironsource/fusion-ui/pipes/not-available';
import * as i6$1 from '@ironsource/fusion-ui/pipes/generic';
import { GenericPipe } from '@ironsource/fusion-ui/pipes/generic';
import * as i7$1 from '@ironsource/fusion-ui/components/multi-dropdown/v2';
import { MultiDropdownModule } from '@ironsource/fusion-ui/components/multi-dropdown/v2';
import { InputModule } from '@ironsource/fusion-ui/components/input/v2';
import { DropdownModule } from '@ironsource/fusion-ui/components/dropdown/v2';
import { ClickOutsideModule } from '@ironsource/fusion-ui/directives/click-outside';
import { ErrorMessageModule } from '@ironsource/fusion-ui/components/error-message/v2';

const _c0$7 = ["inlineInput"];
const _c1$4 = ["fusionTableCell", ""];
function TableCellComponent_ng_container_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "div", 3);
    i0.ɵɵtext(2);
    i0.ɵɵpipe(3, "notAvailable");
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵstyleProp("width", ctx_r0.innerElementWidth);
    i0.ɵɵproperty("ngClass", ctx_r0.column.align)("fusionTooltip", ctx_r0.cellStringData);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", i0.ɵɵpipeBind2(3, 5, ctx_r0.cellStringData, ctx_r0.notAvailableText), " ");
} }
function TableCellComponent_ng_template_1_div_0_Template(rf, ctx) { if (rf & 1) {
    const _r13 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 9)(1, "fusion-checkbox", 10);
    i0.ɵɵlistener("changed", function TableCellComponent_ng_template_1_div_0_Template_fusion_checkbox_changed_1_listener($event) { i0.ɵɵrestoreView(_r13); const ctx_r12 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r12.selectedChange.emit($event)); });
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const ctx_r4 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵproperty("checked", ctx_r4.isRowChecked())("name", "row_" + ctx_r4.position.x);
} }
function TableCellComponent_ng_template_1_div_1_div_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 13);
    i0.ɵɵelement(1, "fusion-loader", 14);
    i0.ɵɵpipe(2, "async");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r14 = i0.ɵɵnextContext(3);
    i0.ɵɵadvance();
    i0.ɵɵproperty("status", i0.ɵɵpipeBind1(2, 1, ctx_r14.isInRequest$));
} }
function TableCellComponent_ng_template_1_div_1_fusion_toggle_3_Template(rf, ctx) { if (rf & 1) {
    const _r17 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-toggle", 15);
    i0.ɵɵlistener("modelChange", function TableCellComponent_ng_template_1_div_1_fusion_toggle_3_Template_fusion_toggle_modelChange_0_listener($event) { i0.ɵɵrestoreView(_r17); const ctx_r16 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r16.onToggleChanged($event)); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r15 = i0.ɵɵnextContext(3);
    i0.ɵɵproperty("model", ctx_r15.data)("isDisabled", ctx_r15.isReadOnly);
} }
function TableCellComponent_ng_template_1_div_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div");
    i0.ɵɵtemplate(1, TableCellComponent_ng_template_1_div_1_div_1_Template, 3, 3, "div", 11);
    i0.ɵɵpipe(2, "async");
    i0.ɵɵtemplate(3, TableCellComponent_ng_template_1_div_1_fusion_toggle_3_Template, 1, 2, "fusion-toggle", 12);
    i0.ɵɵpipe(4, "async");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r5 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind1(2, 2, ctx_r5.isInRequest$));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind1(4, 4, ctx_r5.isInRequest$) === false);
} }
function TableCellComponent_ng_template_1_div_2_fusion_input_inline_1_Template(rf, ctx) { if (rf & 1) {
    const _r23 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-input-inline", 19, 20);
    i0.ɵɵlistener("onSave", function TableCellComponent_ng_template_1_div_2_fusion_input_inline_1_Template_fusion_input_inline_onSave_0_listener($event) { i0.ɵɵrestoreView(_r23); const ctx_r22 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r22.onEndEdit($event)); })("onCancel", function TableCellComponent_ng_template_1_div_2_fusion_input_inline_1_Template_fusion_input_inline_onCancel_0_listener() { i0.ɵɵrestoreView(_r23); const ctx_r24 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r24.onCancel()); });
    i0.ɵɵpipe(2, "async");
    i0.ɵɵpipe(3, "async");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r18 = i0.ɵɵnextContext(3);
    i0.ɵɵproperty("type", ctx_r18.column.inputType)("textClass", ctx_r18.customClass && ctx_r18.customClass[ctx_r18.column.key])("formControl", ctx_r18.data)("loading", i0.ɵɵpipeBind1(2, 7, ctx_r18.isInRequest$))("error", i0.ɵɵpipeBind1(3, 9, ctx_r18.inputError$))("readOnly", ctx_r18.isReadOnly)("currencyPipeParameters", ctx_r18.column == null ? null : ctx_r18.column.currencyPipeParameters);
} }
function TableCellComponent_ng_template_1_div_2_ng_template_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtext(0, "\u00A0");
} }
function TableCellComponent_ng_template_1_div_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 16);
    i0.ɵɵtemplate(1, TableCellComponent_ng_template_1_div_2_fusion_input_inline_1_Template, 4, 11, "fusion-input-inline", 17)(2, TableCellComponent_ng_template_1_div_2_ng_template_2_Template, 1, 0, "ng-template", null, 18, i0.ɵɵtemplateRefExtractor);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _r20 = i0.ɵɵreference(3);
    const ctx_r6 = i0.ɵɵnextContext(2);
    i0.ɵɵstyleProp("min-width", "calc(" + ctx_r6.column.width + " - 1px)");
    i0.ɵɵproperty("ngClass", ctx_r6.column.align);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", !ctx_r6.isRowTotal)("ngIfElse", _r20);
} }
function TableCellComponent_ng_template_1_fusion_dynamic_components_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-dynamic-components", 21);
} if (rf & 2) {
    const ctx_r7 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("configuration", ctx_r7.customCellData);
} }
function TableCellComponent_ng_template_1_div_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 3);
    i0.ɵɵpipe(1, "currency");
    i0.ɵɵtext(2);
    i0.ɵɵpipe(3, "currency");
    i0.ɵɵpipe(4, "notAvailable");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r8 = i0.ɵɵnextContext(2);
    i0.ɵɵstyleProp("width", ctx_r8.innerElementWidth);
    i0.ɵɵproperty("ngClass", ctx_r8.column.align || "right")("fusionTooltip", i0.ɵɵpipeBind2(1, 5, ctx_r8.data, "USD"));
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate1(" ", !ctx_r8.isNull(ctx_r8.data) ? i0.ɵɵpipeBind4(3, 8, ctx_r8.data, (ctx_r8.column == null ? null : ctx_r8.column.currencyPipeParameters == null ? null : ctx_r8.column.currencyPipeParameters.currencyCode) || undefined, (ctx_r8.column == null ? null : ctx_r8.column.currencyPipeParameters == null ? null : ctx_r8.column.currencyPipeParameters.display) || ((ctx_r8.column == null ? null : ctx_r8.column.currencyPipeParameters) ? undefined : "$ "), (ctx_r8.column == null ? null : ctx_r8.column.currencyPipeParameters == null ? null : ctx_r8.column.currencyPipeParameters.digitsInfo) || undefined) : i0.ɵɵpipeBind2(4, 13, ctx_r8.data, ctx_r8.notAvailableText), " ");
} }
function TableCellComponent_ng_template_1_div_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 3);
    i0.ɵɵpipe(1, "number");
    i0.ɵɵtext(2);
    i0.ɵɵpipe(3, "number");
    i0.ɵɵpipe(4, "notAvailable");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r9 = i0.ɵɵnextContext(2);
    i0.ɵɵstyleProp("width", ctx_r9.innerElementWidth);
    i0.ɵɵproperty("ngClass", ctx_r9.column.align || "right")("fusionTooltip", i0.ɵɵpipeBind2(1, 5, ctx_r9.data, ctx_r9.column.pipeOptions));
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate1(" ", !ctx_r9.isNull(ctx_r9.data) ? i0.ɵɵpipeBind2(3, 8, ctx_r9.data, ctx_r9.column.pipeOptions) : i0.ɵɵpipeBind2(4, 11, ctx_r9.data, ctx_r9.notAvailableText), " ");
} }
function TableCellComponent_ng_template_1_div_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 3);
    i0.ɵɵpipe(1, "number");
    i0.ɵɵtext(2);
    i0.ɵɵpipe(3, "number");
    i0.ɵɵpipe(4, "notAvailable");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r10 = i0.ɵɵnextContext(2);
    i0.ɵɵstyleProp("width", ctx_r10.innerElementWidth);
    i0.ɵɵpropertyInterpolate1("fusionTooltip", "", i0.ɵɵpipeBind2(1, 6, ctx_r10.data, ctx_r10.column.pipeOptions), " %");
    i0.ɵɵproperty("ngClass", ctx_r10.column.align || "right");
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate2(" ", !ctx_r10.isNull(ctx_r10.data) ? i0.ɵɵpipeBind2(3, 9, ctx_r10.data, ctx_r10.column.pipeOptions) : i0.ɵɵpipeBind2(4, 12, ctx_r10.data, ctx_r10.notAvailableText), " ", !ctx_r10.isNullOrUndefined(ctx_r10.data) ? "%" : null, " ");
} }
function TableCellComponent_ng_template_1_div_7_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 22);
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "date");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r11 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", ctx_r11.data ? ctx_r11.isAsDate(ctx_r11.data) ? i0.ɵɵpipeBind3(2, 1, ctx_r11.data, ctx_r11.getDateFormat(ctx_r11.column.dateFormat), ctx_r11.getDateUTCFormat(ctx_r11.column.ignoreTimeZone)) : ctx_r11.data : !ctx_r11.isRowTotal ? "No " + ctx_r11.column.title : "", " ");
} }
function TableCellComponent_ng_template_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtemplate(0, TableCellComponent_ng_template_1_div_0_Template, 2, 2, "div", 4)(1, TableCellComponent_ng_template_1_div_1_Template, 5, 6, "div", 2)(2, TableCellComponent_ng_template_1_div_2_Template, 4, 5, "div", 5)(3, TableCellComponent_ng_template_1_fusion_dynamic_components_3_Template, 1, 1, "fusion-dynamic-components", 6)(4, TableCellComponent_ng_template_1_div_4_Template, 5, 16, "div", 7)(5, TableCellComponent_ng_template_1_div_5_Template, 5, 14, "div", 7)(6, TableCellComponent_ng_template_1_div_6_Template, 5, 15, "div", 7)(7, TableCellComponent_ng_template_1_div_7_Template, 3, 5, "div", 8);
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵproperty("ngIf", ctx_r1.tableService.isTypeCheckbox(ctx_r1.column) && ctx_r1.isBoolean(ctx_r1.data));
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r1.tableService.isTypeToggleButton(ctx_r1.column) && ctx_r1.isBoolean(ctx_r1.data));
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r1.tableService.isTypeInputEdit(ctx_r1.column) && ctx_r1.data);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r1.tableService.isTypeComponent(ctx_r1.column));
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r1.tableService.isTypeCurrency(ctx_r1.column));
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r1.tableService.isTypeNumber(ctx_r1.column));
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r1.tableService.isTypePercent(ctx_r1.column));
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r1.tableService.isTypeDate(ctx_r1.column));
} }
function TableCellComponent_ng_container_3_fusion_icon_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 25);
} if (rf & 2) {
    const ctx_r25 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("fusionTooltip", ctx_r25.infoIconTooltip);
} }
const _c2$1 = a0 => ({ small: a0 });
function TableCellComponent_ng_container_3_button_2_Template(rf, ctx) { if (rf & 1) {
    const _r28 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "button", 26);
    i0.ɵɵlistener("click", function TableCellComponent_ng_container_3_button_2_Template_button_click_0_listener() { i0.ɵɵrestoreView(_r28); const ctx_r27 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r27.remove.emit()); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r26 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction1(3, _c2$1, ctx_r26.isSmallActionButton))("fusionTooltip", ctx_r26.getRemoveIconTooltipText())("tooltipWidth", ctx_r26.getRemoveIconTooltipWidth());
} }
function TableCellComponent_ng_container_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, TableCellComponent_ng_container_3_fusion_icon_1_Template, 1, 1, "fusion-icon", 23)(2, TableCellComponent_ng_container_3_button_2_Template, 1, 5, "button", 24);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r3.infoIconTooltip);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r3.isRemove && !ctx_r3.isReadOnly);
} }
class TableCellComponent {
    set data(value) {
        this._data = value;
    }
    get isCellEditable() {
        return this.tableService.isTypeInputEdit(this.column);
    }
    get sticky() {
        return this.column.sticky;
    }
    get stickyLeft() {
        return this.column.stickyLeftMargin;
    }
    get data() {
        if (!isNull(this._data) && this.tableService.isTypeComponent(this.column) && typeof this._data === 'object') {
            this._data['cellPosition'] = this.position;
        }
        return this._data;
    }
    get cellStringData() {
        if (typeof this.data === 'string' || typeof this.data === 'number') {
            return this.data;
        }
        else if (this.isRowTotal && !isNullOrUndefined(this.data)) {
            this.logService.error(new Error(`Expected data type String for cell in total row with type "totalRowTypeAsString" for column key:${this.column.key}`));
            return ' ';
        }
        else if (this.isRowTotal && isNullOrUndefined(this.data)) {
            return ' '; // for total row cell as string if data not arrive
        }
        return isNull(this.data) ? null : undefined;
    }
    get isRowTotal() {
        return !isNullOrUndefined(this.options.hasTotalsRow) && this.options.hasTotalsRow && this.position.x === 0;
    }
    get isSmallActionButton() {
        return !!this.options && !!this.options.rowHeight && this.options.rowHeight === TableRowHeight.Small;
    }
    get nativeElement() {
        return this.column && typeof this.column.renderNativeElement === 'function'
            ? this.column.renderNativeElement(this.data, this.position, this.row)
            : null;
    }
    constructor(tableService, tableModuleOptions, logService) {
        this.tableService = tableService;
        this.tableModuleOptions = tableModuleOptions;
        this.logService = logService;
        this.options = null;
        this.customClass = {};
        this.selectedChange = new EventEmitter();
        this.dataChange = new EventEmitter();
        this.remove = new EventEmitter();
        this.cellBorders = true;
        this.isInlineRemovable = false;
        this.isInRequest$ = new BehaviorSubject(false);
        this.cellLRPadding = CELL_PADDING;
        this.innerElementWidth = '';
        this.isInEditMode = false;
        this.inputError$ = new BehaviorSubject('');
        this.isNull = isNull;
        this.isNullOrUndefined = isNullOrUndefined;
        this.inlineInputViewOnlyText = '';
    }
    ngOnInit() {
        this.cellBorders =
            isNullOrUndefined(this.options.cellBorders) || this.tableService.isTypeCheckbox(this.column) ? true : this.options.cellBorders;
        this.innerElementWidth = this.column.width ? `calc(${this.column.width} - ${this.cellLRPadding})` : '';
        this.notAvailableText = this.options ? this.options.notAvailableText : null;
    }
    ngOnChanges(changes) {
        this.isInlineRemovable = this.isRemove;
        if (this.tableService.isTypeInputEdit(this.column) && changes?.data?.currentValue && !changes.data.firstChange) {
            this._setInputData();
        }
        if (this.tableService.isTypeComponent(this.column) && (changes?.data?.currentValue || changes?.column?.currentValue)) {
            this.renderCustomElement();
        }
        if (changes?.data?.firstChange && changes?.data?.currentValue?.value?.viewOnlyText) {
            this.inlineInputViewOnlyText = changes.data.currentValue.value.viewOnlyText;
        }
    }
    _setInputData() {
        this.initInputData = !isNullOrUndefined(this.column.dataParser)
            ? this.column.dataParser(this.data.value)
            : this.data.value;
    }
    getRemoveIconName() {
        return this.options && this.options.remove && this.options.remove.icon ? this.options.remove.icon : DEFAULT_REMOVE_ICON;
    }
    getRemoveIconTooltipText() {
        return this.options && this.options.remove && this.options.remove.tooltip && this.options.remove.tooltip.text
            ? this.options.remove.tooltip.text
            : DEFAULT_REMOVE_TOOLTIP_TEXT;
    }
    getRemoveIconTooltipWidth() {
        return this.options && this.options.remove && this.options.remove.tooltip && this.options.remove.tooltip.width
            ? this.options.remove.tooltip.width
            : DEFAULT_REMOVE_TOOLTIP_WIDTH;
    }
    isBoolean(variable) {
        return isBoolean(variable);
    }
    isRowChecked() {
        return this.options.isGroupedTable ? this.data : this.isRowSelected;
    }
    isAsDate(date) {
        return !isNaN(Date.parse(date.toString()));
    }
    onToggleChanged(newValue) {
        // set waiter for cell
        this.isInRequest$.next(true);
        this.dataChange.emit({
            newValue,
            onCellRequestDone: (isSuccess, error, stayInEditMode = false) => {
                if (isSuccess) {
                    this.data = newValue;
                }
                else {
                    this.data = !newValue;
                }
                this.isInRequest$.next(false);
            }
        });
    }
    onEndEdit(valuesOptions) {
        const formControl = this.data;
        if (formControl.valid) {
            this.isInEditMode = false;
            const newValue = !isNullOrUndefined(this.column.dataParser) ? this.column.dataParser(formControl.value) : formControl.value;
            const prevValue = valuesOptions.currentValue;
            const inlineInputComponent = this.inlineInputEdit;
            if (newValue !== this.initInputData) {
                this.initInputData = newValue;
                // set waiter for cell
                this.isInRequest$.next(true);
                this.dataChange.emit({
                    newValue,
                    prevValue,
                    onCellRequestDone: (isSuccess, error, stayInEditMode = false) => {
                        if (!isSuccess) {
                            if (stayInEditMode) {
                                inlineInputComponent.setEditMode$.next(newValue);
                            }
                            else {
                                this.inputError$.next(error && error.message);
                            }
                            this.initInputData = prevValue;
                        }
                        else if (this.initInputData === '') {
                            this.inputError$.next('');
                            this.initInputData = formControl.value;
                        }
                        else {
                            this.inputError$.next('');
                            const newInputValue = this.inlineInputViewOnlyText
                                ? {
                                    value: newValue,
                                    viewOnlyText: this.inlineInputViewOnlyText
                                }
                                : newValue;
                            formControl.setValue(newInputValue, {
                                emitEvent: false
                            });
                        }
                        this.isInRequest$.next(false);
                    }
                });
            }
        }
        else {
            const allErrors = formControl.errors || {};
            Object.keys(allErrors).forEach(errorKey => {
                this.inputError$.next(this._getMessage(errorKey, this.column.customErrorMapping[errorKey] || {}));
            });
        }
    }
    onCancel() {
        this.inputError$.next('');
        this.isInEditMode = false;
    }
    getDateFormat(dateFormat) {
        return dateFormat || 'd MMM yyyy';
    }
    getDateUTCFormat(ignoreTimeZone) {
        return ignoreTimeZone ? null : 'UTC';
    }
    renderCustomElement() {
        if (this.column) {
            this.customCellData = {
                component: {
                    type: this.column.component,
                    data: this.data
                },
                element: this.nativeElement
            };
        }
    }
    _getMessage(errorKey, { errorMessageKey = '', textMapping = [] }) {
        const tableModuleOptions = !isNullOrUndefined(this.tableModuleOptions) ? this.tableModuleOptions : { errorMessages: ERROR_MESSAGES };
        if (!tableModuleOptions.errorMessages) {
            tableModuleOptions.errorMessages = ERROR_MESSAGES;
        }
        let errorMessage = tableModuleOptions.errorMessages[errorMessageKey] || tableModuleOptions.errorMessages[errorKey];
        if (errorMessage) {
            errorMessage = errorMessage.replace('{NAME}', this.column.title);
            errorMessage = errorMessage.replace('{INNER-NAME}', this.column.title);
            if (textMapping && textMapping.length > 0) {
                textMapping.forEach(mappObj => {
                    errorMessage = errorMessage.replace(`{${mappObj.key}}`, mappObj.value);
                });
            }
        }
        return errorMessage;
    }
    static { this.ɵfac = function TableCellComponent_Factory(t) { return new (t || TableCellComponent)(i0.ɵɵdirectiveInject(i1.TableService), i0.ɵɵdirectiveInject(TABLE_OPTIONS_TOKEN, 8), i0.ɵɵdirectiveInject(i2.LogService)); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: TableCellComponent, selectors: [["", "fusionTableCell", ""]], viewQuery: function TableCellComponent_Query(rf, ctx) { if (rf & 1) {
            i0.ɵɵviewQuery(_c0$7, 5);
        } if (rf & 2) {
            let _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.inlineInputEdit = _t.first);
        } }, hostVars: 10, hostBindings: function TableCellComponent_HostBindings(rf, ctx) { if (rf & 2) {
            i0.ɵɵstyleProp("left", ctx.stickyLeft);
            i0.ɵɵclassProp("cell-borders", ctx.cellBorders)("is-inline-removable", ctx.isInlineRemovable)("is-editable", ctx.isCellEditable)("sticky-left", ctx.sticky);
        } }, inputs: { data: "data", column: "column", row: "row", options: "options", position: "position", infoIconTooltip: "infoIconTooltip", isRemove: "isRemove", isRowSelected: "isRowSelected", isLastColumn: "isLastColumn", customClass: "customClass", isReadOnly: "isReadOnly" }, outputs: { selectedChange: "selectedChange", dataChange: "dataChange", remove: "remove" }, features: [i0.ɵɵNgOnChangesFeature], attrs: _c1$4, decls: 4, vars: 3, consts: [[4, "ngIf", "ngIfElse"], ["notStringColumnType", ""], [4, "ngIf"], [1, "truncate", "centerVertical", 3, "ngClass", "fusionTooltip"], ["class", "checkbox-cell", 4, "ngIf"], ["class", "inputType", 3, "min-width", "ngClass", 4, "ngIf"], [3, "configuration", 4, "ngIf"], ["class", "truncate centerVertical", 3, "ngClass", "width", "fusionTooltip", 4, "ngIf"], ["class", "truncate centerVertical", 4, "ngIf"], [1, "checkbox-cell"], ["title", "select / un-select row", 1, "is-regular", 3, "checked", "name", "changed"], ["class", "loader-holder", 4, "ngIf"], ["size", "small", 3, "model", "isDisabled", "modelChange", 4, "ngIf"], [1, "loader-holder"], ["size", "small", 3, "status"], ["size", "small", 3, "model", "isDisabled", "modelChange"], [1, "inputType", 3, "ngClass"], [3, "type", "textClass", "formControl", "loading", "error", "readOnly", "currencyPipeParameters", "onSave", "onCancel", 4, "ngIf", "ngIfElse"], ["noEditCell", ""], [3, "type", "textClass", "formControl", "loading", "error", "readOnly", "currencyPipeParameters", "onSave", "onCancel"], ["inlineInput", ""], [3, "configuration"], [1, "truncate", "centerVertical"], ["class", "infoRowIcon", "name", "info-tooltip", 3, "fusionTooltip", 4, "ngIf"], ["fusion-button", "", "class", "in-table removeRowIcon", "icon", "delete", 3, "ngClass", "fusionTooltip", "tooltipWidth", "click", 4, "ngIf"], ["name", "info-tooltip", 1, "infoRowIcon", 3, "fusionTooltip"], ["fusion-button", "", "icon", "delete", 1, "in-table", "removeRowIcon", 3, "ngClass", "fusionTooltip", "tooltipWidth", "click"]], template: function TableCellComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵtemplate(0, TableCellComponent_ng_container_0_Template, 4, 8, "ng-container", 0)(1, TableCellComponent_ng_template_1_Template, 8, 8, "ng-template", null, 1, i0.ɵɵtemplateRefExtractor)(3, TableCellComponent_ng_container_3_Template, 3, 2, "ng-container", 2);
        } if (rf & 2) {
            const _r2 = i0.ɵɵreference(2);
            i0.ɵɵproperty("ngIf", ctx.isRowTotal && ctx.tableService.isInTotalTypeString(ctx.column) || ctx.tableService.isTypeString(ctx.column))("ngIfElse", _r2);
            i0.ɵɵadvance(3);
            i0.ɵɵproperty("ngIf", !ctx.isRowTotal);
        } }, dependencies: [i2$1.NgClass, i2$1.NgIf, i4.IconComponent, i5.InputInlineComponent, i6.LoaderComponent, i7.CheckboxComponent, i8.DynamicComponentsComponent, i9.TooltipDirective, i10.ToggleComponent, i11.NgControlStatus, i11.FormControlDirective, i12.ButtonComponent, i2$1.AsyncPipe, i2$1.DecimalPipe, i2$1.CurrencyPipe, i2$1.DatePipe, i13.NotAvailablePipe], styles: ["[_nghost-%COMP%]{font-size:12px;font-family:HelveticaNeue,helvetica,sans-serif;font-weight:400;letter-spacing:.04px}tr.is-with-totals[_nghost-%COMP%], tr.is-with-totals   [_nghost-%COMP%]{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;font-weight:400;letter-spacing:.25px}[_nghost-%COMP%]   .truncate[_ngcontent-%COMP%]{width:100%;display:inline-block;white-space:nowrap;overflow:hidden!important;text-overflow:ellipsis}[_nghost-%COMP%]{position:relative;padding:0 8px;height:40px;color:var(--fu-dark-700, #1d1c64);word-break:break-all;max-width:350px;border-top:1px solid var(--fu-light-300, #e5e7e9);border-bottom:1px solid var(--fu-light-300, #e5e7e9)}[_nghost-%COMP%]:first-child{border-left:none}[_nghost-%COMP%]:last-child{border-right:none}[_nghost-%COMP%] > div[_ngcontent-%COMP%]{line-height:1;vertical-align:middle}[_nghost-%COMP%] > div.right[_ngcontent-%COMP%]{text-align:right;float:none}[_nghost-%COMP%] > div.center[_ngcontent-%COMP%]{text-align:center}[_nghost-%COMP%] > div.checkbox-cell[_ngcontent-%COMP%]{margin:0 auto;text-align:center;height:14px}[_nghost-%COMP%]   .is-ellipsis-rows-2[_ngcontent-%COMP%]{overflow:hidden;text-overflow:ellipsis;display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical}.is-inline-removable[_nghost-%COMP%]   button.removeRowIcon[_ngcontent-%COMP%]{position:absolute;right:-2px;top:5px;visibility:hidden}[_nghost-%COMP%]   fusion-icon.infoRowIcon[_ngcontent-%COMP%]{visibility:hidden;position:absolute;right:25px;top:8px}[_nghost-%COMP%]   fusion-icon.infoRowIcon[_ngcontent-%COMP%]     svg{width:11px;height:11px}[_nghost-%COMP%]   fusion-icon.infoRowIcon[_ngcontent-%COMP%]     svg *{fill:var(--fu-dark-700, #1d1c64)}[_nghost-%COMP%]   .loader-holder[_ngcontent-%COMP%]{position:relative;top:9px;width:20px}.is-row-height-big[_nghost-%COMP%], .is-row-height-big   [_nghost-%COMP%]{height:48px}.is-row-height-big[_nghost-%COMP%]   button.removeRowIcon[_ngcontent-%COMP%], .is-row-height-big   [_nghost-%COMP%]   button.removeRowIcon[_ngcontent-%COMP%]{top:10px}.is-row-height-small[_nghost-%COMP%], .is-row-height-small   [_nghost-%COMP%]{height:32px}.is-row-height-small[_nghost-%COMP%]   button.removeRowIcon[_ngcontent-%COMP%], .is-row-height-small   [_nghost-%COMP%]   button.removeRowIcon[_ngcontent-%COMP%]{top:4px}tr:hover.is-inline-removable[_nghost-%COMP%]   button.removeRowIcon[_ngcontent-%COMP%], tr:hover   .is-inline-removable[_nghost-%COMP%]   button.removeRowIcon[_ngcontent-%COMP%]{visibility:visible}tr.is-row-in-request[_nghost-%COMP%]   fusion-toggle[_ngcontent-%COMP%], tr.is-row-in-request   [_nghost-%COMP%]   fusion-toggle[_ngcontent-%COMP%]{opacity:.5}tr.is-with-totals[_nghost-%COMP%], tr.is-with-totals   [_nghost-%COMP%]{height:32px;letter-spacing:.5px}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TableCellComponent, [{
        type: Component,
        args: [{ selector: '[fusionTableCell]', changeDetection: ChangeDetectionStrategy.OnPush, template: "\n    <ng-container\n        *ngIf=\"(isRowTotal && tableService.isInTotalTypeString(column)) || tableService.isTypeString(column); else notStringColumnType\"\n    >\n        <!--String Cell-->\n        <div class=\"truncate centerVertical\" [ngClass]=\"column.align\" [style.width]=\"innerElementWidth\" [fusionTooltip]=\"cellStringData\">\n            {{ cellStringData | notAvailable: notAvailableText }}\n        </div>\n    </ng-container>\n\n    <ng-template #notStringColumnType>\n        <!--Checkbox Cell-->\n        <div *ngIf=\"tableService.isTypeCheckbox(column) && isBoolean(data)\" class=\"checkbox-cell\">\n            <fusion-checkbox\n                class=\"is-regular\"\n                title=\"select / un-select row\"\n                [checked]=\"isRowChecked()\"\n                (changed)=\"selectedChange.emit($event)\"\n                [name]=\"'row_' + position.x\"\n            ></fusion-checkbox>\n        </div>\n        <!--ToggleButton Cell-->\n        <div *ngIf=\"tableService.isTypeToggleButton(column) && isBoolean(data)\">\n            <div class=\"loader-holder\" *ngIf=\"isInRequest$ | async\">\n                <fusion-loader [status]=\"isInRequest$ | async\" size=\"small\"></fusion-loader>\n            </div>\n            <fusion-toggle\n                *ngIf=\"(isInRequest$ | async) === false\"\n                [model]=\"data\"\n                [isDisabled]=\"isReadOnly\"\n                size=\"small\"\n                (modelChange)=\"onToggleChanged($event)\"\n            ></fusion-toggle>\n        </div>\n        <!--InputEdit Cell-->\n        <div\n            *ngIf=\"tableService.isTypeInputEdit(column) && data\"\n            [style.min-width]=\"'calc(' + column.width + ' - 1px)'\"\n            class=\"inputType\"\n            [ngClass]=\"column.align\"\n        >\n            <fusion-input-inline\n                #inlineInput\n                *ngIf=\"!isRowTotal; else noEditCell\"\n                [type]=\"column.inputType\"\n                (onSave)=\"onEndEdit($event)\"\n                (onCancel)=\"onCancel()\"\n                [textClass]=\"customClass && customClass[column.key]\"\n                [formControl]=\"data\"\n                [loading]=\"isInRequest$ | async\"\n                [error]=\"inputError$ | async\"\n                [readOnly]=\"isReadOnly\"\n                [currencyPipeParameters]=\"column?.currencyPipeParameters\"\n            ></fusion-input-inline>\n            <ng-template #noEditCell>&nbsp;</ng-template>\n        </div>\n        <!--DynamicComponent Cell-->\n        <fusion-dynamic-components\n            *ngIf=\"tableService.isTypeComponent(column)\"\n            [configuration]=\"customCellData\"\n        >\n        </fusion-dynamic-components>\n        <!--Currency Cell-->\n        <div\n            *ngIf=\"tableService.isTypeCurrency(column)\"\n            class=\"truncate centerVertical\"\n            [ngClass]=\"column.align || 'right'\"\n            [style.width]=\"innerElementWidth\"\n            [fusionTooltip]=\"$any(data) | currency: 'USD'\"\n        >\n            {{\n                !isNull(data)\n                    ? ($any(data)\n                      | currency\n                          : column?.currencyPipeParameters?.currencyCode || undefined\n                          : column?.currencyPipeParameters?.display || (column?.currencyPipeParameters ? undefined : '$ ')\n                          : column?.currencyPipeParameters?.digitsInfo || undefined)\n                    : (data | notAvailable: notAvailableText)\n            }}\n        </div>\n        <!--Number Cell-->\n        <div\n            *ngIf=\"tableService.isTypeNumber(column)\"\n            class=\"truncate centerVertical\"\n            [ngClass]=\"column.align || 'right'\"\n            [style.width]=\"innerElementWidth\"\n            [fusionTooltip]=\"$any(data) | number: column.pipeOptions\"\n        >\n            {{ !isNull(data) ? ($any(data) | number: column.pipeOptions) : (data | notAvailable: notAvailableText) }}\n        </div>\n        <!--Percent Cell-->\n        <div\n            *ngIf=\"tableService.isTypePercent(column)\"\n            class=\"truncate centerVertical\"\n            [ngClass]=\"column.align || 'right'\"\n            [style.width]=\"innerElementWidth\"\n            fusionTooltip=\"{{ $any(data) | number: column.pipeOptions }} %\"\n        >\n            {{ !isNull(data) ? ($any(data) | number: column.pipeOptions) : (data | notAvailable: notAvailableText) }}\n            {{ !isNullOrUndefined(data) ? '%' : null }}\n        </div>\n        <!--Date Cell-->\n        <div *ngIf=\"tableService.isTypeDate(column)\" class=\"truncate centerVertical\">\n            {{\n                data\n                    ? isAsDate(data)\n                        ? ($any(data) | date: getDateFormat(column.dateFormat):getDateUTCFormat(column.ignoreTimeZone))\n                        : data\n                    : !isRowTotal\n                    ? 'No ' + column.title\n                    : ''\n            }}\n        </div>\n    </ng-template>\n\n    <!--Row utility Cell icons and buttons-->\n    <ng-container *ngIf=\"!isRowTotal\">\n\n        <fusion-icon *ngIf=\"infoIconTooltip\" class=\"infoRowIcon\" name=\"info-tooltip\" [fusionTooltip]=\"infoIconTooltip\"></fusion-icon>\n\n        <button\n            *ngIf=\"isRemove && !isReadOnly\"\n            fusion-button\n            class=\"in-table removeRowIcon\"\n            [ngClass]=\"{small: isSmallActionButton}\"\n            icon=\"delete\"\n            (click)=\"remove.emit()\"\n            [fusionTooltip]=\"getRemoveIconTooltipText()\"\n            [tooltipWidth]=\"getRemoveIconTooltipWidth()\"\n        ></button>\n    </ng-container>\n\n", styles: [":host{font-size:12px;font-family:HelveticaNeue,helvetica,sans-serif;font-weight:400;letter-spacing:.04px}:host-context(tr.is-with-totals){font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;font-weight:400;letter-spacing:.25px}:host .truncate{width:100%;display:inline-block;white-space:nowrap;overflow:hidden!important;text-overflow:ellipsis}:host{position:relative;padding:0 8px;height:40px;color:var(--fu-dark-700, #1d1c64);word-break:break-all;max-width:350px;border-top:1px solid var(--fu-light-300, #e5e7e9);border-bottom:1px solid var(--fu-light-300, #e5e7e9)}:host:first-child{border-left:none}:host:last-child{border-right:none}:host>div{line-height:1;vertical-align:middle}:host>div.right{text-align:right;float:none}:host>div.center{text-align:center}:host>div.checkbox-cell{margin:0 auto;text-align:center;height:14px}:host .is-ellipsis-rows-2{overflow:hidden;text-overflow:ellipsis;display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical}:host.is-inline-removable button.removeRowIcon{position:absolute;right:-2px;top:5px;visibility:hidden}:host fusion-icon.infoRowIcon{visibility:hidden;position:absolute;right:25px;top:8px}:host fusion-icon.infoRowIcon ::ng-deep svg{width:11px;height:11px}:host fusion-icon.infoRowIcon ::ng-deep svg *{fill:var(--fu-dark-700, #1d1c64)}:host .loader-holder{position:relative;top:9px;width:20px}:host-context(.is-row-height-big){height:48px}:host-context(.is-row-height-big) button.removeRowIcon{top:10px}:host-context(.is-row-height-small){height:32px}:host-context(.is-row-height-small) button.removeRowIcon{top:4px}:host-context(tr:hover).is-inline-removable button.removeRowIcon{visibility:visible}:host-context(tr.is-row-in-request) fusion-toggle{opacity:.5}:host-context(tr.is-with-totals){height:32px;letter-spacing:.5px}\n"] }]
    }], () => [{ type: i1.TableService }, { type: undefined, decorators: [{
                type: Optional
            }, {
                type: Inject,
                args: [TABLE_OPTIONS_TOKEN]
            }] }, { type: i2.LogService }], { data: [{
            type: Input
        }], column: [{
            type: Input
        }], row: [{
            type: Input
        }], options: [{
            type: Input
        }], position: [{
            type: Input
        }], infoIconTooltip: [{
            type: Input
        }], isRemove: [{
            type: Input
        }], isRowSelected: [{
            type: Input
        }], isLastColumn: [{
            type: Input
        }], customClass: [{
            type: Input
        }], isReadOnly: [{
            type: Input
        }], selectedChange: [{
            type: Output
        }], dataChange: [{
            type: Output
        }], remove: [{
            type: Output
        }], inlineInputEdit: [{
            type: ViewChild,
            args: ['inlineInput']
        }], cellBorders: [{
            type: HostBinding,
            args: ['class.cell-borders']
        }], isInlineRemovable: [{
            type: HostBinding,
            args: ['class.is-inline-removable']
        }], isCellEditable: [{
            type: HostBinding,
            args: ['class.is-editable']
        }], sticky: [{
            type: HostBinding,
            args: ['class.sticky-left']
        }], stickyLeft: [{
            type: HostBinding,
            args: ['style.left']
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(TableCellComponent, { className: "TableCellComponent", filePath: "components/table-cell/table-cell.component.ts", lineNumber: 48 }); })();

const _c0$6 = ["fusionTableRow", ""];
function TableRowComponent_ng_container_0_fusion_icon_2_Template(rf, ctx) { if (rf & 1) {
    const _r6 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-icon", 4);
    i0.ɵɵlistener("click", function TableRowComponent_ng_container_0_fusion_icon_2_Template_fusion_icon_click_0_listener() { i0.ɵɵrestoreView(_r6); const ctx_r5 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r5.expandRow.emit({ rowIndex: ctx_r5.rowIndex, row: ctx_r5.row, isExpanded: !ctx_r5.isExpanded })); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r4 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("name", ctx_r4.expandArrowIconName);
} }
function TableRowComponent_ng_container_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "td", 2);
    i0.ɵɵtemplate(2, TableRowComponent_ng_container_0_fusion_icon_2_Template, 1, 1, "fusion-icon", 3);
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const isLast_r3 = ctx.last;
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵclassProp("total-row", ctx_r0.isRowTotal)("expanded", ctx_r0.isExpanded)("inner-row", ctx_r0.isInnerRow)("sticky-left", ctx_r0.options == null ? null : ctx_r0.options.rowsExpandableOptions == null ? null : ctx_r0.options.rowsExpandableOptions.sticky);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", isLast_r3 && ctx_r0.showExpandIcon());
} }
const _c1$3 = (a0, a1) => ({ x: a0, y: a1 });
function TableRowComponent_td_2_Template(rf, ctx) { if (rf & 1) {
    const _r11 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "td", 5);
    i0.ɵɵlistener("remove", function TableRowComponent_td_2_Template_td_remove_0_listener() { i0.ɵɵrestoreView(_r11); const ctx_r10 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r10.rowRemoved.emit()); })("selectedChange", function TableRowComponent_td_2_Template_td_selectedChange_0_listener($event) { i0.ɵɵrestoreView(_r11); const ctx_r12 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r12.selectedChange.emit($event)); })("dataChange", function TableRowComponent_td_2_Template_td_dataChange_0_listener($event) { const restoredCtx = i0.ɵɵrestoreView(_r11); const column_r7 = restoredCtx.$implicit; const ctx_r13 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r13.onDataChange($event, column_r7.key)); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const column_r7 = ctx.$implicit;
    const columnIndex_r8 = ctx.index;
    const isLast_r9 = ctx.last;
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵstyleProp("width", ctx_r1.columnsData[columnIndex_r8] == null ? null : ctx_r1.columnsData[columnIndex_r8].width);
    i0.ɵɵclassProp("cell-tooltip", ctx_r1.columnsData[columnIndex_r8] == null ? null : ctx_r1.columnsData[columnIndex_r8].hasTooltip)("after-sticky", ctx_r1.hasAfterSticky)("inner-row", ctx_r1.isInnerRow);
    i0.ɵɵproperty("fusionTooltip", ctx_r1.columnsData[columnIndex_r8] == null ? null : ctx_r1.columnsData[columnIndex_r8].tooltip)("data", ctx_r1.row[column_r7.key])("row", ctx_r1.row)("column", column_r7)("options", ctx_r1.options)("position", i0.ɵɵpureFunction2(23, _c1$3, ctx_r1.rowIndex, columnIndex_r8))("isRemove", ctx_r1.columnsData[columnIndex_r8] == null ? null : ctx_r1.columnsData[columnIndex_r8].isRemove)("infoIconTooltip", ctx_r1.columnsData[columnIndex_r8] == null ? null : ctx_r1.columnsData[columnIndex_r8].infoIconOnHoverTooltip)("isRowSelected", ctx_r1.isRowSelected)("isLastColumn", isLast_r9)("isReadOnly", ctx_r1.isRowReadOnly)("customClass", ctx_r1.row["customClass"])("ngClass", ctx_r1.columnsData[columnIndex_r8] == null ? null : ctx_r1.columnsData[columnIndex_r8].classes)("ngStyle", ctx_r1.columnsData[columnIndex_r8] == null ? null : ctx_r1.columnsData[columnIndex_r8].styles);
    i0.ɵɵattribute("colspan", ctx_r1.columnsData[columnIndex_r8] == null ? null : ctx_r1.columnsData[columnIndex_r8].colspan);
} }
class TableRowComponent {
    get isRowInRequest() {
        return this.inRequest;
    }
    get isRowExpanded() {
        return this.isExpanded;
    }
    get isInnerRowExpandable() {
        return (this.options &&
            this.options.rowsExpandableOptions &&
            this.tableService.expandLevels &&
            this.tableService.getExpandLevelByRowIndex(this.rowIndex) <= this.tableService.expandLevels);
    }
    get isRowTotal() {
        return !isNullOrUndefined(this.options.hasTotalsRow) && this.options.hasTotalsRow && this.rowIndex === 0;
    }
    get isRowReadOnly() {
        return this.tableService.isRowReadOnly(this.row);
    }
    get expandCellCount() {
        if (!!this.options && !!this.options.rowsExpandableOptions && !!this.tableService.expandLevels) {
            const expandLevelsByIndex = this.tableService.getExpandLevelByRowIndex(this.rowIndex);
            const expandLevels = expandLevelsByIndex <= this.tableService.expandLevels ? expandLevelsByIndex : this.tableService.expandLevels;
            return of([...Array(expandLevels).keys()]);
        }
        return of([]);
    }
    hasTooltip(key, row) {
        return !isNullOrUndefined(this.getCellTooltip(key, row));
    }
    getCellTooltip(key, row) {
        // eslint-disable-next-line
        const rowMetaData = row['rowMetaData'];
        return !!rowMetaData && !!rowMetaData.cellToolTip ? rowMetaData.cellToolTip[key] : null;
    }
    infoIconOnHooverToolTip(options, row) {
        return options?.infoIconForRowOnHover ? options?.infoIconForRowOnHover(row) : '';
    }
    rowRemoveIconOptions(options, row) {
        return {
            hideRemoveIcon: options?.remove && options?.isRemoveIconHiddenForRow && options?.isRemoveIconHiddenForRow(row)
        };
    }
    constructor(tableService, cdRef) {
        this.tableService = tableService;
        this.cdRef = cdRef;
        this.rowRemoved = new EventEmitter();
        this.selectedChange = new EventEmitter();
        this.expandRow = new EventEmitter();
        this.inRequest = false;
        this.columnsData = [];
    }
    ngOnInit() {
        this.dataRowIndex = this.rowIndex;
        this.expandArrowIconName = { iconName: 'arrow-right', iconVersion: 'v2' };
        if (this.isRowTotal) {
            Object.assign(this.row, { isRowTotal: true });
        }
    }
    ngOnChanges({ options, columns, row }) {
        const activeOptions = options?.currentValue || this.options;
        const activeColumns = columns?.currentValue || this.columns;
        const activeRow = row?.currentValue || this.row;
        if (options?.currentValue || columns?.currentValue || row?.currentValue) {
            this.columnsData = this.getColumnsData(activeColumns, activeOptions, activeRow);
        }
    }
    onDataChange(options, rowKey) {
        this.inRequest = true;
        this.tableService.rowModelChange.emit({
            rowIndex: this.rowIndex,
            rowModel: this.row,
            keyChanged: rowKey,
            newValue: options.newValue,
            prevValue: options.prevValue,
            onRequestDone: (state, error, stayInEditOnCancel = false) => {
                this.inRequest = false;
                if (options.onCellRequestDone) {
                    options.onCellRequestDone(state, error, stayInEditOnCancel);
                }
                this.cdRef.markForCheck();
            }
        });
    }
    trackByFn(index, item) {
        if (!item) {
            return null;
        }
        return item.key ? item.key : index;
    }
    showExpandIcon() {
        const hasKeyToIgnore = this.options && this.options.rowsExpandableOptions && this.options.rowsExpandableOptions.keyToIgnore;
        if (!hasKeyToIgnore) {
            return this.isInnerRow ? this.isInnerRowExpandable : !this.isRowTotal;
        }
        return !this.isRowTotal && !this.row[this.options.rowsExpandableOptions.keyToIgnore] && this.isInnerRowExpandable;
    }
    getCellColspan(isFirstDataCell, cellColspan, expandLevel) {
        if (isFirstDataCell && expandLevel) {
            if (this.isInnerRow) {
                const colspan = !isNullOrUndefined(cellColspan) ? cellColspan : 0;
                return colspan + (expandLevel + 1 - this.tableService.getExpandLevelByRowIndex(this.rowIndex));
            }
            return expandLevel + 1 - this.tableService.getExpandLevelByRowIndex(this.rowIndex);
        }
        return cellColspan;
    }
    getColumnsData(columns, options, row) {
        return columns.map((column, index) => {
            const isLast = index === columns.length - 1;
            const isFirst = index === 0;
            return {
                classes: this.tableService.getColumnClasses(column),
                tooltip: this.getCellTooltip(column.key, row),
                hasTooltip: this.hasTooltip(column.key, row),
                isRemove: this.tableService.isRemove(isLast, options, this.rowRemoveIconOptions(options, row)),
                infoIconOnHoverTooltip: isLast ? this.infoIconOnHooverToolTip(options, row) : '',
                styles: this.tableService.getColumnStyle(column),
                colspan: this.getCellColspan(isFirst, column.colspan, this.tableService.expandLevels),
                width: this.tableService.setWidth(isLast, column.width)
            };
        });
    }
    static { this.ɵfac = function TableRowComponent_Factory(t) { return new (t || TableRowComponent)(i0.ɵɵdirectiveInject(i1.TableService), i0.ɵɵdirectiveInject(i0.ChangeDetectorRef)); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: TableRowComponent, selectors: [["", "fusionTableRow", ""]], hostVars: 11, hostBindings: function TableRowComponent_HostBindings(rf, ctx) { if (rf & 2) {
            i0.ɵɵattribute("data-row-idx", ctx.dataRowIndex);
            i0.ɵɵclassProp("is-row-in-request", ctx.isRowInRequest)("is-row-expanded", ctx.isRowExpanded)("is-inner-row-expandable", ctx.isInnerRowExpandable)("is-with-totals", ctx.isRowTotal)("is-row-readonly", ctx.isRowReadOnly);
        } }, inputs: { rowIndex: "rowIndex", row: "row", options: "options", columns: "columns", isRemovableOnHover: "isRemovableOnHover", isRowSelected: "isRowSelected", isExpanded: "isExpanded", isInnerRow: "isInnerRow", hasAfterSticky: "hasAfterSticky" }, outputs: { rowRemoved: "rowRemoved", selectedChange: "selectedChange", expandRow: "expandRow" }, features: [i0.ɵɵNgOnChangesFeature], attrs: _c0$6, decls: 3, vars: 5, consts: [[4, "ngFor", "ngForOf"], ["fusionTableCell", "", 3, "fusionTooltip", "data", "row", "column", "options", "position", "isRemove", "infoIconTooltip", "isRowSelected", "isLastColumn", "isReadOnly", "customClass", "ngClass", "cell-tooltip", "after-sticky", "inner-row", "ngStyle", "width", "remove", "selectedChange", "dataChange", 4, "ngFor", "ngForOf", "ngForTrackBy"], [1, "expand-cell"], ["class", "icon-expand", 3, "name", "click", 4, "ngIf"], [1, "icon-expand", 3, "name", "click"], ["fusionTableCell", "", 3, "fusionTooltip", "data", "row", "column", "options", "position", "isRemove", "infoIconTooltip", "isRowSelected", "isLastColumn", "isReadOnly", "customClass", "ngClass", "ngStyle", "remove", "selectedChange", "dataChange"]], template: function TableRowComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵtemplate(0, TableRowComponent_ng_container_0_Template, 3, 9, "ng-container", 0);
            i0.ɵɵpipe(1, "async");
            i0.ɵɵtemplate(2, TableRowComponent_td_2_Template, 1, 26, "td", 1);
        } if (rf & 2) {
            i0.ɵɵproperty("ngForOf", i0.ɵɵpipeBind1(1, 3, ctx.expandCellCount));
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngForOf", ctx.columns)("ngForTrackBy", ctx.trackByFn);
        } }, dependencies: [i2$1.NgClass, i2$1.NgForOf, i2$1.NgIf, i2$1.NgStyle, i4.IconComponent, i9.TooltipDirective, TableCellComponent, i2$1.AsyncPipe], styles: [".on-scroll-right[_nghost-%COMP%]   .sticky-left.display-shadow-on-scroll[_ngcontent-%COMP%]:after, .on-scroll-right   [_nghost-%COMP%]   .sticky-left.display-shadow-on-scroll[_ngcontent-%COMP%]:after{content:\"\";position:absolute;top:0;height:100%}[_nghost-%COMP%]   td[_ngcontent-%COMP%]:not(:last-child){border-right:var(--table-body-border, none)}[_nghost-%COMP%]:nth-child(odd){background-color:var(--table-odd-row-background-color, var(--fu-white, #ffffff))}[_nghost-%COMP%]:nth-child(2n){background-color:var(--table-even-row-background-color, var(--fu-white, #ffffff))}[_nghost-%COMP%]:hover   td[_ngcontent-%COMP%]{background-color:var(--fu-light-100, #f7f8f9)}[_nghost-%COMP%]:hover   td.inner-row[_ngcontent-%COMP%], [_nghost-%COMP%]:hover   td.sticky-left[_ngcontent-%COMP%]{background-color:var(--fu-light-100, #f7f8f9)}.is-row-disabled[_nghost-%COMP%]   td[_ngcontent-%COMP%], .is-row-in-request[_nghost-%COMP%]   td[_ngcontent-%COMP%]{color:var(--fu-light-900, #7b838c);pointer-events:none}.is-row-disabled[_nghost-%COMP%]   td[_ngcontent-%COMP%]   fusion-icon[_ngcontent-%COMP%], .is-row-in-request[_nghost-%COMP%]   td[_ngcontent-%COMP%]   fusion-icon[_ngcontent-%COMP%]{opacity:.6}.is-row-selected[_nghost-%COMP%], .is-row-expanded[_nghost-%COMP%]{background-color:var(--fu-light-200, #f0f1f2)}[_nghost-%COMP%]   td.inner-row[_ngcontent-%COMP%]{background-color:#e5e7e966}[_nghost-%COMP%]   td.expand-cell[_ngcontent-%COMP%]{width:24px;text-align:center;border-top:1px solid var(--fu-light-300, #e5e7e9);border-bottom:1px solid var(--fu-light-300, #e5e7e9)}[_nghost-%COMP%]   td.expand-cell[_ngcontent-%COMP%]   fusion-icon[class^=icon-expand][_ngcontent-%COMP%]{cursor:pointer}[_nghost-%COMP%]   td.expand-cell[_ngcontent-%COMP%]   fusion-icon[class^=icon-expand][_ngcontent-%COMP%]     svg{height:8px;width:5px}[_nghost-%COMP%]   td.expand-cell[_ngcontent-%COMP%]   fusion-icon[class^=icon-expand][_ngcontent-%COMP%]     svg *{fill:var(--fu-dark-200, #4c548e)}[_nghost-%COMP%]   td.expand-cell.expanded[_ngcontent-%COMP%]   fusion-icon[class^=icon-expand][_ngcontent-%COMP%]     svg{height:8px;width:5px;transform:rotate(90deg)}[_nghost-%COMP%]   td.expand-cell.expanded[_ngcontent-%COMP%]   fusion-icon[class^=icon-expand][_ngcontent-%COMP%]     svg *{fill:var(--fu-dark-200, #4c548e)}[_nghost-%COMP%]   td.expand-cell.inner-row[_ngcontent-%COMP%]{border:none}[_nghost-%COMP%]   td.sticky-left[_ngcontent-%COMP%]{background-color:var(--fu-white, #ffffff);position:sticky;left:0;z-index:2}.is-with-totals[_nghost-%COMP%]:hover   td[_ngcontent-%COMP%]{background-color:var(--fu-white, #ffffff)}.is-inner-row-expandable[_nghost-%COMP%]   td.expand-cell.inner-row[_ngcontent-%COMP%]{border-top:1px solid var(--fu-light-300, #e5e7e9);border-bottom:1px solid var(--fu-light-300, #e5e7e9)}.is-inner-row-expandable[_nghost-%COMP%]   td.inner-row[_ngcontent-%COMP%]{background-color:var(--fu-light-200, #f0f1f2)}.is-inner-row-expandable[_nghost-%COMP%]:hover   td[_ngcontent-%COMP%]{background-color:var(--fu-light-100, #f7f8f9)}.on-scroll-right[_nghost-%COMP%]   .sticky-left.display-shadow-on-scroll[_ngcontent-%COMP%]:after, .on-scroll-right   [_nghost-%COMP%]   .sticky-left.display-shadow-on-scroll[_ngcontent-%COMP%]:after{width:1px;right:0;box-shadow:2px 3px 5px #0009}.on-scroll-right[_nghost-%COMP%]   .sticky-left.display-shadow-on-scroll.after-sticky[_ngcontent-%COMP%]:before, .on-scroll-right   [_nghost-%COMP%]   .sticky-left.display-shadow-on-scroll.after-sticky[_ngcontent-%COMP%]:before{content:\"\";width:100%;height:26px;position:absolute;bottom:-27px;left:0;box-shadow:4px 3px 5px 0 var(--fu-light-500, #d2d5d8);background-color:var(--fu-light-100, #f7f8f9)}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TableRowComponent, [{
        type: Component,
        args: [{ selector: '[fusionTableRow]', changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-container *ngFor=\"let expandCell of expandCellCount | async; let isLast = last\">\n    <td\n        class=\"expand-cell\"\n        [class.total-row]=\"isRowTotal\"\n        [class.expanded]=\"isExpanded\"\n        [class.inner-row]=\"isInnerRow\"\n        [class.sticky-left]=\"options?.rowsExpandableOptions?.sticky\"\n    >\n        <fusion-icon\n            *ngIf=\"isLast && showExpandIcon()\"\n            class=\"icon-expand\"\n            [name]=\"expandArrowIconName\"\n            (click)=\"expandRow.emit({rowIndex: rowIndex, row: row, isExpanded: !isExpanded})\"\n        >\n        </fusion-icon>\n    </td>\n</ng-container>\n\n<td\n    *ngFor=\"let column of columns; trackBy: trackByFn; let columnIndex = index; let isLast = last;\"\n    fusionTableCell\n    [fusionTooltip]=\"columnsData[columnIndex]?.tooltip\"\n    [data]=\"row[column.key]\"\n    [row]=\"row\"\n    [column]=\"column\"\n    [options]=\"options\"\n    [position]=\"{x: rowIndex, y: columnIndex}\"\n    [isRemove]=\"columnsData[columnIndex]?.isRemove\"\n    [infoIconTooltip]=\"columnsData[columnIndex]?.infoIconOnHoverTooltip\"\n    [isRowSelected]=\"isRowSelected\"\n    [isLastColumn]=\"isLast\"\n    [isReadOnly]=\"isRowReadOnly\"\n    [customClass]=\"row['customClass']\"\n    [ngClass]=\"columnsData[columnIndex]?.classes\"\n    [class.cell-tooltip]=\"columnsData[columnIndex]?.hasTooltip\"\n    [class.after-sticky]=\"hasAfterSticky\"\n    [class.inner-row]=\"isInnerRow\"\n    [ngStyle]=\"columnsData[columnIndex]?.styles\"\n    [style.width]=\"columnsData[columnIndex]?.width\"\n    [attr.colspan]=\"columnsData[columnIndex]?.colspan\"\n    (remove)=\"rowRemoved.emit()\"\n    (selectedChange)=\"selectedChange.emit($event)\"\n    (dataChange)=\"onDataChange($event, column.key)\"\n></td>\n", styles: [":host-context(.on-scroll-right) .sticky-left.display-shadow-on-scroll:after{content:\"\";position:absolute;top:0;height:100%}:host td:not(:last-child){border-right:var(--table-body-border, none)}:host:nth-child(odd){background-color:var(--table-odd-row-background-color, var(--fu-white, #ffffff))}:host:nth-child(2n){background-color:var(--table-even-row-background-color, var(--fu-white, #ffffff))}:host:hover td{background-color:var(--fu-light-100, #f7f8f9)}:host:hover td.inner-row,:host:hover td.sticky-left{background-color:var(--fu-light-100, #f7f8f9)}:host.is-row-disabled td,:host.is-row-in-request td{color:var(--fu-light-900, #7b838c);pointer-events:none}:host.is-row-disabled td fusion-icon,:host.is-row-in-request td fusion-icon{opacity:.6}:host.is-row-selected,:host.is-row-expanded{background-color:var(--fu-light-200, #f0f1f2)}:host td.inner-row{background-color:#e5e7e966}:host td.expand-cell{width:24px;text-align:center;border-top:1px solid var(--fu-light-300, #e5e7e9);border-bottom:1px solid var(--fu-light-300, #e5e7e9)}:host td.expand-cell fusion-icon[class^=icon-expand]{cursor:pointer}:host td.expand-cell fusion-icon[class^=icon-expand] ::ng-deep svg{height:8px;width:5px}:host td.expand-cell fusion-icon[class^=icon-expand] ::ng-deep svg *{fill:var(--fu-dark-200, #4c548e)}:host td.expand-cell.expanded fusion-icon[class^=icon-expand] ::ng-deep svg{height:8px;width:5px;transform:rotate(90deg)}:host td.expand-cell.expanded fusion-icon[class^=icon-expand] ::ng-deep svg *{fill:var(--fu-dark-200, #4c548e)}:host td.expand-cell.inner-row{border:none}:host td.sticky-left{background-color:var(--fu-white, #ffffff);position:sticky;left:0;z-index:2}:host.is-with-totals:hover td{background-color:var(--fu-white, #ffffff)}:host.is-inner-row-expandable td.expand-cell.inner-row{border-top:1px solid var(--fu-light-300, #e5e7e9);border-bottom:1px solid var(--fu-light-300, #e5e7e9)}:host.is-inner-row-expandable td.inner-row{background-color:var(--fu-light-200, #f0f1f2)}:host.is-inner-row-expandable:hover td{background-color:var(--fu-light-100, #f7f8f9)}:host-context(.on-scroll-right) .sticky-left.display-shadow-on-scroll:after{width:1px;right:0;box-shadow:2px 3px 5px #0009}:host-context(.on-scroll-right) .sticky-left.display-shadow-on-scroll.after-sticky:before{content:\"\";width:100%;height:26px;position:absolute;bottom:-27px;left:0;box-shadow:4px 3px 5px 0 var(--fu-light-500, #d2d5d8);background-color:var(--fu-light-100, #f7f8f9)}\n"] }]
    }], () => [{ type: i1.TableService }, { type: i0.ChangeDetectorRef }], { rowIndex: [{
            type: Input
        }], row: [{
            type: Input
        }], options: [{
            type: Input
        }], columns: [{
            type: Input
        }], isRemovableOnHover: [{
            type: Input
        }], isRowSelected: [{
            type: Input
        }], isExpanded: [{
            type: Input
        }], isInnerRow: [{
            type: Input
        }], hasAfterSticky: [{
            type: Input
        }], rowRemoved: [{
            type: Output
        }], selectedChange: [{
            type: Output
        }], expandRow: [{
            type: Output
        }], dataRowIndex: [{
            type: HostBinding,
            args: ['attr.data-row-idx']
        }], isRowInRequest: [{
            type: HostBinding,
            args: ['class.is-row-in-request']
        }], isRowExpanded: [{
            type: HostBinding,
            args: ['class.is-row-expanded']
        }], isInnerRowExpandable: [{
            type: HostBinding,
            args: ['class.is-inner-row-expandable']
        }], isRowTotal: [{
            type: HostBinding,
            args: ['class.is-with-totals']
        }], isRowReadOnly: [{
            type: HostBinding,
            args: ['class.is-row-readonly']
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(TableRowComponent, { className: "TableRowComponent", filePath: "components/table-row/table-row.component.ts", lineNumber: 27 }); })();

const _c0$5 = ["fusionTableBasic", ""];
const _c1$2 = (a0, a1) => ({ $implicit: a0, parentIndex: a1 });
function TableBasicComponent_ng_container_0_ng_container_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0, 4);
} if (rf & 2) {
    const ctx_r6 = i0.ɵɵnextContext();
    const row_r1 = ctx_r6.$implicit;
    const rowIndex_r2 = ctx_r6.index;
    const _r5 = i0.ɵɵreference(5);
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵproperty("ngTemplateOutlet", _r5)("ngTemplateOutletContext", i0.ɵɵpureFunction2(2, _c1$2, row_r1[ctx_r3.options.rowsExpandableOptions.key], rowIndex_r2));
} }
function TableBasicComponent_ng_container_0_ng_template_4_ng_container_0_ng_container_1_tr_4_Template(rf, ctx) { if (rf & 1) {
    const _r23 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "tr", 10)(1, "td")(2, "a", 11);
    i0.ɵɵlistener("click", function TableBasicComponent_ng_container_0_ng_template_4_ng_container_0_ng_container_1_tr_4_Template_a_click_2_listener() { i0.ɵɵrestoreView(_r23); const loadMore_r13 = i0.ɵɵnextContext(2).loadMore; return i0.ɵɵresetView(loadMore_r13()); });
    i0.ɵɵtext(3, "Load more");
    i0.ɵɵelementEnd()()();
} if (rf & 2) {
    const ctx_r19 = i0.ɵɵnextContext(5);
    i0.ɵɵadvance();
    i0.ɵɵattribute("colspan", ctx_r19.fullCellColspan);
    i0.ɵɵadvance();
    i0.ɵɵstyleProp("margin-left", ctx_r19.getHalfTableClientWidth, "px");
} }
function TableBasicComponent_ng_container_0_ng_template_4_ng_container_0_ng_container_1_ng_container_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0, 4);
} if (rf & 2) {
    const innerRows_r24 = ctx.ngIf;
    const innerRowIndex_r17 = i0.ɵɵnextContext().index;
    const parentIndex_r8 = i0.ɵɵnextContext(2).parentIndex;
    i0.ɵɵnextContext();
    const _r5 = i0.ɵɵreference(5);
    i0.ɵɵproperty("ngTemplateOutlet", _r5)("ngTemplateOutletContext", i0.ɵɵpureFunction2(2, _c1$2, innerRows_r24, parentIndex_r8 + "_" + innerRowIndex_r17));
} }
function TableBasicComponent_ng_container_0_ng_template_4_ng_container_0_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    const _r28 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "tr", 8);
    i0.ɵɵlistener("expandRow", function TableBasicComponent_ng_container_0_ng_template_4_ng_container_0_ng_container_1_Template_tr_expandRow_1_listener($event) { i0.ɵɵrestoreView(_r28); const ctx_r27 = i0.ɵɵnextContext(4); return i0.ɵɵresetView(ctx_r27.onExpandRow($event)); });
    i0.ɵɵpipe(2, "generic");
    i0.ɵɵpipe(3, "async");
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(4, TableBasicComponent_ng_container_0_ng_template_4_ng_container_0_ng_container_1_tr_4_Template, 4, 3, "tr", 9);
    i0.ɵɵpipe(5, "async");
    i0.ɵɵtemplate(6, TableBasicComponent_ng_container_0_ng_template_4_ng_container_0_ng_container_1_ng_container_6_Template, 1, 5, "ng-container", 2);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const innerRow_r16 = ctx.$implicit;
    const innerRowIndex_r17 = ctx.index;
    const last_r18 = ctx.last;
    const hasMore$_r14 = i0.ɵɵnextContext().hasMore$;
    const parentIndex_r8 = i0.ɵɵnextContext().parentIndex;
    const ctx_r15 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵproperty("rowIndex", parentIndex_r8 + "_" + innerRowIndex_r17)("row", innerRow_r16)("columns", ctx_r15.options.rowsExpandableOptions.columns)("options", ctx_r15.childRowOptions)("isExpanded", ctx_r15.isExpanded(parentIndex_r8 + "_" + innerRowIndex_r17))("isInnerRow", true)("ngClass", i0.ɵɵpipeBind3(2, 11, ctx_r15.getRowClass.bind(ctx_r15), innerRow_r16, innerRowIndex_r17))("hasAfterSticky", ctx_r15.hasAfterSticky(last_r18, i0.ɵɵpipeBind1(3, 15, hasMore$_r14), parentIndex_r8 + "_" + innerRowIndex_r17))("ngStyle", !!ctx_r15.options.rowsOptions && !!ctx_r15.options.rowsOptions.global ? ctx_r15.options.rowsOptions.global.style : null);
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("ngIf", !ctx_r15.loadingChildRows[parentIndex_r8] && i0.ɵɵpipeBind1(5, 17, hasMore$_r14) && last_r18);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", ctx_r15.displayExpandableRows(parentIndex_r8 + "_" + innerRowIndex_r17) && ctx_r15.getInnerRows(parentIndex_r8 + "_" + innerRowIndex_r17));
} }
function TableBasicComponent_ng_container_0_ng_template_4_ng_container_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, TableBasicComponent_ng_container_0_ng_template_4_ng_container_0_ng_container_1_Template, 7, 19, "ng-container", 0);
    i0.ɵɵpipe(2, "async");
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const displayRows$_r12 = ctx.$implicit;
    const ctx_r9 = i0.ɵɵnextContext(3);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngForOf", i0.ɵɵpipeBind1(2, 2, displayRows$_r12))("ngForTrackBy", ctx_r9.trackByRowInvoke());
} }
function TableBasicComponent_ng_container_0_ng_template_4_tr_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "tr", 12)(1, "td");
    i0.ɵɵelement(2, "fusion-loader-inline", 13);
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const ctx_r10 = i0.ɵɵnextContext(3);
    i0.ɵɵadvance();
    i0.ɵɵattribute("colspan", ctx_r10.fullCellColspan);
    i0.ɵɵadvance();
    i0.ɵɵstyleProp("margin-left", ctx_r10.getHalfTableClientWidth, "px");
    i0.ɵɵproperty("status", true);
} }
function TableBasicComponent_ng_container_0_ng_template_4_tr_2_Template(rf, ctx) { if (rf & 1) {
    const _r33 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "tr", 14)(1, "td")(2, "p");
    i0.ɵɵtext(3, " Failed to load data... ");
    i0.ɵɵelementStart(4, "a", 11);
    i0.ɵɵlistener("click", function TableBasicComponent_ng_container_0_ng_template_4_tr_2_Template_a_click_4_listener() { i0.ɵɵrestoreView(_r33); const ctx_r32 = i0.ɵɵnextContext(2); const rowIndex_r2 = ctx_r32.index; const row_r1 = ctx_r32.$implicit; const ctx_r31 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r31.onExpandRow({ rowIndex: rowIndex_r2, row: row_r1, isExpanded: true })); });
    i0.ɵɵtext(5, "Try again");
    i0.ɵɵelementEnd()()()();
} if (rf & 2) {
    const ctx_r11 = i0.ɵɵnextContext(3);
    i0.ɵɵadvance();
    i0.ɵɵattribute("colspan", ctx_r11.fullCellColspan);
    i0.ɵɵadvance();
    i0.ɵɵstyleProp("margin-left", ctx_r11.getHalfTableClientWidth - 80, "px");
} }
function TableBasicComponent_ng_container_0_ng_template_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtemplate(0, TableBasicComponent_ng_container_0_ng_template_4_ng_container_0_Template, 3, 4, "ng-container", 5)(1, TableBasicComponent_ng_container_0_ng_template_4_tr_1_Template, 3, 4, "tr", 6)(2, TableBasicComponent_ng_container_0_ng_template_4_tr_2_Template, 6, 3, "tr", 7);
} if (rf & 2) {
    const parentRowChildren_r7 = ctx.$implicit;
    const parentIndex_r8 = ctx.parentIndex;
    const ctx_r4 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("fusionLoadMoreOf", parentRowChildren_r7)("fusionLoadMoreChunkSize", (ctx_r4.options.rowsExpandableOptions == null ? null : ctx_r4.options.rowsExpandableOptions.expendChunkSize) || 10);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r4.loadingChildRows[parentIndex_r8]);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r4.failedChildRows[parentIndex_r8]);
} }
function TableBasicComponent_ng_container_0_Template(rf, ctx) { if (rf & 1) {
    const _r35 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "tr", 1);
    i0.ɵɵlistener("rowRemoved", function TableBasicComponent_ng_container_0_Template_tr_rowRemoved_1_listener() { const restoredCtx = i0.ɵɵrestoreView(_r35); const rowIndex_r2 = restoredCtx.index; const row_r1 = restoredCtx.$implicit; const ctx_r34 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r34.tableService.removeRow({ rows: ctx_r34.rows, rowIndex: rowIndex_r2, row: row_r1, options: ctx_r34.options })); })("selectedChange", function TableBasicComponent_ng_container_0_Template_tr_selectedChange_1_listener($event) { const restoredCtx = i0.ɵɵrestoreView(_r35); const row_r1 = restoredCtx.$implicit; const ctx_r36 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r36.tableService.onRowSelectChanged($event, row_r1)); })("expandRow", function TableBasicComponent_ng_container_0_Template_tr_expandRow_1_listener($event) { i0.ɵɵrestoreView(_r35); const ctx_r37 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r37.onExpandRow($event)); });
    i0.ɵɵpipe(2, "generic");
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(3, TableBasicComponent_ng_container_0_ng_container_3_Template, 1, 5, "ng-container", 2)(4, TableBasicComponent_ng_container_0_ng_template_4_Template, 3, 4, "ng-template", null, 3, i0.ɵɵtemplateRefExtractor);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const row_r1 = ctx.$implicit;
    const rowIndex_r2 = ctx.index;
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("rowIndex", rowIndex_r2)("row", row_r1)("columns", ctx_r0.columns)("options", ctx_r0.options)("isRowSelected", ctx_r0.tableService.isRowSelected(row_r1))("isExpanded", ctx_r0.isExpanded(rowIndex_r2))("isInnerRow", false)("ngClass", i0.ɵɵpipeBind3(2, 10, ctx_r0.getRowClass.bind(ctx_r0), row_r1, rowIndex_r2))("ngStyle", !!ctx_r0.options.rowsOptions && !!ctx_r0.options.rowsOptions.global ? ctx_r0.options.rowsOptions.global.style : null);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", ctx_r0.displayExpandableRows(rowIndex_r2));
} }
class TableBasicComponent {
    set options(value) {
        this.tableOptions = value;
        this.childRowOptions = { ...value, hasTotalsRow: false };
    }
    set tableClientWidth(value) {
        this._halfTableClientWidth = value ? value / 2 : 0;
    }
    get options() {
        return this.tableOptions;
    }
    get fullCellColspan() {
        if (!!this.tableService.expandLevels) {
            return this.columns.length + this.tableService.expandLevels;
        }
        return this.columns.length;
    }
    get getHalfTableClientWidth() {
        return this._halfTableClientWidth;
    }
    constructor(tableService, cdr) {
        this.tableService = tableService;
        this.cdr = cdr;
        this.rowSelected = new EventEmitter();
        this.expandRow = new EventEmitter();
        this.loadingChildRows = {};
        this.failedChildRows = {};
        this._halfTableClientWidth = 0;
        this.onDestroy$ = new Subject();
    }
    ngOnInit() {
        this.tableService.selectionChanged.pipe(takeUntil(this.onDestroy$)).subscribe(val => {
            this.cdr.markForCheck();
        });
    }
    ngOnDestroy() {
        this.onDestroy$.next();
        this.onDestroy$.complete();
    }
    trackByRowInvoke() {
        return this.trackByRow.bind(this);
    }
    trackByRow(index, row) {
        const keyOption = this.options && this.options.rowTrackingOption ? this.options.rowTrackingOption : 'id';
        return row && row[keyOption] ? row[keyOption] : row;
    }
    isRowDisabled(row) {
        return row._options && row._options.some(options => 'disabled');
    }
    getRowClass(row, rowIndex) {
        const rowClasses = this.options.rowsOptions || {};
        const classes = {};
        classes[TableRowClassesEnum.Selected] = this.tableService.isRowSelected(row);
        classes[TableRowClassesEnum.Disabled] = this.isRowDisabled(row);
        return [
            ...Object.keys(classes).filter((item) => !!classes[item]),
            !!rowClasses[rowIndex] && !!rowClasses[rowIndex].class ? rowClasses[rowIndex].class : null
        ].filter(Boolean);
    }
    onExpandRow({ rowIndex, row, isExpanded }, updateMap = true) {
        if (!!row) {
            this.loadingChildRows[rowIndex] = isExpanded;
            delete this.failedChildRows[rowIndex];
            const successCallback = this.onExpendRowSuccess(rowIndex).bind(this);
            const failedCallback = this.onExpendRowFailed(rowIndex).bind(this);
            this.expandRow.emit({ rowIndex, row, isExpanded, successCallback, failedCallback, updateMap: updateMap });
        }
    }
    displayExpandableRows(rowIndex) {
        return !!this.options?.rowsExpandableOptions?.key && this.isExpanded(rowIndex);
    }
    getInnerRows(index) {
        const innerKey = this.options.rowsExpandableOptions.key;
        const indexes = index.split('_').map(Number);
        let retRow = this.rows;
        indexes.forEach((item, idx) => {
            retRow = !!idx ? retRow[innerKey][item] : retRow[item];
        });
        return retRow[innerKey] || [];
    }
    isExpanded(rowIndex) {
        // check if has row index keys in expandedRows / loadingChildRows / failedChildRows;
        if (this.expandedRows?.hasOwnProperty(rowIndex) ||
            this.loadingChildRows.hasOwnProperty(rowIndex) ||
            this.failedChildRows.hasOwnProperty(rowIndex)) {
            return this.expandedRows[rowIndex] || this.loadingChildRows[rowIndex] || this.failedChildRows[rowIndex];
        }
        return this.expandedRows['default'];
    }
    hasAfterSticky(isLast, hasMore, rowIndex) {
        return isLast && (hasMore || this.loadingChildRows[rowIndex] || this.failedChildRows[rowIndex]);
    }
    onExpendRowSuccess(rowIndex) {
        return () => {
            delete this.loadingChildRows[rowIndex];
        };
    }
    onExpendRowFailed(rowIndex) {
        return () => {
            delete this.loadingChildRows[rowIndex];
            this.failedChildRows[rowIndex] = true;
            this.cdr.detectChanges();
        };
    }
    static { this.ɵfac = function TableBasicComponent_Factory(t) { return new (t || TableBasicComponent)(i0.ɵɵdirectiveInject(i1.TableService), i0.ɵɵdirectiveInject(i0.ChangeDetectorRef)); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: TableBasicComponent, selectors: [["", "fusionTableBasic", ""]], inputs: { rows: "rows", columns: "columns", expandedRows: "expandedRows", options: "options", tableClientWidth: "tableClientWidth" }, outputs: { rowSelected: "rowSelected", expandRow: "expandRow" }, attrs: _c0$5, decls: 1, vars: 2, consts: [[4, "ngFor", "ngForOf", "ngForTrackBy"], ["fusionTableRow", "", 3, "rowIndex", "row", "columns", "options", "isRowSelected", "isExpanded", "isInnerRow", "ngClass", "ngStyle", "rowRemoved", "selectedChange", "expandRow"], [3, "ngTemplateOutlet", "ngTemplateOutletContext", 4, "ngIf"], ["childRowsTemplate", ""], [3, "ngTemplateOutlet", "ngTemplateOutletContext"], [4, "fusionLoadMore", "fusionLoadMoreOf", "fusionLoadMoreChunkSize"], ["class", "full-cell loader", 4, "ngIf"], ["class", "full-cell failed", 4, "ngIf"], ["fusionTableRow", "", 1, "is-inner-row", 3, "rowIndex", "row", "columns", "options", "isExpanded", "isInnerRow", "ngClass", "hasAfterSticky", "ngStyle", "expandRow"], ["class", "full-cell load-more", 4, "ngIf"], [1, "full-cell", "load-more"], [3, "click"], [1, "full-cell", "loader"], ["text", "Loading...", 3, "status"], [1, "full-cell", "failed"]], template: function TableBasicComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵtemplate(0, TableBasicComponent_ng_container_0_Template, 6, 14, "ng-container", 0);
        } if (rf & 2) {
            i0.ɵɵproperty("ngForOf", ctx.rows)("ngForTrackBy", ctx.trackByRowInvoke());
        } }, dependencies: [i2$1.NgClass, i2$1.NgForOf, i2$1.NgIf, i2$1.NgTemplateOutlet, i2$1.NgStyle, i3.LoaderInlineComponent, i4$1.LoadMoreDirective, TableRowComponent, i2$1.AsyncPipe, i6$1.GenericPipe], styles: ["[_nghost-%COMP%]   a[_ngcontent-%COMP%]{font-size:12px;font-family:var(--regular-font-family, \"Open Sans\");font-weight:600}[_nghost-%COMP%]   a[_ngcontent-%COMP%]{text-decoration:none;color:var(--primary-color, #3091F6);cursor:pointer}[_nghost-%COMP%]   a[_ngcontent-%COMP%]:link, [_nghost-%COMP%]   a[_ngcontent-%COMP%]:visited, [_nghost-%COMP%]   a[_ngcontent-%COMP%]:hover, [_nghost-%COMP%]   a[_ngcontent-%COMP%]:active{color:var(--primary-color, #3091F6)}[_nghost-%COMP%]   .full-cell[_ngcontent-%COMP%]{height:41px;background-color:var(--light-color-100, #F9FAFB)}[_nghost-%COMP%]   .full-cell.load-more[_ngcontent-%COMP%], [_nghost-%COMP%]   .full-cell.failed[_ngcontent-%COMP%]{height:27px}[_nghost-%COMP%]   .full-cell.load-more[_ngcontent-%COMP%]   p[_ngcontent-%COMP%], [_nghost-%COMP%]   .full-cell.failed[_ngcontent-%COMP%]   p[_ngcontent-%COMP%]{margin:0}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TableBasicComponent, [{
        type: Component,
        args: [{ selector: '[fusionTableBasic]', changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-container *ngFor=\"let row of rows; trackBy: trackByRowInvoke(); let rowIndex = index\">\n    <!--First parent row-->\n    <tr\n        fusionTableRow\n        [rowIndex]=\"rowIndex\"\n        [row]=\"row\"\n        [columns]=\"columns\"\n        [options]=\"options\"\n        [isRowSelected]=\"tableService.isRowSelected(row)\"\n        [isExpanded]=\"isExpanded(rowIndex)\"\n        [isInnerRow]=\"false\"\n        (rowRemoved)=\"tableService.removeRow({rows: rows, rowIndex: rowIndex, row: row, options: options})\"\n        (selectedChange)=\"tableService.onRowSelectChanged($event, row)\"\n        (expandRow)=\"onExpandRow($event)\"\n        [ngClass]=\"getRowClass.bind(this) | generic:row:rowIndex\"\n        [ngStyle]=\"!!options.rowsOptions && !!options.rowsOptions.global ? options.rowsOptions.global.style : null\"\n    ></tr>\n    <!--First parent row END-->\n    <!--Child rows-->\n    <ng-container\n        *ngIf=\"displayExpandableRows(rowIndex)\"\n        [ngTemplateOutlet]=\"childRowsTemplate\"\n        [ngTemplateOutletContext]=\"{$implicit: row[options.rowsExpandableOptions.key], parentIndex: rowIndex}\"\n    >\n    </ng-container>\n    <!--Child rows END-->\n    <!--Recursive template for child rows render-->\n    <ng-template #childRowsTemplate let-parentRowChildren let-parentIndex=\"parentIndex\">\n        <ng-container *fusionLoadMore=\"let displayRows$ of parentRowChildren; chunkSize: options.rowsExpandableOptions?.expendChunkSize || 10; let loadMore = loadMore; let hasMore$ = hasMore$;\">\n            <ng-container\n                *ngFor=\"let innerRow of displayRows$ | async; trackBy: trackByRowInvoke(); let innerRowIndex = index; let last = last\"\n            >\n                <tr\n                    fusionTableRow\n                    class=\"is-inner-row\"\n                    [rowIndex]=\"parentIndex + '_' + innerRowIndex\"\n                    [row]=\"innerRow\"\n                    [columns]=\"options.rowsExpandableOptions.columns\"\n                    [options]=\"childRowOptions\"\n                    [isExpanded]=\"isExpanded(parentIndex + '_' + innerRowIndex)\"\n                    [isInnerRow]=\"true\"\n                    [ngClass]=\"getRowClass.bind(this) | generic:innerRow:innerRowIndex\"\n                    [hasAfterSticky]=\"hasAfterSticky(last, hasMore$ | async, parentIndex + '_' + innerRowIndex)\"\n                    [ngStyle]=\"!!options.rowsOptions && !!options.rowsOptions.global ? options.rowsOptions.global.style : null\"\n                    (expandRow)=\"onExpandRow($event)\"\n                ></tr>\n                <tr class=\"full-cell load-more\" *ngIf=\"!loadingChildRows[parentIndex] && (hasMore$ | async) && last\">\n                    <td [attr.colspan]=\"fullCellColspan\">\n                        <a [style.margin-left.px]=\"getHalfTableClientWidth\" (click)=\"loadMore()\">Load more</a>\n                    </td>\n                </tr>\n                <!--recursive template invocation-->\n                <ng-container\n                    *ngIf=\"displayExpandableRows(parentIndex + '_' + innerRowIndex) && getInnerRows(parentIndex + '_' + innerRowIndex) as innerRows\"\n                    [ngTemplateOutlet]=\"childRowsTemplate\"\n                    [ngTemplateOutletContext]=\"{\n                        $implicit: innerRows,\n                        parentIndex: parentIndex + '_' + innerRowIndex\n                    }\"\n                >\n                </ng-container>\n            </ng-container>\n        </ng-container>\n        <tr class=\"full-cell loader\" *ngIf=\"loadingChildRows[parentIndex]\">\n            <td [attr.colspan]=\"fullCellColspan\">\n                <fusion-loader-inline [style.margin-left.px]=\"getHalfTableClientWidth\" [status]=\"true\" text=\"Loading...\">\n                </fusion-loader-inline>\n            </td>\n        </tr>\n        <tr class=\"full-cell failed\" *ngIf=\"failedChildRows[parentIndex]\">\n            <td [attr.colspan]=\"fullCellColspan\">\n                <p [style.margin-left.px]=\"getHalfTableClientWidth - 80\">\n                    Failed to load data...\n                    <a (click)=\"onExpandRow({rowIndex: rowIndex, row: row, isExpanded: true})\">Try again</a>\n                </p>\n            </td>\n        </tr>\n    </ng-template>\n    <!--Recursive template for child rows render END-->\n</ng-container>\n", styles: [":host a{font-size:12px;font-family:var(--regular-font-family, \"Open Sans\");font-weight:600}:host a{text-decoration:none;color:var(--primary-color, #3091F6);cursor:pointer}:host a:link,:host a:visited,:host a:hover,:host a:active{color:var(--primary-color, #3091F6)}:host .full-cell{height:41px;background-color:var(--light-color-100, #F9FAFB)}:host .full-cell.load-more,:host .full-cell.failed{height:27px}:host .full-cell.load-more p,:host .full-cell.failed p{margin:0}\n"] }]
    }], () => [{ type: i1.TableService }, { type: i0.ChangeDetectorRef }], { rows: [{
            type: Input
        }], columns: [{
            type: Input
        }], expandedRows: [{
            type: Input
        }], options: [{
            type: Input
        }], tableClientWidth: [{
            type: Input
        }], rowSelected: [{
            type: Output
        }], expandRow: [{
            type: Output
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(TableBasicComponent, { className: "TableBasicComponent", filePath: "components/table-basic/table-basic.component.ts", lineNumber: 19 }); })();

const _c0$4 = ["fusionTableEmpty", ""];
function TableEmptyComponent_ng_container_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelement(1, "fusion-dynamic-components", 2);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("configuration", ctx_r0.customContent);
} }
function TableEmptyComponent_ng_container_3_div_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 6);
    i0.ɵɵelement(1, "fusion-icon", 7);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r2 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵproperty("name", ctx_r2.icon);
} }
function TableEmptyComponent_ng_container_3_div_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "div", 8);
} }
function TableEmptyComponent_ng_container_3_div_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 9);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r4 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r4.subHeader);
} }
function TableEmptyComponent_ng_container_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, TableEmptyComponent_ng_container_3_div_1_Template, 2, 1, "div", 3)(2, TableEmptyComponent_ng_container_3_div_2_Template, 1, 0, "div", 4);
    i0.ɵɵelementStart(3, "label");
    i0.ɵɵtext(4);
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(5, TableEmptyComponent_ng_container_3_div_5_Template, 2, 1, "div", 5);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r1.icon);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r1.showNoDataImage);
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(ctx_r1.header);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r1.subHeader);
} }
class TableEmptyComponent {
    constructor() {
        this.showNoDataImage = true;
    }
    static { this.ɵfac = function TableEmptyComponent_Factory(t) { return new (t || TableEmptyComponent)(); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: TableEmptyComponent, selectors: [["", "fusionTableEmpty", ""]], inputs: { fusionTableEmpty: "fusionTableEmpty", customContent: "customContent", header: "header", subHeader: "subHeader", icon: "icon", showNoDataImage: "showNoDataImage" }, attrs: _c0$4, decls: 4, vars: 3, consts: [[1, "is-nodata"], [4, "ngIf"], [3, "configuration"], ["class", "icon-container", 4, "ngIf"], ["class", "no-data-img", 4, "ngIf"], ["class", "is-nodata-sub", 4, "ngIf"], [1, "icon-container"], [1, "empty-table-icon", 3, "name"], [1, "no-data-img"], [1, "is-nodata-sub"]], template: function TableEmptyComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "tr")(1, "td", 0);
            i0.ɵɵtemplate(2, TableEmptyComponent_ng_container_2_Template, 2, 1, "ng-container", 1)(3, TableEmptyComponent_ng_container_3_Template, 6, 4, "ng-container", 1);
            i0.ɵɵelementEnd()();
        } if (rf & 2) {
            i0.ɵɵadvance();
            i0.ɵɵattribute("colspan", ctx.fusionTableEmpty);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.customContent);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", !ctx.customContent);
        } }, dependencies: [i2$1.NgIf, i4.IconComponent, i8.DynamicComponentsComponent], styles: ["[_nghost-%COMP%]   .is-nodata[_ngcontent-%COMP%]{font-size:15px;font-family:NHaasGroteskDSPro-75Bd,sans-serif;font-weight:400}[_nghost-%COMP%]   .is-nodata[_ngcontent-%COMP%]   .is-nodata-sub[_ngcontent-%COMP%]{font-size:12px;font-family:HelveticaNeue,helvetica,sans-serif;font-weight:400;letter-spacing:.04px}[_nghost-%COMP%]   .is-nodata[_ngcontent-%COMP%]{text-align:center;color:var(--fu-light-800, #8e959d);padding:65px 0}[_nghost-%COMP%]   .is-nodata[_ngcontent-%COMP%]:hover{background-color:var(--fu-white, #ffffff)}[_nghost-%COMP%]   .is-nodata[_ngcontent-%COMP%]   .is-nodata-sub[_ngcontent-%COMP%]{padding-top:5px}[_nghost-%COMP%]   .is-nodata[_ngcontent-%COMP%]   .icon-container[_ngcontent-%COMP%]{padding-bottom:24px}[_nghost-%COMP%]   .is-nodata[_ngcontent-%COMP%]   .icon-container[_ngcontent-%COMP%]   fusion-icon[class^=empty-table-icon][_ngcontent-%COMP%]     svg{height:51px;width:42px}[_nghost-%COMP%]   .is-nodata[_ngcontent-%COMP%]   .icon-container[_ngcontent-%COMP%]   fusion-icon[class^=empty-table-icon][_ngcontent-%COMP%]     svg *{fill:var(--fu-light-600, #b7bbc0)}[_nghost-%COMP%]   .is-nodata[_ngcontent-%COMP%]   .no-data-img[_ngcontent-%COMP%]{display:block;height:57px;margin-bottom:11px;background:var(--table-empty-image, url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 96 57'%3E%3Cg fill='%23B7BBC0' fill-rule='evenodd'%3E%3Cpath d='M48 56.5c26.51 0 48-6.384 48-11.647S77.09 38.5 50.58 38.5C24.072 38.5 0 39.59 0 44.853S21.49 56.5 48 56.5z' opacity='.361'/%3E%3Cpath d='M56.37 1.224c.193-.562.8-.86 1.351-.663.553.197.845.814.65 1.375l-3.145 9.174a9.463 9.463 0 012.025 2.78c1.964.184 3.503 1.866 3.503 3.915 0 1.983-1.438 3.617-3.307 3.89a9.383 9.383 0 01-4.718 4.917v1.198H55c3.26 0 5.905 2.695 5.905 6.018 0 3.289-2.591 5.96-5.806 6.016v3.387a2.271 2.271 0 01-4.542 0v-3.386H47.35v3.385a2.272 2.272 0 01-4.544 0v-3.388C39.589 39.787 37 37.117 37 33.83c0-3.323 2.643-6.017 5.905-6.016h2.27v-1.198a9.383 9.383 0 01-4.717-4.916c-1.87-.277-3.308-1.911-3.308-3.891 0-2.049 1.54-3.732 3.505-3.918a9.48 9.48 0 012.025-2.78l-3.146-9.174a1.085 1.085 0 01.65-1.375 1.059 1.059 0 011.352.663l2.932 8.553a9.098 9.098 0 014.472-1.2h.022a9.066 9.066 0 014.475 1.2zm-.553 34.716a1.023 1.023 0 00-.158.545c0 .559.446 1.013.995 1.013.196 0 .38-.06.533-.163zm.837-.467c-.197 0-.38.06-.534.159l1.37 1.4c.099-.161.158-.348.161-.545 0-.563-.447-1.014-.997-1.014zm-.837-2.372a1.047 1.047 0 00-.16.544c0 .561.447 1.015.996 1.015.196 0 .381-.06.534-.162zm.837-.467c-.197 0-.38.06-.534.16l1.37 1.396c.099-.157.158-.344.161-.544 0-.56-.447-1.012-.997-1.012zm-.837-2.22a1.048 1.048 0 00-.16.545c0 .56.447 1.012.996 1.012.196 0 .381-.06.534-.16zm.837-.469c-.197 0-.38.06-.534.16l1.37 1.398c.099-.157.158-.343.161-.543 0-.562-.447-1.015-.997-1.015zm-7.69-18.82h-.023l-.236.005c-3.6.152-6.48 3.181-6.48 6.885 0 3.782 3.007 6.863 6.716 6.889h.022l.236-.006c3.599-.151 6.482-3.182 6.482-6.883 0-3.784-3.009-6.863-6.718-6.89zm-.01 1.08c3.127.02 5.667 2.616 5.667 5.81 0 3.192-2.54 5.786-5.667 5.809-3.13-.021-5.668-2.617-5.668-5.81 0-3.193 2.538-5.789 5.668-5.808zm.01 1.62h-.021c-2.252.027-4.068 1.89-4.068 4.19 0 2.297 1.816 4.162 4.068 4.189h.022l.203-.008c2.155-.132 3.862-1.953 3.862-4.181 0-2.3-1.815-4.163-4.065-4.19z'/%3E%3Cpath d='M21.244 16.256a.835.835 0 001.179 0l1.077-1.078 1.077 1.078a.835.835 0 001.179 0 .834.834 0 000-1.178L24.678 14l1.078-1.077a.835.835 0 00-1.179-1.179L23.5 12.822l-1.077-1.078a.835.835 0 00-1.179 1.179L22.322 14l-1.078 1.078a.834.834 0 000 1.178zm-6.996 10.902c.227.228.526.342.825.342.298 0 .597-.114.824-.342l1.509-1.508 1.508 1.508a1.162 1.162 0 001.65 0 1.166 1.166 0 000-1.65L19.055 24l1.509-1.508a1.166 1.166 0 10-1.65-1.65l-1.508 1.509-1.509-1.509a1.166 1.166 0 10-1.65 1.65L15.757 24l-1.51 1.509a1.168 1.168 0 000 1.65zm64.996-14.902a.835.835 0 001.179 0l1.077-1.078 1.077 1.078a.835.835 0 001.179 0 .834.834 0 000-1.178L82.678 10l1.078-1.077a.835.835 0 00-1.179-1.179L81.5 8.822l-1.077-1.078a.835.835 0 00-1.179 1.179L80.322 10l-1.078 1.078a.834.834 0 000 1.178z' opacity='.361'/%3E%3C/g%3E%3C/svg%3E\") center center no-repeat)}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TableEmptyComponent, [{
        type: Component,
        args: [{ selector: '[fusionTableEmpty]', changeDetection: ChangeDetectionStrategy.OnPush, template: "<tr>\n    <td class=\"is-nodata\" [attr.colspan]=\"fusionTableEmpty\">\n        <ng-container *ngIf=\"customContent\">\n            <fusion-dynamic-components [configuration]=\"customContent\"></fusion-dynamic-components>\n        </ng-container>\n        <ng-container *ngIf=\"!customContent\">\n            <div class=\"icon-container\" *ngIf=\"icon\">\n                <fusion-icon class=\"empty-table-icon\" [name]=\"icon\"></fusion-icon>\n            </div>\n            <div *ngIf=\"showNoDataImage\" class=\"no-data-img\"></div>\n            <label>{{ header }}</label>\n            <div class=\"is-nodata-sub\" *ngIf=\"subHeader\">{{ subHeader }}</div>\n        </ng-container>\n    </td>\n</tr>\n", styles: [":host .is-nodata{font-size:15px;font-family:NHaasGroteskDSPro-75Bd,sans-serif;font-weight:400}:host .is-nodata .is-nodata-sub{font-size:12px;font-family:HelveticaNeue,helvetica,sans-serif;font-weight:400;letter-spacing:.04px}:host .is-nodata{text-align:center;color:var(--fu-light-800, #8e959d);padding:65px 0}:host .is-nodata:hover{background-color:var(--fu-white, #ffffff)}:host .is-nodata .is-nodata-sub{padding-top:5px}:host .is-nodata .icon-container{padding-bottom:24px}:host .is-nodata .icon-container fusion-icon[class^=empty-table-icon] ::ng-deep svg{height:51px;width:42px}:host .is-nodata .icon-container fusion-icon[class^=empty-table-icon] ::ng-deep svg *{fill:var(--fu-light-600, #b7bbc0)}:host .is-nodata .no-data-img{display:block;height:57px;margin-bottom:11px;background:var(--table-empty-image, url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 96 57'%3E%3Cg fill='%23B7BBC0' fill-rule='evenodd'%3E%3Cpath d='M48 56.5c26.51 0 48-6.384 48-11.647S77.09 38.5 50.58 38.5C24.072 38.5 0 39.59 0 44.853S21.49 56.5 48 56.5z' opacity='.361'/%3E%3Cpath d='M56.37 1.224c.193-.562.8-.86 1.351-.663.553.197.845.814.65 1.375l-3.145 9.174a9.463 9.463 0 012.025 2.78c1.964.184 3.503 1.866 3.503 3.915 0 1.983-1.438 3.617-3.307 3.89a9.383 9.383 0 01-4.718 4.917v1.198H55c3.26 0 5.905 2.695 5.905 6.018 0 3.289-2.591 5.96-5.806 6.016v3.387a2.271 2.271 0 01-4.542 0v-3.386H47.35v3.385a2.272 2.272 0 01-4.544 0v-3.388C39.589 39.787 37 37.117 37 33.83c0-3.323 2.643-6.017 5.905-6.016h2.27v-1.198a9.383 9.383 0 01-4.717-4.916c-1.87-.277-3.308-1.911-3.308-3.891 0-2.049 1.54-3.732 3.505-3.918a9.48 9.48 0 012.025-2.78l-3.146-9.174a1.085 1.085 0 01.65-1.375 1.059 1.059 0 011.352.663l2.932 8.553a9.098 9.098 0 014.472-1.2h.022a9.066 9.066 0 014.475 1.2zm-.553 34.716a1.023 1.023 0 00-.158.545c0 .559.446 1.013.995 1.013.196 0 .38-.06.533-.163zm.837-.467c-.197 0-.38.06-.534.159l1.37 1.4c.099-.161.158-.348.161-.545 0-.563-.447-1.014-.997-1.014zm-.837-2.372a1.047 1.047 0 00-.16.544c0 .561.447 1.015.996 1.015.196 0 .381-.06.534-.162zm.837-.467c-.197 0-.38.06-.534.16l1.37 1.396c.099-.157.158-.344.161-.544 0-.56-.447-1.012-.997-1.012zm-.837-2.22a1.048 1.048 0 00-.16.545c0 .56.447 1.012.996 1.012.196 0 .381-.06.534-.16zm.837-.469c-.197 0-.38.06-.534.16l1.37 1.398c.099-.157.158-.343.161-.543 0-.562-.447-1.015-.997-1.015zm-7.69-18.82h-.023l-.236.005c-3.6.152-6.48 3.181-6.48 6.885 0 3.782 3.007 6.863 6.716 6.889h.022l.236-.006c3.599-.151 6.482-3.182 6.482-6.883 0-3.784-3.009-6.863-6.718-6.89zm-.01 1.08c3.127.02 5.667 2.616 5.667 5.81 0 3.192-2.54 5.786-5.667 5.809-3.13-.021-5.668-2.617-5.668-5.81 0-3.193 2.538-5.789 5.668-5.808zm.01 1.62h-.021c-2.252.027-4.068 1.89-4.068 4.19 0 2.297 1.816 4.162 4.068 4.189h.022l.203-.008c2.155-.132 3.862-1.953 3.862-4.181 0-2.3-1.815-4.163-4.065-4.19z'/%3E%3Cpath d='M21.244 16.256a.835.835 0 001.179 0l1.077-1.078 1.077 1.078a.835.835 0 001.179 0 .834.834 0 000-1.178L24.678 14l1.078-1.077a.835.835 0 00-1.179-1.179L23.5 12.822l-1.077-1.078a.835.835 0 00-1.179 1.179L22.322 14l-1.078 1.078a.834.834 0 000 1.178zm-6.996 10.902c.227.228.526.342.825.342.298 0 .597-.114.824-.342l1.509-1.508 1.508 1.508a1.162 1.162 0 001.65 0 1.166 1.166 0 000-1.65L19.055 24l1.509-1.508a1.166 1.166 0 10-1.65-1.65l-1.508 1.509-1.509-1.509a1.166 1.166 0 10-1.65 1.65L15.757 24l-1.51 1.509a1.168 1.168 0 000 1.65zm64.996-14.902a.835.835 0 001.179 0l1.077-1.078 1.077 1.078a.835.835 0 001.179 0 .834.834 0 000-1.178L82.678 10l1.078-1.077a.835.835 0 00-1.179-1.179L81.5 8.822l-1.077-1.078a.835.835 0 00-1.179 1.179L80.322 10l-1.078 1.078a.834.834 0 000 1.178z' opacity='.361'/%3E%3C/g%3E%3C/svg%3E\") center center no-repeat)}\n"] }]
    }], null, { fusionTableEmpty: [{
            type: Input
        }], customContent: [{
            type: Input
        }], header: [{
            type: Input
        }], subHeader: [{
            type: Input
        }], icon: [{
            type: Input
        }], showNoDataImage: [{
            type: Input
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(TableEmptyComponent, { className: "TableEmptyComponent", filePath: "components/table-empty/table-empty.component.ts", lineNumber: 11 }); })();

const _c0$3 = ["fusionTableRowGrouped", ""];
const _c1$1 = (a0, a1) => ({ x: a0, y: a1 });
function TableRowGroupedComponent_td_0_Template(rf, ctx) { if (rf & 1) {
    const _r5 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "td", 1);
    i0.ɵɵlistener("remove", function TableRowGroupedComponent_td_0_Template_td_remove_0_listener() { i0.ɵɵrestoreView(_r5); const ctx_r4 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r4.rowRemoved.emit()); })("selectedChange", function TableRowGroupedComponent_td_0_Template_td_selectedChange_0_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r6 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r6.onRowSelectedChange($event)); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const cell_r1 = ctx.$implicit;
    const cellIndex_r2 = ctx.index;
    const isLast_r3 = ctx.last;
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵstyleProp("width", ctx_r0.tableService.getWidth(ctx_r0.columns, ctx_r0.columns[ctx_r0.getColumnIndex(ctx_r0.row.data, cellIndex_r2)]));
    i0.ɵɵproperty("data", ctx_r0.getCellValue(cell_r1, ctx_r0.columns[ctx_r0.getColumnIndex(ctx_r0.row.data, cellIndex_r2)]))("column", ctx_r0.columns[ctx_r0.getColumnIndex(ctx_r0.row.data, cellIndex_r2)])("position", i0.ɵɵpureFunction2(8, _c1$1, ctx_r0.rowIndex, cellIndex_r2))("options", ctx_r0.options)("isRemove", ctx_r0.tableService.isRemove(isLast_r3, ctx_r0.options, ctx_r0.row.options));
    i0.ɵɵattribute("rowspan", ctx_r0.getCellRowspan(cell_r1));
} }
class TableRowGroupedComponent {
    constructor(tableService) {
        this.tableService = tableService;
        this.rowRemoved = new EventEmitter();
        this.selectedChanged = new EventEmitter();
        this.isRowSelected = false;
    }
    getCellRowspan(cell) {
        return typeof cell === 'object' && cell ? cell.rowspan : undefined;
    }
    getCellValue(cell, column) {
        if (!cell) {
            return cell;
        }
        else if (typeof cell !== 'object') {
            return cell;
        }
        else if (this.tableService.isTypeComponent(column)) {
            return cell.value ? cell.value : cell;
        }
        else {
            return cell.value;
        }
    }
    getColumnIndex(row, cellIndex) {
        return this.columns.length - row.length + cellIndex;
    }
    onRowSelectedChange(value) {
        this.selectedChanged.emit(value);
        this.isRowSelected = value;
    }
    static { this.ɵfac = function TableRowGroupedComponent_Factory(t) { return new (t || TableRowGroupedComponent)(i0.ɵɵdirectiveInject(i1.TableService)); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: TableRowGroupedComponent, selectors: [["", "fusionTableRowGrouped", ""]], hostVars: 2, hostBindings: function TableRowGroupedComponent_HostBindings(rf, ctx) { if (rf & 2) {
            i0.ɵɵclassProp("is-selected", ctx.isRowSelected);
        } }, inputs: { row: "row", columns: "columns", rowIndex: "rowIndex", options: "options" }, outputs: { rowRemoved: "rowRemoved", selectedChanged: "selectedChanged" }, attrs: _c0$3, decls: 1, vars: 1, consts: [["fusionTableCell", "", 3, "data", "column", "position", "options", "isRemove", "width", "remove", "selectedChange", 4, "ngFor", "ngForOf"], ["fusionTableCell", "", 3, "data", "column", "position", "options", "isRemove", "remove", "selectedChange"]], template: function TableRowGroupedComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵtemplate(0, TableRowGroupedComponent_td_0_Template, 1, 11, "td", 0);
        } if (rf & 2) {
            i0.ɵɵproperty("ngForOf", ctx.row.data);
        } }, dependencies: [i2$1.NgForOf, TableCellComponent], styles: ["[_nghost-%COMP%]:hover{background-color:var(--light-color-200, #F3F5F7)}.is-selected[_nghost-%COMP%]{background-color:var(--primary-color-100, #F3F9FF)}.is-row-disabled[_nghost-%COMP%]   td[_ngcontent-%COMP%]{color:var(--light-color-800, #678099);pointer-events:none}.is-row-disabled[_nghost-%COMP%]   td[_ngcontent-%COMP%]   fusion-icon[_ngcontent-%COMP%]{opacity:.6}"] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TableRowGroupedComponent, [{
        type: Component,
        args: [{ selector: '[fusionTableRowGrouped]', template: "<td *ngFor=\"let cell of row.data; let cellIndex = index; let isLast = last\"\n    [attr.rowspan]=\"getCellRowspan(cell)\"\n    fusionTableCell\n    [data]=\"getCellValue(cell, columns[getColumnIndex(row.data, cellIndex)])\"\n    [column]=\"columns[getColumnIndex(row.data, cellIndex)]\"\n    [position]=\"{x: rowIndex, y: cellIndex}\"\n    [options]=\"options\"\n    [isRemove]=\"tableService.isRemove(isLast, options, row.options)\"\n    (remove)=\"rowRemoved.emit()\"\n    (selectedChange)=\"onRowSelectedChange($event)\"\n    [style.width]=\"tableService.getWidth(columns, columns[getColumnIndex(row.data, cellIndex)])\"\n>\n</td>\n", styles: [":host:hover{background-color:var(--light-color-200, #F3F5F7)}:host.is-selected{background-color:var(--primary-color-100, #F3F9FF)}:host.is-row-disabled td{color:var(--light-color-800, #678099);pointer-events:none}:host.is-row-disabled td fusion-icon{opacity:.6}\n"] }]
    }], () => [{ type: i1.TableService }], { row: [{
            type: Input
        }], columns: [{
            type: Input
        }], rowIndex: [{
            type: Input
        }], options: [{
            type: Input
        }], rowRemoved: [{
            type: Output
        }], selectedChanged: [{
            type: Output
        }], isRowSelected: [{
            type: HostBinding,
            args: ['class.is-selected']
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(TableRowGroupedComponent, { className: "TableRowGroupedComponent", filePath: "components/table-row-grouped/table-row-grouped.component.ts", lineNumber: 10 }); })();

const _c0$2 = ["fusionTableGrouped", ""];
function TableGroupedComponent_tr_0_Template(rf, ctx) { if (rf & 1) {
    const _r4 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "tr", 1);
    i0.ɵɵlistener("rowRemoved", function TableGroupedComponent_tr_0_Template_tr_rowRemoved_0_listener() { const restoredCtx = i0.ɵɵrestoreView(_r4); const row_r1 = restoredCtx.$implicit; const rowIndex_r2 = restoredCtx.index; const ctx_r3 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r3.tableService.removeRow({ rows: ctx_r3.tableBody, row: row_r1, options: ctx_r3.options, rowIndex: rowIndex_r2 })); })("selectedChanged", function TableGroupedComponent_tr_0_Template_tr_selectedChanged_0_listener($event) { const restoredCtx = i0.ɵɵrestoreView(_r4); const row_r1 = restoredCtx.$implicit; const ctx_r5 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r5.onRowSelectChanged($event, row_r1)); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const row_r1 = ctx.$implicit;
    const rowIndex_r2 = ctx.index;
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵproperty("row", row_r1)("ngClass", ctx_r0.getClass(row_r1))("columns", ctx_r0.columns)("rowIndex", rowIndex_r2)("options", ctx_r0.options);
} }
class TableGroupedComponent {
    constructor(tableService) {
        this.tableService = tableService;
        this.options = null;
        // eslint-disable-next-line
        this.rowSelected = new EventEmitter();
        this.tableBody = [];
    }
    ngOnChanges(changes) {
        this.tableBody = [];
        if (changes.rows.currentValue) {
            const initArray = !isUndefined(this.rows.value)
                ? [
                    {
                        value: this.rows.value,
                        rowspan: this.rows.children.length
                    }
                ]
                : [];
            this._buildTable(this.rows.children, initArray);
        }
    }
    _buildTable(rows, parentValues, options) {
        let values;
        for (let index = 0; index < rows.length; index++) {
            const row = rows[index];
            if (!row.children) {
                const rowData = row.data || row;
                values = index === 0 ? [...parentValues, ...rowData] : rowData;
                const rowOptions = (index === 0 ? options : row.options) || {};
                this.tableBody.push({ data: values, options: rowOptions });
            }
            else {
                if (index === 0) {
                    const newParentValues = parentValues.map(obj => {
                        return {
                            value: obj.value,
                            rowspan: obj.rowspan * row.children.length
                        };
                    });
                    values = [...newParentValues, { value: row.value, rowspan: row.children.length }];
                }
                else {
                    values = [{ value: row.value, rowspan: row.children.length }];
                }
                this._buildTable(row.children, values, row.options);
            }
        }
    }
    getClass(row) {
        return row.options && row.options.class;
    }
    onRowSelectChanged(isSelected, row) {
        this.rowSelected.emit({ isSelected, row });
    }
    static { this.ɵfac = function TableGroupedComponent_Factory(t) { return new (t || TableGroupedComponent)(i0.ɵɵdirectiveInject(i1.TableService)); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: TableGroupedComponent, selectors: [["", "fusionTableGrouped", ""]], inputs: { rows: "rows", columns: "columns", options: "options" }, outputs: { rowSelected: "rowSelected" }, features: [i0.ɵɵNgOnChangesFeature], attrs: _c0$2, decls: 1, vars: 1, consts: [["fusionTableRowGrouped", "", 3, "row", "ngClass", "columns", "rowIndex", "options", "rowRemoved", "selectedChanged", 4, "ngFor", "ngForOf"], ["fusionTableRowGrouped", "", 3, "row", "ngClass", "columns", "rowIndex", "options", "rowRemoved", "selectedChanged"]], template: function TableGroupedComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵtemplate(0, TableGroupedComponent_tr_0_Template, 1, 5, "tr", 0);
        } if (rf & 2) {
            i0.ɵɵproperty("ngForOf", ctx.tableBody);
        } }, dependencies: [i2$1.NgClass, i2$1.NgForOf, TableRowGroupedComponent], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TableGroupedComponent, [{
        type: Component,
        args: [{ selector: '[fusionTableGrouped]', changeDetection: ChangeDetectionStrategy.OnPush, template: "<tr\n    *ngFor=\"let row of tableBody; let rowIndex = index\"\n    fusionTableRowGrouped\n    [row]=\"row\"\n    [ngClass]=\"getClass(row)\"\n    [columns]=\"columns\"\n    [rowIndex]=\"rowIndex\"\n    [options]=\"options\"\n    (rowRemoved)=\"tableService.removeRow({rows: tableBody, row: row, options: options, rowIndex: rowIndex})\"\n    (selectedChanged)=\"onRowSelectChanged($event, row)\"\n></tr>\n" }]
    }], () => [{ type: i1.TableService }], { rows: [{
            type: Input
        }], columns: [{
            type: Input
        }], options: [{
            type: Input
        }], rowSelected: [{
            type: Output
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(TableGroupedComponent, { className: "TableGroupedComponent", filePath: "components/table-grouped/table-grouped.component.ts", lineNumber: 13 }); })();

const _c0$1 = ["fusionTableLoading", ""];
class TableLoadingComponent {
    static { this.ɵfac = function TableLoadingComponent_Factory(t) { return new (t || TableLoadingComponent)(); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: TableLoadingComponent, selectors: [["", "fusionTableLoading", ""]], inputs: { fusionTableLoading: "fusionTableLoading" }, attrs: _c0$1, decls: 4, vars: 2, consts: [[1, "is-tbl-loader"], ["height", "150", 3, "status"]], template: function TableLoadingComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "tr")(1, "td", 0)(2, "fusion-loader", 1);
            i0.ɵɵtext(3, "Loading Please Wait\u2026");
            i0.ɵɵelementEnd()()();
        } if (rf & 2) {
            i0.ɵɵadvance();
            i0.ɵɵattribute("colspan", ctx.fusionTableLoading);
            i0.ɵɵadvance();
            i0.ɵɵproperty("status", true);
        } }, dependencies: [i6.LoaderComponent], styles: ["[_nghost-%COMP%]   .is-tbl-loader[_ngcontent-%COMP%]{padding:20px 0}"] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TableLoadingComponent, [{
        type: Component,
        args: [{ selector: '[fusionTableLoading]', template: "<tr>\n  <td class=\"is-tbl-loader\" [attr.colspan]=\"fusionTableLoading\">\n    <fusion-loader [status]='true' height='150'>Loading Please Wait\u2026</fusion-loader>\n  </td>\n</tr>\n", styles: [":host .is-tbl-loader{padding:20px 0}\n"] }]
    }], null, { fusionTableLoading: [{
            type: Input
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(TableLoadingComponent, { className: "TableLoadingComponent", filePath: "components/table-loading/table-loading.component.ts", lineNumber: 9 }); })();

const _c0 = ["stringCell"];
const _c1 = ["checkboxCell"];
const _c2 = ["templateCell"];
const _c3 = ["table"];
const _c4 = ["tableWrapper"];
const _c5 = ["tableBody"];
function TableComponent_table_2_ng_container_2_thead_1_td_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "td", 16);
    i0.ɵɵelement(1, "span");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r12 = i0.ɵɵnextContext(4);
    i0.ɵɵclassProp("sticky-left", ctx_r12.options == null ? null : ctx_r12.options.rowsExpandableOptions == null ? null : ctx_r12.options.rowsExpandableOptions.sticky);
} }
function TableComponent_table_2_ng_container_2_thead_1_td_3_ng_container_1_fusion_icon_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 22);
} if (rf & 2) {
    const ctx_r20 = i0.ɵɵnextContext(6);
    i0.ɵɵproperty("name", ctx_r20.configIconNames.iconSort);
} }
function TableComponent_table_2_ng_container_2_thead_1_td_3_ng_container_1_fusion_icon_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 23);
} if (rf & 2) {
    const column_r14 = i0.ɵɵnextContext(2).$implicit;
    const ctx_r21 = i0.ɵɵnextContext(4);
    i0.ɵɵproperty("name", column_r14.tooltipIcon || ctx_r21.configIconNames.iconInfo)("fusionTooltip", column_r14.tooltip);
} }
function TableComponent_table_2_ng_container_2_thead_1_td_3_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, TableComponent_table_2_ng_container_2_thead_1_td_3_ng_container_1_fusion_icon_1_Template, 1, 1, "fusion-icon", 20);
    i0.ɵɵtext(2);
    i0.ɵɵtemplate(3, TableComponent_table_2_ng_container_2_thead_1_td_3_ng_container_1_fusion_icon_3_Template, 1, 2, "fusion-icon", 21);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const column_r14 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", column_r14.sort);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", column_r14.title, " ");
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", column_r14.tooltip);
} }
function TableComponent_table_2_ng_container_2_thead_1_td_3_fusion_multi_dropdown_2_Template(rf, ctx) { if (rf & 1) {
    const _r26 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-multi-dropdown", 24);
    i0.ɵɵlistener("selectedChange", function TableComponent_table_2_ng_container_2_thead_1_td_3_fusion_multi_dropdown_2_Template_fusion_multi_dropdown_selectedChange_0_listener($event) { i0.ɵɵrestoreView(_r26); const column_r14 = i0.ɵɵnextContext().$implicit; const ctx_r24 = i0.ɵɵnextContext(4); return i0.ɵɵresetView(ctx_r24.filterColumn(column_r14, $event)); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const column_r14 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵproperty("selected", column_r14.filter.selected)("options", column_r14.filter.options)("confirm", true)("search", true);
} }
function TableComponent_table_2_ng_container_2_thead_1_td_3_fusion_checkbox_3_Template(rf, ctx) { if (rf & 1) {
    const _r29 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-checkbox", 25);
    i0.ɵɵlistener("changed", function TableComponent_table_2_ng_container_2_thead_1_td_3_fusion_checkbox_3_Template_fusion_checkbox_changed_0_listener($event) { i0.ɵɵrestoreView(_r29); const ctx_r28 = i0.ɵɵnextContext(5); return i0.ɵɵresetView(ctx_r28.tableService.onRowsSelectChanged(ctx_r28.options.isGroupedTable, ctx_r28.rows, $event)); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r19 = i0.ɵɵnextContext(5);
    i0.ɵɵproperty("checked", ctx_r19.tableService.isAllRowsSelected(ctx_r19.rows))("isIndeterminate", ctx_r19.tableService.isPartialSelected(ctx_r19.rows))("name", "rows_all");
} }
function TableComponent_table_2_ng_container_2_thead_1_td_3_Template(rf, ctx) { if (rf & 1) {
    const _r31 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "td", 17);
    i0.ɵɵlistener("click", function TableComponent_table_2_ng_container_2_thead_1_td_3_Template_td_click_0_listener() { const restoredCtx = i0.ɵɵrestoreView(_r31); const column_r14 = restoredCtx.$implicit; const ctx_r30 = i0.ɵɵnextContext(4); return i0.ɵɵresetView(ctx_r30.onHeaderClicked(column_r14)); });
    i0.ɵɵtemplate(1, TableComponent_table_2_ng_container_2_thead_1_td_3_ng_container_1_Template, 4, 3, "ng-container", 3)(2, TableComponent_table_2_ng_container_2_thead_1_td_3_fusion_multi_dropdown_2_Template, 1, 4, "fusion-multi-dropdown", 18)(3, TableComponent_table_2_ng_container_2_thead_1_td_3_fusion_checkbox_3_Template, 1, 3, "fusion-checkbox", 19);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const column_r14 = ctx.$implicit;
    const isLast_r15 = ctx.last;
    const isFirst_r16 = ctx.first;
    const ctx_r13 = i0.ɵɵnextContext(4);
    i0.ɵɵstyleProp("width", ctx_r13.tableService.setWidth(isLast_r15, column_r14.width));
    i0.ɵɵproperty("ngClass", ctx_r13.tableService.getColumnClasses(column_r14, true))("ngStyle", ctx_r13.tableService.getColumnStyle(column_r14));
    i0.ɵɵattribute("data-col-key", column_r14.key)("colspan", isFirst_r16 ? ctx_r13.tableService.expandLevels : undefined);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r13.configIconNames);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", column_r14.filter && column_r14.filter.options);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r13.tableService.isTypeCheckbox(column_r14) && ctx_r13.isAllRowsSelectable && !ctx_r13.isEmpty && ctx_r13.isCheckboxTitleShown);
} }
function TableComponent_table_2_ng_container_2_thead_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "thead", 12)(1, "tr", 13);
    i0.ɵɵtemplate(2, TableComponent_table_2_ng_container_2_thead_1_td_2_Template, 2, 2, "td", 14)(3, TableComponent_table_2_ng_container_2_thead_1_td_3_Template, 4, 9, "td", 15);
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const ctx_r8 = i0.ɵɵnextContext(3);
    i0.ɵɵproperty("hidden", (ctx_r8.isEmpty || ctx_r8.loading && !ctx_r8.isLoadingOverlay) && ctx_r8.hideHeaderOnEmpty);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngStyle", !!ctx_r8.options.rowsOptions && !!ctx_r8.options.rowsOptions.headerRow ? ctx_r8.options.rowsOptions.headerRow.style : null);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", !!(ctx_r8.options == null ? null : ctx_r8.options.rowsExpandableOptions));
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngForOf", ctx_r8.columns)("ngForTrackBy", ctx_r8.trackByFunc);
} }
function TableComponent_table_2_ng_container_2_tbody_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "tbody", 26);
} if (rf & 2) {
    const ctx_r9 = i0.ɵɵnextContext(3);
    i0.ɵɵproperty("fusionTableLoading", ctx_r9.colsCount);
} }
function TableComponent_table_2_ng_container_2_tbody_3_Template(rf, ctx) { if (rf & 1) {
    const _r34 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "tbody", 27, 28);
    i0.ɵɵlistener("rowSelected", function TableComponent_table_2_ng_container_2_tbody_3_Template_tbody_rowSelected_0_listener($event) { i0.ɵɵrestoreView(_r34); const ctx_r33 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r33.selectionChanged.emit($event)); })("expandRow", function TableComponent_table_2_ng_container_2_tbody_3_Template_tbody_expandRow_0_listener($event) { i0.ɵɵrestoreView(_r34); const ctx_r35 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r35.doExpandRow($event)); })("click", function TableComponent_table_2_ng_container_2_tbody_3_Template_tbody_click_0_listener($event) { i0.ɵɵrestoreView(_r34); const ctx_r36 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r36.onTableBodyClicked($event)); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r10 = i0.ɵɵnextContext(3);
    i0.ɵɵproperty("rows", ctx_r10.tableRows)("columns", ctx_r10.columns)("options", ctx_r10.options)("tableClientWidth", ctx_r10.getTableClientWidth())("expandedRows", ctx_r10.expandedRows);
} }
function TableComponent_table_2_ng_container_2_tbody_4_Template(rf, ctx) { if (rf & 1) {
    const _r38 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "tbody", 29);
    i0.ɵɵlistener("rowSelected", function TableComponent_table_2_ng_container_2_tbody_4_Template_tbody_rowSelected_0_listener($event) { i0.ɵɵrestoreView(_r38); const ctx_r37 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r37.selectionChanged.emit($event)); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r11 = i0.ɵɵnextContext(3);
    i0.ɵɵproperty("rows", ctx_r11.groupedTableRows)("columns", ctx_r11.columns)("options", ctx_r11.options);
} }
function TableComponent_table_2_ng_container_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, TableComponent_table_2_ng_container_2_thead_1_Template, 4, 5, "thead", 8)(2, TableComponent_table_2_ng_container_2_tbody_2_Template, 1, 1, "tbody", 9)(3, TableComponent_table_2_ng_container_2_tbody_3_Template, 2, 5, "tbody", 10)(4, TableComponent_table_2_ng_container_2_tbody_4_Template, 1, 3, "tbody", 11);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r5 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r5.columns.length);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r5.loading && !ctx_r5.isLoadingOverlay);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", !ctx_r5.options.isGroupedTable && (!ctx_r5.loading || ctx_r5.isLoadingOverlay) && !ctx_r5.isEmpty);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r5.options.isGroupedTable && (!ctx_r5.loading || ctx_r5.isLoadingOverlay) && !ctx_r5.isEmpty);
} }
function TableComponent_table_2_tbody_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "tbody", 30);
} if (rf & 2) {
    const ctx_r6 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("fusionTableEmpty", ctx_r6.colsCount)("customContent", ctx_r6.options == null ? null : ctx_r6.options.customNoData)("header", ctx_r6.noDataMessage)("subHeader", ctx_r6.noDataSubMessage)("icon", ctx_r6.options == null ? null : ctx_r6.options.emptyTableIcon);
} }
function TableComponent_table_2_tbody_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "tbody", 31);
} if (rf & 2) {
    const ctx_r7 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("fusionTableEmpty", ctx_r7.colsCount)("showNoDataImage", false);
} }
function TableComponent_table_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "table", 4, 5);
    i0.ɵɵtemplate(2, TableComponent_table_2_ng_container_2_Template, 5, 4, "ng-container", 3)(3, TableComponent_table_2_tbody_3_Template, 1, 5, "tbody", 6)(4, TableComponent_table_2_tbody_4_Template, 1, 2, "tbody", 7);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵproperty("id", ctx_r1.id);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", ctx_r1.columns && ctx_r1.options);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", !ctx_r1.loading && ctx_r1.isEmpty);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r1.isEmpty && ctx_r1.loading);
} }
function TableComponent_ng_container_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "fusion-loader", 32);
    i0.ɵɵtext(2, "Loading Please Wait\u2026");
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    i0.ɵɵadvance();
    i0.ɵɵproperty("status", true);
} }
function TableComponent_ng_container_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "div", 33)(2, "fusion-loader", 34);
    i0.ɵɵtext(3, "Loading Please Wait\u2026");
    i0.ɵɵelementEnd()();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("status", true);
} }
class TableComponent {
    set rows(value) {
        this._rows = value.map(row => ({ ...row })) ?? [];
        this.initRows();
    }
    set expandedRows(value) {
        this.onExternalExpandRowChanged(value);
        this._expandedRows = value;
    }
    get isFixedHeader() {
        return !isNullOrUndefined(this.options) && !isNullOrUndefined(this.options.stickyHeader) && this.options.stickyHeader;
    }
    get isEmpty() {
        return this.tableService.isTableEmpty(this.rows, this.options.isGroupedTable, this.options.hasTotalsRow);
    }
    get isLoading() {
        return this.loading;
    }
    get onVerticalScroll() {
        if (this.tableWrapperElement) {
            return this.tableWrapperElement.nativeElement.scrollTop > 0;
        }
    }
    get isCheckboxTitleShown() {
        return this.columns ? this.columns.some(column => column.type === TableColumnTypeEnum.Checkbox && column.title !== '') : false;
    }
    get isLoadingOverlay() {
        return (isNullOrUndefined(this.options) || // default - true
            isNullOrUndefined(this.options.isLoadingOverlayMode) || // default - true
            this.options.isLoadingOverlayMode // get from options
        );
    }
    get tableRows() {
        return this.rows;
    }
    get groupedTableRows() {
        return this.rows;
    }
    get colsCount() {
        let columnsCount = Array.isArray(this.columns) ? this.columns.length : 1;
        if (!!this.options && this.options.rowsExpandableOptions) {
            columnsCount += !!this.options.rowsExpandableOptions.expandLevels ? this.options.rowsExpandableOptions.expandLevels : 1;
        }
        return columnsCount;
    }
    get expandedRows() {
        return this._expandedRows;
    }
    get rows() {
        return this._rows;
    }
    constructor(tableService, uniqueService, cdr) {
        this.tableService = tableService;
        this.uniqueService = uniqueService;
        this.cdr = cdr;
        this.options = {};
        this.columns = [];
        this.sortTableOnDataChanges = false;
        this.sortChanged = new EventEmitter();
        this.selectionChanged = this.tableService.selectionChanged;
        this.rowModelChange = this.tableService.rowModelChange;
        this.rowClicked = new EventEmitter();
        this.scrollDown = new EventEmitter();
        // on expand icon clicked. No need in case static data and one expand level
        this.expandRow = new EventEmitter();
        // two-way binding for expandedRows map used in case no expandRow subscription in host for sync this value
        this.expandedRowsChange = new EventEmitter();
        this.isRowsInit = false;
        this.tableMainError = false;
        this._expandedRows = {};
        this.currentExpandedMap = {};
        this.onDestroy$ = new Subject();
        this._rows = [];
    }
    ngOnInit() {
        if (!!this.options.rowsExpandableOptions) {
            try {
                this.tableService.setExpandLevelByExpandOptions(this.options.rowsExpandableOptions);
            }
            catch (e) {
                this.tableMainError = true;
                throw new Error(e);
            }
        }
        const uniqueId = this.uniqueService.getUniqueId();
        this.id = this.id || `isTable${uniqueId}`;
        this.noDataMessage = isNullOrUndefined(this.options.noDataMessage) ? 'No Data to Display' : this.options.noDataMessage;
        this.noDataSubMessage = this.options.noDataSubMessage || '';
        this.hideHeaderOnEmpty = !isNullOrUndefined(this.options.hideHeaderOnEmpty) ? this.options.hideHeaderOnEmpty : false;
        this.isAllRowsSelectable = typeof this.options.isAllRowsSelectable === 'undefined' ? true : this.options.isAllRowsSelectable;
        this.tableService.clearSelectedRows();
        this.scrollListeners();
        this.configIconNames = CONFIG_TABLE_BY_UI_STYLE[`style_v2`];
        this.wrapperClasses = this.getWrapperClasses();
        this.ignoredParentSelectorsRowClickEvent = ROW_CLICK_SUPPRESS_FOR_PARENT_SELECTORS.concat(this.options.rowsOptions?.ignoredParentSelectorsRowClickEvent ?? []);
        if (this.sortTableOnDataChanges && this.columns.find(col => !!col.sort)) {
            this.doLocalSorting();
        }
    }
    ngOnDestroy() {
        this.onDestroy$.next();
        this.onDestroy$.complete();
    }
    onHeaderClicked(col) {
        if (!this.tableService.isColumnSortable(col)) {
            return;
        }
        const sortKey = col.key;
        if (!(this.options && this.options.sortingType && this.options.sortingType === 'external')) {
            this.localSorting(sortKey);
        }
        this.sortChanged.emit(sortKey);
    }
    filterColumn(column, filterIn) {
        if (column.filter.changed && column.filter.options) {
            const isAllFiltered = column.filter.options.length === filterIn.length || filterIn.length === 0;
            column.filter.changed.emit(isAllFiltered ? [] : filterIn);
        }
    }
    replaceSelectedRows({ selectedTableRows, iditicationFunc }) {
        this.tableService.replaceSelectedRows({ selectedTableRows, iditicationFunc });
    }
    doExpandRow({ rowIndex, row, isExpanded, successCallback, failedCallback, updateMap }) {
        if (!!this.expandRow.observers.length) {
            // has expandRow event subscription in host
            if (Array.isArray(this.rows)) {
                this.expandRow.emit({ rowIndex, row, isExpanded, successCallback, failedCallback, updateMap });
                this.currentExpandedMap = { ...this.currentExpandedMap, [rowIndex]: isExpanded };
            }
        }
        else {
            successCallback();
            this.updateExpandedRowsMap(rowIndex, isExpanded);
        }
    }
    trackByFunc(index, column) {
        return column && column.key ? column.key : index;
    }
    getTableClientWidth() {
        if (this.tableWrapperElement) {
            return this.tableWrapperElement.nativeElement.clientWidth;
        }
    }
    onTableBodyClicked($event) {
        if (!this.isElementChildOfSuppressed($event.target)) {
            const rowEl = $event.target.closest('tr');
            const rowIndex = rowEl.dataset.rowIdx;
            const rowData = this.rows[rowIndex];
            this.rowClicked.emit({ $event, rowIndex, rowEl, rowData });
        }
    }
    initRows() {
        if (!this.options?.isGroupedTable && this.rows?.length) {
            this.tableService.initSelectedRows(this.rows);
        }
        this.doLocalSorting();
    }
    doLocalSorting() {
        if (Array.isArray(this.rows) && this.columns && this.sortTableOnDataChanges) {
            const sortedColumn = this.columns.find(col => !!col.sort);
            if (sortedColumn) {
                sortedColumn.sort = sortedColumn.sort === 'asc' ? 'desc' : 'asc';
                this.localSorting(sortedColumn.key);
            }
        }
    }
    isElementChildOfSuppressed(element) {
        return this.ignoredParentSelectorsRowClickEvent.some((selector) => {
            return element.closest(selector);
        });
    }
    updateExpandedRowsMap(rowIndex, isExpanded) {
        this._expandedRows = { ...this._expandedRows, [rowIndex]: isExpanded };
        this.expandedRowsChange.emit(this._expandedRows);
    }
    onExternalExpandRowChanged(newValue) {
        const diffMap = this.getRowsToExpandToggle(this.currentExpandedMap, newValue);
        this.currentExpandedMap = newValue;
        if (diffMap.includes('default')) {
            const rowsInTable = this.rows.length;
            [...Array(rowsInTable).keys()].forEach(rowIndex => {
                this.callOnExpandRow({
                    rowIndex: rowIndex,
                    row: this.rows[rowIndex],
                    isExpanded: newValue['default']
                });
            });
        }
        else {
            diffMap.forEach(rowIndex => {
                this.callOnExpandRow({
                    rowIndex: parseInt(rowIndex, 10),
                    row: this.rows[rowIndex],
                    isExpanded: newValue[rowIndex]
                });
            });
        }
    }
    callOnExpandRow({ rowIndex, row, isExpanded }) {
        this.tableBodyComponent.onExpandRow({ rowIndex, row, isExpanded }, false);
    }
    getRowsToExpandToggle(curValue, newValue) {
        return Object.keys(newValue)
            .map(key => {
            if (newValue[key] !== curValue[key]) {
                return key;
            }
            return null;
        })
            .filter(Boolean);
    }
    getWrapperClasses() {
        const classes = [];
        if (!!this.options && !!this.options.rowHeight) {
            classes.push(`is-row-height-${this.options.rowHeight}`);
        }
        return classes;
    }
    scrollListeners() {
        defer(() => fromEvent(this.tableWrapperElement.nativeElement, 'scroll').pipe(takeUntil(this.onDestroy$), tap(_ => {
            const scrollLeft = this.tableWrapperElement.nativeElement.scrollLeft;
            if (this.lastScrollLeftValue !== scrollLeft) {
                this.isScrollRight = scrollLeft > 0;
                this.lastScrollLeftValue = scrollLeft;
                this.cdr.markForCheck();
            }
        }), debounceTime(10))).subscribe(this.onScroll.bind(this));
    }
    localSorting(sortKey) {
        let isAscSort;
        const tableRows = [...this.rows];
        // reset header sort options
        this.columns.forEach(col => {
            if (col.key !== sortKey) {
                if (!isUndefined(col.sort)) {
                    col.sort = '';
                }
            }
            else {
                col.sort = col.sort === '' ? 'asc' : col.sort === 'asc' ? 'desc' : 'asc';
                isAscSort = col.sort === 'asc';
            }
        });
        let totalRow = [];
        let otherRows = [];
        if (!isNullOrUndefined(this.options.hasTotalsRow) && this.options.hasTotalsRow) {
            totalRow = tableRows.slice(0, 1);
            otherRows = tableRows.slice(1);
        }
        else {
            otherRows = tableRows;
        }
        otherRows.sort((a, b) => {
            if (isNullOrUndefined(a[sortKey]) || isNullOrUndefined(b[sortKey])) {
                return 0;
            }
            // if data type - numeric
            if (!Array.isArray(a[sortKey]) && !isNaN(a[sortKey]) && !isNaN(b[sortKey]) && a[sortKey] - parseFloat(a[sortKey]) + 1 >= 0) {
                return isAscSort ? a[sortKey] - b[sortKey] : (a[sortKey] - b[sortKey]) * -1;
            }
            // if it string;
            const strA = a[sortKey].toString().toUpperCase();
            const strB = b[sortKey].toString().toUpperCase();
            if (strA < strB) {
                return isAscSort ? -1 : 1;
            }
            if (strA > strB) {
                return isAscSort ? 1 : -1;
            }
            return 0;
        });
        this._rows = [...totalRow, ...otherRows].filter(Boolean);
    }
    onScroll($event) {
        const target = $event.target || $event;
        if (!this.options.pagination || this.options.pagination.loading || !this.options.pagination.enable) {
            return;
        }
        const top = this.tableWrapperElement.nativeElement.scrollTop;
        if (top >= this.tableElement.nativeElement.offsetHeight - this.tableWrapperElement.nativeElement.offsetHeight - 100) {
            if (!this.options.pagination.handleLoadingFromHost) {
                this.options.pagination.loading = true;
            }
            this.scrollDown.emit(target);
        }
    }
    static { this.ɵfac = function TableComponent_Factory(t) { return new (t || TableComponent)(i0.ɵɵdirectiveInject(i1.TableService), i0.ɵɵdirectiveInject(i2$2.UniqueIdService), i0.ɵɵdirectiveInject(i0.ChangeDetectorRef)); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: TableComponent, selectors: [["fusion-table"]], viewQuery: function TableComponent_Query(rf, ctx) { if (rf & 1) {
            i0.ɵɵviewQuery(_c0, 5);
            i0.ɵɵviewQuery(_c1, 5);
            i0.ɵɵviewQuery(_c2, 5);
            i0.ɵɵviewQuery(_c3, 5);
            i0.ɵɵviewQuery(_c4, 7);
            i0.ɵɵviewQuery(_c5, 5);
        } if (rf & 2) {
            let _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.stringCell = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.checkboxCell = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.templateCell = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.tableElement = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.tableWrapperElement = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.tableBodyComponent = _t.first);
        } }, hostVars: 10, hostBindings: function TableComponent_HostBindings(rf, ctx) { if (rf & 2) {
            i0.ɵɵclassProp("fixed-table", ctx.isFixedHeader)("is-empty", ctx.isEmpty)("is-loading", ctx.isLoading)("on-scroll-right", ctx.isScrollRight)("on-vertical-scroll", ctx.onVerticalScroll);
        } }, inputs: { id: "id", options: "options", columns: "columns", rows: "rows", loading: "loading", sortTableOnDataChanges: "sortTableOnDataChanges", expandedRows: "expandedRows" }, outputs: { sortChanged: "sortChanged", selectionChanged: "selectionChanged", rowModelChange: "rowModelChange", rowClicked: "rowClicked", scrollDown: "scrollDown", expandRow: "expandRow", expandedRowsChange: "expandedRowsChange" }, features: [i0.ɵɵProvidersFeature([TableService])], decls: 5, vars: 4, consts: [[1, "tableWrap", "v2", 3, "ngClass"], ["tableWrapper", ""], [3, "id", 4, "ngIf"], [4, "ngIf"], [3, "id"], ["table", ""], [3, "fusionTableEmpty", "customContent", "header", "subHeader", "icon", 4, "ngIf"], [3, "fusionTableEmpty", "showNoDataImage", 4, "ngIf"], [3, "hidden", 4, "ngIf"], [3, "fusionTableLoading", 4, "ngIf"], ["fusionTableBasic", "", 3, "rows", "columns", "options", "tableClientWidth", "expandedRows", "rowSelected", "expandRow", "click", 4, "ngIf"], ["fusionTableGrouped", "", 3, "rows", "columns", "options", "rowSelected", 4, "ngIf"], [3, "hidden"], [3, "ngStyle"], ["class", "expand-column", 3, "sticky-left", 4, "ngIf"], [3, "ngClass", "ngStyle", "width", "click", 4, "ngFor", "ngForOf", "ngForTrackBy"], [1, "expand-column"], [3, "ngClass", "ngStyle", "click"], ["placeholder", "Please Select", "class", "filter", "selectAllLabel", "Select All <span class='grey'>(No Filters)</span>", 3, "selected", "options", "confirm", "search", "selectedChange", 4, "ngIf"], ["class", "is-regular", "title", "select / un-select all", 3, "checked", "isIndeterminate", "name", "changed", 4, "ngIf"], ["class", "icon-sort", 3, "name", 4, "ngIf"], ["class", "icon-tooltip", 3, "name", "fusionTooltip", 4, "ngIf"], [1, "icon-sort", 3, "name"], [1, "icon-tooltip", 3, "name", "fusionTooltip"], ["placeholder", "Please Select", "selectAllLabel", "Select All <span class='grey'>(No Filters)</span>", 1, "filter", 3, "selected", "options", "confirm", "search", "selectedChange"], ["title", "select / un-select all", 1, "is-regular", 3, "checked", "isIndeterminate", "name", "changed"], [3, "fusionTableLoading"], ["fusionTableBasic", "", 3, "rows", "columns", "options", "tableClientWidth", "expandedRows", "rowSelected", "expandRow", "click"], ["tableBody", ""], ["fusionTableGrouped", "", 3, "rows", "columns", "options", "rowSelected"], [3, "fusionTableEmpty", "customContent", "header", "subHeader", "icon"], [3, "fusionTableEmpty", "showNoDataImage"], ["height", "150", 3, "status"], [1, "is-overlay-loader-holder"], [3, "status"]], template: function TableComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0, 1);
            i0.ɵɵtemplate(2, TableComponent_table_2_Template, 5, 4, "table", 2)(3, TableComponent_ng_container_3_Template, 3, 1, "ng-container", 3);
            i0.ɵɵelementEnd();
            i0.ɵɵtemplate(4, TableComponent_ng_container_4_Template, 4, 1, "ng-container", 3);
        } if (rf & 2) {
            i0.ɵɵproperty("ngClass", ctx.wrapperClasses);
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngIf", !ctx.tableMainError);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", (ctx.options == null ? null : ctx.options.pagination) && ctx.options.pagination.loading);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.isLoadingOverlay && ctx.loading);
        } }, dependencies: [i2$1.NgClass, i2$1.NgForOf, i2$1.NgIf, i2$1.NgStyle, i4.IconComponent, i6.LoaderComponent, i7.CheckboxComponent, i7$1.MultiDropdownComponent, i9.TooltipDirective, TableBasicComponent, TableEmptyComponent, TableGroupedComponent, TableLoadingComponent], styles: ["[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;font-weight:400;letter-spacing:.25px}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]{margin:0;padding:0;vertical-align:initial;text-align:initial}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]::-webkit-scrollbar-track{border-radius:4px;background-color:var(--fu-white, #ffffff)}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]::-webkit-scrollbar{width:12px;height:12px;background-color:var(--fu-white, #ffffff)}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]::-webkit-scrollbar-thumb{border:4px solid rgba(0,0,0,0);background-clip:padding-box;border-radius:2px;background-color:var(--fu-light-500, #d2d5d8)}[_nghost-%COMP%]{display:block;width:100%;height:100%;min-height:160px}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]{height:100%;display:block;overflow-x:auto}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]::-webkit-scrollbar-track{margin-top:32px}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]{border:none;margin:0;width:calc(100% - 1px);border-collapse:collapse;border-spacing:0}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]{color:var(--fu-light-900, #7b838c);white-space:nowrap;position:relative;padding:5px 8px;max-width:350px;height:32px;line-height:1;font-family:var(--table-header-font-family, \"NHaasGroteskDSPro-65Md\", sans-serif);font-size:var(--table-header-font-size, 11px);font-weight:var(--table-header-font-weight, normal);cursor:default;box-sizing:border-box}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]   fusion-icon[class^=icon-sort][_ngcontent-%COMP%]{position:absolute;top:6px;left:0}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]   fusion-icon[class^=icon-sort][_ngcontent-%COMP%]     svg{width:16px;height:16px}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]   fusion-icon[class^=icon-sort][_ngcontent-%COMP%]     svg *{fill:var(--fu-light-900, #7b838c)}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]   fusion-icon[class^=icon-tooltip][_ngcontent-%COMP%]{vertical-align:middle;margin-left:3px}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]   fusion-icon[class^=icon-tooltip][_ngcontent-%COMP%]     svg{width:12px;height:12px}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]   fusion-icon[class^=icon-tooltip][_ngcontent-%COMP%]     svg *{fill:var(--fu-dark-200, #4c548e)}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]   fusion-icon[class^=icon-tooltip][_ngcontent-%COMP%]:hover     svg{width:12px;height:12px}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]   fusion-icon[class^=icon-tooltip][_ngcontent-%COMP%]:hover     svg *{fill:var(--fu-dark-600, #021074)}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]   fusion-icon.warning[_ngcontent-%COMP%]{vertical-align:middle;margin-left:3px}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]   fusion-icon.warning[_ngcontent-%COMP%]     svg{width:12px;height:12px}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]   fusion-icon.warning[_ngcontent-%COMP%]     svg *{fill:var(--fu-neutral-500, #ffb424)}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.is-sort[_ngcontent-%COMP%]{cursor:pointer}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.is-sort.asc[_ngcontent-%COMP%], [_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.is-sort.desc[_ngcontent-%COMP%]{padding-left:16px}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.is-sort.desc[_ngcontent-%COMP%]   fusion-icon[class^=icon-sort][_ngcontent-%COMP%]     svg{width:16px;height:16px;transform:rotate(180deg)}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.is-sort.desc[_ngcontent-%COMP%]   fusion-icon[class^=icon-sort][_ngcontent-%COMP%]     svg *{fill:var(--fu-light-900, #7b838c)}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.is-sort[_ngcontent-%COMP%]:hover{color:var(--fu-light-700, #a9afb4)}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.is-sort[_ngcontent-%COMP%]:hover   fusion-icon[class^=icon-sort][_ngcontent-%COMP%]     svg{width:16px;height:16px}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.is-sort[_ngcontent-%COMP%]:hover   fusion-icon[class^=icon-sort][_ngcontent-%COMP%]     svg *{fill:var(--fu-light-700, #a9afb4)}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.is-sort[_ngcontent-%COMP%]:hover.desc   fusion-icon[class^=icon-sort][_ngcontent-%COMP%]     svg{width:16px;height:16px;transform:rotate(180deg)}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.is-sort[_ngcontent-%COMP%]:hover.desc   fusion-icon[class^=icon-sort][_ngcontent-%COMP%]     svg *{fill:var(--fu-light-700, #a9afb4)}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.is-checkbox-holder[_ngcontent-%COMP%]{text-align:center}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]:after{border-bottom:2px solid var(--table-header-bottom-border-color, var(--fu-light-400, #dddfe1));content:\"\";position:absolute;left:0;bottom:-1px;width:100%}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   tbody[_ngcontent-%COMP%]{overflow:auto}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   tbody[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]{white-space:nowrap}.is-empty[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.is-sort[_ngcontent-%COMP%], .is-loading[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.is-sort[_ngcontent-%COMP%]{cursor:default;pointer-events:none}.is-empty[_nghost-%COMP%]   .is-overlay-loader-holder[_ngcontent-%COMP%], .is-loading[_nghost-%COMP%]   .is-overlay-loader-holder[_ngcontent-%COMP%]{position:absolute;z-index:2;width:100%;height:100%;min-height:100px;top:32px;background-color:#ffffffe6}.fixed-table[_nghost-%COMP%]{position:relative}.fixed-table[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]{border-bottom:none}.fixed-table[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]{height:32px;position:sticky;top:0;z-index:3;background-color:var(--fu-white, #ffffff)}.fixed-table[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.sticky-left[_ngcontent-%COMP%]{left:0;z-index:4}.fixed-table[_nghost-%COMP%]:after{content:\"\";position:absolute;right:0;top:1px;background-color:var(--fu-white, #ffffff);width:16px;height:32px;border-bottom:2px solid var(--table-header-bottom-border-color, var(--fu-light-400, #dddfe1));box-sizing:border-box}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TableComponent, [{
        type: Component,
        args: [{ selector: 'fusion-table', changeDetection: ChangeDetectionStrategy.OnPush, providers: [TableService], template: "<div class=\"tableWrap v2\" [ngClass]=\"wrapperClasses\" #tableWrapper>\n    <table [id]=\"id\" #table *ngIf=\"!tableMainError\">\n        <ng-container *ngIf=\"columns && options\">\n            <thead *ngIf=\"columns.length\" [hidden]=\"(isEmpty || (loading && !isLoadingOverlay)) && hideHeaderOnEmpty\">\n                <tr [ngStyle]=\"!!options.rowsOptions && !!options.rowsOptions.headerRow ? options.rowsOptions.headerRow.style : null\">\n                    <td\n                        *ngIf=\"!!options?.rowsExpandableOptions\"\n                        class=\"expand-column\"\n                        [class.sticky-left]=\"options?.rowsExpandableOptions?.sticky\"\n                    >\n                        <span></span>\n                    </td>\n                    <td\n                        *ngFor=\"let column of columns; trackBy: trackByFunc; let isLast = last; let isFirst = first\"\n                        [attr.data-col-key]=\"column.key\"\n                        [ngClass]=\"tableService.getColumnClasses(column, true)\"\n                        [ngStyle]=\"tableService.getColumnStyle(column)\"\n                        (click)=\"onHeaderClicked(column)\"\n                        [style.width]=\"tableService.setWidth(isLast, column.width)\"\n                        [attr.colspan]=\"isFirst ? tableService.expandLevels : undefined\"\n                    >\n                        <ng-container *ngIf=\"configIconNames\">\n                            <fusion-icon class=\"icon-sort\" [name]=\"configIconNames.iconSort\" *ngIf=\"column.sort\"></fusion-icon>\n                            {{ column.title }}\n                            <fusion-icon\n                                class=\"icon-tooltip\"\n                                [name]=\"column.tooltipIcon || configIconNames.iconInfo\"\n                                *ngIf=\"column.tooltip\"\n                                [fusionTooltip]=\"column.tooltip\"\n                            ></fusion-icon>\n                        </ng-container>\n                        <fusion-multi-dropdown\n                            *ngIf=\"column.filter && column.filter.options\"\n                            placeholder=\"Please Select\"\n                            class=\"filter\"\n                            [selected]=\"column.filter.selected\"\n                            [options]=\"column.filter.options\"\n                            (selectedChange)=\"filterColumn(column, $event)\"\n                            [confirm]=\"true\"\n                            [search]=\"true\"\n                            selectAllLabel=\"Select All <span class='grey'>(No Filters)</span>\"\n                        >\n                        </fusion-multi-dropdown>\n\n                        <fusion-checkbox\n                            class=\"is-regular\"\n                            title=\"select / un-select all\"\n                            *ngIf=\"tableService.isTypeCheckbox(column) && isAllRowsSelectable && !isEmpty && isCheckboxTitleShown\"\n                            [checked]=\"tableService.isAllRowsSelected(rows)\"\n                            [isIndeterminate]=\"tableService.isPartialSelected(rows)\"\n                            (changed)=\"tableService.onRowsSelectChanged(options.isGroupedTable, rows, $event)\"\n                            [name]=\"'rows_all'\"\n                        >\n                        </fusion-checkbox>\n                    </td>\n                </tr>\n            </thead>\n\n            <tbody *ngIf=\"loading && !isLoadingOverlay\" [fusionTableLoading]=\"colsCount\"></tbody>\n\n            <tbody\n                *ngIf=\"!options.isGroupedTable && (!loading || isLoadingOverlay) && !isEmpty\"\n                fusionTableBasic\n                [rows]=\"tableRows\"\n                [columns]=\"columns\"\n                [options]=\"options\"\n                [tableClientWidth]=\"getTableClientWidth()\"\n                [expandedRows]=\"expandedRows\"\n                (rowSelected)=\"selectionChanged.emit($event)\"\n                (expandRow)=\"doExpandRow($event)\"\n                (click)=\"onTableBodyClicked($event)\"\n                #tableBody\n            ></tbody>\n\n            <tbody\n                *ngIf=\"options.isGroupedTable && (!loading || isLoadingOverlay) && !isEmpty\"\n                fusionTableGrouped\n                [rows]=\"groupedTableRows\"\n                [columns]=\"columns\"\n                [options]=\"options\"\n                (rowSelected)=\"selectionChanged.emit($event)\"\n            ></tbody>\n        </ng-container>\n        <tbody\n            *ngIf=\"!loading && isEmpty\"\n            [fusionTableEmpty]=\"colsCount\"\n            [customContent]=\"options?.customNoData\"\n            [header]=\"noDataMessage\"\n            [subHeader]=\"noDataSubMessage\"\n            [icon]=\"options?.emptyTableIcon\"\n        ></tbody>\n        <tbody\n            *ngIf=\"isEmpty && loading\"\n            [fusionTableEmpty]=\"colsCount\"\n            [showNoDataImage]=\"false\"\n        ></tbody>\n    </table>\n    <ng-container *ngIf=\"options?.pagination && options.pagination.loading\">\n        <fusion-loader [status]=\"true\" height=\"150\">Loading Please Wait\u2026</fusion-loader>\n    </ng-container>\n</div>\n<ng-container *ngIf=\"isLoadingOverlay && loading\">\n    <div class=\"is-overlay-loader-holder\">\n        <fusion-loader [status]=\"true\">Loading Please Wait\u2026</fusion-loader>\n    </div>\n</ng-container>\n", styles: [":host .tableWrap table thead td{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;font-weight:400;letter-spacing:.25px}:host *{box-sizing:border-box}:host{margin:0;padding:0;vertical-align:initial;text-align:initial}:host .tableWrap::-webkit-scrollbar-track{border-radius:4px;background-color:var(--fu-white, #ffffff)}:host .tableWrap::-webkit-scrollbar{width:12px;height:12px;background-color:var(--fu-white, #ffffff)}:host .tableWrap::-webkit-scrollbar-thumb{border:4px solid rgba(0,0,0,0);background-clip:padding-box;border-radius:2px;background-color:var(--fu-light-500, #d2d5d8)}:host{display:block;width:100%;height:100%;min-height:160px}:host .tableWrap{height:100%;display:block;overflow-x:auto}:host .tableWrap::-webkit-scrollbar-track{margin-top:32px}:host .tableWrap table{border:none;margin:0;width:calc(100% - 1px);border-collapse:collapse;border-spacing:0}:host .tableWrap table thead td{color:var(--fu-light-900, #7b838c);white-space:nowrap;position:relative;padding:5px 8px;max-width:350px;height:32px;line-height:1;font-family:var(--table-header-font-family, \"NHaasGroteskDSPro-65Md\", sans-serif);font-size:var(--table-header-font-size, 11px);font-weight:var(--table-header-font-weight, normal);cursor:default;box-sizing:border-box}:host .tableWrap table thead td fusion-icon[class^=icon-sort]{position:absolute;top:6px;left:0}:host .tableWrap table thead td fusion-icon[class^=icon-sort] ::ng-deep svg{width:16px;height:16px}:host .tableWrap table thead td fusion-icon[class^=icon-sort] ::ng-deep svg *{fill:var(--fu-light-900, #7b838c)}:host .tableWrap table thead td fusion-icon[class^=icon-tooltip]{vertical-align:middle;margin-left:3px}:host .tableWrap table thead td fusion-icon[class^=icon-tooltip] ::ng-deep svg{width:12px;height:12px}:host .tableWrap table thead td fusion-icon[class^=icon-tooltip] ::ng-deep svg *{fill:var(--fu-dark-200, #4c548e)}:host .tableWrap table thead td fusion-icon[class^=icon-tooltip]:hover ::ng-deep svg{width:12px;height:12px}:host .tableWrap table thead td fusion-icon[class^=icon-tooltip]:hover ::ng-deep svg *{fill:var(--fu-dark-600, #021074)}:host .tableWrap table thead td fusion-icon.warning{vertical-align:middle;margin-left:3px}:host .tableWrap table thead td fusion-icon.warning ::ng-deep svg{width:12px;height:12px}:host .tableWrap table thead td fusion-icon.warning ::ng-deep svg *{fill:var(--fu-neutral-500, #ffb424)}:host .tableWrap table thead td.is-sort{cursor:pointer}:host .tableWrap table thead td.is-sort.asc,:host .tableWrap table thead td.is-sort.desc{padding-left:16px}:host .tableWrap table thead td.is-sort.desc fusion-icon[class^=icon-sort] ::ng-deep svg{width:16px;height:16px;transform:rotate(180deg)}:host .tableWrap table thead td.is-sort.desc fusion-icon[class^=icon-sort] ::ng-deep svg *{fill:var(--fu-light-900, #7b838c)}:host .tableWrap table thead td.is-sort:hover{color:var(--fu-light-700, #a9afb4)}:host .tableWrap table thead td.is-sort:hover fusion-icon[class^=icon-sort] ::ng-deep svg{width:16px;height:16px}:host .tableWrap table thead td.is-sort:hover fusion-icon[class^=icon-sort] ::ng-deep svg *{fill:var(--fu-light-700, #a9afb4)}:host .tableWrap table thead td.is-sort:hover.desc fusion-icon[class^=icon-sort] ::ng-deep svg{width:16px;height:16px;transform:rotate(180deg)}:host .tableWrap table thead td.is-sort:hover.desc fusion-icon[class^=icon-sort] ::ng-deep svg *{fill:var(--fu-light-700, #a9afb4)}:host .tableWrap table thead td.is-checkbox-holder{text-align:center}:host .tableWrap table thead td:after{border-bottom:2px solid var(--table-header-bottom-border-color, var(--fu-light-400, #dddfe1));content:\"\";position:absolute;left:0;bottom:-1px;width:100%}:host .tableWrap table tbody{overflow:auto}:host .tableWrap table tbody td{white-space:nowrap}:host.is-empty .tableWrap table thead td.is-sort,:host.is-loading .tableWrap table thead td.is-sort{cursor:default;pointer-events:none}:host.is-empty .is-overlay-loader-holder,:host.is-loading .is-overlay-loader-holder{position:absolute;z-index:2;width:100%;height:100%;min-height:100px;top:32px;background-color:#ffffffe6}:host.fixed-table{position:relative}:host.fixed-table .tableWrap table thead{border-bottom:none}:host.fixed-table .tableWrap table thead td{height:32px;position:sticky;top:0;z-index:3;background-color:var(--fu-white, #ffffff)}:host.fixed-table .tableWrap table thead td.sticky-left{left:0;z-index:4}:host.fixed-table:after{content:\"\";position:absolute;right:0;top:1px;background-color:var(--fu-white, #ffffff);width:16px;height:32px;border-bottom:2px solid var(--table-header-bottom-border-color, var(--fu-light-400, #dddfe1));box-sizing:border-box}\n"] }]
    }], () => [{ type: i1.TableService }, { type: i2$2.UniqueIdService }, { type: i0.ChangeDetectorRef }], { id: [{
            type: Input
        }], options: [{
            type: Input
        }], columns: [{
            type: Input
        }], rows: [{
            type: Input
        }], loading: [{
            type: Input
        }], sortTableOnDataChanges: [{
            type: Input
        }], expandedRows: [{
            type: Input
        }], sortChanged: [{
            type: Output
        }], selectionChanged: [{
            type: Output
        }], rowModelChange: [{
            type: Output
        }], rowClicked: [{
            type: Output
        }], scrollDown: [{
            type: Output
        }], expandRow: [{
            type: Output
        }], expandedRowsChange: [{
            type: Output
        }], stringCell: [{
            type: ViewChild,
            args: ['stringCell']
        }], checkboxCell: [{
            type: ViewChild,
            args: ['checkboxCell']
        }], templateCell: [{
            type: ViewChild,
            args: ['templateCell']
        }], tableElement: [{
            type: ViewChild,
            args: ['table']
        }], tableWrapperElement: [{
            type: ViewChild,
            args: ['tableWrapper', { static: true }]
        }], tableBodyComponent: [{
            type: ViewChild,
            args: ['tableBody']
        }], isFixedHeader: [{
            type: HostBinding,
            args: ['class.fixed-table']
        }], isEmpty: [{
            type: HostBinding,
            args: ['class.is-empty']
        }], isLoading: [{
            type: HostBinding,
            args: ['class.is-loading']
        }], isScrollRight: [{
            type: HostBinding,
            args: ['class.on-scroll-right']
        }], onVerticalScroll: [{
            type: HostBinding,
            args: ['class.on-vertical-scroll']
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(TableComponent, { className: "TableComponent", filePath: "table.component.ts", lineNumber: 38 }); })();

class TableModule {
    static forRoot(options) {
        return {
            ngModule: TableModule,
            providers: [
                {
                    provide: TABLE_OPTIONS_TOKEN,
                    useValue: options || TABLE_OPTIONS_DEFAULT_VALUES
                }
            ]
        };
    }
    static { this.ɵfac = function TableModule_Factory(t) { return new (t || TableModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: TableModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule,
            IconModule,
            InputModule,
            InputInlineModule,
            LoaderModule,
            LoaderInlineModule,
            CheckboxModule,
            DynamicComponentsModule,
            DropdownModule,
            MultiDropdownModule,
            TooltipModule,
            ToggleModule,
            ClickOutsideModule,
            ReactiveFormsModule,
            LoadMoreModule,
            ErrorMessageModule,
            ButtonModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TableModule, [{
        type: NgModule,
        args: [{
                exports: [TableComponent],
                declarations: [
                    TableComponent,
                    TableBasicComponent,
                    TableCellComponent,
                    TableEmptyComponent,
                    TableGroupedComponent,
                    TableLoadingComponent,
                    TableRowComponent,
                    TableRowGroupedComponent
                ],
                imports: [
                    CommonModule,
                    IconModule,
                    InputModule,
                    InputInlineModule,
                    LoaderModule,
                    LoaderInlineModule,
                    CheckboxModule,
                    DynamicComponentsModule,
                    DropdownModule,
                    MultiDropdownModule,
                    TooltipModule,
                    ToggleModule,
                    ClickOutsideModule,
                    ReactiveFormsModule,
                    GenericPipe,
                    LoadMoreModule,
                    ErrorMessageModule,
                    NotAvailablePipe,
                    ButtonModule
                ]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(TableModule, { declarations: [TableComponent,
        TableBasicComponent,
        TableCellComponent,
        TableEmptyComponent,
        TableGroupedComponent,
        TableLoadingComponent,
        TableRowComponent,
        TableRowGroupedComponent], imports: [CommonModule,
        IconModule,
        InputModule,
        InputInlineModule,
        LoaderModule,
        LoaderInlineModule,
        CheckboxModule,
        DynamicComponentsModule,
        DropdownModule,
        MultiDropdownModule,
        TooltipModule,
        ToggleModule,
        ClickOutsideModule,
        ReactiveFormsModule,
        GenericPipe,
        LoadMoreModule,
        ErrorMessageModule,
        NotAvailablePipe,
        ButtonModule], exports: [TableComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { TableComponent, TableModule };
//# sourceMappingURL=ironsource-fusion-ui-components-table-v2.mjs.map
