import * as i0 from '@angular/core';
import { EventEmitter, Component, ChangeDetectionStrategy, Input, Output, ViewChild, NgModule } from '@angular/core';
import * as i1 from '@ironsource/fusion-ui/components/popup/common/services';
import { PopupService } from '@ironsource/fusion-ui/components/popup/common/services';
import * as i2 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2$1 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import * as i3 from '@ironsource/fusion-ui/components/tooltip/v2';
import { TooltipModule } from '@ironsource/fusion-ui/components/tooltip/v2';
import * as i4 from '@ironsource/fusion-ui/components/popup/v2';
import { PopupModule } from '@ironsource/fusion-ui/components/popup/v2';

/*
 * Created on 2020.12.2 By Andy Kononenko (andyk@ironsrc.com)
 */

const _c0 = ["tabElement"];
function TabComponent_fusion_icon_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 5);
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵclassProp("fu-tab-icon-only", !ctx_r1.text);
    i0.ɵɵproperty("fusionTooltip", ctx_r1.tooltipIconContent)("name", ctx_r1.iconName);
} }
function TabComponent_div_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 6);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r2 = i0.ɵɵnextContext();
    i0.ɵɵproperty("fusionTooltip", ctx_r2.tooltipContent);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r2.text);
} }
function TabComponent_fusion_icon_4_Template(rf, ctx) { if (rf & 1) {
    const _r5 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-icon", 7);
    i0.ɵɵlistener("click", function TabComponent_fusion_icon_4_Template_fusion_icon_click_0_listener() { i0.ɵɵrestoreView(_r5); const ctx_r4 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r4.onAdditionalIconClicked()); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵproperty("name", ctx_r3.infoIconName)("fusionTooltip", ctx_r3.tooltipInfoIconContent);
} }
class TabComponent {
    constructor() {
        this.showPopup = new EventEmitter();
    }
    set configuration(value) {
        this.text = value?.text;
        this.iconName = value?.icon;
        this.disabled = value?.disabled;
        this.infoIconName = value?.infoIcon;
        this.setTooltipToOwnerElement(value.tooltipContent);
        if (this.infoIconName && !this.tooltipInfoIconContent && value.popupContent) {
            // if has "info" icon, this icon will not used for tooltip and has popupContent
            this.popupContent = value.popupContent;
        }
    }
    onAdditionalIconClicked() {
        if (this.popupContent) {
            this.showPopup.emit({ content: this.popupContent, target: this.tabElement });
        }
    }
    setTooltipToOwnerElement(tooltipContent) {
        if (tooltipContent) {
            if (this.infoIconName) {
                this.tooltipInfoIconContent = tooltipContent;
            }
            else if (this.iconName) {
                this.tooltipIconContent = tooltipContent;
            }
            else {
                this.tooltipContent = tooltipContent;
            }
        }
    }
    static { this.ɵfac = function TabComponent_Factory(t) { return new (t || TabComponent)(); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: TabComponent, selectors: [["fusion-tab"]], viewQuery: function TabComponent_Query(rf, ctx) { if (rf & 1) {
            i0.ɵɵviewQuery(_c0, 5);
        } if (rf & 2) {
            let _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.tabElement = _t.first);
        } }, inputs: { configuration: "configuration" }, outputs: { showPopup: "showPopup" }, decls: 5, vars: 5, consts: [[1, "fu-tab"], ["tabElement", ""], ["class", "fu-tab-icon", 3, "fusionTooltip", "fu-tab-icon-only", "name", 4, "ngIf"], ["class", "fu-tab-text", 3, "fusionTooltip", 4, "ngIf"], ["class", "fu-tab-additional-icon", 3, "name", "fusionTooltip", "click", 4, "ngIf"], [1, "fu-tab-icon", 3, "fusionTooltip", "name"], [1, "fu-tab-text", 3, "fusionTooltip"], [1, "fu-tab-additional-icon", 3, "name", "fusionTooltip", "click"]], template: function TabComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0, 1);
            i0.ɵɵtemplate(2, TabComponent_fusion_icon_2_Template, 1, 4, "fusion-icon", 2)(3, TabComponent_div_3_Template, 2, 2, "div", 3)(4, TabComponent_fusion_icon_4_Template, 1, 2, "fusion-icon", 4);
            i0.ɵɵelementEnd();
        } if (rf & 2) {
            i0.ɵɵclassProp("fu-tab-disabled", ctx.disabled);
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngIf", ctx.iconName);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.text);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.infoIconName);
        } }, dependencies: [i2.NgIf, i2$1.IconComponent, i3.TooltipDirective], styles: ["[_nghost-%COMP%]   .fu-tab[_ngcontent-%COMP%]{font-size:12px;font-family:HelveticaNeue-Medium,helvetica,sans-serif;font-weight:400;letter-spacing:.04px}[_nghost-%COMP%]   .fu-tab[_ngcontent-%COMP%]{height:calc(var(--tab-height, 40px) - (var(--tab-padding, 8px)))}.fu-tab-middle[_nghost-%COMP%]   .fu-tab[_ngcontent-%COMP%], .fu-tab-middle   [_nghost-%COMP%]   .fu-tab[_ngcontent-%COMP%]{height:calc(var(--tab-height, 48px) - (var(--tab-padding, 8px)))}.fu-tab-high[_nghost-%COMP%]   .fu-tab[_ngcontent-%COMP%], .fu-tab-high   [_nghost-%COMP%]   .fu-tab[_ngcontent-%COMP%], .fu-tab-icon-up[_nghost-%COMP%]   .fu-tab[_ngcontent-%COMP%]{height:calc(var(--tab-height, 56px) - (var(--tab-padding, 8px)))}[_nghost-%COMP%]{padding:var(--tab-padding, 4px)}[_nghost-%COMP%]   .fu-tab[_ngcontent-%COMP%]{display:flex;align-items:center;justify-content:center;border-radius:var(--tab-border-radius, 4px);color:var(--tab-color, var(--fu-light-800, #8e959d));padding:var(--tab-content-padding, 0 24px)}[_nghost-%COMP%]   .fu-tab[_ngcontent-%COMP%]   fusion-icon.fu-tab-icon[_ngcontent-%COMP%]{margin-right:5px;margin-top:0}[_nghost-%COMP%]   .fu-tab[_ngcontent-%COMP%]   fusion-icon.fu-tab-icon.fu-tab-icon-only[_ngcontent-%COMP%]{margin-right:0}[_nghost-%COMP%]   .fu-tab[_ngcontent-%COMP%]   fusion-icon.fu-tab-icon[_ngcontent-%COMP%]     svg{width:var(--tab-icon-size, 15px);height:var(--tab-icon-size, 15px)}[_nghost-%COMP%]   .fu-tab[_ngcontent-%COMP%]   fusion-icon.fu-tab-icon[_ngcontent-%COMP%]     svg *{fill:var(--tab-icon-color, currentColor)}[_nghost-%COMP%]   .fu-tab[_ngcontent-%COMP%]   .fu-tab-text[_ngcontent-%COMP%]{max-width:var(--tab-text-max-width, 200px);text-overflow:ellipsis;white-space:nowrap;overflow:hidden;font-family:var(--tab-text-font-family, \"HelveticaNeue-Medium\");font-size:var(--tab-text-font-size, 12px);font-weight:var(--tab-text-font-weight, normal)}[_nghost-%COMP%]   .fu-tab[_ngcontent-%COMP%]   fusion-icon.fu-tab-additional-icon[_ngcontent-%COMP%]{margin-left:3px}[_nghost-%COMP%]   .fu-tab[_ngcontent-%COMP%]   fusion-icon.fu-tab-additional-icon[_ngcontent-%COMP%]     svg{width:var(--tab-additional-icon-size, 12px);height:var(--tab-additional-icon-size, 12px)}[_nghost-%COMP%]   .fu-tab[_ngcontent-%COMP%]   fusion-icon.fu-tab-additional-icon[_ngcontent-%COMP%]     svg *{fill:var(--tab-additional-icon-color, currentColor)}[_nghost-%COMP%]   .fu-tab[_ngcontent-%COMP%]   .fu-tab-additional-icon[_ngcontent-%COMP%]:hover{color:var(--fu-dark-500, #0d148c)}[_nghost-%COMP%]   .fu-tab[_ngcontent-%COMP%]:hover{color:var(--tab-hover-color, var(--fu-light-800, #8e959d));background-color:var(--tab-hover-background-color, var(--fu-light-100, #f7f8f9));cursor:pointer}[_nghost-%COMP%]   .fu-tab.fu-tab-disabled[_ngcontent-%COMP%]{color:var(--tab-disabled-color, var(--fu-light-700, #a9afb4))}[_nghost-%COMP%]   .fu-tab.fu-tab-disabled[_ngcontent-%COMP%]:hover{background-color:transparent;cursor:not-allowed}.fu-tab-icon-up[_nghost-%COMP%]   .fu-tab[_ngcontent-%COMP%]{flex-direction:column}.fu-tab-icon-up[_nghost-%COMP%]   .fu-tab[_ngcontent-%COMP%]   .fu-tab-icon[_ngcontent-%COMP%]{margin-right:0;margin-top:5px}.fu-tab-selected[_nghost-%COMP%]{border-bottom:var(--tab-selected-border-bottom, solid 2px var(--fu-primary-500, #3083ff));padding-bottom:var(--tab-selected-padding-bottom, 2px)}.fu-tab-selected[_nghost-%COMP%]   .fu-tab[_ngcontent-%COMP%]{color:var(--tab-selected-color, var(--fu-primary-500, #3083ff));background-color:var(--tab-selected-background-color, transparent)}.fu-tab-selected[_nghost-%COMP%]   .fu-tab[_ngcontent-%COMP%]:hover{color:var(--tab-selected-hovered-color, var(--fu-primary-500, #3083ff));background-color:var(--tab-selected-hovered-background-color, transparent);cursor:default}.fu-tab-high[_nghost-%COMP%]   .fu-tab[_ngcontent-%COMP%]   fusion-icon.fu-tab-icon[_ngcontent-%COMP%], .fu-tab-high   [_nghost-%COMP%]   .fu-tab[_ngcontent-%COMP%]   fusion-icon.fu-tab-icon[_ngcontent-%COMP%]{margin-right:5px}.fu-tab-high[_nghost-%COMP%]   .fu-tab[_ngcontent-%COMP%]   fusion-icon.fu-tab-icon[_ngcontent-%COMP%]     svg, .fu-tab-high   [_nghost-%COMP%]   .fu-tab[_ngcontent-%COMP%]   fusion-icon.fu-tab-icon[_ngcontent-%COMP%]     svg{width:var(--tab-icon-size, 20px);height:var(--tab-icon-size, 20px)}.fu-tab-high[_nghost-%COMP%]   .fu-tab[_ngcontent-%COMP%]   fusion-icon.fu-tab-icon[_ngcontent-%COMP%]     svg *, .fu-tab-high   [_nghost-%COMP%]   .fu-tab[_ngcontent-%COMP%]   fusion-icon.fu-tab-icon[_ngcontent-%COMP%]     svg *{fill:var(--tab-icon-color, currentColor)}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TabComponent, [{
        type: Component,
        args: [{ selector: 'fusion-tab', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"fu-tab\" [class.fu-tab-disabled]=\"disabled\" #tabElement>\n    <fusion-icon\n        class=\"fu-tab-icon\"\n        *ngIf=\"iconName\"\n        [fusionTooltip]=\"tooltipIconContent\"\n        [class.fu-tab-icon-only]=\"!text\"\n        [name]=\"iconName\"\n    ></fusion-icon>\n    <div class=\"fu-tab-text\" *ngIf=\"text\" [fusionTooltip]=\"tooltipContent\">{{ text }}</div>\n    <fusion-icon\n        *ngIf=\"infoIconName\"\n        class=\"fu-tab-additional-icon\"\n        [name]=\"infoIconName\"\n        [fusionTooltip]=\"tooltipInfoIconContent\"\n        (click)=\"onAdditionalIconClicked()\"\n    ></fusion-icon>\n</div>\n", styles: [":host .fu-tab{font-size:12px;font-family:HelveticaNeue-Medium,helvetica,sans-serif;font-weight:400;letter-spacing:.04px}:host .fu-tab{height:calc(var(--tab-height, 40px) - (var(--tab-padding, 8px)))}:host-context(.fu-tab-middle) .fu-tab{height:calc(var(--tab-height, 48px) - (var(--tab-padding, 8px)))}:host-context(.fu-tab-high) .fu-tab,:host.fu-tab-icon-up .fu-tab{height:calc(var(--tab-height, 56px) - (var(--tab-padding, 8px)))}:host{padding:var(--tab-padding, 4px)}:host .fu-tab{display:flex;align-items:center;justify-content:center;border-radius:var(--tab-border-radius, 4px);color:var(--tab-color, var(--fu-light-800, #8e959d));padding:var(--tab-content-padding, 0 24px)}:host .fu-tab fusion-icon.fu-tab-icon{margin-right:5px;margin-top:0}:host .fu-tab fusion-icon.fu-tab-icon.fu-tab-icon-only{margin-right:0}:host .fu-tab fusion-icon.fu-tab-icon ::ng-deep svg{width:var(--tab-icon-size, 15px);height:var(--tab-icon-size, 15px)}:host .fu-tab fusion-icon.fu-tab-icon ::ng-deep svg *{fill:var(--tab-icon-color, currentColor)}:host .fu-tab .fu-tab-text{max-width:var(--tab-text-max-width, 200px);text-overflow:ellipsis;white-space:nowrap;overflow:hidden;font-family:var(--tab-text-font-family, \"HelveticaNeue-Medium\");font-size:var(--tab-text-font-size, 12px);font-weight:var(--tab-text-font-weight, normal)}:host .fu-tab fusion-icon.fu-tab-additional-icon{margin-left:3px}:host .fu-tab fusion-icon.fu-tab-additional-icon ::ng-deep svg{width:var(--tab-additional-icon-size, 12px);height:var(--tab-additional-icon-size, 12px)}:host .fu-tab fusion-icon.fu-tab-additional-icon ::ng-deep svg *{fill:var(--tab-additional-icon-color, currentColor)}:host .fu-tab .fu-tab-additional-icon:hover{color:var(--fu-dark-500, #0d148c)}:host .fu-tab:hover{color:var(--tab-hover-color, var(--fu-light-800, #8e959d));background-color:var(--tab-hover-background-color, var(--fu-light-100, #f7f8f9));cursor:pointer}:host .fu-tab.fu-tab-disabled{color:var(--tab-disabled-color, var(--fu-light-700, #a9afb4))}:host .fu-tab.fu-tab-disabled:hover{background-color:transparent;cursor:not-allowed}:host.fu-tab-icon-up .fu-tab{flex-direction:column}:host.fu-tab-icon-up .fu-tab .fu-tab-icon{margin-right:0;margin-top:5px}:host.fu-tab-selected{border-bottom:var(--tab-selected-border-bottom, solid 2px var(--fu-primary-500, #3083ff));padding-bottom:var(--tab-selected-padding-bottom, 2px)}:host.fu-tab-selected .fu-tab{color:var(--tab-selected-color, var(--fu-primary-500, #3083ff));background-color:var(--tab-selected-background-color, transparent)}:host.fu-tab-selected .fu-tab:hover{color:var(--tab-selected-hovered-color, var(--fu-primary-500, #3083ff));background-color:var(--tab-selected-hovered-background-color, transparent);cursor:default}:host-context(.fu-tab-high) .fu-tab fusion-icon.fu-tab-icon{margin-right:5px}:host-context(.fu-tab-high) .fu-tab fusion-icon.fu-tab-icon ::ng-deep svg{width:var(--tab-icon-size, 20px);height:var(--tab-icon-size, 20px)}:host-context(.fu-tab-high) .fu-tab fusion-icon.fu-tab-icon ::ng-deep svg *{fill:var(--tab-icon-color, currentColor)}\n"] }]
    }], null, { configuration: [{
            type: Input
        }], showPopup: [{
            type: Output
        }], tabElement: [{
            type: ViewChild,
            args: ['tabElement']
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(TabComponent, { className: "TabComponent", filePath: "tab/tab.component.ts", lineNumber: 12 }); })();

function TabsComponent_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    const _r4 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "fusion-tab", 3);
    i0.ɵɵlistener("click", function TabsComponent_ng_container_1_Template_fusion_tab_click_1_listener() { const restoredCtx = i0.ɵɵrestoreView(_r4); const tab_r2 = restoredCtx.$implicit; const ctx_r3 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r3.onTabClicked(tab_r2)); })("showPopup", function TabsComponent_ng_container_1_Template_fusion_tab_showPopup_1_listener($event) { i0.ɵɵrestoreView(_r4); const ctx_r5 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r5.onPopupShow($event)); });
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const tab_r2 = ctx.$implicit;
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵstyleProp("flex", ctx_r0.tabFlex);
    i0.ɵɵclassProp("fu-tab-icon-up", ctx_r0.iconPositionUp)("fu-tab-selected", ctx_r0.isSelected(tab_r2));
    i0.ɵɵproperty("configuration", tab_r2);
} }
function TabsComponent_ng_container_2_ng_template_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-popup", 6);
} if (rf & 2) {
    const popupData_r6 = i0.ɵɵnextContext().ngIf;
    i0.ɵɵproperty("popupData", popupData_r6);
} }
function TabsComponent_ng_container_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0, 4);
    i0.ɵɵtemplate(1, TabsComponent_ng_container_2_ng_template_1_Template, 1, 1, "ng-template", null, 5, i0.ɵɵtemplateRefExtractor);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const popupData_r6 = ctx.ngIf;
    const _r8 = i0.ɵɵreference(2);
    i0.ɵɵproperty("ngTemplateOutlet", popupData_r6 ? _r8 : null);
} }
class TabsComponent {
    set configuration(value) {
        this.tabs = value?.tabs ?? [];
        this.iconPositionUp = value?.verticalDisplay;
        if (value?.tabWidth) {
            this.tabFlex = `0 0 ${value?.tabWidth}px`;
        }
    }
    set selected(value) {
        this.selectedTab = value;
    }
    constructor(popupService) {
        this.popupService = popupService;
        this.selectedChange = new EventEmitter();
        this.tabs = [];
        this.iconPositionUp = false;
    }
    ngOnInit() {
        this.popupData$ = this.popupService.popupData$.asObservable();
    }
    onTabClicked(tab) {
        if (!tab?.disabled) {
            this.selectedTab = tab;
            this.selectedChange.emit(this.selectedTab);
        }
    }
    isSelected(tab) {
        if (!!this.selectedTab) {
            if (tab.text) {
                return tab.text === this.selectedTab.text;
            }
            else if (tab.icon) {
                return tab.icon === this.selectedTab.icon;
            }
        }
        return false;
    }
    onPopupShow(data) {
        const popupData = {
            backgroundColor: 'transparent',
            component: data.content,
            hostElement: data.target
        };
        this.popupService.showPopUp(popupData);
    }
    trackByTextOrIconName(index, item) {
        if (item.text) {
            return item.text;
        }
        else if (item.icon) {
            return item.icon;
        }
        else {
            return index;
        }
    }
    static { this.ɵfac = function TabsComponent_Factory(t) { return new (t || TabsComponent)(i0.ɵɵdirectiveInject(i1.PopupService)); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: TabsComponent, selectors: [["fusion-tabs"]], inputs: { configuration: "configuration", selected: "selected" }, outputs: { selectedChange: "selectedChange" }, features: [i0.ɵɵProvidersFeature([PopupService])], decls: 4, vars: 5, consts: [[1, "fu-tabs-holder"], [4, "ngFor", "ngForOf", "ngForTrackBy"], [3, "ngTemplateOutlet", 4, "ngIf"], [3, "configuration", "click", "showPopup"], [3, "ngTemplateOutlet"], ["popupRef", ""], [3, "popupData"]], template: function TabsComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵtemplate(1, TabsComponent_ng_container_1_Template, 2, 7, "ng-container", 1);
            i0.ɵɵelementEnd();
            i0.ɵɵtemplate(2, TabsComponent_ng_container_2_Template, 3, 1, "ng-container", 2);
            i0.ɵɵpipe(3, "async");
        } if (rf & 2) {
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngForOf", ctx.tabs)("ngForTrackBy", ctx.trackByTextOrIconName);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind1(3, 3, ctx.popupData$));
        } }, dependencies: [i2.NgForOf, i2.NgIf, i2.NgTemplateOutlet, TabComponent, i4.PopupComponent, i2.AsyncPipe], styles: ["[_nghost-%COMP%]   .fu-tabs-holder[_ngcontent-%COMP%]{display:flex;flex-wrap:nowrap;align-items:center;background-color:var(--tabs-background-color, var(--fu-white, #ffffff));border-bottom:var(--tab-border-bottom, solid 1px var(--fu-light-300, #e5e7e9))}[_nghost-%COMP%]   .fu-tabs-holder[_ngcontent-%COMP%]   fusion-tab[_ngcontent-%COMP%]{flex:1 1 0;margin-bottom:var(--tab-marging-bottom, -1px)}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TabsComponent, [{
        type: Component,
        args: [{ selector: 'fusion-tabs', changeDetection: ChangeDetectionStrategy.OnPush, providers: [PopupService], template: "<div class=\"fu-tabs-holder\">\n    <ng-container *ngFor=\"let tab of tabs; trackBy: trackByTextOrIconName\">\n        <fusion-tab\n            [style.flex]=\"tabFlex\"\n            [class.fu-tab-icon-up]=\"iconPositionUp\"\n            [class.fu-tab-selected]=\"isSelected(tab)\"\n            [configuration]=\"tab\"\n            (click)=\"onTabClicked(tab)\"\n            (showPopup)=\"onPopupShow($event)\"\n        ></fusion-tab>\n    </ng-container>\n</div>\n<!--Popup-->\n<ng-container *ngIf=\"popupData$ | async as popupData\" [ngTemplateOutlet]=\"popupData ? popupRef : null\">\n    <ng-template #popupRef>\n        <fusion-popup [popupData]=\"popupData\"></fusion-popup>\n    </ng-template>\n</ng-container>\n", styles: [":host .fu-tabs-holder{display:flex;flex-wrap:nowrap;align-items:center;background-color:var(--tabs-background-color, var(--fu-white, #ffffff));border-bottom:var(--tab-border-bottom, solid 1px var(--fu-light-300, #e5e7e9))}:host .fu-tabs-holder fusion-tab{flex:1 1 0;margin-bottom:var(--tab-marging-bottom, -1px)}\n"] }]
    }], () => [{ type: i1.PopupService }], { configuration: [{
            type: Input
        }], selected: [{
            type: Input
        }], selectedChange: [{
            type: Output
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(TabsComponent, { className: "TabsComponent", filePath: "tabs.component.ts", lineNumber: 15 }); })();

class TabModule {
    static { this.ɵfac = function TabModule_Factory(t) { return new (t || TabModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: TabModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule, IconModule, TooltipModule, PopupModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TabModule, [{
        type: NgModule,
        args: [{
                declarations: [TabComponent],
                imports: [CommonModule, IconModule, TooltipModule, PopupModule],
                exports: [TabComponent]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(TabModule, { declarations: [TabComponent], imports: [CommonModule, IconModule, TooltipModule, PopupModule], exports: [TabComponent] }); })();

class TabsModule {
    static { this.ɵfac = function TabsModule_Factory(t) { return new (t || TabsModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: TabsModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule, TabModule, PopupModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TabsModule, [{
        type: NgModule,
        args: [{
                declarations: [TabsComponent],
                imports: [CommonModule, TabModule, PopupModule],
                exports: [TabsComponent]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(TabsModule, { declarations: [TabsComponent], imports: [CommonModule, TabModule, PopupModule], exports: [TabsComponent] }); })();

/*
 * Created on 2020.12.2 By Andy Kononenko (andyk@ironsrc.com)
 */

/**
 * Generated bundle index. Do not edit.
 */

export { TabComponent, TabModule, TabsComponent, TabsModule };
//# sourceMappingURL=ironsource-fusion-ui-components-tabs-v2.mjs.map
