import * as i0 from '@angular/core';
import { EventEmitter, forwardRef, Component, ChangeDetectionStrategy, Input, Output, NgModule } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2 from '@angular/forms';
import { NG_VALUE_ACCESSOR, ReactiveFormsModule, FormsModule } from '@angular/forms';

function TextareaComponent_div_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "div", 5);
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵproperty("innerHTML", ctx_r0.error, i0.ɵɵsanitizeHtml);
} }
function TextareaComponent_div_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "div", 6);
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵproperty("hidden", !ctx_r1.helperText || !!ctx_r1.error)("innerHTML", ctx_r1.helperText, i0.ɵɵsanitizeHtml);
} }
const _c0 = (a0, a1, a2) => ({ disabled: a0, resize: a1, error: a2 });
class TextareaComponent {
    constructor() {
        this.modelChange = new EventEmitter();
        this.focused = false;
        // Implement ControlValueAccessor methods
        /**
         * Method to call when value has changes.
         */
        this.propagateChange = (_) => { };
        /**
         * Method to call when the component is touched (when it was is clicked).
         */
        this.propagateTouched = () => { };
    }
    ngOnInit() {
        this.resize = typeof this.resize === 'undefined' ? false : this.resize;
        this.model = this.model || '';
        this.placeholder = this.placeholder || '';
        this.error = this.error || '';
        this.helperText = this.helperText || '';
    }
    onChange(event) {
        this.propagateTouched();
        this.model = event;
        this.propagateChange(event);
        this.modelChange.emit(this.model);
    }
    /**
     * update value from model to the component
     */
    writeValue(value) {
        if (value === undefined || value === null) {
            this.model = '';
        }
        else {
            this.model = value;
        }
    }
    /**
     * Informs the outside world about changes.
     * see method propagateChange call - this.propagateChange(this.model);
     */
    registerOnChange(fn) {
        this.propagateChange = fn;
    }
    /**
     * on click
     */
    registerOnTouched(fn) {
        this.propagateTouched = fn;
    }
    /**
     * on set form controll enabled / disabled
     * also do UI Component enabled / disabled
     */
    setDisabledState(isDisabled) {
        this.isDisabled = isDisabled;
    }
    focus() {
        this.focused = true;
    }
    blur() {
        this.focused = false;
    }
    static { this.ɵfac = function TextareaComponent_Factory(t) { return new (t || TextareaComponent)(); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: TextareaComponent, selectors: [["fusion-textarea"]], inputs: { placeholder: "placeholder", error: "error", helperText: "helperText", readonly: "readonly", required: "required", resize: "resize", name: "name", isDisabled: "isDisabled", model: "model" }, outputs: { modelChange: "modelChange" }, features: [i0.ɵɵProvidersFeature([
                {
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(() => TextareaComponent),
                    multi: true
                }
            ])], decls: 5, vars: 17, consts: [[1, "fu-textarea-container"], [1, "fu-textarea-content"], ["minlength", "1", 1, "is-textarea", 3, "placeholder", "readonly", "required", "name", "ngClass", "ngModel", "disabled", "ngModelChange", "focus", "blur"], ["class", "fu-error-msg", 3, "innerHTML", 4, "ngIf"], ["class", "fu-helper-text", 3, "hidden", "innerHTML", 4, "ngIf"], [1, "fu-error-msg", 3, "innerHTML"], [1, "fu-helper-text", 3, "hidden", "innerHTML"]], template: function TextareaComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0)(1, "div", 1)(2, "textarea", 2);
            i0.ɵɵlistener("ngModelChange", function TextareaComponent_Template_textarea_ngModelChange_2_listener($event) { return ctx.onChange($event); })("focus", function TextareaComponent_Template_textarea_focus_2_listener() { return ctx.focus(); })("blur", function TextareaComponent_Template_textarea_blur_2_listener() { return ctx.blur(); });
            i0.ɵɵelementEnd()();
            i0.ɵɵtemplate(3, TextareaComponent_div_3_Template, 1, 1, "div", 3)(4, TextareaComponent_div_4_Template, 1, 2, "div", 4);
            i0.ɵɵelementEnd();
        } if (rf & 2) {
            i0.ɵɵadvance();
            i0.ɵɵclassProp("focused", ctx.focused)("fu-readonly", !!ctx.readonly);
            i0.ɵɵadvance();
            i0.ɵɵproperty("placeholder", ctx.placeholder)("readonly", ctx.readonly)("required", ctx.required)("name", ctx.name)("ngClass", i0.ɵɵpureFunction3(13, _c0, ctx.isDisabled, ctx.resize, ctx.error))("ngModel", ctx.model)("disabled", ctx.isDisabled);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.error);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.helperText);
        } }, dependencies: [i1.NgClass, i1.NgIf, i2.DefaultValueAccessor, i2.NgControlStatus, i2.RequiredValidator, i2.MinLengthValidator, i2.NgModel], styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6[_ngcontent-%COMP%], .font-heading-5[_ngcontent-%COMP%], .font-heading-4[_ngcontent-%COMP%], .font-heading-3[_ngcontent-%COMP%], .font-heading-2[_ngcontent-%COMP%], .font-heading-1[_ngcontent-%COMP%]{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1[_ngcontent-%COMP%]{font-size:60px}.font-heading-2[_ngcontent-%COMP%]{font-size:32px}.font-heading-3[_ngcontent-%COMP%]{font-size:22px}.font-heading-4[_ngcontent-%COMP%]{font-size:18px}.font-heading-5[_ngcontent-%COMP%]{font-size:15px}.font-heading-6[_ngcontent-%COMP%]{font-size:13px}.font-heading-label[_ngcontent-%COMP%]{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}[_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   .fu-helper-text[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   .fu-error-msg[_ngcontent-%COMP%], .font-caption[_ngcontent-%COMP%], .font-bodyXSmall[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   .fu-textarea-content[_ngcontent-%COMP%]   textarea[_ngcontent-%COMP%]::placeholder, [_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   .fu-textarea-content[_ngcontent-%COMP%]   textarea[_ngcontent-%COMP%], .font-bodySmall[_ngcontent-%COMP%], .font-bodyMedium[_ngcontent-%COMP%], .font-bodyLarge[_ngcontent-%COMP%]{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong[_ngcontent-%COMP%], .font-bodySmallStrong[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-size:16px}.font-bodyMedium[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%]{font-size:14px}[_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   .fu-textarea-content[_ngcontent-%COMP%]   textarea[_ngcontent-%COMP%]::placeholder, [_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   .fu-textarea-content[_ngcontent-%COMP%]   textarea[_ngcontent-%COMP%], .font-bodySmall[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}.font-bodySmallStrong[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}.font-bodyXSmall[_ngcontent-%COMP%], .font-bodyXSmallStrong[_ngcontent-%COMP%]{font-size:12px;letter-spacing:.24px}[_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   .fu-helper-text[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   .fu-error-msg[_ngcontent-%COMP%], .font-caption[_ngcontent-%COMP%]{font-size:11px}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]{height:inherit}[_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]{display:flex;flex-direction:column;gap:4px}[_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   .fu-textarea-content[_ngcontent-%COMP%]{position:relative;display:flex;overflow:hidden;flex-direction:column;width:100%;border-radius:8px}[_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   .fu-textarea-content[_ngcontent-%COMP%]   textarea[_ngcontent-%COMP%]{border:none;box-sizing:border-box;background-color:var(--fu-light-100, #F1F3F4);resize:none;width:100%;height:100%;padding:8px 12px;color:var(--fu-black-500, #53575B);line-height:19.5px;min-height:96px}[_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   .fu-textarea-content[_ngcontent-%COMP%]   textarea[_ngcontent-%COMP%]::placeholder{color:var(--fu-light-800, #8E959D)}[_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   .fu-textarea-content[_ngcontent-%COMP%]   textarea[_ngcontent-%COMP%]:hover{background-color:var(--fu-light-200, #EDEFF0)}[_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   .fu-textarea-content[_ngcontent-%COMP%]   textarea[_ngcontent-%COMP%]:focus{background-color:var(--fu-light-100, #F1F3F4);outline:none;box-shadow:none}[_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   .fu-textarea-content[_ngcontent-%COMP%]   textarea.resize[_ngcontent-%COMP%]{resize:both}[_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   .fu-textarea-content[_ngcontent-%COMP%]   textarea.disabled[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   .fu-textarea-content[_ngcontent-%COMP%]   textarea[_ngcontent-%COMP%]:disabled{pointer-events:all;color:var(--fu-light-800, #8E959D);resize:none}[_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   .fu-textarea-content[_ngcontent-%COMP%]   textarea.disabled[_ngcontent-%COMP%]:hover, [_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   .fu-textarea-content[_ngcontent-%COMP%]   textarea[_ngcontent-%COMP%]:disabled:hover{cursor:not-allowed}[_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   .fu-textarea-content[_ngcontent-%COMP%]   textarea.disabled[_ngcontent-%COMP%]:focus, [_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   .fu-textarea-content[_ngcontent-%COMP%]   textarea[_ngcontent-%COMP%]:disabled:focus{border:none}[_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   .fu-textarea-content[_ngcontent-%COMP%]   textarea.error[_ngcontent-%COMP%]:focus{background-color:var(--fu-light-100, #F1F3F4);outline:none;box-shadow:none}[_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   .fu-textarea-content[_ngcontent-%COMP%]   textarea.error[_ngcontent-%COMP%]:focus + .fu-error-msg[_ngcontent-%COMP%]{display:none}[_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   .fu-textarea-content.focused[_ngcontent-%COMP%]:not(.fu-readonly):after{position:absolute;content:\"\";height:2px;width:100%;background-color:var(--fu-primary-500, #3083FF);bottom:0}[_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   .fu-error-msg[_ngcontent-%COMP%]{color:var(--fu-negative-700, #DA564F);height:16px;line-height:16.5px;text-align:initial}[_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   .fu-helper-text[_ngcontent-%COMP%]{color:var(--fu-black-200, #696A6B);height:16px;line-height:16.5px;text-align:initial}"] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TextareaComponent, [{
        type: Component,
        args: [{ selector: 'fusion-textarea', changeDetection: ChangeDetectionStrategy.Default, providers: [
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => TextareaComponent),
                        multi: true
                    }
                ], template: "<div class=\"fu-textarea-container\">\n    <div class=\"fu-textarea-content\"\n         [class.focused]=\"focused\"\n         [class.fu-readonly]=\"!!readonly\">\n        <textarea\n            class=\"is-textarea\"\n            [placeholder]=\"placeholder\"\n            [readonly]=\"readonly\"\n            [required]=\"required\"\n            minlength=\"1\"\n            [name]=\"name\"\n            [ngClass]=\"{disabled: isDisabled, resize: resize, error:error}\"\n            [ngModel]=\"model\"\n            (ngModelChange)=\"onChange($event)\"\n            (focus)=\"focus()\"\n            (blur)=\"blur()\"\n            [disabled]=\"isDisabled\"></textarea>\n    </div>\n\n    <div class=\"fu-error-msg\" *ngIf=\"error\" [innerHTML]=\"error\"></div>\n\n    <div class=\"fu-helper-text\"\n         *ngIf=\"helperText\"\n         [hidden]=\"!helperText || !!error\"\n         [innerHTML]=\"helperText\">\n    </div>\n</div>\n", styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6,.font-heading-5,.font-heading-4,.font-heading-3,.font-heading-2,.font-heading-1{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1{font-size:60px}.font-heading-2{font-size:32px}.font-heading-3{font-size:22px}.font-heading-4{font-size:18px}.font-heading-5{font-size:15px}.font-heading-6{font-size:13px}.font-heading-label{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}:host .fu-textarea-container .fu-helper-text,:host .fu-textarea-container .fu-error-msg,.font-caption,.font-bodyXSmall,:host .fu-textarea-container .fu-textarea-content textarea::placeholder,:host .fu-textarea-container .fu-textarea-content textarea,.font-bodySmall,.font-bodyMedium,.font-bodyLarge{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong,.font-bodySmallStrong,.font-bodyMediumStrong,.font-bodyLargeStrong{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge,.font-bodyLargeStrong{font-size:16px}.font-bodyMedium,.font-bodyMediumStrong{font-size:14px}:host .fu-textarea-container .fu-textarea-content textarea::placeholder,:host .fu-textarea-container .fu-textarea-content textarea,.font-bodySmall{font-size:13px;letter-spacing:.24px}.font-bodySmallStrong{font-size:13px;letter-spacing:.24px}.font-bodyXSmall,.font-bodyXSmallStrong{font-size:12px;letter-spacing:.24px}:host .fu-textarea-container .fu-helper-text,:host .fu-textarea-container .fu-error-msg,.font-caption{font-size:11px}:host *{box-sizing:border-box}:host{height:inherit}:host .fu-textarea-container{display:flex;flex-direction:column;gap:4px}:host .fu-textarea-container .fu-textarea-content{position:relative;display:flex;overflow:hidden;flex-direction:column;width:100%;border-radius:8px}:host .fu-textarea-container .fu-textarea-content textarea{border:none;box-sizing:border-box;background-color:var(--fu-light-100, #F1F3F4);resize:none;width:100%;height:100%;padding:8px 12px;color:var(--fu-black-500, #53575B);line-height:19.5px;min-height:96px}:host .fu-textarea-container .fu-textarea-content textarea::placeholder{color:var(--fu-light-800, #8E959D)}:host .fu-textarea-container .fu-textarea-content textarea:hover{background-color:var(--fu-light-200, #EDEFF0)}:host .fu-textarea-container .fu-textarea-content textarea:focus{background-color:var(--fu-light-100, #F1F3F4);outline:none;box-shadow:none}:host .fu-textarea-container .fu-textarea-content textarea.resize{resize:both}:host .fu-textarea-container .fu-textarea-content textarea.disabled,:host .fu-textarea-container .fu-textarea-content textarea:disabled{pointer-events:all;color:var(--fu-light-800, #8E959D);resize:none}:host .fu-textarea-container .fu-textarea-content textarea.disabled:hover,:host .fu-textarea-container .fu-textarea-content textarea:disabled:hover{cursor:not-allowed}:host .fu-textarea-container .fu-textarea-content textarea.disabled:focus,:host .fu-textarea-container .fu-textarea-content textarea:disabled:focus{border:none}:host .fu-textarea-container .fu-textarea-content textarea.error:focus{background-color:var(--fu-light-100, #F1F3F4);outline:none;box-shadow:none}:host .fu-textarea-container .fu-textarea-content textarea.error:focus+.fu-error-msg{display:none}:host .fu-textarea-container .fu-textarea-content.focused:not(.fu-readonly):after{position:absolute;content:\"\";height:2px;width:100%;background-color:var(--fu-primary-500, #3083FF);bottom:0}:host .fu-textarea-container .fu-error-msg{color:var(--fu-negative-700, #DA564F);height:16px;line-height:16.5px;text-align:initial}:host .fu-textarea-container .fu-helper-text{color:var(--fu-black-200, #696A6B);height:16px;line-height:16.5px;text-align:initial}\n"] }]
    }], null, { placeholder: [{
            type: Input
        }], error: [{
            type: Input
        }], helperText: [{
            type: Input
        }], readonly: [{
            type: Input
        }], required: [{
            type: Input
        }], resize: [{
            type: Input
        }], name: [{
            type: Input
        }], isDisabled: [{
            type: Input
        }], model: [{
            type: Input
        }], modelChange: [{
            type: Output
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(TextareaComponent, { className: "TextareaComponent", filePath: "textarea.component.ts", lineNumber: 17 }); })();

class TextareaModule {
    static { this.ɵfac = function TextareaModule_Factory(t) { return new (t || TextareaModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: TextareaModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule, ReactiveFormsModule, FormsModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TextareaModule, [{
        type: NgModule,
        args: [{
                declarations: [TextareaComponent],
                exports: [TextareaComponent],
                imports: [CommonModule, ReactiveFormsModule, FormsModule]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(TextareaModule, { declarations: [TextareaComponent], imports: [CommonModule, ReactiveFormsModule, FormsModule], exports: [TextareaComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { TextareaComponent, TextareaModule };
//# sourceMappingURL=ironsource-fusion-ui-components-textarea-v3.mjs.map
