import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, Input, ViewChild, HostBinding } from '@angular/core';
import * as i2 from '@angular/forms';
import { NG_VALUE_ACCESSOR, ReactiveFormsModule, FormsModule } from '@angular/forms';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import { InputHelperComponent } from '@ironsource/fusion-ui/components/input-helper/v4';
import { InputLabelComponent } from '@ironsource/fusion-ui/components/input-label/v4';
import { BehaviorSubject } from 'rxjs';

const _c0 = ["textArea"];
function TextareaV4Component_Conditional_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-input-label", 6);
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵproperty("text", ctx_r0.labelText)("required", ctx_r0.labelRequired)("icon", ctx_r0.labelIcon)("tooltipText", ctx_r0.labelTooltipText);
} }
function TextareaV4Component_Conditional_2_ng_container_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtext(1);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r4 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1("/", ctx_r4.maxLength, "");
} }
function TextareaV4Component_Conditional_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 7);
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "async");
    i0.ɵɵtemplate(3, TextareaV4Component_Conditional_2_ng_container_3_Template, 2, 1, "ng-container", 8);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵattribute("data-testid", ctx_r1.testId);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", i0.ɵɵpipeBind1(2, 3, ctx_r1.valueLength$), "");
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", ctx_r1.maxLength);
} }
function TextareaV4Component_Conditional_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 9);
    i0.ɵɵelement(1, "fusion-input-helper", 10);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("text", ctx_r3.helperText)("state", ctx_r3.variant)("iconName", ctx_r3.helperIcon)("testId", ctx_r3.testId);
} }
const _c1 = (a0, a1) => ({ disabled: a0, resize: a1 });
class TextareaV4Component {
    constructor() {
        this.showLengthCounter = false;
        this.labelRequired = false;
        // end region
        this.variant = 'default';
        /** @internal */
        this.focused = false;
        /** @internal */
        this.valueLength$ = new BehaviorSubject(0);
        // Implement ControlValueAccessor methods
        /**
         * Method to call when value has changes.
         */
        this.propagateChange = (_) => { };
        /**
         * Method to call when the component is touched (when it was is clicked).
         */
        this.propagateTouched = () => { };
    }
    get testAttribute() {
        return this.testId;
    }
    ngOnInit() {
        this.resize = typeof this.resize === 'undefined' ? false : this.resize;
        this.model = this.model || '';
    }
    onChange(event) {
        this.propagateTouched();
        this.model = event;
        this.propagateChange(event);
        this.valueLength$.next(event.length);
    }
    /**
     * update value from model to the component
     */
    writeValue(value) {
        if (value === undefined || value === null) {
            this.model = '';
        }
        else {
            this.model = value;
        }
    }
    /**
     * Informs the outside world about changes.
     * see method propagateChange call - this.propagateChange(this.model);
     */
    registerOnChange(fn) {
        this.propagateChange = fn;
    }
    /**
     * on click
     */
    registerOnTouched(fn) {
        this.propagateTouched = fn;
    }
    /**
     * on set form controll enabled / disabled
     * also do UI Component enabled / disabled
     */
    setDisabledState(isDisabled) {
        this.isDisabled = isDisabled;
    }
    /** @internal */
    focus() {
        this.focused = true;
    }
    /** @internal */
    blur() {
        this.focused = false;
    }
    static { this.ɵfac = function TextareaV4Component_Factory(t) { return new (t || TextareaV4Component)(); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: TextareaV4Component, selectors: [["fusion-textarea"]], viewQuery: function TextareaV4Component_Query(rf, ctx) { if (rf & 1) {
            i0.ɵɵviewQuery(_c0, 5);
        } if (rf & 2) {
            let _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.textArea = _t.first);
        } }, hostAttrs: [1, "fusion-v4"], hostVars: 1, hostBindings: function TextareaV4Component_HostBindings(rf, ctx) { if (rf & 2) {
            i0.ɵɵattribute("data-testid", ctx.testAttribute);
        } }, inputs: { placeholder: "placeholder", readonly: "readonly", resize: "resize", name: "name", isDisabled: "isDisabled", model: "model", maxLength: "maxLength", showLengthCounter: "showLengthCounter", labelText: "labelText", labelRequired: "labelRequired", labelIcon: "labelIcon", labelTooltipText: "labelTooltipText", helperText: "helperText", helperIcon: "helperIcon", variant: "variant", testId: "testId" }, standalone: true, features: [i0.ɵɵProvidersFeature([
                {
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(() => TextareaV4Component),
                    multi: true
                }
            ]), i0.ɵɵStandaloneFeature], decls: 6, vars: 15, consts: [[1, "fu-textarea-container"], ["class", "fu-dropdown-label", 3, "text", "required", "icon", "tooltipText"], ["class", "fu-max-length-counter"], [1, "is-textarea", 3, "placeholder", "readonly", "name", "ngClass", "ngModel", "maxlength", "disabled", "ngModelChange", "focus", "blur"], ["textArea", ""], ["class", "fu-input-underline"], [1, "fu-dropdown-label", 3, "text", "required", "icon", "tooltipText"], [1, "fu-max-length-counter"], [4, "ngIf"], [1, "fu-input-underline"], [3, "text", "state", "iconName", "testId"]], template: function TextareaV4Component_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵtemplate(1, TextareaV4Component_Conditional_1_Template, 1, 4, "fusion-input-label", 1)(2, TextareaV4Component_Conditional_2_Template, 4, 5, "div", 2);
            i0.ɵɵelementStart(3, "textarea", 3, 4);
            i0.ɵɵlistener("ngModelChange", function TextareaV4Component_Template_textarea_ngModelChange_3_listener($event) { return ctx.onChange($event); })("focus", function TextareaV4Component_Template_textarea_focus_3_listener() { return ctx.focus(); })("blur", function TextareaV4Component_Template_textarea_blur_3_listener() { return ctx.blur(); });
            i0.ɵɵelementEnd();
            i0.ɵɵtemplate(5, TextareaV4Component_Conditional_5_Template, 2, 4, "div", 5);
            i0.ɵɵelementEnd();
        } if (rf & 2) {
            i0.ɵɵadvance();
            i0.ɵɵconditional(1, ctx.labelText ? 1 : -1);
            i0.ɵɵadvance();
            i0.ɵɵconditional(2, ctx.showLengthCounter ? 2 : -1);
            i0.ɵɵadvance();
            i0.ɵɵclassProp("fu-readonly", !!ctx.readonly);
            i0.ɵɵproperty("placeholder", ctx.placeholder)("readonly", ctx.readonly)("name", ctx.name)("ngClass", i0.ɵɵpureFunction2(12, _c1, ctx.isDisabled, ctx.resize))("ngModel", ctx.model)("maxlength", ctx.maxLength)("disabled", ctx.isDisabled);
            i0.ɵɵadvance(2);
            i0.ɵɵconditional(5, ctx.helperText ? 5 : -1);
        } }, dependencies: [CommonModule, i1.NgClass, i1.NgIf, i1.AsyncPipe, ReactiveFormsModule, i2.DefaultValueAccessor, i2.NgControlStatus, i2.MaxLengthValidator, FormsModule, i2.NgModel, InputHelperComponent, InputLabelComponent], styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";.fusion-v4[_ngcontent-%COMP%]{--background-default: #FFFFFF;--background-paper: hsl(0, 0%, 99%);--background-model-elevation: #FFFFFF;--background-backdrop: hsla(0, 0%, 0%, .11);--background-paper-elevation-0: hsl(0, 0%, 97.5%);--background-paper-elevation-1: hsl(0, 0%, 94.6%);--background-paper-elevation-2: hsl(0, 0%, 92%);--background-paper-elevation-3: hsl(0, 0%, 89.5%);--background-paper-elevation-4: hsl(0, 0%, 86.8%);--background-paper-elevation-5: hsl(0, 0%, 83%);--background-paper-elevation-6: hsl(0, 0%, 73.2%);--background-paper-elevation-7: hsl(0, 0%, 55.2%);--background-paper-elevation-8: hsl(0, 0%, 50.3%);--background-paper-elevation-9: hsl(0, 0%, 39.3%);--action-primary: hsl(0, 0%, 12.5%);--action-active: hsl(0, 0%, 50.3%);--action-hover: hsla(0, 0%, 0%, .05);--action-selected: hsl(0, 0%, 92%);--action-disabled: hsl(0, 0%, 87%);--action-disabled-background: hsl(0, 0%, 95%);--action-focus: hsl(0, 0%, 92%);--action-outlined-border: hsl(0, 0%, 73%);--default-light: hsl(0, 0%, 89.5%);--default-main: hsl(0, 0%, 94.51%);--default-dark: hsl(0, 0%, 92%);--default-outlined-border: hsl(0, 0%, 73.2%);--default-contrast-text: hsl(0, 0%, 12.5%);--default-button-contrast-text: hsl(0, 0%, 0%);--common-white: #FFFFFF;--common-black: #000000;--common-inverse-white: #FFFFFF;--common-inverse-black: #000000;--common-divider: hsl(0, 0%, 86.8%);--common-divider-elevation-0: hsl(0, 0%, 89%);--text-primary: hsl(0, 0%, 12.5%);--text-secondary: hsl(0, 0%, 39.3%);--text-disabled: hsl(0, 0%, 73.33%);--primary-lighter: hsl(209, 100%, 96.5%);--primary-light: hsl(209, 95%, 90.1%);--primary-main: hsl(206, 100%, 50%);--primary-main-8-p: hsla(206, 100%, 50%, .08);--primary-main-50-p: hsla(206, 100%, 50%, .5);--primary-dark: hsl(208, 93.5%, 47.4%);--primary-darker: hsl(211, 90%, 42%);--primary-outlined-border: hsl(206, 100%, 50%);--primary-contrast-text: hsl(216, 71%, 23%);--primary-button-contrast-text: hsl(0, 0%, 100%);--info-lighter: hsl(223, 98.4%, 97.1%);--info-light: hsl(224, 87.1%, 92%);--info-main: hsl(226, 70%, 55.5%);--info-main-8-p: hsla(226, 70%, 55.5%, .08);--info-main-50-p: hsla(226, 70%, 55.5%, .5);--info-dark: hsl(226, 58.6%, 51.3%);--info-darker: hsl(226, 55%, 45%);--info-outlined-border: hsl(226, 70%, 55.5%);--info-contrast-text: hsl(226, 50%, 24%);--info-button-contrast-text: hsl(0, 0%, 100%);--success-lighter: hsl(139, 55.2%, 94.5%);--success-light: hsl(141, 43.7%, 86%);--success-main: hsl(151, 55%, 41.5%);--success-main-8-p: hsla(151, 55%, 41.5%, .08);--success-main-50-p: hsla(151, 55%, 41.5%, .5);--success-dark: hsl(152, 57.5%, 37.6%);--success-darker: hsl(153, 67%, 28.5%);--success-outlined-border: hsl(151, 55%, 41.5%);--success-contrast-text: hsl(155, 40%, 16.5%);--success-button-contrast-text: hsl(0, 0%, 100%);--warning-lighter: hsl(45, 100%, 90.8%);--warning-light: hsl(40, 100%, 81.5%);--warning-main: hsl(42, 100%, 62%);--warning-main-8-p: hsla(42, 100%, 62%, .08);--warning-main-50-p: hsla(42, 100%, 62%, .5);--warning-dark: hsl(42, 100%, 55%);--warning-darker: hsl(25, 50%, 38%);--warning-outlined-border: hsl(42, 100%, 62%);--warning-contrast-text: hsl(25, 40%, 22%);--warning-button-contrast-text: hsl(24, 40%, 22%);--error-lighter: hsl(0, 100%, 96.8%);--error-light: hsl(0, 90.2%, 91.9%);--error-main: hsl(358, 75%, 59%);--error-main-8-p: hsla(358, 75%, 59%, .08);--error-main-50-p: hsla(358, 75%, 59%, .5);--error-dark: hsl(358, 67.4%, 54.6%);--error-darker: hsl(358, 65%, 47%);--error-outlined-border: hsl(358, 75%, 59%);--error-contrast-text: hsl(350, 63%, 24%);--error-button-contrast-text: hsl(0, 0%, 100%);--aba: #FFC134;--abb: #4F4FF5}.fusion-v4[_ngcontent-%COMP%]{--spacing-tockenset: 0px;--spacing-25: 2px;--spacing-50: 4px;--spacing-75: 6px;--spacing-100: 8px;--spacing-125: 10px;--spacing-150: 12px;--spacing-200: 16px;--spacing-250: 20px;--spacing-300: 24px;--spacing-400: 32px;--spacing-500: 40px;--spacing-600: 48px;--spacing-700: 56px;--spacing-800: 64px;--spacing-900: 72px;--spacing-1000: 80px}.fusion-v4[_ngcontent-%COMP%]{--border-radius-xs: 2px;--border-radius-sm: 4px;--border-radius-md: 6px;--border-radius-lg: 8px;--border-radius-xl: 16px;--border-radius-full: 100px}.font-v4-bold[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%], .font-v4-chart-2[_ngcontent-%COMP%], .font-v4-chart-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold[_ngcontent-%COMP%], .font-v4-chip-label[_ngcontent-%COMP%], .font-v4-table-label[_ngcontent-%COMP%], .font-v4-button[_ngcontent-%COMP%], .font-v4-heading-6[_ngcontent-%COMP%], .font-v4-heading-5[_ngcontent-%COMP%], .font-v4-heading-4[_ngcontent-%COMP%], .font-v4-heading-3[_ngcontent-%COMP%], .font-v4-heading-2[_ngcontent-%COMP%], .font-v4-heading-1[_ngcontent-%COMP%], .font-v4-title[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium[_ngcontent-%COMP%], .font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-input-label[_ngcontent-%COMP%], .font-v4-overline[_ngcontent-%COMP%], .font-v4-subtitle-2[_ngcontent-%COMP%], .font-v4-subtitle-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-max-length-counter[_ngcontent-%COMP%], .font-v4-caption[_ngcontent-%COMP%], .font-v4-body-2[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   textarea[_ngcontent-%COMP%], .font-v4-body-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title[_ngcontent-%COMP%]{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2[_ngcontent-%COMP%]{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3[_ngcontent-%COMP%]{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5[_ngcontent-%COMP%]{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6[_ngcontent-%COMP%]{font-size:.75rem;line-height:.75rem;letter-spacing:0}[_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   textarea[_ngcontent-%COMP%], .font-v4-body-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-body-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2[_ngcontent-%COMP%]{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}[_nghost-%COMP%]   .fu-max-length-counter[_ngcontent-%COMP%], .font-v4-caption[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem}.font-v4-table-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem}.font-v4-chip-label[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:normal}[_nghost-%COMP%]{height:inherit;position:relative}[_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]{display:flex;flex-direction:column;gap:4px}[_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   textarea[_ngcontent-%COMP%]{outline:none;border:none;border-radius:var(--border-radius-md, 6px);outline:1px solid var(--action-outlined-border, hsl(0, 0%, 73%));outline-offset:-1px;box-sizing:border-box;background:var(--default-main, hsl(0, 0%, 94.51%));resize:none;width:100%;height:100%;padding:8px 12px;min-height:96px;line-height:20px}[_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   textarea[_ngcontent-%COMP%]   [_ngcontent-%COMP%]::placeholder{color:var(--text-secondary);letter-spacing:normal}[_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   textarea[_ngcontent-%COMP%]:focus{outline-color:var(--primary-main, hsl(206, 100%, 50%));outline-width:2px;background-color:var(--action-hover, hsla(0, 0%, 0%, .05))}[_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   textarea[_ngcontent-%COMP%]:hover{border-color:var(--action-active, hsl(0, 0%, 50.3%));background-color:var(--action-hover, hsla(0, 0%, 0%, .05))}[_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   textarea.fu-readonly[_ngcontent-%COMP%]{cursor:default}[_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   textarea.resize[_ngcontent-%COMP%]{resize:both}[_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   textarea.disabled[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   textarea[_ngcontent-%COMP%]:disabled{pointer-events:all;color:var(--text-disabled);resize:none}[_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   textarea.disabled[_ngcontent-%COMP%]:hover, [_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   textarea[_ngcontent-%COMP%]:disabled:hover{cursor:not-allowed}[_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   textarea.disabled[_ngcontent-%COMP%]:focus, [_nghost-%COMP%]   .fu-textarea-container[_ngcontent-%COMP%]   textarea[_ngcontent-%COMP%]:disabled:focus{border:none}[_nghost-%COMP%]   .fu-max-length-counter[_ngcontent-%COMP%]{position:absolute;right:6px;bottom:6px;color:var(--text-secondary, hsl(0, 0%, 39.3%))}"] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TextareaV4Component, [{
        type: Component,
        args: [{ selector: 'fusion-textarea', host: { class: 'fusion-v4' }, standalone: true, imports: [CommonModule, ReactiveFormsModule, FormsModule, InputHelperComponent, InputLabelComponent], changeDetection: ChangeDetectionStrategy.Default, providers: [
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => TextareaV4Component),
                        multi: true
                    }
                ], template: "<div class=\"fu-textarea-container\">\n    @if(labelText){\n        <fusion-input-label class=\"fu-dropdown-label\" [text]=\"labelText\" [required]=\"labelRequired\" [icon]=\"labelIcon\" [tooltipText]=\"labelTooltipText\"></fusion-input-label>\n    }\n        @if (showLengthCounter){\n            <div class=\"fu-max-length-counter\" [attr.data-testid]=\"testId\">\n                {{ (valueLength$ | async) }}<ng-container *ngIf=\"maxLength\">/{{ maxLength }}</ng-container>\n            </div>\n        }\n        <textarea #textArea\n            class=\"is-textarea\"\n            [class.fu-readonly]=\"!!readonly\"\n            [placeholder]=\"placeholder\"\n            [readonly]=\"readonly\"\n            [name]=\"name\"\n            [ngClass]=\"{disabled: isDisabled, resize: resize}\"\n            [ngModel]=\"model\"\n            [maxlength]=\"maxLength\"\n            (ngModelChange)=\"onChange($event)\"\n            (focus)=\"focus()\"\n            (blur)=\"blur()\"\n            [disabled]=\"isDisabled\"></textarea>\n    @if (helperText){\n        <div class=\"fu-input-underline\">\n            <fusion-input-helper [text]=\"helperText\" [state]=\"variant\" [iconName]=\"helperIcon\" [testId]=\"testId\"></fusion-input-helper>\n        </div>\n    }\n</div>\n", styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";.fusion-v4{--background-default: #FFFFFF;--background-paper: hsl(0, 0%, 99%);--background-model-elevation: #FFFFFF;--background-backdrop: hsla(0, 0%, 0%, .11);--background-paper-elevation-0: hsl(0, 0%, 97.5%);--background-paper-elevation-1: hsl(0, 0%, 94.6%);--background-paper-elevation-2: hsl(0, 0%, 92%);--background-paper-elevation-3: hsl(0, 0%, 89.5%);--background-paper-elevation-4: hsl(0, 0%, 86.8%);--background-paper-elevation-5: hsl(0, 0%, 83%);--background-paper-elevation-6: hsl(0, 0%, 73.2%);--background-paper-elevation-7: hsl(0, 0%, 55.2%);--background-paper-elevation-8: hsl(0, 0%, 50.3%);--background-paper-elevation-9: hsl(0, 0%, 39.3%);--action-primary: hsl(0, 0%, 12.5%);--action-active: hsl(0, 0%, 50.3%);--action-hover: hsla(0, 0%, 0%, .05);--action-selected: hsl(0, 0%, 92%);--action-disabled: hsl(0, 0%, 87%);--action-disabled-background: hsl(0, 0%, 95%);--action-focus: hsl(0, 0%, 92%);--action-outlined-border: hsl(0, 0%, 73%);--default-light: hsl(0, 0%, 89.5%);--default-main: hsl(0, 0%, 94.51%);--default-dark: hsl(0, 0%, 92%);--default-outlined-border: hsl(0, 0%, 73.2%);--default-contrast-text: hsl(0, 0%, 12.5%);--default-button-contrast-text: hsl(0, 0%, 0%);--common-white: #FFFFFF;--common-black: #000000;--common-inverse-white: #FFFFFF;--common-inverse-black: #000000;--common-divider: hsl(0, 0%, 86.8%);--common-divider-elevation-0: hsl(0, 0%, 89%);--text-primary: hsl(0, 0%, 12.5%);--text-secondary: hsl(0, 0%, 39.3%);--text-disabled: hsl(0, 0%, 73.33%);--primary-lighter: hsl(209, 100%, 96.5%);--primary-light: hsl(209, 95%, 90.1%);--primary-main: hsl(206, 100%, 50%);--primary-main-8-p: hsla(206, 100%, 50%, .08);--primary-main-50-p: hsla(206, 100%, 50%, .5);--primary-dark: hsl(208, 93.5%, 47.4%);--primary-darker: hsl(211, 90%, 42%);--primary-outlined-border: hsl(206, 100%, 50%);--primary-contrast-text: hsl(216, 71%, 23%);--primary-button-contrast-text: hsl(0, 0%, 100%);--info-lighter: hsl(223, 98.4%, 97.1%);--info-light: hsl(224, 87.1%, 92%);--info-main: hsl(226, 70%, 55.5%);--info-main-8-p: hsla(226, 70%, 55.5%, .08);--info-main-50-p: hsla(226, 70%, 55.5%, .5);--info-dark: hsl(226, 58.6%, 51.3%);--info-darker: hsl(226, 55%, 45%);--info-outlined-border: hsl(226, 70%, 55.5%);--info-contrast-text: hsl(226, 50%, 24%);--info-button-contrast-text: hsl(0, 0%, 100%);--success-lighter: hsl(139, 55.2%, 94.5%);--success-light: hsl(141, 43.7%, 86%);--success-main: hsl(151, 55%, 41.5%);--success-main-8-p: hsla(151, 55%, 41.5%, .08);--success-main-50-p: hsla(151, 55%, 41.5%, .5);--success-dark: hsl(152, 57.5%, 37.6%);--success-darker: hsl(153, 67%, 28.5%);--success-outlined-border: hsl(151, 55%, 41.5%);--success-contrast-text: hsl(155, 40%, 16.5%);--success-button-contrast-text: hsl(0, 0%, 100%);--warning-lighter: hsl(45, 100%, 90.8%);--warning-light: hsl(40, 100%, 81.5%);--warning-main: hsl(42, 100%, 62%);--warning-main-8-p: hsla(42, 100%, 62%, .08);--warning-main-50-p: hsla(42, 100%, 62%, .5);--warning-dark: hsl(42, 100%, 55%);--warning-darker: hsl(25, 50%, 38%);--warning-outlined-border: hsl(42, 100%, 62%);--warning-contrast-text: hsl(25, 40%, 22%);--warning-button-contrast-text: hsl(24, 40%, 22%);--error-lighter: hsl(0, 100%, 96.8%);--error-light: hsl(0, 90.2%, 91.9%);--error-main: hsl(358, 75%, 59%);--error-main-8-p: hsla(358, 75%, 59%, .08);--error-main-50-p: hsla(358, 75%, 59%, .5);--error-dark: hsl(358, 67.4%, 54.6%);--error-darker: hsl(358, 65%, 47%);--error-outlined-border: hsl(358, 75%, 59%);--error-contrast-text: hsl(350, 63%, 24%);--error-button-contrast-text: hsl(0, 0%, 100%);--aba: #FFC134;--abb: #4F4FF5}.fusion-v4{--spacing-tockenset: 0px;--spacing-25: 2px;--spacing-50: 4px;--spacing-75: 6px;--spacing-100: 8px;--spacing-125: 10px;--spacing-150: 12px;--spacing-200: 16px;--spacing-250: 20px;--spacing-300: 24px;--spacing-400: 32px;--spacing-500: 40px;--spacing-600: 48px;--spacing-700: 56px;--spacing-800: 64px;--spacing-900: 72px;--spacing-1000: 80px}.fusion-v4{--border-radius-xs: 2px;--border-radius-sm: 4px;--border-radius-md: 6px;--border-radius-lg: 8px;--border-radius-xl: 16px;--border-radius-full: 100px}.font-v4-bold,.font-v4-tab-label-2,.font-v4-chart-2,.font-v4-chart-1{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold,.font-v4-chip-label,.font-v4-table-label,.font-v4-button,.font-v4-heading-6,.font-v4-heading-5,.font-v4-heading-4,.font-v4-heading-3,.font-v4-heading-2,.font-v4-heading-1,.font-v4-title{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium,.font-v4-tab-label-1,.font-v4-input-label,.font-v4-overline,.font-v4-subtitle-2,.font-v4-subtitle-1{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular,:host .fu-max-length-counter,.font-v4-caption,.font-v4-body-2,:host .fu-textarea-container textarea,.font-v4-body-1{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6{font-size:.75rem;line-height:.75rem;letter-spacing:0}:host .fu-textarea-container textarea,.font-v4-body-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-body-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}:host .fu-max-length-counter,.font-v4-caption{font-size:.75rem;line-height:1rem}.font-v4-table-label{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1,.font-v4-tab-label-2{font-size:.875rem;line-height:1rem}.font-v4-chip-label{font-size:.75rem;line-height:1rem;letter-spacing:normal}:host{height:inherit;position:relative}:host .fu-textarea-container{display:flex;flex-direction:column;gap:4px}:host .fu-textarea-container textarea{outline:none;border:none;border-radius:var(--border-radius-md, 6px);outline:1px solid var(--action-outlined-border, hsl(0, 0%, 73%));outline-offset:-1px;box-sizing:border-box;background:var(--default-main, hsl(0, 0%, 94.51%));resize:none;width:100%;height:100%;padding:8px 12px;min-height:96px;line-height:20px}:host .fu-textarea-container textarea ::placeholder{color:var(--text-secondary);letter-spacing:normal}:host .fu-textarea-container textarea:focus{outline-color:var(--primary-main, hsl(206, 100%, 50%));outline-width:2px;background-color:var(--action-hover, hsla(0, 0%, 0%, .05))}:host .fu-textarea-container textarea:hover{border-color:var(--action-active, hsl(0, 0%, 50.3%));background-color:var(--action-hover, hsla(0, 0%, 0%, .05))}:host .fu-textarea-container textarea.fu-readonly{cursor:default}:host .fu-textarea-container textarea.resize{resize:both}:host .fu-textarea-container textarea.disabled,:host .fu-textarea-container textarea:disabled{pointer-events:all;color:var(--text-disabled);resize:none}:host .fu-textarea-container textarea.disabled:hover,:host .fu-textarea-container textarea:disabled:hover{cursor:not-allowed}:host .fu-textarea-container textarea.disabled:focus,:host .fu-textarea-container textarea:disabled:focus{border:none}:host .fu-max-length-counter{position:absolute;right:6px;bottom:6px;color:var(--text-secondary, hsl(0, 0%, 39.3%))}\n"] }]
    }], null, { placeholder: [{
            type: Input
        }], readonly: [{
            type: Input
        }], resize: [{
            type: Input
        }], name: [{
            type: Input
        }], isDisabled: [{
            type: Input
        }], model: [{
            type: Input
        }], maxLength: [{
            type: Input
        }], showLengthCounter: [{
            type: Input
        }], labelText: [{
            type: Input
        }], labelRequired: [{
            type: Input
        }], labelIcon: [{
            type: Input
        }], labelTooltipText: [{
            type: Input
        }], helperText: [{
            type: Input
        }], helperIcon: [{
            type: Input
        }], variant: [{
            type: Input
        }], textArea: [{
            type: ViewChild,
            args: ['textArea']
        }], testId: [{
            type: Input
        }], testAttribute: [{
            type: HostBinding,
            args: ['attr.data-testid']
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(TextareaV4Component, { className: "TextareaV4Component", filePath: "textarea-v4.component.ts", lineNumber: 26 }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { TextareaV4Component as TextareaComponent };
//# sourceMappingURL=ironsource-fusion-ui-components-textarea-v4.mjs.map
