import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, Input } from '@angular/core';
import * as i2 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i1 from '@ironsource/fusion-ui/services/unique-id';
import * as i3 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import { NG_VALUE_ACCESSOR } from '@angular/forms';
import { TooltipDirective } from '@ironsource/fusion-ui/components/tooltip/v4';
import { TooltipPosition } from '@ironsource/fusion-ui/components/tooltip/common/base';

function ToggleButtonGroupComponent_ng_container_1_fusion_icon_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 5);
} if (rf & 2) {
    const option_r1 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵproperty("name", option_r1.icon);
} }
function ToggleButtonGroupComponent_ng_container_1_div_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 6);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r6 = i0.ɵɵnextContext();
    const isFirst_r2 = ctx_r6.first;
    const option_r1 = ctx_r6.$implicit;
    const ctx_r4 = i0.ɵɵnextContext();
    i0.ɵɵattribute("data-testid", isFirst_r2 ? ctx_r4.testId : null);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1("", option_r1.label, " ");
} }
function ToggleButtonGroupComponent_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    const _r8 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "label", 1)(2, "input", 2);
    i0.ɵɵlistener("change", function ToggleButtonGroupComponent_ng_container_1_Template_input_change_2_listener() { const restoredCtx = i0.ɵɵrestoreView(_r8); const option_r1 = restoredCtx.$implicit; const ctx_r7 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r7.setSelected(option_r1)); });
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(3, ToggleButtonGroupComponent_ng_container_1_fusion_icon_3_Template, 1, 1, "fusion-icon", 3)(4, ToggleButtonGroupComponent_ng_container_1_div_4_Template, 2, 2, "div", 4);
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const option_r1 = ctx.$implicit;
    const ctx_r0 = i0.ɵɵnextContext();
    let tmp_1_0;
    i0.ɵɵadvance();
    i0.ɵɵproperty("fusionTooltip", option_r1.tooltip)("configuration", (tmp_1_0 = option_r1.tooltipConfiguration) !== null && tmp_1_0 !== undefined ? tmp_1_0 : ctx_r0.tooltipConfiguration);
    i0.ɵɵadvance();
    i0.ɵɵpropertyInterpolate2("id", "", ctx_r0.name, "__", option_r1.id, "");
    i0.ɵɵproperty("name", ctx_r0.name)("checked", option_r1.id === (ctx_r0.selected == null ? null : ctx_r0.selected.id));
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", option_r1.icon);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", option_r1.label);
} }
class ToggleButtonGroupComponent {
    constructor(uniqueService) {
        this.uniqueService = uniqueService;
        this.name = 'fu-btn-grp-' + this.uniqueService.getUniqueId();
        this.options = [];
        this.size = 'medium';
        this.color = 'default';
        this.tooltipConfiguration = {
            position: TooltipPosition.TopFixed
        };
        /** @internal */
        this.propagateChange = (_) => { };
        /** @internal */
        this.propagateTouched = () => { };
    }
    /** @internal */
    setSelected(selected) {
        this.propagateTouched();
        this.selected = selected;
        this.propagateChange({ ...selected });
    }
    /** @internal */
    writeValue(value) {
        this.selected = value;
    }
    /** @ignore */
    registerOnChange(fn) {
        this.propagateChange = fn;
    }
    /** @ignore */
    registerOnTouched(fn) {
        this.propagateTouched = fn;
    }
    static { this.ɵfac = function ToggleButtonGroupComponent_Factory(t) { return new (t || ToggleButtonGroupComponent)(i0.ɵɵdirectiveInject(i1.UniqueIdService)); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: ToggleButtonGroupComponent, selectors: [["fusion-toggle-button-group"]], hostAttrs: [1, "fusion-v4"], inputs: { name: "name", options: "options", size: "size", color: "color", testId: "testId" }, standalone: true, features: [i0.ɵɵProvidersFeature([
                {
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(() => ToggleButtonGroupComponent),
                    multi: true
                }
            ]), i0.ɵɵStandaloneFeature], decls: 2, vars: 5, consts: [[4, "ngFor", "ngForOf"], [1, "fu-button-group-option", 3, "fusionTooltip", "configuration"], ["type", "radio", 3, "id", "name", "checked", "change"], [3, "name", 4, "ngIf"], ["class", "fu-option-label-text", 4, "ngIf"], [3, "name"], [1, "fu-option-label-text"]], template: function ToggleButtonGroupComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div");
            i0.ɵɵtemplate(1, ToggleButtonGroupComponent_ng_container_1_Template, 5, 8, "ng-container", 0);
            i0.ɵɵelementEnd();
        } if (rf & 2) {
            i0.ɵɵclassMapInterpolate2("fu-button-group-wrapper fu-size-", ctx.size, " fu-color-", ctx.color, "");
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngForOf", ctx.options);
        } }, dependencies: [CommonModule, i2.NgForOf, i2.NgIf, IconModule, i3.IconComponent, TooltipDirective], styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";.fusion-v4[_ngcontent-%COMP%]{--background-default: #FFFFFF;--background-paper: hsl(0, 0%, 99%);--background-model-elevation: #FFFFFF;--background-backdrop: hsla(0, 0%, 0%, .11);--background-paper-elevation-0: hsl(0, 0%, 97.5%);--background-paper-elevation-1: hsl(0, 0%, 94.6%);--background-paper-elevation-2: hsl(0, 0%, 92%);--background-paper-elevation-3: hsl(0, 0%, 89.5%);--background-paper-elevation-4: hsl(0, 0%, 86.8%);--background-paper-elevation-5: hsl(0, 0%, 83%);--background-paper-elevation-6: hsl(0, 0%, 73.2%);--background-paper-elevation-7: hsl(0, 0%, 55.2%);--background-paper-elevation-8: hsl(0, 0%, 50.3%);--background-paper-elevation-9: hsl(0, 0%, 39.3%);--action-primary: hsl(0, 0%, 12.5%);--action-active: hsl(0, 0%, 50.3%);--action-hover: hsla(0, 0%, 0%, .05);--action-selected: hsl(0, 0%, 92%);--action-disabled: hsl(0, 0%, 87%);--action-disabled-background: hsl(0, 0%, 95%);--action-focus: hsl(0, 0%, 92%);--action-outlined-border: hsl(0, 0%, 73%);--default-light: hsl(0, 0%, 89.5%);--default-main: hsl(0, 0%, 94.51%);--default-dark: hsl(0, 0%, 92%);--default-outlined-border: hsl(0, 0%, 73.2%);--default-contrast-text: hsl(0, 0%, 12.5%);--default-button-contrast-text: hsl(0, 0%, 0%);--common-white: #FFFFFF;--common-black: #000000;--common-inverse-white: #FFFFFF;--common-inverse-black: #000000;--common-divider: hsl(0, 0%, 86.8%);--common-divider-elevation-0: hsl(0, 0%, 89%);--text-primary: hsl(0, 0%, 12.5%);--text-secondary: hsl(0, 0%, 39.3%);--text-disabled: hsl(0, 0%, 73.33%);--primary-lighter: hsl(209, 100%, 96.5%);--primary-light: hsl(209, 95%, 90.1%);--primary-main: hsl(206, 100%, 50%);--primary-main-8-p: hsla(206, 100%, 50%, .08);--primary-main-50-p: hsla(206, 100%, 50%, .5);--primary-dark: hsl(208, 93.5%, 47.4%);--primary-darker: hsl(211, 90%, 42%);--primary-outlined-border: hsl(206, 100%, 50%);--primary-contrast-text: hsl(216, 71%, 23%);--primary-button-contrast-text: hsl(0, 0%, 100%);--info-lighter: hsl(223, 98.4%, 97.1%);--info-light: hsl(224, 87.1%, 92%);--info-main: hsl(226, 70%, 55.5%);--info-main-8-p: hsla(226, 70%, 55.5%, .08);--info-main-50-p: hsla(226, 70%, 55.5%, .5);--info-dark: hsl(226, 58.6%, 51.3%);--info-darker: hsl(226, 55%, 45%);--info-outlined-border: hsl(226, 70%, 55.5%);--info-contrast-text: hsl(226, 50%, 24%);--info-button-contrast-text: hsl(0, 0%, 100%);--success-lighter: hsl(139, 55.2%, 94.5%);--success-light: hsl(141, 43.7%, 86%);--success-main: hsl(151, 55%, 41.5%);--success-main-8-p: hsla(151, 55%, 41.5%, .08);--success-main-50-p: hsla(151, 55%, 41.5%, .5);--success-dark: hsl(152, 57.5%, 37.6%);--success-darker: hsl(153, 67%, 28.5%);--success-outlined-border: hsl(151, 55%, 41.5%);--success-contrast-text: hsl(155, 40%, 16.5%);--success-button-contrast-text: hsl(0, 0%, 100%);--warning-lighter: hsl(45, 100%, 90.8%);--warning-light: hsl(40, 100%, 81.5%);--warning-main: hsl(42, 100%, 62%);--warning-main-8-p: hsla(42, 100%, 62%, .08);--warning-main-50-p: hsla(42, 100%, 62%, .5);--warning-dark: hsl(42, 100%, 55%);--warning-darker: hsl(25, 50%, 38%);--warning-outlined-border: hsl(42, 100%, 62%);--warning-contrast-text: hsl(25, 40%, 22%);--warning-button-contrast-text: hsl(24, 40%, 22%);--error-lighter: hsl(0, 100%, 96.8%);--error-light: hsl(0, 90.2%, 91.9%);--error-main: hsl(358, 75%, 59%);--error-main-8-p: hsla(358, 75%, 59%, .08);--error-main-50-p: hsla(358, 75%, 59%, .5);--error-dark: hsl(358, 67.4%, 54.6%);--error-darker: hsl(358, 65%, 47%);--error-outlined-border: hsl(358, 75%, 59%);--error-contrast-text: hsl(350, 63%, 24%);--error-button-contrast-text: hsl(0, 0%, 100%);--aba: #FFC134;--abb: #4F4FF5}.fusion-v4[_ngcontent-%COMP%]{--spacing-tockenset: 0px;--spacing-25: 2px;--spacing-50: 4px;--spacing-75: 6px;--spacing-100: 8px;--spacing-125: 10px;--spacing-150: 12px;--spacing-200: 16px;--spacing-250: 20px;--spacing-300: 24px;--spacing-400: 32px;--spacing-500: 40px;--spacing-600: 48px;--spacing-700: 56px;--spacing-800: 64px;--spacing-900: 72px;--spacing-1000: 80px}.fusion-v4[_ngcontent-%COMP%]{--border-radius-xs: 2px;--border-radius-sm: 4px;--border-radius-md: 6px;--border-radius-lg: 8px;--border-radius-xl: 16px;--border-radius-full: 100px}.font-v4-bold[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%], .font-v4-chart-2[_ngcontent-%COMP%], .font-v4-chart-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-button-group-wrapper[_ngcontent-%COMP%]   .fu-button-group-option[_ngcontent-%COMP%], .font-v4-chip-label[_ngcontent-%COMP%], .font-v4-table-label[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-button-group-wrapper.fu-size-xlarge[_ngcontent-%COMP%]   .fu-button-group-option[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-button-group-wrapper.fu-size-large[_ngcontent-%COMP%]   .fu-button-group-option[_ngcontent-%COMP%], .font-v4-button[_ngcontent-%COMP%], .font-v4-heading-6[_ngcontent-%COMP%], .font-v4-heading-5[_ngcontent-%COMP%], .font-v4-heading-4[_ngcontent-%COMP%], .font-v4-heading-3[_ngcontent-%COMP%], .font-v4-heading-2[_ngcontent-%COMP%], .font-v4-heading-1[_ngcontent-%COMP%], .font-v4-title[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium[_ngcontent-%COMP%], .font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-input-label[_ngcontent-%COMP%], .font-v4-overline[_ngcontent-%COMP%], .font-v4-subtitle-2[_ngcontent-%COMP%], .font-v4-subtitle-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular[_ngcontent-%COMP%], .font-v4-caption[_ngcontent-%COMP%], .font-v4-body-2[_ngcontent-%COMP%], .font-v4-body-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title[_ngcontent-%COMP%]{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2[_ngcontent-%COMP%]{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3[_ngcontent-%COMP%]{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5[_ngcontent-%COMP%]{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6[_ngcontent-%COMP%]{font-size:.75rem;line-height:.75rem;letter-spacing:0}.font-v4-body-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-body-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2[_ngcontent-%COMP%]{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}[_nghost-%COMP%]   .fu-button-group-wrapper.fu-size-xlarge[_ngcontent-%COMP%]   .fu-button-group-option[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-button-group-wrapper.fu-size-large[_ngcontent-%COMP%]   .fu-button-group-option[_ngcontent-%COMP%], .font-v4-button[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}.font-v4-caption[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem}.font-v4-table-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem}[_nghost-%COMP%]   .fu-button-group-wrapper[_ngcontent-%COMP%]   .fu-button-group-option[_ngcontent-%COMP%], .font-v4-chip-label[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:normal}[_nghost-%COMP%]   .fu-button-group-wrapper[_ngcontent-%COMP%]   .fu-button-group-option[_ngcontent-%COMP%]   fusion-icon[_ngcontent-%COMP%]{width:20px;height:20px}[_nghost-%COMP%]   .fu-button-group-wrapper.fu-size-xlarge[_ngcontent-%COMP%]   .fu-button-group-option[_ngcontent-%COMP%]   fusion-icon[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-button-group-wrapper.fu-size-large[_ngcontent-%COMP%]   .fu-button-group-option[_ngcontent-%COMP%]   fusion-icon[_ngcontent-%COMP%]{width:24px;height:24px}[_nghost-%COMP%]{margin:0;padding:0;-webkit-user-select:none;user-select:none;display:flex}[_nghost-%COMP%]   .fu-button-group-wrapper[_ngcontent-%COMP%]{display:flex;align-items:center}[_nghost-%COMP%]   .fu-button-group-wrapper[_ngcontent-%COMP%]   .fu-button-group-option[_ngcontent-%COMP%]{display:flex;align-items:center;gap:var(--spacing-50, 4px);color:var(--action-active, hsl(0, 0%, 50.3%));background-color:var(--default-main, hsl(0, 0%, 94.51%));border:solid 1px var(--default-outlined-border, hsl(0, 0%, 73.2%));border-left:none;padding:calc(var(--spacing-75, 6px) - 1px) var(--spacing-100, 8px)}[_nghost-%COMP%]   .fu-button-group-wrapper[_ngcontent-%COMP%]   .fu-button-group-option[_ngcontent-%COMP%]:has(fusion-icon){padding:calc(var(--spacing-50, 4px) - 1px) var(--spacing-100, 8px)}[_nghost-%COMP%]   .fu-button-group-wrapper[_ngcontent-%COMP%]   .fu-button-group-option[_ngcontent-%COMP%]:has(fusion-icon):not(:has(.fu-option-label-text)){padding:calc(var(--spacing-50, 4px) - 1px) var(--spacing-50, 4px)}[_nghost-%COMP%]   .fu-button-group-wrapper[_ngcontent-%COMP%]   .fu-button-group-option[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]{display:none}[_nghost-%COMP%]   .fu-button-group-wrapper[_ngcontent-%COMP%]   .fu-button-group-option[_ngcontent-%COMP%]:first-of-type{border-left:solid 1px var(--default-outlined-border, hsl(0, 0%, 73.2%));border-top-left-radius:var(--border-radius-md, 6px);border-bottom-left-radius:var(--border-radius-md, 6px)}[_nghost-%COMP%]   .fu-button-group-wrapper[_ngcontent-%COMP%]   .fu-button-group-option[_ngcontent-%COMP%]:last-of-type{border-top-right-radius:var(--border-radius-md, 6px);border-bottom-right-radius:var(--border-radius-md, 6px)}[_nghost-%COMP%]   .fu-button-group-wrapper[_ngcontent-%COMP%]   .fu-button-group-option[_ngcontent-%COMP%]:hover{color:var(--text-primary, hsl(0, 0%, 12.5%));background-color:var(--default-light, hsl(0, 0%, 89.5%));cursor:pointer}[_nghost-%COMP%]   .fu-button-group-wrapper[_ngcontent-%COMP%]   .fu-button-group-option[_ngcontent-%COMP%]:has(input:checked){color:var(--text-primary, hsl(0, 0%, 12.5%));background-color:var(--action-selected, hsl(0, 0%, 92%))}[_nghost-%COMP%]   .fu-button-group-wrapper.fu-color-primary[_ngcontent-%COMP%]   .fu-button-group-option[_ngcontent-%COMP%]:hover{color:var(--primary-main, hsl(206, 100%, 50%));background-color:var(--primary-light, hsl(209, 95%, 90.1%))}[_nghost-%COMP%]   .fu-button-group-wrapper.fu-color-primary[_ngcontent-%COMP%]   .fu-button-group-option[_ngcontent-%COMP%]:has(input:checked){color:var(--primary-main, hsl(206, 100%, 50%));background-color:var(--primary-main-8-p, hsla(206, 100%, 50%, .08))}[_nghost-%COMP%]   .fu-button-group-wrapper.fu-size-small[_ngcontent-%COMP%]   .fu-button-group-option[_ngcontent-%COMP%]{padding:calc(var(--spacing-50, 4px) - 1px) var(--spacing-50, 4px)}[_nghost-%COMP%]   .fu-button-group-wrapper.fu-size-small[_ngcontent-%COMP%]   .fu-button-group-option[_ngcontent-%COMP%]:has(fusion-icon){padding:calc(var(--spacing-25, 2px) - 1px) var(--spacing-50, 4px)}[_nghost-%COMP%]   .fu-button-group-wrapper.fu-size-small[_ngcontent-%COMP%]   .fu-button-group-option[_ngcontent-%COMP%]:has(fusion-icon):not(:has(.fu-option-label-text)){padding:calc(var(--spacing-25, 2px) - 1px) var(--spacing25, 2px)}[_nghost-%COMP%]   .fu-button-group-wrapper.fu-size-large[_ngcontent-%COMP%]   .fu-button-group-option[_ngcontent-%COMP%]{padding:calc(var(--spacing-75, 6px) - 1px) var(--spacing-100, 8px)}[_nghost-%COMP%]   .fu-button-group-wrapper.fu-size-large[_ngcontent-%COMP%]   .fu-button-group-option[_ngcontent-%COMP%]:has(fusion-icon){padding:calc(var(--spacing-50, 4px) - 1px) var(--spacing-100, 8px)}[_nghost-%COMP%]   .fu-button-group-wrapper.fu-size-large[_ngcontent-%COMP%]   .fu-button-group-option[_ngcontent-%COMP%]:has(fusion-icon):not(:has(.fu-option-label-text)){padding:calc(var(--spacing-50, 4px) - 1px) var(--spacing-50, 4px)}[_nghost-%COMP%]   .fu-button-group-wrapper.fu-size-xlarge[_ngcontent-%COMP%]   .fu-button-group-option[_ngcontent-%COMP%]{padding:calc(var(--spacing-125, 10px) - 1px) var(--spacing-100, 8px)}[_nghost-%COMP%]   .fu-button-group-wrapper.fu-size-xlarge[_ngcontent-%COMP%]   .fu-button-group-option[_ngcontent-%COMP%]:has(fusion-icon){padding:calc(var(--spacing-100, 8px) - 1px) var(--spacing-100, 8px)}[_nghost-%COMP%]   .fu-button-group-wrapper.fu-size-xlarge[_ngcontent-%COMP%]   .fu-button-group-option[_ngcontent-%COMP%]:has(fusion-icon):not(:has(.fu-option-label-text)){padding:calc(var(--spacing-100, 8px) - 1px) var(--spacing-100, 8px)}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(ToggleButtonGroupComponent, [{
        type: Component,
        args: [{ selector: 'fusion-toggle-button-group', standalone: true, imports: [CommonModule, IconModule, TooltipDirective], host: { class: 'fusion-v4' }, changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => ToggleButtonGroupComponent),
                        multi: true
                    }
                ], template: "<div class=\"fu-button-group-wrapper fu-size-{{size}} fu-color-{{color}}\">\n    <ng-container *ngFor=\"let option of options; let isFirst = first\">\n        <label class=\"fu-button-group-option\"\n               [fusionTooltip]=\"option.tooltip\"\n               [configuration]=\"option.tooltipConfiguration ?? tooltipConfiguration\"\n        >\n            <input type=\"radio\"\n                   id=\"{{name}}__{{option.id}}\"\n                   [name]=\"name\"\n                   [checked]=\"option.id === selected?.id\"\n                   (change)=\"setSelected(option)\"/>\n            <fusion-icon *ngIf=\"option.icon\" [name]=\"option.icon\"></fusion-icon>\n            <div *ngIf=\"option.label\" class=\"fu-option-label-text\"\n                 [attr.data-testid]=\"isFirst ? testId : null\">{{ option.label }}\n            </div>\n        </label>\n    </ng-container>\n</div>\n", styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";.fusion-v4{--background-default: #FFFFFF;--background-paper: hsl(0, 0%, 99%);--background-model-elevation: #FFFFFF;--background-backdrop: hsla(0, 0%, 0%, .11);--background-paper-elevation-0: hsl(0, 0%, 97.5%);--background-paper-elevation-1: hsl(0, 0%, 94.6%);--background-paper-elevation-2: hsl(0, 0%, 92%);--background-paper-elevation-3: hsl(0, 0%, 89.5%);--background-paper-elevation-4: hsl(0, 0%, 86.8%);--background-paper-elevation-5: hsl(0, 0%, 83%);--background-paper-elevation-6: hsl(0, 0%, 73.2%);--background-paper-elevation-7: hsl(0, 0%, 55.2%);--background-paper-elevation-8: hsl(0, 0%, 50.3%);--background-paper-elevation-9: hsl(0, 0%, 39.3%);--action-primary: hsl(0, 0%, 12.5%);--action-active: hsl(0, 0%, 50.3%);--action-hover: hsla(0, 0%, 0%, .05);--action-selected: hsl(0, 0%, 92%);--action-disabled: hsl(0, 0%, 87%);--action-disabled-background: hsl(0, 0%, 95%);--action-focus: hsl(0, 0%, 92%);--action-outlined-border: hsl(0, 0%, 73%);--default-light: hsl(0, 0%, 89.5%);--default-main: hsl(0, 0%, 94.51%);--default-dark: hsl(0, 0%, 92%);--default-outlined-border: hsl(0, 0%, 73.2%);--default-contrast-text: hsl(0, 0%, 12.5%);--default-button-contrast-text: hsl(0, 0%, 0%);--common-white: #FFFFFF;--common-black: #000000;--common-inverse-white: #FFFFFF;--common-inverse-black: #000000;--common-divider: hsl(0, 0%, 86.8%);--common-divider-elevation-0: hsl(0, 0%, 89%);--text-primary: hsl(0, 0%, 12.5%);--text-secondary: hsl(0, 0%, 39.3%);--text-disabled: hsl(0, 0%, 73.33%);--primary-lighter: hsl(209, 100%, 96.5%);--primary-light: hsl(209, 95%, 90.1%);--primary-main: hsl(206, 100%, 50%);--primary-main-8-p: hsla(206, 100%, 50%, .08);--primary-main-50-p: hsla(206, 100%, 50%, .5);--primary-dark: hsl(208, 93.5%, 47.4%);--primary-darker: hsl(211, 90%, 42%);--primary-outlined-border: hsl(206, 100%, 50%);--primary-contrast-text: hsl(216, 71%, 23%);--primary-button-contrast-text: hsl(0, 0%, 100%);--info-lighter: hsl(223, 98.4%, 97.1%);--info-light: hsl(224, 87.1%, 92%);--info-main: hsl(226, 70%, 55.5%);--info-main-8-p: hsla(226, 70%, 55.5%, .08);--info-main-50-p: hsla(226, 70%, 55.5%, .5);--info-dark: hsl(226, 58.6%, 51.3%);--info-darker: hsl(226, 55%, 45%);--info-outlined-border: hsl(226, 70%, 55.5%);--info-contrast-text: hsl(226, 50%, 24%);--info-button-contrast-text: hsl(0, 0%, 100%);--success-lighter: hsl(139, 55.2%, 94.5%);--success-light: hsl(141, 43.7%, 86%);--success-main: hsl(151, 55%, 41.5%);--success-main-8-p: hsla(151, 55%, 41.5%, .08);--success-main-50-p: hsla(151, 55%, 41.5%, .5);--success-dark: hsl(152, 57.5%, 37.6%);--success-darker: hsl(153, 67%, 28.5%);--success-outlined-border: hsl(151, 55%, 41.5%);--success-contrast-text: hsl(155, 40%, 16.5%);--success-button-contrast-text: hsl(0, 0%, 100%);--warning-lighter: hsl(45, 100%, 90.8%);--warning-light: hsl(40, 100%, 81.5%);--warning-main: hsl(42, 100%, 62%);--warning-main-8-p: hsla(42, 100%, 62%, .08);--warning-main-50-p: hsla(42, 100%, 62%, .5);--warning-dark: hsl(42, 100%, 55%);--warning-darker: hsl(25, 50%, 38%);--warning-outlined-border: hsl(42, 100%, 62%);--warning-contrast-text: hsl(25, 40%, 22%);--warning-button-contrast-text: hsl(24, 40%, 22%);--error-lighter: hsl(0, 100%, 96.8%);--error-light: hsl(0, 90.2%, 91.9%);--error-main: hsl(358, 75%, 59%);--error-main-8-p: hsla(358, 75%, 59%, .08);--error-main-50-p: hsla(358, 75%, 59%, .5);--error-dark: hsl(358, 67.4%, 54.6%);--error-darker: hsl(358, 65%, 47%);--error-outlined-border: hsl(358, 75%, 59%);--error-contrast-text: hsl(350, 63%, 24%);--error-button-contrast-text: hsl(0, 0%, 100%);--aba: #FFC134;--abb: #4F4FF5}.fusion-v4{--spacing-tockenset: 0px;--spacing-25: 2px;--spacing-50: 4px;--spacing-75: 6px;--spacing-100: 8px;--spacing-125: 10px;--spacing-150: 12px;--spacing-200: 16px;--spacing-250: 20px;--spacing-300: 24px;--spacing-400: 32px;--spacing-500: 40px;--spacing-600: 48px;--spacing-700: 56px;--spacing-800: 64px;--spacing-900: 72px;--spacing-1000: 80px}.fusion-v4{--border-radius-xs: 2px;--border-radius-sm: 4px;--border-radius-md: 6px;--border-radius-lg: 8px;--border-radius-xl: 16px;--border-radius-full: 100px}.font-v4-bold,.font-v4-tab-label-2,.font-v4-chart-2,.font-v4-chart-1{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold,:host .fu-button-group-wrapper .fu-button-group-option,.font-v4-chip-label,.font-v4-table-label,:host .fu-button-group-wrapper.fu-size-xlarge .fu-button-group-option,:host .fu-button-group-wrapper.fu-size-large .fu-button-group-option,.font-v4-button,.font-v4-heading-6,.font-v4-heading-5,.font-v4-heading-4,.font-v4-heading-3,.font-v4-heading-2,.font-v4-heading-1,.font-v4-title{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium,.font-v4-tab-label-1,.font-v4-input-label,.font-v4-overline,.font-v4-subtitle-2,.font-v4-subtitle-1{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular,.font-v4-caption,.font-v4-body-2,.font-v4-body-1{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6{font-size:.75rem;line-height:.75rem;letter-spacing:0}.font-v4-body-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-body-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}:host .fu-button-group-wrapper.fu-size-xlarge .fu-button-group-option,:host .fu-button-group-wrapper.fu-size-large .fu-button-group-option,.font-v4-button{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}.font-v4-caption{font-size:.75rem;line-height:1rem}.font-v4-table-label{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1,.font-v4-tab-label-2{font-size:.875rem;line-height:1rem}:host .fu-button-group-wrapper .fu-button-group-option,.font-v4-chip-label{font-size:.75rem;line-height:1rem;letter-spacing:normal}:host .fu-button-group-wrapper .fu-button-group-option fusion-icon{width:20px;height:20px}:host .fu-button-group-wrapper.fu-size-xlarge .fu-button-group-option fusion-icon,:host .fu-button-group-wrapper.fu-size-large .fu-button-group-option fusion-icon{width:24px;height:24px}:host{margin:0;padding:0;-webkit-user-select:none;user-select:none;display:flex}:host .fu-button-group-wrapper{display:flex;align-items:center}:host .fu-button-group-wrapper .fu-button-group-option{display:flex;align-items:center;gap:var(--spacing-50, 4px);color:var(--action-active, hsl(0, 0%, 50.3%));background-color:var(--default-main, hsl(0, 0%, 94.51%));border:solid 1px var(--default-outlined-border, hsl(0, 0%, 73.2%));border-left:none;padding:calc(var(--spacing-75, 6px) - 1px) var(--spacing-100, 8px)}:host .fu-button-group-wrapper .fu-button-group-option:has(fusion-icon){padding:calc(var(--spacing-50, 4px) - 1px) var(--spacing-100, 8px)}:host .fu-button-group-wrapper .fu-button-group-option:has(fusion-icon):not(:has(.fu-option-label-text)){padding:calc(var(--spacing-50, 4px) - 1px) var(--spacing-50, 4px)}:host .fu-button-group-wrapper .fu-button-group-option input{display:none}:host .fu-button-group-wrapper .fu-button-group-option:first-of-type{border-left:solid 1px var(--default-outlined-border, hsl(0, 0%, 73.2%));border-top-left-radius:var(--border-radius-md, 6px);border-bottom-left-radius:var(--border-radius-md, 6px)}:host .fu-button-group-wrapper .fu-button-group-option:last-of-type{border-top-right-radius:var(--border-radius-md, 6px);border-bottom-right-radius:var(--border-radius-md, 6px)}:host .fu-button-group-wrapper .fu-button-group-option:hover{color:var(--text-primary, hsl(0, 0%, 12.5%));background-color:var(--default-light, hsl(0, 0%, 89.5%));cursor:pointer}:host .fu-button-group-wrapper .fu-button-group-option:has(input:checked){color:var(--text-primary, hsl(0, 0%, 12.5%));background-color:var(--action-selected, hsl(0, 0%, 92%))}:host .fu-button-group-wrapper.fu-color-primary .fu-button-group-option:hover{color:var(--primary-main, hsl(206, 100%, 50%));background-color:var(--primary-light, hsl(209, 95%, 90.1%))}:host .fu-button-group-wrapper.fu-color-primary .fu-button-group-option:has(input:checked){color:var(--primary-main, hsl(206, 100%, 50%));background-color:var(--primary-main-8-p, hsla(206, 100%, 50%, .08))}:host .fu-button-group-wrapper.fu-size-small .fu-button-group-option{padding:calc(var(--spacing-50, 4px) - 1px) var(--spacing-50, 4px)}:host .fu-button-group-wrapper.fu-size-small .fu-button-group-option:has(fusion-icon){padding:calc(var(--spacing-25, 2px) - 1px) var(--spacing-50, 4px)}:host .fu-button-group-wrapper.fu-size-small .fu-button-group-option:has(fusion-icon):not(:has(.fu-option-label-text)){padding:calc(var(--spacing-25, 2px) - 1px) var(--spacing25, 2px)}:host .fu-button-group-wrapper.fu-size-large .fu-button-group-option{padding:calc(var(--spacing-75, 6px) - 1px) var(--spacing-100, 8px)}:host .fu-button-group-wrapper.fu-size-large .fu-button-group-option:has(fusion-icon){padding:calc(var(--spacing-50, 4px) - 1px) var(--spacing-100, 8px)}:host .fu-button-group-wrapper.fu-size-large .fu-button-group-option:has(fusion-icon):not(:has(.fu-option-label-text)){padding:calc(var(--spacing-50, 4px) - 1px) var(--spacing-50, 4px)}:host .fu-button-group-wrapper.fu-size-xlarge .fu-button-group-option{padding:calc(var(--spacing-125, 10px) - 1px) var(--spacing-100, 8px)}:host .fu-button-group-wrapper.fu-size-xlarge .fu-button-group-option:has(fusion-icon){padding:calc(var(--spacing-100, 8px) - 1px) var(--spacing-100, 8px)}:host .fu-button-group-wrapper.fu-size-xlarge .fu-button-group-option:has(fusion-icon):not(:has(.fu-option-label-text)){padding:calc(var(--spacing-100, 8px) - 1px) var(--spacing-100, 8px)}\n"] }]
    }], () => [{ type: i1.UniqueIdService }], { name: [{
            type: Input
        }], options: [{
            type: Input
        }], size: [{
            type: Input
        }], color: [{
            type: Input
        }], testId: [{
            type: Input
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(ToggleButtonGroupComponent, { className: "ToggleButtonGroupComponent", filePath: "toggle-button-group.component.ts", lineNumber: 26 }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { ToggleButtonGroupComponent };
//# sourceMappingURL=ironsource-fusion-ui-components-toggle-button-group-v4.mjs.map
