import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy, Input, Directive, ViewContainerRef, ContentChild, HostBinding } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import { TooltipPosition } from '@ironsource/fusion-ui/components/tooltip/common/base';
import { Subject, fromEvent, of } from 'rxjs';
import { takeUntil, switchMap } from 'rxjs/operators';
import { GenericPipe } from '@ironsource/fusion-ui/pipes/generic';
import { TooltipTestIdModifiers } from '@ironsource/fusion-ui/entities';
import { TestIdsService } from '@ironsource/fusion-ui/services/test-ids';
import { isNullOrUndefined } from '@ironsource/fusion-ui/utils';

function TooltipContentV4Component_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0, 4);
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵproperty("ngTemplateOutlet", ctx_r0.temp);
} }
function TooltipContentV4Component_span_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "span");
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r1.tooltipInnerText);
} }
class TooltipContentV4Component {
    set tooltipTextContent(text) {
        if (text) {
            this.tooltipInnerText = text;
        }
    }
    /** @internal */
    set templateRef(template) {
        this.temp = template;
    }
    set tooltipPositionClass(pos) {
        this.position = TooltipPosition[pos]?.toLowerCase();
        if (!!this.position) {
            this.renderer.addClass(this.elementRef.nativeElement, 'fu-tooltip-' + this.position);
        }
    }
    set tooltipStyleConfiguration(config) {
        if (config) {
            this.setTooltipStyle(config);
        }
    }
    constructor(
    /** @internal */
    elementRef, renderer, injector) {
        this.elementRef = elementRef;
        this.renderer = renderer;
        this.injector = injector;
        /** @internal */
        this.testIdTooltipModifiers = TooltipTestIdModifiers;
        /** @internal */
        this.testIdsService = this.injector.get(TestIdsService);
    }
    suppressTooltipArrow(suppressPositionArrow) {
        if (suppressPositionArrow) {
            this.renderer.addClass(this.elementRef.nativeElement, 'fu-tooltip-no-arrow');
        }
    }
    setTooltipStyle(propertyValue) {
        Object.keys(propertyValue).forEach(val => {
            if (val === 'backgroundColor' && !!propertyValue[val]) {
                this.elementRef.nativeElement.style.setProperty('--fu-tooltip-background-color', propertyValue[val]);
            }
            else {
                this.renderer.setStyle(this.elementRef.nativeElement, val, propertyValue[val]);
            }
        });
    }
    static { this.ɵfac = function TooltipContentV4Component_Factory(t) { return new (t || TooltipContentV4Component)(i0.ɵɵdirectiveInject(i0.ElementRef), i0.ɵɵdirectiveInject(i0.Renderer2), i0.ɵɵdirectiveInject(i0.Injector)); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: TooltipContentV4Component, selectors: [["fusion-tooltip-content"]], inputs: { testId: "testId", tooltipTextContent: "tooltipTextContent", templateRef: "templateRef", tooltipPositionClass: "tooltipPositionClass", tooltipStyleConfiguration: "tooltipStyleConfiguration" }, standalone: true, features: [i0.ɵɵStandaloneFeature], decls: 4, vars: 3, consts: [[1, "fu-tooltip-component"], [3, "ngTemplateOutlet", 4, "ngIf"], [4, "ngIf"], [1, "fu-tooltip-arrow"], [3, "ngTemplateOutlet"]], template: function TooltipContentV4Component_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵtemplate(1, TooltipContentV4Component_ng_container_1_Template, 1, 1, "ng-container", 1)(2, TooltipContentV4Component_span_2_Template, 2, 1, "span", 2);
            i0.ɵɵelement(3, "div", 3);
            i0.ɵɵelementEnd();
        } if (rf & 2) {
            i0.ɵɵattribute("data-testid", ctx.testId);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", !ctx.tooltipInnerText);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.tooltipInnerText);
        } }, dependencies: [CommonModule, i1.NgIf, i1.NgTemplateOutlet], styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}.fusion-v4[_ngcontent-%COMP%]{--background-default: #FFFFFF;--background-paper: hsl(0, 0%, 99%);--background-model-elevation: #FFFFFF;--background-backdrop: hsla(0, 0%, 0%, .11);--background-paper-elevation-0: hsl(0, 0%, 97.5%);--background-paper-elevation-1: hsl(0, 0%, 94.6%);--background-paper-elevation-2: hsl(0, 0%, 92%);--background-paper-elevation-3: hsl(0, 0%, 89.5%);--background-paper-elevation-4: hsl(0, 0%, 86.8%);--background-paper-elevation-5: hsl(0, 0%, 83%);--background-paper-elevation-6: hsl(0, 0%, 73.2%);--background-paper-elevation-7: hsl(0, 0%, 55.2%);--background-paper-elevation-8: hsl(0, 0%, 50.3%);--background-paper-elevation-9: hsl(0, 0%, 39.3%);--action-primary: hsl(0, 0%, 12.5%);--action-active: hsl(0, 0%, 50.3%);--action-hover: hsla(0, 0%, 0%, .05);--action-selected: hsl(0, 0%, 92%);--action-disabled: hsl(0, 0%, 87%);--action-disabled-background: hsl(0, 0%, 95%);--action-focus: hsl(0, 0%, 92%);--action-outlined-border: hsl(0, 0%, 73%);--default-light: hsl(0, 0%, 89.5%);--default-main: hsl(0, 0%, 94.51%);--default-dark: hsl(0, 0%, 92%);--default-outlined-border: hsl(0, 0%, 73.2%);--default-contrast-text: hsl(0, 0%, 12.5%);--default-button-contrast-text: hsl(0, 0%, 0%);--common-white: #FFFFFF;--common-black: #000000;--common-inverse-white: #FFFFFF;--common-inverse-black: #000000;--common-divider: hsl(0, 0%, 86.8%);--common-divider-elevation-0: hsl(0, 0%, 89%);--text-primary: hsl(0, 0%, 12.5%);--text-secondary: hsl(0, 0%, 39.3%);--text-disabled: hsl(0, 0%, 73.33%);--primary-lighter: hsl(209, 100%, 96.5%);--primary-light: hsl(209, 95%, 90.1%);--primary-main: hsl(206, 100%, 50%);--primary-main-8-p: hsla(206, 100%, 50%, .08);--primary-main-50-p: hsla(206, 100%, 50%, .5);--primary-dark: hsl(208, 93.5%, 47.4%);--primary-darker: hsl(211, 90%, 42%);--primary-outlined-border: hsl(206, 100%, 50%);--primary-contrast-text: hsl(216, 71%, 23%);--primary-button-contrast-text: hsl(0, 0%, 100%);--info-lighter: hsl(223, 98.4%, 97.1%);--info-light: hsl(224, 87.1%, 92%);--info-main: hsl(226, 70%, 55.5%);--info-main-8-p: hsla(226, 70%, 55.5%, .08);--info-main-50-p: hsla(226, 70%, 55.5%, .5);--info-dark: hsl(226, 58.6%, 51.3%);--info-darker: hsl(226, 55%, 45%);--info-outlined-border: hsl(226, 70%, 55.5%);--info-contrast-text: hsl(226, 50%, 24%);--info-button-contrast-text: hsl(0, 0%, 100%);--success-lighter: hsl(139, 55.2%, 94.5%);--success-light: hsl(141, 43.7%, 86%);--success-main: hsl(151, 55%, 41.5%);--success-main-8-p: hsla(151, 55%, 41.5%, .08);--success-main-50-p: hsla(151, 55%, 41.5%, .5);--success-dark: hsl(152, 57.5%, 37.6%);--success-darker: hsl(153, 67%, 28.5%);--success-outlined-border: hsl(151, 55%, 41.5%);--success-contrast-text: hsl(155, 40%, 16.5%);--success-button-contrast-text: hsl(0, 0%, 100%);--warning-lighter: hsl(45, 100%, 90.8%);--warning-light: hsl(40, 100%, 81.5%);--warning-main: hsl(42, 100%, 62%);--warning-main-8-p: hsla(42, 100%, 62%, .08);--warning-main-50-p: hsla(42, 100%, 62%, .5);--warning-dark: hsl(42, 100%, 55%);--warning-darker: hsl(25, 50%, 38%);--warning-outlined-border: hsl(42, 100%, 62%);--warning-contrast-text: hsl(25, 40%, 22%);--warning-button-contrast-text: hsl(24, 40%, 22%);--error-lighter: hsl(0, 100%, 96.8%);--error-light: hsl(0, 90.2%, 91.9%);--error-main: hsl(358, 75%, 59%);--error-main-8-p: hsla(358, 75%, 59%, .08);--error-main-50-p: hsla(358, 75%, 59%, .5);--error-dark: hsl(358, 67.4%, 54.6%);--error-darker: hsl(358, 65%, 47%);--error-outlined-border: hsl(358, 75%, 59%);--error-contrast-text: hsl(350, 63%, 24%);--error-button-contrast-text: hsl(0, 0%, 100%);--aba: #FFC134;--abb: #4F4FF5}.fusion-v4[_ngcontent-%COMP%]{--spacing-tockenset: 0px;--spacing-25: 2px;--spacing-50: 4px;--spacing-75: 6px;--spacing-100: 8px;--spacing-125: 10px;--spacing-150: 12px;--spacing-200: 16px;--spacing-250: 20px;--spacing-300: 24px;--spacing-400: 32px;--spacing-500: 40px;--spacing-600: 48px;--spacing-700: 56px;--spacing-800: 64px;--spacing-900: 72px;--spacing-1000: 80px}.fusion-v4[_ngcontent-%COMP%]{--box-shadow-xs: 0px 1px 2px 0px rgba(16, 24, 40, .05);--box-shadow-sm: 0px 1px 3px 0px rgba(16, 24, 40, .1), 0px 1px 2px 0px rgba(16, 24, 40, .06);--box-shadow-md: 0px 4px 8px -2px rgba(16, 24, 40, .1), 0px 2px 4px -2px rgba(16, 24, 40, .06);--box-shadow-lg: 0px 12px 16px -4px rgba(16, 24, 40, .08), 0px 4px 6px -2px rgba(16, 24, 40, .03);--box-shadow-xl: 0px 8px 8px -4px rgba(16, 24, 40, .03), 0px 20px 24px -6px rgba(16, 24, 40, .08);--box-shadow-xxl: 0px 24px 48px -12px rgba(16, 24, 40, .18);--box-shadow-xxxl: 0px 19px 32px 2px rgba(44, 45, 45, .14);--box-shadow-slg: 0px 27px 27px 2px rgba(44, 45, 45, .14)}.fusion-v4[_ngcontent-%COMP%]{--border-radius-xs: 2px;--border-radius-sm: 4px;--border-radius-md: 6px;--border-radius-lg: 8px;--border-radius-xl: 16px;--border-radius-full: 100px}.font-v4-bold[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%], .font-v4-chart-2[_ngcontent-%COMP%], .font-v4-chart-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold[_ngcontent-%COMP%], .font-v4-chip-label[_ngcontent-%COMP%], .font-v4-table-label[_ngcontent-%COMP%], .font-v4-button[_ngcontent-%COMP%], .font-v4-heading-6[_ngcontent-%COMP%], .font-v4-heading-5[_ngcontent-%COMP%], .font-v4-heading-4[_ngcontent-%COMP%], .font-v4-heading-3[_ngcontent-%COMP%], .font-v4-heading-2[_ngcontent-%COMP%], .font-v4-heading-1[_ngcontent-%COMP%], .font-v4-title[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium[_ngcontent-%COMP%], .font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-input-label[_ngcontent-%COMP%], .font-v4-overline[_ngcontent-%COMP%], .font-v4-subtitle-2[_ngcontent-%COMP%], .font-v4-subtitle-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular[_ngcontent-%COMP%], .font-v4-caption[_ngcontent-%COMP%], [_nghost-%COMP%], .font-v4-body-2[_ngcontent-%COMP%], .font-v4-body-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title[_ngcontent-%COMP%]{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2[_ngcontent-%COMP%]{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3[_ngcontent-%COMP%]{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5[_ngcontent-%COMP%]{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6[_ngcontent-%COMP%]{font-size:.75rem;line-height:.75rem;letter-spacing:0}.font-v4-body-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}[_nghost-%COMP%], .font-v4-body-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2[_ngcontent-%COMP%]{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}.font-v4-caption[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem}.font-v4-table-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem}.font-v4-chip-label[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:normal}[_nghost-%COMP%]{box-sizing:border-box;position:fixed;z-index:3020;width:-moz-fit-content;width:fit-content;display:flex;flex-direction:column;justify-content:center;align-items:center;padding:8px 12px;color:var(--text-primary, hsl(0, 0%, 12.5%));border:1px solid var(--common-divider-elevation-0, hsl(0, 0%, 89%));border-radius:var(--border-radius-lg, 8px);background-color:var(--fu-tooltip-background-color, var(--background-modelElevation, #FFFFFF));box-shadow:var(--box-shadow-md, 0px 4px 8px -2px rgba(16, 24, 40, .1), 0px 2px 4px -2px rgba(16, 24, 40, .06))}[_nghost-%COMP%]   .fu-tooltip-component[_ngcontent-%COMP%]{position:relative}[_nghost-%COMP%]   .fu-tooltip-component[_ngcontent-%COMP%]   .fu-tooltip-arrow[_ngcontent-%COMP%]{display:none;position:absolute;width:16px;height:8px;flex-shrink:0;background-image:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='9' fill='none' viewBox='0 0 16 9'%3E%3Cpath fill='%23fff' stroke='%23E4E4E4' d='M14.793 1.044H1.236l6.779 6.778 6.778-6.778Z'/%3E%3C/svg%3E\")}[_nghost-%COMP%]   .fu-tooltip-component[_ngcontent-%COMP%]   .fu-tooltip-arrow[_ngcontent-%COMP%]:after{pointer-events:none;content:\"\";position:absolute;margin-left:-7px;border-width:7px;border-style:solid;border-color:var(--fu-tooltip-background-color, var(--background-modelElevation, #FFFFFF)) transparent transparent transparent;top:0;left:50%}.fu-tooltip-top[_nghost-%COMP%]   .fu-tooltip-component[_ngcontent-%COMP%]   .fu-tooltip-arrow[_ngcontent-%COMP%]{display:inherit;bottom:-16px;left:50%;transform:translate(-50%)}.fu-tooltip-bottom[_nghost-%COMP%]   .fu-tooltip-component[_ngcontent-%COMP%]   .fu-tooltip-arrow[_ngcontent-%COMP%]{display:inherit;top:-16px;left:50%;transform:rotate(180deg) translate(50%)}.fu-tooltip-left[_nghost-%COMP%]   .fu-tooltip-component[_ngcontent-%COMP%]   .fu-tooltip-arrow[_ngcontent-%COMP%]{display:inherit;top:calc(50% - 4px);right:-20px;transform:rotate(-90deg) translateY(50%)}.fu-tooltip-right[_nghost-%COMP%]   .fu-tooltip-component[_ngcontent-%COMP%]   .fu-tooltip-arrow[_ngcontent-%COMP%]{display:inherit;top:calc(50% - 4px);left:-20px;transform:rotate(90deg) translateY(50%)}.fu-tooltip-topright[_nghost-%COMP%]   .fu-tooltip-component[_ngcontent-%COMP%]   .fu-tooltip-arrow[_ngcontent-%COMP%]{display:inherit;bottom:-16px;right:-14px;transform:translate(-50%)}.fu-tooltip-topleft[_nghost-%COMP%]   .fu-tooltip-component[_ngcontent-%COMP%]   .fu-tooltip-arrow[_ngcontent-%COMP%]{display:inherit;bottom:-16px;left:2px;transform:translate(-50%)}.fu-tooltip-bottomright[_nghost-%COMP%]   .fu-tooltip-component[_ngcontent-%COMP%]   .fu-tooltip-arrow[_ngcontent-%COMP%]{display:inherit;top:-16px;right:-14px;transform:rotate(180deg) translate(50%)}.fu-tooltip-bottomleft[_nghost-%COMP%]   .fu-tooltip-component[_ngcontent-%COMP%]   .fu-tooltip-arrow[_ngcontent-%COMP%]{display:inherit;top:-16px;left:2px;transform:rotate(180deg) translate(50%)}.fu-tooltip-no-arrow[_nghost-%COMP%]   .fu-tooltip-component[_ngcontent-%COMP%]   .fu-tooltip-arrow[_ngcontent-%COMP%]{display:none}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TooltipContentV4Component, [{
        type: Component,
        args: [{ selector: 'fusion-tooltip-content', standalone: true, imports: [CommonModule, GenericPipe], template: ` <div class="fu-tooltip-component" [attr.data-testid]="testId">
        <ng-container *ngIf="!tooltipInnerText" [ngTemplateOutlet]="temp"></ng-container>
        <span *ngIf="tooltipInnerText">{{ tooltipInnerText }}</span>
        <div class="fu-tooltip-arrow"></div>
    </div>`, changeDetection: ChangeDetectionStrategy.OnPush, styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}.fusion-v4{--background-default: #FFFFFF;--background-paper: hsl(0, 0%, 99%);--background-model-elevation: #FFFFFF;--background-backdrop: hsla(0, 0%, 0%, .11);--background-paper-elevation-0: hsl(0, 0%, 97.5%);--background-paper-elevation-1: hsl(0, 0%, 94.6%);--background-paper-elevation-2: hsl(0, 0%, 92%);--background-paper-elevation-3: hsl(0, 0%, 89.5%);--background-paper-elevation-4: hsl(0, 0%, 86.8%);--background-paper-elevation-5: hsl(0, 0%, 83%);--background-paper-elevation-6: hsl(0, 0%, 73.2%);--background-paper-elevation-7: hsl(0, 0%, 55.2%);--background-paper-elevation-8: hsl(0, 0%, 50.3%);--background-paper-elevation-9: hsl(0, 0%, 39.3%);--action-primary: hsl(0, 0%, 12.5%);--action-active: hsl(0, 0%, 50.3%);--action-hover: hsla(0, 0%, 0%, .05);--action-selected: hsl(0, 0%, 92%);--action-disabled: hsl(0, 0%, 87%);--action-disabled-background: hsl(0, 0%, 95%);--action-focus: hsl(0, 0%, 92%);--action-outlined-border: hsl(0, 0%, 73%);--default-light: hsl(0, 0%, 89.5%);--default-main: hsl(0, 0%, 94.51%);--default-dark: hsl(0, 0%, 92%);--default-outlined-border: hsl(0, 0%, 73.2%);--default-contrast-text: hsl(0, 0%, 12.5%);--default-button-contrast-text: hsl(0, 0%, 0%);--common-white: #FFFFFF;--common-black: #000000;--common-inverse-white: #FFFFFF;--common-inverse-black: #000000;--common-divider: hsl(0, 0%, 86.8%);--common-divider-elevation-0: hsl(0, 0%, 89%);--text-primary: hsl(0, 0%, 12.5%);--text-secondary: hsl(0, 0%, 39.3%);--text-disabled: hsl(0, 0%, 73.33%);--primary-lighter: hsl(209, 100%, 96.5%);--primary-light: hsl(209, 95%, 90.1%);--primary-main: hsl(206, 100%, 50%);--primary-main-8-p: hsla(206, 100%, 50%, .08);--primary-main-50-p: hsla(206, 100%, 50%, .5);--primary-dark: hsl(208, 93.5%, 47.4%);--primary-darker: hsl(211, 90%, 42%);--primary-outlined-border: hsl(206, 100%, 50%);--primary-contrast-text: hsl(216, 71%, 23%);--primary-button-contrast-text: hsl(0, 0%, 100%);--info-lighter: hsl(223, 98.4%, 97.1%);--info-light: hsl(224, 87.1%, 92%);--info-main: hsl(226, 70%, 55.5%);--info-main-8-p: hsla(226, 70%, 55.5%, .08);--info-main-50-p: hsla(226, 70%, 55.5%, .5);--info-dark: hsl(226, 58.6%, 51.3%);--info-darker: hsl(226, 55%, 45%);--info-outlined-border: hsl(226, 70%, 55.5%);--info-contrast-text: hsl(226, 50%, 24%);--info-button-contrast-text: hsl(0, 0%, 100%);--success-lighter: hsl(139, 55.2%, 94.5%);--success-light: hsl(141, 43.7%, 86%);--success-main: hsl(151, 55%, 41.5%);--success-main-8-p: hsla(151, 55%, 41.5%, .08);--success-main-50-p: hsla(151, 55%, 41.5%, .5);--success-dark: hsl(152, 57.5%, 37.6%);--success-darker: hsl(153, 67%, 28.5%);--success-outlined-border: hsl(151, 55%, 41.5%);--success-contrast-text: hsl(155, 40%, 16.5%);--success-button-contrast-text: hsl(0, 0%, 100%);--warning-lighter: hsl(45, 100%, 90.8%);--warning-light: hsl(40, 100%, 81.5%);--warning-main: hsl(42, 100%, 62%);--warning-main-8-p: hsla(42, 100%, 62%, .08);--warning-main-50-p: hsla(42, 100%, 62%, .5);--warning-dark: hsl(42, 100%, 55%);--warning-darker: hsl(25, 50%, 38%);--warning-outlined-border: hsl(42, 100%, 62%);--warning-contrast-text: hsl(25, 40%, 22%);--warning-button-contrast-text: hsl(24, 40%, 22%);--error-lighter: hsl(0, 100%, 96.8%);--error-light: hsl(0, 90.2%, 91.9%);--error-main: hsl(358, 75%, 59%);--error-main-8-p: hsla(358, 75%, 59%, .08);--error-main-50-p: hsla(358, 75%, 59%, .5);--error-dark: hsl(358, 67.4%, 54.6%);--error-darker: hsl(358, 65%, 47%);--error-outlined-border: hsl(358, 75%, 59%);--error-contrast-text: hsl(350, 63%, 24%);--error-button-contrast-text: hsl(0, 0%, 100%);--aba: #FFC134;--abb: #4F4FF5}.fusion-v4{--spacing-tockenset: 0px;--spacing-25: 2px;--spacing-50: 4px;--spacing-75: 6px;--spacing-100: 8px;--spacing-125: 10px;--spacing-150: 12px;--spacing-200: 16px;--spacing-250: 20px;--spacing-300: 24px;--spacing-400: 32px;--spacing-500: 40px;--spacing-600: 48px;--spacing-700: 56px;--spacing-800: 64px;--spacing-900: 72px;--spacing-1000: 80px}.fusion-v4{--box-shadow-xs: 0px 1px 2px 0px rgba(16, 24, 40, .05);--box-shadow-sm: 0px 1px 3px 0px rgba(16, 24, 40, .1), 0px 1px 2px 0px rgba(16, 24, 40, .06);--box-shadow-md: 0px 4px 8px -2px rgba(16, 24, 40, .1), 0px 2px 4px -2px rgba(16, 24, 40, .06);--box-shadow-lg: 0px 12px 16px -4px rgba(16, 24, 40, .08), 0px 4px 6px -2px rgba(16, 24, 40, .03);--box-shadow-xl: 0px 8px 8px -4px rgba(16, 24, 40, .03), 0px 20px 24px -6px rgba(16, 24, 40, .08);--box-shadow-xxl: 0px 24px 48px -12px rgba(16, 24, 40, .18);--box-shadow-xxxl: 0px 19px 32px 2px rgba(44, 45, 45, .14);--box-shadow-slg: 0px 27px 27px 2px rgba(44, 45, 45, .14)}.fusion-v4{--border-radius-xs: 2px;--border-radius-sm: 4px;--border-radius-md: 6px;--border-radius-lg: 8px;--border-radius-xl: 16px;--border-radius-full: 100px}.font-v4-bold,.font-v4-tab-label-2,.font-v4-chart-2,.font-v4-chart-1{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold,.font-v4-chip-label,.font-v4-table-label,.font-v4-button,.font-v4-heading-6,.font-v4-heading-5,.font-v4-heading-4,.font-v4-heading-3,.font-v4-heading-2,.font-v4-heading-1,.font-v4-title{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium,.font-v4-tab-label-1,.font-v4-input-label,.font-v4-overline,.font-v4-subtitle-2,.font-v4-subtitle-1{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular,.font-v4-caption,:host,.font-v4-body-2,.font-v4-body-1{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6{font-size:.75rem;line-height:.75rem;letter-spacing:0}.font-v4-body-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}:host,.font-v4-body-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}.font-v4-caption{font-size:.75rem;line-height:1rem}.font-v4-table-label{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1,.font-v4-tab-label-2{font-size:.875rem;line-height:1rem}.font-v4-chip-label{font-size:.75rem;line-height:1rem;letter-spacing:normal}:host{box-sizing:border-box;position:fixed;z-index:3020;width:-moz-fit-content;width:fit-content;display:flex;flex-direction:column;justify-content:center;align-items:center;padding:8px 12px;color:var(--text-primary, hsl(0, 0%, 12.5%));border:1px solid var(--common-divider-elevation-0, hsl(0, 0%, 89%));border-radius:var(--border-radius-lg, 8px);background-color:var(--fu-tooltip-background-color, var(--background-modelElevation, #FFFFFF));box-shadow:var(--box-shadow-md, 0px 4px 8px -2px rgba(16, 24, 40, .1), 0px 2px 4px -2px rgba(16, 24, 40, .06))}:host .fu-tooltip-component{position:relative}:host .fu-tooltip-component .fu-tooltip-arrow{display:none;position:absolute;width:16px;height:8px;flex-shrink:0;background-image:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='9' fill='none' viewBox='0 0 16 9'%3E%3Cpath fill='%23fff' stroke='%23E4E4E4' d='M14.793 1.044H1.236l6.779 6.778 6.778-6.778Z'/%3E%3C/svg%3E\")}:host .fu-tooltip-component .fu-tooltip-arrow:after{pointer-events:none;content:\"\";position:absolute;margin-left:-7px;border-width:7px;border-style:solid;border-color:var(--fu-tooltip-background-color, var(--background-modelElevation, #FFFFFF)) transparent transparent transparent;top:0;left:50%}:host.fu-tooltip-top .fu-tooltip-component .fu-tooltip-arrow{display:inherit;bottom:-16px;left:50%;transform:translate(-50%)}:host.fu-tooltip-bottom .fu-tooltip-component .fu-tooltip-arrow{display:inherit;top:-16px;left:50%;transform:rotate(180deg) translate(50%)}:host.fu-tooltip-left .fu-tooltip-component .fu-tooltip-arrow{display:inherit;top:calc(50% - 4px);right:-20px;transform:rotate(-90deg) translateY(50%)}:host.fu-tooltip-right .fu-tooltip-component .fu-tooltip-arrow{display:inherit;top:calc(50% - 4px);left:-20px;transform:rotate(90deg) translateY(50%)}:host.fu-tooltip-topright .fu-tooltip-component .fu-tooltip-arrow{display:inherit;bottom:-16px;right:-14px;transform:translate(-50%)}:host.fu-tooltip-topleft .fu-tooltip-component .fu-tooltip-arrow{display:inherit;bottom:-16px;left:2px;transform:translate(-50%)}:host.fu-tooltip-bottomright .fu-tooltip-component .fu-tooltip-arrow{display:inherit;top:-16px;right:-14px;transform:rotate(180deg) translate(50%)}:host.fu-tooltip-bottomleft .fu-tooltip-component .fu-tooltip-arrow{display:inherit;top:-16px;left:2px;transform:rotate(180deg) translate(50%)}:host.fu-tooltip-no-arrow .fu-tooltip-component .fu-tooltip-arrow{display:none}\n"] }]
    }], () => [{ type: i0.ElementRef }, { type: i0.Renderer2 }, { type: i0.Injector }], { testId: [{
            type: Input
        }], tooltipTextContent: [{
            type: Input
        }], templateRef: [{
            type: Input
        }], tooltipPositionClass: [{
            type: Input
        }], tooltipStyleConfiguration: [{
            type: Input
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(TooltipContentV4Component, { className: "TooltipContentV4Component", filePath: "tooltip-content-v4.component.ts", lineNumber: 20 }); })();

class TooltipContentV4Directive {
    constructor(templateRef, viewContainerRef) {
        this.templateRef = templateRef;
        this.viewContainerRef = viewContainerRef;
    }
    get tooltipComponentRef() {
        return this.componentRef;
    }
    create() {
        if (!this.componentRef) {
            this.componentRef = this.viewContainerRef.createComponent(TooltipContentV4Component);
            this.componentRef.instance.templateRef = this.templateRef;
        }
    }
    destroy() {
        this.componentRef.destroy();
        this.componentRef = null;
    }
    static { this.ɵfac = function TooltipContentV4Directive_Factory(t) { return new (t || TooltipContentV4Directive)(i0.ɵɵdirectiveInject(i0.TemplateRef), i0.ɵɵdirectiveInject(i0.ViewContainerRef)); }; }
    static { this.ɵdir = /*@__PURE__*/ i0.ɵɵdefineDirective({ type: TooltipContentV4Directive, selectors: [["", "fusionTooltipContent", ""]], inputs: { testId: "testId" }, standalone: true }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TooltipContentV4Directive, [{
        type: Directive,
        args: [{
                standalone: true,
                selector: `[fusionTooltipContent]`
            }]
    }], () => [{ type: i0.TemplateRef }, { type: i0.ViewContainerRef }], { testId: [{
            type: Input
        }] }); })();

const _c0$1 = ["tooltipTriggerElement"];
const POSITION_SHIFTING = 10;
class TooltipV4Directive {
    set configuration(config) {
        if (config) {
            this.width = config?.width;
            this.height = config?.height;
            this.backgroundColor = config?.backgroundColor;
            this.preventTooltipToClose = config?.preventTooltipToClose;
            this.position = config?.position || TooltipPosition.Top;
            this.suppressPositionArrow = config?.suppressPositionArrow;
            this.positionOffset = config?.positionOffset ?? 0;
        }
    }
    constructor(renderer, elementRef, vcr) {
        this.renderer = renderer;
        this.elementRef = elementRef;
        this.vcr = vcr;
        this.fusionTooltip = '';
        this.preventTooltipToClose = false;
        this.suppressPositionArrow = false;
        this.positionOffset = 0;
        this.visible = false;
        this.onDestroy$ = new Subject();
        this.position = TooltipPosition.Top;
    }
    ngAfterViewInit() {
        this.viewContainerRef = this.viewTriggerContainer ? this.viewTriggerContainer : this.vcr;
        this.tooltipElement = this.preventTooltipToClose
            ? this.elementRef.nativeElement
            : !!this.tooltipTriggerElement?.nativeElement
                ? this.tooltipTriggerElement?.nativeElement
                : this.elementRef.nativeElement;
        this.initListeners();
    }
    ngOnDestroy() {
        this.onDestroy$.next();
        this.onDestroy$.complete();
    }
    initListeners() {
        fromEvent(this.tooltipElement, 'mouseenter').pipe(takeUntil(this.onDestroy$)).subscribe(this.showTooltip.bind(this));
        fromEvent(this.tooltipElement, 'mouseleave')
            .pipe(takeUntil(this.onDestroy$), switchMap((event) => {
            return this.haveToBeClosed(event);
        }))
            .subscribe(this.hideTooltip.bind(this));
    }
    showTooltip() {
        const needToShow = this.calcTruncate();
        if (!needToShow || this.visible) {
            return;
        }
        if (this.directiveRef && !this.fusionTooltip) {
            this.directiveRef.create();
            this.tooltipComponentRef = this.directiveRef.tooltipComponentRef;
        }
        else if (this.fusionTooltip) {
            this.tooltipComponentRef = this.viewContainerRef.createComponent(TooltipContentV4Component);
            this.tooltipComponentRef.instance.tooltipTextContent = this.fusionTooltip;
            if (this.testId) {
                this.tooltipComponentRef.instance.testId = this.testId;
            }
        }
        else {
            return;
        }
        this.tooltipComponentRef.changeDetectorRef.detectChanges();
        const rectTooltip = this.tooltipComponentRef.instance.elementRef.nativeElement.getBoundingClientRect();
        this.setTooltipPosition(this.position, rectTooltip);
        this.setTooltipConfiguration();
        this.visible = true;
    }
    hideTooltip() {
        if (this.testId)
            return;
        if (!this.visible) {
            return;
        }
        if (this.directiveRef && !this.fusionTooltip) {
            this.directiveRef.destroy();
            this.tooltipComponentRef = null;
        }
        else if (this.fusionTooltip) {
            this.tooltipComponentRef.destroy();
            this.tooltipComponentRef = null;
        }
        else {
            return;
        }
        this.visible = false;
    }
    adjustTooltipPosition(position, tooltipWidth, tooltipHeight, hostRect) {
        if (position === TooltipPosition.TopFixed) {
            return TooltipPosition.Top;
        }
        const isTopPosNegative = hostRect.top + this.elementRef.nativeElement.offsetHeight / 2 - tooltipHeight / 2 >= 0;
        if (window.innerWidth - tooltipWidth - hostRect.left <= 0 && isTopPosNegative) {
            position = TooltipPosition.Left;
        }
        else if (hostRect.left - tooltipWidth <= 0 && isTopPosNegative) {
            position = TooltipPosition.Right;
        }
        else if (hostRect.top - tooltipHeight <= 0) {
            position = hostRect.left - tooltipWidth <= 0 && isTopPosNegative ? TooltipPosition.Right : TooltipPosition.Bottom;
        }
        return position;
    }
    setTooltipPosition(position, tooltipElement) {
        let shiftPosition;
        const tooltipWidth = this.width || tooltipElement.width;
        const tooltipHeight = this.height || tooltipElement.height;
        const rect = this.elementRef.nativeElement.getBoundingClientRect();
        position = this.adjustTooltipPosition(position, tooltipWidth, tooltipHeight, rect);
        switch (position) {
            case TooltipPosition.Left:
                shiftPosition = { ...this.setPositionLeftRight('left', tooltipWidth, tooltipHeight) };
                break;
            case TooltipPosition.Right:
                shiftPosition = { ...this.setPositionLeftRight('right', tooltipWidth, tooltipHeight) };
                break;
            case TooltipPosition.Bottom:
                shiftPosition = { ...this.setPositionBottomTop('bottom', tooltipWidth, tooltipHeight) };
                break;
            case TooltipPosition.BottomLeft:
                shiftPosition = { ...this.setPositionBottomTop('bottom', tooltipWidth, tooltipHeight, true) };
                break;
            case TooltipPosition.BottomRight:
                shiftPosition = { ...this.setPositionBottomTop('bottom', tooltipWidth, tooltipHeight, false) };
                break;
            case TooltipPosition.TopLeft:
                shiftPosition = { ...this.setPositionBottomTop('top', tooltipWidth, tooltipHeight, true) };
                break;
            case TooltipPosition.TopRight:
                shiftPosition = { ...this.setPositionBottomTop('top', tooltipWidth, tooltipHeight, false) };
                break;
            default:
                shiftPosition = { ...this.setPositionBottomTop('top', tooltipWidth, tooltipHeight) };
                break;
        }
        const { tooltipLeft, pos } = this.adjustArrowPos(shiftPosition.left, rect.left, position, tooltipWidth);
        this.tooltipPosition = {
            position: pos,
            left: tooltipLeft + this.positionOffset,
            top: shiftPosition.top + rect.top
        };
    }
    setTooltipConfiguration() {
        this.tooltipComponentRef.instance.tooltipStyleConfiguration = {
            top: this.tooltipPosition.top.toString() + 'px',
            left: this.tooltipPosition.left.toString() + 'px',
            width: this.width?.toString() + 'px',
            height: this.height?.toString() + 'px',
            backgroundColor: this.backgroundColor
        };
        this.tooltipComponentRef.instance.tooltipPositionClass = this.tooltipPosition.position;
        this.tooltipComponentRef.instance.suppressTooltipArrow(this.suppressPositionArrow);
    }
    setPositionLeftRight(pos, tooltipWidth, tooltipHeight) {
        const position = {
            top: this.elementRef.nativeElement.offsetHeight / 2 - tooltipHeight / 2,
            left: 0
        };
        if (pos === 'left') {
            position.left = 0 - tooltipWidth - POSITION_SHIFTING;
        }
        else {
            position.left = this.elementRef.nativeElement.offsetWidth + POSITION_SHIFTING;
        }
        return position;
    }
    setPositionBottomTop(pos, tooltipWidth, tooltipHeight, start) {
        const position = {
            top: 0,
            left: isNullOrUndefined(start)
                ? this.elementRef.nativeElement.offsetWidth / 2 - tooltipWidth / 2
                : start
                    ? 0
                    : this.elementRef.nativeElement.offsetWidth - tooltipWidth
        };
        if (pos === 'bottom') {
            position.top = this.elementRef.nativeElement.offsetHeight + POSITION_SHIFTING;
        }
        else {
            position.top = 0 - tooltipHeight - POSITION_SHIFTING;
        }
        return position;
    }
    calcTruncate() {
        const nativeElement = this.elementRef.nativeElement;
        return !(nativeElement.className.includes('truncate') && nativeElement.clientWidth >= nativeElement.scrollWidth);
    }
    adjustArrowPos(tooltipLeft, rectLeft, position, tooltipWidth) {
        let posLeft = tooltipLeft + rectLeft;
        let newPosition = position;
        if (posLeft < 0 && (position === TooltipPosition.Top || position === TooltipPosition.Bottom)) {
            newPosition = position === TooltipPosition.Top ? TooltipPosition.TopLeft : TooltipPosition.BottomLeft;
            posLeft = rectLeft + this.elementRef.nativeElement.offsetWidth / 2 - 20;
        }
        else if (window.innerWidth - Math.round(rectLeft + this.elementRef.nativeElement.offsetWidth) <= 0 &&
            (position === TooltipPosition.Top || position === TooltipPosition.Bottom)) {
            newPosition = position === TooltipPosition.Top ? TooltipPosition.TopRight : TooltipPosition.BottomRight;
            posLeft = rectLeft + this.elementRef.nativeElement.offsetWidth / 2 - tooltipWidth + 20;
        }
        return { tooltipLeft: posLeft, pos: newPosition };
    }
    haveToBeClosed(event) {
        const marginSize = 10;
        let haveToBeClosed = true;
        const tooltipEl = this.elementRef.nativeElement.querySelector('fusion-tooltip-content');
        if (this.preventTooltipToClose && this.visible && !!tooltipEl) {
            const rectTooltip = tooltipEl.getBoundingClientRect();
            haveToBeClosed = !(event.x >= rectTooltip.left - marginSize &&
                event.x <= rectTooltip.right + marginSize &&
                event.y >= rectTooltip.top - marginSize &&
                event.y <= rectTooltip.bottom + marginSize);
        }
        return haveToBeClosed ? of(event) : fromEvent(tooltipEl, 'mouseleave');
    }
    static { this.ɵfac = function TooltipV4Directive_Factory(t) { return new (t || TooltipV4Directive)(i0.ɵɵdirectiveInject(i0.Renderer2), i0.ɵɵdirectiveInject(i0.ElementRef), i0.ɵɵdirectiveInject(i0.ViewContainerRef)); }; }
    static { this.ɵdir = /*@__PURE__*/ i0.ɵɵdefineDirective({ type: TooltipV4Directive, selectors: [["", "fusionTooltip", ""]], contentQueries: function TooltipV4Directive_ContentQueries(rf, ctx, dirIndex) { if (rf & 1) {
            i0.ɵɵcontentQuery(dirIndex, TooltipContentV4Directive, 7);
            i0.ɵɵcontentQuery(dirIndex, _c0$1, 7);
            i0.ɵɵcontentQuery(dirIndex, _c0$1, 7, ViewContainerRef);
        } if (rf & 2) {
            let _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.directiveRef = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.tooltipTriggerElement = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.viewTriggerContainer = _t.first);
        } }, inputs: { fusionTooltip: "fusionTooltip", configuration: "configuration", testId: "testId", contentTestId: "contentTestId" }, standalone: true }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TooltipV4Directive, [{
        type: Directive,
        args: [{ standalone: true, selector: '[fusionTooltip]' }]
    }], () => [{ type: i0.Renderer2 }, { type: i0.ElementRef }, { type: i0.ViewContainerRef }], { directiveRef: [{
            type: ContentChild,
            args: [TooltipContentV4Directive, { static: true }]
        }], tooltipTriggerElement: [{
            type: ContentChild,
            args: ['tooltipTriggerElement', { static: true }]
        }], viewTriggerContainer: [{
            type: ContentChild,
            args: ['tooltipTriggerElement', {
                    static: true,
                    read: ViewContainerRef
                }]
        }], fusionTooltip: [{
            type: Input
        }], configuration: [{
            type: Input
        }], testId: [{
            type: Input
        }], contentTestId: [{
            type: Input
        }] }); })();

function TooltipV4Component_div_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div");
    i0.ɵɵprojection(1, 1);
    i0.ɵɵelementEnd();
} }
const _c0 = [[["", 8, "fusiontooltiptrigger"]], [["", 8, "fusiontooltipcontent"]]];
const _c1 = [".fusionTooltipTrigger", ".fusionTooltipContent"];
class TooltipV4Component {
    constructor(injector) {
        this.injector = injector;
        /** @internal */
        this.tooltipText = '';
        /** @internal */
        this.testIdTooltipModifiers = TooltipTestIdModifiers;
        /** @internal */
        this.testIdsService = this.injector.get(TestIdsService);
    }
    /** @internal */
    set fusionTooltipText(value) {
        this.tooltipText = value;
    }
    /** @internal */
    set tooltipConfiguration(value) {
        this.tooltipConfig = { ...value };
    }
    get testAttribute() {
        return this.testIdsService.getTestAttribute(this.testId, this.testIdTooltipModifiers.TRIGGER);
    }
    static { this.ɵfac = function TooltipV4Component_Factory(t) { return new (t || TooltipV4Component)(i0.ɵɵdirectiveInject(i0.Injector)); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: TooltipV4Component, selectors: [["fusion-tooltip"]], hostVars: 1, hostBindings: function TooltipV4Component_HostBindings(rf, ctx) { if (rf & 2) {
            i0.ɵɵattribute("data-testid", ctx.testAttribute);
        } }, inputs: { fusionTooltipText: "fusionTooltipText", tooltipConfiguration: "tooltipConfiguration", testId: "testId" }, standalone: true, features: [i0.ɵɵStandaloneFeature], ngContentSelectors: _c1, decls: 5, vars: 3, consts: [[1, "tooltip-container", 3, "fusionTooltip", "configuration"], [2, "width", "100%", "display", "block"], ["tooltipTriggerElement", ""], [4, "fusionTooltipContent"]], template: function TooltipV4Component_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵprojectionDef(_c0);
            i0.ɵɵelementStart(0, "div", 0)(1, "div", 1, 2);
            i0.ɵɵprojection(3);
            i0.ɵɵelementEnd();
            i0.ɵɵtemplate(4, TooltipV4Component_div_4_Template, 2, 0, "div", 3);
            i0.ɵɵelementEnd();
        } if (rf & 2) {
            i0.ɵɵproperty("fusionTooltip", ctx.tooltipText)("configuration", ctx.tooltipConfig);
            i0.ɵɵattribute("data-testid", ctx.testId);
        } }, dependencies: [CommonModule, TooltipV4Directive, TooltipContentV4Directive], styles: [".tooltip-container[_ngcontent-%COMP%]{display:flex;position:relative;width:100%}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TooltipV4Component, [{
        type: Component,
        args: [{ selector: 'fusion-tooltip', standalone: true, imports: [CommonModule, TooltipV4Directive, TooltipContentV4Directive, GenericPipe], template: `
        <div class="tooltip-container" [attr.data-testid]="testId" [fusionTooltip]="tooltipText" [configuration]="tooltipConfig">
            <div #tooltipTriggerElement style="width: 100%; display: block;">
                <ng-content select=".fusionTooltipTrigger"></ng-content>
            </div>
            <div *fusionTooltipContent>
                <ng-content select=".fusionTooltipContent"></ng-content>
            </div>
        </div>
    `, changeDetection: ChangeDetectionStrategy.OnPush, styles: [".tooltip-container{display:flex;position:relative;width:100%}\n"] }]
    }], () => [{ type: i0.Injector }], { fusionTooltipText: [{
            type: Input
        }], tooltipConfiguration: [{
            type: Input
        }], testId: [{
            type: Input
        }], testAttribute: [{
            type: HostBinding,
            args: ['attr.data-testid']
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(TooltipV4Component, { className: "TooltipV4Component", filePath: "tooltip-v4.component.ts", lineNumber: 35 }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { TooltipV4Component as TooltipComponent, TooltipContentV4Component as TooltipContentComponent, TooltipV4Directive as TooltipDirective };
//# sourceMappingURL=ironsource-fusion-ui-components-tooltip-v4.mjs.map
