import * as i0 from '@angular/core';
import { Injectable } from '@angular/core';

const COLORS_PALETTE = {
    // default - style_v1
    style_v1: [
        '#0D148C',
        '#3091F6',
        '#FD9C0A',
        '#00CCD7',
        '#FF6A63',
        '#A718A7',
        '#FF9CBD',
        '#9999FF',
        '#009999',
        '#ACC62B',
        '#85BFFF',
        '#D84C7C',
        '#33CC99',
        '#808080',
        '#DA2929',
        '#2E66E4',
        '#8758F1',
        '#F62F91'
    ],
    style_v2: [
        '#0d148c',
        '#3083ff',
        '#8a66f0',
        '#00ccd7',
        '#fd9c0a',
        '#ff6a63',
        '#ff9cbd',
        '#9999ff',
        '#009999',
        '#acc62b',
        '#85bfff',
        '#d84c7c',
        '#33cc99',
        '#808080',
        '#c90900',
        '#0051c9',
        '#a718a7',
        '#f62f91'
    ],
    style_v4: ['#80BCFE', '#9999FF', '#5883E4', '#80cbc4', '#FFC670']
    /*style_v4: ['#67B7DC', '#6794DC', '#6771DC', '#7B5FDF', '#A367DC']*/
};
const PIE_COLORS_PALETTE = {
    default: ['#005be2', '#3083ff', '#68a5ff', '#96c0ff', '#c9dfff', '#e2eeff'],
    style_v4: ['#80BCFE', '#9999FF', '#5883E4', '#80CBC4', '#FFC670']
};
// taken from https://www.w3schools.com/colors/colors_names.asp
const NAMED_WEB_COLORS = {
    aliceblue: '#F0F8FF',
    antiquewhite: '#FAEBD7',
    aqua: '#00FFFF',
    aquamarine: '#7FFFD4',
    azure: '#F0FFFF',
    beige: '#F5F5DC',
    bisque: '#FFE4C4',
    black: '#000000',
    blanchedalmond: '#FFEBCD',
    blue: '#0000FF',
    blueviolet: '#8A2BE2',
    brown: '#A52A2A',
    burlywood: '#DEB887',
    cadetblue: '#5F9EA0',
    chartreuse: '#7FFF00',
    chocolate: '#D2691E',
    coral: '#FF7F50',
    cornflowerblue: '#6495ED',
    cornsilk: '#FFF8DC',
    crimson: '#DC143C',
    cyan: '#00FFFF',
    darkblue: '#00008B',
    darkcyan: '#008B8B',
    darkgoldenrod: '#B8860B',
    darkgray: '#A9A9A9',
    darkgrey: '#A9A9A9',
    darkgreen: '#006400',
    darkkhaki: '#BDB76B',
    darkmagenta: '#8B008B',
    darkolivegreen: '#556B2F',
    darkorange: '#FF8C00',
    darkorchid: '#9932CC',
    darkred: '#8B0000',
    darksalmon: '#E9967A',
    darkseagreen: '#8FBC8F',
    darkslateblue: '#483D8B',
    darkslategray: '#2F4F4F',
    darkslategrey: '#2F4F4F',
    darkturquoise: '#00CED1',
    darkviolet: '#9400D3',
    deeppink: '#FF1493',
    deepskyblue: '#00BFFF',
    dimgray: '#696969',
    dimgrey: '#696969',
    dodgerblue: '#1E90FF',
    firebrick: '#B22222',
    floralwhite: '#FFFAF0',
    forestgreen: '#228B22',
    fuchsia: '#FF00FF',
    gainsboro: '#DCDCDC',
    ghostwhite: '#F8F8FF',
    gold: '#FFD700',
    goldenrod: '#DAA520',
    gray: '#808080',
    grey: '#808080',
    green: '#008000',
    greenyellow: '#ADFF2F',
    honeydew: '#F0FFF0',
    hotpink: '#FF69B4',
    indianred: '#CD5C5C',
    indigo: '#4B0082',
    ivory: '#FFFFF0',
    khaki: '#F0E68C',
    lavender: '#E6E6FA',
    lavenderblush: '#FFF0F5',
    lawngreen: '#7CFC00',
    lemonchiffon: '#FFFACD',
    lightblue: '#ADD8E6',
    lightcoral: '#F08080',
    lightcyan: '#E0FFFF',
    lightgoldenrodyellow: '#FAFAD2',
    lightgray: '#D3D3D3',
    lightgrey: '#D3D3D3',
    lightgreen: '#90EE90',
    lightpink: '#FFB6C1',
    lightsalmon: '#FFA07A',
    lightseagreen: '#20B2AA',
    lightskyblue: '#87CEFA',
    lightslategray: '#778899',
    lightslategrey: '#778899',
    lightsteelblue: '#B0C4DE',
    lightyellow: '#FFFFE0',
    lime: '#00FF00',
    limegreen: '#32CD32',
    linen: '#FAF0E6',
    magenta: '#FF00FF',
    maroon: '#800000',
    mediumaquamarine: '#66CDAA',
    mediumblue: '#0000CD',
    mediumorchid: '#BA55D3',
    mediumpurple: '#9370DB',
    mediumseagreen: '#3CB371',
    mediumslateblue: '#7B68EE',
    mediumspringgreen: '#00FA9A',
    mediumturquoise: '#48D1CC',
    mediumvioletred: '#C71585',
    midnightblue: '#191970',
    mintcream: '#F5FFFA',
    mistyrose: '#FFE4E1',
    moccasin: '#FFE4B5',
    navajowhite: '#FFDEAD',
    navy: '#000080',
    oldlace: '#FDF5E6',
    olive: '#808000',
    olivedrab: '#6B8E23',
    orange: '#FFA500',
    orangered: '#FF4500',
    orchid: '#DA70D6',
    palegoldenrod: '#EEE8AA',
    palegreen: '#98FB98',
    paleturquoise: '#AFEEEE',
    palevioletred: '#DB7093',
    papayawhip: '#FFEFD5',
    peachpuff: '#FFDAB9',
    peru: '#CD853F',
    pink: '#FFC0CB',
    plum: '#DDA0DD',
    powderblue: '#B0E0E6',
    purple: '#800080',
    rebeccapurple: '#663399',
    red: '#FF0000',
    rosybrown: '#BC8F8F',
    royalblue: '#4169E1',
    saddlebrown: '#8B4513',
    salmon: '#FA8072',
    sandybrown: '#F4A460',
    seagreen: '#2E8B57',
    seashell: '#FFF5EE',
    sienna: '#A0522D',
    silver: '#C0C0C0',
    skyblue: '#87CEEB',
    slateblue: '#6A5ACD',
    slategray: '#708090',
    slategrey: '#708090',
    snow: '#FFFAFA',
    springgreen: '#00FF7F',
    steelblue: '#4682B4',
    tan: '#D2B48C',
    teal: '#008080',
    thistle: '#D8BFD8',
    tomato: '#FF6347',
    turquoise: '#40E0D0',
    violet: '#EE82EE',
    wheat: '#F5DEB3',
    white: '#FFFFFF',
    whitesmoke: '#F5F5F5',
    yellow: '#FFFF00',
    yellowgreen: '#9ACD32'
};

class ColorsService {
    constructor() {
        this.toRgba = (color, alpha = 100) => {
            if (!color) {
                throw new Error(`No HEX color value in argument`);
            }
            else if (!color.startsWith('#')) {
                // if it named colors
                if (!NAMED_WEB_COLORS[color.toLowerCase()]) {
                    throw new Error(`Color name not found`);
                }
                color = NAMED_WEB_COLORS[color.toLowerCase()];
            }
            color = color.replace('#', '');
            const R = parseInt(color.substring(0, 2), 16);
            const G = parseInt(color.substring(2, 4), 16);
            const B = parseInt(color.substring(4, 6), 16);
            const result = `rgba(${R},${G},${B},${alpha / 100})`;
            return result;
        };
    }
    getColorPalette(styleVersion) {
        const paletteName = `style_v${styleVersion}`;
        return !!COLORS_PALETTE[paletteName] ? COLORS_PALETTE[paletteName] : COLORS_PALETTE.style_v2;
    }
    getPieColorsPalette(styleVersion) {
        const paletteName = `style_v${styleVersion}`;
        return !!PIE_COLORS_PALETTE[paletteName] ? PIE_COLORS_PALETTE[paletteName] : PIE_COLORS_PALETTE.default;
    }
    static { this.ɵfac = function ColorsService_Factory(t) { return new (t || ColorsService)(); }; }
    static { this.ɵprov = /*@__PURE__*/ i0.ɵɵdefineInjectable({ token: ColorsService, factory: ColorsService.ɵfac, providedIn: 'root' }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(ColorsService, [{
        type: Injectable,
        args: [{
                providedIn: 'root'
            }]
    }], null, null); })();

/**
 * Generated bundle index. Do not edit.
 */

export { ColorsService };
//# sourceMappingURL=ironsource-fusion-ui-services-colors.mjs.map
