import { UniqueIdService } from '@ironsource/fusion-ui/services/unique-id';
import { LogService } from '@ironsource/fusion-ui/services/log';
import { of, Observable } from 'rxjs';

class MockUniqueIdService extends UniqueIdService {
    getUniqueId() {
        return 123456789;
    }
}
class MockLogService extends LogService {
    toConsole(msg, type) {
        console.log(type, msg);
    }
}
class MockApiService {
    get() {
        return of('');
    }
}
class MockTimeZonesService {
    getUserDefaultTimezone() {
        return 'UTC';
    }
    get timeZones() {
        return new Observable(observer => {
            observer.next({
                'Africa/Monrovia': 'Monrovia (UTC 00:00)',
                'Africa/Abidjan': 'Abidjan (UTC 00:00)',
                UTC: 'UTC (UTC 00:00)',
                'Atlantic/Reykjavik': 'Reykjavik (UTC 00:00)',
                'Africa/Accra': 'Accra (UTC 00:00)'
            });
        });
    }
}

/**
 * Generated bundle index. Do not edit.
 */

export { MockApiService, MockLogService, MockTimeZonesService, MockUniqueIdService };
//# sourceMappingURL=ironsource-fusion-ui-services-mocks.mjs.map
