import * as i0 from '@angular/core';
import { Injectable } from '@angular/core';

const TIMEZONES = [
    {
        id: 'Pacific/Midway',
        value: 'Midway (UTC -11:00)',
        displayText: 'Midway (UTC -11:00)'
    },
    {
        id: 'Pacific/Pago_Pago',
        value: 'Pago Pago (UTC -11:00)',
        displayText: 'Pago Pago (UTC -11:00)'
    },
    {
        id: 'Pacific/Niue',
        value: 'Niue (UTC -11:00)',
        displayText: 'Niue (UTC -11:00)'
    },
    {
        id: 'Pacific/Honolulu',
        value: 'Honolulu (UTC -10:00)',
        displayText: 'Honolulu (UTC -10:00)'
    },
    {
        id: 'Pacific/Johnston',
        value: 'Johnston (UTC -10:00)',
        displayText: 'Johnston (UTC -10:00)'
    },
    {
        id: 'Pacific/Tahiti',
        value: 'Tahiti (UTC -10:00)',
        displayText: 'Tahiti (UTC -10:00)'
    },
    {
        id: 'America/Adak',
        value: 'Adak (UTC -10:00)',
        displayText: 'Adak (UTC -10:00)'
    },
    {
        id: 'Pacific/Rarotonga',
        value: 'Rarotonga (UTC -10:00)',
        displayText: 'Rarotonga (UTC -10:00)'
    },
    {
        id: 'Pacific/Marquesas',
        value: 'Marquesas (UTC -09:30)',
        displayText: 'Marquesas (UTC -09:30)'
    },
    {
        id: 'Pacific/Gambier',
        value: 'Gambier (UTC -09:00)',
        displayText: 'Gambier (UTC -09:00)'
    },
    {
        id: 'America/Juneau',
        value: 'Juneau (UTC -09:00)',
        displayText: 'Juneau (UTC -09:00)'
    },
    {
        id: 'America/Anchorage',
        value: 'Anchorage (UTC -09:00)',
        displayText: 'Anchorage (UTC -09:00)'
    },
    {
        id: 'America/Nome',
        value: 'Nome (UTC -09:00)',
        displayText: 'Nome (UTC -09:00)'
    },
    {
        id: 'America/Sitka',
        value: 'Sitka (UTC -09:00)',
        displayText: 'Sitka (UTC -09:00)'
    },
    {
        id: 'America/Metlakatla',
        value: 'Metlakatla (UTC -09:00)',
        displayText: 'Metlakatla (UTC -09:00)'
    },
    {
        id: 'America/Yakutat',
        value: 'Yakutat (UTC -09:00)',
        displayText: 'Yakutat (UTC -09:00)'
    },
    {
        id: 'America/Tijuana',
        value: 'Tijuana (UTC -08:00)',
        displayText: 'Tijuana (UTC -08:00)'
    },
    {
        id: 'America/Vancouver',
        value: 'Vancouver (UTC -08:00)',
        displayText: 'Vancouver (UTC -08:00)'
    },
    {
        id: 'America/Whitehorse',
        value: 'Whitehorse (UTC -08:00)',
        displayText: 'Whitehorse (UTC -08:00)'
    },
    {
        id: 'America/Dawson',
        value: 'Dawson (UTC -08:00)',
        displayText: 'Dawson (UTC -08:00)'
    },
    {
        id: 'Pacific/Pitcairn',
        value: 'Pitcairn (UTC -08:00)',
        displayText: 'Pitcairn (UTC -08:00)'
    },
    {
        id: 'America/Los_Angeles',
        value: 'Los Angeles (UTC -08:00)',
        displayText: 'Los Angeles (UTC -08:00)'
    },
    {
        id: 'America/Creston',
        value: 'Creston (UTC -07:00)',
        displayText: 'Creston (UTC -07:00)'
    },
    {
        id: 'America/Boise',
        value: 'Boise (UTC -07:00)',
        displayText: 'Boise (UTC -07:00)'
    },
    {
        id: 'America/Ojinaga',
        value: 'Ojinaga (UTC -07:00)',
        displayText: 'Ojinaga (UTC -07:00)'
    },
    {
        id: 'America/Denver',
        value: 'Denver (UTC -07:00)',
        displayText: 'Denver (UTC -07:00)'
    },
    {
        id: 'America/Mazatlan',
        value: 'Mazatlan (UTC -07:00)',
        displayText: 'Mazatlan (UTC -07:00)'
    },
    {
        id: 'America/Dawson_Creek',
        value: 'Dawson Creek (UTC -07:00)',
        displayText: 'Dawson Creek (UTC -07:00)'
    },
    {
        id: 'America/Hermosillo',
        value: 'Hermosillo (UTC -07:00)',
        displayText: 'Hermosillo (UTC -07:00)'
    },
    {
        id: 'America/Phoenix',
        value: 'Phoenix (UTC -07:00)',
        displayText: 'Phoenix (UTC -07:00)'
    },
    {
        id: 'America/Fort_Nelson',
        value: 'Fort Nelson (UTC -07:00)',
        displayText: 'Fort Nelson (UTC -07:00)'
    },
    {
        id: 'America/Chihuahua',
        value: 'Chihuahua (UTC -07:00)',
        displayText: 'Chihuahua (UTC -07:00)'
    },
    {
        id: 'America/Cambridge_Bay',
        value: 'Cambridge Bay (UTC -07:00)',
        displayText: 'Cambridge Bay (UTC -07:00)'
    },
    {
        id: 'America/Inuvik',
        value: 'Inuvik (UTC -07:00)',
        displayText: 'Inuvik (UTC -07:00)'
    },
    {
        id: 'America/Yellowknife',
        value: 'Yellowknife (UTC -07:00)',
        displayText: 'Yellowknife (UTC -07:00)'
    },
    {
        id: 'America/Edmonton',
        value: 'Edmonton (UTC -07:00)',
        displayText: 'Edmonton (UTC -07:00)'
    },
    {
        id: 'America/Indiana/Knox',
        value: 'Indiana/Knox (UTC -06:00)',
        displayText: 'Indiana/Knox (UTC -06:00)'
    },
    {
        id: 'America/Matamoros',
        value: 'Matamoros (UTC -06:00)',
        displayText: 'Matamoros (UTC -06:00)'
    },
    {
        id: 'America/Guatemala',
        value: 'Guatemala (UTC -06:00)',
        displayText: 'Guatemala (UTC -06:00)'
    },
    {
        id: 'America/Managua',
        value: 'Managua (UTC -06:00)',
        displayText: 'Managua (UTC -06:00)'
    },
    {
        id: 'America/El_Salvador',
        value: 'El Salvador (UTC -06:00)',
        displayText: 'El Salvador (UTC -06:00)'
    },
    {
        id: 'America/Winnipeg',
        value: 'Winnipeg (UTC -06:00)',
        displayText: 'Winnipeg (UTC -06:00)'
    },
    {
        id: 'America/Bahia_Banderas',
        value: 'Bahia Banderas (UTC -06:00)',
        displayText: 'Bahia Banderas (UTC -06:00)'
    },
    {
        id: 'America/Indiana/Tell_City',
        value: 'Indiana/Tell City (UTC -06:00)',
        displayText: 'Indiana/Tell City (UTC -06:00)'
    },
    {
        id: 'America/Swift_Current',
        value: 'Swift Current (UTC -06:00)',
        displayText: 'Swift Current (UTC -06:00)'
    },
    {
        id: 'America/Belize',
        value: 'Belize (UTC -06:00)',
        displayText: 'Belize (UTC -06:00)'
    },
    {
        id: 'America/Rankin_Inlet',
        value: 'Rankin Inlet (UTC -06:00)',
        displayText: 'Rankin Inlet (UTC -06:00)'
    },
    {
        id: 'America/Costa_Rica',
        value: 'Costa Rica (UTC -06:00)',
        displayText: 'Costa Rica (UTC -06:00)'
    },
    {
        id: 'America/Menominee',
        value: 'Menominee (UTC -06:00)',
        displayText: 'Menominee (UTC -06:00)'
    },
    {
        id: 'America/Regina',
        value: 'Regina (UTC -06:00)',
        displayText: 'Regina (UTC -06:00)'
    },
    {
        id: 'America/Resolute',
        value: 'Resolute (UTC -06:00)',
        displayText: 'Resolute (UTC -06:00)'
    },
    {
        id: 'America/Chicago',
        value: 'Chicago (UTC -06:00)',
        displayText: 'Chicago (UTC -06:00)'
    },
    {
        id: 'America/Tegucigalpa',
        value: 'Tegucigalpa (UTC -06:00)',
        displayText: 'Tegucigalpa (UTC -06:00)'
    },
    {
        id: 'America/Rainy_River',
        value: 'Rainy River (UTC -06:00)',
        displayText: 'Rainy River (UTC -06:00)'
    },
    {
        id: 'Pacific/Galapagos',
        value: 'Galapagos (UTC -06:00)',
        displayText: 'Galapagos (UTC -06:00)'
    },
    {
        id: 'America/Monterrey',
        value: 'Monterrey (UTC -06:00)',
        displayText: 'Monterrey (UTC -06:00)'
    },
    {
        id: 'America/Mexico_City',
        value: 'Mexico City (UTC -06:00)',
        displayText: 'Mexico City (UTC -06:00)'
    },
    {
        id: 'America/North_Dakota/New_Salem',
        value: 'North Dakota/New Salem (UTC -06:00)',
        displayText: 'North Dakota/New Salem (UTC -06:00)'
    },
    {
        id: 'America/North_Dakota/Beulah',
        value: 'North Dakota/Beulah (UTC -06:00)',
        displayText: 'North Dakota/Beulah (UTC -06:00)'
    },
    {
        id: 'America/Merida',
        value: 'Merida (UTC -06:00)',
        displayText: 'Merida (UTC -06:00)'
    },
    {
        id: 'America/North_Dakota/Center',
        value: 'North Dakota/Center (UTC -06:00)',
        displayText: 'North Dakota/Center (UTC -06:00)'
    },
    {
        id: 'America/Havana',
        value: 'Havana (UTC -05:00)',
        displayText: 'Havana (UTC -05:00)'
    },
    {
        id: 'America/Detroit',
        value: 'Detroit (UTC -05:00)',
        displayText: 'Detroit (UTC -05:00)'
    },
    {
        id: 'America/Eirunepe',
        value: 'Eirunepe (UTC -05:00)',
        displayText: 'Eirunepe (UTC -05:00)'
    },
    {
        id: 'America/Guayaquil',
        value: 'Guayaquil (UTC -05:00)',
        displayText: 'Guayaquil (UTC -05:00)'
    },
    {
        id: 'America/Lima',
        value: 'Lima (UTC -05:00)',
        displayText: 'Lima (UTC -05:00)'
    },
    {
        id: 'America/Panama',
        value: 'Panama (UTC -05:00)',
        displayText: 'Panama (UTC -05:00)'
    },
    {
        id: 'America/Nipigon',
        value: 'Nipigon (UTC -05:00)',
        displayText: 'Nipigon (UTC -05:00)'
    },
    {
        id: 'America/New_York',
        value: 'New York (UTC -05:00)',
        displayText: 'New York (UTC -05:00)'
    },
    {
        id: 'America/Pangnirtung',
        value: 'Pangnirtung (UTC -05:00)',
        displayText: 'Pangnirtung (UTC -05:00)'
    },
    {
        id: 'America/Port-au-Prince',
        value: 'Port-au-Prince (UTC -05:00)',
        displayText: 'Port-au-Prince (UTC -05:00)'
    },
    {
        id: 'America/Rio_Branco',
        value: 'Rio Branco (UTC -05:00)',
        displayText: 'Rio Branco (UTC -05:00)'
    },
    {
        id: 'America/Thunder_Bay',
        value: 'Thunder Bay (UTC -05:00)',
        displayText: 'Thunder Bay (UTC -05:00)'
    },
    {
        id: 'America/Toronto',
        value: 'Toronto (UTC -05:00)',
        displayText: 'Toronto (UTC -05:00)'
    },
    {
        id: 'America/Nassau',
        value: 'Nassau (UTC -05:00)',
        displayText: 'Nassau (UTC -05:00)'
    },
    {
        id: 'America/Cayman',
        value: 'Cayman (UTC -05:00)',
        displayText: 'Cayman (UTC -05:00)'
    },
    {
        id: 'America/Indiana/Vevay',
        value: 'Indiana/Vevay (UTC -05:00)',
        displayText: 'Indiana/Vevay (UTC -05:00)'
    },
    {
        id: 'America/Indiana/Petersburg',
        value: 'Indiana/Petersburg (UTC -05:00)',
        displayText: 'Indiana/Petersburg (UTC -05:00)'
    },
    {
        id: 'America/Indiana/Marengo',
        value: 'Indiana/Marengo (UTC -05:00)',
        displayText: 'Indiana/Marengo (UTC -05:00)'
    },
    {
        id: 'America/Indiana/Vincennes',
        value: 'Indiana/Vincennes (UTC -05:00)',
        displayText: 'Indiana/Vincennes (UTC -05:00)'
    },
    {
        id: 'America/Indiana/Winamac',
        value: 'Indiana/Winamac (UTC -05:00)',
        displayText: 'Indiana/Winamac (UTC -05:00)'
    },
    {
        id: 'America/Kentucky/Monticello',
        value: 'Kentucky/Monticello (UTC -05:00)',
        displayText: 'Kentucky/Monticello (UTC -05:00)'
    },
    {
        id: 'America/Kentucky/Louisville',
        value: 'Kentucky/Louisville (UTC -05:00)',
        displayText: 'Kentucky/Louisville (UTC -05:00)'
    },
    {
        id: 'America/Iqaluit',
        value: 'Iqaluit (UTC -05:00)',
        displayText: 'Iqaluit (UTC -05:00)'
    },
    {
        id: 'America/Indiana/Indianapolis',
        value: 'Indiana/Indianapolis (UTC -05:00)',
        displayText: 'Indiana/Indianapolis (UTC -05:00)'
    },
    {
        id: 'America/Jamaica',
        value: 'Jamaica (UTC -05:00)',
        displayText: 'Jamaica (UTC -05:00)'
    },
    {
        id: 'America/Bogota',
        value: 'Bogota (UTC -05:00)',
        displayText: 'Bogota (UTC -05:00)'
    },
    {
        id: 'Pacific/Easter',
        value: 'Easter (UTC -05:00)',
        displayText: 'Easter (UTC -05:00)'
    },
    {
        id: 'America/Cancun',
        value: 'Cancun (UTC -05:00)',
        displayText: 'Cancun (UTC -05:00)'
    },
    {
        id: 'America/Atikokan',
        value: 'Atikokan (UTC -05:00)',
        displayText: 'Atikokan (UTC -05:00)'
    },
    {
        id: 'America/Manaus',
        value: 'Manaus (UTC -04:00)',
        displayText: 'Manaus (UTC -04:00)'
    },
    {
        id: 'America/Marigot',
        value: 'Marigot (UTC -04:00)',
        displayText: 'Marigot (UTC -04:00)'
    },
    {
        id: 'America/Moncton',
        value: 'Moncton (UTC -04:00)',
        displayText: 'Moncton (UTC -04:00)'
    },
    {
        id: 'America/Martinique',
        value: 'Martinique (UTC -04:00)',
        displayText: 'Martinique (UTC -04:00)'
    },
    {
        id: 'America/La_Paz',
        value: 'La Paz (UTC -04:00)',
        displayText: 'La Paz (UTC -04:00)'
    },
    {
        id: 'Atlantic/Bermuda',
        value: 'Bermuda (UTC -04:00)',
        displayText: 'Bermuda (UTC -04:00)'
    },
    {
        id: 'America/Antigua',
        value: 'Antigua (UTC -04:00)',
        displayText: 'Antigua (UTC -04:00)'
    },
    {
        id: 'America/Anguilla',
        value: 'Anguilla (UTC -04:00)',
        displayText: 'Anguilla (UTC -04:00)'
    },
    {
        id: 'America/Kralendijk',
        value: 'Kralendijk (UTC -04:00)',
        displayText: 'Kralendijk (UTC -04:00)'
    },
    {
        id: 'America/Montserrat',
        value: 'Montserrat (UTC -04:00)',
        displayText: 'Montserrat (UTC -04:00)'
    },
    {
        id: 'America/St_Lucia',
        value: 'St Lucia (UTC -04:00)',
        displayText: 'St Lucia (UTC -04:00)'
    },
    {
        id: 'America/Port_of_Spain',
        value: 'Port of Spain (UTC -04:00)',
        displayText: 'Port of Spain (UTC -04:00)'
    },
    {
        id: 'America/Santo_Domingo',
        value: 'Santo Domingo (UTC -04:00)',
        displayText: 'Santo Domingo (UTC -04:00)'
    },
    {
        id: 'America/St_Thomas',
        value: 'St Thomas (UTC -04:00)',
        displayText: 'St Thomas (UTC -04:00)'
    },
    {
        id: 'America/St_Barthelemy',
        value: 'St Barthelemy (UTC -04:00)',
        displayText: 'St Barthelemy (UTC -04:00)'
    },
    {
        id: 'America/St_Kitts',
        value: 'St Kitts (UTC -04:00)',
        displayText: 'St Kitts (UTC -04:00)'
    },
    {
        id: 'America/St_Vincent',
        value: 'St Vincent (UTC -04:00)',
        displayText: 'St Vincent (UTC -04:00)'
    },
    {
        id: 'America/Thule',
        value: 'Thule (UTC -04:00)',
        displayText: 'Thule (UTC -04:00)'
    },
    {
        id: 'America/Halifax',
        value: 'Halifax (UTC -04:00)',
        displayText: 'Halifax (UTC -04:00)'
    },
    {
        id: 'America/Porto_Velho',
        value: 'Porto Velho (UTC -04:00)',
        displayText: 'Porto Velho (UTC -04:00)'
    },
    {
        id: 'America/Puerto_Rico',
        value: 'Puerto Rico (UTC -04:00)',
        displayText: 'Puerto Rico (UTC -04:00)'
    },
    {
        id: 'America/Tortola',
        value: 'Tortola (UTC -04:00)',
        displayText: 'Tortola (UTC -04:00)'
    },
    {
        id: 'America/Lower_Princes',
        value: 'Lower Princes (UTC -04:00)',
        displayText: 'Lower Princes (UTC -04:00)'
    },
    {
        id: 'America/Glace_Bay',
        value: 'Glace Bay (UTC -04:00)',
        displayText: 'Glace Bay (UTC -04:00)'
    },
    {
        id: 'America/Guyana',
        value: 'Guyana (UTC -04:00)',
        displayText: 'Guyana (UTC -04:00)'
    },
    {
        id: 'America/Goose_Bay',
        value: 'Goose Bay (UTC -04:00)',
        displayText: 'Goose Bay (UTC -04:00)'
    },
    {
        id: 'America/Grand_Turk',
        value: 'Grand Turk (UTC -04:00)',
        displayText: 'Grand Turk (UTC -04:00)'
    },
    {
        id: 'America/Grenada',
        value: 'Grenada (UTC -04:00)',
        displayText: 'Grenada (UTC -04:00)'
    },
    {
        id: 'America/Dominica',
        value: 'Dominica (UTC -04:00)',
        displayText: 'Dominica (UTC -04:00)'
    },
    {
        id: 'America/Barbados',
        value: 'Barbados (UTC -04:00)',
        displayText: 'Barbados (UTC -04:00)'
    },
    {
        id: 'America/Caracas',
        value: 'Caracas (UTC -04:00)',
        displayText: 'Caracas (UTC -04:00)'
    },
    {
        id: 'America/Curacao',
        value: 'Curacao (UTC -04:00)',
        displayText: 'Curacao (UTC -04:00)'
    },
    {
        id: 'America/Boa_Vista',
        value: 'Boa Vista (UTC -04:00)',
        displayText: 'Boa Vista (UTC -04:00)'
    },
    {
        id: 'America/Blanc-Sablon',
        value: 'Blanc-Sablon (UTC -04:00)',
        displayText: 'Blanc-Sablon (UTC -04:00)'
    },
    {
        id: 'America/Guadeloupe',
        value: 'Guadeloupe (UTC -04:00)',
        displayText: 'Guadeloupe (UTC -04:00)'
    },
    {
        id: 'America/Aruba',
        value: 'Aruba (UTC -04:00)',
        displayText: 'Aruba (UTC -04:00)'
    },
    {
        id: 'America/St_Johns',
        value: 'St Johns (UTC -03:30)',
        displayText: 'St Johns (UTC -03:30)'
    },
    {
        id: 'America/Argentina/Salta',
        value: 'Argentina/Salta (UTC -03:00)',
        displayText: 'Argentina/Salta (UTC -03:00)'
    },
    {
        id: 'America/Argentina/Ushuaia',
        value: 'Argentina/Ushuaia (UTC -03:00)',
        displayText: 'Argentina/Ushuaia (UTC -03:00)'
    },
    {
        id: 'America/Asuncion',
        value: 'Asuncion (UTC -03:00)',
        displayText: 'Asuncion (UTC -03:00)'
    },
    {
        id: 'America/Montevideo',
        value: 'Montevideo (UTC -03:00)',
        displayText: 'Montevideo (UTC -03:00)'
    },
    {
        id: 'America/Miquelon',
        value: 'Miquelon (UTC -03:00)',
        displayText: 'Miquelon (UTC -03:00)'
    },
    {
        id: 'America/Argentina/Jujuy',
        value: 'Argentina/Jujuy (UTC -03:00)',
        displayText: 'Argentina/Jujuy (UTC -03:00)'
    },
    {
        id: 'America/Santarem',
        value: 'Santarem (UTC -03:00)',
        displayText: 'Santarem (UTC -03:00)'
    },
    {
        id: 'Antarctica/Rothera',
        value: 'Rothera (UTC -03:00)',
        displayText: 'Rothera (UTC -03:00)'
    },
    {
        id: 'America/Recife',
        value: 'Recife (UTC -03:00)',
        displayText: 'Recife (UTC -03:00)'
    },
    {
        id: 'America/Paramaribo',
        value: 'Paramaribo (UTC -03:00)',
        displayText: 'Paramaribo (UTC -03:00)'
    },
    {
        id: 'America/Belem',
        value: 'Belem (UTC -03:00)',
        displayText: 'Belem (UTC -03:00)'
    },
    {
        id: 'America/Argentina/Mendoza',
        value: 'Argentina/Mendoza (UTC -03:00)',
        displayText: 'Argentina/Mendoza (UTC -03:00)'
    },
    {
        id: 'America/Bahia',
        value: 'Bahia (UTC -03:00)',
        displayText: 'Bahia (UTC -03:00)'
    },
    {
        id: 'America/Argentina/Rio_Gallegos',
        value: 'Argentina/Rio Gallegos (UTC -03:00)',
        displayText: 'Argentina/Rio Gallegos (UTC -03:00)'
    },
    {
        id: 'America/Argentina/La_Rioja',
        value: 'Argentina/La Rioja (UTC -03:00)',
        displayText: 'Argentina/La Rioja (UTC -03:00)'
    },
    {
        id: 'America/Cayenne',
        value: 'Cayenne (UTC -03:00)',
        displayText: 'Cayenne (UTC -03:00)'
    },
    {
        id: 'Antarctica/Palmer',
        value: 'Palmer (UTC -03:00)',
        displayText: 'Palmer (UTC -03:00)'
    },
    {
        id: 'America/Santiago',
        value: 'Santiago (UTC -03:00)',
        displayText: 'Santiago (UTC -03:00)'
    },
    {
        id: 'America/Argentina/Catamarca',
        value: 'Argentina/Catamarca (UTC -03:00)',
        displayText: 'Argentina/Catamarca (UTC -03:00)'
    },
    {
        id: 'America/Maceio',
        value: 'Maceio (UTC -03:00)',
        displayText: 'Maceio (UTC -03:00)'
    },
    {
        id: 'America/Cuiaba',
        value: 'Cuiaba (UTC -03:00)',
        displayText: 'Cuiaba (UTC -03:00)'
    },
    {
        id: 'America/Campo_Grande',
        value: 'Campo Grande (UTC -03:00)',
        displayText: 'Campo Grande (UTC -03:00)'
    },
    {
        id: 'America/Argentina/Buenos_Aires',
        value: 'Argentina/Buenos Aires (UTC -03:00)',
        displayText: 'Argentina/Buenos Aires (UTC -03:00)'
    },
    {
        id: 'America/Argentina/Tucuman',
        value: 'Argentina/Tucuman (UTC -03:00)',
        displayText: 'Argentina/Tucuman (UTC -03:00)'
    },
    {
        id: 'America/Argentina/San_Luis',
        value: 'Argentina/San Luis (UTC -03:00)',
        displayText: 'Argentina/San Luis (UTC -03:00)'
    },
    {
        id: 'America/Araguaina',
        value: 'Araguaina (UTC -03:00)',
        displayText: 'Araguaina (UTC -03:00)'
    },
    {
        id: 'America/Argentina/San_Juan',
        value: 'Argentina/San Juan (UTC -03:00)',
        displayText: 'Argentina/San Juan (UTC -03:00)'
    },
    {
        id: 'America/Godthab',
        value: 'Godthab (UTC -03:00)',
        displayText: 'Godthab (UTC -03:00)'
    },
    {
        id: 'Atlantic/Stanley',
        value: 'Stanley (UTC -03:00)',
        displayText: 'Stanley (UTC -03:00)'
    },
    {
        id: 'America/Fortaleza',
        value: 'Fortaleza (UTC -03:00)',
        displayText: 'Fortaleza (UTC -03:00)'
    },
    {
        id: 'America/Argentina/Cordoba',
        value: 'Argentina/Cordoba (UTC -03:00)',
        displayText: 'Argentina/Cordoba (UTC -03:00)'
    },
    {
        id: 'America/Sao_Paulo',
        value: 'Sao Paulo (UTC -02:00)',
        displayText: 'Sao Paulo (UTC -02:00)'
    },
    {
        id: 'Atlantic/South_Georgia',
        value: 'South Georgia (UTC -02:00)',
        displayText: 'South Georgia (UTC -02:00)'
    },
    {
        id: 'America/Noronha',
        value: 'Noronha (UTC -02:00)',
        displayText: 'Noronha (UTC -02:00)'
    },
    {
        id: 'Atlantic/Azores',
        value: 'Azores (UTC -01:00)',
        displayText: 'Azores (UTC -01:00)'
    },
    {
        id: 'Atlantic/Cape_Verde',
        value: 'Cape Verde (UTC -01:00)',
        displayText: 'Cape Verde (UTC -01:00)'
    },
    {
        id: 'America/Scoresbysund',
        value: 'Scoresbysund (UTC -01:00)',
        displayText: 'Scoresbysund (UTC -01:00)'
    },
    {
        id: 'Africa/Casablanca',
        value: 'Casablanca (UTC 00:00)',
        displayText: 'Casablanca (UTC 00:00)'
    },
    {
        id: 'Antarctica/Troll',
        value: 'Troll (UTC 00:00)',
        displayText: 'Troll (UTC 00:00)'
    },
    {
        id: 'Atlantic/St_Helena',
        value: 'St Helena (UTC 00:00)',
        displayText: 'St Helena (UTC 00:00)'
    },
    {
        id: 'Europe/Dublin',
        value: 'Dublin (UTC 00:00)',
        displayText: 'Dublin (UTC 00:00)'
    },
    {
        id: 'Europe/Guernsey',
        value: 'Guernsey (UTC 00:00)',
        displayText: 'Guernsey (UTC 00:00)'
    },
    {
        id: 'Atlantic/Reykjavik',
        value: 'Reykjavik (UTC 00:00)',
        displayText: 'Reykjavik (UTC 00:00)'
    },
    {
        id: 'Atlantic/Madeira',
        value: 'Madeira (UTC 00:00)',
        displayText: 'Madeira (UTC 00:00)'
    },
    {
        id: 'Atlantic/Canary',
        value: 'Canary (UTC 00:00)',
        displayText: 'Canary (UTC 00:00)'
    },
    {
        id: 'Atlantic/Faroe',
        value: 'Faroe (UTC 00:00)',
        displayText: 'Faroe (UTC 00:00)'
    },
    {
        id: 'Europe/Isle_of_Man',
        value: 'Isle of Man (UTC 00:00)',
        displayText: 'Isle of Man (UTC 00:00)'
    },
    {
        id: 'Europe/Jersey',
        value: 'Jersey (UTC 00:00)',
        displayText: 'Jersey (UTC 00:00)'
    },
    {
        id: 'UTC',
        value: 'UTC (UTC 00:00)',
        displayText: 'UTC (UTC 00:00)'
    },
    {
        id: 'Africa/Bamako',
        value: 'Bamako (UTC 00:00)',
        displayText: 'Bamako (UTC 00:00)'
    },
    {
        id: 'Africa/Banjul',
        value: 'Banjul (UTC 00:00)',
        displayText: 'Banjul (UTC 00:00)'
    },
    {
        id: 'Africa/Accra',
        value: 'Accra (UTC 00:00)',
        displayText: 'Accra (UTC 00:00)'
    },
    {
        id: 'Africa/Abidjan',
        value: 'Abidjan (UTC 00:00)',
        displayText: 'Abidjan (UTC 00:00)'
    },
    {
        id: 'Europe/Lisbon',
        value: 'Lisbon (UTC 00:00)',
        displayText: 'Lisbon (UTC 00:00)'
    },
    {
        id: 'Europe/London',
        value: 'London (UTC 00:00)',
        displayText: 'London (UTC 00:00)'
    },
    {
        id: 'Africa/Bissau',
        value: 'Bissau (UTC 00:00)',
        displayText: 'Bissau (UTC 00:00)'
    },
    {
        id: 'Africa/Freetown',
        value: 'Freetown (UTC 00:00)',
        displayText: 'Freetown (UTC 00:00)'
    },
    {
        id: 'Africa/Sao_Tome',
        value: 'Sao Tome (UTC 00:00)',
        displayText: 'Sao Tome (UTC 00:00)'
    },
    {
        id: 'Africa/Ouagadougou',
        value: 'Ouagadougou (UTC 00:00)',
        displayText: 'Ouagadougou (UTC 00:00)'
    },
    {
        id: 'Africa/Lome',
        value: 'Lome (UTC 00:00)',
        displayText: 'Lome (UTC 00:00)'
    },
    {
        id: 'Africa/Monrovia',
        value: 'Monrovia (UTC 00:00)',
        displayText: 'Monrovia (UTC 00:00)'
    },
    {
        id: 'Africa/Conakry',
        value: 'Conakry (UTC 00:00)',
        displayText: 'Conakry (UTC 00:00)'
    },
    {
        id: 'Africa/Nouakchott',
        value: 'Nouakchott (UTC 00:00)',
        displayText: 'Nouakchott (UTC 00:00)'
    },
    {
        id: 'Africa/Dakar',
        value: 'Dakar (UTC 00:00)',
        displayText: 'Dakar (UTC 00:00)'
    },
    {
        id: 'Africa/El_Aaiun',
        value: 'El Aaiun (UTC 00:00)',
        displayText: 'El Aaiun (UTC 00:00)'
    },
    {
        id: 'America/Danmarkshavn',
        value: 'Danmarkshavn (UTC 00:00)',
        displayText: 'Danmarkshavn (UTC 00:00)'
    },
    {
        id: 'Europe/Vaduz',
        value: 'Vaduz (UTC +01:00)',
        displayText: 'Vaduz (UTC +01:00)'
    },
    {
        id: 'Europe/Gibraltar',
        value: 'Gibraltar (UTC +01:00)',
        displayText: 'Gibraltar (UTC +01:00)'
    },
    {
        id: 'Africa/Ndjamena',
        value: 'Ndjamena (UTC +01:00)',
        displayText: 'Ndjamena (UTC +01:00)'
    },
    {
        id: 'Europe/Copenhagen',
        value: 'Copenhagen (UTC +01:00)',
        displayText: 'Copenhagen (UTC +01:00)'
    },
    {
        id: 'Europe/Luxembourg',
        value: 'Luxembourg (UTC +01:00)',
        displayText: 'Luxembourg (UTC +01:00)'
    },
    {
        id: 'Europe/Vatican',
        value: 'Vatican (UTC +01:00)',
        displayText: 'Vatican (UTC +01:00)'
    },
    {
        id: 'Europe/Ljubljana',
        value: 'Ljubljana (UTC +01:00)',
        displayText: 'Ljubljana (UTC +01:00)'
    },
    {
        id: 'Europe/Vienna',
        value: 'Vienna (UTC +01:00)',
        displayText: 'Vienna (UTC +01:00)'
    },
    {
        id: 'Europe/Malta',
        value: 'Malta (UTC +01:00)',
        displayText: 'Malta (UTC +01:00)'
    },
    {
        id: 'Europe/Busingen',
        value: 'Busingen (UTC +01:00)',
        displayText: 'Busingen (UTC +01:00)'
    },
    {
        id: 'Europe/Berlin',
        value: 'Berlin (UTC +01:00)',
        displayText: 'Berlin (UTC +01:00)'
    },
    {
        id: 'Africa/Niamey',
        value: 'Niamey (UTC +01:00)',
        displayText: 'Niamey (UTC +01:00)'
    },
    {
        id: 'Africa/Porto-Novo',
        value: 'Porto-Novo (UTC +01:00)',
        displayText: 'Porto-Novo (UTC +01:00)'
    },
    {
        id: 'Africa/Tunis',
        value: 'Tunis (UTC +01:00)',
        displayText: 'Tunis (UTC +01:00)'
    },
    {
        id: 'Europe/Tirane',
        value: 'Tirane (UTC +01:00)',
        displayText: 'Tirane (UTC +01:00)'
    },
    {
        id: 'Europe/Amsterdam',
        value: 'Amsterdam (UTC +01:00)',
        displayText: 'Amsterdam (UTC +01:00)'
    },
    {
        id: 'Europe/Andorra',
        value: 'Andorra (UTC +01:00)',
        displayText: 'Andorra (UTC +01:00)'
    },
    {
        id: 'Europe/Brussels',
        value: 'Brussels (UTC +01:00)',
        displayText: 'Brussels (UTC +01:00)'
    },
    {
        id: 'Europe/Bratislava',
        value: 'Bratislava (UTC +01:00)',
        displayText: 'Bratislava (UTC +01:00)'
    },
    {
        id: 'Europe/Monaco',
        value: 'Monaco (UTC +01:00)',
        displayText: 'Monaco (UTC +01:00)'
    },
    {
        id: 'Europe/Belgrade',
        value: 'Belgrade (UTC +01:00)',
        displayText: 'Belgrade (UTC +01:00)'
    },
    {
        id: 'Europe/Budapest',
        value: 'Budapest (UTC +01:00)',
        displayText: 'Budapest (UTC +01:00)'
    },
    {
        id: 'Europe/Madrid',
        value: 'Madrid (UTC +01:00)',
        displayText: 'Madrid (UTC +01:00)'
    },
    {
        id: 'Africa/Algiers',
        value: 'Algiers (UTC +01:00)',
        displayText: 'Algiers (UTC +01:00)'
    },
    {
        id: 'Africa/Libreville',
        value: 'Libreville (UTC +01:00)',
        displayText: 'Libreville (UTC +01:00)'
    },
    {
        id: 'Africa/Luanda',
        value: 'Luanda (UTC +01:00)',
        displayText: 'Luanda (UTC +01:00)'
    },
    {
        id: 'Europe/Stockholm',
        value: 'Stockholm (UTC +01:00)',
        displayText: 'Stockholm (UTC +01:00)'
    },
    {
        id: 'Europe/San_Marino',
        value: 'San Marino (UTC +01:00)',
        displayText: 'San Marino (UTC +01:00)'
    },
    {
        id: 'Europe/Skopje',
        value: 'Skopje (UTC +01:00)',
        displayText: 'Skopje (UTC +01:00)'
    },
    {
        id: 'Africa/Bangui',
        value: 'Bangui (UTC +01:00)',
        displayText: 'Bangui (UTC +01:00)'
    },
    {
        id: 'Africa/Lagos',
        value: 'Lagos (UTC +01:00)',
        displayText: 'Lagos (UTC +01:00)'
    },
    {
        id: 'Africa/Douala',
        value: 'Douala (UTC +01:00)',
        displayText: 'Douala (UTC +01:00)'
    },
    {
        id: 'Africa/Ceuta',
        value: 'Ceuta (UTC +01:00)',
        displayText: 'Ceuta (UTC +01:00)'
    },
    {
        id: 'Africa/Brazzaville',
        value: 'Brazzaville (UTC +01:00)',
        displayText: 'Brazzaville (UTC +01:00)'
    },
    {
        id: 'Europe/Zurich',
        value: 'Zurich (UTC +01:00)',
        displayText: 'Zurich (UTC +01:00)'
    },
    {
        id: 'Africa/Kinshasa',
        value: 'Kinshasa (UTC +01:00)',
        displayText: 'Kinshasa (UTC +01:00)'
    },
    {
        id: 'Europe/Zagreb',
        value: 'Zagreb (UTC +01:00)',
        displayText: 'Zagreb (UTC +01:00)'
    },
    {
        id: 'Europe/Sarajevo',
        value: 'Sarajevo (UTC +01:00)',
        displayText: 'Sarajevo (UTC +01:00)'
    },
    {
        id: 'Europe/Podgorica',
        value: 'Podgorica (UTC +01:00)',
        displayText: 'Podgorica (UTC +01:00)'
    },
    {
        id: 'Europe/Prague',
        value: 'Prague (UTC +01:00)',
        displayText: 'Prague (UTC +01:00)'
    },
    {
        id: 'Arctic/Longyearbyen',
        value: 'Longyearbyen (UTC +01:00)',
        displayText: 'Longyearbyen (UTC +01:00)'
    },
    {
        id: 'Europe/Warsaw',
        value: 'Warsaw (UTC +01:00)',
        displayText: 'Warsaw (UTC +01:00)'
    },
    {
        id: 'Africa/Malabo',
        value: 'Malabo (UTC +01:00)',
        displayText: 'Malabo (UTC +01:00)'
    },
    {
        id: 'Europe/Rome',
        value: 'Rome (UTC +01:00)',
        displayText: 'Rome (UTC +01:00)'
    },
    {
        id: 'Europe/Oslo',
        value: 'Oslo (UTC +01:00)',
        displayText: 'Oslo (UTC +01:00)'
    },
    {
        id: 'Europe/Paris',
        value: 'Paris (UTC +01:00)',
        displayText: 'Paris (UTC +01:00)'
    },
    {
        id: 'Asia/Nicosia',
        value: 'Nicosia (UTC +02:00)',
        displayText: 'Nicosia (UTC +02:00)'
    },
    {
        id: 'Europe/Vilnius',
        value: 'Vilnius (UTC +02:00)',
        displayText: 'Vilnius (UTC +02:00)'
    },
    {
        id: 'Europe/Uzhgorod',
        value: 'Uzhgorod (UTC +02:00)',
        displayText: 'Uzhgorod (UTC +02:00)'
    },
    {
        id: 'Europe/Kiev',
        value: 'Kiev (UTC +02:00)',
        displayText: 'Kiev (UTC +02:00)'
    },
    {
        id: 'Europe/Riga',
        value: 'Riga (UTC +02:00)',
        displayText: 'Riga (UTC +02:00)'
    },
    {
        id: 'Europe/Bucharest',
        value: 'Bucharest (UTC +02:00)',
        displayText: 'Bucharest (UTC +02:00)'
    },
    {
        id: 'Europe/Mariehamn',
        value: 'Mariehamn (UTC +02:00)',
        displayText: 'Mariehamn (UTC +02:00)'
    },
    {
        id: 'Europe/Chisinau',
        value: 'Chisinau (UTC +02:00)',
        displayText: 'Chisinau (UTC +02:00)'
    },
    {
        id: 'Europe/Sofia',
        value: 'Sofia (UTC +02:00)',
        displayText: 'Sofia (UTC +02:00)'
    },
    {
        id: 'Europe/Helsinki',
        value: 'Helsinki (UTC +02:00)',
        displayText: 'Helsinki (UTC +02:00)'
    },
    {
        id: 'Europe/Zaporozhye',
        value: 'Zaporozhye (UTC +02:00)',
        displayText: 'Zaporozhye (UTC +02:00)'
    },
    {
        id: 'Europe/Athens',
        value: 'Athens (UTC +02:00)',
        displayText: 'Athens (UTC +02:00)'
    },
    {
        id: 'Europe/Tallinn',
        value: 'Tallinn (UTC +02:00)',
        displayText: 'Tallinn (UTC +02:00)'
    },
    {
        id: 'Europe/Kaliningrad',
        value: 'Kaliningrad (UTC +02:00)',
        displayText: 'Kaliningrad (UTC +02:00)'
    },
    {
        id: 'Asia/Amman',
        value: 'Amman (UTC +02:00)',
        displayText: 'Amman (UTC +02:00)'
    },
    {
        id: 'Africa/Mbabane',
        value: 'Mbabane (UTC +02:00)',
        displayText: 'Mbabane (UTC +02:00)'
    },
    {
        id: 'Africa/Tripoli',
        value: 'Tripoli (UTC +02:00)',
        displayText: 'Tripoli (UTC +02:00)'
    },
    {
        id: 'Africa/Maseru',
        value: 'Maseru (UTC +02:00)',
        displayText: 'Maseru (UTC +02:00)'
    },
    {
        id: 'Africa/Maputo',
        value: 'Maputo (UTC +02:00)',
        displayText: 'Maputo (UTC +02:00)'
    },
    {
        id: 'Africa/Lubumbashi',
        value: 'Lubumbashi (UTC +02:00)',
        displayText: 'Lubumbashi (UTC +02:00)'
    },
    {
        id: 'Africa/Windhoek',
        value: 'Windhoek (UTC +02:00)',
        displayText: 'Windhoek (UTC +02:00)'
    },
    {
        id: 'Asia/Beirut',
        value: 'Beirut (UTC +02:00)',
        displayText: 'Beirut (UTC +02:00)'
    },
    {
        id: 'Asia/Hebron',
        value: 'Hebron (UTC +02:00)',
        displayText: 'Hebron (UTC +02:00)'
    },
    {
        id: 'Asia/Gaza',
        value: 'Gaza (UTC +02:00)',
        displayText: 'Gaza (UTC +02:00)'
    },
    {
        id: 'Asia/Damascus',
        value: 'Damascus (UTC +02:00)',
        displayText: 'Damascus (UTC +02:00)'
    },
    {
        id: 'Asia/Jerusalem',
        value: 'Jerusalem (UTC +02:00)',
        displayText: 'Jerusalem (UTC +02:00)'
    },
    {
        id: 'Africa/Kigali',
        value: 'Kigali (UTC +02:00)',
        displayText: 'Kigali (UTC +02:00)'
    },
    {
        id: 'Africa/Lusaka',
        value: 'Lusaka (UTC +02:00)',
        displayText: 'Lusaka (UTC +02:00)'
    },
    {
        id: 'Africa/Johannesburg',
        value: 'Johannesburg (UTC +02:00)',
        displayText: 'Johannesburg (UTC +02:00)'
    },
    {
        id: 'Africa/Bujumbura',
        value: 'Bujumbura (UTC +02:00)',
        displayText: 'Bujumbura (UTC +02:00)'
    },
    {
        id: 'Africa/Harare',
        value: 'Harare (UTC +02:00)',
        displayText: 'Harare (UTC +02:00)'
    },
    {
        id: 'Africa/Blantyre',
        value: 'Blantyre (UTC +02:00)',
        displayText: 'Blantyre (UTC +02:00)'
    },
    {
        id: 'Africa/Gaborone',
        value: 'Gaborone (UTC +02:00)',
        displayText: 'Gaborone (UTC +02:00)'
    },
    {
        id: 'Africa/Cairo',
        value: 'Cairo (UTC +02:00)',
        displayText: 'Cairo (UTC +02:00)'
    },
    {
        id: 'Europe/Moscow',
        value: 'Moscow (UTC +03:00)',
        displayText: 'Moscow (UTC +03:00)'
    },
    {
        id: 'Europe/Minsk',
        value: 'Minsk (UTC +03:00)',
        displayText: 'Minsk (UTC +03:00)'
    },
    {
        id: 'Asia/Aden',
        value: 'Aden (UTC +03:00)',
        displayText: 'Aden (UTC +03:00)'
    },
    {
        id: 'Europe/Simferopol',
        value: 'Simferopol (UTC +03:00)',
        displayText: 'Simferopol (UTC +03:00)'
    },
    {
        id: 'Antarctica/Syowa',
        value: 'Syowa (UTC +03:00)',
        displayText: 'Syowa (UTC +03:00)'
    },
    {
        id: 'Asia/Bahrain',
        value: 'Bahrain (UTC +03:00)',
        displayText: 'Bahrain (UTC +03:00)'
    },
    {
        id: 'Asia/Famagusta',
        value: 'Famagusta (UTC +03:00)',
        displayText: 'Famagusta (UTC +03:00)'
    },
    {
        id: 'Africa/Asmara',
        value: 'Asmara (UTC +03:00)',
        displayText: 'Asmara (UTC +03:00)'
    },
    {
        id: 'Africa/Addis_Ababa',
        value: 'Addis Ababa (UTC +03:00)',
        displayText: 'Addis Ababa (UTC +03:00)'
    },
    {
        id: 'Europe/Istanbul',
        value: 'Istanbul (UTC +03:00)',
        displayText: 'Istanbul (UTC +03:00)'
    },
    {
        id: 'Asia/Kuwait',
        value: 'Kuwait (UTC +03:00)',
        displayText: 'Kuwait (UTC +03:00)'
    },
    {
        id: 'Asia/Qatar',
        value: 'Qatar (UTC +03:00)',
        displayText: 'Qatar (UTC +03:00)'
    },
    {
        id: 'Europe/Kirov',
        value: 'Kirov (UTC +03:00)',
        displayText: 'Kirov (UTC +03:00)'
    },
    {
        id: 'Asia/Baghdad',
        value: 'Baghdad (UTC +03:00)',
        displayText: 'Baghdad (UTC +03:00)'
    },
    {
        id: 'Africa/Dar_es_Salaam',
        value: 'Dar es Salaam (UTC +03:00)',
        displayText: 'Dar es Salaam (UTC +03:00)'
    },
    {
        id: 'Indian/Mayotte',
        value: 'Mayotte (UTC +03:00)',
        displayText: 'Mayotte (UTC +03:00)'
    },
    {
        id: 'Indian/Comoro',
        value: 'Comoro (UTC +03:00)',
        displayText: 'Comoro (UTC +03:00)'
    },
    {
        id: 'Africa/Khartoum',
        value: 'Khartoum (UTC +03:00)',
        displayText: 'Khartoum (UTC +03:00)'
    },
    {
        id: 'Asia/Riyadh',
        value: 'Riyadh (UTC +03:00)',
        displayText: 'Riyadh (UTC +03:00)'
    },
    {
        id: 'Africa/Kampala',
        value: 'Kampala (UTC +03:00)',
        displayText: 'Kampala (UTC +03:00)'
    },
    {
        id: 'Indian/Antananarivo',
        value: 'Antananarivo (UTC +03:00)',
        displayText: 'Antananarivo (UTC +03:00)'
    },
    {
        id: 'Africa/Juba',
        value: 'Juba (UTC +03:00)',
        displayText: 'Juba (UTC +03:00)'
    },
    {
        id: 'Africa/Mogadishu',
        value: 'Mogadishu (UTC +03:00)',
        displayText: 'Mogadishu (UTC +03:00)'
    },
    {
        id: 'Africa/Djibouti',
        value: 'Djibouti (UTC +03:00)',
        displayText: 'Djibouti (UTC +03:00)'
    },
    {
        id: 'Europe/Volgograd',
        value: 'Volgograd (UTC +03:00)',
        displayText: 'Volgograd (UTC +03:00)'
    },
    {
        id: 'Africa/Nairobi',
        value: 'Nairobi (UTC +03:00)',
        displayText: 'Nairobi (UTC +03:00)'
    },
    {
        id: 'Asia/Tehran',
        value: 'Tehran (UTC +03:30)',
        displayText: 'Tehran (UTC +03:30)'
    },
    {
        id: 'Asia/Dubai',
        value: 'Dubai (UTC +04:00)',
        displayText: 'Dubai (UTC +04:00)'
    },
    {
        id: 'Europe/Saratov',
        value: 'Saratov (UTC +04:00)',
        displayText: 'Saratov (UTC +04:00)'
    },
    {
        id: 'Indian/Reunion',
        value: 'Reunion (UTC +04:00)',
        displayText: 'Reunion (UTC +04:00)'
    },
    {
        id: 'Indian/Mauritius',
        value: 'Mauritius (UTC +04:00)',
        displayText: 'Mauritius (UTC +04:00)'
    },
    {
        id: 'Europe/Ulyanovsk',
        value: 'Ulyanovsk (UTC +04:00)',
        displayText: 'Ulyanovsk (UTC +04:00)'
    },
    {
        id: 'Indian/Mahe',
        value: 'Mahe (UTC +04:00)',
        displayText: 'Mahe (UTC +04:00)'
    },
    {
        id: 'Europe/Astrakhan',
        value: 'Astrakhan (UTC +04:00)',
        displayText: 'Astrakhan (UTC +04:00)'
    },
    {
        id: 'Europe/Samara',
        value: 'Samara (UTC +04:00)',
        displayText: 'Samara (UTC +04:00)'
    },
    {
        id: 'Asia/Baku',
        value: 'Baku (UTC +04:00)',
        displayText: 'Baku (UTC +04:00)'
    },
    {
        id: 'Asia/Muscat',
        value: 'Muscat (UTC +04:00)',
        displayText: 'Muscat (UTC +04:00)'
    },
    {
        id: 'Asia/Tbilisi',
        value: 'Tbilisi (UTC +04:00)',
        displayText: 'Tbilisi (UTC +04:00)'
    },
    {
        id: 'Asia/Yerevan',
        value: 'Yerevan (UTC +04:00)',
        displayText: 'Yerevan (UTC +04:00)'
    },
    {
        id: 'Asia/Kabul',
        value: 'Kabul (UTC +04:30)',
        displayText: 'Kabul (UTC +04:30)'
    },
    {
        id: 'Asia/Ashgabat',
        value: 'Ashgabat (UTC +05:00)',
        displayText: 'Ashgabat (UTC +05:00)'
    },
    {
        id: 'Asia/Atyrau',
        value: 'Atyrau (UTC +05:00)',
        displayText: 'Atyrau (UTC +05:00)'
    },
    {
        id: 'Asia/Karachi',
        value: 'Karachi (UTC +05:00)',
        displayText: 'Karachi (UTC +05:00)'
    },
    {
        id: 'Indian/Maldives',
        value: 'Maldives (UTC +05:00)',
        displayText: 'Maldives (UTC +05:00)'
    },
    {
        id: 'Asia/Aqtau',
        value: 'Aqtau (UTC +05:00)',
        displayText: 'Aqtau (UTC +05:00)'
    },
    {
        id: 'Antarctica/Mawson',
        value: 'Mawson (UTC +05:00)',
        displayText: 'Mawson (UTC +05:00)'
    },
    {
        id: 'Asia/Tashkent',
        value: 'Tashkent (UTC +05:00)',
        displayText: 'Tashkent (UTC +05:00)'
    },
    {
        id: 'Indian/Kerguelen',
        value: 'Kerguelen (UTC +05:00)',
        displayText: 'Kerguelen (UTC +05:00)'
    },
    {
        id: 'Asia/Yekaterinburg',
        value: 'Yekaterinburg (UTC +05:00)',
        displayText: 'Yekaterinburg (UTC +05:00)'
    },
    {
        id: 'Asia/Samarkand',
        value: 'Samarkand (UTC +05:00)',
        displayText: 'Samarkand (UTC +05:00)'
    },
    {
        id: 'Asia/Oral',
        value: 'Oral (UTC +05:00)',
        displayText: 'Oral (UTC +05:00)'
    },
    {
        id: 'Asia/Aqtobe',
        value: 'Aqtobe (UTC +05:00)',
        displayText: 'Aqtobe (UTC +05:00)'
    },
    {
        id: 'Asia/Dushanbe',
        value: 'Dushanbe (UTC +05:00)',
        displayText: 'Dushanbe (UTC +05:00)'
    },
    {
        id: 'Asia/Kolkata',
        value: 'Kolkata (UTC +05:30)',
        displayText: 'Kolkata (UTC +05:30)'
    },
    {
        id: 'Asia/Colombo',
        value: 'Colombo (UTC +05:30)',
        displayText: 'Colombo (UTC +05:30)'
    },
    {
        id: 'Asia/Kathmandu',
        value: 'Kathmandu (UTC +05:45)',
        displayText: 'Kathmandu (UTC +05:45)'
    },
    {
        id: 'Asia/Omsk',
        value: 'Omsk (UTC +06:00)',
        displayText: 'Omsk (UTC +06:00)'
    },
    {
        id: 'Asia/Qyzylorda',
        value: 'Qyzylorda (UTC +06:00)',
        displayText: 'Qyzylorda (UTC +06:00)'
    },
    {
        id: 'Asia/Thimphu',
        value: 'Thimphu (UTC +06:00)',
        displayText: 'Thimphu (UTC +06:00)'
    },
    {
        id: 'Asia/Urumqi',
        value: 'Urumqi (UTC +06:00)',
        displayText: 'Urumqi (UTC +06:00)'
    },
    {
        id: 'Asia/Almaty',
        value: 'Almaty (UTC +06:00)',
        displayText: 'Almaty (UTC +06:00)'
    },
    {
        id: 'Antarctica/Vostok',
        value: 'Vostok (UTC +06:00)',
        displayText: 'Vostok (UTC +06:00)'
    },
    {
        id: 'Indian/Chagos',
        value: 'Chagos (UTC +06:00)',
        displayText: 'Chagos (UTC +06:00)'
    },
    {
        id: 'Asia/Bishkek',
        value: 'Bishkek (UTC +06:00)',
        displayText: 'Bishkek (UTC +06:00)'
    },
    {
        id: 'Asia/Dhaka',
        value: 'Dhaka (UTC +06:00)',
        displayText: 'Dhaka (UTC +06:00)'
    },
    {
        id: 'Asia/Yangon',
        value: 'Yangon (UTC +06:30)',
        displayText: 'Yangon (UTC +06:30)'
    },
    {
        id: 'Indian/Cocos',
        value: 'Cocos (UTC +06:30)',
        displayText: 'Cocos (UTC +06:30)'
    },
    {
        id: 'Asia/Krasnoyarsk',
        value: 'Krasnoyarsk (UTC +07:00)',
        displayText: 'Krasnoyarsk (UTC +07:00)'
    },
    {
        id: 'Asia/Novokuznetsk',
        value: 'Novokuznetsk (UTC +07:00)',
        displayText: 'Novokuznetsk (UTC +07:00)'
    },
    {
        id: 'Asia/Phnom_Penh',
        value: 'Phnom Penh (UTC +07:00)',
        displayText: 'Phnom Penh (UTC +07:00)'
    },
    {
        id: 'Asia/Tomsk',
        value: 'Tomsk (UTC +07:00)',
        displayText: 'Tomsk (UTC +07:00)'
    },
    {
        id: 'Asia/Vientiane',
        value: 'Vientiane (UTC +07:00)',
        displayText: 'Vientiane (UTC +07:00)'
    },
    {
        id: 'Antarctica/Davis',
        value: 'Davis (UTC +07:00)',
        displayText: 'Davis (UTC +07:00)'
    },
    {
        id: 'Asia/Pontianak',
        value: 'Pontianak (UTC +07:00)',
        displayText: 'Pontianak (UTC +07:00)'
    },
    {
        id: 'Asia/Jakarta',
        value: 'Jakarta (UTC +07:00)',
        displayText: 'Jakarta (UTC +07:00)'
    },
    {
        id: 'Asia/Hovd',
        value: 'Hovd (UTC +07:00)',
        displayText: 'Hovd (UTC +07:00)'
    },
    {
        id: 'Asia/Bangkok',
        value: 'Bangkok (UTC +07:00)',
        displayText: 'Bangkok (UTC +07:00)'
    },
    {
        id: 'Asia/Ho_Chi_Minh',
        value: 'Ho Chi Minh (UTC +07:00)',
        displayText: 'Ho Chi Minh (UTC +07:00)'
    },
    {
        id: 'Asia/Novosibirsk',
        value: 'Novosibirsk (UTC +07:00)',
        displayText: 'Novosibirsk (UTC +07:00)'
    },
    {
        id: 'Asia/Barnaul',
        value: 'Barnaul (UTC +07:00)',
        displayText: 'Barnaul (UTC +07:00)'
    },
    {
        id: 'Indian/Christmas',
        value: 'Christmas (UTC +07:00)',
        displayText: 'Christmas (UTC +07:00)'
    },
    {
        id: 'Asia/Shanghai',
        value: 'Shanghai (UTC +08:00)',
        displayText: 'Shanghai (UTC +08:00)'
    },
    {
        id: 'Australia/Perth',
        value: 'Perth (UTC +08:00)',
        displayText: 'Perth (UTC +08:00)'
    },
    {
        id: 'Asia/Taipei',
        value: 'Taipei (UTC +08:00)',
        displayText: 'Taipei (UTC +08:00)'
    },
    {
        id: 'Asia/Singapore',
        value: 'Singapore (UTC +08:00)',
        displayText: 'Singapore (UTC +08:00)'
    },
    {
        id: 'Asia/Manila',
        value: 'Manila (UTC +08:00)',
        displayText: 'Manila (UTC +08:00)'
    },
    {
        id: 'Asia/Ulaanbaatar',
        value: 'Ulaanbaatar (UTC +08:00)',
        displayText: 'Ulaanbaatar (UTC +08:00)'
    },
    {
        id: 'Asia/Makassar',
        value: 'Makassar (UTC +08:00)',
        displayText: 'Makassar (UTC +08:00)'
    },
    {
        id: 'Asia/Kuching',
        value: 'Kuching (UTC +08:00)',
        displayText: 'Kuching (UTC +08:00)'
    },
    {
        id: 'Asia/Macau',
        value: 'Macau (UTC +08:00)',
        displayText: 'Macau (UTC +08:00)'
    },
    {
        id: 'Asia/Kuala_Lumpur',
        value: 'Kuala Lumpur (UTC +08:00)',
        displayText: 'Kuala Lumpur (UTC +08:00)'
    },
    {
        id: 'Asia/Hong_Kong',
        value: 'Hong Kong (UTC +08:00)',
        displayText: 'Hong Kong (UTC +08:00)'
    },
    {
        id: 'Asia/Brunei',
        value: 'Brunei (UTC +08:00)',
        displayText: 'Brunei (UTC +08:00)'
    },
    {
        id: 'Asia/Irkutsk',
        value: 'Irkutsk (UTC +08:00)',
        displayText: 'Irkutsk (UTC +08:00)'
    },
    {
        id: 'Asia/Choibalsan',
        value: 'Choibalsan (UTC +08:00)',
        displayText: 'Choibalsan (UTC +08:00)'
    },
    {
        id: 'Asia/Pyongyang',
        value: 'Pyongyang (UTC +08:30)',
        displayText: 'Pyongyang (UTC +08:30)'
    },
    {
        id: 'Australia/Eucla',
        value: 'Eucla (UTC +08:45)',
        displayText: 'Eucla (UTC +08:45)'
    },
    {
        id: 'Asia/Khandyga',
        value: 'Khandyga (UTC +09:00)',
        displayText: 'Khandyga (UTC +09:00)'
    },
    {
        id: 'Asia/Dili',
        value: 'Dili (UTC +09:00)',
        displayText: 'Dili (UTC +09:00)'
    },
    {
        id: 'Asia/Chita',
        value: 'Chita (UTC +09:00)',
        displayText: 'Chita (UTC +09:00)'
    },
    {
        id: 'Asia/Jayapura',
        value: 'Jayapura (UTC +09:00)',
        displayText: 'Jayapura (UTC +09:00)'
    },
    {
        id: 'Pacific/Palau',
        value: 'Palau (UTC +09:00)',
        displayText: 'Palau (UTC +09:00)'
    },
    {
        id: 'Asia/Yakutsk',
        value: 'Yakutsk (UTC +09:00)',
        displayText: 'Yakutsk (UTC +09:00)'
    },
    {
        id: 'Asia/Tokyo',
        value: 'Tokyo (UTC +09:00)',
        displayText: 'Tokyo (UTC +09:00)'
    },
    {
        id: 'Asia/Seoul',
        value: 'Seoul (UTC +09:00)',
        displayText: 'Seoul (UTC +09:00)'
    },
    {
        id: 'Australia/Darwin',
        value: 'Darwin (UTC +09:30)',
        displayText: 'Darwin (UTC +09:30)'
    },
    {
        id: 'Pacific/Guam',
        value: 'Guam (UTC +10:00)',
        displayText: 'Guam (UTC +10:00)'
    },
    {
        id: 'Pacific/Chuuk',
        value: 'Chuuk (UTC +10:00)',
        displayText: 'Chuuk (UTC +10:00)'
    },
    {
        id: 'Pacific/Saipan',
        value: 'Saipan (UTC +10:00)',
        displayText: 'Saipan (UTC +10:00)'
    },
    {
        id: 'Pacific/Port_Moresby',
        value: 'Port Moresby (UTC +10:00)',
        displayText: 'Port Moresby (UTC +10:00)'
    },
    {
        id: 'Asia/Ust-Nera',
        value: 'Ust-Nera (UTC +10:00)',
        displayText: 'Ust-Nera (UTC +10:00)'
    },
    {
        id: 'Antarctica/DumontDUrville',
        value: 'DumontDUrville (UTC +10:00)',
        displayText: 'DumontDUrville (UTC +10:00)'
    },
    {
        id: 'Australia/Brisbane',
        value: 'Brisbane (UTC +10:00)',
        displayText: 'Brisbane (UTC +10:00)'
    },
    {
        id: 'Australia/Lindeman',
        value: 'Lindeman (UTC +10:00)',
        displayText: 'Lindeman (UTC +10:00)'
    },
    {
        id: 'Asia/Vladivostok',
        value: 'Vladivostok (UTC +10:00)',
        displayText: 'Vladivostok (UTC +10:00)'
    },
    {
        id: 'Australia/Adelaide',
        value: 'Adelaide (UTC +10:30)',
        displayText: 'Adelaide (UTC +10:30)'
    },
    {
        id: 'Australia/Broken_Hill',
        value: 'Broken Hill (UTC +10:30)',
        displayText: 'Broken Hill (UTC +10:30)'
    },
    {
        id: 'Pacific/Kosrae',
        value: 'Kosrae (UTC +11:00)',
        displayText: 'Kosrae (UTC +11:00)'
    },
    {
        id: 'Pacific/Pohnpei',
        value: 'Pohnpei (UTC +11:00)',
        displayText: 'Pohnpei (UTC +11:00)'
    },
    {
        id: 'Australia/Hobart',
        value: 'Hobart (UTC +11:00)',
        displayText: 'Hobart (UTC +11:00)'
    },
    {
        id: 'Asia/Srednekolymsk',
        value: 'Srednekolymsk (UTC +11:00)',
        displayText: 'Srednekolymsk (UTC +11:00)'
    },
    {
        id: 'Australia/Currie',
        value: 'Currie (UTC +11:00)',
        displayText: 'Currie (UTC +11:00)'
    },
    {
        id: 'Asia/Magadan',
        value: 'Magadan (UTC +11:00)',
        displayText: 'Magadan (UTC +11:00)'
    },
    {
        id: 'Antarctica/Macquarie',
        value: 'Macquarie (UTC +11:00)',
        displayText: 'Macquarie (UTC +11:00)'
    },
    {
        id: 'Pacific/Noumea',
        value: 'Noumea (UTC +11:00)',
        displayText: 'Noumea (UTC +11:00)'
    },
    {
        id: 'Pacific/Guadalcanal',
        value: 'Guadalcanal (UTC +11:00)',
        displayText: 'Guadalcanal (UTC +11:00)'
    },
    {
        id: 'Pacific/Efate',
        value: 'Efate (UTC +11:00)',
        displayText: 'Efate (UTC +11:00)'
    },
    {
        id: 'Asia/Sakhalin',
        value: 'Sakhalin (UTC +11:00)',
        displayText: 'Sakhalin (UTC +11:00)'
    },
    {
        id: 'Pacific/Bougainville',
        value: 'Bougainville (UTC +11:00)',
        displayText: 'Bougainville (UTC +11:00)'
    },
    {
        id: 'Australia/Lord_Howe',
        value: 'Lord Howe (UTC +11:00)',
        displayText: 'Lord Howe (UTC +11:00)'
    },
    {
        id: 'Australia/Melbourne',
        value: 'Melbourne (UTC +11:00)',
        displayText: 'Melbourne (UTC +11:00)'
    },
    {
        id: 'Pacific/Norfolk',
        value: 'Norfolk (UTC +11:00)',
        displayText: 'Norfolk (UTC +11:00)'
    },
    {
        id: 'Australia/Sydney',
        value: 'Sydney (UTC +11:00)',
        displayText: 'Sydney (UTC +11:00)'
    },
    {
        id: 'Antarctica/Casey',
        value: 'Casey (UTC +11:00)',
        displayText: 'Casey (UTC +11:00)'
    },
    {
        id: 'Pacific/Wake',
        value: 'Wake (UTC +12:00)',
        displayText: 'Wake (UTC +12:00)'
    },
    {
        id: 'Pacific/Tarawa',
        value: 'Tarawa (UTC +12:00)',
        displayText: 'Tarawa (UTC +12:00)'
    },
    {
        id: 'Pacific/Wallis',
        value: 'Wallis (UTC +12:00)',
        displayText: 'Wallis (UTC +12:00)'
    },
    {
        id: 'Pacific/Kwajalein',
        value: 'Kwajalein (UTC +12:00)',
        displayText: 'Kwajalein (UTC +12:00)'
    },
    {
        id: 'Pacific/Nauru',
        value: 'Nauru (UTC +12:00)',
        displayText: 'Nauru (UTC +12:00)'
    },
    {
        id: 'Pacific/Majuro',
        value: 'Majuro (UTC +12:00)',
        displayText: 'Majuro (UTC +12:00)'
    },
    {
        id: 'Pacific/Funafuti',
        value: 'Funafuti (UTC +12:00)',
        displayText: 'Funafuti (UTC +12:00)'
    },
    {
        id: 'Asia/Anadyr',
        value: 'Anadyr (UTC +12:00)',
        displayText: 'Anadyr (UTC +12:00)'
    },
    {
        id: 'Asia/Kamchatka',
        value: 'Kamchatka (UTC +12:00)',
        displayText: 'Kamchatka (UTC +12:00)'
    },
    {
        id: 'Pacific/Auckland',
        value: 'Auckland (UTC +13:00)',
        displayText: 'Auckland (UTC +13:00)'
    },
    {
        id: 'Pacific/Enderbury',
        value: 'Enderbury (UTC +13:00)',
        displayText: 'Enderbury (UTC +13:00)'
    },
    {
        id: 'Pacific/Fakaofo',
        value: 'Fakaofo (UTC +13:00)',
        displayText: 'Fakaofo (UTC +13:00)'
    },
    {
        id: 'Pacific/Fiji',
        value: 'Fiji (UTC +13:00)',
        displayText: 'Fiji (UTC +13:00)'
    },
    {
        id: 'Antarctica/McMurdo',
        value: 'McMurdo (UTC +13:00)',
        displayText: 'McMurdo (UTC +13:00)'
    },
    {
        id: 'Pacific/Chatham',
        value: 'Chatham (UTC +13:45)',
        displayText: 'Chatham (UTC +13:45)'
    },
    {
        id: 'Pacific/Apia',
        value: 'Apia (UTC +14:00)',
        displayText: 'Apia (UTC +14:00)'
    },
    {
        id: 'Pacific/Tongatapu',
        value: 'Tongatapu (UTC +14:00)',
        displayText: 'Tongatapu (UTC +14:00)'
    },
    {
        id: 'Pacific/Kiritimati',
        value: 'Kiritimati (UTC +14:00)',
        displayText: 'Kiritimati (UTC +14:00)'
    }
];

class TimezoneService {
    get timeZones() {
        return TIMEZONES;
    }
    static { this.ɵfac = function TimezoneService_Factory(t) { return new (t || TimezoneService)(); }; }
    static { this.ɵprov = /*@__PURE__*/ i0.ɵɵdefineInjectable({ token: TimezoneService, factory: TimezoneService.ɵfac, providedIn: 'root' }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TimezoneService, [{
        type: Injectable,
        args: [{
                providedIn: 'root'
            }]
    }], null, null); })();

/**
 * Generated bundle index. Do not edit.
 */

export { TIMEZONES, TimezoneService };
//# sourceMappingURL=ironsource-fusion-ui-services-timezone.mjs.map
