function getUniqueNumber() {
    const randomNumber = Math.random();
    const date = new Date();
    return Math.floor(date.getTime() * randomNumber * 10000);
}

function isArray(object) {
    return Array.isArray(object);
}
function isRegExp(object) {
    return object && typeof object === 'object' && object.constructor === RegExp;
}
function isDate(object) {
    return object instanceof Date && isFinite(+object);
}
function isError(object) {
    return object instanceof Error && typeof object.message !== 'undefined';
}
function isBoolean(object) {
    return typeof object === 'boolean';
}
function isFunction(object) {
    return typeof object === 'function';
}
function isNull(object) {
    return object === null;
}
function isNullOrUndefined(object) {
    return object === null || object === undefined;
}
function isNumber(object) {
    return typeof object === 'number';
}
function isObject(object) {
    return object !== null && typeof object === 'object';
}
function isPrimitive(object) {
    return (typeof object !== 'object' && typeof object !== 'function') || object === null;
}
function isString(object) {
    return typeof object === 'string';
}
function isSymbol(object) {
    return typeof object === 'symbol';
}
function isUndefined(object) {
    return object === undefined;
}

/**
 * compare between two dates object only by the actual date and not with time
 */
function isSameDates(date1, date2) {
    return getDateDayTime(date1) === getDateDayTime(date2);
}
/**
 * genereate UTC time without timestamp - only date
 */
function getDateDayTime(date) {
    return new Date(date).setHours(0, 0, 0, 0);
}
/**
 * checks string in format YYYY-MM-DD
 */
function isDateString(date) {
    return date.match(/^\d{4}-\d{2}-\d{2}/) !== null;
}
/**
 * checks string in format YYYY-MM-DD hh:mm:ss
 */
function isDateTimeString(date) {
    return date.match(/^\d{4}-\d{2}-\d{2} [0-2]\d:[0-5]\d:[0-5]\d$/) !== null;
}

// ---------------- Utils ----------------

/**
 * Generated bundle index. Do not edit.
 */

export { getDateDayTime, getUniqueNumber, isArray, isBoolean, isDate, isDateString, isDateTimeString, isError, isFunction, isNull, isNullOrUndefined, isNumber, isObject, isPrimitive, isRegExp, isSameDates, isString, isSymbol, isUndefined };
//# sourceMappingURL=ironsource-fusion-ui-utils.mjs.map
