import * as i0 from '@angular/core';
import { Component, Input, EventEmitter, ChangeDetectionStrategy, Optional, Inject, Output, ViewChild, HostBinding, NgModule } from '@angular/core';
import * as i11 from '@angular/forms';
import { FormControl, ReactiveFormsModule } from '@angular/forms';
import * as i2 from '@angular/common';
import { CommonModule } from '@angular/common';
import { BehaviorSubject, of, Subject, fromEvent, from, defer } from 'rxjs';
import { takeUntil, mergeMap, filter, debounceTime, tap } from 'rxjs/operators';
import { isNull, isNullOrUndefined, isBoolean, isUndefined } from '@ironsource/fusion-ui/utils';
import * as i1 from '@ironsource/fusion-ui/components/table/common/services';
import { TableService } from '@ironsource/fusion-ui/components/table/common/services';
export * from '@ironsource/fusion-ui/components/table/common/services';
import * as i2$2 from '@ironsource/fusion-ui/services/unique-id';
import { TableRowHeight, DEFAULT_REMOVE_ICON_V3, CELL_PADDING, DEFAULT_REMOVE_TOOLTIP_TEXT, TABLE_OPTIONS_TOKEN, TableRowClassesEnum, ROW_HOVERED_CLASS_NAME, TableColumnTypeEnum, CONFIG_TABLE_BY_UI_STYLE, ROW_CLICK_SUPPRESS_FOR_PARENT_SELECTORS, TABLE_OPTIONS_DEFAULT_VALUES } from '@ironsource/fusion-ui/components/table/common/entities';
export * from '@ironsource/fusion-ui/components/table/common/entities';
import { TableTestIdModifiers } from '@ironsource/fusion-ui/entities';
import { TestIdsService } from '@ironsource/fusion-ui/services/test-ids';
import * as i3$1 from '@ironsource/fusion-ui/directives/load-more';
import { LoadMoreModule } from '@ironsource/fusion-ui/directives/load-more';
import * as i3 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import * as i8 from '@ironsource/fusion-ui/components/tooltip/v3';
import { TooltipModule } from '@ironsource/fusion-ui/components/tooltip/v3';
import '@ironsource/fusion-ui/components/input-inline/v2';
import { ERROR_MESSAGES } from '@ironsource/fusion-ui/components/error-message';
import * as i2$1 from '@ironsource/fusion-ui/services/log';
import { TooltipPosition } from '@ironsource/fusion-ui/components/tooltip/common/base';
import * as i5 from '@ironsource/fusion-ui/components/input-inline/v3';
import { InputInlineComponent } from '@ironsource/fusion-ui/components/input-inline/v3';
import * as i6 from '@ironsource/fusion-ui/components/checkbox/v2';
import { CheckboxModule } from '@ironsource/fusion-ui/components/checkbox/v2';
import * as i7 from '@ironsource/fusion-ui/components/dynamic-components/v1';
import { DynamicComponentsModule } from '@ironsource/fusion-ui/components/dynamic-components/v1';
import * as i9 from '@ironsource/fusion-ui/components/toggle/v2';
import { ToggleModule } from '@ironsource/fusion-ui/components/toggle/v2';
import * as i10 from '@ironsource/fusion-ui/directives/click-outside';
import { ClickOutsideModule } from '@ironsource/fusion-ui/directives/click-outside';
import * as i12 from '@ironsource/fusion-ui/components/button/v3';
import { ButtonModule } from '@ironsource/fusion-ui/components/button/v3';
import * as i13 from '@ironsource/fusion-ui/components/menu-drop';
import { MenuDropComponent } from '@ironsource/fusion-ui/components/menu-drop';
import * as i14 from '@ironsource/fusion-ui/directives/reposition';
import { RepositionDirective } from '@ironsource/fusion-ui/directives/reposition';
import * as i15 from '@ironsource/fusion-ui/directives/teleporting';
import { TeleportingModule } from '@ironsource/fusion-ui/directives/teleporting';
import * as i16 from '@ironsource/fusion-ui/pipes/not-available';
import { NotAvailablePipe } from '@ironsource/fusion-ui/pipes/not-available';
import * as i6$1 from '@ironsource/fusion-ui/pipes/generic';
import { GenericPipe } from '@ironsource/fusion-ui/pipes/generic';
import * as i6$2 from '@ironsource/fusion-ui/components/multi-dropdown/v2';
import { MultiDropdownModule } from '@ironsource/fusion-ui/components/multi-dropdown/v2';
import * as i9$1 from '@ironsource/fusion-ui/components/search';
import { SearchComponent } from '@ironsource/fusion-ui/components/search';
import * as i1$1 from '@angular/platform-browser';
import { InputModule } from '@ironsource/fusion-ui/components/input/v3';
import { LoaderModule } from '@ironsource/fusion-ui/components/loader/v2';
import { LoaderInlineModule } from '@ironsource/fusion-ui/components/loader-inline/v2';
import { DropdownModule } from '@ironsource/fusion-ui/components/dropdown/v3';
import { ErrorMessageModule } from '@ironsource/fusion-ui/components/error-message/v3';

const _c0$7 = ["fusionTableLoading", ""];
function TableLoadingComponent_ng_container_0_td_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "td", 2)(1, "div");
    i0.ɵɵtext(2, "\u00A0");
    i0.ɵɵelementEnd()();
} }
function TableLoadingComponent_ng_container_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, TableLoadingComponent_ng_container_0_td_1_Template, 3, 0, "td", 1);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngForOf", ctx_r0.colsToShow);
} }
function TableLoadingComponent_ng_container_1_tr_1_td_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "td", 5)(1, "div");
    i0.ɵɵtext(2, "\u00A0");
    i0.ɵɵelementEnd()();
} }
function TableLoadingComponent_ng_container_1_tr_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "tr");
    i0.ɵɵtemplate(1, TableLoadingComponent_ng_container_1_tr_1_td_1_Template, 3, 0, "td", 4);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r4 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngForOf", ctx_r4.colsToShow);
} }
function TableLoadingComponent_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, TableLoadingComponent_ng_container_1_tr_1_Template, 2, 1, "tr", 3);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngForOf", ctx_r1.rowsToShow);
} }
class TableLoadingComponent {
    constructor() {
        this.fusionTableLoadingExpanding = false;
    }
    get rowsToShow() {
        return [...Array(3).keys()];
    }
    get colsToShow() {
        return [...Array(this.fusionTableLoading ?? 1).keys()];
    }
    static { this.ɵfac = function TableLoadingComponent_Factory(t) { return new (t || TableLoadingComponent)(); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: TableLoadingComponent, selectors: [["", "fusionTableLoading", ""]], inputs: { fusionTableLoading: "fusionTableLoading", fusionTableLoadingExpanding: "fusionTableLoadingExpanding" }, attrs: _c0$7, decls: 2, vars: 2, consts: [[4, "ngIf"], ["class", "fu-table-cell-loading fu-expanding-loader", 4, "ngFor", "ngForOf"], [1, "fu-table-cell-loading", "fu-expanding-loader"], [4, "ngFor", "ngForOf"], ["class", "fu-table-cell-loading", 4, "ngFor", "ngForOf"], [1, "fu-table-cell-loading"]], template: function TableLoadingComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵtemplate(0, TableLoadingComponent_ng_container_0_Template, 2, 1, "ng-container", 0)(1, TableLoadingComponent_ng_container_1_Template, 2, 1, "ng-container", 0);
        } if (rf & 2) {
            i0.ɵɵproperty("ngIf", ctx.fusionTableLoadingExpanding);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", !ctx.fusionTableLoadingExpanding);
        } }, dependencies: [i2.NgForOf, i2.NgIf], styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6[_ngcontent-%COMP%], .font-heading-5[_ngcontent-%COMP%], .font-heading-4[_ngcontent-%COMP%], .font-heading-3[_ngcontent-%COMP%], .font-heading-2[_ngcontent-%COMP%], .font-heading-1[_ngcontent-%COMP%]{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1[_ngcontent-%COMP%]{font-size:60px}.font-heading-2[_ngcontent-%COMP%]{font-size:32px}.font-heading-3[_ngcontent-%COMP%]{font-size:22px}.font-heading-4[_ngcontent-%COMP%]{font-size:18px}.font-heading-5[_ngcontent-%COMP%]{font-size:15px}.font-heading-6[_ngcontent-%COMP%]{font-size:13px}.font-heading-label[_ngcontent-%COMP%]{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}.font-caption[_ngcontent-%COMP%], .font-bodyXSmall[_ngcontent-%COMP%], .font-bodySmall[_ngcontent-%COMP%], .font-bodyMedium[_ngcontent-%COMP%], .font-bodyLarge[_ngcontent-%COMP%]{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong[_ngcontent-%COMP%], .font-bodySmallStrong[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-size:16px}.font-bodyMedium[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%]{font-size:14px}.font-bodySmall[_ngcontent-%COMP%], .font-bodySmallStrong[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}.font-bodyXSmall[_ngcontent-%COMP%], .font-bodyXSmallStrong[_ngcontent-%COMP%]{font-size:12px;letter-spacing:.24px}.font-caption[_ngcontent-%COMP%]{font-size:11px}@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}[_nghost-%COMP%]   .fu-table-cell-loading[_ngcontent-%COMP%]{height:48px;padding:0 16px;border-bottom:solid 1px var(--fu-light-400, #DDDFE1)}[_nghost-%COMP%]   .fu-table-cell-loading[_ngcontent-%COMP%]   div[_ngcontent-%COMP%]{width:100%;height:16px;border-radius:8px;animation:_ngcontent-%COMP%_shine-animation 1s linear infinite alternate}@keyframes _ngcontent-%COMP%_shine-animation{0%{background-color:#e5e7e9}to{background-color:#f1f3f4}}[_nghost-%COMP%]   .fu-table-cell-loading.fu-expanding-loader[_ngcontent-%COMP%]:first-of-type   div[_ngcontent-%COMP%]{display:none}"] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TableLoadingComponent, [{
        type: Component,
        args: [{ selector: '[fusionTableLoading]', template: "<ng-container *ngIf=\"fusionTableLoadingExpanding\">\n    <td class=\"fu-table-cell-loading fu-expanding-loader\" *ngFor=\"let c of colsToShow\"><div>&nbsp;</div></td>\n</ng-container>\n<ng-container *ngIf=\"!fusionTableLoadingExpanding\">\n    <tr *ngFor=\"let r of rowsToShow\">\n        <td class=\"fu-table-cell-loading\" *ngFor=\"let c of colsToShow\"><div>&nbsp;</div></td>\n    </tr>\n</ng-container>\n", styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6,.font-heading-5,.font-heading-4,.font-heading-3,.font-heading-2,.font-heading-1{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1{font-size:60px}.font-heading-2{font-size:32px}.font-heading-3{font-size:22px}.font-heading-4{font-size:18px}.font-heading-5{font-size:15px}.font-heading-6{font-size:13px}.font-heading-label{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}.font-caption,.font-bodyXSmall,.font-bodySmall,.font-bodyMedium,.font-bodyLarge{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong,.font-bodySmallStrong,.font-bodyMediumStrong,.font-bodyLargeStrong{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge,.font-bodyLargeStrong{font-size:16px}.font-bodyMedium,.font-bodyMediumStrong{font-size:14px}.font-bodySmall,.font-bodySmallStrong{font-size:13px;letter-spacing:.24px}.font-bodyXSmall,.font-bodyXSmallStrong{font-size:12px;letter-spacing:.24px}.font-caption{font-size:11px}@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}:host .fu-table-cell-loading{height:48px;padding:0 16px;border-bottom:solid 1px var(--fu-light-400, #DDDFE1)}:host .fu-table-cell-loading div{width:100%;height:16px;border-radius:8px;animation:shine-animation 1s linear infinite alternate}@keyframes shine-animation{0%{background-color:#e5e7e9}to{background-color:#f1f3f4}}:host .fu-table-cell-loading.fu-expanding-loader:first-of-type div{display:none}\n"] }]
    }], null, { fusionTableLoading: [{
            type: Input
        }], fusionTableLoadingExpanding: [{
            type: Input
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(TableLoadingComponent, { className: "TableLoadingComponent", filePath: "components/table-loading/table-loading.component.ts", lineNumber: 9 }); })();

const _c0$6 = ["inlineInput"];
const _c1$4 = ["fusionTableCell", ""];
function TableCellComponent_ng_container_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "div", 5);
    i0.ɵɵtext(2);
    i0.ɵɵpipe(3, "notAvailable");
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵstyleProp("width", ctx_r0.innerElementWidth);
    i0.ɵɵproperty("ngClass", ctx_r0.column.align)("fusionTooltip", ctx_r0.cellStringData);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", i0.ɵɵpipeBind2(3, 5, ctx_r0.cellStringData, ctx_r0.notAvailableText), " ");
} }
function TableCellComponent_ng_template_1_div_0_Template(rf, ctx) { if (rf & 1) {
    const _r17 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 11)(1, "fusion-checkbox", 12);
    i0.ɵɵlistener("changed", function TableCellComponent_ng_template_1_div_0_Template_fusion_checkbox_changed_1_listener($event) { i0.ɵɵrestoreView(_r17); const ctx_r16 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r16.selectedChange.emit($event)); });
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const ctx_r8 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵproperty("checked", ctx_r8.isRowChecked())("name", "row_" + ctx_r8.position.x);
} }
function TableCellComponent_ng_template_1_div_1_Template(rf, ctx) { if (rf & 1) {
    const _r19 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div")(1, "fusion-toggle", 13);
    i0.ɵɵlistener("modelChange", function TableCellComponent_ng_template_1_div_1_Template_fusion_toggle_modelChange_1_listener($event) { i0.ɵɵrestoreView(_r19); const ctx_r18 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r18.onToggleChanged($event)); });
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const ctx_r9 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵproperty("model", ctx_r9.data)("isDisabled", ctx_r9.isReadOnly);
} }
function TableCellComponent_ng_template_1_div_2_fusion_input_inline_1_Template(rf, ctx) { if (rf & 1) {
    const _r25 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-input-inline", 17, 18);
    i0.ɵɵlistener("onSave", function TableCellComponent_ng_template_1_div_2_fusion_input_inline_1_Template_fusion_input_inline_onSave_0_listener($event) { i0.ɵɵrestoreView(_r25); const ctx_r24 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r24.onEndEdit($event)); })("onCancel", function TableCellComponent_ng_template_1_div_2_fusion_input_inline_1_Template_fusion_input_inline_onCancel_0_listener() { i0.ɵɵrestoreView(_r25); const ctx_r26 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r26.onCancel()); });
    i0.ɵɵpipe(2, "async");
    i0.ɵɵpipe(3, "async");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r20 = i0.ɵɵnextContext(3);
    i0.ɵɵproperty("type", ctx_r20.column.inputType)("textClass", ctx_r20.customClass && ctx_r20.customClass[ctx_r20.column.key])("formControl", ctx_r20.data)("loading", i0.ɵɵpipeBind1(2, 7, ctx_r20.isInRequest$))("error", i0.ɵɵpipeBind1(3, 9, ctx_r20.inputError$))("readOnly", ctx_r20.isReadOnly)("currencyPipeParameters", ctx_r20.column == null ? null : ctx_r20.column.currencyPipeParameters);
} }
function TableCellComponent_ng_template_1_div_2_ng_template_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtext(0, "\u00A0");
} }
function TableCellComponent_ng_template_1_div_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 14);
    i0.ɵɵtemplate(1, TableCellComponent_ng_template_1_div_2_fusion_input_inline_1_Template, 4, 11, "fusion-input-inline", 15)(2, TableCellComponent_ng_template_1_div_2_ng_template_2_Template, 1, 0, "ng-template", null, 16, i0.ɵɵtemplateRefExtractor);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _r22 = i0.ɵɵreference(3);
    const ctx_r10 = i0.ɵɵnextContext(2);
    i0.ɵɵstyleProp("min-width", "calc(" + ctx_r10.column.width + " - 1px)");
    i0.ɵɵproperty("ngClass", ctx_r10.column.align);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", !ctx_r10.isRowTotal)("ngIfElse", _r22);
} }
function TableCellComponent_ng_template_1_fusion_dynamic_components_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-dynamic-components", 19);
} if (rf & 2) {
    const ctx_r11 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("configuration", ctx_r11.customCellData);
} }
function TableCellComponent_ng_template_1_div_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 5);
    i0.ɵɵpipe(1, "currency");
    i0.ɵɵtext(2);
    i0.ɵɵpipe(3, "currency");
    i0.ɵɵpipe(4, "notAvailable");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r12 = i0.ɵɵnextContext(2);
    i0.ɵɵstyleProp("width", ctx_r12.innerElementWidth);
    i0.ɵɵproperty("ngClass", ctx_r12.column.align || "right")("fusionTooltip", i0.ɵɵpipeBind2(1, 5, ctx_r12.data, "USD"));
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate1(" ", !ctx_r12.isNull(ctx_r12.data) ? i0.ɵɵpipeBind4(3, 8, ctx_r12.data, (ctx_r12.column == null ? null : ctx_r12.column.currencyPipeParameters == null ? null : ctx_r12.column.currencyPipeParameters.currencyCode) || undefined, (ctx_r12.column == null ? null : ctx_r12.column.currencyPipeParameters == null ? null : ctx_r12.column.currencyPipeParameters.display) || ((ctx_r12.column == null ? null : ctx_r12.column.currencyPipeParameters) ? undefined : "$"), (ctx_r12.column == null ? null : ctx_r12.column.currencyPipeParameters == null ? null : ctx_r12.column.currencyPipeParameters.digitsInfo) || undefined) : i0.ɵɵpipeBind2(4, 13, ctx_r12.data, ctx_r12.notAvailableText), " ");
} }
function TableCellComponent_ng_template_1_div_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 5);
    i0.ɵɵpipe(1, "number");
    i0.ɵɵtext(2);
    i0.ɵɵpipe(3, "number");
    i0.ɵɵpipe(4, "notAvailable");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r13 = i0.ɵɵnextContext(2);
    i0.ɵɵstyleProp("width", ctx_r13.innerElementWidth);
    i0.ɵɵproperty("ngClass", ctx_r13.column.align || "right")("fusionTooltip", i0.ɵɵpipeBind2(1, 5, ctx_r13.data, ctx_r13.column.pipeOptions));
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate1(" ", !ctx_r13.isNull(ctx_r13.data) ? i0.ɵɵpipeBind2(3, 8, ctx_r13.data, ctx_r13.column.pipeOptions) : i0.ɵɵpipeBind2(4, 11, ctx_r13.data, ctx_r13.notAvailableText), " ");
} }
function TableCellComponent_ng_template_1_div_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 5);
    i0.ɵɵpipe(1, "number");
    i0.ɵɵtext(2);
    i0.ɵɵpipe(3, "number");
    i0.ɵɵpipe(4, "notAvailable");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r14 = i0.ɵɵnextContext(2);
    i0.ɵɵstyleProp("width", ctx_r14.innerElementWidth);
    i0.ɵɵpropertyInterpolate1("fusionTooltip", "", i0.ɵɵpipeBind2(1, 6, ctx_r14.data, ctx_r14.column.pipeOptions), " %");
    i0.ɵɵproperty("ngClass", ctx_r14.column.align || "right");
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate2(" ", !ctx_r14.isNull(ctx_r14.data) ? i0.ɵɵpipeBind2(3, 9, ctx_r14.data, ctx_r14.column.pipeOptions) : i0.ɵɵpipeBind2(4, 12, ctx_r14.data, ctx_r14.notAvailableText), " ", !ctx_r14.isNullOrUndefined(ctx_r14.data) ? "%" : null, " ");
} }
function TableCellComponent_ng_template_1_div_7_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 20);
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "date");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r15 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", ctx_r15.data ? ctx_r15.isAsDate(ctx_r15.data) ? i0.ɵɵpipeBind3(2, 1, ctx_r15.data, ctx_r15.getDateFormat(ctx_r15.column.dateFormat), ctx_r15.getDateUTCFormat(ctx_r15.column.ignoreTimeZone)) : ctx_r15.data : !ctx_r15.isRowTotal ? "No " + ctx_r15.column.title : "", " ");
} }
function TableCellComponent_ng_template_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtemplate(0, TableCellComponent_ng_template_1_div_0_Template, 2, 2, "div", 6)(1, TableCellComponent_ng_template_1_div_1_Template, 2, 2, "div", 2)(2, TableCellComponent_ng_template_1_div_2_Template, 4, 5, "div", 7)(3, TableCellComponent_ng_template_1_fusion_dynamic_components_3_Template, 1, 1, "fusion-dynamic-components", 8)(4, TableCellComponent_ng_template_1_div_4_Template, 5, 16, "div", 9)(5, TableCellComponent_ng_template_1_div_5_Template, 5, 14, "div", 9)(6, TableCellComponent_ng_template_1_div_6_Template, 5, 15, "div", 9)(7, TableCellComponent_ng_template_1_div_7_Template, 3, 5, "div", 10);
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵproperty("ngIf", ctx_r1.tableService.isTypeCheckbox(ctx_r1.column) && ctx_r1.isBoolean(ctx_r1.data));
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r1.tableService.isTypeToggleButton(ctx_r1.column) && ctx_r1.isBoolean(ctx_r1.data));
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r1.tableService.isTypeInputEdit(ctx_r1.column) && ctx_r1.data);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r1.tableService.isTypeComponent(ctx_r1.column));
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r1.tableService.isTypeCurrency(ctx_r1.column));
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r1.tableService.isTypeNumber(ctx_r1.column));
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r1.tableService.isTypePercent(ctx_r1.column));
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r1.tableService.isTypeDate(ctx_r1.column));
} }
function TableCellComponent_ng_container_3_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0, 23);
} if (rf & 2) {
    i0.ɵɵnextContext(2);
    const _r5 = i0.ɵɵreference(5);
    i0.ɵɵproperty("ngTemplateOutlet", _r5);
} }
const _c2$2 = a0 => ({ $implicit: a0 });
function TableCellComponent_ng_container_3_ng_container_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0, 24);
} if (rf & 2) {
    const rowActions_r29 = ctx.ngIf;
    i0.ɵɵnextContext(2);
    const _r7 = i0.ɵɵreference(7);
    i0.ɵɵproperty("ngTemplateOutlet", _r7)("ngTemplateOutletContext", i0.ɵɵpureFunction1(2, _c2$2, rowActions_r29.actions));
} }
function TableCellComponent_ng_container_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, TableCellComponent_ng_container_3_ng_container_1_Template, 1, 1, "ng-container", 21)(2, TableCellComponent_ng_container_3_ng_container_2_Template, 1, 4, "ng-container", 22);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r3.isRemove && !ctx_r3.isReadOnly);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r3.multipleActions);
} }
function TableCellComponent_ng_template_4_Template(rf, ctx) { if (rf & 1) {
    const _r31 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 25);
    i0.ɵɵlistener("click", function TableCellComponent_ng_template_4_Template_div_click_0_listener($event) { i0.ɵɵrestoreView(_r31); const ctx_r30 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r30.onRowRemoveClicked($event)); });
    i0.ɵɵelement(1, "fusion-icon", 26);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r4 = i0.ɵɵnextContext();
    i0.ɵɵproperty("fusionTooltip", ctx_r4.getRemoveIconTooltipText());
    i0.ɵɵadvance();
    i0.ɵɵproperty("name", ctx_r4.cellRemoveActionIcon);
} }
const _c3$1 = a0 => ({ y: a0 });
function TableCellComponent_ng_template_6_ng_container_2_fusion_menu_drop_1_Template(rf, ctx) { if (rf & 1) {
    const _r36 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-menu-drop", 30);
    i0.ɵɵlistener("fusionClickOutside", function TableCellComponent_ng_template_6_ng_container_2_fusion_menu_drop_1_Template_fusion_menu_drop_fusionClickOutside_0_listener($event) { i0.ɵɵrestoreView(_r36); const ctx_r35 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r35.onActionMenuClickOutSide($event)); })("menuItemClicked", function TableCellComponent_ng_template_6_ng_container_2_fusion_menu_drop_1_Template_fusion_menu_drop_menuItemClicked_0_listener($event) { i0.ɵɵrestoreView(_r36); const ctx_r37 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r37.menuItemClicked($event)); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const menuActions_r32 = i0.ɵɵnextContext(2).$implicit;
    const ctx_r34 = i0.ɵɵnextContext();
    i0.ɵɵproperty("fusionReposition", "#" + ctx_r34.actionsMenuButtonId)("fusionRepositionPlacement", ctx_r34.floatingMenuPosition)("fusionRepositionOffset", i0.ɵɵpureFunction1(4, _c3$1, -32))("menuItems", menuActions_r32);
} }
function TableCellComponent_ng_template_6_ng_container_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, TableCellComponent_ng_template_6_ng_container_2_fusion_menu_drop_1_Template, 1, 6, "fusion-menu-drop", 29);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r33 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵproperty("fusionTeleporting", "#" + ctx_r33.options.tableId + "_tableTeleportWrapper");
} }
function TableCellComponent_ng_template_6_Template(rf, ctx) { if (rf & 1) {
    const _r40 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 27)(1, "fusion-button", 28);
    i0.ɵɵlistener("click", function TableCellComponent_ng_template_6_Template_fusion_button_click_1_listener() { i0.ɵɵrestoreView(_r40); const ctx_r39 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r39.onActionButtonClicked()); });
    i0.ɵɵelementEnd()();
    i0.ɵɵtemplate(2, TableCellComponent_ng_template_6_ng_container_2_Template, 2, 1, "ng-container", 2);
} if (rf & 2) {
    const ctx_r6 = i0.ɵɵnextContext();
    i0.ɵɵclassProp("fu-row-menu-shown", ctx_r6.shownActionsMenu);
    i0.ɵɵpropertyInterpolate("id", ctx_r6.actionsMenuButtonId);
    i0.ɵɵadvance();
    i0.ɵɵproperty("icon", "more-vert");
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r6.shownActionsMenu);
} }
class TableCellComponent {
    set data(value) {
        this._data = value;
    }
    get isCellEditable() {
        return this.tableService.isTypeInputEdit(this.column);
    }
    get sticky() {
        return this.column.sticky;
    }
    get stickyLeft() {
        return this.column.stickyLeftMargin;
    }
    get actionsMenuButtonId() {
        return this.options.tableId + '_' + this.rowIndex;
    }
    get data() {
        let data = this._data;
        if (Array.isArray(data)) {
            data = data[this.rowSpanIndex ?? 0];
        }
        if (!isNull(data) && this.tableService.isTypeComponent(this.column) && typeof data === 'object') {
            data['cellPosition'] = this.position;
        }
        return data;
    }
    get cellStringData() {
        if (typeof this.data === 'string' || typeof this.data === 'number') {
            return this.data;
        }
        else if (this.isRowTotal && !isNullOrUndefined(this.data)) {
            this.logService.error(new Error(`Expected data type String for cell in total row with type "totalRowTypeAsString" for column key:${this.column.key}`));
            return ' ';
        }
        else if (this.isRowTotal && isNullOrUndefined(this.data)) {
            return ' '; // for total row cell as string if data not arrive
        }
        return isNull(this.data) ? null : undefined;
    }
    get isRowTotal() {
        return !isNullOrUndefined(this.options.hasTotalsRow) && this.options.hasTotalsRow && this.position.x === 0;
    }
    get isSmallActionButton() {
        return !!this.options && !!this.options.rowHeight && this.options.rowHeight === TableRowHeight.Small;
    }
    get nativeElement() {
        return this.column && typeof this.column.renderNativeElement === 'function'
            ? this.column.renderNativeElement(this.data, this.position, this.row)
            : null;
    }
    get cellRemoveActionIcon() {
        return this.options?.remove && this.options.remove?.icon ? this.options.remove.icon : DEFAULT_REMOVE_ICON_V3;
    }
    get multipleActions() {
        const actionsMenu = this.options?.rowActionsMenu;
        if (this.options?.rowActionsMenu && Array.isArray(this.options?.rowActionsMenu.actions)) {
            actionsMenu.actions = this.options?.rowActionsMenu?.actions.map(this.setDisableStateForFloatingAction.bind(this));
        }
        return actionsMenu;
    }
    constructor(tableService, tableModuleOptions, logService) {
        this.tableService = tableService;
        this.tableModuleOptions = tableModuleOptions;
        this.logService = logService;
        this.options = null;
        this.customClass = {};
        this.selectedChange = new EventEmitter();
        this.dataChange = new EventEmitter();
        this.remove = new EventEmitter();
        this.cellBorders = true;
        this.isInlineRemovable = false;
        this.isInRequest$ = new BehaviorSubject(false);
        this.cellLRPadding = CELL_PADDING;
        this.innerElementWidth = '';
        this.isInEditMode = false;
        this.inputError$ = new BehaviorSubject('');
        this.isNull = isNull;
        this.isNullOrUndefined = isNullOrUndefined;
        this.floatingMenuPosition = TooltipPosition.BottomRight;
        this.shownActionsMenu = false;
        this.inlineInputViewOnlyText = '';
    }
    ngOnInit() {
        this.cellBorders =
            isNullOrUndefined(this.options.cellBorders) || this.tableService.isTypeCheckbox(this.column) ? true : this.options.cellBorders;
        this.innerElementWidth = this.column.width ? `calc(${this.column.width} - ${this.cellLRPadding})` : '';
        this.notAvailableText = this.options ? this.options.notAvailableText : null;
    }
    ngOnChanges(changes) {
        this.isInlineRemovable = this.isRemove;
        if (this.tableService.isTypeInputEdit(this.column) && changes?.data?.currentValue && !changes.data.firstChange) {
            this._setInputData();
        }
        if (this.tableService.isTypeComponent(this.column) && (changes?.data?.currentValue || changes?.column?.currentValue)) {
            this.renderCustomElement();
        }
        if (changes?.data?.firstChange && changes?.data?.currentValue?.value?.viewOnlyText) {
            this.inlineInputViewOnlyText = changes.data.currentValue.value.viewOnlyText;
        }
    }
    _setInputData() {
        this.initInputData = !isNullOrUndefined(this.column.dataParser)
            ? this.column.dataParser(this.data.value)
            : this.data.value;
    }
    getRemoveIconTooltipText() {
        return this.options && this.options.remove && this.options.remove.tooltip && this.options.remove.tooltip.text
            ? this.options.remove.tooltip.text
            : DEFAULT_REMOVE_TOOLTIP_TEXT;
    }
    isBoolean(variable) {
        return isBoolean(variable);
    }
    isRowChecked() {
        return this.options.isGroupedTable ? this.data : this.isRowSelected;
    }
    isAsDate(date) {
        return !isNaN(Date.parse(date.toString()));
    }
    onToggleChanged(newValue) {
        // set waiter for cell
        this.isInRequest$.next(true);
        this.dataChange.emit({
            newValue,
            onCellRequestDone: (isSuccess, error, stayInEditMode = false) => {
                if (isSuccess) {
                    this.data = newValue;
                }
                else {
                    this.data = !newValue;
                }
                this.isInRequest$.next(false);
            }
        });
    }
    onEndEdit(valuesOptions) {
        const formControl = this.data;
        if (formControl.valid) {
            this.isInEditMode = false;
            const newValue = !isNullOrUndefined(this.column.dataParser) ? this.column.dataParser(formControl.value) : formControl.value;
            const prevValue = valuesOptions.currentValue;
            const inlineInputComponent = this.inlineInputEdit;
            if (newValue !== this.initInputData) {
                this.initInputData = newValue;
                // set waiter for cell
                this.isInRequest$.next(true);
                this.dataChange.emit({
                    newValue,
                    prevValue,
                    onCellRequestDone: (isSuccess, error, stayInEditMode = false) => {
                        if (!isSuccess) {
                            if (stayInEditMode) {
                                inlineInputComponent.setEditMode$.next(newValue);
                            }
                            else {
                                this.inputError$.next(error && error.message);
                            }
                            this.initInputData = prevValue;
                        }
                        else if (this.initInputData === '') {
                            this.inputError$.next('');
                            this.initInputData = formControl.value;
                        }
                        else {
                            this.inputError$.next('');
                            const newInputValue = this.inlineInputViewOnlyText
                                ? {
                                    value: newValue,
                                    viewOnlyText: this.inlineInputViewOnlyText
                                }
                                : newValue;
                            formControl.setValue(newInputValue, {
                                emitEvent: false
                            });
                        }
                        this.isInRequest$.next(false);
                    }
                });
            }
        }
        else {
            const allErrors = formControl.errors || {};
            Object.keys(allErrors).forEach(errorKey => {
                this.inputError$.next(this._getMessage(errorKey, !isNullOrUndefined(this.column.customErrorMapping) ? this.column.customErrorMapping[errorKey] ?? {} : {}, allErrors[errorKey]));
            });
        }
    }
    onCancel() {
        this.inputError$.next('');
        this.isInEditMode = false;
    }
    onRowRemoveClicked($event) {
        if ($event) {
            $event.preventDefault();
            $event.stopPropagation();
        }
        this.remove.emit();
    }
    getDateFormat(dateFormat) {
        return dateFormat || 'd MMM yyyy';
    }
    getDateUTCFormat(ignoreTimeZone) {
        return ignoreTimeZone ? null : 'UTC';
    }
    renderCustomElement() {
        if (this.column) {
            this.customCellData = {
                component: {
                    type: this.column.component,
                    data: this.data
                },
                element: this.nativeElement
            };
        }
    }
    menuItemClicked(action) {
        this.shownActionsMenu = false;
        this.tableService.rowActionClicked.emit({ action: action, rowIndex: this.rowIndex, row: this.row });
    }
    onActionButtonClicked() {
        this.shownActionsMenu = true;
    }
    onActionMenuClickOutSide(target) {
        if (!target.closest('#' + this.actionsMenuButtonId)) {
            this.shownActionsMenu = false;
        }
    }
    _getMessage(errorKey, { errorMessageKey = '', textMapping = [] }, errorDefaults) {
        const tableModuleOptions = !isNullOrUndefined(this.tableModuleOptions) ? this.tableModuleOptions : { errorMessages: ERROR_MESSAGES };
        if (!tableModuleOptions.errorMessages) {
            tableModuleOptions.errorMessages = ERROR_MESSAGES;
        }
        let errorMessage = tableModuleOptions.errorMessages[errorMessageKey] || tableModuleOptions.errorMessages[errorKey];
        if (errorMessage) {
            errorMessage = errorMessage.replace('{NAME}', this.column.title);
            errorMessage = errorMessage.replace('{INNER-NAME}', this.column.title);
            if (textMapping && textMapping.length > 0) {
                textMapping.forEach(mappObj => {
                    errorMessage = errorMessage.replace(`{${mappObj.key}}`, mappObj.value);
                });
            }
        }
        return errorMessage;
    }
    setDisableStateForFloatingAction(menuItem) {
        return this.options?.isFloatingActionDisabled && typeof this.options?.isFloatingActionDisabled === 'function'
            ? { ...menuItem, disabled: this.options.isFloatingActionDisabled(this.row, menuItem) }
            : menuItem;
    }
    static { this.ɵfac = function TableCellComponent_Factory(t) { return new (t || TableCellComponent)(i0.ɵɵdirectiveInject(i1.TableService), i0.ɵɵdirectiveInject(TABLE_OPTIONS_TOKEN, 8), i0.ɵɵdirectiveInject(i2$1.LogService)); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: TableCellComponent, selectors: [["", "fusionTableCell", ""]], viewQuery: function TableCellComponent_Query(rf, ctx) { if (rf & 1) {
            i0.ɵɵviewQuery(_c0$6, 5);
        } if (rf & 2) {
            let _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.inlineInputEdit = _t.first);
        } }, hostVars: 10, hostBindings: function TableCellComponent_HostBindings(rf, ctx) { if (rf & 2) {
            i0.ɵɵstyleProp("left", ctx.stickyLeft);
            i0.ɵɵclassProp("cell-borders", ctx.cellBorders)("is-inline-removable", ctx.isInlineRemovable)("is-editable", ctx.isCellEditable)("sticky-left", ctx.sticky);
        } }, inputs: { data: "data", column: "column", row: "row", rowIndex: "rowIndex", rowSpanIndex: "rowSpanIndex", options: "options", position: "position", infoIconTooltip: "infoIconTooltip", isRemove: "isRemove", floatingActionsDisabled: "floatingActionsDisabled", isRowSelected: "isRowSelected", isLastColumn: "isLastColumn", customClass: "customClass", isReadOnly: "isReadOnly" }, outputs: { selectedChange: "selectedChange", dataChange: "dataChange", remove: "remove" }, features: [i0.ɵɵNgOnChangesFeature], attrs: _c1$4, decls: 8, vars: 3, consts: [[4, "ngIf", "ngIfElse"], ["notStringColumnType", ""], [4, "ngIf"], ["removeActionButton", ""], ["multipleActionsMenu", ""], [1, "truncate", "centerVertical", 3, "ngClass", "fusionTooltip"], ["class", "checkbox-cell", 4, "ngIf"], ["class", "inputType", 3, "min-width", "ngClass", 4, "ngIf"], [3, "configuration", 4, "ngIf"], ["class", "truncate centerVertical", 3, "ngClass", "width", "fusionTooltip", 4, "ngIf"], ["class", "truncate centerVertical", 4, "ngIf"], [1, "checkbox-cell"], ["title", "select / un-select row", 1, "is-regular", 3, "checked", "name", "changed"], ["size", "small", "customCheckedBackgroundColor", "#3083FF", 3, "model", "isDisabled", "modelChange"], [1, "inputType", 3, "ngClass"], [3, "type", "textClass", "formControl", "loading", "error", "readOnly", "currencyPipeParameters", "onSave", "onCancel", 4, "ngIf", "ngIfElse"], ["noEditCell", ""], [3, "type", "textClass", "formControl", "loading", "error", "readOnly", "currencyPipeParameters", "onSave", "onCancel"], ["inlineInput", ""], [3, "configuration"], [1, "truncate", "centerVertical"], [3, "ngTemplateOutlet", 4, "ngIf"], [3, "ngTemplateOutlet", "ngTemplateOutletContext", 4, "ngIf"], [3, "ngTemplateOutlet"], [3, "ngTemplateOutlet", "ngTemplateOutletContext"], [1, "fu-cell-action-button", 3, "fusionTooltip", "click"], [1, "fu-table-action-icon", 3, "name"], [1, "fu-button-holder", 3, "id"], [1, "transparent", "third", "fu-menu-drop-button", 3, "icon", "click"], [3, "fusionReposition", "fusionRepositionPlacement", "fusionRepositionOffset", "menuItems", "fusionClickOutside", "menuItemClicked", 4, "fusionTeleporting"], [3, "fusionReposition", "fusionRepositionPlacement", "fusionRepositionOffset", "menuItems", "fusionClickOutside", "menuItemClicked"]], template: function TableCellComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵtemplate(0, TableCellComponent_ng_container_0_Template, 4, 8, "ng-container", 0)(1, TableCellComponent_ng_template_1_Template, 8, 8, "ng-template", null, 1, i0.ɵɵtemplateRefExtractor)(3, TableCellComponent_ng_container_3_Template, 3, 2, "ng-container", 2)(4, TableCellComponent_ng_template_4_Template, 2, 2, "ng-template", null, 3, i0.ɵɵtemplateRefExtractor)(6, TableCellComponent_ng_template_6_Template, 3, 5, "ng-template", null, 4, i0.ɵɵtemplateRefExtractor);
        } if (rf & 2) {
            const _r2 = i0.ɵɵreference(2);
            i0.ɵɵproperty("ngIf", ctx.isRowTotal && ctx.tableService.isInTotalTypeString(ctx.column) || ctx.tableService.isTypeString(ctx.column))("ngIfElse", _r2);
            i0.ɵɵadvance(3);
            i0.ɵɵproperty("ngIf", !ctx.isRowTotal && ctx.isLastColumn);
        } }, dependencies: [i2.NgClass, i2.NgIf, i2.NgTemplateOutlet, i3.IconComponent, i5.InputInlineComponent, i6.CheckboxComponent, i7.DynamicComponentsComponent, i8.TooltipDirective, i9.ToggleComponent, i10.ClickOutsideDirective, i11.NgControlStatus, i11.FormControlDirective, i12.ButtonComponent, i13.MenuDropComponent, i14.RepositionDirective, i15.TeleportingDirective, i2.AsyncPipe, i2.DecimalPipe, i2.CurrencyPipe, i2.DatePipe, i16.NotAvailablePipe], styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6[_ngcontent-%COMP%], .font-heading-5[_ngcontent-%COMP%], .font-heading-4[_ngcontent-%COMP%], .font-heading-3[_ngcontent-%COMP%], .font-heading-2[_ngcontent-%COMP%], .font-heading-1[_ngcontent-%COMP%]{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1[_ngcontent-%COMP%]{font-size:60px}.font-heading-2[_ngcontent-%COMP%]{font-size:32px}.font-heading-3[_ngcontent-%COMP%]{font-size:22px}.font-heading-4[_ngcontent-%COMP%]{font-size:18px}.font-heading-5[_ngcontent-%COMP%]{font-size:15px}.font-heading-6[_ngcontent-%COMP%]{font-size:13px}.font-heading-label[_ngcontent-%COMP%]{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}.font-caption[_ngcontent-%COMP%], .font-bodyXSmall[_ngcontent-%COMP%], [_nghost-%COMP%], .font-bodySmall[_ngcontent-%COMP%], .font-bodyMedium[_ngcontent-%COMP%], .font-bodyLarge[_ngcontent-%COMP%]{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong[_ngcontent-%COMP%], tr.is-with-totals[_nghost-%COMP%], tr.is-with-totals   [_nghost-%COMP%], .font-bodySmallStrong[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-size:16px}.font-bodyMedium[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%]{font-size:14px}[_nghost-%COMP%], .font-bodySmall[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}tr.is-with-totals[_nghost-%COMP%], tr.is-with-totals   [_nghost-%COMP%], .font-bodySmallStrong[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}.font-bodyXSmall[_ngcontent-%COMP%], .font-bodyXSmallStrong[_ngcontent-%COMP%]{font-size:12px;letter-spacing:.24px}.font-caption[_ngcontent-%COMP%]{font-size:11px}[_nghost-%COMP%]   .truncate[_ngcontent-%COMP%]{width:100%;display:inline-block;white-space:nowrap;overflow:hidden!important;text-overflow:ellipsis}@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}[_nghost-%COMP%]{position:relative;padding:0 16px;height:48px;box-sizing:border-box;color:var(--fu-black-500, #53575B);word-break:break-all;max-width:350px;border-top:1px solid var(--fu-light-400, #DDDFE1);border-bottom:1px solid var(--fu-light-400, #DDDFE1)}[_nghost-%COMP%]:first-child{border-left:none}[_nghost-%COMP%]:last-child{border-right:none}[_nghost-%COMP%] > div[_ngcontent-%COMP%]{line-height:1.25;vertical-align:middle}[_nghost-%COMP%] > div.right[_ngcontent-%COMP%]{text-align:right;float:none}[_nghost-%COMP%] > div.center[_ngcontent-%COMP%]{text-align:center}[_nghost-%COMP%] > div.checkbox-cell[_ngcontent-%COMP%]{margin:0 auto;text-align:center;height:14px}[_nghost-%COMP%]   .is-ellipsis-rows-2[_ngcontent-%COMP%]{overflow:hidden;text-overflow:ellipsis;display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical}.is-inline-removable[_nghost-%COMP%]   div.fu-cell-action-button[_ngcontent-%COMP%]{width:32px;height:32px;box-shadow:0 1px 4px #0000003d;background-color:var(--fu-white, #ffffff);border-radius:32px;position:absolute;right:12px;top:7px;display:flex;justify-content:center;align-items:center;cursor:pointer;visibility:hidden}.is-inline-removable[_nghost-%COMP%]   div.fu-cell-action-button[_ngcontent-%COMP%]   fusion-icon.fu-table-action-icon[_ngcontent-%COMP%]{width:16px;height:16px}.is-inline-removable[_nghost-%COMP%]   div.fu-cell-action-button[_ngcontent-%COMP%]   fusion-icon.fu-table-action-icon[_ngcontent-%COMP%]     svg{width:16px;height:16px}.is-inline-removable[_nghost-%COMP%]   div.fu-cell-action-button[_ngcontent-%COMP%]   fusion-icon.fu-table-action-icon[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-900, #7B838C)}.is-inline-removable[_nghost-%COMP%]   div.fu-cell-action-button[_ngcontent-%COMP%]   fusion-icon.fu-table-multi-action-icon[_ngcontent-%COMP%]{width:24px;height:24px}.is-inline-removable[_nghost-%COMP%]   div.fu-cell-action-button[_ngcontent-%COMP%]   fusion-icon.fu-table-multi-action-icon[_ngcontent-%COMP%]     svg{width:24px;height:24px}.is-inline-removable[_nghost-%COMP%]   div.fu-cell-action-button[_ngcontent-%COMP%]   fusion-icon.fu-table-multi-action-icon[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-900, #7B838C)}[_nghost-%COMP%]   fusion-icon.infoRowIcon[_ngcontent-%COMP%]{visibility:hidden;position:absolute;right:25px;top:8px}[_nghost-%COMP%]   fusion-icon.infoRowIcon[_ngcontent-%COMP%]     svg{width:11px;height:11px}[_nghost-%COMP%]   fusion-icon.infoRowIcon[_ngcontent-%COMP%]     svg *{fill:var(--fu-black-500, #53575B)}.is-editable[_nghost-%COMP%]{padding:0 8px}[_nghost-%COMP%]   .loader-holder[_ngcontent-%COMP%]{position:relative;top:9px;width:20px}[_nghost-%COMP%]   .fu-button-holder[_ngcontent-%COMP%]{display:none;position:absolute;margin:auto;right:12px;top:0;bottom:0;width:32px;height:32px}[_nghost-%COMP%]   .fu-button-holder[_ngcontent-%COMP%]   fusion-button[_ngcontent-%COMP%]{box-shadow:0 1px 4px #0000003d;border:none;background-color:var(--fu-white, #ffffff)}[_nghost-%COMP%]   .fu-button-holder[_ngcontent-%COMP%]   fusion-button[_ngcontent-%COMP%]     fusion-icon{width:24px;height:24px}[_nghost-%COMP%]   .fu-button-holder[_ngcontent-%COMP%]   fusion-button[_ngcontent-%COMP%]     fusion-icon svg{width:24px;height:24px}.is-row-height-big[_nghost-%COMP%], .is-row-height-big   [_nghost-%COMP%]{height:48px}.is-row-height-big[_nghost-%COMP%]   div.fu-cell-action-button[_ngcontent-%COMP%], .is-row-height-big   [_nghost-%COMP%]   div.fu-cell-action-button[_ngcontent-%COMP%]{top:10px}tr:hover.is-inline-removable[_nghost-%COMP%]   div.fu-cell-action-button[_ngcontent-%COMP%], tr:hover   .is-inline-removable[_nghost-%COMP%]   div.fu-cell-action-button[_ngcontent-%COMP%]{visibility:visible}tr:hover[_nghost-%COMP%]   .fu-button-holder[_ngcontent-%COMP%], tr:hover   [_nghost-%COMP%]   .fu-button-holder[_ngcontent-%COMP%], tr.fu-hovered[_nghost-%COMP%]   .fu-button-holder[_ngcontent-%COMP%], tr.fu-hovered   [_nghost-%COMP%]   .fu-button-holder[_ngcontent-%COMP%]{display:block}tr.is-with-totals[_nghost-%COMP%], tr.is-with-totals   [_nghost-%COMP%]{height:32px;letter-spacing:.5px}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TableCellComponent, [{
        type: Component,
        args: [{ selector: '[fusionTableCell]', changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-container\n    *ngIf=\"(isRowTotal && tableService.isInTotalTypeString(column)) || tableService.isTypeString(column); else notStringColumnType\"\n>\n    <!--String Cell-->\n    <div class=\"truncate centerVertical\" [ngClass]=\"column.align\" [style.width]=\"innerElementWidth\"\n         [fusionTooltip]=\"cellStringData\">\n        {{ cellStringData | notAvailable: notAvailableText }}\n    </div>\n</ng-container>\n\n<ng-template #notStringColumnType>\n    <!--Checkbox Cell-->\n    <div *ngIf=\"tableService.isTypeCheckbox(column) && isBoolean(data)\" class=\"checkbox-cell\">\n        <fusion-checkbox\n            class=\"is-regular\"\n            title=\"select / un-select row\"\n            [checked]=\"isRowChecked()\"\n            (changed)=\"selectedChange.emit($event)\"\n            [name]=\"'row_' + position.x\"\n        ></fusion-checkbox>\n    </div>\n    <!--ToggleButton Cell-->\n    <div *ngIf=\"tableService.isTypeToggleButton(column) && isBoolean(data)\">\n        <fusion-toggle\n            [model]=\"data\"\n            [isDisabled]=\"isReadOnly\"\n            size=\"small\"\n            customCheckedBackgroundColor=\"#3083FF\"\n            (modelChange)=\"onToggleChanged($event)\"\n        ></fusion-toggle>\n    </div>\n    <!--InputEdit Cell-->\n    <div\n        *ngIf=\"tableService.isTypeInputEdit(column) && data\"\n        [style.min-width]=\"'calc(' + column.width + ' - 1px)'\"\n        class=\"inputType\"\n        [ngClass]=\"column.align\"\n    >\n        <fusion-input-inline\n            #inlineInput\n            *ngIf=\"!isRowTotal; else noEditCell\"\n            [type]=\"column.inputType\"\n            (onSave)=\"onEndEdit($event)\"\n            (onCancel)=\"onCancel()\"\n            [textClass]=\"customClass && customClass[column.key]\"\n            [formControl]=\"data\"\n            [loading]=\"isInRequest$ | async\"\n            [error]=\"inputError$ | async\"\n            [readOnly]=\"isReadOnly\"\n            [currencyPipeParameters]=\"column?.currencyPipeParameters\"\n        ></fusion-input-inline>\n        <ng-template #noEditCell>&nbsp;</ng-template>\n    </div>\n    <!--DynamicComponent Cell-->\n    <fusion-dynamic-components\n        *ngIf=\"tableService.isTypeComponent(column)\"\n        [configuration]=\"customCellData\"\n    >\n    </fusion-dynamic-components>\n    <!--Currency Cell-->\n    <div\n        *ngIf=\"tableService.isTypeCurrency(column)\"\n        class=\"truncate centerVertical\"\n        [ngClass]=\"column.align || 'right'\"\n        [style.width]=\"innerElementWidth\"\n        [fusionTooltip]=\"$any(data) | currency: 'USD'\"\n    >\n        {{\n        !isNull(data)\n            ? ($any(data)\n                | currency\n                : column?.currencyPipeParameters?.currencyCode || undefined\n                    : column?.currencyPipeParameters?.display || (column?.currencyPipeParameters ? undefined : '$')\n                    : column?.currencyPipeParameters?.digitsInfo || undefined)\n            : (data | notAvailable: notAvailableText)\n        }}\n    </div>\n    <!--Number Cell-->\n    <div\n        *ngIf=\"tableService.isTypeNumber(column)\"\n        class=\"truncate centerVertical\"\n        [ngClass]=\"column.align || 'right'\"\n        [style.width]=\"innerElementWidth\"\n        [fusionTooltip]=\"$any(data) | number: column.pipeOptions\"\n    >\n        {{ !isNull(data) ? ($any(data) | number: column.pipeOptions) : (data | notAvailable: notAvailableText) }}\n    </div>\n    <!--Percent Cell-->\n    <div\n        *ngIf=\"tableService.isTypePercent(column)\"\n        class=\"truncate centerVertical\"\n        [ngClass]=\"column.align || 'right'\"\n        [style.width]=\"innerElementWidth\"\n        fusionTooltip=\"{{ $any(data) | number: column.pipeOptions }} %\"\n    >\n        {{ !isNull(data) ? ($any(data) | number: column.pipeOptions) : (data | notAvailable: notAvailableText) }}\n        {{ !isNullOrUndefined(data) ? '%' : null }}\n    </div>\n    <!--Date Cell-->\n    <div *ngIf=\"tableService.isTypeDate(column)\" class=\"truncate centerVertical\">\n        {{\n        data\n            ? isAsDate(data)\n                ? ($any(data) | date: getDateFormat(column.dateFormat):getDateUTCFormat(column.ignoreTimeZone))\n                : data\n            : !isRowTotal\n                ? 'No ' + column.title\n                : ''\n        }}\n    </div>\n</ng-template>\n\n<!--Row utility Cell icons and buttons-->\n<ng-container *ngIf=\"!isRowTotal && isLastColumn\">\n    <!--single remove action button-->\n    <ng-container *ngIf=\"isRemove && !isReadOnly\" [ngTemplateOutlet]=\"removeActionButton\"></ng-container>\n    <!--single remove action button-->\n    <!--multiple actions menu-->\n    <ng-container *ngIf=\"multipleActions as rowActions\" [ngTemplateOutlet]=\"multipleActionsMenu\" [ngTemplateOutletContext]=\"{$implicit: rowActions.actions}\"></ng-container>\n    <!--multiple actions menu-->\n</ng-container>\n\n<ng-template #removeActionButton>\n    <div class=\"fu-cell-action-button\"\n         [fusionTooltip]=\"getRemoveIconTooltipText()\"\n         (click)=\"onRowRemoveClicked($event)\"\n    >\n        <fusion-icon class=\"fu-table-action-icon\" [name]=\"cellRemoveActionIcon\"></fusion-icon>\n    </div>\n</ng-template>\n\n<ng-template #multipleActionsMenu let-menuActions>\n    <div id=\"{{actionsMenuButtonId}}\" class=\"fu-button-holder\" [class.fu-row-menu-shown]=\"shownActionsMenu\">\n        <fusion-button class=\"transparent third fu-menu-drop-button\" [icon]=\"'more-vert'\" (click)=\"onActionButtonClicked()\"></fusion-button>\n    </div>\n    <ng-container *ngIf=\"shownActionsMenu\">\n        <fusion-menu-drop\n            *fusionTeleporting=\"'#'+options.tableId+'_tableTeleportWrapper'\"\n            [fusionReposition]=\"'#'+actionsMenuButtonId\"\n            [fusionRepositionPlacement]=\"floatingMenuPosition\"\n            [fusionRepositionOffset]=\"{y:-32}\"\n            [menuItems]=\"menuActions\"\n            (fusionClickOutside)=\"onActionMenuClickOutSide($event)\"\n            (menuItemClicked)=\"menuItemClicked($event)\"\n        ></fusion-menu-drop>\n    </ng-container>\n</ng-template>\n", styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6,.font-heading-5,.font-heading-4,.font-heading-3,.font-heading-2,.font-heading-1{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1{font-size:60px}.font-heading-2{font-size:32px}.font-heading-3{font-size:22px}.font-heading-4{font-size:18px}.font-heading-5{font-size:15px}.font-heading-6{font-size:13px}.font-heading-label{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}.font-caption,.font-bodyXSmall,:host,.font-bodySmall,.font-bodyMedium,.font-bodyLarge{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong,:host-context(tr.is-with-totals),.font-bodySmallStrong,.font-bodyMediumStrong,.font-bodyLargeStrong{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge,.font-bodyLargeStrong{font-size:16px}.font-bodyMedium,.font-bodyMediumStrong{font-size:14px}:host,.font-bodySmall{font-size:13px;letter-spacing:.24px}:host-context(tr.is-with-totals),.font-bodySmallStrong{font-size:13px;letter-spacing:.24px}.font-bodyXSmall,.font-bodyXSmallStrong{font-size:12px;letter-spacing:.24px}.font-caption{font-size:11px}:host .truncate{width:100%;display:inline-block;white-space:nowrap;overflow:hidden!important;text-overflow:ellipsis}@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}:host{position:relative;padding:0 16px;height:48px;box-sizing:border-box;color:var(--fu-black-500, #53575B);word-break:break-all;max-width:350px;border-top:1px solid var(--fu-light-400, #DDDFE1);border-bottom:1px solid var(--fu-light-400, #DDDFE1)}:host:first-child{border-left:none}:host:last-child{border-right:none}:host>div{line-height:1.25;vertical-align:middle}:host>div.right{text-align:right;float:none}:host>div.center{text-align:center}:host>div.checkbox-cell{margin:0 auto;text-align:center;height:14px}:host .is-ellipsis-rows-2{overflow:hidden;text-overflow:ellipsis;display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical}:host.is-inline-removable div.fu-cell-action-button{width:32px;height:32px;box-shadow:0 1px 4px #0000003d;background-color:var(--fu-white, #ffffff);border-radius:32px;position:absolute;right:12px;top:7px;display:flex;justify-content:center;align-items:center;cursor:pointer;visibility:hidden}:host.is-inline-removable div.fu-cell-action-button fusion-icon.fu-table-action-icon{width:16px;height:16px}:host.is-inline-removable div.fu-cell-action-button fusion-icon.fu-table-action-icon ::ng-deep svg{width:16px;height:16px}:host.is-inline-removable div.fu-cell-action-button fusion-icon.fu-table-action-icon ::ng-deep svg *{fill:var(--fu-light-900, #7B838C)}:host.is-inline-removable div.fu-cell-action-button fusion-icon.fu-table-multi-action-icon{width:24px;height:24px}:host.is-inline-removable div.fu-cell-action-button fusion-icon.fu-table-multi-action-icon ::ng-deep svg{width:24px;height:24px}:host.is-inline-removable div.fu-cell-action-button fusion-icon.fu-table-multi-action-icon ::ng-deep svg *{fill:var(--fu-light-900, #7B838C)}:host fusion-icon.infoRowIcon{visibility:hidden;position:absolute;right:25px;top:8px}:host fusion-icon.infoRowIcon ::ng-deep svg{width:11px;height:11px}:host fusion-icon.infoRowIcon ::ng-deep svg *{fill:var(--fu-black-500, #53575B)}:host.is-editable{padding:0 8px}:host .loader-holder{position:relative;top:9px;width:20px}:host .fu-button-holder{display:none;position:absolute;margin:auto;right:12px;top:0;bottom:0;width:32px;height:32px}:host .fu-button-holder fusion-button{box-shadow:0 1px 4px #0000003d;border:none;background-color:var(--fu-white, #ffffff)}:host .fu-button-holder fusion-button ::ng-deep fusion-icon{width:24px;height:24px}:host .fu-button-holder fusion-button ::ng-deep fusion-icon svg{width:24px;height:24px}:host-context(.is-row-height-big){height:48px}:host-context(.is-row-height-big) div.fu-cell-action-button{top:10px}:host-context(tr:hover).is-inline-removable div.fu-cell-action-button{visibility:visible}:host-context(tr:hover) .fu-button-holder,:host-context(tr.fu-hovered) .fu-button-holder{display:block}:host-context(tr.is-with-totals){height:32px;letter-spacing:.5px}\n"] }]
    }], () => [{ type: i1.TableService }, { type: undefined, decorators: [{
                type: Optional
            }, {
                type: Inject,
                args: [TABLE_OPTIONS_TOKEN]
            }] }, { type: i2$1.LogService }], { data: [{
            type: Input
        }], column: [{
            type: Input
        }], row: [{
            type: Input
        }], rowIndex: [{
            type: Input
        }], rowSpanIndex: [{
            type: Input
        }], options: [{
            type: Input
        }], position: [{
            type: Input
        }], infoIconTooltip: [{
            type: Input
        }], isRemove: [{
            type: Input
        }], floatingActionsDisabled: [{
            type: Input
        }], isRowSelected: [{
            type: Input
        }], isLastColumn: [{
            type: Input
        }], customClass: [{
            type: Input
        }], isReadOnly: [{
            type: Input
        }], selectedChange: [{
            type: Output
        }], dataChange: [{
            type: Output
        }], remove: [{
            type: Output
        }], inlineInputEdit: [{
            type: ViewChild,
            args: ['inlineInput']
        }], cellBorders: [{
            type: HostBinding,
            args: ['class.cell-borders']
        }], isInlineRemovable: [{
            type: HostBinding,
            args: ['class.is-inline-removable']
        }], isCellEditable: [{
            type: HostBinding,
            args: ['class.is-editable']
        }], sticky: [{
            type: HostBinding,
            args: ['class.sticky-left']
        }], stickyLeft: [{
            type: HostBinding,
            args: ['style.left']
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(TableCellComponent, { className: "TableCellComponent", filePath: "components/table-cell/table-cell.component.ts", lineNumber: 51 }); })();

const _c0$5 = ["fusionTableRow", ""];
function TableRowComponent_ng_container_0_td_1_fusion_icon_3_Template(rf, ctx) { if (rf & 1) {
    const _r8 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-icon", 5);
    i0.ɵɵlistener("click", function TableRowComponent_ng_container_0_td_1_fusion_icon_3_Template_fusion_icon_click_0_listener() { i0.ɵɵrestoreView(_r8); const ctx_r7 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r7.expandRow.emit({ rowIndex: ctx_r7.rowIndex, row: ctx_r7.row, isExpanded: !ctx_r7.isExpanded })); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r6 = i0.ɵɵnextContext(3);
    i0.ɵɵproperty("name", ctx_r6.expandArrowIconName);
} }
function TableRowComponent_ng_container_0_td_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "td", 3);
    i0.ɵɵpipe(1, "generic");
    i0.ɵɵpipe(2, "generic");
    i0.ɵɵtemplate(3, TableRowComponent_ng_container_0_td_1_fusion_icon_3_Template, 1, 1, "fusion-icon", 4);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r9 = i0.ɵɵnextContext();
    const idx_r4 = ctx_r9.index;
    const isLast_r3 = ctx_r9.last;
    const ctx_r5 = i0.ɵɵnextContext();
    i0.ɵɵclassProp("total-row", ctx_r5.isRowTotal)("expanded", ctx_r5.isExpanded)("inner-row", ctx_r5.isInnerRow)("sticky-left", ctx_r5.options == null ? null : ctx_r5.options.rowsExpandableOptions == null ? null : ctx_r5.options.rowsExpandableOptions.sticky);
    i0.ɵɵattribute("rowspan", i0.ɵɵpipeBind2(1, 11, ctx_r5.attrRowspan, "cell-expand"))("data-testid", i0.ɵɵpipeBind3(2, 14, ctx_r5.testIdsService.getTestAttribute.bind(ctx_r5), ctx_r5.testId, ctx_r5.tableTestIdModifiers.CELL + "-r" + ctx_r5.rowIndex + "-c" + idx_r4));
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("ngIf", isLast_r3 && ctx_r5.showExpandIcon());
} }
function TableRowComponent_ng_container_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, TableRowComponent_ng_container_0_td_1_Template, 4, 18, "td", 2);
    i0.ɵɵpipe(2, "generic");
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind2(2, 1, ctx_r0.cellShown, "cell-expand"));
} }
const _c1$3 = (a0, a1) => ({ x: a0, y: a1 });
function TableRowComponent_ng_container_2_td_1_Template(rf, ctx) { if (rf & 1) {
    const _r16 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "td", 7);
    i0.ɵɵlistener("remove", function TableRowComponent_ng_container_2_td_1_Template_td_remove_0_listener() { i0.ɵɵrestoreView(_r16); const ctx_r15 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r15.rowRemoved.emit()); })("selectedChange", function TableRowComponent_ng_container_2_td_1_Template_td_selectedChange_0_listener($event) { i0.ɵɵrestoreView(_r16); const ctx_r17 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r17.selectedChange.emit($event)); })("dataChange", function TableRowComponent_ng_container_2_td_1_Template_td_dataChange_0_listener($event) { i0.ɵɵrestoreView(_r16); const column_r10 = i0.ɵɵnextContext().$implicit; const ctx_r18 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r18.onDataChange($event, column_r10.key)); });
    i0.ɵɵpipe(1, "generic");
    i0.ɵɵpipe(2, "generic");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r20 = i0.ɵɵnextContext();
    const columnIndex_r11 = ctx_r20.index;
    const column_r10 = ctx_r20.$implicit;
    const isLast_r12 = ctx_r20.last;
    const idx_r13 = ctx_r20.index;
    const ctx_r14 = i0.ɵɵnextContext();
    i0.ɵɵclassMap(ctx_r14.columnsData[columnIndex_r11] == null ? null : ctx_r14.columnsData[columnIndex_r11].classes);
    i0.ɵɵstyleProp("width", ctx_r14.columnsData[columnIndex_r11] == null ? null : ctx_r14.columnsData[columnIndex_r11].width);
    i0.ɵɵclassProp("cell-tooltip", ctx_r14.columnsData[columnIndex_r11] == null ? null : ctx_r14.columnsData[columnIndex_r11].hasTooltip)("after-sticky", ctx_r14.hasAfterSticky)("inner-row", ctx_r14.isInnerRow);
    i0.ɵɵproperty("fusionTooltip", ctx_r14.columnsData[columnIndex_r11] == null ? null : ctx_r14.columnsData[columnIndex_r11].tooltip)("data", ctx_r14.row[column_r10.key])("row", ctx_r14.row)("rowIndex", ctx_r14.rowIndex)("rowSpanIndex", ctx_r14.rowSpanIndex)("column", column_r10)("options", ctx_r14.options)("position", i0.ɵɵpureFunction2(35, _c1$3, ctx_r14.rowIndex, columnIndex_r11))("isRemove", ctx_r14.columnsData[columnIndex_r11] == null ? null : ctx_r14.columnsData[columnIndex_r11].isRemove)("infoIconTooltip", ctx_r14.columnsData[columnIndex_r11] == null ? null : ctx_r14.columnsData[columnIndex_r11].infoIconOnHoverTooltip)("isRowSelected", ctx_r14.isRowSelected)("isLastColumn", isLast_r12)("isReadOnly", ctx_r14.isRowReadOnly)("customClass", ctx_r14.row["customClass"])("ngStyle", ctx_r14.columnsData[columnIndex_r11] == null ? null : ctx_r14.columnsData[columnIndex_r11].styles);
    i0.ɵɵattribute("colspan", ctx_r14.columnsData[columnIndex_r11] == null ? null : ctx_r14.columnsData[columnIndex_r11].colspan)("rowspan", i0.ɵɵpipeBind2(1, 28, ctx_r14.attrRowspan, column_r10.key))("data-testid", i0.ɵɵpipeBind3(2, 31, ctx_r14.testIdsService.getTestAttribute.bind(ctx_r14), ctx_r14.testId, ctx_r14.tableTestIdModifiers.CELL + "-r" + ctx_r14.rowIndex + "-c" + idx_r13));
} }
function TableRowComponent_ng_container_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, TableRowComponent_ng_container_2_td_1_Template, 3, 38, "td", 6);
    i0.ɵɵpipe(2, "generic");
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const column_r10 = ctx.$implicit;
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind2(2, 1, ctx_r1.cellShown, column_r10.key));
} }
class TableRowComponent {
    get isRowExpanded() {
        return this.isExpanded;
    }
    get isInnerRowExpandable() {
        return (this.options &&
            this.options.rowsExpandableOptions &&
            this.tableService.expandLevels &&
            this.tableService.getExpandLevelByRowIndex(this.rowIndex) <= this.tableService.expandLevels);
    }
    get isRowTotal() {
        return !isNullOrUndefined(this.options.hasTotalsRow) && this.options.hasTotalsRow && this.rowIndex === 0;
    }
    get isRowReadOnly() {
        return this.tableService.isRowReadOnly(this.row);
    }
    get expandCellCount() {
        if (!!this.options && !!this.options.rowsExpandableOptions && !!this.tableService.expandLevels) {
            const expandLevelsByIndex = this.tableService.getExpandLevelByRowIndex(this.rowIndex);
            const expandLevels = expandLevelsByIndex <= this.tableService.expandLevels ? expandLevelsByIndex : this.tableService.expandLevels;
            return of([...Array(expandLevels).keys()]);
        }
        return of([]);
    }
    hasTooltip(key, row) {
        return !isNullOrUndefined(this.getCellTooltip(key, row));
    }
    getCellTooltip(key, row) {
        // eslint-disable-next-line
        const rowMetaData = row['rowMetaData'];
        return !!rowMetaData && !!rowMetaData.cellToolTip ? rowMetaData.cellToolTip[key] : null;
    }
    infoIconOnHooverToolTip(options, row) {
        return options?.infoIconForRowOnHover ? options?.infoIconForRowOnHover(row) : '';
    }
    rowRemoveIconOptions(options, row) {
        return {
            hideRemoveIcon: options?.remove && options?.isRemoveIconHiddenForRow && options?.isRemoveIconHiddenForRow(row)
        };
    }
    constructor(tableService, cdRef, injector) {
        this.tableService = tableService;
        this.cdRef = cdRef;
        this.injector = injector;
        this.rowRemoved = new EventEmitter();
        this.selectedChange = new EventEmitter();
        this.expandRow = new EventEmitter();
        this.columnsData = [];
        this.cellShown = this.showCell.bind(this);
        this.attrRowspan = this.getAttrRowspan.bind(this);
        /** @internal */
        this.tableTestIdModifiers = TableTestIdModifiers;
        /** @internal */
        this.testIdsService = this.injector.get(TestIdsService);
    }
    ngOnInit() {
        this.dataRowIndex = this.rowIndex;
        this.expandArrowIconName = { iconName: 'arrow-right', iconVersion: 'v3' };
        if (this.isRowTotal) {
            Object.assign(this.row, { isRowTotal: true });
        }
    }
    ngOnChanges({ options, columns, row }) {
        const activeOptions = options?.currentValue || this.options;
        const activeColumns = columns?.currentValue || this.columns;
        const activeRow = row?.currentValue || this.row;
        if (options?.currentValue || columns?.currentValue || row?.currentValue) {
            this.columnsData = this.getColumnsData(activeColumns, activeOptions, activeRow);
        }
    }
    onDataChange(options, rowKey) {
        this.tableService.toggleRowInRequest(this.row, true);
        this.tableService.rowModelChange.emit({
            rowIndex: this.rowIndex,
            rowSpanIndex: this.rowSpanIndex ?? 0,
            rowModel: this.row,
            keyChanged: rowKey,
            newValue: options.newValue,
            prevValue: options.prevValue,
            onRequestDone: (state, error, stayInEditOnCancel = false) => {
                this.tableService.toggleRowInRequest(this.row, false);
                if (options.onCellRequestDone) {
                    options.onCellRequestDone(state, error, stayInEditOnCancel);
                }
                this.cdRef.markForCheck();
            }
        });
    }
    trackByFn(index, item) {
        if (!item) {
            return null;
        }
        return item.key ? item.key : index;
    }
    showExpandIcon() {
        const hasKeyToIgnore = this.options && this.options.rowsExpandableOptions && this.options.rowsExpandableOptions.keyToIgnore;
        if (!hasKeyToIgnore) {
            return this.isInnerRow ? this.isInnerRowExpandable : !this.isRowTotal;
        }
        return !this.isRowTotal && !this.row[this.options.rowsExpandableOptions.keyToIgnore] && this.isInnerRowExpandable;
    }
    getCellColspan(isFirstDataCell, cellColspan, expandLevel) {
        if (isFirstDataCell && expandLevel) {
            if (this.isInnerRow) {
                const colspan = !isNullOrUndefined(cellColspan) ? cellColspan : 0;
                return colspan + (expandLevel + 1 - this.tableService.getExpandLevelByRowIndex(this.rowIndex));
            }
            return expandLevel + 1 - this.tableService.getExpandLevelByRowIndex(this.rowIndex);
        }
        return cellColspan;
    }
    getAttrRowspan(columnKey) {
        let rowSpan = 0;
        const maxRowspan = this.tableService.getMaxRowspanInColumn(this.row);
        if (columnKey === 'cell-expand') {
            rowSpan = maxRowspan;
        }
        else {
            const multiRowsKeys = this.tableService.getRowspanColumnsData(this.row);
            if (!isNullOrUndefined(multiRowsKeys) && isNullOrUndefined(this.rowSpanIndex)) {
                rowSpan = maxRowspan - multiRowsKeys[columnKey];
            }
        }
        return rowSpan > 0 ? rowSpan : null;
    }
    /**
     * Show regular cell "isNullOrUndefined(this.rowSpanIndex)"
     * or if cell has rowspan index "!isNullOrUndefined(this.rowSpanIndex)" and key for multirow
     * @internal
     */
    showCell(columnKey) {
        if (columnKey.startsWith('cell-expand')) {
            return isNullOrUndefined(this.rowSpanIndex);
        }
        const multiRowsKeys = this.tableService.getRowspanColumnsData(this.row);
        return isNullOrUndefined(this.rowSpanIndex) || (!isNullOrUndefined(this.rowSpanIndex) && multiRowsKeys[columnKey] !== 0);
    }
    getColumnsData(columns, options, row) {
        return columns.map((column, index) => {
            const isLast = index === columns.length - 1;
            const isFirst = index === 0;
            return {
                classes: this.tableService.getColumnClasses(column),
                tooltip: this.getCellTooltip(column.key, row),
                hasTooltip: this.hasTooltip(column.key, row),
                isRemove: this.tableService.isRemove(isLast, options, this.rowRemoveIconOptions(options, row)),
                infoIconOnHoverTooltip: isLast ? this.infoIconOnHooverToolTip(options, row) : '',
                styles: this.tableService.getColumnStyle(column),
                colspan: this.getCellColspan(isFirst, column.colspan, this.tableService.expandLevels),
                width: this.tableService.setWidth(isLast, column.width)
            };
        });
    }
    static { this.ɵfac = function TableRowComponent_Factory(t) { return new (t || TableRowComponent)(i0.ɵɵdirectiveInject(i1.TableService), i0.ɵɵdirectiveInject(i0.ChangeDetectorRef), i0.ɵɵdirectiveInject(i0.Injector)); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: TableRowComponent, selectors: [["", "fusionTableRow", ""]], hostVars: 9, hostBindings: function TableRowComponent_HostBindings(rf, ctx) { if (rf & 2) {
            i0.ɵɵattribute("data-row-idx", ctx.dataRowIndex);
            i0.ɵɵclassProp("is-row-expanded", ctx.isRowExpanded)("is-inner-row-expandable", ctx.isInnerRowExpandable)("is-with-totals", ctx.isRowTotal)("is-row-readonly", ctx.isRowReadOnly);
        } }, inputs: { rowIndex: "rowIndex", rowSpanIndex: "rowSpanIndex", row: "row", options: "options", columns: "columns", isRemovableOnHover: "isRemovableOnHover", isRowSelected: "isRowSelected", isExpanded: "isExpanded", isInnerRow: "isInnerRow", hasAfterSticky: "hasAfterSticky", testId: "testId" }, outputs: { rowRemoved: "rowRemoved", selectedChange: "selectedChange", expandRow: "expandRow" }, features: [i0.ɵɵNgOnChangesFeature], attrs: _c0$5, decls: 3, vars: 5, consts: [[4, "ngFor", "ngForOf"], [4, "ngFor", "ngForOf", "ngForTrackBy"], ["class", "expand-cell", 3, "total-row", "expanded", "inner-row", "sticky-left", 4, "ngIf"], [1, "expand-cell"], ["class", "icon-expand", 3, "name", "click", 4, "ngIf"], [1, "icon-expand", 3, "name", "click"], ["fusionTableCell", "", 3, "fusionTooltip", "data", "row", "rowIndex", "rowSpanIndex", "column", "options", "position", "isRemove", "infoIconTooltip", "isRowSelected", "isLastColumn", "isReadOnly", "customClass", "class", "cell-tooltip", "after-sticky", "inner-row", "ngStyle", "width", "remove", "selectedChange", "dataChange", 4, "ngIf"], ["fusionTableCell", "", 3, "fusionTooltip", "data", "row", "rowIndex", "rowSpanIndex", "column", "options", "position", "isRemove", "infoIconTooltip", "isRowSelected", "isLastColumn", "isReadOnly", "customClass", "ngStyle", "remove", "selectedChange", "dataChange"]], template: function TableRowComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵtemplate(0, TableRowComponent_ng_container_0_Template, 3, 4, "ng-container", 0);
            i0.ɵɵpipe(1, "async");
            i0.ɵɵtemplate(2, TableRowComponent_ng_container_2_Template, 3, 4, "ng-container", 1);
        } if (rf & 2) {
            i0.ɵɵproperty("ngForOf", i0.ɵɵpipeBind1(1, 3, ctx.expandCellCount));
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngForOf", ctx.columns)("ngForTrackBy", ctx.trackByFn);
        } }, dependencies: [i2.NgForOf, i2.NgIf, i2.NgStyle, i3.IconComponent, i8.TooltipDirective, TableCellComponent, i2.AsyncPipe, i6$1.GenericPipe], styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6[_ngcontent-%COMP%], .font-heading-5[_ngcontent-%COMP%], .font-heading-4[_ngcontent-%COMP%], .font-heading-3[_ngcontent-%COMP%], .font-heading-2[_ngcontent-%COMP%], .font-heading-1[_ngcontent-%COMP%]{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1[_ngcontent-%COMP%]{font-size:60px}.font-heading-2[_ngcontent-%COMP%]{font-size:32px}.font-heading-3[_ngcontent-%COMP%]{font-size:22px}.font-heading-4[_ngcontent-%COMP%]{font-size:18px}.font-heading-5[_ngcontent-%COMP%]{font-size:15px}.font-heading-6[_ngcontent-%COMP%]{font-size:13px}.font-heading-label[_ngcontent-%COMP%]{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}.font-caption[_ngcontent-%COMP%], .font-bodyXSmall[_ngcontent-%COMP%], .font-bodySmall[_ngcontent-%COMP%], .font-bodyMedium[_ngcontent-%COMP%], .font-bodyLarge[_ngcontent-%COMP%]{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong[_ngcontent-%COMP%], .font-bodySmallStrong[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-size:16px}.font-bodyMedium[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%]{font-size:14px}.font-bodySmall[_ngcontent-%COMP%], .font-bodySmallStrong[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}.font-bodyXSmall[_ngcontent-%COMP%], .font-bodyXSmallStrong[_ngcontent-%COMP%]{font-size:12px;letter-spacing:.24px}.font-caption[_ngcontent-%COMP%]{font-size:11px}@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}.on-scroll-right[_nghost-%COMP%]   .sticky-left.display-shadow-on-scroll[_ngcontent-%COMP%]:after, .on-scroll-right   [_nghost-%COMP%]   .sticky-left.display-shadow-on-scroll[_ngcontent-%COMP%]:after{content:\"\";position:absolute;top:0;height:100%}[_nghost-%COMP%]   td[_ngcontent-%COMP%]:not(:last-child){border-right:var(--table-body-border, none)}[_nghost-%COMP%]:nth-child(odd){background-color:var(--table-odd-row-background-color, var(--fu-white, #ffffff))}[_nghost-%COMP%]:nth-child(2n){background-color:var(--table-even-row-background-color, var(--fu-white, #ffffff))}[_nghost-%COMP%]:hover   td[_ngcontent-%COMP%], .fu-hovered[_nghost-%COMP%]   td[_ngcontent-%COMP%], [_nghost-%COMP%]:has(.fu-button-holder.fu-row-menu-shown)   td[_ngcontent-%COMP%]{background-color:var(--fu-light-50, #F7F8F9)}[_nghost-%COMP%]:hover   td.inner-row[_ngcontent-%COMP%], [_nghost-%COMP%]:hover   td.sticky-left[_ngcontent-%COMP%], .fu-hovered[_nghost-%COMP%]   td.inner-row[_ngcontent-%COMP%], .fu-hovered[_nghost-%COMP%]   td.sticky-left[_ngcontent-%COMP%], [_nghost-%COMP%]:has(.fu-button-holder.fu-row-menu-shown)   td.inner-row[_ngcontent-%COMP%], [_nghost-%COMP%]:has(.fu-button-holder.fu-row-menu-shown)   td.sticky-left[_ngcontent-%COMP%]{background-color:var(--fu-light-50, #F7F8F9)}.is-row-in-request[_nghost-%COMP%]   td[_ngcontent-%COMP%], .is-row-disabled[_nghost-%COMP%]   td[_ngcontent-%COMP%]{position:relative}.is-row-in-request[_nghost-%COMP%]   td[_ngcontent-%COMP%]:after, .is-row-disabled[_nghost-%COMP%]   td[_ngcontent-%COMP%]:after{content:\"\";background-color:var(--fu-white, #ffffff);width:100%;height:100%;top:0;left:0;position:absolute;opacity:.3}[_nghost-%COMP%]   td.expand-cell[_ngcontent-%COMP%]{width:32px;padding-left:16px;text-align:center;border-top:1px solid var(--fu-light-400, #DDDFE1);border-bottom:1px solid var(--fu-light-400, #DDDFE1)}[_nghost-%COMP%]   td.expand-cell[_ngcontent-%COMP%]   fusion-icon[class^=icon-expand][_ngcontent-%COMP%]{width:16px;height:16px;cursor:pointer;display:block;margin-top:3px}[_nghost-%COMP%]   td.expand-cell[_ngcontent-%COMP%]   fusion-icon[class^=icon-expand][_ngcontent-%COMP%]     svg{width:16px;height:16px}[_nghost-%COMP%]   td.expand-cell[_ngcontent-%COMP%]   fusion-icon[class^=icon-expand][_ngcontent-%COMP%]     svg *{fill:var(--fu-black-500, #53575B)}[_nghost-%COMP%]   td.expand-cell.expanded[_ngcontent-%COMP%]   fusion-icon[class^=icon-expand][_ngcontent-%COMP%]     svg{width:16px;height:16px;transform:rotate(90deg)}[_nghost-%COMP%]   td.expand-cell.expanded[_ngcontent-%COMP%]   fusion-icon[class^=icon-expand][_ngcontent-%COMP%]     svg *{fill:var(--fu-black-500, #53575B)}[_nghost-%COMP%]   td.expand-cell[_ngcontent-%COMP%] + td[_ngcontent-%COMP%]{padding-left:8px;border-left:none}[_nghost-%COMP%]   td.sticky-left[_ngcontent-%COMP%]{background-color:var(--fu-white, #ffffff);position:sticky;left:0;z-index:2}[_nghost-%COMP%]   td.fu-border-left[_ngcontent-%COMP%]{border-left:solid 1px var(--fu-light-400, #DDDFE1)}.is-with-totals[_nghost-%COMP%]:hover   td[_ngcontent-%COMP%]{background-color:var(--fu-white, #ffffff)}.is-inner-row-expandable[_nghost-%COMP%]   td.expand-cell.inner-row[_ngcontent-%COMP%]{border-top:1px solid var(--fu-light-400, #DDDFE1);border-bottom:1px solid var(--fu-light-400, #DDDFE1)}.is-inner-row-expandable[_nghost-%COMP%]   td.inner-row[_ngcontent-%COMP%]{background-color:var(--fu-light-200, #EDEFF0)}.on-scroll-right[_nghost-%COMP%]   .sticky-left.display-shadow-on-scroll[_ngcontent-%COMP%]:after, .on-scroll-right   [_nghost-%COMP%]   .sticky-left.display-shadow-on-scroll[_ngcontent-%COMP%]:after{width:1px;right:0;box-shadow:2px 3px 5px #0009}.on-scroll-right[_nghost-%COMP%]   .sticky-left.display-shadow-on-scroll.after-sticky[_ngcontent-%COMP%]:before, .on-scroll-right   [_nghost-%COMP%]   .sticky-left.display-shadow-on-scroll.after-sticky[_ngcontent-%COMP%]:before{content:\"\";width:100%;height:26px;position:absolute;bottom:-27px;left:0;box-shadow:4px 3px 5px 0 var(--fu-light-500, #D2D5D8);background-color:var(--fu-light-100, #F1F3F4)}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TableRowComponent, [{
        type: Component,
        args: [{ selector: '[fusionTableRow]', changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-container *ngFor=\"let expandCell of expandCellCount | async; let isLast = last; let idx=index\">\n    <td *ngIf=\"cellShown | generic:'cell-expand'\"\n        class=\"expand-cell\"\n        [class.total-row]=\"isRowTotal\"\n        [class.expanded]=\"isExpanded\"\n        [class.inner-row]=\"isInnerRow\"\n        [class.sticky-left]=\"options?.rowsExpandableOptions?.sticky\"\n        [attr.rowspan]=\"attrRowspan | generic:'cell-expand'\"\n        [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:(tableTestIdModifiers.CELL+'-r'+rowIndex+'-c'+idx)\"\n    >\n        <fusion-icon\n            *ngIf=\"isLast && showExpandIcon()\"\n            class=\"icon-expand\"\n            [name]=\"expandArrowIconName\"\n            (click)=\"expandRow.emit({rowIndex: rowIndex, row: row, isExpanded: !isExpanded})\"\n        >\n        </fusion-icon>\n    </td>\n</ng-container>\n<ng-container *ngFor=\"let column of columns; trackBy: trackByFn; let columnIndex = index; let isLast = last; let idx=index\">\n    <td *ngIf=\"cellShown | generic:column.key\"\n        fusionTableCell\n        [fusionTooltip]=\"columnsData[columnIndex]?.tooltip\"\n        [data]=\"row[column.key]\"\n        [row]=\"row\"\n        [rowIndex]=\"rowIndex\"\n        [rowSpanIndex]=\"rowSpanIndex\"\n        [column]=\"column\"\n        [options]=\"options\"\n        [position]=\"{x: rowIndex, y: columnIndex}\"\n        [isRemove]=\"columnsData[columnIndex]?.isRemove\"\n        [infoIconTooltip]=\"columnsData[columnIndex]?.infoIconOnHoverTooltip\"\n        [isRowSelected]=\"isRowSelected\"\n        [isLastColumn]=\"isLast\"\n        [isReadOnly]=\"isRowReadOnly\"\n        [customClass]=\"row['customClass']\"\n        [class]=\"columnsData[columnIndex]?.classes\"\n        [class.cell-tooltip]=\"columnsData[columnIndex]?.hasTooltip\"\n        [class.after-sticky]=\"hasAfterSticky\"\n        [class.inner-row]=\"isInnerRow\"\n        [ngStyle]=\"columnsData[columnIndex]?.styles\"\n        [style.width]=\"columnsData[columnIndex]?.width\"\n        [attr.colspan]=\"columnsData[columnIndex]?.colspan\"\n        [attr.rowspan]=\"attrRowspan | generic:column.key\"\n        [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:(tableTestIdModifiers.CELL+'-r'+rowIndex+'-c'+idx)\"\n        (remove)=\"rowRemoved.emit()\"\n        (selectedChange)=\"selectedChange.emit($event)\"\n        (dataChange)=\"onDataChange($event, column.key)\"\n    ></td>\n</ng-container>\n", styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6,.font-heading-5,.font-heading-4,.font-heading-3,.font-heading-2,.font-heading-1{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1{font-size:60px}.font-heading-2{font-size:32px}.font-heading-3{font-size:22px}.font-heading-4{font-size:18px}.font-heading-5{font-size:15px}.font-heading-6{font-size:13px}.font-heading-label{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}.font-caption,.font-bodyXSmall,.font-bodySmall,.font-bodyMedium,.font-bodyLarge{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong,.font-bodySmallStrong,.font-bodyMediumStrong,.font-bodyLargeStrong{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge,.font-bodyLargeStrong{font-size:16px}.font-bodyMedium,.font-bodyMediumStrong{font-size:14px}.font-bodySmall,.font-bodySmallStrong{font-size:13px;letter-spacing:.24px}.font-bodyXSmall,.font-bodyXSmallStrong{font-size:12px;letter-spacing:.24px}.font-caption{font-size:11px}@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}:host-context(.on-scroll-right) .sticky-left.display-shadow-on-scroll:after{content:\"\";position:absolute;top:0;height:100%}:host td:not(:last-child){border-right:var(--table-body-border, none)}:host:nth-child(odd){background-color:var(--table-odd-row-background-color, var(--fu-white, #ffffff))}:host:nth-child(2n){background-color:var(--table-even-row-background-color, var(--fu-white, #ffffff))}:host:hover td,:host.fu-hovered td,:host:has(.fu-button-holder.fu-row-menu-shown) td{background-color:var(--fu-light-50, #F7F8F9)}:host:hover td.inner-row,:host:hover td.sticky-left,:host.fu-hovered td.inner-row,:host.fu-hovered td.sticky-left,:host:has(.fu-button-holder.fu-row-menu-shown) td.inner-row,:host:has(.fu-button-holder.fu-row-menu-shown) td.sticky-left{background-color:var(--fu-light-50, #F7F8F9)}:host.is-row-in-request td,:host.is-row-disabled td{position:relative}:host.is-row-in-request td:after,:host.is-row-disabled td:after{content:\"\";background-color:var(--fu-white, #ffffff);width:100%;height:100%;top:0;left:0;position:absolute;opacity:.3}:host td.expand-cell{width:32px;padding-left:16px;text-align:center;border-top:1px solid var(--fu-light-400, #DDDFE1);border-bottom:1px solid var(--fu-light-400, #DDDFE1)}:host td.expand-cell fusion-icon[class^=icon-expand]{width:16px;height:16px;cursor:pointer;display:block;margin-top:3px}:host td.expand-cell fusion-icon[class^=icon-expand] ::ng-deep svg{width:16px;height:16px}:host td.expand-cell fusion-icon[class^=icon-expand] ::ng-deep svg *{fill:var(--fu-black-500, #53575B)}:host td.expand-cell.expanded fusion-icon[class^=icon-expand] ::ng-deep svg{width:16px;height:16px;transform:rotate(90deg)}:host td.expand-cell.expanded fusion-icon[class^=icon-expand] ::ng-deep svg *{fill:var(--fu-black-500, #53575B)}:host td.expand-cell+td{padding-left:8px;border-left:none}:host td.sticky-left{background-color:var(--fu-white, #ffffff);position:sticky;left:0;z-index:2}:host td.fu-border-left{border-left:solid 1px var(--fu-light-400, #DDDFE1)}:host.is-with-totals:hover td{background-color:var(--fu-white, #ffffff)}:host.is-inner-row-expandable td.expand-cell.inner-row{border-top:1px solid var(--fu-light-400, #DDDFE1);border-bottom:1px solid var(--fu-light-400, #DDDFE1)}:host.is-inner-row-expandable td.inner-row{background-color:var(--fu-light-200, #EDEFF0)}:host-context(.on-scroll-right) .sticky-left.display-shadow-on-scroll:after{width:1px;right:0;box-shadow:2px 3px 5px #0009}:host-context(.on-scroll-right) .sticky-left.display-shadow-on-scroll.after-sticky:before{content:\"\";width:100%;height:26px;position:absolute;bottom:-27px;left:0;box-shadow:4px 3px 5px 0 var(--fu-light-500, #D2D5D8);background-color:var(--fu-light-100, #F1F3F4)}\n"] }]
    }], () => [{ type: i1.TableService }, { type: i0.ChangeDetectorRef }, { type: i0.Injector }], { rowIndex: [{
            type: Input
        }], rowSpanIndex: [{
            type: Input
        }], row: [{
            type: Input
        }], options: [{
            type: Input
        }], columns: [{
            type: Input
        }], isRemovableOnHover: [{
            type: Input
        }], isRowSelected: [{
            type: Input
        }], isExpanded: [{
            type: Input
        }], isInnerRow: [{
            type: Input
        }], hasAfterSticky: [{
            type: Input
        }], testId: [{
            type: Input
        }], rowRemoved: [{
            type: Output
        }], selectedChange: [{
            type: Output
        }], expandRow: [{
            type: Output
        }], dataRowIndex: [{
            type: HostBinding,
            args: ['attr.data-row-idx']
        }], isRowExpanded: [{
            type: HostBinding,
            args: ['class.is-row-expanded']
        }], isInnerRowExpandable: [{
            type: HostBinding,
            args: ['class.is-inner-row-expandable']
        }], isRowTotal: [{
            type: HostBinding,
            args: ['class.is-with-totals']
        }], isRowReadOnly: [{
            type: HostBinding,
            args: ['class.is-row-readonly']
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(TableRowComponent, { className: "TableRowComponent", filePath: "components/table-row/table-row.component.ts", lineNumber: 30 }); })();

const _c0$4 = ["fusionTableBasic", ""];
const _c1$2 = (a0, a1, a2) => ({ $implicit: a0, rowIndex: a1, rowSpanData: a2 });
function TableBasicComponent_ng_container_0_ng_container_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0, 5);
} if (rf & 2) {
    const rowSpanData_r9 = ctx.ngIf;
    const ctx_r10 = i0.ɵɵnextContext();
    const row_r1 = ctx_r10.$implicit;
    const rowIndex_r2 = ctx_r10.index;
    const _r8 = i0.ɵɵreference(9);
    i0.ɵɵproperty("ngTemplateOutlet", _r8)("ngTemplateOutletContext", i0.ɵɵpureFunction3(2, _c1$2, row_r1, rowIndex_r2, rowSpanData_r9));
} }
const _c2$1 = (a0, a1) => ({ $implicit: a0, parentIndex: a1 });
function TableBasicComponent_ng_container_0_ng_container_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0, 5);
} if (rf & 2) {
    const ctx_r11 = i0.ɵɵnextContext();
    const row_r1 = ctx_r11.$implicit;
    const rowIndex_r2 = ctx_r11.index;
    const _r6 = i0.ɵɵreference(7);
    const ctx_r4 = i0.ɵɵnextContext();
    i0.ɵɵproperty("ngTemplateOutlet", _r6)("ngTemplateOutletContext", i0.ɵɵpureFunction2(2, _c2$1, row_r1[ctx_r4.options.rowsExpandableOptions.key], rowIndex_r2));
} }
function TableBasicComponent_ng_container_0_ng_template_6_ng_container_0_ng_container_1_tr_4_Template(rf, ctx) { if (rf & 1) {
    const _r28 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "tr", 11)(1, "td")(2, "a", 12);
    i0.ɵɵlistener("click", function TableBasicComponent_ng_container_0_ng_template_6_ng_container_0_ng_container_1_tr_4_Template_a_click_2_listener() { i0.ɵɵrestoreView(_r28); const loadMore_r18 = i0.ɵɵnextContext(2).loadMore; return i0.ɵɵresetView(loadMore_r18()); });
    i0.ɵɵtext(3, "Load more");
    i0.ɵɵelementEnd()()();
} if (rf & 2) {
    const ctx_r24 = i0.ɵɵnextContext(5);
    i0.ɵɵadvance();
    i0.ɵɵattribute("colspan", ctx_r24.fullCellColspan);
    i0.ɵɵadvance();
    i0.ɵɵstyleProp("margin-left", ctx_r24.getHalfTableClientWidth, "px");
} }
function TableBasicComponent_ng_container_0_ng_template_6_ng_container_0_ng_container_1_ng_container_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0, 5);
} if (rf & 2) {
    const innerRows_r29 = ctx.ngIf;
    const innerRowIndex_r22 = i0.ɵɵnextContext().index;
    const parentIndex_r13 = i0.ɵɵnextContext(2).parentIndex;
    i0.ɵɵnextContext();
    const _r6 = i0.ɵɵreference(7);
    i0.ɵɵproperty("ngTemplateOutlet", _r6)("ngTemplateOutletContext", i0.ɵɵpureFunction2(2, _c2$1, innerRows_r29, parentIndex_r13 + "_" + innerRowIndex_r22));
} }
function TableBasicComponent_ng_container_0_ng_template_6_ng_container_0_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    const _r33 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "tr", 9);
    i0.ɵɵlistener("expandRow", function TableBasicComponent_ng_container_0_ng_template_6_ng_container_0_ng_container_1_Template_tr_expandRow_1_listener($event) { i0.ɵɵrestoreView(_r33); const ctx_r32 = i0.ɵɵnextContext(4); return i0.ɵɵresetView(ctx_r32.onExpandRow($event)); });
    i0.ɵɵpipe(2, "generic");
    i0.ɵɵpipe(3, "async");
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(4, TableBasicComponent_ng_container_0_ng_template_6_ng_container_0_ng_container_1_tr_4_Template, 4, 3, "tr", 10);
    i0.ɵɵpipe(5, "async");
    i0.ɵɵtemplate(6, TableBasicComponent_ng_container_0_ng_template_6_ng_container_0_ng_container_1_ng_container_6_Template, 1, 5, "ng-container", 2);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const innerRow_r21 = ctx.$implicit;
    const innerRowIndex_r22 = ctx.index;
    const last_r23 = ctx.last;
    const hasMore$_r19 = i0.ɵɵnextContext().hasMore$;
    const parentIndex_r13 = i0.ɵɵnextContext().parentIndex;
    const ctx_r20 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵproperty("rowIndex", parentIndex_r13 + "_" + innerRowIndex_r22)("row", innerRow_r21)("columns", ctx_r20.options.rowsExpandableOptions.columns)("options", ctx_r20.childRowOptions)("isExpanded", ctx_r20.isExpanded(parentIndex_r13 + "_" + innerRowIndex_r22))("isInnerRow", true)("ngClass", i0.ɵɵpipeBind3(2, 11, ctx_r20.rowClass, innerRow_r21, innerRowIndex_r22))("hasAfterSticky", ctx_r20.hasAfterSticky(last_r23, i0.ɵɵpipeBind1(3, 15, hasMore$_r19), parentIndex_r13 + "_" + innerRowIndex_r22))("ngStyle", !!ctx_r20.options.rowsOptions && !!ctx_r20.options.rowsOptions.global ? ctx_r20.options.rowsOptions.global.style : null);
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("ngIf", !ctx_r20.loadingChildRows[parentIndex_r13] && i0.ɵɵpipeBind1(5, 17, hasMore$_r19) && last_r23);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", ctx_r20.displayExpandableRows(parentIndex_r13 + "_" + innerRowIndex_r22) && ctx_r20.getInnerRows(parentIndex_r13 + "_" + innerRowIndex_r22));
} }
function TableBasicComponent_ng_container_0_ng_template_6_ng_container_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, TableBasicComponent_ng_container_0_ng_template_6_ng_container_0_ng_container_1_Template, 7, 19, "ng-container", 0);
    i0.ɵɵpipe(2, "async");
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const displayRows$_r17 = ctx.$implicit;
    const ctx_r14 = i0.ɵɵnextContext(3);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngForOf", i0.ɵɵpipeBind1(2, 2, displayRows$_r17))("ngForTrackBy", ctx_r14.trackByRowInvoke());
} }
function TableBasicComponent_ng_container_0_ng_template_6_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelement(1, "tr", 13);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r15 = i0.ɵɵnextContext(3);
    i0.ɵɵadvance();
    i0.ɵɵproperty("fusionTableLoading", ctx_r15.fullCellColspan)("fusionTableLoadingExpanding", true);
} }
function TableBasicComponent_ng_container_0_ng_template_6_tr_2_Template(rf, ctx) { if (rf & 1) {
    const _r38 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "tr", 14)(1, "td")(2, "p");
    i0.ɵɵtext(3, " Failed to load data... ");
    i0.ɵɵelementStart(4, "a", 12);
    i0.ɵɵlistener("click", function TableBasicComponent_ng_container_0_ng_template_6_tr_2_Template_a_click_4_listener() { i0.ɵɵrestoreView(_r38); const ctx_r37 = i0.ɵɵnextContext(2); const rowIndex_r2 = ctx_r37.index; const row_r1 = ctx_r37.$implicit; const ctx_r36 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r36.onExpandRow({ rowIndex: rowIndex_r2, row: row_r1, isExpanded: true })); });
    i0.ɵɵtext(5, "Try again");
    i0.ɵɵelementEnd()()()();
} if (rf & 2) {
    const ctx_r16 = i0.ɵɵnextContext(3);
    i0.ɵɵadvance();
    i0.ɵɵattribute("colspan", ctx_r16.fullCellColspan);
    i0.ɵɵadvance();
    i0.ɵɵstyleProp("margin-left", ctx_r16.getHalfTableClientWidth - 80, "px");
} }
function TableBasicComponent_ng_container_0_ng_template_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtemplate(0, TableBasicComponent_ng_container_0_ng_template_6_ng_container_0_Template, 3, 4, "ng-container", 6)(1, TableBasicComponent_ng_container_0_ng_template_6_ng_container_1_Template, 2, 2, "ng-container", 7)(2, TableBasicComponent_ng_container_0_ng_template_6_tr_2_Template, 6, 3, "tr", 8);
} if (rf & 2) {
    const parentRowChildren_r12 = ctx.$implicit;
    const parentIndex_r13 = ctx.parentIndex;
    const ctx_r5 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("fusionLoadMoreOf", parentRowChildren_r12)("fusionLoadMoreChunkSize", (ctx_r5.options.rowsExpandableOptions == null ? null : ctx_r5.options.rowsExpandableOptions.expendChunkSize) || 10);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r5.loadingChildRows[parentIndex_r13]);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r5.failedChildRows[parentIndex_r13]);
} }
function TableBasicComponent_ng_container_0_ng_template_8_ng_container_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelement(1, "tr", 16);
    i0.ɵɵpipe(2, "generic");
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const idx_r43 = ctx.$implicit;
    const ctx_r44 = i0.ɵɵnextContext();
    const row_r39 = ctx_r44.$implicit;
    const rowIndex_r40 = ctx_r44.rowIndex;
    const ctx_r42 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵclassProp("is-row-in-request", ctx_r42.tableService.rowsMetadata[row_r39["_rowId"]] == null ? null : ctx_r42.tableService.rowsMetadata[row_r39["_rowId"]].inRequest);
    i0.ɵɵproperty("rowIndex", rowIndex_r40)("rowSpanIndex", idx_r43)("row", row_r39)("columns", ctx_r42.columns)("options", ctx_r42.options)("ngClass", i0.ɵɵpipeBind3(2, 9, ctx_r42.rowClass, row_r39, rowIndex_r40))("ngStyle", !!ctx_r42.options.rowsOptions && !!ctx_r42.options.rowsOptions.global ? ctx_r42.options.rowsOptions.global.style : null);
} }
function TableBasicComponent_ng_container_0_ng_template_8_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtemplate(0, TableBasicComponent_ng_container_0_ng_template_8_ng_container_0_Template, 3, 13, "ng-container", 15);
    i0.ɵɵpipe(1, "generic");
} if (rf & 2) {
    const row_r39 = ctx.$implicit;
    const ctx_r7 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("ngForOf", i0.ɵɵpipeBind2(1, 1, ctx_r7.rowRowspanIndexes, row_r39));
} }
function TableBasicComponent_ng_container_0_Template(rf, ctx) { if (rf & 1) {
    const _r46 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "tr", 1);
    i0.ɵɵlistener("rowRemoved", function TableBasicComponent_ng_container_0_Template_tr_rowRemoved_1_listener() { const restoredCtx = i0.ɵɵrestoreView(_r46); const rowIndex_r2 = restoredCtx.index; const row_r1 = restoredCtx.$implicit; const ctx_r45 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r45.tableService.removeRow({ rows: ctx_r45.rows, rowIndex: rowIndex_r2, row: row_r1, options: ctx_r45.options })); })("selectedChange", function TableBasicComponent_ng_container_0_Template_tr_selectedChange_1_listener($event) { const restoredCtx = i0.ɵɵrestoreView(_r46); const row_r1 = restoredCtx.$implicit; const ctx_r47 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r47.tableService.onRowSelectChanged($event, row_r1)); })("expandRow", function TableBasicComponent_ng_container_0_Template_tr_expandRow_1_listener($event) { i0.ɵɵrestoreView(_r46); const ctx_r48 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r48.onExpandRow($event)); });
    i0.ɵɵpipe(2, "generic");
    i0.ɵɵpipe(3, "generic");
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(4, TableBasicComponent_ng_container_0_ng_container_4_Template, 1, 6, "ng-container", 2)(5, TableBasicComponent_ng_container_0_ng_container_5_Template, 1, 5, "ng-container", 2)(6, TableBasicComponent_ng_container_0_ng_template_6_Template, 3, 4, "ng-template", null, 3, i0.ɵɵtemplateRefExtractor)(8, TableBasicComponent_ng_container_0_ng_template_8_Template, 2, 4, "ng-template", null, 4, i0.ɵɵtemplateRefExtractor);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const row_r1 = ctx.$implicit;
    const rowIndex_r2 = ctx.index;
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵclassProp("is-row-in-request", ctx_r0.tableService.rowsMetadata[row_r1["_rowId"]] == null ? null : ctx_r0.tableService.rowsMetadata[row_r1["_rowId"]].inRequest);
    i0.ɵɵproperty("rowIndex", rowIndex_r2)("row", row_r1)("columns", ctx_r0.columns)("options", ctx_r0.options)("isRowSelected", i0.ɵɵpipeBind2(2, 14, ctx_r0.rowIsSelected, row_r1))("isExpanded", ctx_r0.isExpanded(rowIndex_r2))("isInnerRow", false)("testId", ctx_r0.testId)("ngClass", i0.ɵɵpipeBind3(3, 17, ctx_r0.rowClass, row_r1, rowIndex_r2))("ngStyle", !!ctx_r0.options.rowsOptions && !!ctx_r0.options.rowsOptions.global ? ctx_r0.options.rowsOptions.global.style : null);
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("ngIf", ctx_r0.tableService.rowsMetadata[row_r1["_rowId"]] == null ? null : ctx_r0.tableService.rowsMetadata[row_r1["_rowId"]].rowspanColumnsData);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r0.displayExpandableRows(rowIndex_r2));
} }
class TableBasicComponent {
    set options(value) {
        this.tableOptions = value;
        this.childRowOptions = { ...value, hasTotalsRow: false };
    }
    set tableClientWidth(value) {
        this._halfTableClientWidth = value ? value / 2 : 0;
    }
    get options() {
        return this.tableOptions;
    }
    get fullCellColspan() {
        if (!!this.tableService.expandLevels) {
            return this.columns.length + this.tableService.expandLevels;
        }
        return this.columns.length;
    }
    get getHalfTableClientWidth() {
        return this._halfTableClientWidth;
    }
    constructor(tableService, cdr, elementRef, renderer, injector) {
        this.tableService = tableService;
        this.cdr = cdr;
        this.elementRef = elementRef;
        this.renderer = renderer;
        this.injector = injector;
        this.rowSelected = new EventEmitter();
        this.expandRow = new EventEmitter();
        this.loadingChildRows = {};
        this.failedChildRows = {};
        this.rowIsSelected = this.isRowSelected.bind(this);
        this.rowClass = this.getRowClass.bind(this);
        this.rowRowspanIndexes = this.getRowspanIndexes.bind(this);
        /** @internal */
        this.tableTestIdModifiers = TableTestIdModifiers;
        /** @internal */
        this.testIdsService = this.injector.get(TestIdsService);
        this._halfTableClientWidth = 0;
        this.onDestroy$ = new Subject();
    }
    ngOnInit() {
        this.tableService.selectionChanged.pipe(takeUntil(this.onDestroy$)).subscribe(val => {
            this.cdr.markForCheck();
        });
    }
    ngOnDestroy() {
        this.onDestroy$.next();
        this.onDestroy$.complete();
    }
    ngAfterViewInit() {
        if (this.tableService.hasRowspanRows) {
            this.setHoverForRowspan();
        }
    }
    trackByRowInvoke() {
        return this.trackByRow.bind(this);
    }
    trackByRow(index, row) {
        const keyOption = this.options && this.options.rowTrackingOption ? this.options.rowTrackingOption : 'id';
        return row && row[keyOption] ? row[keyOption] : row;
    }
    isRowDisabled(row) {
        return row._options && row._options.some(options => 'disabled');
    }
    isRowSelected(row) {
        return this.tableService.isRowSelected(row);
    }
    getRowClass(row, rowIndex) {
        const rowClasses = this.options.rowsOptions || {};
        const classes = {};
        classes[TableRowClassesEnum.Selected] = this.tableService.isRowSelected(row);
        classes[TableRowClassesEnum.Disabled] = this.isRowDisabled(row);
        return [
            ...Object.keys(classes).filter((item) => !!classes[item]),
            !!rowClasses[rowIndex] && !!rowClasses[rowIndex].class ? rowClasses[rowIndex].class : null
        ].filter(Boolean);
    }
    onExpandRow({ rowIndex, row, isExpanded }, updateMap = true) {
        if (!!row) {
            this.loadingChildRows[rowIndex] = isExpanded;
            delete this.failedChildRows[rowIndex];
            const successCallback = this.onExpendRowSuccess(rowIndex).bind(this);
            const failedCallback = this.onExpendRowFailed(rowIndex).bind(this);
            this.expandRow.emit({ rowIndex, row, isExpanded, successCallback, failedCallback, updateMap: updateMap });
        }
    }
    displayExpandableRows(rowIndex) {
        return !!this.options?.rowsExpandableOptions?.key && this.isExpanded(rowIndex);
    }
    getInnerRows(index) {
        const innerKey = this.options.rowsExpandableOptions.key;
        const indexes = index.split('_').map(Number);
        let retRow = this.rows;
        indexes.forEach((item, idx) => {
            retRow = !!idx ? retRow[innerKey][item] : retRow[item];
        });
        return retRow[innerKey] || [];
    }
    isExpanded(rowIndex) {
        // check if has row index keys in expandedRows / loadingChildRows / failedChildRows;
        if (this.expandedRows?.hasOwnProperty(rowIndex) ||
            this.loadingChildRows.hasOwnProperty(rowIndex) ||
            this.failedChildRows.hasOwnProperty(rowIndex)) {
            return this.expandedRows[rowIndex] || this.loadingChildRows[rowIndex] || this.failedChildRows[rowIndex];
        }
        return this.expandedRows['default'];
    }
    hasAfterSticky(isLast, hasMore, rowIndex) {
        return isLast && (hasMore || this.loadingChildRows[rowIndex] || this.failedChildRows[rowIndex]);
    }
    getRowspanIndexes(row) {
        return [...Array(this.tableService.getMaxRowspanInColumn(row)).keys()].filter(Boolean);
    }
    setHoverForRowspan() {
        const rowElements = this.elementRef.nativeElement.querySelectorAll('tr[data-row-idx]');
        const events = ['mouseenter', 'mouseleave'];
        from(events)
            .pipe(mergeMap(event => fromEvent(rowElements, event)), filter((event) => {
            return ((event.type === 'mouseenter' && !event.target.classList.contains(ROW_HOVERED_CLASS_NAME)) ||
                (event.type === 'mouseleave' && event.target.classList.contains(ROW_HOVERED_CLASS_NAME)));
        }), takeUntil(this.onDestroy$))
            .subscribe(this.toggleHoverClassForRowspan.bind(this));
    }
    toggleHoverClassForRowspan(event) {
        const eventType = event.type;
        const rowIndex = event.target.dataset.rowIdx;
        const sameRowIndexSelector = 'tr[data-row-idx="' + rowIndex + '"]';
        const rows = [...this.elementRef.nativeElement.querySelectorAll(sameRowIndexSelector)];
        switch (eventType) {
            case 'mouseenter':
                rows.forEach(row => {
                    this.renderer.addClass(row, ROW_HOVERED_CLASS_NAME);
                });
                break;
            case 'mouseleave':
                rows.forEach(row => {
                    this.renderer.removeClass(row, ROW_HOVERED_CLASS_NAME);
                });
                break;
        }
    }
    onExpendRowSuccess(rowIndex) {
        return () => {
            delete this.loadingChildRows[rowIndex];
        };
    }
    onExpendRowFailed(rowIndex) {
        return () => {
            delete this.loadingChildRows[rowIndex];
            this.failedChildRows[rowIndex] = true;
            this.cdr.detectChanges();
        };
    }
    static { this.ɵfac = function TableBasicComponent_Factory(t) { return new (t || TableBasicComponent)(i0.ɵɵdirectiveInject(i1.TableService), i0.ɵɵdirectiveInject(i0.ChangeDetectorRef), i0.ɵɵdirectiveInject(i0.ElementRef), i0.ɵɵdirectiveInject(i0.Renderer2), i0.ɵɵdirectiveInject(i0.Injector)); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: TableBasicComponent, selectors: [["", "fusionTableBasic", ""]], inputs: { rows: "rows", columns: "columns", expandedRows: "expandedRows", options: "options", tableClientWidth: "tableClientWidth", testId: "testId" }, outputs: { rowSelected: "rowSelected", expandRow: "expandRow" }, attrs: _c0$4, decls: 1, vars: 2, consts: [[4, "ngFor", "ngForOf", "ngForTrackBy"], ["fusionTableRow", "", 3, "rowIndex", "row", "columns", "options", "isRowSelected", "isExpanded", "isInnerRow", "testId", "ngClass", "ngStyle", "rowRemoved", "selectedChange", "expandRow"], [3, "ngTemplateOutlet", "ngTemplateOutletContext", 4, "ngIf"], ["childRowsTemplate", ""], ["multiRowColumns", ""], [3, "ngTemplateOutlet", "ngTemplateOutletContext"], [4, "fusionLoadMore", "fusionLoadMoreOf", "fusionLoadMoreChunkSize"], [4, "ngIf"], ["class", "full-cell failed", 4, "ngIf"], ["fusionTableRow", "", 1, "is-inner-row", 3, "rowIndex", "row", "columns", "options", "isExpanded", "isInnerRow", "ngClass", "hasAfterSticky", "ngStyle", "expandRow"], ["class", "full-cell load-more", 4, "ngIf"], [1, "full-cell", "load-more"], [3, "click"], [3, "fusionTableLoading", "fusionTableLoadingExpanding"], [1, "full-cell", "failed"], [4, "ngFor", "ngForOf"], ["fusionTableRow", "", 3, "rowIndex", "rowSpanIndex", "row", "columns", "options", "ngClass", "ngStyle"]], template: function TableBasicComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵtemplate(0, TableBasicComponent_ng_container_0_Template, 10, 21, "ng-container", 0);
        } if (rf & 2) {
            i0.ɵɵproperty("ngForOf", ctx.rows)("ngForTrackBy", ctx.trackByRowInvoke());
        } }, dependencies: [i2.NgClass, i2.NgForOf, i2.NgIf, i2.NgTemplateOutlet, i2.NgStyle, i3$1.LoadMoreDirective, TableLoadingComponent, TableRowComponent, i2.AsyncPipe, i6$1.GenericPipe], styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6[_ngcontent-%COMP%], .font-heading-5[_ngcontent-%COMP%], .font-heading-4[_ngcontent-%COMP%], .font-heading-3[_ngcontent-%COMP%], .font-heading-2[_ngcontent-%COMP%], .font-heading-1[_ngcontent-%COMP%]{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1[_ngcontent-%COMP%]{font-size:60px}.font-heading-2[_ngcontent-%COMP%]{font-size:32px}.font-heading-3[_ngcontent-%COMP%]{font-size:22px}.font-heading-4[_ngcontent-%COMP%]{font-size:18px}.font-heading-5[_ngcontent-%COMP%]{font-size:15px}.font-heading-6[_ngcontent-%COMP%]{font-size:13px}.font-heading-label[_ngcontent-%COMP%]{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}.font-caption[_ngcontent-%COMP%], .font-bodyXSmall[_ngcontent-%COMP%], .font-bodySmall[_ngcontent-%COMP%], .font-bodyMedium[_ngcontent-%COMP%], .font-bodyLarge[_ngcontent-%COMP%]{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}[_nghost-%COMP%]   a[_ngcontent-%COMP%], .font-bodyXSmallStrong[_ngcontent-%COMP%], .font-bodySmallStrong[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-size:16px}.font-bodyMedium[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%]{font-size:14px}.font-bodySmall[_ngcontent-%COMP%], .font-bodySmallStrong[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}.font-bodyXSmall[_ngcontent-%COMP%], .font-bodyXSmallStrong[_ngcontent-%COMP%]{font-size:12px;letter-spacing:.24px}.font-caption[_ngcontent-%COMP%]{font-size:11px}[_nghost-%COMP%]   a[_ngcontent-%COMP%]{text-decoration:none;color:var(--fu-primary-500, #3083FF);cursor:pointer}[_nghost-%COMP%]   a[_ngcontent-%COMP%]:link, [_nghost-%COMP%]   a[_ngcontent-%COMP%]:visited, [_nghost-%COMP%]   a[_ngcontent-%COMP%]:hover, [_nghost-%COMP%]   a[_ngcontent-%COMP%]:active{color:var(--fu-primary-500, #3083FF)}@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}[_nghost-%COMP%]   .full-cell[_ngcontent-%COMP%]{height:48px}[_nghost-%COMP%]   .full-cell.load-more[_ngcontent-%COMP%], [_nghost-%COMP%]   .full-cell.failed[_ngcontent-%COMP%]{height:27px}[_nghost-%COMP%]   .full-cell.load-more[_ngcontent-%COMP%]   p[_ngcontent-%COMP%], [_nghost-%COMP%]   .full-cell.failed[_ngcontent-%COMP%]   p[_ngcontent-%COMP%]{margin:0}[_nghost-%COMP%]   tr.is-row-in-request[_ngcontent-%COMP%]{pointer-events:none}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TableBasicComponent, [{
        type: Component,
        args: [{ selector: '[fusionTableBasic]', changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-container *ngFor=\"let row of rows; trackBy: trackByRowInvoke(); let rowIndex = index\">\n    <!--First parent row-->\n    <tr\n        fusionTableRow\n        [rowIndex]=\"rowIndex\"\n        [row]=\"row\"\n        [columns]=\"columns\"\n        [options]=\"options\"\n        [isRowSelected]=\"rowIsSelected | generic:row\"\n        [isExpanded]=\"isExpanded(rowIndex)\"\n        [isInnerRow]=\"false\"\n        [class.is-row-in-request]=\"tableService.rowsMetadata[row['_rowId']]?.inRequest\"\n        [testId]=\"testId\"\n        (rowRemoved)=\"tableService.removeRow({rows: rows, rowIndex: rowIndex, row: row, options: options})\"\n        (selectedChange)=\"tableService.onRowSelectChanged($event, row)\"\n        (expandRow)=\"onExpandRow($event)\"\n        [ngClass]=\"rowClass | generic:row:rowIndex\"\n        [ngStyle]=\"!!options.rowsOptions && !!options.rowsOptions.global ? options.rowsOptions.global.style : null\"\n    ></tr>\n    <!--First parent row END-->\n    <!--Rowspan rows if any-->\n    <ng-container *ngIf=\"tableService.rowsMetadata[row['_rowId']]?.rowspanColumnsData as rowSpanData\"\n                  [ngTemplateOutlet]=\"multiRowColumns\"\n                  [ngTemplateOutletContext]=\"{$implicit: row, rowIndex: rowIndex, rowSpanData: rowSpanData}\">\n\n    </ng-container>\n    <!--Rowspan rows if any END-->\n    <!--Child rows-->\n    <ng-container\n        *ngIf=\"displayExpandableRows(rowIndex)\"\n        [ngTemplateOutlet]=\"childRowsTemplate\"\n        [ngTemplateOutletContext]=\"{$implicit: row[options.rowsExpandableOptions.key], parentIndex: rowIndex}\"\n    >\n    </ng-container>\n    <!--Child rows END-->\n    <!--Recursive template for child rows render-->\n    <ng-template #childRowsTemplate let-parentRowChildren let-parentIndex=\"parentIndex\">\n        <ng-container *fusionLoadMore=\"let displayRows$ of parentRowChildren; chunkSize: options.rowsExpandableOptions?.expendChunkSize || 10; let loadMore = loadMore; let hasMore$ = hasMore$;\">\n            <ng-container\n                *ngFor=\"let innerRow of displayRows$ | async; trackBy: trackByRowInvoke(); let innerRowIndex = index; let last = last\"\n            >\n                <tr\n                    fusionTableRow\n                    class=\"is-inner-row\"\n                    [rowIndex]=\"parentIndex + '_' + innerRowIndex\"\n                    [row]=\"innerRow\"\n                    [columns]=\"options.rowsExpandableOptions.columns\"\n                    [options]=\"childRowOptions\"\n                    [isExpanded]=\"isExpanded(parentIndex + '_' + innerRowIndex)\"\n                    [isInnerRow]=\"true\"\n                    [ngClass]=\"rowClass | generic:innerRow:innerRowIndex\"\n                    [hasAfterSticky]=\"hasAfterSticky(last, hasMore$ | async, parentIndex + '_' + innerRowIndex)\"\n                    [ngStyle]=\"!!options.rowsOptions && !!options.rowsOptions.global ? options.rowsOptions.global.style : null\"\n                    (expandRow)=\"onExpandRow($event)\"\n                ></tr>\n                <tr class=\"full-cell load-more\" *ngIf=\"!loadingChildRows[parentIndex] && (hasMore$ | async) && last\">\n                    <td [attr.colspan]=\"fullCellColspan\">\n                        <a [style.margin-left.px]=\"getHalfTableClientWidth\" (click)=\"loadMore()\">Load more</a>\n                    </td>\n                </tr>\n                <!--recursive template invocation-->\n                <ng-container\n                    *ngIf=\"displayExpandableRows(parentIndex + '_' + innerRowIndex) && getInnerRows(parentIndex + '_' + innerRowIndex) as innerRows\"\n                    [ngTemplateOutlet]=\"childRowsTemplate\"\n                    [ngTemplateOutletContext]=\"{\n                        $implicit: innerRows,\n                        parentIndex: parentIndex + '_' + innerRowIndex\n                    }\"\n                >\n                </ng-container>\n            </ng-container>\n        </ng-container>\n        <ng-container *ngIf=\"loadingChildRows[parentIndex]\">\n            <tr [fusionTableLoading]=\"fullCellColspan\" [fusionTableLoadingExpanding]=\"true\"></tr>\n        </ng-container>\n        <tr class=\"full-cell failed\" *ngIf=\"failedChildRows[parentIndex]\">\n            <td [attr.colspan]=\"fullCellColspan\">\n                <p [style.margin-left.px]=\"getHalfTableClientWidth - 80\">\n                    Failed to load data...\n                    <a (click)=\"onExpandRow({rowIndex: rowIndex, row: row, isExpanded: true})\">Try again</a>\n                </p>\n            </td>\n        </tr>\n    </ng-template>\n    <!--Recursive template for child rows render END-->\n    <!--additional row-span rows-->\n    <ng-template #multiRowColumns let-row let-rowIndex=\"rowIndex\" let-rowSpanData=rowSpanData>\n        <ng-container *ngFor=\"let idx of rowRowspanIndexes | generic:row\">\n            <tr\n                fusionTableRow\n                [rowIndex]=\"rowIndex\"\n                [rowSpanIndex]=\"idx\"\n                [row]=\"row\"\n                [columns]=\"columns\"\n                [options]=\"options\"\n                [class.is-row-in-request]=\"tableService.rowsMetadata[row['_rowId']]?.inRequest\"\n                [ngClass]=\"rowClass | generic:row:rowIndex\"\n                [ngStyle]=\"!!options.rowsOptions && !!options.rowsOptions.global ? options.rowsOptions.global.style : null\"\n            ></tr>\n        </ng-container>\n    </ng-template>\n    <!--additional rows END`-->\n</ng-container>\n", styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6,.font-heading-5,.font-heading-4,.font-heading-3,.font-heading-2,.font-heading-1{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1{font-size:60px}.font-heading-2{font-size:32px}.font-heading-3{font-size:22px}.font-heading-4{font-size:18px}.font-heading-5{font-size:15px}.font-heading-6{font-size:13px}.font-heading-label{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}.font-caption,.font-bodyXSmall,.font-bodySmall,.font-bodyMedium,.font-bodyLarge{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}:host a,.font-bodyXSmallStrong,.font-bodySmallStrong,.font-bodyMediumStrong,.font-bodyLargeStrong{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge,.font-bodyLargeStrong{font-size:16px}.font-bodyMedium,.font-bodyMediumStrong{font-size:14px}.font-bodySmall,.font-bodySmallStrong{font-size:13px;letter-spacing:.24px}.font-bodyXSmall,.font-bodyXSmallStrong{font-size:12px;letter-spacing:.24px}.font-caption{font-size:11px}:host a{text-decoration:none;color:var(--fu-primary-500, #3083FF);cursor:pointer}:host a:link,:host a:visited,:host a:hover,:host a:active{color:var(--fu-primary-500, #3083FF)}@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}:host .full-cell{height:48px}:host .full-cell.load-more,:host .full-cell.failed{height:27px}:host .full-cell.load-more p,:host .full-cell.failed p{margin:0}:host tr.is-row-in-request{pointer-events:none}\n"] }]
    }], () => [{ type: i1.TableService }, { type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.Renderer2 }, { type: i0.Injector }], { rows: [{
            type: Input
        }], columns: [{
            type: Input
        }], expandedRows: [{
            type: Input
        }], options: [{
            type: Input
        }], tableClientWidth: [{
            type: Input
        }], testId: [{
            type: Input
        }], rowSelected: [{
            type: Output
        }], expandRow: [{
            type: Output
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(TableBasicComponent, { className: "TableBasicComponent", filePath: "components/table-basic/table-basic.component.ts", lineNumber: 35 }); })();

const _c0$3 = ["fusionTableEmpty", ""];
function TableEmptyComponent_ng_container_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelement(1, "fusion-dynamic-components", 2);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("configuration", ctx_r0.customContent);
} }
function TableEmptyComponent_ng_container_3_div_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 6);
    i0.ɵɵelement(1, "fusion-icon", 7);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r2 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵproperty("name", ctx_r2.icon);
} }
function TableEmptyComponent_ng_container_3_div_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "div", 8);
} if (rf & 2) {
    const ctx_r3 = i0.ɵɵnextContext(2);
    i0.ɵɵstyleProp("background-image", ctx_r3.imageBackground);
} }
function TableEmptyComponent_ng_container_3_div_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 9);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r4 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r4.subHeader);
} }
function TableEmptyComponent_ng_container_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, TableEmptyComponent_ng_container_3_div_1_Template, 2, 1, "div", 3)(2, TableEmptyComponent_ng_container_3_div_2_Template, 1, 2, "div", 4);
    i0.ɵɵelementStart(3, "label");
    i0.ɵɵtext(4);
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(5, TableEmptyComponent_ng_container_3_div_5_Template, 2, 1, "div", 5);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r1.icon);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r1.showNoDataImage && !ctx_r1.icon);
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(ctx_r1.header);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r1.subHeader);
} }
class TableEmptyComponent {
    constructor(sanitizer) {
        this.sanitizer = sanitizer;
        this.showNoDataImage = true;
    }
    get imageBackground() {
        return this.imageBackgroundUrl ? this.sanitizer.bypassSecurityTrustStyle(`url(${this.imageBackgroundUrl})`) : null;
    }
    static { this.ɵfac = function TableEmptyComponent_Factory(t) { return new (t || TableEmptyComponent)(i0.ɵɵdirectiveInject(i1$1.DomSanitizer)); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: TableEmptyComponent, selectors: [["", "fusionTableEmpty", ""]], inputs: { fusionTableEmpty: "fusionTableEmpty", customContent: "customContent", header: "header", subHeader: "subHeader", icon: "icon", imageBackgroundUrl: "imageBackgroundUrl", showNoDataImage: "showNoDataImage" }, attrs: _c0$3, decls: 4, vars: 3, consts: [[1, "is-nodata"], [4, "ngIf"], [3, "configuration"], ["class", "icon-container", 4, "ngIf"], ["class", "no-data-img", 3, "background-image", 4, "ngIf"], ["class", "is-nodata-sub", 4, "ngIf"], [1, "icon-container"], [1, "empty-table-icon", 3, "name"], [1, "no-data-img"], [1, "is-nodata-sub"]], template: function TableEmptyComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "tr")(1, "td", 0);
            i0.ɵɵtemplate(2, TableEmptyComponent_ng_container_2_Template, 2, 1, "ng-container", 1)(3, TableEmptyComponent_ng_container_3_Template, 6, 4, "ng-container", 1);
            i0.ɵɵelementEnd()();
        } if (rf & 2) {
            i0.ɵɵadvance();
            i0.ɵɵattribute("colspan", ctx.fusionTableEmpty);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.customContent);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", !ctx.customContent);
        } }, dependencies: [i2.NgIf, i3.IconComponent, i7.DynamicComponentsComponent], styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6[_ngcontent-%COMP%], .font-heading-5[_ngcontent-%COMP%], .font-heading-4[_ngcontent-%COMP%], .font-heading-3[_ngcontent-%COMP%], .font-heading-2[_ngcontent-%COMP%], .font-heading-1[_ngcontent-%COMP%]{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1[_ngcontent-%COMP%]{font-size:60px}.font-heading-2[_ngcontent-%COMP%]{font-size:32px}.font-heading-3[_ngcontent-%COMP%]{font-size:22px}.font-heading-4[_ngcontent-%COMP%]{font-size:18px}.font-heading-5[_ngcontent-%COMP%]{font-size:15px}.font-heading-6[_ngcontent-%COMP%]{font-size:13px}.font-heading-label[_ngcontent-%COMP%]{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}.font-caption[_ngcontent-%COMP%], .font-bodyXSmall[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-nodata[_ngcontent-%COMP%]   .is-nodata-sub[_ngcontent-%COMP%], .font-bodySmall[_ngcontent-%COMP%], .font-bodyMedium[_ngcontent-%COMP%], .font-bodyLarge[_ngcontent-%COMP%]{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong[_ngcontent-%COMP%], .font-bodySmallStrong[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-nodata[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge[_ngcontent-%COMP%]{font-size:16px}[_nghost-%COMP%]   .is-nodata[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-size:16px}.font-bodyMedium[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%]{font-size:14px}[_nghost-%COMP%]   .is-nodata[_ngcontent-%COMP%]   .is-nodata-sub[_ngcontent-%COMP%], .font-bodySmall[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}.font-bodySmallStrong[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}.font-bodyXSmall[_ngcontent-%COMP%], .font-bodyXSmallStrong[_ngcontent-%COMP%]{font-size:12px;letter-spacing:.24px}.font-caption[_ngcontent-%COMP%]{font-size:11px}[_nghost-%COMP%]   .is-nodata[_ngcontent-%COMP%]   .no-data-img[_ngcontent-%COMP%]{background:url(\"data:image/svg+xml,%3Csvg fill='none' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 80 80'%3E%3Ccircle cx='40' cy='40' r='40' fill='%23F1F3F4'/%3E%3Crect x='33.816' y='40.348' width='9.739' height='26.307' rx='4.87' transform='rotate(44.722 33.816 40.348)' fill='%2353575B'/%3E%3Ccircle transform='matrix(-1 0 0 1 43.13 36.87)' fill='%2353575B' r='20.174'/%3E%3Ccircle transform='matrix(-1 0 0 1 43.13 36.87)' fill='%23DDDFE1' r='15.304'/%3E%3C/svg%3E\") center center no-repeat}@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}[_nghost-%COMP%]   .is-nodata[_ngcontent-%COMP%]{text-align:center;color:var(--fu-black-200, #696A6B);padding:48px 0}[_nghost-%COMP%]   .is-nodata[_ngcontent-%COMP%]:hover{background-color:var(--fu-white, #ffffff)}[_nghost-%COMP%]   .is-nodata[_ngcontent-%COMP%]   .is-nodata-sub[_ngcontent-%COMP%]{padding-top:5px}[_nghost-%COMP%]   .is-nodata[_ngcontent-%COMP%]   .icon-container[_ngcontent-%COMP%]{padding-bottom:24px}[_nghost-%COMP%]   .is-nodata[_ngcontent-%COMP%]   .icon-container[_ngcontent-%COMP%]   fusion-icon[class^=empty-table-icon][_ngcontent-%COMP%]     svg{height:51px;width:42px}[_nghost-%COMP%]   .is-nodata[_ngcontent-%COMP%]   .icon-container[_ngcontent-%COMP%]   fusion-icon[class^=empty-table-icon][_ngcontent-%COMP%]     svg *{fill:var(--fu-light-600, #B7BBC0)}[_nghost-%COMP%]   .is-nodata[_ngcontent-%COMP%]   .no-data-img[_ngcontent-%COMP%]{display:block;height:112px;margin-bottom:24px}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TableEmptyComponent, [{
        type: Component,
        args: [{ selector: '[fusionTableEmpty]', changeDetection: ChangeDetectionStrategy.OnPush, template: "<tr>\n    <td class=\"is-nodata\" [attr.colspan]=\"fusionTableEmpty\">\n        <ng-container *ngIf=\"customContent\">\n            <fusion-dynamic-components [configuration]=\"customContent\"></fusion-dynamic-components>\n        </ng-container>\n        <ng-container *ngIf=\"!customContent\">\n            <div class=\"icon-container\" *ngIf=\"icon\">\n                <fusion-icon class=\"empty-table-icon\" [name]=\"icon\"></fusion-icon>\n            </div>\n            <div *ngIf=\"showNoDataImage && !icon\" class=\"no-data-img\" [style.background-image]=\"imageBackground\"></div>\n            <label>{{ header }}</label>\n            <div class=\"is-nodata-sub\" *ngIf=\"subHeader\">{{ subHeader }}</div>\n        </ng-container>\n    </td>\n</tr>\n", styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6,.font-heading-5,.font-heading-4,.font-heading-3,.font-heading-2,.font-heading-1{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1{font-size:60px}.font-heading-2{font-size:32px}.font-heading-3{font-size:22px}.font-heading-4{font-size:18px}.font-heading-5{font-size:15px}.font-heading-6{font-size:13px}.font-heading-label{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}.font-caption,.font-bodyXSmall,:host .is-nodata .is-nodata-sub,.font-bodySmall,.font-bodyMedium,.font-bodyLarge{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong,.font-bodySmallStrong,.font-bodyMediumStrong,:host .is-nodata,.font-bodyLargeStrong{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge{font-size:16px}:host .is-nodata,.font-bodyLargeStrong{font-size:16px}.font-bodyMedium,.font-bodyMediumStrong{font-size:14px}:host .is-nodata .is-nodata-sub,.font-bodySmall{font-size:13px;letter-spacing:.24px}.font-bodySmallStrong{font-size:13px;letter-spacing:.24px}.font-bodyXSmall,.font-bodyXSmallStrong{font-size:12px;letter-spacing:.24px}.font-caption{font-size:11px}:host .is-nodata .no-data-img{background:url(\"data:image/svg+xml,%3Csvg fill='none' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 80 80'%3E%3Ccircle cx='40' cy='40' r='40' fill='%23F1F3F4'/%3E%3Crect x='33.816' y='40.348' width='9.739' height='26.307' rx='4.87' transform='rotate(44.722 33.816 40.348)' fill='%2353575B'/%3E%3Ccircle transform='matrix(-1 0 0 1 43.13 36.87)' fill='%2353575B' r='20.174'/%3E%3Ccircle transform='matrix(-1 0 0 1 43.13 36.87)' fill='%23DDDFE1' r='15.304'/%3E%3C/svg%3E\") center center no-repeat}@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}:host .is-nodata{text-align:center;color:var(--fu-black-200, #696A6B);padding:48px 0}:host .is-nodata:hover{background-color:var(--fu-white, #ffffff)}:host .is-nodata .is-nodata-sub{padding-top:5px}:host .is-nodata .icon-container{padding-bottom:24px}:host .is-nodata .icon-container fusion-icon[class^=empty-table-icon] ::ng-deep svg{height:51px;width:42px}:host .is-nodata .icon-container fusion-icon[class^=empty-table-icon] ::ng-deep svg *{fill:var(--fu-light-600, #B7BBC0)}:host .is-nodata .no-data-img{display:block;height:112px;margin-bottom:24px}\n"] }]
    }], () => [{ type: i1$1.DomSanitizer }], { fusionTableEmpty: [{
            type: Input
        }], customContent: [{
            type: Input
        }], header: [{
            type: Input
        }], subHeader: [{
            type: Input
        }], icon: [{
            type: Input
        }], imageBackgroundUrl: [{
            type: Input
        }], showNoDataImage: [{
            type: Input
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(TableEmptyComponent, { className: "TableEmptyComponent", filePath: "components/table-empty/table-empty.component.ts", lineNumber: 12 }); })();

const _c0$2 = ["fusionTableRowGrouped", ""];
const _c1$1 = (a0, a1) => ({ x: a0, y: a1 });
function TableRowGroupedComponent_td_0_Template(rf, ctx) { if (rf & 1) {
    const _r5 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "td", 1);
    i0.ɵɵlistener("remove", function TableRowGroupedComponent_td_0_Template_td_remove_0_listener() { i0.ɵɵrestoreView(_r5); const ctx_r4 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r4.rowRemoved.emit()); })("selectedChange", function TableRowGroupedComponent_td_0_Template_td_selectedChange_0_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r6 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r6.onRowSelectedChange($event)); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const cell_r1 = ctx.$implicit;
    const cellIndex_r2 = ctx.index;
    const isLast_r3 = ctx.last;
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵstyleProp("width", ctx_r0.tableService.getWidth(ctx_r0.columns, ctx_r0.columns[ctx_r0.getColumnIndex(ctx_r0.row.data, cellIndex_r2)]));
    i0.ɵɵproperty("data", ctx_r0.getCellValue(cell_r1, ctx_r0.columns[ctx_r0.getColumnIndex(ctx_r0.row.data, cellIndex_r2)]))("column", ctx_r0.columns[ctx_r0.getColumnIndex(ctx_r0.row.data, cellIndex_r2)])("position", i0.ɵɵpureFunction2(8, _c1$1, ctx_r0.rowIndex, cellIndex_r2))("options", ctx_r0.options)("isRemove", ctx_r0.tableService.isRemove(isLast_r3, ctx_r0.options, ctx_r0.row.options));
    i0.ɵɵattribute("rowspan", ctx_r0.getCellRowspan(cell_r1));
} }
class TableRowGroupedComponent {
    constructor(tableService) {
        this.tableService = tableService;
        this.rowRemoved = new EventEmitter();
        this.selectedChanged = new EventEmitter();
        this.isRowSelected = false;
    }
    getCellRowspan(cell) {
        return typeof cell === 'object' && cell ? cell.rowspan : undefined;
    }
    getCellValue(cell, column) {
        if (!cell) {
            return cell;
        }
        else if (typeof cell !== 'object') {
            return cell;
        }
        else if (this.tableService.isTypeComponent(column)) {
            return cell.value ? cell.value : cell;
        }
        else {
            return cell.value;
        }
    }
    getColumnIndex(row, cellIndex) {
        return this.columns.length - row.length + cellIndex;
    }
    onRowSelectedChange(value) {
        this.selectedChanged.emit(value);
        this.isRowSelected = value;
    }
    static { this.ɵfac = function TableRowGroupedComponent_Factory(t) { return new (t || TableRowGroupedComponent)(i0.ɵɵdirectiveInject(i1.TableService)); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: TableRowGroupedComponent, selectors: [["", "fusionTableRowGrouped", ""]], hostVars: 2, hostBindings: function TableRowGroupedComponent_HostBindings(rf, ctx) { if (rf & 2) {
            i0.ɵɵclassProp("is-selected", ctx.isRowSelected);
        } }, inputs: { row: "row", columns: "columns", rowIndex: "rowIndex", options: "options" }, outputs: { rowRemoved: "rowRemoved", selectedChanged: "selectedChanged" }, attrs: _c0$2, decls: 1, vars: 1, consts: [["fusionTableCell", "", 3, "data", "column", "position", "options", "isRemove", "width", "remove", "selectedChange", 4, "ngFor", "ngForOf"], ["fusionTableCell", "", 3, "data", "column", "position", "options", "isRemove", "remove", "selectedChange"]], template: function TableRowGroupedComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵtemplate(0, TableRowGroupedComponent_td_0_Template, 1, 11, "td", 0);
        } if (rf & 2) {
            i0.ɵɵproperty("ngForOf", ctx.row.data);
        } }, dependencies: [i2.NgForOf, TableCellComponent], styles: ["[_nghost-%COMP%]:hover{background-color:var(--light-color-200, #F3F5F7)}.is-selected[_nghost-%COMP%]{background-color:var(--primary-color-100, #F3F9FF)}.is-row-disabled[_nghost-%COMP%]   td[_ngcontent-%COMP%]{color:var(--light-color-800, #678099);pointer-events:none}.is-row-disabled[_nghost-%COMP%]   td[_ngcontent-%COMP%]   fusion-icon[_ngcontent-%COMP%]{opacity:.6}"] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TableRowGroupedComponent, [{
        type: Component,
        args: [{ selector: '[fusionTableRowGrouped]', template: "<td *ngFor=\"let cell of row.data; let cellIndex = index; let isLast = last\"\n    [attr.rowspan]=\"getCellRowspan(cell)\"\n    fusionTableCell\n    [data]=\"getCellValue(cell, columns[getColumnIndex(row.data, cellIndex)])\"\n    [column]=\"columns[getColumnIndex(row.data, cellIndex)]\"\n    [position]=\"{x: rowIndex, y: cellIndex}\"\n    [options]=\"options\"\n    [isRemove]=\"tableService.isRemove(isLast, options, row.options)\"\n    (remove)=\"rowRemoved.emit()\"\n    (selectedChange)=\"onRowSelectedChange($event)\"\n    [style.width]=\"tableService.getWidth(columns, columns[getColumnIndex(row.data, cellIndex)])\"\n>\n</td>\n", styles: [":host:hover{background-color:var(--light-color-200, #F3F5F7)}:host.is-selected{background-color:var(--primary-color-100, #F3F9FF)}:host.is-row-disabled td{color:var(--light-color-800, #678099);pointer-events:none}:host.is-row-disabled td fusion-icon{opacity:.6}\n"] }]
    }], () => [{ type: i1.TableService }], { row: [{
            type: Input
        }], columns: [{
            type: Input
        }], rowIndex: [{
            type: Input
        }], options: [{
            type: Input
        }], rowRemoved: [{
            type: Output
        }], selectedChanged: [{
            type: Output
        }], isRowSelected: [{
            type: HostBinding,
            args: ['class.is-selected']
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(TableRowGroupedComponent, { className: "TableRowGroupedComponent", filePath: "components/table-row-grouped/table-row-grouped.component.ts", lineNumber: 10 }); })();

const _c0$1 = ["fusionTableGrouped", ""];
function TableGroupedComponent_tr_0_Template(rf, ctx) { if (rf & 1) {
    const _r4 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "tr", 1);
    i0.ɵɵlistener("rowRemoved", function TableGroupedComponent_tr_0_Template_tr_rowRemoved_0_listener() { const restoredCtx = i0.ɵɵrestoreView(_r4); const row_r1 = restoredCtx.$implicit; const rowIndex_r2 = restoredCtx.index; const ctx_r3 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r3.tableService.removeRow({ rows: ctx_r3.tableBody, row: row_r1, options: ctx_r3.options, rowIndex: rowIndex_r2 })); })("selectedChanged", function TableGroupedComponent_tr_0_Template_tr_selectedChanged_0_listener($event) { const restoredCtx = i0.ɵɵrestoreView(_r4); const row_r1 = restoredCtx.$implicit; const ctx_r5 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r5.onRowSelectChanged($event, row_r1)); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const row_r1 = ctx.$implicit;
    const rowIndex_r2 = ctx.index;
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵproperty("row", row_r1)("ngClass", ctx_r0.getClass(row_r1))("columns", ctx_r0.columns)("rowIndex", rowIndex_r2)("options", ctx_r0.options);
} }
class TableGroupedComponent {
    constructor(tableService) {
        this.tableService = tableService;
        this.options = null;
        // eslint-disable-next-line
        this.rowSelected = new EventEmitter();
        this.tableBody = [];
    }
    ngOnChanges(changes) {
        this.tableBody = [];
        if (changes.rows.currentValue) {
            const initArray = !isUndefined(this.rows.value)
                ? [
                    {
                        value: this.rows.value,
                        rowspan: this.rows.children.length
                    }
                ]
                : [];
            this._buildTable(this.rows.children, initArray);
        }
    }
    _buildTable(rows, parentValues, options) {
        let values;
        for (let index = 0; index < rows.length; index++) {
            const row = rows[index];
            if (!row.children) {
                const rowData = row.data || row;
                values = index === 0 ? [...parentValues, ...rowData] : rowData;
                const rowOptions = (index === 0 ? options : row.options) || {};
                this.tableBody.push({ data: values, options: rowOptions });
            }
            else {
                if (index === 0) {
                    const newParentValues = parentValues.map(obj => {
                        return {
                            value: obj.value,
                            rowspan: obj.rowspan * row.children.length
                        };
                    });
                    values = [...newParentValues, { value: row.value, rowspan: row.children.length }];
                }
                else {
                    values = [{ value: row.value, rowspan: row.children.length }];
                }
                this._buildTable(row.children, values, row.options);
            }
        }
    }
    getClass(row) {
        return row.options && row.options.class;
    }
    onRowSelectChanged(isSelected, row) {
        this.rowSelected.emit({ isSelected, row });
    }
    static { this.ɵfac = function TableGroupedComponent_Factory(t) { return new (t || TableGroupedComponent)(i0.ɵɵdirectiveInject(i1.TableService)); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: TableGroupedComponent, selectors: [["", "fusionTableGrouped", ""]], inputs: { rows: "rows", columns: "columns", options: "options" }, outputs: { rowSelected: "rowSelected" }, features: [i0.ɵɵNgOnChangesFeature], attrs: _c0$1, decls: 1, vars: 1, consts: [["fusionTableRowGrouped", "", 3, "row", "ngClass", "columns", "rowIndex", "options", "rowRemoved", "selectedChanged", 4, "ngFor", "ngForOf"], ["fusionTableRowGrouped", "", 3, "row", "ngClass", "columns", "rowIndex", "options", "rowRemoved", "selectedChanged"]], template: function TableGroupedComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵtemplate(0, TableGroupedComponent_tr_0_Template, 1, 5, "tr", 0);
        } if (rf & 2) {
            i0.ɵɵproperty("ngForOf", ctx.tableBody);
        } }, dependencies: [i2.NgClass, i2.NgForOf, TableRowGroupedComponent], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TableGroupedComponent, [{
        type: Component,
        args: [{ selector: '[fusionTableGrouped]', changeDetection: ChangeDetectionStrategy.OnPush, template: "<tr\n    *ngFor=\"let row of tableBody; let rowIndex = index\"\n    fusionTableRowGrouped\n    [row]=\"row\"\n    [ngClass]=\"getClass(row)\"\n    [columns]=\"columns\"\n    [rowIndex]=\"rowIndex\"\n    [options]=\"options\"\n    (rowRemoved)=\"tableService.removeRow({rows: tableBody, row: row, options: options, rowIndex: rowIndex})\"\n    (selectedChanged)=\"onRowSelectChanged($event, row)\"\n></tr>\n" }]
    }], () => [{ type: i1.TableService }], { rows: [{
            type: Input
        }], columns: [{
            type: Input
        }], options: [{
            type: Input
        }], rowSelected: [{
            type: Output
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(TableGroupedComponent, { className: "TableGroupedComponent", filePath: "components/table-grouped/table-grouped.component.ts", lineNumber: 13 }); })();

const _c0 = ["stringCell"];
const _c1 = ["checkboxCell"];
const _c2 = ["templateCell"];
const _c3 = ["table"];
const _c4 = ["tableWrapper"];
const _c5 = ["tableBody"];
const _c6 = () => ({ iconName: "info", iconVersion: "v3" });
function TableComponent_div_0_ng_container_1_ng_container_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelement(1, "fusion-icon", 11);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const tableLabel_r9 = i0.ɵɵnextContext().ngIf;
    let tmp_1_0;
    i0.ɵɵadvance();
    i0.ɵɵproperty("fusionTooltip", tableLabel_r9.tooltip)("name", (tmp_1_0 = tableLabel_r9.icon) !== null && tmp_1_0 !== undefined ? tmp_1_0 : i0.ɵɵpureFunction0(2, _c6));
} }
function TableComponent_div_0_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "div", 10);
    i0.ɵɵpipe(2, "generic");
    i0.ɵɵtext(3);
    i0.ɵɵtemplate(4, TableComponent_div_0_ng_container_1_ng_container_4_Template, 2, 3, "ng-container", 4);
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const tableLabel_r9 = ctx.ngIf;
    const ctx_r7 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(2, 3, ctx_r7.testIdsService.getTestAttribute.bind(ctx_r7), ctx_r7.testId, ctx_r7.tableTestIdModifiers.LABEL));
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate1("", tableLabel_r9.text, " ");
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", tableLabel_r9.tooltip);
} }
function TableComponent_div_0_div_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 12);
    i0.ɵɵelement(1, "fusion-search", 13);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const searchOptions_r12 = ctx.ngIf;
    const ctx_r8 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵproperty("formControl", ctx_r8.searchFormControl)("placeholder", searchOptions_r12.placeholder)("testId", ctx_r8.testId);
} }
function TableComponent_div_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 8);
    i0.ɵɵtemplate(1, TableComponent_div_0_ng_container_1_Template, 5, 7, "ng-container", 4)(2, TableComponent_div_0_div_2_Template, 2, 3, "div", 9);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r0.options == null ? null : ctx_r0.options.tableLabel);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r0.options == null ? null : ctx_r0.options.searchOptions);
} }
function TableComponent_table_3_ng_container_2_thead_1_tr_1_td_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "td", 24);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const subheader_r25 = ctx.$implicit;
    const isFirst_r26 = ctx.first;
    const ctx_r24 = i0.ɵɵnextContext(5);
    i0.ɵɵclassProp("fu-border-left", !isFirst_r26);
    i0.ɵɵattribute("colspan", isFirst_r26 && !!(ctx_r24.options == null ? null : ctx_r24.options.rowsExpandableOptions) ? subheader_r25.colspan + 1 : subheader_r25.colspan);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", subheader_r25.name, " ");
} }
function TableComponent_table_3_ng_container_2_thead_1_tr_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "tr");
    i0.ɵɵtemplate(1, TableComponent_table_3_ng_container_2_thead_1_tr_1_td_1_Template, 2, 4, "td", 23);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r22 = i0.ɵɵnextContext(4);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngForOf", ctx_r22.subHeader);
} }
function TableComponent_table_3_ng_container_2_thead_1_td_3_fusion_multi_dropdown_11_Template(rf, ctx) { if (rf & 1) {
    const _r35 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-multi-dropdown", 32);
    i0.ɵɵlistener("selectedChange", function TableComponent_table_3_ng_container_2_thead_1_td_3_fusion_multi_dropdown_11_Template_fusion_multi_dropdown_selectedChange_0_listener($event) { i0.ɵɵrestoreView(_r35); const column_r27 = i0.ɵɵnextContext().$implicit; const ctx_r33 = i0.ɵɵnextContext(4); return i0.ɵɵresetView(ctx_r33.filterColumn(column_r27, $event)); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const column_r27 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵproperty("selected", column_r27.filter.selected)("options", column_r27.filter.options)("confirm", true)("search", true);
} }
function TableComponent_table_3_ng_container_2_thead_1_td_3_fusion_checkbox_12_Template(rf, ctx) { if (rf & 1) {
    const _r38 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-checkbox", 33);
    i0.ɵɵlistener("changed", function TableComponent_table_3_ng_container_2_thead_1_td_3_fusion_checkbox_12_Template_fusion_checkbox_changed_0_listener($event) { i0.ɵɵrestoreView(_r38); const ctx_r37 = i0.ɵɵnextContext(5); return i0.ɵɵresetView(ctx_r37.tableService.onRowsSelectChanged(ctx_r37.options.isGroupedTable, ctx_r37.rows, $event)); });
    i0.ɵɵpipe(1, "generic");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r32 = i0.ɵɵnextContext(5);
    i0.ɵɵproperty("checked", ctx_r32.tableService.isAllRowsSelected(ctx_r32.rows))("isIndeterminate", ctx_r32.tableService.isPartialSelected(ctx_r32.rows))("name", "rows_all");
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(1, 4, ctx_r32.testIdsService.getTestAttribute.bind(ctx_r32), ctx_r32.testId, ctx_r32.tableTestIdModifiers.COLUMN_HEADER_SELECT_ALL));
} }
function TableComponent_table_3_ng_container_2_thead_1_td_3_Template(rf, ctx) { if (rf & 1) {
    const _r40 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "td", 25);
    i0.ɵɵlistener("click", function TableComponent_table_3_ng_container_2_thead_1_td_3_Template_td_click_0_listener() { const restoredCtx = i0.ɵɵrestoreView(_r40); const column_r27 = restoredCtx.$implicit; const ctx_r39 = i0.ɵɵnextContext(4); return i0.ɵɵresetView(ctx_r39.onHeaderClicked(column_r27)); });
    i0.ɵɵpipe(1, "generic");
    i0.ɵɵelementContainerStart(2);
    i0.ɵɵelementStart(3, "div", 26);
    i0.ɵɵpipe(4, "generic");
    i0.ɵɵtext(5);
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(6, "div", 27);
    i0.ɵɵelement(7, "div", 28);
    i0.ɵɵpipe(8, "generic");
    i0.ɵɵelement(9, "div", 29);
    i0.ɵɵpipe(10, "generic");
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
    i0.ɵɵtemplate(11, TableComponent_table_3_ng_container_2_thead_1_td_3_fusion_multi_dropdown_11_Template, 1, 4, "fusion-multi-dropdown", 30)(12, TableComponent_table_3_ng_container_2_thead_1_td_3_fusion_checkbox_12_Template, 2, 8, "fusion-checkbox", 31);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const column_r27 = ctx.$implicit;
    const isLast_r28 = ctx.last;
    const isFirst_r29 = ctx.first;
    const idx_r30 = ctx.index;
    const ctx_r23 = i0.ɵɵnextContext(4);
    i0.ɵɵstyleProp("width", ctx_r23.tableService.setWidth(isLast_r28, column_r27.width))("text-align", column_r27.headerAlign)("top", ctx_r23.options == null ? null : ctx_r23.options.stickyHeaderTopOffset, "px");
    i0.ɵɵproperty("ngClass", ctx_r23.tableService.getColumnClasses(column_r27, true))("ngStyle", ctx_r23.tableService.getColumnStyle(column_r27));
    i0.ɵɵattribute("data-col-key", column_r27.key)("colspan", isFirst_r29 ? ctx_r23.tableService.expandLevels + 1 : undefined)("data-testid", i0.ɵɵpipeBind3(1, 20, ctx_r23.testIdsService.getTestAttribute.bind(ctx_r23), ctx_r23.testId, ctx_r23.tableTestIdModifiers.COLUMN_HEADER + idx_r30));
    i0.ɵɵadvance(3);
    i0.ɵɵclassProp("fu-tooltiped", column_r27.tooltip);
    i0.ɵɵproperty("fusionTooltip", column_r27.tooltip);
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(4, 24, ctx_r23.testIdsService.getTestAttribute.bind(ctx_r23), ctx_r23.testId, ctx_r23.tableTestIdModifiers.COLUMN_TITLE + idx_r30));
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(column_r27.title);
    i0.ɵɵadvance(2);
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(8, 28, ctx_r23.testIdsService.getTestAttribute.bind(ctx_r23), ctx_r23.testId, ctx_r23.tableTestIdModifiers.COLUMN_SORT_UP + idx_r30));
    i0.ɵɵadvance(2);
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(10, 32, ctx_r23.testIdsService.getTestAttribute.bind(ctx_r23), ctx_r23.testId, ctx_r23.tableTestIdModifiers.COLUMN_SORT_DOWN + idx_r30));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", column_r27.filter && column_r27.filter.options);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r23.tableService.isTypeCheckbox(column_r27) && ctx_r23.isAllRowsSelectable && !ctx_r23.isEmpty && ctx_r23.isCheckboxTitleShown);
} }
function TableComponent_table_3_ng_container_2_thead_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "thead", 20);
    i0.ɵɵtemplate(1, TableComponent_table_3_ng_container_2_thead_1_tr_1_Template, 2, 1, "tr", 4);
    i0.ɵɵelementStart(2, "tr", 21);
    i0.ɵɵtemplate(3, TableComponent_table_3_ng_container_2_thead_1_td_3_Template, 13, 36, "td", 22);
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const ctx_r17 = i0.ɵɵnextContext(3);
    i0.ɵɵproperty("hidden", (ctx_r17.isEmpty || ctx_r17.loading && !ctx_r17.isLoadingOverlay) && ctx_r17.hideHeaderOnEmpty);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r17.subHeader.length);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngStyle", !!ctx_r17.options.rowsOptions && !!ctx_r17.options.rowsOptions.headerRow ? ctx_r17.options.rowsOptions.headerRow.style : null);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngForOf", ctx_r17.columns)("ngForTrackBy", ctx_r17.trackByFunc);
} }
function TableComponent_table_3_ng_container_2_tbody_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "tbody", 34);
} if (rf & 2) {
    const ctx_r18 = i0.ɵɵnextContext(3);
    i0.ɵɵproperty("fusionTableLoading", ctx_r18.colsCount);
} }
function TableComponent_table_3_ng_container_2_tbody_3_Template(rf, ctx) { if (rf & 1) {
    const _r43 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "tbody", 35, 36);
    i0.ɵɵlistener("rowSelected", function TableComponent_table_3_ng_container_2_tbody_3_Template_tbody_rowSelected_0_listener($event) { i0.ɵɵrestoreView(_r43); const ctx_r42 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r42.selectionChanged.emit($event)); })("expandRow", function TableComponent_table_3_ng_container_2_tbody_3_Template_tbody_expandRow_0_listener($event) { i0.ɵɵrestoreView(_r43); const ctx_r44 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r44.doExpandRow($event)); })("click", function TableComponent_table_3_ng_container_2_tbody_3_Template_tbody_click_0_listener($event) { i0.ɵɵrestoreView(_r43); const ctx_r45 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r45.onTableBodyClicked($event)); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r19 = i0.ɵɵnextContext(3);
    i0.ɵɵproperty("rows", ctx_r19.tableRows)("columns", ctx_r19.columns)("options", ctx_r19.options)("tableClientWidth", ctx_r19.getTableClientWidth())("expandedRows", ctx_r19.expandedRows)("testId", ctx_r19.testId);
} }
function TableComponent_table_3_ng_container_2_ng_container_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelement(1, "tbody", 34);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r20 = i0.ɵɵnextContext(3);
    i0.ɵɵadvance();
    i0.ɵɵproperty("fusionTableLoading", ctx_r20.colsCount);
} }
function TableComponent_table_3_ng_container_2_tbody_5_Template(rf, ctx) { if (rf & 1) {
    const _r47 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "tbody", 37);
    i0.ɵɵlistener("rowSelected", function TableComponent_table_3_ng_container_2_tbody_5_Template_tbody_rowSelected_0_listener($event) { i0.ɵɵrestoreView(_r47); const ctx_r46 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r46.selectionChanged.emit($event)); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r21 = i0.ɵɵnextContext(3);
    i0.ɵɵproperty("rows", ctx_r21.groupedTableRows)("columns", ctx_r21.columns)("options", ctx_r21.options);
} }
function TableComponent_table_3_ng_container_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, TableComponent_table_3_ng_container_2_thead_1_Template, 4, 5, "thead", 17)(2, TableComponent_table_3_ng_container_2_tbody_2_Template, 1, 1, "tbody", 16)(3, TableComponent_table_3_ng_container_2_tbody_3_Template, 2, 6, "tbody", 18)(4, TableComponent_table_3_ng_container_2_ng_container_4_Template, 2, 1, "ng-container", 4)(5, TableComponent_table_3_ng_container_2_tbody_5_Template, 1, 3, "tbody", 19);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r14 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r14.columns.length);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r14.loading && !ctx_r14.isLoadingOverlay);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", !ctx_r14.options.isGroupedTable && (!ctx_r14.loading || ctx_r14.isLoadingOverlay) && !ctx_r14.isEmpty);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", (ctx_r14.options == null ? null : ctx_r14.options.pagination) && ctx_r14.options.pagination.loading);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r14.options.isGroupedTable && (!ctx_r14.loading || ctx_r14.isLoadingOverlay) && !ctx_r14.isEmpty);
} }
function TableComponent_table_3_tbody_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "tbody", 38);
} if (rf & 2) {
    const ctx_r15 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("fusionTableEmpty", ctx_r15.colsCount)("customContent", ctx_r15.options == null ? null : ctx_r15.options.customNoData)("header", ctx_r15.noDataMessage)("subHeader", ctx_r15.noDataSubMessage)("icon", ctx_r15.options == null ? null : ctx_r15.options.emptyTableIcon)("imageBackgroundUrl", ctx_r15.options == null ? null : ctx_r15.options.noDataImageBgUrl);
} }
function TableComponent_table_3_tbody_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "tbody", 34);
} if (rf & 2) {
    const ctx_r16 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("fusionTableLoading", ctx_r16.colsCount);
} }
function TableComponent_table_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "table", 5, 14);
    i0.ɵɵtemplate(2, TableComponent_table_3_ng_container_2_Template, 6, 5, "ng-container", 4)(3, TableComponent_table_3_tbody_3_Template, 1, 6, "tbody", 15)(4, TableComponent_table_3_tbody_4_Template, 1, 1, "tbody", 16);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r2 = i0.ɵɵnextContext();
    i0.ɵɵproperty("id", ctx_r2.id);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", ctx_r2.columns && ctx_r2.options);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", !ctx_r2.loading && ctx_r2.isEmpty);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r2.isEmpty && ctx_r2.loading);
} }
const _c7 = () => ({ iconName: "angle-up", iconVersion: "v3" });
function TableComponent_ng_container_4_Template(rf, ctx) { if (rf & 1) {
    const _r49 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "div", 39);
    i0.ɵɵlistener("click", function TableComponent_ng_container_4_Template_div_click_1_listener() { i0.ɵɵrestoreView(_r49); const ctx_r48 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r48.onClickReturnTop()); });
    i0.ɵɵpipe(2, "generic");
    i0.ɵɵelement(3, "fusion-icon", 40);
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(2, 2, ctx_r3.testIdsService.getTestAttribute.bind(ctx_r3), ctx_r3.testId, ctx_r3.tableTestIdModifiers.BUTTON_GO_TOP));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("name", i0.ɵɵpureFunction0(6, _c7));
} }
function TableComponent_div_7_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "div", 41);
} }
function TableComponent_ng_template_8_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "td", 42);
    i0.ɵɵelement(1, "span");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const isSubHeader_r50 = ctx.$implicit;
    const ctx_r5 = i0.ɵɵnextContext();
    i0.ɵɵstyleProp("top", ctx_r5.options == null ? null : ctx_r5.options.stickyHeaderTopOffset, "px");
    i0.ɵɵclassProp("fu-header-group", isSubHeader_r50)("sticky-left", ctx_r5.options == null ? null : ctx_r5.options.rowsExpandableOptions == null ? null : ctx_r5.options.rowsExpandableOptions.sticky);
} }
class TableComponent {
    /**
     * Table Options (configuration)
     * @param value: TableOptions
     */
    set options(value) {
        if (!isNullOrUndefined(value)) {
            this._options = value;
            this.tableService.hasRowspanRows = value.hasRowSpan ?? false;
            this.tableService.rowsExpandableKey = value.rowsExpandableOptions?.key;
        }
    }
    get options() {
        return this._options;
    }
    /**
     * Table columns configuration
     * columns: TableColumn[]
     */
    set columns(value) {
        if (Array.isArray(value)) {
            this._columns = value;
            this.subHeader = this.getSubHeaders(this._columns);
        }
    }
    /**
     * Table rows data
     * rows: {[key: string]: any}[]
     */
    set rows(value) {
        if (Array.isArray(value)) {
            this._rows = this.tableService.setRowsMetadata([...value]);
            this.initRows();
        }
    }
    /** @internal */
    set expandedRows(value) {
        this.onExternalExpandRowChanged(value);
        this._expandedRows = value;
    }
    get isFixedHeader() {
        return !isNullOrUndefined(this.options) && !isNullOrUndefined(this.options.stickyHeader) && this.options.stickyHeader;
    }
    get noTableFrame() {
        return !(!!this.options?.tableLabel || !!this.options?.searchOptions);
    }
    get noTableFooter() {
        return !this.noTableFrame && this.options?.noTableFooter;
    }
    get isEmpty() {
        return this.tableService.isTableEmpty(this.rows, this.options.isGroupedTable, this.options.hasTotalsRow);
    }
    get isLoading() {
        return this.loading;
    }
    get onVerticalScroll() {
        if (this.tableWrapperElement) {
            return this.tableWrapperElement.nativeElement.scrollTop > 0;
        }
    }
    get isCheckboxTitleShown() {
        return this.columns ? this.columns.some(column => column.type === TableColumnTypeEnum.Checkbox && column.title !== '') : false;
    }
    get isLoadingOverlay() {
        return (isNullOrUndefined(this.options) || // default - true
            isNullOrUndefined(this.options.isLoadingOverlayMode) || // default - true
            this.options.isLoadingOverlayMode // get from options
        );
    }
    get tableRows() {
        return this.rows;
    }
    get groupedTableRows() {
        return this.rows;
    }
    get colsCount() {
        let columnsCount = Array.isArray(this.columns) ? this.columns.length : 1;
        if (!!this.options && this.options.rowsExpandableOptions) {
            columnsCount += !!this.options.rowsExpandableOptions.expandLevels ? this.options.rowsExpandableOptions.expandLevels : 1;
        }
        return columnsCount;
    }
    get expandedRows() {
        return this._expandedRows;
    }
    get scrollElement() {
        const scrollElement = this.tableWrapperElement.nativeElement;
        if (this.options.scrollElementSelector) {
            return document.querySelector(this.options.scrollElementSelector) || scrollElement;
        }
        return scrollElement;
    }
    get rows() {
        return this._rows;
    }
    get columns() {
        return this._columns;
    }
    constructor(
    /** @internal */
    tableService, uniqueService, cdr, injector) {
        this.tableService = tableService;
        this.uniqueService = uniqueService;
        this.cdr = cdr;
        this.injector = injector;
        /** @internal */
        this.sortTableOnDataChanges = false;
        /**
         * On Sort changed
         */
        this.sortChanged = new EventEmitter();
        /**
         * On rows selection changed
         */
        this.selectionChanged = this.tableService.selectionChanged;
        /**
         * On Row model (data) changed
         */
        this.rowModelChange = this.tableService.rowModelChange;
        /**
         * On Row clicked
         */
        this.rowClicked = new EventEmitter();
        /**
         * On scroll down. Used for get new paged data portion
         */
        this.scrollDown = new EventEmitter();
        /**
         * On Row action clicked
         */
        this.rowActionClicked = this.tableService.rowActionClicked;
        /**
         * on expand icon clicked. No need in case static data and one expand level
         * @internal
         */
        this.expandRow = new EventEmitter();
        /**
         * two-way binding for expandedRows map used in case no expandRow subscription in host for sync this value
         * @internal
         */
        this.expandedRowsChange = new EventEmitter();
        /** @internal */
        this.isRowsInit = false;
        /** @internal */
        this.tableMainError = false;
        /** @internal */
        this.shownGoTopButton$ = new BehaviorSubject(false);
        /** @internal */
        this.subHeader = [];
        /** @internal */
        this.tableTestIdModifiers = TableTestIdModifiers;
        /** @internal */
        this.testIdsService = this.injector.get(TestIdsService);
        this._expandedRows = {};
        this.currentExpandedMap = {};
        this.onDestroy$ = new Subject();
        this._options = {};
        this._rows = [];
        this._columns = [];
        this.tableService.clearSelectedRows();
    }
    ngOnInit() {
        this.searchFormControl = new FormControl(this.options?.searchOptions?.initalValue || '');
        if (!!this.options.rowsExpandableOptions) {
            try {
                this.tableService.setExpandLevelByExpandOptions(this.options.rowsExpandableOptions);
            }
            catch (e) {
                this.tableMainError = true;
                throw new Error(e);
            }
        }
        const uniqueId = this.uniqueService.getUniqueId();
        this.id = this.id || `isTable${uniqueId}`;
        this.options.tableId = this.id;
        this.noDataMessage = isNullOrUndefined(this.options.noDataMessage) ? 'No Data to Display' : this.options.noDataMessage;
        this.noDataSubMessage = this.options.noDataSubMessage || '';
        this.hideHeaderOnEmpty = !isNullOrUndefined(this.options.hideHeaderOnEmpty) ? this.options.hideHeaderOnEmpty : false;
        this.isAllRowsSelectable = typeof this.options.isAllRowsSelectable === 'undefined' ? true : this.options.isAllRowsSelectable;
        this.scrollListeners();
        this.configIconNames = CONFIG_TABLE_BY_UI_STYLE[`style_v2`];
        this.wrapperClasses = this.getWrapperClasses();
        this.ignoredParentSelectorsRowClickEvent = ROW_CLICK_SUPPRESS_FOR_PARENT_SELECTORS.concat(this.options.rowsOptions?.ignoredParentSelectorsRowClickEvent ?? []);
        if (this.sortTableOnDataChanges && this.columns.find(col => !!col.sort)) {
            this.doLocalSorting();
        }
        this.searchFormControl.valueChanges.pipe(takeUntil(this.onDestroy$), debounceTime(500)).subscribe(value => {
            this.options?.searchOptions.onSearch.emit(value);
        });
    }
    ngOnDestroy() {
        this.onDestroy$.next();
        this.onDestroy$.complete();
    }
    /** @internal */
    onHeaderClicked(col) {
        if (!this.tableService.isColumnSortable(col)) {
            return;
        }
        const sortKey = col.key;
        if (!(this.options && this.options.sortingType && this.options.sortingType === 'external')) {
            this.localSorting(sortKey);
        }
        this.sortChanged.emit(sortKey);
    }
    /** @internal */
    filterColumn(column, filterIn) {
        if (column.filter.changed && column.filter.options) {
            const isAllFiltered = column.filter.options.length === filterIn.length || filterIn.length === 0;
            column.filter.changed.emit(isAllFiltered ? [] : filterIn);
        }
    }
    /** @internal */
    replaceSelectedRows({ selectedTableRows, iditicationFunc }) {
        this.tableService.replaceSelectedRows({ selectedTableRows, iditicationFunc });
    }
    /** @internal */
    doExpandRow({ rowIndex, row, isExpanded, successCallback, failedCallback, updateMap }) {
        if (!!this.expandRow.observers.length) {
            // has expandRow event subscription in host
            if (Array.isArray(this.rows)) {
                this.expandRow.emit({ rowIndex, row, isExpanded, successCallback, failedCallback, updateMap });
                this.currentExpandedMap = { ...this.currentExpandedMap, [rowIndex]: isExpanded };
            }
        }
        else {
            successCallback();
            this.updateExpandedRowsMap(rowIndex, isExpanded);
        }
    }
    /** @internal */
    trackByFunc(index, column) {
        return column && column.key ? column.key : index;
    }
    /** @internal */
    getTableClientWidth() {
        if (this.tableWrapperElement) {
            return this.tableWrapperElement.nativeElement.clientWidth;
        }
    }
    /** @internal */
    onTableBodyClicked($event) {
        if (!this.isElementChildOfSuppressed($event.target)) {
            const rowEl = $event.target.closest('tr');
            if (!isNullOrUndefined(rowEl)) {
                const rowIndex = rowEl.dataset.rowIdx;
                const rowData = this.rows[rowIndex];
                this.rowClicked.emit({ $event, rowIndex, rowEl, rowData });
            }
        }
    }
    /** @internal */
    onClickReturnTop() {
        const viewPortElement = this.scrollElement || document.documentElement;
        const currentScroll = viewPortElement.scrollTop || document.body.scrollTop;
        if (currentScroll > 0) {
            (function smoothScroll() {
                let currentScroll = viewPortElement.scrollTop || document.body.scrollTop;
                if (currentScroll > 0) {
                    window.requestAnimationFrame(smoothScroll);
                    viewPortElement.scrollTo(0, currentScroll - currentScroll / 8);
                }
            })();
        }
    }
    initRows() {
        if (!this.options?.isGroupedTable && this.rows?.length) {
            this.tableService.initSelectedRows(this.rows);
        }
        this.doLocalSorting();
        // check for rowspan columns
        this.tableService.setRowspanColumnsData(this.rows, this._columns.map(col => col.key));
    }
    getSubHeaders(columns) {
        if (columns.some(item => !!item.groupName)) {
            return columns.reduce((groups, column, idx, columns) => {
                if (column.groupName) {
                    groups.push({ name: column.groupName ?? '&nbsp;', colspan: 1 });
                }
                else {
                    if (groups[groups.length - 1] && groups[groups.length - 1].name) {
                        groups[groups.length - 1].colspan++;
                    }
                    else {
                        groups.push({ name: ' ', colspan: 1 });
                    }
                }
                return groups;
            }, []);
        }
        else {
            return [];
        }
    }
    doLocalSorting() {
        if (Array.isArray(this.rows) && this.columns && this.sortTableOnDataChanges) {
            const sortedColumn = this.columns.find(col => !!col.sort);
            if (sortedColumn) {
                sortedColumn.sort = sortedColumn.sort === 'asc' ? 'desc' : 'asc';
                this.localSorting(sortedColumn.key);
            }
        }
    }
    isElementChildOfSuppressed(element) {
        return this.ignoredParentSelectorsRowClickEvent.some((selector) => {
            return element.closest(selector);
        });
    }
    updateExpandedRowsMap(rowIndex, isExpanded) {
        this._expandedRows = { ...this._expandedRows, [rowIndex]: isExpanded };
        this.expandedRowsChange.emit(this._expandedRows);
    }
    onExternalExpandRowChanged(newValue) {
        const diffMap = this.getRowsToExpandToggle(this.currentExpandedMap, newValue);
        this.currentExpandedMap = newValue;
        if (diffMap.includes('default')) {
            const rowsInTable = this.rows.length;
            [...Array(rowsInTable).keys()].forEach(rowIndex => {
                this.callOnExpandRow({
                    rowIndex: rowIndex,
                    row: this.rows[rowIndex],
                    isExpanded: newValue['default']
                });
            });
        }
        else {
            diffMap.forEach(rowIndex => {
                this.callOnExpandRow({
                    rowIndex: parseInt(rowIndex, 10),
                    row: this.rows[rowIndex],
                    isExpanded: newValue[rowIndex]
                });
            });
        }
    }
    callOnExpandRow({ rowIndex, row, isExpanded }) {
        this.tableBodyComponent.onExpandRow({ rowIndex, row, isExpanded }, false);
    }
    getRowsToExpandToggle(curValue, newValue) {
        return Object.keys(newValue)
            .map(key => {
            if (newValue[key] !== curValue[key]) {
                return key;
            }
            return null;
        })
            .filter(Boolean);
    }
    getWrapperClasses() {
        const classes = [];
        if (!!this.options && !!this.options.rowHeight) {
            classes.push(`is-row-height-${this.options.rowHeight}`);
        }
        if (this.options?.stickyHeader && this.options?.scrollElementSelector) {
            classes.push(`fu-stocky-to-external`);
        }
        return classes;
    }
    scrollListeners() {
        defer(() => fromEvent(this.scrollElement, 'scroll').pipe(takeUntil(this.onDestroy$), tap(_ => {
            const scrollLeft = this.scrollElement.scrollLeft;
            if (this.lastScrollLeftValue !== scrollLeft) {
                this.isScrollRight = scrollLeft > 0;
                this.lastScrollLeftValue = scrollLeft;
                this.cdr.markForCheck();
            }
        }), debounceTime(10))).subscribe(this.onScroll.bind(this));
    }
    localSorting(sortKey) {
        let isAscSort;
        const tableRows = [...this.rows];
        // reset header sort options
        this.columns.forEach(col => {
            if (col.key !== sortKey) {
                if (!isUndefined(col.sort)) {
                    col.sort = '';
                }
            }
            else {
                col.sort = col.sort === '' ? 'asc' : col.sort === 'asc' ? 'desc' : 'asc';
                isAscSort = col.sort === 'asc';
            }
        });
        let totalRow = [];
        let otherRows = [];
        if (!isNullOrUndefined(this.options.hasTotalsRow) && this.options.hasTotalsRow) {
            totalRow = tableRows.slice(0, 1);
            otherRows = tableRows.slice(1);
        }
        else {
            otherRows = tableRows;
        }
        otherRows.sort((a, b) => {
            if (isNullOrUndefined(a[sortKey]) || isNullOrUndefined(b[sortKey])) {
                return 0;
            }
            // if data type - numeric
            if (!Array.isArray(a[sortKey]) && !isNaN(a[sortKey]) && !isNaN(b[sortKey]) && a[sortKey] - parseFloat(a[sortKey]) + 1 >= 0) {
                return isAscSort ? a[sortKey] - b[sortKey] : (a[sortKey] - b[sortKey]) * -1;
            }
            // if it string;
            const strA = a[sortKey].toString().toUpperCase();
            const strB = b[sortKey].toString().toUpperCase();
            if (strA < strB) {
                return isAscSort ? -1 : 1;
            }
            if (strA > strB) {
                return isAscSort ? 1 : -1;
            }
            return 0;
        });
        this._rows = [...totalRow, ...otherRows].filter(Boolean);
    }
    onScroll($event) {
        if (this.options.hasReturnToTopButton) {
            this.shownGoTopButton$.next(this.scrollElement.scrollTop > this.tableElement.nativeElement.offsetTop);
        }
        const target = $event.target || $event;
        if (!this.options.pagination || this.options.pagination.loading || !this.options.pagination.enable) {
            return;
        }
        const top = this.scrollElement.scrollTop;
        if (top >= this.tableElement.nativeElement.offsetHeight - this.scrollElement.offsetHeight - 100) {
            if (!this.options.pagination.handleLoadingFromHost) {
                this.options.pagination.loading = true;
            }
            this.scrollDown.emit(target);
        }
    }
    static { this.ɵfac = function TableComponent_Factory(t) { return new (t || TableComponent)(i0.ɵɵdirectiveInject(i1.TableService), i0.ɵɵdirectiveInject(i2$2.UniqueIdService), i0.ɵɵdirectiveInject(i0.ChangeDetectorRef), i0.ɵɵdirectiveInject(i0.Injector)); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: TableComponent, selectors: [["fusion-table"]], viewQuery: function TableComponent_Query(rf, ctx) { if (rf & 1) {
            i0.ɵɵviewQuery(_c0, 5);
            i0.ɵɵviewQuery(_c1, 5);
            i0.ɵɵviewQuery(_c2, 5);
            i0.ɵɵviewQuery(_c3, 5);
            i0.ɵɵviewQuery(_c4, 7);
            i0.ɵɵviewQuery(_c5, 5);
        } if (rf & 2) {
            let _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.stringCell = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.checkboxCell = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.templateCell = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.tableElement = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.tableWrapperElement = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.tableBodyComponent = _t.first);
        } }, hostVars: 14, hostBindings: function TableComponent_HostBindings(rf, ctx) { if (rf & 2) {
            i0.ɵɵclassProp("fixed-table", ctx.isFixedHeader)("fu-no-table-frame", ctx.noTableFrame)("fu-no-table-footer", ctx.noTableFooter)("is-empty", ctx.isEmpty)("is-loading", ctx.isLoading)("on-scroll-right", ctx.isScrollRight)("on-vertical-scroll", ctx.onVerticalScroll);
        } }, inputs: { id: "id", options: "options", columns: "columns", rows: "rows", loading: "loading", sortTableOnDataChanges: "sortTableOnDataChanges", expandedRows: "expandedRows", testId: "testId" }, outputs: { sortChanged: "sortChanged", selectionChanged: "selectionChanged", rowModelChange: "rowModelChange", rowClicked: "rowClicked", scrollDown: "scrollDown", rowActionClicked: "rowActionClicked", expandRow: "expandRow", expandedRowsChange: "expandedRowsChange" }, features: [i0.ɵɵProvidersFeature([TableService])], decls: 10, vars: 8, consts: [["class", "fu-table-header", 4, "ngIf"], [1, "tableWrap", 3, "ngClass"], ["tableWrapper", ""], [3, "id", 4, "ngIf"], [4, "ngIf"], [3, "id"], ["class", "fu-table-footer", 4, "ngIf"], ["headerExpandColumn", ""], [1, "fu-table-header"], ["class", "fu-search-holder", 4, "ngIf"], [1, "fu-table-label"], [1, "fu-info-icon", 3, "fusionTooltip", "name"], [1, "fu-search-holder"], [2, "width", "300px", 3, "formControl", "placeholder", "testId"], ["table", ""], [3, "fusionTableEmpty", "customContent", "header", "subHeader", "icon", "imageBackgroundUrl", 4, "ngIf"], [3, "fusionTableLoading", 4, "ngIf"], [3, "hidden", 4, "ngIf"], ["fusionTableBasic", "", 3, "rows", "columns", "options", "tableClientWidth", "expandedRows", "testId", "rowSelected", "expandRow", "click", 4, "ngIf"], ["fusionTableGrouped", "", 3, "rows", "columns", "options", "rowSelected", 4, "ngIf"], [3, "hidden"], [3, "ngStyle"], [3, "ngClass", "ngStyle", "width", "text-align", "top", "click", 4, "ngFor", "ngForOf", "ngForTrackBy"], ["class", "fu-header-group", 3, "fu-border-left", 4, "ngFor", "ngForOf"], [1, "fu-header-group"], [3, "ngClass", "ngStyle", "click"], [1, "fu-header-text", 3, "fusionTooltip"], [1, "fu-sort-wrapper"], [1, "fu-sort-up"], [1, "fu-sort-down"], ["placeholder", "Please Select", "class", "filter", "selectAllLabel", "Select All <span class='grey'>(No Filters)</span>", 3, "selected", "options", "confirm", "search", "selectedChange", 4, "ngIf"], ["class", "is-regular", "title", "select / un-select all", 3, "checked", "isIndeterminate", "name", "changed", 4, "ngIf"], ["placeholder", "Please Select", "selectAllLabel", "Select All <span class='grey'>(No Filters)</span>", 1, "filter", 3, "selected", "options", "confirm", "search", "selectedChange"], ["title", "select / un-select all", 1, "is-regular", 3, "checked", "isIndeterminate", "name", "changed"], [3, "fusionTableLoading"], ["fusionTableBasic", "", 3, "rows", "columns", "options", "tableClientWidth", "expandedRows", "testId", "rowSelected", "expandRow", "click"], ["tableBody", ""], ["fusionTableGrouped", "", 3, "rows", "columns", "options", "rowSelected"], [3, "fusionTableEmpty", "customContent", "header", "subHeader", "icon", "imageBackgroundUrl"], ["fusionTooltip", "Return to top", 1, "fu-button-return-top", 3, "click"], [1, "fu-return-top-icon", 3, "name"], [1, "fu-table-footer"], [1, "expand-column"]], template: function TableComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵtemplate(0, TableComponent_div_0_Template, 3, 2, "div", 0);
            i0.ɵɵelementStart(1, "div", 1, 2);
            i0.ɵɵtemplate(3, TableComponent_table_3_Template, 5, 4, "table", 3)(4, TableComponent_ng_container_4_Template, 4, 7, "ng-container", 4);
            i0.ɵɵpipe(5, "async");
            i0.ɵɵelementEnd();
            i0.ɵɵelement(6, "div", 5);
            i0.ɵɵtemplate(7, TableComponent_div_7_Template, 1, 0, "div", 6)(8, TableComponent_ng_template_8_Template, 2, 6, "ng-template", null, 7, i0.ɵɵtemplateRefExtractor);
        } if (rf & 2) {
            i0.ɵɵproperty("ngIf", !ctx.noTableFrame);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngClass", ctx.wrapperClasses);
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngIf", !ctx.tableMainError);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", (ctx.options == null ? null : ctx.options.hasReturnToTopButton) && i0.ɵɵpipeBind1(5, 6, ctx.shownGoTopButton$));
            i0.ɵɵadvance(2);
            i0.ɵɵpropertyInterpolate1("id", "", ctx.id, "_tableTeleportWrapper");
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", !ctx.noTableFooter);
        } }, dependencies: [i2.NgClass, i2.NgForOf, i2.NgIf, i2.NgStyle, i3.IconComponent, i6.CheckboxComponent, i6$2.MultiDropdownComponent, i8.TooltipDirective, i11.NgControlStatus, i11.FormControlDirective, i9$1.SearchComponent, TableBasicComponent, TableEmptyComponent, TableGroupedComponent, TableLoadingComponent, i2.AsyncPipe, i6$1.GenericPipe], styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6[_ngcontent-%COMP%], .font-heading-5[_ngcontent-%COMP%], .font-heading-4[_ngcontent-%COMP%], .font-heading-3[_ngcontent-%COMP%], .font-heading-2[_ngcontent-%COMP%], .font-heading-1[_ngcontent-%COMP%]{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1[_ngcontent-%COMP%]{font-size:60px}.font-heading-2[_ngcontent-%COMP%]{font-size:32px}.font-heading-3[_ngcontent-%COMP%]{font-size:22px}.font-heading-4[_ngcontent-%COMP%]{font-size:18px}.font-heading-5[_ngcontent-%COMP%]{font-size:15px}.font-heading-6[_ngcontent-%COMP%]{font-size:13px}.font-heading-label[_ngcontent-%COMP%]{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}.font-caption[_ngcontent-%COMP%], [_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.fu-header-group[_ngcontent-%COMP%], .font-bodyXSmall[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-table-header[_ngcontent-%COMP%]   .fu-search-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]::placeholder, .font-bodySmall[_ngcontent-%COMP%], .font-bodyMedium[_ngcontent-%COMP%], .font-bodyLarge[_ngcontent-%COMP%]{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td[_ngcontent-%COMP%], .font-bodyXSmallStrong[_ngcontent-%COMP%], .font-bodySmallStrong[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-table-header[_ngcontent-%COMP%]   .fu-table-label[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-size:16px}.font-bodyMedium[_ngcontent-%COMP%]{font-size:14px}[_nghost-%COMP%]   .fu-table-header[_ngcontent-%COMP%]   .fu-table-label[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%]{font-size:14px}[_nghost-%COMP%]   .fu-table-header[_ngcontent-%COMP%]   .fu-search-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]::placeholder, .font-bodySmall[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}.font-bodySmallStrong[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.fu-header-group[_ngcontent-%COMP%], .font-bodyXSmall[_ngcontent-%COMP%]{font-size:12px;letter-spacing:.24px}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td[_ngcontent-%COMP%], .font-bodyXSmallStrong[_ngcontent-%COMP%]{font-size:12px;letter-spacing:.24px}.font-caption[_ngcontent-%COMP%]{font-size:11px}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]{margin:0;padding:0;vertical-align:initial;text-align:initial}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]::-webkit-scrollbar{background-color:#fff;width:12px}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]::-webkit-scrollbar-track{background-color:#fff}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]::-webkit-scrollbar-thumb{background-color:#53575b4d;border-radius:13px;border:4px solid #fff}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]::-webkit-scrollbar-button{display:none}@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.is-sort[_ngcontent-%COMP%]   .fu-sort-wrapper[_ngcontent-%COMP%]   .fu-sort-down[_ngcontent-%COMP%], [_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.is-sort[_ngcontent-%COMP%]   .fu-sort-wrapper[_ngcontent-%COMP%]   .fu-sort-up[_ngcontent-%COMP%]{width:0;height:0;border:4px solid transparent}[_nghost-%COMP%]{display:block;width:100%;height:100%;border:1px solid var(--fu-light-400, #DDDFE1);border-radius:16px}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]{height:calc(100% - 128px);display:block;overflow:auto}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]::-webkit-scrollbar-track{margin-top:40px}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]{border:none;margin:0;width:calc(100% - 2px);border-collapse:collapse;border-spacing:0}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]{color:var(--fu-light-1000, #626970);white-space:nowrap;position:relative;padding:0 16px;max-width:350px;height:40px;line-height:1;cursor:default;box-sizing:border-box}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.is-sort[_ngcontent-%COMP%]{cursor:pointer}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.is-sort[_ngcontent-%COMP%]   .fu-header-text[_ngcontent-%COMP%]{display:inline-flex;line-height:20px}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.is-sort[_ngcontent-%COMP%]   .fu-sort-wrapper[_ngcontent-%COMP%]{display:none;vertical-align:middle;flex-direction:column;gap:4px;margin-left:4px}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.is-sort.desc[_ngcontent-%COMP%]   .fu-header-text[_ngcontent-%COMP%], [_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.is-sort.asc[_ngcontent-%COMP%]   .fu-header-text[_ngcontent-%COMP%]{padding-top:1px}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.is-sort.desc[_ngcontent-%COMP%]   .fu-sort-wrapper[_ngcontent-%COMP%]{display:inline-flex}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.is-sort.desc[_ngcontent-%COMP%]   .fu-sort-wrapper[_ngcontent-%COMP%]   .fu-sort-up[_ngcontent-%COMP%]{border-bottom-color:var(--fu-light-600, #B7BBC0)}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.is-sort.desc[_ngcontent-%COMP%]   .fu-sort-wrapper[_ngcontent-%COMP%]   .fu-sort-down[_ngcontent-%COMP%]{border-top-color:var(--fu-black-500, #53575B)}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.is-sort.asc[_ngcontent-%COMP%]   .fu-sort-wrapper[_ngcontent-%COMP%]{display:inline-flex}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.is-sort.asc[_ngcontent-%COMP%]   .fu-sort-wrapper[_ngcontent-%COMP%]   .fu-sort-up[_ngcontent-%COMP%]{border-bottom-color:var(--fu-black-500, #53575B)}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.is-sort.asc[_ngcontent-%COMP%]   .fu-sort-wrapper[_ngcontent-%COMP%]   .fu-sort-down[_ngcontent-%COMP%]{border-top-color:var(--fu-light-600, #B7BBC0)}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.is-checkbox-holder[_ngcontent-%COMP%]{text-align:center}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.sticky-left[_ngcontent-%COMP%]{background-color:var(--fu-white, #ffffff);position:sticky;left:0;z-index:3}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]:not(.fu-header-group):after{border-bottom:2px solid var(--table-header-bottom-border-color, var(--fu-light-400, #DDDFE1));content:\"\";position:absolute;left:0;bottom:-1px;width:100%}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.fu-header-group[_ngcontent-%COMP%]{height:32px;vertical-align:bottom}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.fu-header-group[_ngcontent-%COMP%]:first-of-type{border-left:none}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.fu-border-left[_ngcontent-%COMP%]{border-left:solid 1px var(--fu-light-400, #DDDFE1)}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.fu-border-left[_ngcontent-%COMP%]:first-of-type{border-left:none}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]   .fu-tooltiped[_ngcontent-%COMP%]{cursor:help}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   tbody[_ngcontent-%COMP%]{overflow:auto}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   tbody[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]{white-space:nowrap}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   .fu-button-return-top[_ngcontent-%COMP%]{width:48px;height:48px;background-color:var(--fu-white, #ffffff);border-radius:24px;box-shadow:0 1px 4px #0000003d;display:flex;justify-content:center;align-items:center;cursor:pointer;position:absolute;right:42px;bottom:96px}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   .fu-button-return-top[_ngcontent-%COMP%]   fusion-icon.fu-return-top-icon[_ngcontent-%COMP%]{width:32px;height:32px}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   .fu-button-return-top[_ngcontent-%COMP%]   fusion-icon.fu-return-top-icon[_ngcontent-%COMP%]     svg{width:32px;height:32px}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   .fu-button-return-top[_ngcontent-%COMP%]   fusion-icon.fu-return-top-icon[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-800, #8E959D)}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   .fu-button-return-top[_ngcontent-%COMP%]:hover   fusion-icon.fu-return-top-icon[_ngcontent-%COMP%]     svg{width:32px;height:32px}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   .fu-button-return-top[_ngcontent-%COMP%]:hover   fusion-icon.fu-return-top-icon[_ngcontent-%COMP%]     svg *{fill:var(--fu-black-500, #53575B)}[_nghost-%COMP%]   .tableWrap.is-empty[_ngcontent-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.is-sort[_ngcontent-%COMP%], [_nghost-%COMP%]   .tableWrap.is-loading[_ngcontent-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.is-sort[_ngcontent-%COMP%]{cursor:default;pointer-events:none}[_nghost-%COMP%]   .tableWrap.is-empty[_ngcontent-%COMP%]   .is-overlay-loader-holder[_ngcontent-%COMP%], [_nghost-%COMP%]   .tableWrap.is-loading[_ngcontent-%COMP%]   .is-overlay-loader-holder[_ngcontent-%COMP%]{position:absolute;z-index:2;width:100%;height:100%;min-height:100px;top:42px;background-color:#ffffffe6}[_nghost-%COMP%]   .fu-table-header[_ngcontent-%COMP%]{height:56px;width:100%;display:flex;align-items:center;border-bottom:1px solid var(--fu-light-400, #DDDFE1)}[_nghost-%COMP%]   .fu-table-header[_ngcontent-%COMP%]   .fu-table-label[_ngcontent-%COMP%]{color:var(--fu-black-500, #53575B);padding:19px;display:flex;align-items:center;gap:4px;line-height:16px}[_nghost-%COMP%]   .fu-table-header[_ngcontent-%COMP%]   .fu-table-label[_ngcontent-%COMP%]   fusion-icon.fu-info-icon[_ngcontent-%COMP%]{width:16px;height:16px}[_nghost-%COMP%]   .fu-table-header[_ngcontent-%COMP%]   .fu-table-label[_ngcontent-%COMP%]   fusion-icon.fu-info-icon[_ngcontent-%COMP%]     svg{width:16px;height:16px}[_nghost-%COMP%]   .fu-table-header[_ngcontent-%COMP%]   .fu-table-label[_ngcontent-%COMP%]   fusion-icon.fu-info-icon[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-500, #D2D5D8)}[_nghost-%COMP%]   .fu-table-header[_ngcontent-%COMP%]   .fu-search-holder[_ngcontent-%COMP%]{flex-grow:2;height:100%;border-left:solid 1px var(--fu-light-400, #DDDFE1);padding-left:8px;display:flex;align-items:center}[_nghost-%COMP%]   .fu-table-header[_ngcontent-%COMP%]   .fu-search-holder[_ngcontent-%COMP%]   fusion-icon.fu-search-icon[_ngcontent-%COMP%]{width:16px;height:16px}[_nghost-%COMP%]   .fu-table-header[_ngcontent-%COMP%]   .fu-search-holder[_ngcontent-%COMP%]   fusion-icon.fu-search-icon[_ngcontent-%COMP%]     svg{width:16px;height:16px}[_nghost-%COMP%]   .fu-table-header[_ngcontent-%COMP%]   .fu-search-holder[_ngcontent-%COMP%]   fusion-icon.fu-search-icon[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-700, #A9AFB4)}[_nghost-%COMP%]   .fu-table-header[_ngcontent-%COMP%]   .fu-search-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]{width:calc(100% - 30px);border:none;box-sizing:border-box;padding:10px;color:var(--fu-black-500, #53575B)}[_nghost-%COMP%]   .fu-table-header[_ngcontent-%COMP%]   .fu-search-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]::placeholder{color:var(--fu-light-800, #8E959D)}[_nghost-%COMP%]   .fu-table-header[_ngcontent-%COMP%]   .fu-search-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]:active, [_nghost-%COMP%]   .fu-table-header[_ngcontent-%COMP%]   .fu-search-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]:focus{outline:none}[_nghost-%COMP%]   .fu-table-footer[_ngcontent-%COMP%]{height:72px;width:100%;display:flex;align-items:center}.fu-no-table-frame[_nghost-%COMP%]{border:initial;border-radius:initial}.fu-no-table-frame[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]{height:100%}.fu-no-table-frame[_nghost-%COMP%]   .fu-button-return-top[_ngcontent-%COMP%]{bottom:24px}.fixed-table[_nghost-%COMP%]{position:relative}.fixed-table[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]{height:calc(100% - 128px)}.fixed-table[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]{border-bottom:none}.fixed-table[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]{height:40px;position:sticky;top:0;z-index:3;background-color:var(--fu-white, #ffffff)}.fixed-table[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.sticky-left[_ngcontent-%COMP%]{left:0;z-index:4}.fixed-table[_nghost-%COMP%]   .tableWrap.fu-stocky-to-external[_ngcontent-%COMP%]{display:initial}.fixed-table[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%] + .fu-table-footer[_ngcontent-%COMP%]{border-top:solid 1px var(--fu-light-400, #DDDFE1)}.fixed-table[_nghost-%COMP%]:after{content:\"\";position:absolute;right:0;top:57px;background-color:transparent;width:16px;height:40px;border-bottom:2px solid var(--table-header-bottom-border-color, var(--fu-light-400, #DDDFE1));box-sizing:border-box}.fixed-table.fu-no-table-frame[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]{height:100%}.fixed-table.fu-no-table-frame[_nghost-%COMP%]:after{top:1px}.fu-no-table-footer[_nghost-%COMP%]{border-bottom-left-radius:0;border-bottom-right-radius:0}.is-empty[_nghost-%COMP%]   .fu-table-footer[_ngcontent-%COMP%]{border-top:1px solid var(--fu-light-400, #DDDFE1)}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TableComponent, [{
        type: Component,
        args: [{ selector: 'fusion-table', changeDetection: ChangeDetectionStrategy.OnPush, providers: [TableService], template: "<div *ngIf=\"!noTableFrame\" class=\"fu-table-header\">\n    <ng-container *ngIf=\"options?.tableLabel as tableLabel\">\n        <div class=\"fu-table-label\" [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:tableTestIdModifiers.LABEL\">{{tableLabel.text}}\n        <ng-container *ngIf=\"tableLabel.tooltip\">\n            <fusion-icon [fusionTooltip]=\"tableLabel.tooltip\" class=\"fu-info-icon\" [name]=\"tableLabel.icon ?? {iconName: 'info', iconVersion: 'v3'}\"></fusion-icon>\n        </ng-container>\n        </div>\n    </ng-container>\n    <div class=\"fu-search-holder\" *ngIf=\"options?.searchOptions as searchOptions\">\n        <fusion-search style=\"width: 300px;\"\n            [formControl]=\"searchFormControl\"\n            [placeholder]=\"searchOptions.placeholder\"\n            [testId]=\"testId\"\n        ></fusion-search>\n    </div>\n</div>\n<div class=\"tableWrap\" [ngClass]=\"wrapperClasses\" #tableWrapper>\n    <table [id]=\"id\" #table *ngIf=\"!tableMainError\">\n        <ng-container *ngIf=\"columns && options\">\n            <thead *ngIf=\"columns.length\" [hidden]=\"(isEmpty || (loading && !isLoadingOverlay)) && hideHeaderOnEmpty\">\n                <!--SubHeader-->\n                <tr *ngIf=\"subHeader.length\">\n                    <!--<ng-container *ngIf=\"!!options?.rowsExpandableOptions\" [ngTemplateOutlet]=\"headerExpandColumn\" [ngTemplateOutletContext]=\"{$implicit: true}\"></ng-container>-->\n                    <td *ngFor=\"let subheader of subHeader let isFirst = first\"\n                        class=\"fu-header-group\"\n                        [class.fu-border-left]=\"!isFirst\"\n                        [attr.colspan]=\"(isFirst && !!options?.rowsExpandableOptions) ? subheader.colspan + 1 : subheader.colspan\"\n                    >\n                        {{ subheader.name}}\n                    </td>\n                </tr>\n                <!--SubHeader-->\n                <!--Header-->\n                <tr [ngStyle]=\"!!options.rowsOptions && !!options.rowsOptions.headerRow ? options.rowsOptions.headerRow.style : null\">\n                    <!--<ng-container *ngIf=\"!!options?.rowsExpandableOptions\" [ngTemplateOutlet]=\"headerExpandColumn\"></ng-container>-->\n                    <td\n                        *ngFor=\"let column of columns; trackBy: trackByFunc; let isLast = last; let isFirst = first; let idx = index\"\n                        [attr.data-col-key]=\"column.key\"\n                        [ngClass]=\"tableService.getColumnClasses(column, true)\"\n                        [ngStyle]=\"tableService.getColumnStyle(column)\"\n                        (click)=\"onHeaderClicked(column)\"\n                        [style.width]=\"tableService.setWidth(isLast, column.width)\"\n                        [style.text-align]=\"column.headerAlign\"\n                        [attr.colspan]=\"isFirst ? (tableService.expandLevels + 1) : undefined\"\n                        [style.top.px]=\"options?.stickyHeaderTopOffset\"\n                        [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:(tableTestIdModifiers.COLUMN_HEADER+idx)\"\n                    >\n                        <ng-container>\n                            <div class=\"fu-header-text\"\n                                 [class.fu-tooltiped]=\"column.tooltip\" [fusionTooltip]=\"column.tooltip\"\n                                 [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:(tableTestIdModifiers.COLUMN_TITLE+idx)\"\n                            >{{ column.title }}</div>\n                            <div class=\"fu-sort-wrapper\">\n                                <div class=\"fu-sort-up\" [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:(tableTestIdModifiers.COLUMN_SORT_UP+idx)\"></div>\n                                <div class=\"fu-sort-down\" [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:(tableTestIdModifiers.COLUMN_SORT_DOWN+idx)\"></div>\n                            </div>\n                        </ng-container>\n                        <fusion-multi-dropdown\n                            *ngIf=\"column.filter && column.filter.options\"\n                            placeholder=\"Please Select\"\n                            class=\"filter\"\n                            [selected]=\"column.filter.selected\"\n                            [options]=\"column.filter.options\"\n                            (selectedChange)=\"filterColumn(column, $event)\"\n                            [confirm]=\"true\"\n                            [search]=\"true\"\n                            selectAllLabel=\"Select All <span class='grey'>(No Filters)</span>\"\n                        >\n                        </fusion-multi-dropdown>\n                        <fusion-checkbox\n                            class=\"is-regular\"\n                            title=\"select / un-select all\"\n                            *ngIf=\"tableService.isTypeCheckbox(column) && isAllRowsSelectable && !isEmpty && isCheckboxTitleShown\"\n                            [checked]=\"tableService.isAllRowsSelected(rows)\"\n                            [isIndeterminate]=\"tableService.isPartialSelected(rows)\"\n                            (changed)=\"tableService.onRowsSelectChanged(options.isGroupedTable, rows, $event)\"\n                            [name]=\"'rows_all'\"\n                            [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:tableTestIdModifiers.COLUMN_HEADER_SELECT_ALL\"\n                        >\n                        </fusion-checkbox>\n                    </td>\n                </tr>\n                <!--Header-->\n            </thead>\n\n            <tbody *ngIf=\"loading && !isLoadingOverlay\" [fusionTableLoading]=\"colsCount\"></tbody>\n            <!--Table Body-->\n            <tbody\n                *ngIf=\"!options.isGroupedTable && (!loading || isLoadingOverlay) && !isEmpty\"\n                fusionTableBasic\n                [rows]=\"tableRows\"\n                [columns]=\"columns\"\n                [options]=\"options\"\n                [tableClientWidth]=\"getTableClientWidth()\"\n                [expandedRows]=\"expandedRows\"\n                [testId]=\"testId\"\n                (rowSelected)=\"selectionChanged.emit($event)\"\n                (expandRow)=\"doExpandRow($event)\"\n                (click)=\"onTableBodyClicked($event)\"\n                #tableBody\n            ></tbody>\n            <!--Table Body-->\n            <!--table pagination loading overlay-->\n            <ng-container *ngIf=\"options?.pagination && options.pagination.loading\">\n                <tbody [fusionTableLoading]=\"colsCount\"></tbody>\n            </ng-container>\n            <!--Grouped Table Body-->\n            <tbody\n                *ngIf=\"options.isGroupedTable && (!loading || isLoadingOverlay) && !isEmpty\"\n                fusionTableGrouped\n                [rows]=\"groupedTableRows\"\n                [columns]=\"columns\"\n                [options]=\"options\"\n                (rowSelected)=\"selectionChanged.emit($event)\"\n            ></tbody>\n            <!--Grouped Table Body-->\n        </ng-container>\n        <!--table empty-->\n        <tbody\n            *ngIf=\"!loading && isEmpty\"\n            [fusionTableEmpty]=\"colsCount\"\n            [customContent]=\"options?.customNoData\"\n            [header]=\"noDataMessage\"\n            [subHeader]=\"noDataSubMessage\"\n            [icon]=\"options?.emptyTableIcon\"\n            [imageBackgroundUrl]=\"options?.noDataImageBgUrl\"\n        ></tbody>\n        <!--table empty-->\n        <!--table empty loading-->\n        <tbody\n            *ngIf=\"isEmpty && loading\"\n            [fusionTableLoading]=\"colsCount\"\n        ></tbody>\n        <!--table empty loading-->\n    </table>\n    <!--table pagination loading overlay-->\n    <ng-container *ngIf=\"options?.hasReturnToTopButton && (shownGoTopButton$ | async)\">\n        <div class=\"fu-button-return-top\" fusionTooltip=\"Return to top\" (click)=\"onClickReturnTop()\" [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:tableTestIdModifiers.BUTTON_GO_TOP\">\n            <fusion-icon class=\"fu-return-top-icon\" [name]=\"{iconName:'angle-up', iconVersion: 'v3'}\"></fusion-icon>\n        </div>\n    </ng-container>\n</div>\n<div id=\"{{id}}_tableTeleportWrapper\"></div>\n<div *ngIf=\"!noTableFooter\" class=\"fu-table-footer\"></div>\n\n<ng-template #headerExpandColumn let-isSubHeader>\n    <td\n        class=\"expand-column\"\n        [class.fu-header-group]=\"isSubHeader\"\n        [class.sticky-left]=\"options?.rowsExpandableOptions?.sticky\"\n        [style.top.px]=\"options?.stickyHeaderTopOffset\"\n    >\n        <span></span>\n    </td>\n</ng-template>\n", styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6,.font-heading-5,.font-heading-4,.font-heading-3,.font-heading-2,.font-heading-1{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1{font-size:60px}.font-heading-2{font-size:32px}.font-heading-3{font-size:22px}.font-heading-4{font-size:18px}.font-heading-5{font-size:15px}.font-heading-6{font-size:13px}.font-heading-label{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}.font-caption,:host .tableWrap table thead td.fu-header-group,.font-bodyXSmall,:host .fu-table-header .fu-search-holder input::placeholder,.font-bodySmall,.font-bodyMedium,.font-bodyLarge{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}:host .tableWrap table thead td,.font-bodyXSmallStrong,.font-bodySmallStrong,:host .fu-table-header .fu-table-label,.font-bodyMediumStrong,.font-bodyLargeStrong{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge,.font-bodyLargeStrong{font-size:16px}.font-bodyMedium{font-size:14px}:host .fu-table-header .fu-table-label,.font-bodyMediumStrong{font-size:14px}:host .fu-table-header .fu-search-holder input::placeholder,.font-bodySmall{font-size:13px;letter-spacing:.24px}.font-bodySmallStrong{font-size:13px;letter-spacing:.24px}:host .tableWrap table thead td.fu-header-group,.font-bodyXSmall{font-size:12px;letter-spacing:.24px}:host .tableWrap table thead td,.font-bodyXSmallStrong{font-size:12px;letter-spacing:.24px}.font-caption{font-size:11px}:host *{box-sizing:border-box}:host{margin:0;padding:0;vertical-align:initial;text-align:initial}:host .tableWrap::-webkit-scrollbar{background-color:#fff;width:12px}:host .tableWrap::-webkit-scrollbar-track{background-color:#fff}:host .tableWrap::-webkit-scrollbar-thumb{background-color:#53575b4d;border-radius:13px;border:4px solid #fff}:host .tableWrap::-webkit-scrollbar-button{display:none}@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}:host .tableWrap table thead td.is-sort .fu-sort-wrapper .fu-sort-down,:host .tableWrap table thead td.is-sort .fu-sort-wrapper .fu-sort-up{width:0;height:0;border:4px solid transparent}:host{display:block;width:100%;height:100%;border:1px solid var(--fu-light-400, #DDDFE1);border-radius:16px}:host .tableWrap{height:calc(100% - 128px);display:block;overflow:auto}:host .tableWrap::-webkit-scrollbar-track{margin-top:40px}:host .tableWrap table{border:none;margin:0;width:calc(100% - 2px);border-collapse:collapse;border-spacing:0}:host .tableWrap table thead td{color:var(--fu-light-1000, #626970);white-space:nowrap;position:relative;padding:0 16px;max-width:350px;height:40px;line-height:1;cursor:default;box-sizing:border-box}:host .tableWrap table thead td.is-sort{cursor:pointer}:host .tableWrap table thead td.is-sort .fu-header-text{display:inline-flex;line-height:20px}:host .tableWrap table thead td.is-sort .fu-sort-wrapper{display:none;vertical-align:middle;flex-direction:column;gap:4px;margin-left:4px}:host .tableWrap table thead td.is-sort.desc .fu-header-text,:host .tableWrap table thead td.is-sort.asc .fu-header-text{padding-top:1px}:host .tableWrap table thead td.is-sort.desc .fu-sort-wrapper{display:inline-flex}:host .tableWrap table thead td.is-sort.desc .fu-sort-wrapper .fu-sort-up{border-bottom-color:var(--fu-light-600, #B7BBC0)}:host .tableWrap table thead td.is-sort.desc .fu-sort-wrapper .fu-sort-down{border-top-color:var(--fu-black-500, #53575B)}:host .tableWrap table thead td.is-sort.asc .fu-sort-wrapper{display:inline-flex}:host .tableWrap table thead td.is-sort.asc .fu-sort-wrapper .fu-sort-up{border-bottom-color:var(--fu-black-500, #53575B)}:host .tableWrap table thead td.is-sort.asc .fu-sort-wrapper .fu-sort-down{border-top-color:var(--fu-light-600, #B7BBC0)}:host .tableWrap table thead td.is-checkbox-holder{text-align:center}:host .tableWrap table thead td.sticky-left{background-color:var(--fu-white, #ffffff);position:sticky;left:0;z-index:3}:host .tableWrap table thead td:not(.fu-header-group):after{border-bottom:2px solid var(--table-header-bottom-border-color, var(--fu-light-400, #DDDFE1));content:\"\";position:absolute;left:0;bottom:-1px;width:100%}:host .tableWrap table thead td.fu-header-group{height:32px;vertical-align:bottom}:host .tableWrap table thead td.fu-header-group:first-of-type{border-left:none}:host .tableWrap table thead td.fu-border-left{border-left:solid 1px var(--fu-light-400, #DDDFE1)}:host .tableWrap table thead td.fu-border-left:first-of-type{border-left:none}:host .tableWrap table thead td .fu-tooltiped{cursor:help}:host .tableWrap table tbody{overflow:auto}:host .tableWrap table tbody td{white-space:nowrap}:host .tableWrap .fu-button-return-top{width:48px;height:48px;background-color:var(--fu-white, #ffffff);border-radius:24px;box-shadow:0 1px 4px #0000003d;display:flex;justify-content:center;align-items:center;cursor:pointer;position:absolute;right:42px;bottom:96px}:host .tableWrap .fu-button-return-top fusion-icon.fu-return-top-icon{width:32px;height:32px}:host .tableWrap .fu-button-return-top fusion-icon.fu-return-top-icon ::ng-deep svg{width:32px;height:32px}:host .tableWrap .fu-button-return-top fusion-icon.fu-return-top-icon ::ng-deep svg *{fill:var(--fu-light-800, #8E959D)}:host .tableWrap .fu-button-return-top:hover fusion-icon.fu-return-top-icon ::ng-deep svg{width:32px;height:32px}:host .tableWrap .fu-button-return-top:hover fusion-icon.fu-return-top-icon ::ng-deep svg *{fill:var(--fu-black-500, #53575B)}:host .tableWrap.is-empty .tableWrap table thead td.is-sort,:host .tableWrap.is-loading .tableWrap table thead td.is-sort{cursor:default;pointer-events:none}:host .tableWrap.is-empty .is-overlay-loader-holder,:host .tableWrap.is-loading .is-overlay-loader-holder{position:absolute;z-index:2;width:100%;height:100%;min-height:100px;top:42px;background-color:#ffffffe6}:host .fu-table-header{height:56px;width:100%;display:flex;align-items:center;border-bottom:1px solid var(--fu-light-400, #DDDFE1)}:host .fu-table-header .fu-table-label{color:var(--fu-black-500, #53575B);padding:19px;display:flex;align-items:center;gap:4px;line-height:16px}:host .fu-table-header .fu-table-label fusion-icon.fu-info-icon{width:16px;height:16px}:host .fu-table-header .fu-table-label fusion-icon.fu-info-icon ::ng-deep svg{width:16px;height:16px}:host .fu-table-header .fu-table-label fusion-icon.fu-info-icon ::ng-deep svg *{fill:var(--fu-light-500, #D2D5D8)}:host .fu-table-header .fu-search-holder{flex-grow:2;height:100%;border-left:solid 1px var(--fu-light-400, #DDDFE1);padding-left:8px;display:flex;align-items:center}:host .fu-table-header .fu-search-holder fusion-icon.fu-search-icon{width:16px;height:16px}:host .fu-table-header .fu-search-holder fusion-icon.fu-search-icon ::ng-deep svg{width:16px;height:16px}:host .fu-table-header .fu-search-holder fusion-icon.fu-search-icon ::ng-deep svg *{fill:var(--fu-light-700, #A9AFB4)}:host .fu-table-header .fu-search-holder input{width:calc(100% - 30px);border:none;box-sizing:border-box;padding:10px;color:var(--fu-black-500, #53575B)}:host .fu-table-header .fu-search-holder input::placeholder{color:var(--fu-light-800, #8E959D)}:host .fu-table-header .fu-search-holder input:active,:host .fu-table-header .fu-search-holder input:focus{outline:none}:host .fu-table-footer{height:72px;width:100%;display:flex;align-items:center}:host.fu-no-table-frame{border:initial;border-radius:initial}:host.fu-no-table-frame .tableWrap{height:100%}:host.fu-no-table-frame .fu-button-return-top{bottom:24px}:host.fixed-table{position:relative}:host.fixed-table .tableWrap{height:calc(100% - 128px)}:host.fixed-table .tableWrap table thead{border-bottom:none}:host.fixed-table .tableWrap table thead td{height:40px;position:sticky;top:0;z-index:3;background-color:var(--fu-white, #ffffff)}:host.fixed-table .tableWrap table thead td.sticky-left{left:0;z-index:4}:host.fixed-table .tableWrap.fu-stocky-to-external{display:initial}:host.fixed-table .tableWrap+.fu-table-footer{border-top:solid 1px var(--fu-light-400, #DDDFE1)}:host.fixed-table:after{content:\"\";position:absolute;right:0;top:57px;background-color:transparent;width:16px;height:40px;border-bottom:2px solid var(--table-header-bottom-border-color, var(--fu-light-400, #DDDFE1));box-sizing:border-box}:host.fixed-table.fu-no-table-frame .tableWrap{height:100%}:host.fixed-table.fu-no-table-frame:after{top:1px}:host.fu-no-table-footer{border-bottom-left-radius:0;border-bottom-right-radius:0}:host.is-empty .fu-table-footer{border-top:1px solid var(--fu-light-400, #DDDFE1)}\n"] }]
    }], () => [{ type: i1.TableService }, { type: i2$2.UniqueIdService }, { type: i0.ChangeDetectorRef }, { type: i0.Injector }], { id: [{
            type: Input
        }], options: [{
            type: Input
        }], columns: [{
            type: Input
        }], rows: [{
            type: Input
        }], loading: [{
            type: Input
        }], sortTableOnDataChanges: [{
            type: Input
        }], expandedRows: [{
            type: Input
        }], testId: [{
            type: Input
        }], sortChanged: [{
            type: Output
        }], selectionChanged: [{
            type: Output
        }], rowModelChange: [{
            type: Output
        }], rowClicked: [{
            type: Output
        }], scrollDown: [{
            type: Output
        }], rowActionClicked: [{
            type: Output
        }], expandRow: [{
            type: Output
        }], expandedRowsChange: [{
            type: Output
        }], stringCell: [{
            type: ViewChild,
            args: ['stringCell']
        }], checkboxCell: [{
            type: ViewChild,
            args: ['checkboxCell']
        }], templateCell: [{
            type: ViewChild,
            args: ['templateCell']
        }], tableElement: [{
            type: ViewChild,
            args: ['table']
        }], tableWrapperElement: [{
            type: ViewChild,
            args: ['tableWrapper', { static: true }]
        }], tableBodyComponent: [{
            type: ViewChild,
            args: ['tableBody']
        }], isFixedHeader: [{
            type: HostBinding,
            args: ['class.fixed-table']
        }], noTableFrame: [{
            type: HostBinding,
            args: ['class.fu-no-table-frame']
        }], noTableFooter: [{
            type: HostBinding,
            args: ['class.fu-no-table-footer']
        }], isEmpty: [{
            type: HostBinding,
            args: ['class.is-empty']
        }], isLoading: [{
            type: HostBinding,
            args: ['class.is-loading']
        }], isScrollRight: [{
            type: HostBinding,
            args: ['class.on-scroll-right']
        }], onVerticalScroll: [{
            type: HostBinding,
            args: ['class.on-vertical-scroll']
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(TableComponent, { className: "TableComponent", filePath: "table.component.ts", lineNumber: 44 }); })();

class TableModule {
    static forRoot(options) {
        return {
            ngModule: TableModule,
            providers: [
                {
                    provide: TABLE_OPTIONS_TOKEN,
                    useValue: options || TABLE_OPTIONS_DEFAULT_VALUES
                }
            ]
        };
    }
    static { this.ɵfac = function TableModule_Factory(t) { return new (t || TableModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: TableModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule,
            IconModule,
            InputModule,
            InputInlineComponent,
            LoaderModule,
            LoaderInlineModule,
            CheckboxModule,
            DynamicComponentsModule,
            DropdownModule,
            MultiDropdownModule,
            TooltipModule,
            ToggleModule,
            ClickOutsideModule,
            ReactiveFormsModule,
            LoadMoreModule,
            ErrorMessageModule,
            ButtonModule,
            MenuDropComponent,
            TeleportingModule,
            SearchComponent] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TableModule, [{
        type: NgModule,
        args: [{
                exports: [TableComponent],
                declarations: [
                    TableComponent,
                    TableBasicComponent,
                    TableCellComponent,
                    TableEmptyComponent,
                    TableGroupedComponent,
                    TableLoadingComponent,
                    TableRowComponent,
                    TableRowGroupedComponent
                ],
                imports: [
                    CommonModule,
                    IconModule,
                    InputModule,
                    InputInlineComponent,
                    LoaderModule,
                    LoaderInlineModule,
                    CheckboxModule,
                    DynamicComponentsModule,
                    DropdownModule,
                    MultiDropdownModule,
                    TooltipModule,
                    ToggleModule,
                    ClickOutsideModule,
                    ReactiveFormsModule,
                    GenericPipe,
                    LoadMoreModule,
                    ErrorMessageModule,
                    NotAvailablePipe,
                    ButtonModule,
                    MenuDropComponent,
                    RepositionDirective,
                    TeleportingModule,
                    SearchComponent
                ]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(TableModule, { declarations: [TableComponent,
        TableBasicComponent,
        TableCellComponent,
        TableEmptyComponent,
        TableGroupedComponent,
        TableLoadingComponent,
        TableRowComponent,
        TableRowGroupedComponent], imports: [CommonModule,
        IconModule,
        InputModule,
        InputInlineComponent,
        LoaderModule,
        LoaderInlineModule,
        CheckboxModule,
        DynamicComponentsModule,
        DropdownModule,
        MultiDropdownModule,
        TooltipModule,
        ToggleModule,
        ClickOutsideModule,
        ReactiveFormsModule,
        GenericPipe,
        LoadMoreModule,
        ErrorMessageModule,
        NotAvailablePipe,
        ButtonModule,
        MenuDropComponent,
        RepositionDirective,
        TeleportingModule,
        SearchComponent], exports: [TableComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { TableComponent, TableModule };
//# sourceMappingURL=ironsource-fusion-ui-components-table-v3.mjs.map
