import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy, Input, EventEmitter, Optional, Inject, Output, ViewChild, HostBinding, inject, ChangeDetectorRef, ElementRef, Renderer2 } from '@angular/core';
import * as i1$1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2$2 from '@angular/forms';
import { ReactiveFormsModule, FormControl } from '@angular/forms';
import { BehaviorSubject, Subject, of, fromEvent, from, defer } from 'rxjs';
import { takeUntil, mergeMap, filter, debounceTime, tap } from 'rxjs/operators';
import { isNullOrUndefined, isNull, isBoolean, isUndefined } from '@ironsource/fusion-ui/utils';
import { GenericPipe } from '@ironsource/fusion-ui/pipes/generic';
import { CheckboxComponent } from '@ironsource/fusion-ui/components/checkbox/v4';
import { TooltipDirective, TooltipComponent } from '@ironsource/fusion-ui/components/tooltip/v4';
import * as i3 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import * as i1 from '@ironsource/fusion-ui/components/table/common/services';
import { TableService as TableService$1 } from '@ironsource/fusion-ui/components/table/common/services';
export * from '@ironsource/fusion-ui/components/table/common/services';
import { TableRowHeight, DEFAULT_REMOVE_ICON_V3, DEFAULT_REMOVE_TOOLTIP_TEXT, TABLE_OPTIONS_TOKEN, TableRowClassesEnum, ROW_HOVERED_CLASS_NAME, TableColumnTypeEnum, CONFIG_TABLE_BY_UI_STYLE, ROW_CLICK_SUPPRESS_FOR_PARENT_SELECTORS } from '@ironsource/fusion-ui/components/table/common/entities';
export * from '@ironsource/fusion-ui/components/table/common/entities';
import { UniqueIdService } from '@ironsource/fusion-ui/services/unique-id';
import { TestIdsService } from '@ironsource/fusion-ui/services/test-ids';
import { TableTestIdModifiers } from '@ironsource/fusion-ui/entities';
import { EmptyStateComponent } from '@ironsource/fusion-ui/components/empty-state/v4';
import * as i4 from '@ironsource/fusion-ui/components/dynamic-components/v1';
import { DynamicComponentsModule } from '@ironsource/fusion-ui/components/dynamic-components/v1';
import { TableService } from '@ironsource/fusion-ui/components/table';
import { InputInlineComponent } from '@ironsource/fusion-ui/components/input-inline/v4';
import { ERROR_MESSAGES } from '@ironsource/fusion-ui/components/error-message';
import * as i2 from '@ironsource/fusion-ui/services/log';
import { MenuDropComponent } from '@ironsource/fusion-ui/components/menu-drop/v4';
import { TooltipPosition } from '@ironsource/fusion-ui/components/tooltip/common/base';
import { NotAvailablePipe } from '@ironsource/fusion-ui/pipes/not-available';
import { IconButtonComponent } from '@ironsource/fusion-ui/components/button/v4';
import * as i5 from '@ironsource/fusion-ui/directives/click-outside';
import { ClickOutsideModule } from '@ironsource/fusion-ui/directives/click-outside';
import * as i6 from '@ironsource/fusion-ui/directives/teleporting';
import { TeleportingModule } from '@ironsource/fusion-ui/directives/teleporting';
import { RepositionDirective } from '@ironsource/fusion-ui/directives/reposition';
import { ToggleComponent } from '@ironsource/fusion-ui/components/toggle/v4';
import { SkeletonComponent } from '@ironsource/fusion-ui/components/skeleton';
import * as i2$1 from '@ironsource/fusion-ui/directives/load-more';
import { LoadMoreModule } from '@ironsource/fusion-ui/directives/load-more';
import { LinkComponent } from '@ironsource/fusion-ui/components/link';
import { SearchComponent } from '@ironsource/fusion-ui/components/search/v4';

const _c0$5 = ["fusionTableEmpty", ""];
function TableEmptyComponent_Conditional_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0, 0);
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵproperty("ngComponentOutlet", ctx_r0.customContent == null ? null : ctx_r0.customContent.component == null ? null : ctx_r0.customContent.component.type)("ngComponentOutletInputs", ctx_r0.customContent == null ? null : ctx_r0.customContent.component == null ? null : ctx_r0.customContent.component.data);
} }
function TableEmptyComponent_Conditional_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-empty-state", 1);
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵproperty("type", ctx_r1.type)("title", ctx_r1.header)("description", ctx_r1.subHeader);
} }
class TableEmptyComponent {
    constructor() {
        this._type = 'noData';
    }
    set type(value) {
        if (!isNullOrUndefined(value)) {
            this._type = value;
        }
    }
    get type() {
        return this._type;
    }
    static { this.ɵfac = function TableEmptyComponent_Factory(t) { return new (t || TableEmptyComponent)(); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: TableEmptyComponent, selectors: [["", "fusionTableEmpty", ""]], inputs: { fusionTableEmpty: "fusionTableEmpty", customContent: "customContent", header: "header", subHeader: "subHeader", type: "type" }, standalone: true, features: [i0.ɵɵStandaloneFeature], attrs: _c0$5, decls: 4, vars: 2, consts: [[3, "ngComponentOutlet", "ngComponentOutletInputs"], [3, "type", "title", "description"]], template: function TableEmptyComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "tr")(1, "td");
            i0.ɵɵtemplate(2, TableEmptyComponent_Conditional_2_Template, 1, 2, "ng-container", 0)(3, TableEmptyComponent_Conditional_3_Template, 1, 3);
            i0.ɵɵelementEnd()();
        } if (rf & 2) {
            i0.ɵɵadvance();
            i0.ɵɵattribute("colspan", ctx.fusionTableEmpty);
            i0.ɵɵadvance();
            i0.ɵɵconditional(2, !!(ctx.customContent == null ? null : ctx.customContent.component == null ? null : ctx.customContent.component.type) ? 2 : 3);
        } }, dependencies: [CommonModule, i1$1.NgComponentOutlet, EmptyStateComponent, DynamicComponentsModule], styles: ["[_nghost-%COMP%]   tr[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]{padding:var(--table-empty-state-padding, 48px)}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TableEmptyComponent, [{
        type: Component,
        args: [{ selector: '[fusionTableEmpty]', standalone: true, imports: [CommonModule, EmptyStateComponent, DynamicComponentsModule], changeDetection: ChangeDetectionStrategy.OnPush, template: "<tr>\n    <td [attr.colspan]=\"fusionTableEmpty\">\n        @if (!!customContent?.component?.type) {\n            <ng-container\n                    [ngComponentOutlet]=\"customContent?.component?.type\"\n                    [ngComponentOutletInputs]=\"customContent?.component?.data\"\n            ></ng-container>\n        } @else {\n            <fusion-empty-state [type]=\"type\" [title]=\"header\" [description]=\"subHeader\"></fusion-empty-state>\n        }\n    </td>\n</tr>\n", styles: [":host tr td{padding:var(--table-empty-state-padding, 48px)}\n"] }]
    }], null, { fusionTableEmpty: [{
            type: Input
        }], customContent: [{
            type: Input
        }], header: [{
            type: Input
        }], subHeader: [{
            type: Input
        }], type: [{
            type: Input
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(TableEmptyComponent, { className: "TableEmptyComponent", filePath: "components/table-empty/table-empty.component.ts", lineNumber: 17 }); })();

const _c0$4 = ["inlineInput"];
const _c1$3 = ["fusionTableCell", ""];
function TableCellComponent_Conditional_0_Conditional_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 3)(1, "span", 4);
    i0.ɵɵtext(2);
    i0.ɵɵpipe(3, "notAvailable");
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const ctx_r7 = i0.ɵɵnextContext(2);
    i0.ɵɵstyleProp("width", ctx_r7.innerElementWidth);
    i0.ɵɵproperty("ngClass", ctx_r7.column.align);
    i0.ɵɵadvance();
    i0.ɵɵproperty("fusionTooltip", ctx_r7.cellStringData);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(i0.ɵɵpipeBind2(3, 5, ctx_r7.cellStringData, ctx_r7.notAvailableText));
} }
function TableCellComponent_Conditional_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtemplate(0, TableCellComponent_Conditional_0_Conditional_0_Template, 4, 8, "div", 2);
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵconditional(0, ctx_r0.cellStringData ? 0 : -1);
} }
function TableCellComponent_Conditional_1_Conditional_0_Template(rf, ctx) { if (rf & 1) {
    const _r18 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 6)(1, "fusion-checkbox", 7);
    i0.ɵɵlistener("changed", function TableCellComponent_Conditional_1_Conditional_0_Template_fusion_checkbox_changed_1_listener($event) { i0.ɵɵrestoreView(_r18); const ctx_r17 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r17.selectedChange.emit($event)); });
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const ctx_r8 = i0.ɵɵnextContext(2);
    i0.ɵɵstyleProp("width", ctx_r8.innerElementWidth);
    i0.ɵɵadvance();
    i0.ɵɵproperty("checked", ctx_r8.isRowChecked());
} }
function TableCellComponent_Conditional_1_Conditional_1_Template(rf, ctx) { if (rf & 1) {
    const _r20 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div")(1, "fusion-toggle", 8);
    i0.ɵɵlistener("modelChange", function TableCellComponent_Conditional_1_Conditional_1_Template_fusion_toggle_modelChange_1_listener($event) { i0.ɵɵrestoreView(_r20); const ctx_r19 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r19.onToggleChanged($event)); });
    i0.ɵɵpipe(2, "async");
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const ctx_r9 = i0.ɵɵnextContext(2);
    i0.ɵɵstyleProp("width", ctx_r9.innerElementWidth);
    i0.ɵɵadvance();
    i0.ɵɵproperty("model", ctx_r9.data)("disabled", ctx_r9.isReadOnly)("loading", i0.ɵɵpipeBind1(2, 5, ctx_r9.toggleInRequest$));
} }
function TableCellComponent_Conditional_1_Conditional_2_Conditional_0_Template(rf, ctx) { if (rf & 1) {
    const _r24 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 10)(1, "fusion-input-inline", 11, 12);
    i0.ɵɵlistener("onSave", function TableCellComponent_Conditional_1_Conditional_2_Conditional_0_Template_fusion_input_inline_onSave_1_listener($event) { i0.ɵɵrestoreView(_r24); const ctx_r23 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r23.onEndEdit($event)); })("onCancel", function TableCellComponent_Conditional_1_Conditional_2_Conditional_0_Template_fusion_input_inline_onCancel_1_listener() { i0.ɵɵrestoreView(_r24); const ctx_r25 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r25.onCancel()); });
    i0.ɵɵpipe(3, "async");
    i0.ɵɵpipe(4, "async");
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const ctx_r21 = i0.ɵɵnextContext(3);
    i0.ɵɵclassProp("fu-type-number", ctx_r21.column.inputType);
    i0.ɵɵadvance();
    i0.ɵɵproperty("type", ctx_r21.column.inputType)("data", ctx_r21.data)("selectOptions", ctx_r21.column.inlineDropdownOptions)("pending", i0.ɵɵpipeBind1(3, 9, ctx_r21.isInRequest$))("error", i0.ɵɵpipeBind1(4, 11, ctx_r21.inputError$))("readOnly", ctx_r21.isReadOnly)("currencyPipeParameters", ctx_r21.column == null ? null : ctx_r21.column.currencyPipeParameters);
} }
function TableCellComponent_Conditional_1_Conditional_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtemplate(0, TableCellComponent_Conditional_1_Conditional_2_Conditional_0_Template, 5, 13, "div", 9);
} if (rf & 2) {
    const ctx_r10 = i0.ɵɵnextContext(2);
    i0.ɵɵconditional(0, !ctx_r10.isRowTotal ? 0 : -1);
} }
function TableCellComponent_Conditional_1_Conditional_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-dynamic-components", 13);
} if (rf & 2) {
    const ctx_r11 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("configuration", ctx_r11.customCellData);
} }
function TableCellComponent_Conditional_1_Conditional_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 14);
    i0.ɵɵpipe(1, "currency");
    i0.ɵɵtext(2);
    i0.ɵɵpipe(3, "currency");
    i0.ɵɵpipe(4, "notAvailable");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r12 = i0.ɵɵnextContext(2);
    i0.ɵɵstyleProp("width", ctx_r12.innerElementWidth);
    i0.ɵɵproperty("ngClass", ctx_r12.column.align || "right")("fusionTooltip", i0.ɵɵpipeBind2(1, 5, ctx_r12.data, "USD"));
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate1(" ", !ctx_r12.isNull(ctx_r12.data) ? i0.ɵɵpipeBind4(3, 8, ctx_r12.data, (ctx_r12.column == null ? null : ctx_r12.column.currencyPipeParameters == null ? null : ctx_r12.column.currencyPipeParameters.currencyCode) || undefined, (ctx_r12.column == null ? null : ctx_r12.column.currencyPipeParameters == null ? null : ctx_r12.column.currencyPipeParameters.display) || ((ctx_r12.column == null ? null : ctx_r12.column.currencyPipeParameters) ? undefined : "$"), (ctx_r12.column == null ? null : ctx_r12.column.currencyPipeParameters == null ? null : ctx_r12.column.currencyPipeParameters.digitsInfo) || undefined) : i0.ɵɵpipeBind2(4, 13, ctx_r12.data, ctx_r12.notAvailableText), " ");
} }
function TableCellComponent_Conditional_1_Conditional_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 14);
    i0.ɵɵpipe(1, "number");
    i0.ɵɵtext(2);
    i0.ɵɵpipe(3, "number");
    i0.ɵɵpipe(4, "notAvailable");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r13 = i0.ɵɵnextContext(2);
    i0.ɵɵstyleProp("width", ctx_r13.innerElementWidth);
    i0.ɵɵproperty("ngClass", ctx_r13.column.align || "right")("fusionTooltip", i0.ɵɵpipeBind2(1, 5, ctx_r13.data, ctx_r13.column.pipeOptions));
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate1(" ", !ctx_r13.isNull(ctx_r13.data) ? i0.ɵɵpipeBind2(3, 8, ctx_r13.data, ctx_r13.column.pipeOptions) : i0.ɵɵpipeBind2(4, 11, ctx_r13.data, ctx_r13.notAvailableText), " ");
} }
function TableCellComponent_Conditional_1_Conditional_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 14);
    i0.ɵɵpipe(1, "number");
    i0.ɵɵtext(2);
    i0.ɵɵpipe(3, "number");
    i0.ɵɵpipe(4, "notAvailable");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r14 = i0.ɵɵnextContext(2);
    i0.ɵɵstyleProp("width", ctx_r14.innerElementWidth);
    i0.ɵɵpropertyInterpolate1("fusionTooltip", "", i0.ɵɵpipeBind2(1, 6, ctx_r14.data, ctx_r14.column.pipeOptions), "%");
    i0.ɵɵproperty("ngClass", ctx_r14.column.align || "right");
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate2(" ", !ctx_r14.isNull(ctx_r14.data) ? i0.ɵɵpipeBind2(3, 9, ctx_r14.data, ctx_r14.column.pipeOptions) : i0.ɵɵpipeBind2(4, 12, ctx_r14.data, ctx_r14.notAvailableText), " ", !ctx_r14.isNullOrUndefined(ctx_r14.data) ? "%" : null, " ");
} }
function TableCellComponent_Conditional_1_Conditional_7_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 15);
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "date");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r15 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", ctx_r15.data ? ctx_r15.isAsDate(ctx_r15.data) ? i0.ɵɵpipeBind3(2, 1, ctx_r15.data, ctx_r15.getDateFormat(ctx_r15.column.dateFormat), ctx_r15.getDateUTCFormat(ctx_r15.column.ignoreTimeZone)) : ctx_r15.data : !ctx_r15.isRowTotal ? "No " + ctx_r15.column.title : "", " ");
} }
function TableCellComponent_Conditional_1_Conditional_8_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div");
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r16 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1("\u00A0", ctx_r16.column.type, "");
} }
function TableCellComponent_Conditional_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtemplate(0, TableCellComponent_Conditional_1_Conditional_0_Template, 2, 3, "div", 5)(1, TableCellComponent_Conditional_1_Conditional_1_Template, 3, 7)(2, TableCellComponent_Conditional_1_Conditional_2_Template, 1, 1)(3, TableCellComponent_Conditional_1_Conditional_3_Template, 1, 1)(4, TableCellComponent_Conditional_1_Conditional_4_Template, 5, 16)(5, TableCellComponent_Conditional_1_Conditional_5_Template, 5, 14)(6, TableCellComponent_Conditional_1_Conditional_6_Template, 5, 15)(7, TableCellComponent_Conditional_1_Conditional_7_Template, 3, 5)(8, TableCellComponent_Conditional_1_Conditional_8_Template, 2, 1);
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵconditional(0, ctx_r1.tableService.isTypeCheckbox(ctx_r1.column) && ctx_r1.isBoolean(ctx_r1.data) ? 0 : ctx_r1.tableService.isTypeToggleButton(ctx_r1.column) && ctx_r1.isBoolean(ctx_r1.data) ? 1 : ctx_r1.tableService.isTypeInputEdit(ctx_r1.column) && ctx_r1.data ? 2 : ctx_r1.tableService.isTypeComponent(ctx_r1.column) ? 3 : ctx_r1.tableService.isTypeCurrency(ctx_r1.column) ? 4 : ctx_r1.tableService.isTypeNumber(ctx_r1.column) ? 5 : ctx_r1.tableService.isTypePercent(ctx_r1.column) ? 6 : ctx_r1.tableService.isTypeDate(ctx_r1.column) ? 7 : 8);
} }
function TableCellComponent_Conditional_2_ng_container_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0, 18);
} if (rf & 2) {
    i0.ɵɵnextContext(2);
    const _r4 = i0.ɵɵreference(4);
    i0.ɵɵproperty("ngTemplateOutlet", _r4);
} }
const _c2$1 = a0 => ({ $implicit: a0 });
function TableCellComponent_Conditional_2_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0, 19);
} if (rf & 2) {
    const rowActions_r28 = ctx.ngIf;
    i0.ɵɵnextContext(2);
    const _r6 = i0.ɵɵreference(6);
    i0.ɵɵproperty("ngTemplateOutlet", _r6)("ngTemplateOutletContext", i0.ɵɵpureFunction1(2, _c2$1, rowActions_r28.actions));
} }
function TableCellComponent_Conditional_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtemplate(0, TableCellComponent_Conditional_2_ng_container_0_Template, 1, 1, "ng-container", 16)(1, TableCellComponent_Conditional_2_ng_container_1_Template, 1, 4, "ng-container", 17);
} if (rf & 2) {
    const ctx_r2 = i0.ɵɵnextContext();
    i0.ɵɵproperty("ngIf", ctx_r2.isRemove && !ctx_r2.isReadOnly);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r2.multipleActions);
} }
function TableCellComponent_ng_template_3_Template(rf, ctx) { if (rf & 1) {
    const _r30 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 20)(1, "fusion-icon-button", 21);
    i0.ɵɵlistener("click", function TableCellComponent_ng_template_3_Template_fusion_icon_button_click_1_listener($event) { i0.ɵɵrestoreView(_r30); const ctx_r29 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r29.onRowRemoveClicked($event)); });
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("iconName", ctx_r3.cellRemoveActionIcon)("fusionTooltip", ctx_r3.getRemoveIconTooltipText());
} }
const _c3$1 = (a0, a1) => ({ y: a0, x: a1 });
function TableCellComponent_ng_template_5_Conditional_3_fusion_menu_drop_0_Template(rf, ctx) { if (rf & 1) {
    const _r35 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-menu-drop", 26);
    i0.ɵɵlistener("fusionClickOutside", function TableCellComponent_ng_template_5_Conditional_3_fusion_menu_drop_0_Template_fusion_menu_drop_fusionClickOutside_0_listener($event) { i0.ɵɵrestoreView(_r35); const ctx_r34 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r34.onActionMenuClickOutSide($event)); })("menuItemClicked", function TableCellComponent_ng_template_5_Conditional_3_fusion_menu_drop_0_Template_fusion_menu_drop_menuItemClicked_0_listener($event) { i0.ɵɵrestoreView(_r35); const ctx_r36 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r36.menuItemClicked($event)); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const menuActions_r31 = i0.ɵɵnextContext(2).$implicit;
    const ctx_r33 = i0.ɵɵnextContext();
    i0.ɵɵproperty("fusionReposition", "#" + ctx_r33.actionsMenuButtonId)("fusionRepositionPlacement", ctx_r33.floatingMenuPosition)("fusionRepositionOffset", i0.ɵɵpureFunction2(4, _c3$1, -32, -32))("menuItems", menuActions_r31);
} }
function TableCellComponent_ng_template_5_Conditional_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtemplate(0, TableCellComponent_ng_template_5_Conditional_3_fusion_menu_drop_0_Template, 1, 7, "fusion-menu-drop", 25);
} if (rf & 2) {
    const ctx_r32 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("fusionTeleporting", "#" + ctx_r32.options.tableId + "_tableTeleportWrapper");
} }
function TableCellComponent_ng_template_5_Template(rf, ctx) { if (rf & 1) {
    const _r39 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 22);
    i0.ɵɵpipe(1, "async");
    i0.ɵɵelementStart(2, "fusion-icon-button", 23);
    i0.ɵɵlistener("click", function TableCellComponent_ng_template_5_Template_fusion_icon_button_click_2_listener() { i0.ɵɵrestoreView(_r39); const ctx_r38 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r38.onActionButtonClicked()); });
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(3, TableCellComponent_ng_template_5_Conditional_3_Template, 1, 1, "fusion-menu-drop", 24);
    i0.ɵɵpipe(4, "async");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r5 = i0.ɵɵnextContext();
    i0.ɵɵclassProp("fu-row-menu-shown", i0.ɵɵpipeBind1(1, 5, ctx_r5.shownActionsMenu$));
    i0.ɵɵpropertyInterpolate("id", ctx_r5.actionsMenuButtonId);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("iconName", "ph/dots-three");
    i0.ɵɵadvance();
    i0.ɵɵconditional(3, i0.ɵɵpipeBind1(4, 7, ctx_r5.shownActionsMenu$) ? 3 : -1);
} }
class TableCellComponent {
    set data(value) {
        this._data = value;
    }
    get sticky() {
        return this.column.sticky;
    }
    get stickyLeft() {
        return this.column.stickyLeftMargin;
    }
    get actionsMenuButtonId() {
        return this.options.tableId + '_' + this.rowIndex;
    }
    get data() {
        let data = this._data;
        if (Array.isArray(data)) {
            data = data[this.rowSpanIndex ?? 0];
        }
        if (!isNull(data) && this.tableService.isTypeComponent(this.column) && typeof data === 'object') {
            data['cellPosition'] = this.position;
        }
        return data;
    }
    get cellStringData() {
        if (typeof this.data === 'string' || typeof this.data === 'number') {
            return this.data;
        }
        else if (this.isRowTotal && !isNullOrUndefined(this.data)) {
            this.logService.error(new Error(`Expected data type String for cell in total row with type "totalRowTypeAsString" for column key:${this.column.key}`));
            return ' ';
        }
        else if (this.isRowTotal && isNullOrUndefined(this.data)) {
            return ' '; // for total row cell as string if data not arrive
        }
        return isNull(this.data) ? null : undefined;
    }
    get isRowTotal() {
        return !isNullOrUndefined(this.options.hasTotalsRow) && this.options.hasTotalsRow && this.position.x === 0;
    }
    get isSmallActionButton() {
        return !!this.options && !!this.options.rowHeight && this.options.rowHeight === TableRowHeight.Small;
    }
    get nativeElement() {
        return this.column && typeof this.column.renderNativeElement === 'function'
            ? this.column.renderNativeElement(this.data, this.position, this.row)
            : null;
    }
    get cellRemoveActionIcon() {
        return this.options?.remove && this.options.remove?.icon ? this.options.remove.icon : DEFAULT_REMOVE_ICON_V3;
    }
    get multipleActions() {
        const actionsMenu = this.options?.rowActionsMenu;
        if (this.options?.rowActionsMenu && Array.isArray(this.options?.rowActionsMenu.actions)) {
            actionsMenu.actions = this.options?.rowActionsMenu?.actions.map(this.setDisableStateForFloatingAction.bind(this));
        }
        return actionsMenu;
    }
    constructor(tableService, tableModuleOptions, logService, elementRef) {
        this.tableService = tableService;
        this.tableModuleOptions = tableModuleOptions;
        this.logService = logService;
        this.elementRef = elementRef;
        this.options = null;
        this.customClass = {};
        this.selectedChange = new EventEmitter();
        this.dataChange = new EventEmitter();
        this.remove = new EventEmitter();
        this.isInlineRemovable = false;
        this.isInRequest$ = new BehaviorSubject(false);
        this.toggleInRequest$ = new BehaviorSubject(false);
        this.innerElementWidth = '';
        this.isInEditMode = false;
        this.inputError$ = new BehaviorSubject('');
        this.isNull = isNull;
        this.isNullOrUndefined = isNullOrUndefined;
        this.floatingMenuPosition = TooltipPosition.BottomRight;
        this.shownActionsMenu$ = new BehaviorSubject(false);
        this.inlineInputViewOnlyText = '';
        this.onActionMenuClose$ = new Subject();
    }
    ngOnInit() {
        const { paddingLeft, paddingRight } = this.getSellLefRightPadding();
        this.innerElementWidth = this.column.width ? `calc(${this.column.width} - ${paddingLeft} - ${paddingRight})` : null;
        this.notAvailableText = this.options ? this.options.notAvailableText : null;
    }
    ngOnChanges(changes) {
        this.isInlineRemovable = this.isRemove;
        if (this.tableService.isTypeInputEdit(this.column) && changes?.data?.currentValue && !changes.data.firstChange) {
            this._setInputData();
        }
        if (this.tableService.isTypeComponent(this.column) && (changes?.data?.currentValue || changes?.column?.currentValue)) {
            this.renderCustomElement();
        }
        if (changes?.data?.firstChange && changes?.data?.currentValue?.value?.viewOnlyText) {
            this.inlineInputViewOnlyText = changes.data.currentValue.value.viewOnlyText;
        }
    }
    _setInputData() {
        this.initInputData = !isNullOrUndefined(this.column.dataParser)
            ? this.column.dataParser(this.data.value)
            : this.data.value;
    }
    getRemoveIconTooltipText() {
        return this.options && this.options.remove && this.options.remove.tooltip && this.options.remove.tooltip.text
            ? this.options.remove.tooltip.text
            : DEFAULT_REMOVE_TOOLTIP_TEXT;
    }
    isBoolean(variable) {
        return isBoolean(variable);
    }
    isRowChecked() {
        return this.options.isGroupedTable ? this.data : this.isRowSelected;
    }
    isAsDate(date) {
        return !isNaN(Date.parse(date.toString()));
    }
    onToggleChanged(newValue) {
        this.toggleInRequest$.next(true);
        this.dataChange.emit({
            newValue,
            onCellRequestDone: (isSuccess, error, stayInEditMode = false) => {
                if (isSuccess) {
                    this.data = newValue;
                }
                else {
                    this.data = !newValue;
                }
                this.toggleInRequest$.next(false);
            }
        });
    }
    onEndEdit(valuesOptions) {
        const formControl = this.data;
        if (formControl.valid) {
            this.isInEditMode = false;
            const newValue = !isNullOrUndefined(this.column.dataParser) ? this.column.dataParser(formControl.value) : formControl.value;
            const prevValue = valuesOptions.currentValue;
            const inlineInputComponent = this.inlineInputEdit;
            if (newValue !== this.initInputData) {
                this.initInputData = newValue;
                // set waiter for cell
                this.isInRequest$.next(true);
                this.dataChange.emit({
                    newValue,
                    prevValue,
                    onCellRequestDone: (isSuccess, error, stayInEditMode = false) => {
                        if (!isSuccess) {
                            if (stayInEditMode) {
                                inlineInputComponent.setEditMode$.next(newValue);
                            }
                            else {
                                this.inputError$.next(error?.message);
                            }
                            this.initInputData = prevValue;
                        }
                        else if (this.initInputData === '') {
                            this.inputError$.next('');
                            this.initInputData = formControl.value;
                        }
                        else {
                            this.inputError$.next('');
                            const newInputValue = this.inlineInputViewOnlyText
                                ? {
                                    value: newValue,
                                    viewOnlyText: this.inlineInputViewOnlyText
                                }
                                : newValue;
                            formControl.setValue(newInputValue, {
                                emitEvent: false
                            });
                        }
                        this.isInRequest$.next(false);
                    }
                });
            }
        }
        else {
            const allErrors = formControl.errors || {};
            Object.keys(allErrors).forEach(errorKey => {
                this.inputError$.next(this._getMessage(errorKey, !isNullOrUndefined(this.column.customErrorMapping) ? this.column.customErrorMapping[errorKey] ?? {} : {}, allErrors[errorKey]));
            });
        }
    }
    onCancel() {
        this.inputError$.next('');
        this.isInEditMode = false;
    }
    onRowRemoveClicked($event) {
        if ($event) {
            $event.preventDefault();
            $event.stopPropagation();
        }
        this.remove.emit();
    }
    getDateFormat(dateFormat) {
        return dateFormat || 'd MMM yyyy';
    }
    getDateUTCFormat(ignoreTimeZone) {
        return ignoreTimeZone ? null : 'UTC';
    }
    renderCustomElement() {
        if (this.column) {
            this.customCellData = {
                component: {
                    type: this.column.component,
                    data: this.data
                },
                element: this.nativeElement
            };
        }
    }
    menuItemClicked(action) {
        this.closeActionsMenu();
        this.tableService.rowActionClicked.emit({ action: action, rowIndex: this.rowIndex, row: this.row });
    }
    onActionButtonClicked() {
        this.shownActionsMenu$.next(true);
        this.tableService.tableScrolled.pipe(takeUntil(this.onActionMenuClose$)).subscribe($event => {
            this.closeActionsMenu();
        });
    }
    onActionMenuClickOutSide(target) {
        if (!target.closest('#' + this.actionsMenuButtonId)) {
            this.closeActionsMenu();
        }
    }
    closeActionsMenu() {
        this.shownActionsMenu$.next(false);
        this.onActionMenuClose$.next();
        this.onActionMenuClose$.complete();
    }
    _getMessage(errorKey, { errorMessageKey = '', textMapping = [] }, errorDefaults) {
        const tableModuleOptions = !isNullOrUndefined(this.tableModuleOptions) ? this.tableModuleOptions : { errorMessages: ERROR_MESSAGES };
        if (!tableModuleOptions.errorMessages) {
            tableModuleOptions.errorMessages = ERROR_MESSAGES;
        }
        let errorMessage = tableModuleOptions.errorMessages[errorMessageKey] || tableModuleOptions.errorMessages[errorKey];
        if (errorMessage) {
            errorMessage = errorMessage.replace('{NAME}', this.column.title);
            errorMessage = errorMessage.replace('{INNER-NAME}', this.column.title);
            if (textMapping && textMapping.length > 0) {
                textMapping.forEach(mappObj => {
                    errorMessage = errorMessage.replace(`{${mappObj.key}}`, mappObj.value);
                });
            }
        }
        return errorMessage;
    }
    getSellLefRightPadding() {
        const computedStyle = getComputedStyle(this.elementRef.nativeElement);
        const paddingLeft = computedStyle.paddingLeft;
        const paddingRight = computedStyle.paddingRight;
        return { paddingLeft, paddingRight };
    }
    setDisableStateForFloatingAction(menuItem) {
        return this.options?.isFloatingActionDisabled && typeof this.options?.isFloatingActionDisabled === 'function'
            ? { ...menuItem, disabled: this.options.isFloatingActionDisabled(this.row, menuItem) }
            : menuItem;
    }
    static { this.ɵfac = function TableCellComponent_Factory(t) { return new (t || TableCellComponent)(i0.ɵɵdirectiveInject(i1.TableService), i0.ɵɵdirectiveInject(TABLE_OPTIONS_TOKEN, 8), i0.ɵɵdirectiveInject(i2.LogService), i0.ɵɵdirectiveInject(i0.ElementRef)); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: TableCellComponent, selectors: [["", "fusionTableCell", ""]], viewQuery: function TableCellComponent_Query(rf, ctx) { if (rf & 1) {
            i0.ɵɵviewQuery(_c0$4, 5);
        } if (rf & 2) {
            let _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.inlineInputEdit = _t.first);
        } }, hostVars: 6, hostBindings: function TableCellComponent_HostBindings(rf, ctx) { if (rf & 2) {
            i0.ɵɵstyleProp("left", ctx.stickyLeft);
            i0.ɵɵclassProp("is-inline-removable", ctx.isInlineRemovable)("sticky-left", ctx.sticky);
        } }, inputs: { data: "data", column: "column", row: "row", rowIndex: "rowIndex", rowSpanIndex: "rowSpanIndex", options: "options", position: "position", infoIconTooltip: "infoIconTooltip", isRemove: "isRemove", floatingActionsDisabled: "floatingActionsDisabled", isRowSelected: "isRowSelected", isLastColumn: "isLastColumn", customClass: "customClass", isReadOnly: "isReadOnly" }, outputs: { selectedChange: "selectedChange", dataChange: "dataChange", remove: "remove" }, standalone: true, features: [i0.ɵɵNgOnChangesFeature, i0.ɵɵStandaloneFeature], attrs: _c1$3, decls: 7, vars: 2, consts: [["removeActionButton", ""], ["multipleActionsMenu", ""], [3, "ngClass", "width"], [3, "ngClass"], [1, "truncate", 3, "fusionTooltip"], ["class", "checkbox-cell", 3, "width"], [1, "checkbox-cell"], ["title", "select / un-select row", 1, "is-regular", 3, "checked", "changed"], [3, "model", "disabled", "loading", "modelChange"], ["class", "fu-input-cell", 3, "fu-type-number"], [1, "fu-input-cell"], [3, "type", "data", "selectOptions", "pending", "error", "readOnly", "currencyPipeParameters", "onSave", "onCancel"], ["inlineInput", ""], [3, "configuration"], [1, "truncate", 3, "ngClass", "fusionTooltip"], [1, "truncate"], [3, "ngTemplateOutlet", 4, "ngIf"], [3, "ngTemplateOutlet", "ngTemplateOutletContext", 4, "ngIf"], [3, "ngTemplateOutlet"], [3, "ngTemplateOutlet", "ngTemplateOutletContext"], [1, "fu-button-holder"], [3, "iconName", "fusionTooltip", "click"], [1, "fu-button-holder", 3, "id"], [3, "iconName", "click"], ["style", "--fu-drop-menu-width: 200px", 3, "fusionReposition", "fusionRepositionPlacement", "fusionRepositionOffset", "menuItems"], ["style", "--fu-drop-menu-width: 200px", 3, "fusionReposition", "fusionRepositionPlacement", "fusionRepositionOffset", "menuItems", "fusionClickOutside", "menuItemClicked", 4, "fusionTeleporting"], [2, "--fu-drop-menu-width", "200px", 3, "fusionReposition", "fusionRepositionPlacement", "fusionRepositionOffset", "menuItems", "fusionClickOutside", "menuItemClicked"]], template: function TableCellComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵtemplate(0, TableCellComponent_Conditional_0_Template, 1, 1)(1, TableCellComponent_Conditional_1_Template, 9, 1)(2, TableCellComponent_Conditional_2_Template, 2, 2)(3, TableCellComponent_ng_template_3_Template, 2, 2, "ng-template", null, 0, i0.ɵɵtemplateRefExtractor)(5, TableCellComponent_ng_template_5_Template, 5, 9, "ng-template", null, 1, i0.ɵɵtemplateRefExtractor);
        } if (rf & 2) {
            i0.ɵɵconditional(0, ctx.isRowTotal && ctx.tableService.isInTotalTypeString(ctx.column) || ctx.tableService.isTypeString(ctx.column) ? 0 : 1);
            i0.ɵɵadvance(2);
            i0.ɵɵconditional(2, !ctx.isRowTotal && ctx.isLastColumn ? 2 : -1);
        } }, dependencies: [CommonModule, i1$1.NgClass, i1$1.NgIf, i1$1.NgTemplateOutlet, i1$1.AsyncPipe, i1$1.DecimalPipe, i1$1.CurrencyPipe, i1$1.DatePipe, ReactiveFormsModule,
            NotAvailablePipe,
            TooltipDirective,
            CheckboxComponent,
            InputInlineComponent,
            DynamicComponentsModule, i4.DynamicComponentsComponent, IconModule,
            IconButtonComponent,
            MenuDropComponent,
            ClickOutsideModule, i5.ClickOutsideDirective, TeleportingModule, i6.TeleportingDirective, RepositionDirective,
            ToggleComponent], styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";.font-v4-bold[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%], .font-v4-chart-2[_ngcontent-%COMP%], .font-v4-chart-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold[_ngcontent-%COMP%], .font-v4-chip-label[_ngcontent-%COMP%], .font-v4-table-label[_ngcontent-%COMP%], .font-v4-button[_ngcontent-%COMP%], .font-v4-heading-6[_ngcontent-%COMP%], .font-v4-heading-5[_ngcontent-%COMP%], .font-v4-heading-4[_ngcontent-%COMP%], .font-v4-heading-3[_ngcontent-%COMP%], .font-v4-heading-2[_ngcontent-%COMP%], .font-v4-heading-1[_ngcontent-%COMP%], .font-v4-title[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium[_ngcontent-%COMP%], .font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-input-label[_ngcontent-%COMP%], .font-v4-overline[_ngcontent-%COMP%], .font-v4-subtitle-2[_ngcontent-%COMP%], .font-v4-subtitle-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular[_ngcontent-%COMP%], .font-v4-caption[_ngcontent-%COMP%], .font-v4-body-2[_ngcontent-%COMP%], [_nghost-%COMP%], .font-v4-body-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title[_ngcontent-%COMP%]{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2[_ngcontent-%COMP%]{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3[_ngcontent-%COMP%]{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5[_ngcontent-%COMP%]{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6[_ngcontent-%COMP%]{font-size:.75rem;line-height:.75rem;letter-spacing:0}[_nghost-%COMP%], .font-v4-body-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-body-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2[_ngcontent-%COMP%]{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}.font-v4-caption[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem}.font-v4-table-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem}.font-v4-chip-label[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:normal}[_nghost-%COMP%]   .truncate[_ngcontent-%COMP%]{white-space:nowrap;overflow:hidden;text-overflow:ellipsis}@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}[_nghost-%COMP%]{position:relative;height:var(--table-row-height);padding:var(--table-row-cell-padding);border-bottom:var(--table-border);background-color:var(--table-odd-row-background-color)}.is-checkbox-holder[_nghost-%COMP%]{width:var(--table-checkbox-cell-width)}[_nghost-%COMP%] > div[_ngcontent-%COMP%]{display:flex;align-items:center;height:100%;width:100%;max-width:350px;word-break:break-all}[_nghost-%COMP%] > div.right[_ngcontent-%COMP%]{justify-content:flex-end}[_nghost-%COMP%] > div.center[_ngcontent-%COMP%]{justify-content:center}[_nghost-%COMP%] > div.checkbox-cell[_ngcontent-%COMP%]{margin:0 auto;justify-content:center}[_nghost-%COMP%] > div.fu-input-cell[_ngcontent-%COMP%]{position:relative;left:-8px}[_nghost-%COMP%] > div.fu-input-cell.fu-type-number[_ngcontent-%COMP%]{left:initial;right:-8px}[_nghost-%COMP%]   .fu-button-holder[_ngcontent-%COMP%]{display:block;position:absolute;margin:auto 0;top:0;bottom:0;right:12px;width:28px;height:28px}.fu-sticky-actions[_nghost-%COMP%]{position:sticky;right:0}.fu-sticky-actions[_nghost-%COMP%]   .fu-button-holder[_ngcontent-%COMP%]{border-left:var(--table-border);right:0;width:100%;display:flex;align-items:center;justify-content:center;height:100%}.sticky-left[_nghost-%COMP%]{position:sticky;left:0;z-index:2}.sticky-left[_nghost-%COMP%]:after{content:\"\";position:absolute;top:0;right:-1px;height:100%;width:1px;border-right:var(--table-border)}.sticky-right[_nghost-%COMP%]{position:sticky;right:0;z-index:2}.sticky-right[_nghost-%COMP%]:nth-child(1 of.sticky-right):before{content:\"\";position:absolute;top:0;left:-1px;height:100%;width:1px;border-left:var(--table-border)}.is-row-in-request[_nghost-%COMP%], .is-row-in-request   [_nghost-%COMP%]{opacity:var(--table-row-loading-opacity, .7)}tr:hover[_nghost-%COMP%], tr:hover   [_nghost-%COMP%]{background-color:var(--table-row-hover-background-color)}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TableCellComponent, [{
        type: Component,
        args: [{ selector: '[fusionTableCell]', standalone: true, imports: [
                    CommonModule,
                    ReactiveFormsModule,
                    NotAvailablePipe,
                    TooltipDirective,
                    CheckboxComponent,
                    InputInlineComponent,
                    DynamicComponentsModule,
                    IconModule,
                    IconButtonComponent,
                    MenuDropComponent,
                    ClickOutsideModule,
                    TeleportingModule,
                    RepositionDirective,
                    ToggleComponent
                ], changeDetection: ChangeDetectionStrategy.OnPush, template: "@if ((isRowTotal && tableService.isInTotalTypeString(column)) || tableService.isTypeString(column)) {\n    <!--String Cell-->\n    @if(cellStringData){\n        <div [ngClass]=\"column.align\" [style.width]=\"innerElementWidth\">\n        <span class=\"truncate\"\n              [fusionTooltip]=\"cellStringData\">{{ cellStringData | notAvailable: notAvailableText }}</span>\n        </div>\n    }\n} @else {\n    @if (tableService.isTypeCheckbox(column) && isBoolean(data)) {\n        <div class=\"checkbox-cell\" [style.width]=\"innerElementWidth\">\n            <fusion-checkbox\n                    class=\"is-regular\"\n                    title=\"select / un-select row\"\n                    [checked]=\"isRowChecked()\"\n                    (changed)=\"selectedChange.emit($event)\"\n            ></fusion-checkbox>\n        </div>\n    } @else if (tableService.isTypeToggleButton(column) && isBoolean(data)) {\n        <div [style.width]=\"innerElementWidth\">\n            <fusion-toggle\n                [model]=\"data\"\n                [disabled]=\"isReadOnly\"\n                [loading]=\"toggleInRequest$ | async\"\n                (modelChange)=\"onToggleChanged($event)\"\n            ></fusion-toggle>\n        </div>\n    } @else if (tableService.isTypeInputEdit(column) && data) {\n        @if (!isRowTotal) {\n            <div class=\"fu-input-cell\" [class.fu-type-number]=\"column.inputType\">\n                <fusion-input-inline\n                    #inlineInput\n                    [type]=\"column.inputType\"\n                    [data]=\"data\"\n                    [selectOptions]=\"column.inlineDropdownOptions\"\n                    [pending]=\"isInRequest$ | async\"\n                    [error]=\"inputError$ | async\"\n                    [readOnly]=\"isReadOnly\"\n                    [currencyPipeParameters]=\"column?.currencyPipeParameters\"\n                    (onSave)=\"onEndEdit($event)\"\n                    (onCancel)=\"onCancel()\"\n                ></fusion-input-inline>\n            </div>\n        }\n    } @else if (tableService.isTypeComponent(column)) {\n        <fusion-dynamic-components\n                [configuration]=\"customCellData\"\n        >\n        </fusion-dynamic-components>\n    } @else if (tableService.isTypeCurrency(column)) {\n        <div class=\"truncate\"\n             [ngClass]=\"column.align || 'right'\"\n             [style.width]=\"innerElementWidth\"\n             [fusionTooltip]=\"$any(data) | currency: 'USD'\"\n        >\n            {{\n                !isNull(data)\n                    ? ($any(data)\n                        | currency\n                        : column?.currencyPipeParameters?.currencyCode || undefined\n                            : column?.currencyPipeParameters?.display || (column?.currencyPipeParameters ? undefined : '$')\n                            : column?.currencyPipeParameters?.digitsInfo || undefined)\n                    : (data | notAvailable: notAvailableText)\n            }}\n        </div>\n    } @else if (tableService.isTypeNumber(column)) {\n        <div class=\"truncate\"\n             [ngClass]=\"column.align || 'right'\"\n             [style.width]=\"innerElementWidth\"\n             [fusionTooltip]=\"$any(data) | number: column.pipeOptions\"\n        >\n            {{ !isNull(data) ? ($any(data) | number: column.pipeOptions) : (data | notAvailable: notAvailableText) }}\n        </div>\n    } @else if (tableService.isTypePercent(column)) {\n        <div class=\"truncate\"\n             [ngClass]=\"column.align || 'right'\"\n             [style.width]=\"innerElementWidth\"\n             fusionTooltip=\"{{ $any(data) | number: column.pipeOptions }}%\"\n        >\n            {{ !isNull(data) ? ($any(data) | number: column.pipeOptions) : (data | notAvailable: notAvailableText) }}\n            {{ !isNullOrUndefined(data) ? '%' : null }}\n        </div>\n    } @else if (tableService.isTypeDate(column)) {\n        <div class=\"truncate\">\n            {{\n                data\n                    ? isAsDate(data)\n                        ? ($any(data) | date: getDateFormat(column.dateFormat):getDateUTCFormat(column.ignoreTimeZone))\n                        : data\n                    : !isRowTotal\n                        ? 'No ' + column.title\n                        : ''\n            }}\n        </div>\n    } @else {\n        <div>&nbsp;{{ column.type }}</div>\n    }\n}\n\n<!--Row utility Cell icons and buttons-->\n@if (!isRowTotal && isLastColumn) {\n    <!--single remove action button-->\n    <ng-container *ngIf=\"isRemove && !isReadOnly\" [ngTemplateOutlet]=\"removeActionButton\"></ng-container>\n    <!--single remove action button-->\n    <!--multiple actions menu-->\n    <ng-container *ngIf=\"multipleActions as rowActions\" [ngTemplateOutlet]=\"multipleActionsMenu\"\n                  [ngTemplateOutletContext]=\"{$implicit: rowActions.actions}\"></ng-container>\n    <!--multiple actions menu-->\n}\n\n<ng-template #removeActionButton>\n    <div class=\"fu-button-holder\">\n        <fusion-icon-button [iconName]=\"cellRemoveActionIcon\"\n                            [fusionTooltip]=\"getRemoveIconTooltipText()\"\n                            (click)=\"onRowRemoveClicked($event)\"></fusion-icon-button>\n    </div>\n</ng-template>\n\n<ng-template #multipleActionsMenu let-menuActions>\n    <div id=\"{{actionsMenuButtonId}}\" class=\"fu-button-holder\" [class.fu-row-menu-shown]=\"shownActionsMenu$ | async\">\n        <fusion-icon-button [iconName]=\"'ph/dots-three'\" (click)=\"onActionButtonClicked()\"></fusion-icon-button>\n        @if (shownActionsMenu$ | async) {\n            <fusion-menu-drop style=\"--fu-drop-menu-width: 200px\"\n                    *fusionTeleporting=\"'#'+options.tableId+'_tableTeleportWrapper'\"\n                    [fusionReposition]=\"'#'+actionsMenuButtonId\"\n                    [fusionRepositionPlacement]=\"floatingMenuPosition\"\n                    [fusionRepositionOffset]=\"{y:-32, x:-32}\"\n                    [menuItems]=\"menuActions\"\n                    (fusionClickOutside)=\"onActionMenuClickOutSide($event)\"\n                    (menuItemClicked)=\"menuItemClicked($event)\"\n            ></fusion-menu-drop>\n        }\n    </div>\n</ng-template>\n", styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";.font-v4-bold,.font-v4-tab-label-2,.font-v4-chart-2,.font-v4-chart-1{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold,.font-v4-chip-label,.font-v4-table-label,.font-v4-button,.font-v4-heading-6,.font-v4-heading-5,.font-v4-heading-4,.font-v4-heading-3,.font-v4-heading-2,.font-v4-heading-1,.font-v4-title{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium,.font-v4-tab-label-1,.font-v4-input-label,.font-v4-overline,.font-v4-subtitle-2,.font-v4-subtitle-1{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular,.font-v4-caption,.font-v4-body-2,:host,.font-v4-body-1{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6{font-size:.75rem;line-height:.75rem;letter-spacing:0}:host,.font-v4-body-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-body-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}.font-v4-caption{font-size:.75rem;line-height:1rem}.font-v4-table-label{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1,.font-v4-tab-label-2{font-size:.875rem;line-height:1rem}.font-v4-chip-label{font-size:.75rem;line-height:1rem;letter-spacing:normal}:host .truncate{white-space:nowrap;overflow:hidden;text-overflow:ellipsis}@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}:host{position:relative;height:var(--table-row-height);padding:var(--table-row-cell-padding);border-bottom:var(--table-border);background-color:var(--table-odd-row-background-color)}:host.is-checkbox-holder{width:var(--table-checkbox-cell-width)}:host>div{display:flex;align-items:center;height:100%;width:100%;max-width:350px;word-break:break-all}:host>div.right{justify-content:flex-end}:host>div.center{justify-content:center}:host>div.checkbox-cell{margin:0 auto;justify-content:center}:host>div.fu-input-cell{position:relative;left:-8px}:host>div.fu-input-cell.fu-type-number{left:initial;right:-8px}:host .fu-button-holder{display:block;position:absolute;margin:auto 0;top:0;bottom:0;right:12px;width:28px;height:28px}:host.fu-sticky-actions{position:sticky;right:0}:host.fu-sticky-actions .fu-button-holder{border-left:var(--table-border);right:0;width:100%;display:flex;align-items:center;justify-content:center;height:100%}:host.sticky-left{position:sticky;left:0;z-index:2}:host.sticky-left:after{content:\"\";position:absolute;top:0;right:-1px;height:100%;width:1px;border-right:var(--table-border)}:host.sticky-right{position:sticky;right:0;z-index:2}:host.sticky-right:nth-child(1 of.sticky-right):before{content:\"\";position:absolute;top:0;left:-1px;height:100%;width:1px;border-left:var(--table-border)}:host-context(.is-row-in-request){opacity:var(--table-row-loading-opacity, .7)}:host-context(tr:hover){background-color:var(--table-row-hover-background-color)}\n"] }]
    }], () => [{ type: i1.TableService }, { type: undefined, decorators: [{
                type: Optional
            }, {
                type: Inject,
                args: [TABLE_OPTIONS_TOKEN]
            }] }, { type: i2.LogService }, { type: i0.ElementRef }], { data: [{
            type: Input
        }], column: [{
            type: Input
        }], row: [{
            type: Input
        }], rowIndex: [{
            type: Input
        }], rowSpanIndex: [{
            type: Input
        }], options: [{
            type: Input
        }], position: [{
            type: Input
        }], infoIconTooltip: [{
            type: Input
        }], isRemove: [{
            type: Input
        }], floatingActionsDisabled: [{
            type: Input
        }], isRowSelected: [{
            type: Input
        }], isLastColumn: [{
            type: Input
        }], customClass: [{
            type: Input
        }], isReadOnly: [{
            type: Input
        }], selectedChange: [{
            type: Output
        }], dataChange: [{
            type: Output
        }], remove: [{
            type: Output
        }], inlineInputEdit: [{
            type: ViewChild,
            args: ['inlineInput']
        }], isInlineRemovable: [{
            type: HostBinding,
            args: ['class.is-inline-removable']
        }], sticky: [{
            type: HostBinding,
            args: ['class.sticky-left']
        }], stickyLeft: [{
            type: HostBinding,
            args: ['style.left']
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(TableCellComponent, { className: "TableCellComponent", filePath: "components/table-cell/table-cell.component.ts", lineNumber: 79 }); })();

const _c0$3 = ["fusionTableRow", ""];
function TableRowComponent_For_1_Conditional_0_Conditional_2_Template(rf, ctx) { if (rf & 1) {
    const _r10 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div")(1, "fusion-icon-button", 2);
    i0.ɵɵlistener("click", function TableRowComponent_For_1_Conditional_0_Conditional_2_Template_fusion_icon_button_click_1_listener() { i0.ɵɵrestoreView(_r10); const ctx_r9 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r9.expandRow.emit({ rowIndex: ctx_r9.rowIndex, row: ctx_r9.row, isExpanded: !ctx_r9.isExpanded })); });
    i0.ɵɵpipe(2, "generic");
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const idx_r3 = i0.ɵɵnextContext(2).$index;
    const ctx_r8 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("iconName", !ctx_r8.isExpanded ? ctx_r8.expandArrowIconName : ctx_r8.collapseArrowIconName);
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(2, 2, ctx_r8.testIdsService.getTestAttribute.bind(ctx_r8), ctx_r8.testId, ctx_r8.tableTestIdModifiers.EXPAND_ICON_BUTTON + "-r" + ctx_r8.rowIndex + "-c" + idx_r3));
} }
function TableRowComponent_For_1_Conditional_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "td", 1);
    i0.ɵɵpipe(1, "generic");
    i0.ɵɵtemplate(2, TableRowComponent_For_1_Conditional_0_Conditional_2_Template, 3, 6, "div");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r12 = i0.ɵɵnextContext();
    const idx_r3 = ctx_r12.$index;
    const ɵ$index_1_r4 = ctx_r12.$index;
    const ɵ$count_1_r6 = ctx_r12.$count;
    const ctx_r7 = i0.ɵɵnextContext();
    i0.ɵɵclassProp("total-row", ctx_r7.isRowTotal)("expanded", ctx_r7.isExpanded)("inner-row", ctx_r7.isInnerRow)("sticky-left", ctx_r7.options == null ? null : ctx_r7.options.rowsExpandableOptions == null ? null : ctx_r7.options.rowsExpandableOptions.sticky);
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(1, 10, ctx_r7.testIdsService.getTestAttribute.bind(ctx_r7), ctx_r7.testId, ctx_r7.tableTestIdModifiers.CELL + "-r" + ctx_r7.rowIndex + "-c" + idx_r3));
    i0.ɵɵadvance(2);
    i0.ɵɵconditional(2, ɵ$index_1_r4 === ɵ$count_1_r6 - 1 && ctx_r7.showExpandIcon() ? 2 : -1);
} }
function TableRowComponent_For_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtemplate(0, TableRowComponent_For_1_Conditional_0_Template, 3, 14, "td", 0);
    i0.ɵɵpipe(1, "generic");
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵconditional(0, i0.ɵɵpipeBind2(1, 1, ctx_r0.cellShown, "cell-expand") ? 0 : -1);
} }
const _c1$2 = (a0, a1) => ({ x: a0, y: a1 });
function TableRowComponent_For_4_Conditional_0_Template(rf, ctx) { if (rf & 1) {
    const _r20 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "td", 4);
    i0.ɵɵlistener("remove", function TableRowComponent_For_4_Conditional_0_Template_td_remove_0_listener() { i0.ɵɵrestoreView(_r20); const ctx_r19 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r19.rowRemoved.emit()); })("selectedChange", function TableRowComponent_For_4_Conditional_0_Template_td_selectedChange_0_listener($event) { i0.ɵɵrestoreView(_r20); const ctx_r21 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r21.selectedChange.emit($event)); })("dataChange", function TableRowComponent_For_4_Conditional_0_Template_td_dataChange_0_listener($event) { i0.ɵɵrestoreView(_r20); const column_r13 = i0.ɵɵnextContext().$implicit; const ctx_r22 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r22.onDataChange($event, column_r13.key)); });
    i0.ɵɵpipe(1, "generic");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r24 = i0.ɵɵnextContext();
    const columnIndex_r14 = ctx_r24.$index;
    const column_r13 = ctx_r24.$implicit;
    const ɵ$index_1_r15 = ctx_r24.$index;
    const ɵ$count_1_r17 = ctx_r24.$count;
    const ctx_r18 = i0.ɵɵnextContext();
    i0.ɵɵclassMap(ctx_r18.columnsData[columnIndex_r14] == null ? null : ctx_r18.columnsData[columnIndex_r14].classes);
    i0.ɵɵstyleProp("width", ctx_r18.columnsData[columnIndex_r14] == null ? null : ctx_r18.columnsData[columnIndex_r14].width)("right", column_r13.stickyRightMargin);
    i0.ɵɵclassProp("cell-tooltip", ctx_r18.columnsData[columnIndex_r14] == null ? null : ctx_r18.columnsData[columnIndex_r14].hasTooltip)("after-sticky", ctx_r18.hasAfterSticky)("inner-row", ctx_r18.isInnerRow)("fu-editable-cell", ctx_r18.tableService.isTypeInputEdit(column_r13))("is-checkbox-holder", ctx_r18.tableService.isTypeCheckbox(column_r13))("sticky-right", column_r13.stickyRight)("fu-sticky-actions", ɵ$index_1_r15 === ɵ$count_1_r17 - 1 && (ctx_r18.options == null ? null : ctx_r18.options.rowActionsMenu == null ? null : ctx_r18.options.rowActionsMenu.stickyActionButton));
    i0.ɵɵproperty("fusionTooltip", ctx_r18.columnsData[columnIndex_r14] == null ? null : ctx_r18.columnsData[columnIndex_r14].tooltip)("data", ctx_r18.row[column_r13.key])("row", ctx_r18.row)("rowIndex", ctx_r18.rowIndex)("rowSpanIndex", ctx_r18.rowSpanIndex)("column", column_r13)("options", ctx_r18.options)("position", i0.ɵɵpureFunction2(41, _c1$2, ctx_r18.rowIndex, columnIndex_r14))("isRemove", ctx_r18.columnsData[columnIndex_r14] == null ? null : ctx_r18.columnsData[columnIndex_r14].isRemove)("infoIconTooltip", ctx_r18.columnsData[columnIndex_r14] == null ? null : ctx_r18.columnsData[columnIndex_r14].infoIconOnHoverTooltip)("isRowSelected", ctx_r18.isRowSelected)("isLastColumn", ɵ$index_1_r15 === ɵ$count_1_r17 - 1)("isReadOnly", ctx_r18.isRowReadOnly)("customClass", ctx_r18.row["customClass"])("ngStyle", ctx_r18.columnsData[columnIndex_r14] == null ? null : ctx_r18.columnsData[columnIndex_r14].styles);
    i0.ɵɵattribute("colspan", ctx_r18.columnsData[columnIndex_r14] == null ? null : ctx_r18.columnsData[columnIndex_r14].colspan)("data-testid", i0.ɵɵpipeBind3(1, 37, ctx_r18.testIdsService.getTestAttribute.bind(ctx_r18), ctx_r18.testId, ctx_r18.tableTestIdModifiers.CELL + "-r" + ctx_r18.rowIndex + "-c" + columnIndex_r14));
} }
function TableRowComponent_For_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtemplate(0, TableRowComponent_For_4_Conditional_0_Template, 2, 44, "td", 3);
    i0.ɵɵpipe(1, "generic");
} if (rf & 2) {
    const column_r13 = ctx.$implicit;
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵconditional(0, i0.ɵɵpipeBind2(1, 1, ctx_r1.cellShown, column_r13.key) ? 0 : -1);
} }
class TableRowComponent {
    get isRowExpanded() {
        return this.isExpanded;
    }
    get isInnerRowExpandable() {
        return (this.options &&
            this.options.rowsExpandableOptions &&
            this.tableService.expandLevels &&
            this.tableService.getExpandLevelByRowIndex(this.rowIndex) <= this.tableService.expandLevels);
    }
    get isRowTotal() {
        return !isNullOrUndefined(this.options.hasTotalsRow) && this.options.hasTotalsRow && this.rowIndex === 0;
    }
    get isRowReadOnly() {
        return this.tableService.isRowReadOnly(this.row);
    }
    get expandCellCount() {
        if (!!this.options && !!this.options.rowsExpandableOptions && !!this.tableService.expandLevels) {
            const expandLevelsByIndex = this.tableService.getExpandLevelByRowIndex(this.rowIndex);
            const expandLevels = expandLevelsByIndex <= this.tableService.expandLevels ? expandLevelsByIndex : this.tableService.expandLevels;
            return of([...Array(expandLevels).keys()]);
        }
        return of([]);
    }
    hasTooltip(key, row) {
        return !isNullOrUndefined(this.getCellTooltip(key, row));
    }
    getCellTooltip(key, row) {
        // eslint-disable-next-line
        const rowMetaData = row['rowMetaData'];
        return !!rowMetaData && !!rowMetaData.cellToolTip ? rowMetaData.cellToolTip[key] : null;
    }
    infoIconOnHooverToolTip(options, row) {
        return options?.infoIconForRowOnHover ? options?.infoIconForRowOnHover(row) : '';
    }
    rowRemoveIconOptions(options, row) {
        return {
            hideRemoveIcon: options?.remove && options?.isRemoveIconHiddenForRow && options?.isRemoveIconHiddenForRow(row)
        };
    }
    constructor(tableService, cdRef, injector) {
        this.tableService = tableService;
        this.cdRef = cdRef;
        this.injector = injector;
        this.rowRemoved = new EventEmitter();
        this.selectedChange = new EventEmitter();
        this.expandRow = new EventEmitter();
        this.columnsData = [];
        this.cellShown = this.showCell.bind(this);
        /** @internal */
        this.tableTestIdModifiers = TableTestIdModifiers;
        /** @internal */
        this.testIdsService = this.injector.get(TestIdsService);
    }
    ngOnInit() {
        this.dataRowIndex = this.rowIndex;
        this.expandArrowIconName = 'ph/caret-right';
        this.collapseArrowIconName = 'ph/caret-down';
        if (this.isRowTotal) {
            Object.assign(this.row, { isRowTotal: true });
        }
    }
    ngOnChanges({ options, columns, row }) {
        const activeOptions = options?.currentValue || this.options;
        const activeColumns = columns?.currentValue || this.columns;
        const activeRow = row?.currentValue || this.row;
        if (options?.currentValue || columns?.currentValue || row?.currentValue) {
            this.columnsData = this.getColumnsData(activeColumns, activeOptions, activeRow);
        }
    }
    onDataChange(options, rowKey) {
        this.tableService.toggleRowInRequest(this.row, true);
        this.tableService.rowModelChange.emit({
            rowIndex: this.rowIndex,
            rowSpanIndex: this.rowSpanIndex ?? 0,
            rowModel: this.row,
            keyChanged: rowKey,
            newValue: options.newValue,
            prevValue: options.prevValue,
            onRequestDone: (state, error, stayInEditOnCancel = false) => {
                this.tableService.toggleRowInRequest(this.row, false);
                if (options.onCellRequestDone) {
                    options.onCellRequestDone(state, error, stayInEditOnCancel);
                }
                this.cdRef.markForCheck();
            }
        });
    }
    trackByFn(index, item) {
        if (!item) {
            return null;
        }
        return item.key ? item.key : index;
    }
    showExpandIcon() {
        const hasKeyToIgnore = this.options && this.options.rowsExpandableOptions && this.options.rowsExpandableOptions.keyToIgnore;
        if (!hasKeyToIgnore) {
            return this.isInnerRow ? this.isInnerRowExpandable : !this.isRowTotal;
        }
        return !this.isRowTotal && !this.row[this.options.rowsExpandableOptions.keyToIgnore] && this.isInnerRowExpandable;
    }
    getCellColspan(isFirstDataCell, cellColspan, expandLevel) {
        if (isFirstDataCell && expandLevel) {
            if (this.isInnerRow) {
                const colspan = !isNullOrUndefined(cellColspan) ? cellColspan : 0;
                return colspan + (expandLevel + 1 - this.tableService.getExpandLevelByRowIndex(this.rowIndex));
            }
            return expandLevel + 1 - this.tableService.getExpandLevelByRowIndex(this.rowIndex);
        }
        return cellColspan;
    }
    getAttrRowspan(columnKey) {
        let rowSpan = 0;
        const maxRowspan = this.tableService.getMaxRowspanInColumn(this.row);
        if (columnKey === 'cell-expand') {
            rowSpan = maxRowspan;
        }
        else {
            const multiRowsKeys = this.tableService.getRowspanColumnsData(this.row);
            if (!isNullOrUndefined(multiRowsKeys) && isNullOrUndefined(this.rowSpanIndex)) {
                rowSpan = maxRowspan - multiRowsKeys[columnKey];
            }
        }
        return rowSpan > 0 ? rowSpan : null;
    }
    /**
     * Show regular cell "isNullOrUndefined(this.rowSpanIndex)"
     * or if cell has rowspan index "!isNullOrUndefined(this.rowSpanIndex)" and key for multirow
     * @internal
     */
    showCell(columnKey) {
        if (columnKey.startsWith('cell-expand')) {
            return isNullOrUndefined(this.rowSpanIndex);
        }
        const multiRowsKeys = this.tableService.getRowspanColumnsData(this.row);
        return isNullOrUndefined(this.rowSpanIndex) || (!isNullOrUndefined(this.rowSpanIndex) && multiRowsKeys[columnKey] !== 0);
    }
    getColumnsData(columns, options, row) {
        return columns.map((column, index) => {
            const isLast = index === columns.length - 1;
            const isFirst = index === 0;
            return {
                classes: this.tableService.getColumnClasses(column),
                tooltip: this.getCellTooltip(column.key, row),
                hasTooltip: this.hasTooltip(column.key, row),
                isRemove: this.tableService.isRemove(isLast, options, this.rowRemoveIconOptions(options, row)),
                infoIconOnHoverTooltip: isLast ? this.infoIconOnHooverToolTip(options, row) : '',
                styles: this.tableService.getColumnStyle(column),
                colspan: this.getCellColspan(isFirst, column.colspan, this.tableService.expandLevels),
                width: this.tableService.setWidth(isLast, column.width)
            };
        });
    }
    static { this.ɵfac = function TableRowComponent_Factory(t) { return new (t || TableRowComponent)(i0.ɵɵdirectiveInject(i1.TableService), i0.ɵɵdirectiveInject(i0.ChangeDetectorRef), i0.ɵɵdirectiveInject(i0.Injector)); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: TableRowComponent, selectors: [["", "fusionTableRow", ""]], hostVars: 9, hostBindings: function TableRowComponent_HostBindings(rf, ctx) { if (rf & 2) {
            i0.ɵɵattribute("data-row-idx", ctx.dataRowIndex);
            i0.ɵɵclassProp("is-row-expanded", ctx.isRowExpanded)("is-inner-row-expandable", ctx.isInnerRowExpandable)("is-with-totals", ctx.isRowTotal)("is-row-readonly", ctx.isRowReadOnly);
        } }, inputs: { rowIndex: "rowIndex", rowSpanIndex: "rowSpanIndex", row: "row", options: "options", columns: "columns", isRemovableOnHover: "isRemovableOnHover", isRowSelected: "isRowSelected", isExpanded: "isExpanded", isInnerRow: "isInnerRow", hasAfterSticky: "hasAfterSticky", testId: "testId" }, outputs: { rowRemoved: "rowRemoved", selectedChange: "selectedChange", expandRow: "expandRow" }, standalone: true, features: [i0.ɵɵNgOnChangesFeature, i0.ɵɵStandaloneFeature], attrs: _c0$3, decls: 5, vars: 2, consts: [["class", "expand-cell", 3, "total-row", "expanded", "inner-row", "sticky-left"], [1, "expand-cell"], [3, "iconName", "click"], ["fusionTableCell", "", 3, "fusionTooltip", "data", "row", "rowIndex", "rowSpanIndex", "column", "options", "position", "isRemove", "infoIconTooltip", "isRowSelected", "isLastColumn", "isReadOnly", "customClass", "class", "cell-tooltip", "after-sticky", "inner-row", "fu-editable-cell", "is-checkbox-holder", "sticky-right", "fu-sticky-actions", "ngStyle", "width", "right"], ["fusionTableCell", "", 3, "fusionTooltip", "data", "row", "rowIndex", "rowSpanIndex", "column", "options", "position", "isRemove", "infoIconTooltip", "isRowSelected", "isLastColumn", "isReadOnly", "customClass", "ngStyle", "remove", "selectedChange", "dataChange"]], template: function TableRowComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵrepeaterCreate(0, TableRowComponent_For_1_Template, 2, 4, null, null, i0.ɵɵrepeaterTrackByIdentity);
            i0.ɵɵpipe(2, "async");
            i0.ɵɵrepeaterCreate(3, TableRowComponent_For_4_Template, 2, 4, null, null, i0.ɵɵrepeaterTrackByIdentity);
        } if (rf & 2) {
            i0.ɵɵrepeater(i0.ɵɵpipeBind1(2, 0, ctx.expandCellCount));
            i0.ɵɵadvance(3);
            i0.ɵɵrepeater(ctx.columns);
        } }, dependencies: [CommonModule, i1$1.NgStyle, i1$1.AsyncPipe, GenericPipe, IconModule, TooltipDirective, TableCellComponent, IconButtonComponent], styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";.font-v4-bold[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%], .font-v4-chart-2[_ngcontent-%COMP%], .font-v4-chart-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold[_ngcontent-%COMP%], .font-v4-chip-label[_ngcontent-%COMP%], .font-v4-table-label[_ngcontent-%COMP%], .font-v4-button[_ngcontent-%COMP%], .font-v4-heading-6[_ngcontent-%COMP%], .font-v4-heading-5[_ngcontent-%COMP%], .font-v4-heading-4[_ngcontent-%COMP%], .font-v4-heading-3[_ngcontent-%COMP%], .font-v4-heading-2[_ngcontent-%COMP%], .font-v4-heading-1[_ngcontent-%COMP%], .font-v4-title[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium[_ngcontent-%COMP%], .font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-input-label[_ngcontent-%COMP%], .font-v4-overline[_ngcontent-%COMP%], .font-v4-subtitle-2[_ngcontent-%COMP%], .font-v4-subtitle-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular[_ngcontent-%COMP%], .font-v4-caption[_ngcontent-%COMP%], .font-v4-body-2[_ngcontent-%COMP%], .font-v4-body-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title[_ngcontent-%COMP%]{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2[_ngcontent-%COMP%]{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3[_ngcontent-%COMP%]{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5[_ngcontent-%COMP%]{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6[_ngcontent-%COMP%]{font-size:.75rem;line-height:.75rem;letter-spacing:0}.font-v4-body-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-body-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2[_ngcontent-%COMP%]{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}.font-v4-caption[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem}.font-v4-table-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem}.font-v4-chip-label[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:normal}@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}[_nghost-%COMP%]:nth-child(odd){background-color:var(--table-odd-row-background-color)}[_nghost-%COMP%]:nth-child(2n){background-color:var(--table-even-row-background-color)}[_nghost-%COMP%]   td.expand-cell[_ngcontent-%COMP%]{width:var(--table-expand-cell-width);border-bottom:var(--table-border);vertical-align:middle}[_nghost-%COMP%]   td.expand-cell[_ngcontent-%COMP%] > div[_ngcontent-%COMP%]{padding-right:4px;display:flex;align-items:center;justify-content:flex-end;width:var(--table-expand-cell-width)}[_nghost-%COMP%]:last-of-type   td[_ngcontent-%COMP%], [_nghost-%COMP%]:last-of-type   td.expand-cell[_ngcontent-%COMP%]{border-bottom:none}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TableRowComponent, [{
        type: Component,
        args: [{ selector: '[fusionTableRow]', standalone: true, imports: [CommonModule, GenericPipe, IconModule, TooltipDirective, TableCellComponent, IconButtonComponent], changeDetection: ChangeDetectionStrategy.OnPush, template: "<!-- region Expand rows Cell -->\n@for (expandCell of (expandCellCount | async); track expandCell; let isLast = $last, idx = $index){\n    @if(cellShown | generic:'cell-expand'){\n        <td class=\"expand-cell\"\n            [class.total-row]=\"isRowTotal\"\n            [class.expanded]=\"isExpanded\"\n            [class.inner-row]=\"isInnerRow\"\n            [class.sticky-left]=\"options?.rowsExpandableOptions?.sticky\"\n            [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:(tableTestIdModifiers.CELL+'-r'+rowIndex+'-c'+idx)\"\n        >\n            @if(isLast && showExpandIcon()){\n                <div><fusion-icon-button\n                        [iconName]=\"!isExpanded ? expandArrowIconName : collapseArrowIconName\"\n                        [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:(tableTestIdModifiers.EXPAND_ICON_BUTTON+'-r'+rowIndex+'-c'+idx)\"\n                        (click)=\"expandRow.emit({rowIndex: rowIndex, row: row, isExpanded: !isExpanded})\"\n                ></fusion-icon-button></div>\n            }\n        </td>\n    }\n}\n<!-- endregion Expand Cell -->\n@for (column of columns; track column; let columnIndex = $index, isLast = $last){\n    @if (cellShown | generic:column.key){\n        <td fusionTableCell\n            [fusionTooltip]=\"columnsData[columnIndex]?.tooltip\"\n            [data]=\"row[column.key]\"\n            [row]=\"row\"\n            [rowIndex]=\"rowIndex\"\n            [rowSpanIndex]=\"rowSpanIndex\"\n            [column]=\"column\"\n            [options]=\"options\"\n            [position]=\"{x: rowIndex, y: columnIndex}\"\n            [isRemove]=\"columnsData[columnIndex]?.isRemove\"\n            [infoIconTooltip]=\"columnsData[columnIndex]?.infoIconOnHoverTooltip\"\n            [isRowSelected]=\"isRowSelected\"\n            [isLastColumn]=\"isLast\"\n            [isReadOnly]=\"isRowReadOnly\"\n            [customClass]=\"row['customClass']\"\n            [class]=\"columnsData[columnIndex]?.classes\"\n            [class.cell-tooltip]=\"columnsData[columnIndex]?.hasTooltip\"\n            [class.after-sticky]=\"hasAfterSticky\"\n            [class.inner-row]=\"isInnerRow\"\n            [class.fu-editable-cell]=\"tableService.isTypeInputEdit(column)\"\n            [class.is-checkbox-holder]=\"tableService.isTypeCheckbox(column)\"\n            [class.sticky-right]=\"column.stickyRight\"\n            [class.fu-sticky-actions]=\"isLast && options?.rowActionsMenu?.stickyActionButton\"\n            [ngStyle]=\"columnsData[columnIndex]?.styles\"\n            [style.width]=\"columnsData[columnIndex]?.width\"\n            [style.right]=\"column.stickyRightMargin\"\n            [attr.colspan]=\"columnsData[columnIndex]?.colspan\"\n            [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:(tableTestIdModifiers.CELL+'-r'+rowIndex+'-c'+columnIndex)\"\n            (remove)=\"rowRemoved.emit()\"\n            (selectedChange)=\"selectedChange.emit($event)\"\n            (dataChange)=\"onDataChange($event, column.key)\"\n        ></td>\n    }\n}\n\n", styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";.font-v4-bold,.font-v4-tab-label-2,.font-v4-chart-2,.font-v4-chart-1{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold,.font-v4-chip-label,.font-v4-table-label,.font-v4-button,.font-v4-heading-6,.font-v4-heading-5,.font-v4-heading-4,.font-v4-heading-3,.font-v4-heading-2,.font-v4-heading-1,.font-v4-title{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium,.font-v4-tab-label-1,.font-v4-input-label,.font-v4-overline,.font-v4-subtitle-2,.font-v4-subtitle-1{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular,.font-v4-caption,.font-v4-body-2,.font-v4-body-1{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6{font-size:.75rem;line-height:.75rem;letter-spacing:0}.font-v4-body-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-body-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}.font-v4-caption{font-size:.75rem;line-height:1rem}.font-v4-table-label{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1,.font-v4-tab-label-2{font-size:.875rem;line-height:1rem}.font-v4-chip-label{font-size:.75rem;line-height:1rem;letter-spacing:normal}@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}:host:nth-child(odd){background-color:var(--table-odd-row-background-color)}:host:nth-child(2n){background-color:var(--table-even-row-background-color)}:host td.expand-cell{width:var(--table-expand-cell-width);border-bottom:var(--table-border);vertical-align:middle}:host td.expand-cell>div{padding-right:4px;display:flex;align-items:center;justify-content:flex-end;width:var(--table-expand-cell-width)}:host:last-of-type td,:host:last-of-type td.expand-cell{border-bottom:none}\n"] }]
    }], () => [{ type: i1.TableService }, { type: i0.ChangeDetectorRef }, { type: i0.Injector }], { rowIndex: [{
            type: Input
        }], rowSpanIndex: [{
            type: Input
        }], row: [{
            type: Input
        }], options: [{
            type: Input
        }], columns: [{
            type: Input
        }], isRemovableOnHover: [{
            type: Input
        }], isRowSelected: [{
            type: Input
        }], isExpanded: [{
            type: Input
        }], isInnerRow: [{
            type: Input
        }], hasAfterSticky: [{
            type: Input
        }], testId: [{
            type: Input
        }], rowRemoved: [{
            type: Output
        }], selectedChange: [{
            type: Output
        }], expandRow: [{
            type: Output
        }], dataRowIndex: [{
            type: HostBinding,
            args: ['attr.data-row-idx']
        }], isRowExpanded: [{
            type: HostBinding,
            args: ['class.is-row-expanded']
        }], isInnerRowExpandable: [{
            type: HostBinding,
            args: ['class.is-inner-row-expandable']
        }], isRowTotal: [{
            type: HostBinding,
            args: ['class.is-with-totals']
        }], isRowReadOnly: [{
            type: HostBinding,
            args: ['class.is-row-readonly']
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(TableRowComponent, { className: "TableRowComponent", filePath: "components/table-row/table-row.component.ts", lineNumber: 37 }); })();

const _c0$2 = ["fusionTableLoading", ""];
function TableLoadingComponent_Conditional_0_For_1_Conditional_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-skeleton", 1);
} }
function TableLoadingComponent_Conditional_0_For_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "td", 0);
    i0.ɵɵtemplate(1, TableLoadingComponent_Conditional_0_For_1_Conditional_1_Template, 1, 0, "fusion-skeleton", 1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const $index_r4 = ctx.$index;
    i0.ɵɵadvance();
    i0.ɵɵconditional(1, !($index_r4 === 0) ? 1 : -1);
} }
function TableLoadingComponent_Conditional_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵrepeaterCreate(0, TableLoadingComponent_Conditional_0_For_1_Template, 2, 1, "td", 2, i0.ɵɵrepeaterTrackByIdentity);
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵrepeater(ctx_r0.colsToShow);
} }
function TableLoadingComponent_Conditional_1_For_1_For_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "td", 3);
    i0.ɵɵelement(1, "fusion-skeleton", 1);
    i0.ɵɵelementEnd();
} }
function TableLoadingComponent_Conditional_1_For_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "tr");
    i0.ɵɵrepeaterCreate(1, TableLoadingComponent_Conditional_1_For_1_For_2_Template, 2, 0, "td", 4, i0.ɵɵrepeaterTrackByIdentity);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r9 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵrepeater(ctx_r9.colsToShow);
} }
function TableLoadingComponent_Conditional_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵrepeaterCreate(0, TableLoadingComponent_Conditional_1_For_1_Template, 3, 0, "tr", null, i0.ɵɵrepeaterTrackByIdentity);
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵrepeater(ctx_r1.rowsToShow);
} }
class TableLoadingComponent {
    constructor() {
        this.fusionTableLoadingExpanding = false;
        this.fusionTableLoadingRows = 3;
    }
    get rowsToShow() {
        return [...Array(this.fusionTableLoadingRows).keys()];
    }
    get colsToShow() {
        return [...Array(this.fusionTableLoading ?? 1).keys()];
    }
    static { this.ɵfac = function TableLoadingComponent_Factory(t) { return new (t || TableLoadingComponent)(); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: TableLoadingComponent, selectors: [["", "fusionTableLoading", ""]], inputs: { fusionTableLoading: "fusionTableLoading", fusionTableLoadingExpanding: "fusionTableLoadingExpanding", fusionTableLoadingRows: "fusionTableLoadingRows" }, standalone: true, features: [i0.ɵɵStandaloneFeature], attrs: _c0$2, decls: 2, vars: 1, consts: [[1, "fu-table-cell-loading", "fu-expanding-loader"], ["size", "16"], ["class", "fu-table-cell-loading fu-expanding-loader"], [1, "fu-table-cell-loading"], ["class", "fu-table-cell-loading"]], template: function TableLoadingComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵtemplate(0, TableLoadingComponent_Conditional_0_Template, 2, 0)(1, TableLoadingComponent_Conditional_1_Template, 2, 0);
        } if (rf & 2) {
            i0.ɵɵconditional(0, ctx.fusionTableLoadingExpanding ? 0 : 1);
        } }, dependencies: [SkeletonComponent], styles: ["[_nghost-%COMP%]   .fu-table-cell-loading[_ngcontent-%COMP%]{height:var(--table-row-height, 48px);padding:var(--table-row-cell-padding, 0 16px);border-bottom:var(--table-border)}[_nghost-%COMP%]   .fu-table-cell-loading.fu-expanding-loader[_ngcontent-%COMP%]:first-of-type   div[_ngcontent-%COMP%]{display:none}"] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TableLoadingComponent, [{
        type: Component,
        args: [{ selector: '[fusionTableLoading]', imports: [SkeletonComponent], standalone: true, template: "@if(fusionTableLoadingExpanding){\n    @for(c of colsToShow; track c; let first = $first){\n        <td class=\"fu-table-cell-loading fu-expanding-loader\">\n            @if (!first){\n                <fusion-skeleton size=\"16\"></fusion-skeleton>\n            }\n        </td>\n    }\n} @else {\n    @for (r of rowsToShow; track r){\n        <tr>\n            @for(c of colsToShow; track c){\n                <td class=\"fu-table-cell-loading\"><fusion-skeleton size=\"16\"></fusion-skeleton></td>\n            }\n        </tr>\n    }\n}\n", styles: [":host .fu-table-cell-loading{height:var(--table-row-height, 48px);padding:var(--table-row-cell-padding, 0 16px);border-bottom:var(--table-border)}:host .fu-table-cell-loading.fu-expanding-loader:first-of-type div{display:none}\n"] }]
    }], null, { fusionTableLoading: [{
            type: Input
        }], fusionTableLoadingExpanding: [{
            type: Input
        }], fusionTableLoadingRows: [{
            type: Input
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(TableLoadingComponent, { className: "TableLoadingComponent", filePath: "components/table-loading/table-loading.component.ts", lineNumber: 12 }); })();

const _c0$1 = ["fusionTableBasic", ""];
function _forTrack0$1($index, $item) { return this.trackByRowInvoke(); }
const _c1$1 = (a0, a1) => ({ $implicit: a0, parentIndex: a1 });
function TableBasicComponent_For_1_Conditional_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0, 1);
} if (rf & 2) {
    const ctx_r9 = i0.ɵɵnextContext();
    const row_r1 = ctx_r9.$implicit;
    const rowIndex_r2 = ctx_r9.$index;
    const _r8 = i0.ɵɵreference(5);
    const ctx_r6 = i0.ɵɵnextContext();
    i0.ɵɵproperty("ngTemplateOutlet", _r8)("ngTemplateOutletContext", i0.ɵɵpureFunction2(2, _c1$1, row_r1[ctx_r6.options.rowsExpandableOptions.key], rowIndex_r2));
} }
function TableBasicComponent_For_1_ng_template_4_ng_container_0_Conditional_1_ng_container_0_Conditional_1_ng_container_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0);
} }
function TableBasicComponent_For_1_ng_template_4_ng_container_0_Conditional_1_ng_container_0_Conditional_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "tr", 8)(1, "td")(2, "div", 9);
    i0.ɵɵtemplate(3, TableBasicComponent_For_1_ng_template_4_ng_container_0_Conditional_1_ng_container_0_Conditional_1_ng_container_3_Template, 1, 0, "ng-container", 10);
    i0.ɵɵelementEnd()()();
} if (rf & 2) {
    const innerEntity_r21 = i0.ɵɵnextContext().ngIf;
    const ctx_r22 = i0.ɵɵnextContext(5);
    i0.ɵɵadvance();
    i0.ɵɵattribute("colspan", ctx_r22.fullCellColspan);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngComponentOutlet", innerEntity_r21[0] == null ? null : innerEntity_r21[0].component == null ? null : innerEntity_r21[0].component.type)("ngComponentOutletInputs", innerEntity_r21[0] == null ? null : innerEntity_r21[0].component == null ? null : innerEntity_r21[0].component.data);
} }
function TableBasicComponent_For_1_ng_template_4_ng_container_0_Conditional_1_ng_container_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, TableBasicComponent_For_1_ng_template_4_ng_container_0_Conditional_1_ng_container_0_Conditional_1_Template, 4, 3, "tr", 7);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const innerEntity_r21 = ctx.ngIf;
    i0.ɵɵadvance();
    i0.ɵɵconditional(1, innerEntity_r21.length ? 1 : -1);
} }
function TableBasicComponent_For_1_ng_template_4_ng_container_0_Conditional_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtemplate(0, TableBasicComponent_For_1_ng_template_4_ng_container_0_Conditional_1_ng_container_0_Template, 2, 1, "ng-container", 6);
    i0.ɵɵpipe(1, "async");
} if (rf & 2) {
    const displayRows$_r15 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind1(1, 1, displayRows$_r15));
} }
function TableBasicComponent_For_1_ng_template_4_ng_container_0_Conditional_2_ng_container_0_Conditional_4_Template(rf, ctx) { if (rf & 1) {
    const _r33 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "tr", 14)(1, "td")(2, "div", 15)(3, "fusion-link", 16);
    i0.ɵɵlistener("click", function TableBasicComponent_For_1_ng_template_4_ng_container_0_Conditional_2_ng_container_0_Conditional_4_Template_fusion_link_click_3_listener() { i0.ɵɵrestoreView(_r33); const loadMore_r16 = i0.ɵɵnextContext(3).loadMore; return i0.ɵɵresetView(loadMore_r16()); });
    i0.ɵɵtext(4, "Load more");
    i0.ɵɵelementEnd()()()();
} if (rf & 2) {
    const ctx_r30 = i0.ɵɵnextContext(6);
    i0.ɵɵadvance();
    i0.ɵɵattribute("colspan", ctx_r30.fullCellColspan);
} }
function TableBasicComponent_For_1_ng_template_4_ng_container_0_Conditional_2_ng_container_0_Template(rf, ctx) { if (rf & 1) {
    const _r35 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "tr", 12);
    i0.ɵɵlistener("expandRow", function TableBasicComponent_For_1_ng_template_4_ng_container_0_Conditional_2_ng_container_0_Template_tr_expandRow_1_listener($event) { i0.ɵɵrestoreView(_r35); const ctx_r34 = i0.ɵɵnextContext(5); return i0.ɵɵresetView(ctx_r34.onExpandRow($event)); });
    i0.ɵɵpipe(2, "generic");
    i0.ɵɵpipe(3, "async");
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(4, TableBasicComponent_For_1_ng_template_4_ng_container_0_Conditional_2_ng_container_0_Conditional_4_Template, 5, 1, "tr", 13);
    i0.ɵɵpipe(5, "async");
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const innerRow_r27 = ctx.$implicit;
    const innerRowIndex_r28 = ctx.index;
    const last_r29 = ctx.last;
    const hasMore$_r17 = i0.ɵɵnextContext(2).hasMore$;
    const parentIndex_r11 = i0.ɵɵnextContext().parentIndex;
    const ctx_r26 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵproperty("rowIndex", parentIndex_r11 + "_" + innerRowIndex_r28)("row", innerRow_r27)("columns", ctx_r26.options.rowsExpandableOptions.columns)("options", ctx_r26.childRowOptions)("isExpanded", ctx_r26.isExpanded(parentIndex_r11 + "_" + innerRowIndex_r28))("isInnerRow", true)("ngClass", i0.ɵɵpipeBind3(2, 10, ctx_r26.rowClass, innerRow_r27, innerRowIndex_r28))("hasAfterSticky", ctx_r26.hasAfterSticky(last_r29, i0.ɵɵpipeBind1(3, 14, hasMore$_r17), parentIndex_r11 + "_" + innerRowIndex_r28))("ngStyle", !!(ctx_r26.options == null ? null : ctx_r26.options.rowsOptions == null ? null : ctx_r26.options.rowsOptions.global) ? ctx_r26.options.rowsOptions.global.style : null);
    i0.ɵɵadvance(3);
    i0.ɵɵconditional(4, !ctx_r26.loadingChildRows[parentIndex_r11] && i0.ɵɵpipeBind1(5, 16, hasMore$_r17) && last_r29 ? 4 : -1);
} }
function TableBasicComponent_For_1_ng_template_4_ng_container_0_Conditional_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtemplate(0, TableBasicComponent_For_1_ng_template_4_ng_container_0_Conditional_2_ng_container_0_Template, 6, 18, "ng-container", 11);
    i0.ɵɵpipe(1, "async");
} if (rf & 2) {
    const displayRows$_r15 = i0.ɵɵnextContext().$implicit;
    const ctx_r19 = i0.ɵɵnextContext(3);
    i0.ɵɵproperty("ngForOf", i0.ɵɵpipeBind1(1, 2, displayRows$_r15))("ngForTrackBy", ctx_r19.trackByRowInvoke());
} }
function TableBasicComponent_For_1_ng_template_4_ng_container_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, TableBasicComponent_For_1_ng_template_4_ng_container_0_Conditional_1_Template, 2, 3, "ng-container")(2, TableBasicComponent_For_1_ng_template_4_ng_container_0_Conditional_2_Template, 2, 4);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r12 = i0.ɵɵnextContext(3);
    i0.ɵɵadvance();
    i0.ɵɵconditional(1, ctx_r12.isInnerEntityType("dynamicComponent") ? 1 : 2);
} }
function TableBasicComponent_For_1_ng_template_4_Conditional_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "tr", 4);
} if (rf & 2) {
    const ctx_r13 = i0.ɵɵnextContext(3);
    i0.ɵɵproperty("fusionTableLoading", ctx_r13.fullCellColspan)("fusionTableLoadingExpanding", true);
} }
function TableBasicComponent_For_1_ng_template_4_Conditional_2_Template(rf, ctx) { if (rf & 1) {
    const _r41 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "tr", 17)(1, "td")(2, "div", 18)(3, "span");
    i0.ɵɵtext(4, "Failed to load data.");
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(5, "fusion-link", 16);
    i0.ɵɵlistener("click", function TableBasicComponent_For_1_ng_template_4_Conditional_2_Template_fusion_link_click_5_listener() { i0.ɵɵrestoreView(_r41); const ctx_r40 = i0.ɵɵnextContext(2); const rowIndex_r2 = ctx_r40.$index; const row_r1 = ctx_r40.$implicit; const ctx_r39 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r39.onExpandRow({ rowIndex: rowIndex_r2, row: row_r1, isExpanded: true })); });
    i0.ɵɵtext(6, " Try again ");
    i0.ɵɵelementEnd()()()();
} if (rf & 2) {
    const ctx_r14 = i0.ɵɵnextContext(3);
    i0.ɵɵadvance();
    i0.ɵɵattribute("colspan", ctx_r14.fullCellColspan);
} }
function TableBasicComponent_For_1_ng_template_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtemplate(0, TableBasicComponent_For_1_ng_template_4_ng_container_0_Template, 3, 1, "ng-container", 3)(1, TableBasicComponent_For_1_ng_template_4_Conditional_1_Template, 1, 2, "tr", 4)(2, TableBasicComponent_For_1_ng_template_4_Conditional_2_Template, 7, 1, "tr", 5);
} if (rf & 2) {
    const parentRowChildren_r10 = ctx.$implicit;
    const parentIndex_r11 = ctx.parentIndex;
    const ctx_r7 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("fusionLoadMoreOf", parentRowChildren_r10)("fusionLoadMoreChunkSize", (ctx_r7.options.rowsExpandableOptions == null ? null : ctx_r7.options.rowsExpandableOptions.expendChunkSize) || 10);
    i0.ɵɵadvance();
    i0.ɵɵconditional(1, ctx_r7.loadingChildRows[parentIndex_r11] ? 1 : -1);
    i0.ɵɵadvance();
    i0.ɵɵconditional(2, ctx_r7.failedChildRows[parentIndex_r11] ? 2 : -1);
} }
function TableBasicComponent_For_1_Template(rf, ctx) { if (rf & 1) {
    const _r43 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "tr", 0);
    i0.ɵɵlistener("rowRemoved", function TableBasicComponent_For_1_Template_tr_rowRemoved_0_listener() { const restoredCtx = i0.ɵɵrestoreView(_r43); const rowIndex_r2 = restoredCtx.$index; const row_r1 = restoredCtx.$implicit; const ctx_r42 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r42.tableService.removeRow({ rows: ctx_r42.rows, rowIndex: rowIndex_r2, row: row_r1, options: ctx_r42.options })); })("selectedChange", function TableBasicComponent_For_1_Template_tr_selectedChange_0_listener($event) { const restoredCtx = i0.ɵɵrestoreView(_r43); const row_r1 = restoredCtx.$implicit; const ctx_r44 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r44.tableService.onRowSelectChanged($event, row_r1)); })("expandRow", function TableBasicComponent_For_1_Template_tr_expandRow_0_listener($event) { i0.ɵɵrestoreView(_r43); const ctx_r45 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r45.onExpandRow($event)); });
    i0.ɵɵpipe(1, "generic");
    i0.ɵɵpipe(2, "generic");
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(3, TableBasicComponent_For_1_Conditional_3_Template, 1, 5, "ng-container", 1)(4, TableBasicComponent_For_1_ng_template_4_Template, 3, 4, "ng-template", null, 2, i0.ɵɵtemplateRefExtractor);
} if (rf & 2) {
    const row_r1 = ctx.$implicit;
    const rowIndex_r2 = ctx.$index;
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵclassProp("is-row-in-request", ctx_r0.tableService.rowsMetadata[row_r1["_rowId"]] == null ? null : ctx_r0.tableService.rowsMetadata[row_r1["_rowId"]].inRequest);
    i0.ɵɵproperty("rowIndex", rowIndex_r2)("row", row_r1)("columns", ctx_r0.columns)("options", ctx_r0.options)("isRowSelected", i0.ɵɵpipeBind2(1, 13, ctx_r0.rowIsSelected, row_r1))("isExpanded", ctx_r0.isExpanded(rowIndex_r2))("isInnerRow", false)("testId", ctx_r0.testId)("ngClass", i0.ɵɵpipeBind3(2, 16, ctx_r0.rowClass, row_r1, rowIndex_r2))("ngStyle", !!ctx_r0.options.rowsOptions && !!ctx_r0.options.rowsOptions.global ? ctx_r0.options.rowsOptions.global.style : null);
    i0.ɵɵadvance(3);
    i0.ɵɵconditional(3, ctx_r0.displayExpandableRows(rowIndex_r2) ? 3 : -1);
} }
class TableBasicComponent {
    constructor() {
        this.rowSelected = new EventEmitter();
        this.expandRow = new EventEmitter();
        this.loadingChildRows = {};
        this.failedChildRows = {};
        this.rowIsSelected = this.isRowSelected.bind(this);
        this.rowClass = this.getRowClass.bind(this);
        this.rowRowspanIndexes = this.getRowspanIndexes.bind(this);
        /** @internal */
        this.tableTestIdModifiers = TableTestIdModifiers;
        /** @internal */
        this.testIdsService = inject(TestIdsService);
        this.tableService = inject(TableService);
        this.onDestroy$ = new Subject();
        this.cdr = inject(ChangeDetectorRef);
        this.elementRef = inject(ElementRef);
        this.renderer = inject(Renderer2);
    }
    set options(value) {
        this.tableOptions = value;
        this.childRowOptions = { ...value, hasTotalsRow: false };
    }
    get options() {
        return this.tableOptions;
    }
    get fullCellColspan() {
        if (!!this.tableService.expandLevels) {
            return this.columns.length + this.tableService.expandLevels;
        }
        return this.columns.length;
    }
    ngOnInit() {
        this.tableService.selectionChanged.pipe(takeUntil(this.onDestroy$)).subscribe(val => {
            this.cdr.markForCheck();
        });
    }
    ngOnDestroy() {
        this.onDestroy$.next();
        this.onDestroy$.complete();
    }
    ngAfterViewInit() {
        if (this.tableService.hasRowspanRows) {
            this.setHoverForRowspan();
        }
    }
    trackByRowInvoke() {
        return this.trackByRow.bind(this);
    }
    trackByRow(index, row) {
        const keyOption = this.options && this.options.rowTrackingOption ? this.options.rowTrackingOption : 'id';
        return row && row[keyOption] ? row[keyOption] : row;
    }
    isRowDisabled(row) {
        return row._options && row._options.some(options => 'disabled');
    }
    isRowSelected(row) {
        return this.tableService.isRowSelected(row);
    }
    getRowClass(row, rowIndex) {
        const rowClasses = this.options.rowsOptions || {};
        const classes = {};
        classes[TableRowClassesEnum.Selected] = this.tableService.isRowSelected(row);
        classes[TableRowClassesEnum.Disabled] = this.isRowDisabled(row);
        return [
            ...Object.keys(classes).filter((item) => !!classes[item]),
            !!rowClasses[rowIndex] && !!rowClasses[rowIndex].class ? rowClasses[rowIndex].class : null
        ].filter(Boolean);
    }
    onExpandRow({ rowIndex, row, isExpanded }, updateMap = true) {
        if (!!row) {
            this.loadingChildRows[rowIndex] = isExpanded;
            delete this.failedChildRows[rowIndex];
            const successCallback = this.onExpendRowSuccess(rowIndex).bind(this);
            const failedCallback = this.onExpendRowFailed(rowIndex).bind(this);
            this.expandRow.emit({ rowIndex, row, isExpanded, successCallback, failedCallback, updateMap: updateMap });
        }
    }
    displayExpandableRows(rowIndex) {
        return !!this.options?.rowsExpandableOptions?.key && this.isExpanded(rowIndex);
    }
    isInnerEntityType(innerType) {
        return this.options.rowsExpandableOptions.innerEntityType === innerType;
    }
    isExpanded(rowIndex) {
        if (this.expandedRows?.hasOwnProperty(rowIndex) ||
            this.loadingChildRows.hasOwnProperty(rowIndex) ||
            this.failedChildRows.hasOwnProperty(rowIndex)) {
            return this.expandedRows[rowIndex] || this.loadingChildRows[rowIndex] || this.failedChildRows[rowIndex];
        }
        return this.expandedRows['default'];
    }
    hasAfterSticky(isLast, hasMore, rowIndex) {
        return isLast && (hasMore || this.loadingChildRows[rowIndex] || this.failedChildRows[rowIndex]);
    }
    getRowspanIndexes(row) {
        return [...Array(this.tableService.getMaxRowspanInColumn(row)).keys()].filter(Boolean);
    }
    setHoverForRowspan() {
        const rowElements = this.elementRef.nativeElement.querySelectorAll('tr[data-row-idx]');
        const events = ['mouseenter', 'mouseleave'];
        from(events)
            .pipe(mergeMap(event => fromEvent(rowElements, event)), filter((event) => {
            return ((event.type === 'mouseenter' && !event.target.classList.contains(ROW_HOVERED_CLASS_NAME)) ||
                (event.type === 'mouseleave' && event.target.classList.contains(ROW_HOVERED_CLASS_NAME)));
        }), takeUntil(this.onDestroy$))
            .subscribe(this.toggleHoverClassForRowspan.bind(this));
    }
    toggleHoverClassForRowspan(event) {
        const eventType = event.type;
        const rowIndex = event.target.dataset.rowIdx;
        const sameRowIndexSelector = 'tr[data-row-idx="' + rowIndex + '"]';
        const rows = [...this.elementRef.nativeElement.querySelectorAll(sameRowIndexSelector)];
        switch (eventType) {
            case 'mouseenter':
                rows.forEach(row => {
                    this.renderer.addClass(row, ROW_HOVERED_CLASS_NAME);
                });
                break;
            case 'mouseleave':
                rows.forEach(row => {
                    this.renderer.removeClass(row, ROW_HOVERED_CLASS_NAME);
                });
                break;
        }
    }
    onExpendRowSuccess(rowIndex) {
        return () => {
            delete this.loadingChildRows[rowIndex];
        };
    }
    onExpendRowFailed(rowIndex) {
        return () => {
            delete this.loadingChildRows[rowIndex];
            this.failedChildRows[rowIndex] = true;
            this.cdr.detectChanges();
        };
    }
    static { this.ɵfac = function TableBasicComponent_Factory(t) { return new (t || TableBasicComponent)(); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: TableBasicComponent, selectors: [["", "fusionTableBasic", ""]], inputs: { rows: "rows", columns: "columns", expandedRows: "expandedRows", options: "options", testId: "testId" }, outputs: { rowSelected: "rowSelected", expandRow: "expandRow" }, standalone: true, features: [i0.ɵɵStandaloneFeature], attrs: _c0$1, decls: 2, vars: 0, consts: [["fusionTableRow", "", 3, "rowIndex", "row", "columns", "options", "isRowSelected", "isExpanded", "isInnerRow", "testId", "ngClass", "ngStyle", "rowRemoved", "selectedChange", "expandRow"], [3, "ngTemplateOutlet", "ngTemplateOutletContext"], ["childRowsTemplate", ""], [4, "fusionLoadMore", "fusionLoadMoreOf", "fusionLoadMoreChunkSize"], ["fusionTableLoadingRows", "1", 3, "fusionTableLoading", "fusionTableLoadingExpanding"], ["class", "full-cell failed"], [4, "ngIf"], ["class", "is-inner-row fu-inner-object"], [1, "is-inner-row", "fu-inner-object"], [1, "fu-inner-object-wrapper"], [4, "ngComponentOutlet", "ngComponentOutletInputs"], [4, "ngFor", "ngForOf", "ngForTrackBy"], ["fusionTableRow", "", 1, "is-inner-row", 3, "rowIndex", "row", "columns", "options", "isExpanded", "isInnerRow", "ngClass", "hasAfterSticky", "ngStyle", "expandRow"], ["class", "full-cell load-more"], [1, "full-cell", "load-more"], [1, "fu-load-more-button-wrapper"], ["color", "primary", 3, "click"], [1, "full-cell", "failed"], [1, "fu-load-failed"]], template: function TableBasicComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵrepeaterCreate(0, TableBasicComponent_For_1_Template, 6, 20, null, null, _forTrack0$1, true);
        } if (rf & 2) {
            i0.ɵɵrepeater(ctx.rows);
        } }, dependencies: [CommonModule, i1$1.NgClass, i1$1.NgComponentOutlet, i1$1.NgForOf, i1$1.NgIf, i1$1.NgTemplateOutlet, i1$1.NgStyle, i1$1.AsyncPipe, GenericPipe, TableRowComponent, TableLoadingComponent, LoadMoreModule, i2$1.LoadMoreDirective, LinkComponent], styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";.font-v4-bold[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%], .font-v4-chart-2[_ngcontent-%COMP%], .font-v4-chart-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold[_ngcontent-%COMP%], .font-v4-chip-label[_ngcontent-%COMP%], .font-v4-table-label[_ngcontent-%COMP%], .font-v4-button[_ngcontent-%COMP%], .font-v4-heading-6[_ngcontent-%COMP%], .font-v4-heading-5[_ngcontent-%COMP%], .font-v4-heading-4[_ngcontent-%COMP%], .font-v4-heading-3[_ngcontent-%COMP%], .font-v4-heading-2[_ngcontent-%COMP%], .font-v4-heading-1[_ngcontent-%COMP%], .font-v4-title[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium[_ngcontent-%COMP%], .font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-input-label[_ngcontent-%COMP%], .font-v4-overline[_ngcontent-%COMP%], .font-v4-subtitle-2[_ngcontent-%COMP%], .font-v4-subtitle-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular[_ngcontent-%COMP%], .font-v4-caption[_ngcontent-%COMP%], .font-v4-body-2[_ngcontent-%COMP%], .font-v4-body-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title[_ngcontent-%COMP%]{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2[_ngcontent-%COMP%]{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3[_ngcontent-%COMP%]{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5[_ngcontent-%COMP%]{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6[_ngcontent-%COMP%]{font-size:.75rem;line-height:.75rem;letter-spacing:0}.font-v4-body-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-body-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2[_ngcontent-%COMP%]{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}.font-v4-caption[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem}.font-v4-table-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem}.font-v4-chip-label[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:normal}[_nghost-%COMP%]   .full-cell[_ngcontent-%COMP%]{background-color:var(--table-header-cell-bg-color)}[_nghost-%COMP%]   .full-cell.load-more[_ngcontent-%COMP%]   td[_ngcontent-%COMP%], [_nghost-%COMP%]   .full-cell.failed[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]{height:36px;padding:var(--table-row-cell-padding);border-bottom:var(--table-border)}[_nghost-%COMP%]   .full-cell.load-more[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]   .fu-load-more-button-wrapper[_ngcontent-%COMP%], [_nghost-%COMP%]   .full-cell.load-more[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]   .fu-load-failed[_ngcontent-%COMP%], [_nghost-%COMP%]   .full-cell.failed[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]   .fu-load-more-button-wrapper[_ngcontent-%COMP%], [_nghost-%COMP%]   .full-cell.failed[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]   .fu-load-failed[_ngcontent-%COMP%]{display:flex;justify-content:center;align-items:center;height:100%;width:100%}[_nghost-%COMP%]   .full-cell.load-more[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]   .fu-load-failed[_ngcontent-%COMP%], [_nghost-%COMP%]   .full-cell.failed[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]   .fu-load-failed[_ngcontent-%COMP%]{padding:16px;flex-direction:column;gap:8px}[_nghost-%COMP%]   tr.is-row-in-request[_ngcontent-%COMP%]{pointer-events:none}[_nghost-%COMP%]   tr.fu-inner-object[_ngcontent-%COMP%]{border-bottom:var(--table-border)}[_nghost-%COMP%]   tr.fu-inner-object[_ngcontent-%COMP%]   .fu-inner-object-wrapper[_ngcontent-%COMP%]{display:flex;align-items:center;justify-content:center}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TableBasicComponent, [{
        type: Component,
        args: [{ selector: '[fusionTableBasic]', standalone: true, imports: [CommonModule, GenericPipe, TableRowComponent, TableLoadingComponent, LoadMoreModule, LinkComponent], changeDetection: ChangeDetectionStrategy.OnPush, template: "@for (row of rows; track trackByRowInvoke(); let rowIndex = $index) {\n    <!--First parent row-->\n    <tr\n        fusionTableRow\n        [rowIndex]=\"rowIndex\"\n        [row]=\"row\"\n        [columns]=\"columns\"\n        [options]=\"options\"\n        [isRowSelected]=\"rowIsSelected | generic:row\"\n        [isExpanded]=\"isExpanded(rowIndex)\"\n        [isInnerRow]=\"false\"\n        [class.is-row-in-request]=\"tableService.rowsMetadata[row['_rowId']]?.inRequest\"\n        [testId]=\"testId\"\n        (rowRemoved)=\"tableService.removeRow({rows: rows, rowIndex: rowIndex, row: row, options: options})\"\n        (selectedChange)=\"tableService.onRowSelectChanged($event, row)\"\n        (expandRow)=\"onExpandRow($event)\"\n        [ngClass]=\"rowClass | generic:row:rowIndex\"\n        [ngStyle]=\"!!options.rowsOptions && !!options.rowsOptions.global ? options.rowsOptions.global.style : null\"\n    ></tr>\n    <!--First parent row END-->\n    <!--Child rows-->\n    @if(displayExpandableRows(rowIndex)){\n        <ng-container\n                [ngTemplateOutlet]=\"childRowsTemplate\"\n                [ngTemplateOutletContext]=\"{$implicit: row[options.rowsExpandableOptions.key], parentIndex: rowIndex}\"\n        ></ng-container>\n    }\n    <!--Child rows END-->\n\n    <!--Template Child rows render-->\n    <ng-template #childRowsTemplate let-parentRowChildren let-parentIndex=\"parentIndex\">\n        <ng-container *fusionLoadMore=\"let displayRows$ of parentRowChildren; chunkSize: options.rowsExpandableOptions?.expendChunkSize || 10; let loadMore = loadMore; let hasMore$ = hasMore$;\">\n            @if(isInnerEntityType('dynamicComponent')){\n                <ng-container *ngIf=\"(displayRows$ | async) as innerEntity\">\n                    @if(innerEntity.length){\n                        <tr class=\"is-inner-row fu-inner-object\">\n                            <td [attr.colspan]=\"fullCellColspan\">\n                                <div class=\"fu-inner-object-wrapper\">\n                                    <ng-container *ngComponentOutlet=\"innerEntity[0]?.component?.type; inputs: innerEntity[0]?.component?.data\"></ng-container>\n                                </div>\n                            </td>\n                        </tr>\n                    }\n                </ng-container>\n            } @else {\n                <ng-container\n                        *ngFor=\"let innerRow of displayRows$ | async; trackBy: trackByRowInvoke(); let innerRowIndex = index; let last = last\"\n                >\n                    <tr\n                            fusionTableRow\n                            class=\"is-inner-row\"\n                            [rowIndex]=\"parentIndex + '_' + innerRowIndex\"\n                            [row]=\"innerRow\"\n                            [columns]=\"options.rowsExpandableOptions.columns\"\n                            [options]=\"childRowOptions\"\n                            [isExpanded]=\"isExpanded(parentIndex + '_' + innerRowIndex)\"\n                            [isInnerRow]=\"true\"\n                            [ngClass]=\"rowClass | generic:innerRow:innerRowIndex\"\n                            [hasAfterSticky]=\"hasAfterSticky(last, hasMore$ | async, parentIndex + '_' + innerRowIndex)\"\n                            [ngStyle]=\"!!options?.rowsOptions?.global ? options.rowsOptions.global.style : null\"\n                            (expandRow)=\"onExpandRow($event)\"\n                    ></tr>\n                    @if(!loadingChildRows[parentIndex] && (hasMore$ | async) && last){\n                        <tr class=\"full-cell load-more\">\n                            <td [attr.colspan]=\"fullCellColspan\">\n                                <div class=\"fu-load-more-button-wrapper\">\n                                    <fusion-link color=\"primary\" (click)=\"loadMore()\">Load more</fusion-link>\n                                </div>\n                            </td>\n                        </tr>\n                    }\n                </ng-container>\n            }\n        </ng-container>\n        @if(loadingChildRows[parentIndex]){\n            <tr [fusionTableLoading]=\"fullCellColspan\" [fusionTableLoadingExpanding]=\"true\" fusionTableLoadingRows=\"1\"></tr>\n        }\n        @if (failedChildRows[parentIndex]){\n            <tr class=\"full-cell failed\">\n                <td [attr.colspan]=\"fullCellColspan\">\n                    <div class=\"fu-load-failed\">\n                        <span>Failed to load data.</span>\n                        <fusion-link color=\"primary\" (click)=\"onExpandRow({rowIndex: rowIndex, row: row, isExpanded: true})\">\n                            Try again\n                        </fusion-link>\n                    </div>\n                </td>\n            </tr>\n        }\n    </ng-template>\n    <!--additional rows END`-->\n}\n", styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";.font-v4-bold,.font-v4-tab-label-2,.font-v4-chart-2,.font-v4-chart-1{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold,.font-v4-chip-label,.font-v4-table-label,.font-v4-button,.font-v4-heading-6,.font-v4-heading-5,.font-v4-heading-4,.font-v4-heading-3,.font-v4-heading-2,.font-v4-heading-1,.font-v4-title{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium,.font-v4-tab-label-1,.font-v4-input-label,.font-v4-overline,.font-v4-subtitle-2,.font-v4-subtitle-1{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular,.font-v4-caption,.font-v4-body-2,.font-v4-body-1{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6{font-size:.75rem;line-height:.75rem;letter-spacing:0}.font-v4-body-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-body-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}.font-v4-caption{font-size:.75rem;line-height:1rem}.font-v4-table-label{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1,.font-v4-tab-label-2{font-size:.875rem;line-height:1rem}.font-v4-chip-label{font-size:.75rem;line-height:1rem;letter-spacing:normal}:host .full-cell{background-color:var(--table-header-cell-bg-color)}:host .full-cell.load-more td,:host .full-cell.failed td{height:36px;padding:var(--table-row-cell-padding);border-bottom:var(--table-border)}:host .full-cell.load-more td .fu-load-more-button-wrapper,:host .full-cell.load-more td .fu-load-failed,:host .full-cell.failed td .fu-load-more-button-wrapper,:host .full-cell.failed td .fu-load-failed{display:flex;justify-content:center;align-items:center;height:100%;width:100%}:host .full-cell.load-more td .fu-load-failed,:host .full-cell.failed td .fu-load-failed{padding:16px;flex-direction:column;gap:8px}:host tr.is-row-in-request{pointer-events:none}:host tr.fu-inner-object{border-bottom:var(--table-border)}:host tr.fu-inner-object .fu-inner-object-wrapper{display:flex;align-items:center;justify-content:center}\n"] }]
    }], null, { rows: [{
            type: Input
        }], columns: [{
            type: Input
        }], expandedRows: [{
            type: Input
        }], options: [{
            type: Input
        }], testId: [{
            type: Input
        }], rowSelected: [{
            type: Output
        }], expandRow: [{
            type: Output
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(TableBasicComponent, { className: "TableBasicComponent", filePath: "components/table-basic/table-basic.component.ts", lineNumber: 44 }); })();

const _c0 = ["stringCell"];
const _c1 = ["checkboxCell"];
const _c2 = ["templateCell"];
const _c3 = ["table"];
const _c4 = ["tableWrapper"];
const _c5 = ["tableBody"];
function TableV4Component_Conditional_0_Conditional_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵprojection(0);
} }
function TableV4Component_Conditional_0_Conditional_2_Conditional_0_Conditional_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 12);
    i0.ɵɵpipe(1, "generic");
} if (rf & 2) {
    const ctx_r10 = i0.ɵɵnextContext(4);
    let tmp_0_0;
    i0.ɵɵproperty("name", (tmp_0_0 = ctx_r10.options == null ? null : ctx_r10.options.tableLabel == null ? null : ctx_r10.options.tableLabel.icon) !== null && tmp_0_0 !== undefined ? tmp_0_0 : ctx_r10.iconTooltip)("fusionTooltip", ctx_r10.options == null ? null : ctx_r10.options.tableLabel == null ? null : ctx_r10.options.tableLabel.tooltip)("testId", i0.ɵɵpipeBind3(1, 3, ctx_r10.testIdsService.getTestAttribute.bind(ctx_r10), ctx_r10.testId, ctx_r10.tableTestIdModifiers.HEADER_TOOLTIP));
} }
function TableV4Component_Conditional_0_Conditional_2_Conditional_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 9)(1, "div", 10);
    i0.ɵɵpipe(2, "generic");
    i0.ɵɵtext(3);
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(4, TableV4Component_Conditional_0_Conditional_2_Conditional_0_Conditional_4_Template, 2, 7, "fusion-icon", 11);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r8 = i0.ɵɵnextContext(3);
    i0.ɵɵadvance();
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(2, 3, ctx_r8.testIdsService.getTestAttribute.bind(ctx_r8), ctx_r8.testId, ctx_r8.tableTestIdModifiers.LABEL));
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate1(" ", ctx_r8.options == null ? null : ctx_r8.options.tableLabel == null ? null : ctx_r8.options.tableLabel.text, " ");
    i0.ɵɵadvance();
    i0.ɵɵconditional(4, (ctx_r8.options == null ? null : ctx_r8.options.tableLabel == null ? null : ctx_r8.options.tableLabel.tooltip) ? 4 : -1);
} }
function TableV4Component_Conditional_0_Conditional_2_Conditional_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-search", 8);
    i0.ɵɵpipe(1, "generic");
} if (rf & 2) {
    const ctx_r9 = i0.ɵɵnextContext(3);
    i0.ɵɵproperty("placeholder", ctx_r9.options == null ? null : ctx_r9.options.searchOptions == null ? null : ctx_r9.options.searchOptions.placeholder)("formControl", ctx_r9.searchFormControl)("testId", i0.ɵɵpipeBind3(1, 3, ctx_r9.testIdsService.getTestAttribute.bind(ctx_r9), ctx_r9.testId, ctx_r9.tableTestIdModifiers.SEARCH));
} }
function TableV4Component_Conditional_0_Conditional_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtemplate(0, TableV4Component_Conditional_0_Conditional_2_Conditional_0_Template, 5, 7, "div", 7)(1, TableV4Component_Conditional_0_Conditional_2_Conditional_1_Template, 2, 7, "fusion-search", 8);
} if (rf & 2) {
    const ctx_r7 = i0.ɵɵnextContext(2);
    i0.ɵɵconditional(0, (ctx_r7.options == null ? null : ctx_r7.options.tableLabel) ? 0 : -1);
    i0.ɵɵadvance();
    i0.ɵɵconditional(1, (ctx_r7.options == null ? null : ctx_r7.options.searchOptions) ? 1 : -1);
} }
function TableV4Component_Conditional_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 6);
    i0.ɵɵtemplate(1, TableV4Component_Conditional_0_Conditional_1_Template, 1, 0)(2, TableV4Component_Conditional_0_Conditional_2_Template, 2, 2);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵconditional(1, ctx_r0.hasCustomHeader ? 1 : 2);
} }
function _forTrack0($index, $item) { return this.trackByFunc; }
function _forTrack1($index, $item) { return this.subHeader; }
const _c6 = () => ({ $implicit: true });
function TableV4Component_Conditional_4_Conditional_2_Conditional_0_Conditional_1_Conditional_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0, 20);
} if (rf & 2) {
    i0.ɵɵnextContext(5);
    const _r5 = i0.ɵɵreference(7);
    i0.ɵɵproperty("ngTemplateOutlet", _r5)("ngTemplateOutletContext", i0.ɵɵpureFunction0(2, _c6));
} }
function TableV4Component_Conditional_4_Conditional_2_Conditional_0_Conditional_1_For_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "td", 21);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const subheader_r22 = ctx.$implicit;
    const $index_r23 = ctx.$index;
    const ctx_r21 = i0.ɵɵnextContext(5);
    i0.ɵɵclassProp("fu-border-left", !($index_r23 === 0));
    i0.ɵɵattribute("colspan", $index_r23 === 0 && !!(ctx_r21.options == null ? null : ctx_r21.options.rowsExpandableOptions) ? subheader_r22.colspan + 1 : subheader_r22.colspan);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", subheader_r22.name, " ");
} }
function TableV4Component_Conditional_4_Conditional_2_Conditional_0_Conditional_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "tr");
    i0.ɵɵtemplate(1, TableV4Component_Conditional_4_Conditional_2_Conditional_0_Conditional_1_Conditional_1_Template, 1, 3, "ng-container", 20);
    i0.ɵɵrepeaterCreate(2, TableV4Component_Conditional_4_Conditional_2_Conditional_0_Conditional_1_For_3_Template, 2, 4, "td", 22, _forTrack1, true);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r17 = i0.ɵɵnextContext(4);
    i0.ɵɵadvance();
    i0.ɵɵconditional(1, !!(ctx_r17.options == null ? null : ctx_r17.options.rowsExpandableOptions) ? 1 : -1);
    i0.ɵɵadvance();
    i0.ɵɵrepeater(ctx_r17.subHeader);
} }
function TableV4Component_Conditional_4_Conditional_2_Conditional_0_Conditional_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0, 19);
} if (rf & 2) {
    i0.ɵɵnextContext(4);
    const _r5 = i0.ɵɵreference(7);
    i0.ɵɵproperty("ngTemplateOutlet", _r5);
} }
function TableV4Component_Conditional_4_Conditional_2_Conditional_0_For_5_Conditional_3_Template(rf, ctx) { if (rf & 1) {
    const _r36 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-checkbox", 26);
    i0.ɵɵlistener("changed", function TableV4Component_Conditional_4_Conditional_2_Conditional_0_For_5_Conditional_3_Template_fusion_checkbox_changed_0_listener($event) { i0.ɵɵrestoreView(_r36); const ctx_r35 = i0.ɵɵnextContext(5); return i0.ɵɵresetView(ctx_r35.tableService.onRowsSelectChanged(ctx_r35.options.isGroupedTable, ctx_r35.rows, $event)); });
    i0.ɵɵpipe(1, "generic");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r32 = i0.ɵɵnextContext(5);
    i0.ɵɵproperty("checked", ctx_r32.tableService.isAllRowsSelected(ctx_r32.rows))("isIndeterminate", ctx_r32.tableService.isPartialSelected(ctx_r32.rows));
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(1, 3, ctx_r32.testIdsService.getTestAttribute.bind(ctx_r32), ctx_r32.testId, ctx_r32.tableTestIdModifiers.COLUMN_HEADER_SELECT_ALL));
} }
function TableV4Component_Conditional_4_Conditional_2_Conditional_0_For_5_Conditional_4_Template(rf, ctx) { }
function TableV4Component_Conditional_4_Conditional_2_Conditional_0_For_5_Conditional_5_Conditional_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 30);
    i0.ɵɵpipe(1, "generic");
} if (rf & 2) {
    const ctx_r39 = i0.ɵɵnextContext(2);
    const column_r27 = ctx_r39.$implicit;
    const idx_r28 = ctx_r39.$index;
    const ctx_r37 = i0.ɵɵnextContext(4);
    i0.ɵɵproperty("fusionTooltip", column_r27.tooltip)("name", column_r27.tooltipIcon || ctx_r37.iconTooltip);
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(1, 3, ctx_r37.testIdsService.getTestAttribute.bind(ctx_r37), ctx_r37.testId, ctx_r37.tableTestIdModifiers.COLUMN_TOOLTIP + idx_r28));
} }
function TableV4Component_Conditional_4_Conditional_2_Conditional_0_For_5_Conditional_5_Conditional_4_Conditional_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 33);
    i0.ɵɵpipe(1, "generic");
    i0.ɵɵelement(2, "fusion-icon", 34);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const idx_r28 = i0.ɵɵnextContext(3).$index;
    const ctx_r40 = i0.ɵɵnextContext(4);
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(1, 2, ctx_r40.testIdsService.getTestAttribute.bind(ctx_r40), ctx_r40.testId, ctx_r40.tableTestIdModifiers.COLUMN_SORT_UP + idx_r28));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("name", ctx_r40.iconArrowUp);
} }
function TableV4Component_Conditional_4_Conditional_2_Conditional_0_For_5_Conditional_5_Conditional_4_Conditional_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 35);
    i0.ɵɵpipe(1, "generic");
    i0.ɵɵelement(2, "fusion-icon", 34);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const idx_r28 = i0.ɵɵnextContext(3).$index;
    const ctx_r41 = i0.ɵɵnextContext(4);
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(1, 2, ctx_r41.testIdsService.getTestAttribute.bind(ctx_r41), ctx_r41.testId, ctx_r41.tableTestIdModifiers.COLUMN_SORT_DOWN + idx_r28));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("name", ctx_r41.iconArrowDown);
} }
function TableV4Component_Conditional_4_Conditional_2_Conditional_0_For_5_Conditional_5_Conditional_4_Template(rf, ctx) { if (rf & 1) {
    const _r46 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 31);
    i0.ɵɵlistener("click", function TableV4Component_Conditional_4_Conditional_2_Conditional_0_For_5_Conditional_5_Conditional_4_Template_div_click_0_listener() { i0.ɵɵrestoreView(_r46); const column_r27 = i0.ɵɵnextContext(2).$implicit; const ctx_r44 = i0.ɵɵnextContext(4); return i0.ɵɵresetView(ctx_r44.onHeaderClicked(column_r27)); });
    i0.ɵɵtemplate(1, TableV4Component_Conditional_4_Conditional_2_Conditional_0_For_5_Conditional_5_Conditional_4_Conditional_1_Template, 3, 6, "div", 32)(2, TableV4Component_Conditional_4_Conditional_2_Conditional_0_For_5_Conditional_5_Conditional_4_Conditional_2_Template, 3, 6);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const column_r27 = i0.ɵɵnextContext(2).$implicit;
    i0.ɵɵadvance();
    i0.ɵɵconditional(1, column_r27.sort === "asc" ? 1 : column_r27.sort === "desc" ? 2 : -1);
} }
function TableV4Component_Conditional_4_Conditional_2_Conditional_0_For_5_Conditional_5_Template(rf, ctx) { if (rf & 1) {
    const _r50 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 27);
    i0.ɵɵlistener("click", function TableV4Component_Conditional_4_Conditional_2_Conditional_0_For_5_Conditional_5_Template_div_click_0_listener() { i0.ɵɵrestoreView(_r50); const column_r27 = i0.ɵɵnextContext().$implicit; const ctx_r48 = i0.ɵɵnextContext(4); return i0.ɵɵresetView(ctx_r48.onHeaderClicked(column_r27)); });
    i0.ɵɵpipe(1, "generic");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(3, TableV4Component_Conditional_4_Conditional_2_Conditional_0_For_5_Conditional_5_Conditional_3_Template, 2, 7, "fusion-icon", 28)(4, TableV4Component_Conditional_4_Conditional_2_Conditional_0_For_5_Conditional_5_Conditional_4_Template, 3, 1, "div", 29);
} if (rf & 2) {
    const ctx_r51 = i0.ɵɵnextContext();
    const idx_r28 = ctx_r51.$index;
    const column_r27 = ctx_r51.$implicit;
    const ctx_r34 = i0.ɵɵnextContext(4);
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(1, 4, ctx_r34.testIdsService.getTestAttribute.bind(ctx_r34), ctx_r34.testId, ctx_r34.tableTestIdModifiers.COLUMN_TITLE + idx_r28));
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate1("", column_r27.title, " ");
    i0.ɵɵadvance();
    i0.ɵɵconditional(3, column_r27.tooltip ? 3 : -1);
    i0.ɵɵadvance();
    i0.ɵɵconditional(4, ctx_r34.tableService.isColumnSortable(column_r27) ? 4 : -1);
} }
function TableV4Component_Conditional_4_Conditional_2_Conditional_0_For_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "td", 23);
    i0.ɵɵpipe(1, "generic");
    i0.ɵɵelementStart(2, "div", 24);
    i0.ɵɵtemplate(3, TableV4Component_Conditional_4_Conditional_2_Conditional_0_For_5_Conditional_3_Template, 2, 7, "fusion-checkbox", 25)(4, TableV4Component_Conditional_4_Conditional_2_Conditional_0_For_5_Conditional_4_Template, 0, 0)(5, TableV4Component_Conditional_4_Conditional_2_Conditional_0_For_5_Conditional_5_Template, 5, 8);
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const column_r27 = ctx.$implicit;
    const idx_r28 = ctx.$index;
    const $count_r30 = ctx.$count;
    const ctx_r19 = i0.ɵɵnextContext(4);
    let tmp_8_0;
    i0.ɵɵstyleProp("width", ctx_r19.tableService.setWidth(idx_r28 === $count_r30 - 1, column_r27.width))("min-width", column_r27.width)("top", ctx_r19.options == null ? null : ctx_r19.options.stickyHeaderTopOffset, "px");
    i0.ɵɵproperty("ngClass", ctx_r19.tableService.getColumnClasses(column_r27, true))("ngStyle", ctx_r19.tableService.getColumnStyle(column_r27));
    i0.ɵɵattribute("data-col-key", column_r27.key)("data-editable", ctx_r19.tableService.isTypeInputEdit(column_r27))("data-testid", i0.ɵɵpipeBind3(1, 13, ctx_r19.testIdsService.getTestAttribute.bind(ctx_r19), ctx_r19.testId, ctx_r19.tableTestIdModifiers.COLUMN_HEADER + idx_r28));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngClass", (tmp_8_0 = column_r27.headerAlign) !== null && tmp_8_0 !== undefined ? tmp_8_0 : ctx_r19.tableService.getCellAlignByColumnType(column_r27));
    i0.ɵɵadvance();
    i0.ɵɵconditional(3, ctx_r19.tableService.isTypeCheckbox(column_r27) && ctx_r19.isAllRowsSelectable && !ctx_r19.isEmpty && ctx_r19.isCheckboxTitleShown ? 3 : column_r27.filter && column_r27.filter.options ? 4 : 5);
} }
function TableV4Component_Conditional_4_Conditional_2_Conditional_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "thead", 17);
    i0.ɵɵtemplate(1, TableV4Component_Conditional_4_Conditional_2_Conditional_0_Conditional_1_Template, 4, 1, "tr");
    i0.ɵɵelementStart(2, "tr", 18);
    i0.ɵɵtemplate(3, TableV4Component_Conditional_4_Conditional_2_Conditional_0_Conditional_3_Template, 1, 1, "ng-container", 19);
    i0.ɵɵrepeaterCreate(4, TableV4Component_Conditional_4_Conditional_2_Conditional_0_For_5_Template, 6, 17, "td", 36, _forTrack0, true);
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const ctx_r16 = i0.ɵɵnextContext(3);
    i0.ɵɵproperty("hidden", (ctx_r16.isEmpty || ctx_r16.loading && !ctx_r16.isLoadingOverlay) && ctx_r16.hideHeaderOnEmpty);
    i0.ɵɵadvance();
    i0.ɵɵconditional(1, ctx_r16.subHeader.length ? 1 : -1);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngStyle", !!ctx_r16.options.rowsOptions && !!ctx_r16.options.rowsOptions.headerRow ? ctx_r16.options.rowsOptions.headerRow.style : null);
    i0.ɵɵadvance();
    i0.ɵɵconditional(3, !!(ctx_r16.options == null ? null : ctx_r16.options.rowsExpandableOptions) ? 3 : -1);
    i0.ɵɵadvance();
    i0.ɵɵrepeater(ctx_r16.columns);
} }
function TableV4Component_Conditional_4_Conditional_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtemplate(0, TableV4Component_Conditional_4_Conditional_2_Conditional_0_Template, 6, 4, "thead", 17);
} if (rf & 2) {
    const ctx_r12 = i0.ɵɵnextContext(2);
    i0.ɵɵconditional(0, ctx_r12.columns.length ? 0 : -1);
} }
function TableV4Component_Conditional_4_Conditional_3_Template(rf, ctx) { if (rf & 1) {
    const _r54 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "tbody", 37, 38);
    i0.ɵɵlistener("rowSelected", function TableV4Component_Conditional_4_Conditional_3_Template_tbody_rowSelected_0_listener($event) { i0.ɵɵrestoreView(_r54); const ctx_r53 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r53.selectionChanged.emit($event)); })("expandRow", function TableV4Component_Conditional_4_Conditional_3_Template_tbody_expandRow_0_listener($event) { i0.ɵɵrestoreView(_r54); const ctx_r55 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r55.doExpandRow($event)); })("click", function TableV4Component_Conditional_4_Conditional_3_Template_tbody_click_0_listener($event) { i0.ɵɵrestoreView(_r54); const ctx_r56 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r56.onTableBodyClicked($event)); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r13 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("rows", ctx_r13.tableRows)("columns", ctx_r13.columns)("options", ctx_r13.options)("expandedRows", ctx_r13.expandedRows)("testId", ctx_r13.testId);
} }
function TableV4Component_Conditional_4_Conditional_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "tbody", 15);
} if (rf & 2) {
    const ctx_r14 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("fusionTableEmpty", ctx_r14.colsCount)("customContent", ctx_r14.options == null ? null : ctx_r14.options.customNoData)("type", ctx_r14.options == null ? null : ctx_r14.options.emptyTableType)("header", ctx_r14.options == null ? null : ctx_r14.options.noDataMessage)("subHeader", ctx_r14.options == null ? null : ctx_r14.options.noDataSubMessage);
} }
function TableV4Component_Conditional_4_Conditional_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "tbody", 16);
} if (rf & 2) {
    const ctx_r15 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("fusionTableLoading", ctx_r15.colsCount);
} }
function TableV4Component_Conditional_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "table", 1, 13);
    i0.ɵɵtemplate(2, TableV4Component_Conditional_4_Conditional_2_Template, 1, 1)(3, TableV4Component_Conditional_4_Conditional_3_Template, 2, 5, "tbody", 14)(4, TableV4Component_Conditional_4_Conditional_4_Template, 1, 5, "tbody", 15)(5, TableV4Component_Conditional_4_Conditional_5_Template, 1, 1, "tbody", 16);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r2 = i0.ɵɵnextContext();
    i0.ɵɵproperty("id", ctx_r2.id);
    i0.ɵɵadvance(2);
    i0.ɵɵconditional(2, ctx_r2.columns && ctx_r2.options ? 2 : -1);
    i0.ɵɵadvance();
    i0.ɵɵconditional(3, !ctx_r2.options.isGroupedTable && (!ctx_r2.loading || ctx_r2.isLoadingOverlay) && !ctx_r2.isEmpty ? 3 : -1);
    i0.ɵɵadvance();
    i0.ɵɵconditional(4, !ctx_r2.loading && ctx_r2.isEmpty ? 4 : -1);
    i0.ɵɵadvance();
    i0.ɵɵconditional(5, ctx_r2.loading && !ctx_r2.isLoadingOverlay || (ctx_r2.options == null ? null : ctx_r2.options.pagination) && ctx_r2.options.pagination.loading || ctx_r2.isEmpty && ctx_r2.loading ? 5 : -1);
} }
function TableV4Component_Conditional_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 39);
    i0.ɵɵprojection(1, 1);
    i0.ɵɵelementEnd();
} }
function TableV4Component_ng_template_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "td", 40);
    i0.ɵɵelement(1, "span");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const isSubHeader_r57 = ctx.$implicit;
    const ctx_r4 = i0.ɵɵnextContext();
    i0.ɵɵstyleProp("top", ctx_r4.options == null ? null : ctx_r4.options.stickyHeaderTopOffset, "px");
    i0.ɵɵclassProp("fu-header-group", isSubHeader_r57)("sticky-left", ctx_r4.options == null ? null : ctx_r4.options.rowsExpandableOptions == null ? null : ctx_r4.options.rowsExpandableOptions.sticky);
} }
const _c7 = [[["", 8, "fu-table-header"]], [["", 8, "fu-table-footer"]]];
const _c8 = [".fu-table-header", ".fu-table-footer"];
class TableV4Component {
    constructor() {
        // region public props
        /** @internal */
        this.tableService = inject(TableService$1);
        /** @internal */
        this.isRowsInit = false;
        /** @internal */
        this.tableMainError = false;
        /** @internal */
        this.shownGoTopButton$ = new BehaviorSubject(false);
        /** @internal */
        this.subHeader = [];
        /** @internal */
        this.iconArrowUp = 'ph/arrow-up';
        /** @internal */
        this.iconArrowDown = 'ph/arrow-down';
        /** @internal */
        this.iconTooltip = 'ph/question';
        // endregion
        // region E2E test id
        /** @internal */
        this.testIdsService = inject(TestIdsService);
        /** @internal */
        this.tableTestIdModifiers = TableTestIdModifiers;
        // endregion
        // region inputs
        // region table element id
        this.uniqueService = inject(UniqueIdService);
        this.id = `fuDataGrid_${this.uniqueService.getUniqueId()}`;
        this._options = {};
        this._columns = [];
        this._rows = [];
        this._expandedRows = {};
        this.sortTableOnDataChanges = false;
        this.hasCustomHeader = false;
        this.hasCustomFooter = false;
        // endregion
        // region outputs
        this.sortChanged = new EventEmitter();
        this.selectionChanged = this.tableService.selectionChanged;
        this.rowModelChange = this.tableService.rowModelChange;
        this.rowClicked = new EventEmitter();
        this.scrollDown = new EventEmitter();
        this.rowActionClicked = this.tableService.rowActionClicked;
        this.expandRow = new EventEmitter();
        this.expandedRowsChange = new EventEmitter();
        this.currentExpandedMap = {};
        this.onDestroy$ = new Subject();
    }
    // endregion
    // region options
    set options(value) {
        if (!isNullOrUndefined(value)) {
            this._options = value;
            this.tableService.hasRowspanRows = value.hasRowSpan ?? false;
            this.tableService.rowsExpandableKey = value.rowsExpandableOptions?.key;
        }
    }
    get options() {
        return this._options;
    }
    // endregion
    // region columns
    set columns(value) {
        if (Array.isArray(value)) {
            this._columns = value;
            this.subHeader = this.getSubHeaders(this._columns);
        }
    }
    get columns() {
        return this._columns;
    }
    // endregion
    // region rows
    set rows(value) {
        if (Array.isArray(value)) {
            this._rows = this.tableService.setRowsMetadata([...value]);
            this.initRows();
        }
    }
    get rows() {
        return this._rows;
    }
    // endregion
    // region expandedRows
    /** @internal */
    set expandedRows(value) {
        this.onExternalExpandRowChanged(value);
        this._expandedRows = value;
    }
    get expandedRows() {
        return this._expandedRows;
    }
    // endregion
    // region HostBindings
    get isFixedHeader() {
        return !isNullOrUndefined(this.options) && !isNullOrUndefined(this.options.stickyHeader) && this.options.stickyHeader;
    }
    get noTableFrame() {
        return !(!!this.options?.tableLabel || !!this.options?.searchOptions);
    }
    get noTableFooter() {
        return !this.noTableFrame && this.options?.noTableFooter;
    }
    get isEmpty() {
        return this.tableService.isTableEmpty(this.rows, this.options.isGroupedTable, this.options.hasTotalsRow);
    }
    get isLoading() {
        return this.loading;
    }
    get onVerticalScroll() {
        if (this.tableWrapperElement) {
            return this.tableWrapperElement.nativeElement.scrollTop > 0;
        }
    }
    // endregion
    // region getters
    get isCheckboxTitleShown() {
        return this.columns ? this.columns.some(column => column.type === TableColumnTypeEnum.Checkbox && column.title !== '') : false;
    }
    get isLoadingOverlay() {
        return (isNullOrUndefined(this.options) || // default - true
            isNullOrUndefined(this.options.isLoadingOverlayMode) || // default - true
            this.options.isLoadingOverlayMode // get from options
        );
    }
    get tableRows() {
        return this.rows;
    }
    get groupedTableRows() {
        return this.rows;
    }
    get colsCount() {
        let columnsCount = Array.isArray(this.columns) ? this.columns.length : 1;
        if (!!this.options && this.options.rowsExpandableOptions) {
            columnsCount += !!this.options.rowsExpandableOptions.expandLevels ? this.options.rowsExpandableOptions.expandLevels : 1;
        }
        return columnsCount;
    }
    get scrollElement() {
        const scrollElement = this.tableWrapperElement.nativeElement;
        if (this.options.scrollElementSelector) {
            return document.querySelector(this.options.scrollElementSelector) || scrollElement;
        }
        return scrollElement;
    }
    // endregion
    ngOnInit() {
        this.tableService.clearSelectedRows();
        this.searchFormControl = new FormControl(this.options?.searchOptions?.initalValue || '');
        if (!!this.options.rowsExpandableOptions) {
            try {
                this.tableService.setExpandLevelByExpandOptions(this.options.rowsExpandableOptions);
            }
            catch (e) {
                this.tableMainError = true;
                throw new Error(e);
            }
        }
        this.options.tableId = this.id;
        this.noDataMessage = isNullOrUndefined(this.options.noDataMessage) ? 'No Data to Display' : this.options.noDataMessage;
        this.noDataSubMessage = this.options.noDataSubMessage ?? '';
        this.hideHeaderOnEmpty = !isNullOrUndefined(this.options.hideHeaderOnEmpty) ? this.options.hideHeaderOnEmpty : false;
        this.isAllRowsSelectable = typeof this.options.isAllRowsSelectable === 'undefined' ? true : this.options.isAllRowsSelectable;
        this.scrollListeners();
        this.configIconNames = CONFIG_TABLE_BY_UI_STYLE[`style_v2`];
        this.wrapperClasses = this.getWrapperClasses();
        this.initColumns();
        this.ignoredParentSelectorsRowClickEvent = ROW_CLICK_SUPPRESS_FOR_PARENT_SELECTORS.concat(this.options.rowsOptions?.ignoredParentSelectorsRowClickEvent ?? []);
        if (this.sortTableOnDataChanges && this.columns.find(col => !!col.sort)) {
            this.doLocalSorting();
        }
        this.searchFormControl.valueChanges.pipe(takeUntil(this.onDestroy$), debounceTime(500)).subscribe(value => {
            this.options?.searchOptions.onSearch.emit(value);
        });
    }
    ngOnDestroy() {
        this.onDestroy$.next();
        this.onDestroy$.complete();
    }
    ngAfterViewInit() {
        const columns = this.tableElement.nativeElement.querySelectorAll('thead tr td');
        columns.forEach((column, index) => {
            if (!column.style.width && column?.dataset?.editable === 'true') {
                column.style.width = `${column.clientWidth}px`;
            }
        });
    }
    /** @internal */
    onHeaderClicked(col) {
        if (!this.tableService.isColumnSortable(col)) {
            return;
        }
        const sortKey = col.key;
        if (!(this.options && this.options.sortingType && this.options.sortingType === 'external')) {
            this.localSorting(sortKey);
        }
        this.sortChanged.emit(sortKey);
    }
    /** @internal */
    filterColumn(column, filterIn) {
        if (column.filter.changed && column.filter.options) {
            const isAllFiltered = column.filter.options.length === filterIn.length || filterIn.length === 0;
            column.filter.changed.emit(isAllFiltered ? [] : filterIn);
        }
    }
    /** @internal */
    replaceSelectedRows({ selectedTableRows, iditicationFunc }) {
        this.tableService.replaceSelectedRows({ selectedTableRows, iditicationFunc });
    }
    /** @internal */
    doExpandRow({ rowIndex, row, isExpanded, successCallback, failedCallback, updateMap }) {
        if (!!this.expandRow.observers.length) {
            // has expandRow event subscription in host
            if (Array.isArray(this.rows)) {
                const innerEntityType = this.options.rowsExpandableOptions?.innerEntityType ?? 'innerRows';
                this.expandRow.emit({ rowIndex, row, isExpanded, successCallback, failedCallback, updateMap, innerEntityType });
                this.currentExpandedMap = { ...this.currentExpandedMap, [rowIndex]: isExpanded };
            }
        }
        else {
            successCallback();
            this.updateExpandedRowsMap(rowIndex, isExpanded);
        }
    }
    /** @internal */
    trackByFunc(index, column) {
        return column && column.key ? column.key : index;
    }
    /** @internal */
    getTableClientWidth() {
        if (this.tableWrapperElement) {
            return this.tableWrapperElement.nativeElement.clientWidth;
        }
    }
    /** @internal */
    onTableBodyClicked($event) {
        if (!this.isElementChildOfSuppressed($event.target)) {
            const rowEl = $event.target.closest('tr');
            if (!isNullOrUndefined(rowEl)) {
                const rowIndex = rowEl.dataset.rowIdx;
                const rowData = this.rows[rowIndex];
                this.rowClicked.emit({ $event, rowIndex, rowEl, rowData });
            }
        }
    }
    /** @internal */
    onClickReturnTop() {
        const viewPortElement = this.scrollElement || document.documentElement;
        const currentScroll = viewPortElement.scrollTop || document.body.scrollTop;
        if (currentScroll > 0) {
            (function smoothScroll() {
                let currentScroll = viewPortElement.scrollTop || document.body.scrollTop;
                if (currentScroll > 0) {
                    window.requestAnimationFrame(smoothScroll);
                    viewPortElement.scrollTo(0, currentScroll - currentScroll / 8);
                }
            })();
        }
    }
    initColumns() {
        if (this.options.rowActionsMenu?.stickyActionButton) {
            this._columns = [...this.columns, { key: 'row_actions_column', title: '', width: '52px' }];
        }
    }
    initRows() {
        if (!this.options?.isGroupedTable && this.rows?.length) {
            this.tableService.initSelectedRows(this.rows);
        }
        this.doLocalSorting();
        // check for rowspan columns
        this.tableService.setRowspanColumnsData(this.rows, this._columns.map(col => col.key));
    }
    getSubHeaders(columns) {
        if (columns.some(item => !!item.groupName)) {
            return columns.reduce((groups, column, idx, columns) => {
                if (column.groupName) {
                    groups.push({ name: column.groupName ?? '&nbsp;', colspan: 1 });
                }
                else {
                    if (groups[groups.length - 1] && groups[groups.length - 1].name) {
                        groups[groups.length - 1].colspan++;
                    }
                    else {
                        groups.push({ name: ' ', colspan: 1 });
                    }
                }
                return groups;
            }, []);
        }
        else {
            return [];
        }
    }
    doLocalSorting() {
        if (Array.isArray(this.rows) && this.columns && this.sortTableOnDataChanges) {
            const sortedColumn = this.columns.find(col => !!col.sort);
            if (sortedColumn) {
                sortedColumn.sort = sortedColumn.sort === 'asc' ? 'desc' : 'asc';
                this.localSorting(sortedColumn.key);
            }
        }
    }
    isElementChildOfSuppressed(element) {
        return this.ignoredParentSelectorsRowClickEvent.some((selector) => {
            return element.closest(selector);
        });
    }
    updateExpandedRowsMap(rowIndex, isExpanded) {
        this._expandedRows = { ...this._expandedRows, [rowIndex]: isExpanded };
        this.expandedRowsChange.emit(this._expandedRows);
    }
    onExternalExpandRowChanged(newValue) {
        const diffMap = this.getRowsToExpandToggle(this.currentExpandedMap, newValue);
        this.currentExpandedMap = newValue;
        if (diffMap.includes('default')) {
            const rowsInTable = this.rows.length;
            [...Array(rowsInTable).keys()].forEach(rowIndex => {
                this.callOnExpandRow({
                    rowIndex: rowIndex,
                    row: this.rows[rowIndex],
                    isExpanded: newValue['default']
                });
            });
        }
        else {
            diffMap.forEach(rowIndex => {
                this.callOnExpandRow({
                    rowIndex: parseInt(rowIndex, 10),
                    row: this.rows[rowIndex],
                    isExpanded: newValue[rowIndex]
                });
            });
        }
    }
    callOnExpandRow({ rowIndex, row, isExpanded }) {
        this.tableBodyComponent.onExpandRow({ rowIndex, row, isExpanded }, false);
    }
    getRowsToExpandToggle(curValue, newValue) {
        return Object.keys(newValue)
            .map(key => {
            if (newValue[key] !== curValue[key]) {
                return key;
            }
            return null;
        })
            .filter(Boolean);
    }
    getWrapperClasses() {
        const classes = [];
        if (!!this.options && !!this.options.rowHeight) {
            classes.push(`is-row-height-${this.options.rowHeight}`);
        }
        if (this.options?.stickyHeader && this.options?.scrollElementSelector) {
            classes.push(`fu-stocky-to-external`);
        }
        if (this.options.stickyHeader || this.options?.pagination?.enable) {
            classes.push(`fu-table-sticky-header`);
        }
        return classes;
    }
    scrollListeners() {
        defer(() => fromEvent(this.scrollElement, 'scroll').pipe(takeUntil(this.onDestroy$), tap(_ => {
            const scrollLeft = this.scrollElement.scrollLeft;
            if (this.lastScrollLeftValue !== scrollLeft) {
                this.isScrollRight = scrollLeft > 0;
                this.lastScrollLeftValue = scrollLeft;
            }
        }), debounceTime(10))).subscribe(this.onScroll.bind(this));
    }
    localSorting(sortKey) {
        let isAscSort;
        const tableRows = [...this.rows];
        // reset header sort options
        this.columns.forEach(col => {
            if (col.key !== sortKey) {
                if (!isUndefined(col.sort)) {
                    col.sort = '';
                }
            }
            else {
                col.sort = col.sort === '' ? 'asc' : col.sort === 'asc' ? 'desc' : 'asc';
                isAscSort = col.sort === 'asc';
            }
        });
        let totalRow = [];
        let otherRows = [];
        if (!isNullOrUndefined(this.options.hasTotalsRow) && this.options.hasTotalsRow) {
            totalRow = tableRows.slice(0, 1);
            otherRows = tableRows.slice(1);
        }
        else {
            otherRows = tableRows;
        }
        otherRows.sort((a, b) => {
            if (isNullOrUndefined(a[sortKey]) || isNullOrUndefined(b[sortKey])) {
                return 0;
            }
            // if data type - numeric
            if (!Array.isArray(a[sortKey]) && !isNaN(a[sortKey]) && !isNaN(b[sortKey]) && a[sortKey] - parseFloat(a[sortKey]) + 1 >= 0) {
                return isAscSort ? a[sortKey] - b[sortKey] : (a[sortKey] - b[sortKey]) * -1;
            }
            // if it string;
            const strA = a[sortKey].toString().toUpperCase();
            const strB = b[sortKey].toString().toUpperCase();
            if (strA < strB) {
                return isAscSort ? -1 : 1;
            }
            if (strA > strB) {
                return isAscSort ? 1 : -1;
            }
            return 0;
        });
        this._rows = [...totalRow, ...otherRows].filter(Boolean);
    }
    onScroll($event) {
        this.tableService.tableScrolled.emit($event);
        if (this.options.hasReturnToTopButton) {
            this.shownGoTopButton$.next(this.scrollElement.scrollTop > this.tableElement.nativeElement.offsetTop);
        }
        const target = $event.target || $event;
        if (!this.options.pagination || this.options.pagination.loading || !this.options.pagination.enable) {
            return;
        }
        const top = this.scrollElement.scrollTop;
        if (top >= this.tableElement.nativeElement.offsetHeight - this.scrollElement.offsetHeight - 100) {
            if (!this.options.pagination.handleLoadingFromHost) {
                this.options.pagination.loading = true;
            }
            this.scrollDown.emit(target);
        }
    }
    static { this.ɵfac = function TableV4Component_Factory(t) { return new (t || TableV4Component)(); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: TableV4Component, selectors: [["fusion-table"]], viewQuery: function TableV4Component_Query(rf, ctx) { if (rf & 1) {
            i0.ɵɵviewQuery(_c0, 5);
            i0.ɵɵviewQuery(_c1, 5);
            i0.ɵɵviewQuery(_c2, 5);
            i0.ɵɵviewQuery(_c3, 5);
            i0.ɵɵviewQuery(_c4, 7);
            i0.ɵɵviewQuery(_c5, 5);
        } if (rf & 2) {
            let _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.stringCell = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.checkboxCell = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.templateCell = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.tableElement = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.tableWrapperElement = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.tableBodyComponent = _t.first);
        } }, hostAttrs: [1, "fusion-v4"], hostVars: 14, hostBindings: function TableV4Component_HostBindings(rf, ctx) { if (rf & 2) {
            i0.ɵɵclassProp("fixed-table", ctx.isFixedHeader)("fu-no-table-frame", ctx.noTableFrame)("fu-no-table-footer", ctx.noTableFooter)("is-empty", ctx.isEmpty)("is-loading", ctx.isLoading)("on-scroll-right", ctx.isScrollRight)("on-vertical-scroll", ctx.onVerticalScroll);
        } }, inputs: { testId: "testId", id: "id", options: "options", columns: "columns", rows: "rows", expandedRows: "expandedRows", loading: "loading", sortTableOnDataChanges: "sortTableOnDataChanges", hasCustomHeader: "hasCustomHeader", hasCustomFooter: "hasCustomFooter" }, outputs: { sortChanged: "sortChanged", selectionChanged: "selectionChanged", rowModelChange: "rowModelChange", rowClicked: "rowClicked", scrollDown: "scrollDown", rowActionClicked: "rowActionClicked", expandRow: "expandRow", expandedRowsChange: "expandedRowsChange" }, standalone: true, features: [i0.ɵɵProvidersFeature([TableService$1]), i0.ɵɵStandaloneFeature], ngContentSelectors: _c8, decls: 8, vars: 5, consts: [["class", "fu-table-header-wrapper"], [3, "id"], [1, "tableWrap", 3, "ngClass"], ["tableWrapper", ""], ["class", "fu-table-footer-wrapper"], ["headerExpandColumn", ""], [1, "fu-table-header-wrapper"], ["class", "fu-table-label"], [3, "placeholder", "formControl", "testId"], [1, "fu-table-label"], [1, "fu-table-label-text"], ["class", "fu-header-tooltip-icon", 3, "name", "fusionTooltip", "testId"], [1, "fu-header-tooltip-icon", 3, "name", "fusionTooltip", "testId"], ["table", ""], ["fusionTableBasic", "", 3, "rows", "columns", "options", "expandedRows", "testId"], [3, "fusionTableEmpty", "customContent", "type", "header", "subHeader"], [3, "fusionTableLoading"], [3, "hidden"], [3, "ngStyle"], [3, "ngTemplateOutlet"], [3, "ngTemplateOutlet", "ngTemplateOutletContext"], [1, "fu-header-group"], ["class", "fu-header-group", 3, "fu-border-left"], [3, "ngClass", "ngStyle"], [1, "fu-header-cell-content", 3, "ngClass"], ["class", "is-regular", "title", "select / un-select all", 3, "checked", "isIndeterminate"], ["title", "select / un-select all", 1, "is-regular", 3, "checked", "isIndeterminate", "changed"], [1, "fu-header-text", 3, "click"], ["class", "fu-header-tooltip-icon", 3, "fusionTooltip", "name"], ["class", "fu-sort-wrapper"], [1, "fu-header-tooltip-icon", 3, "fusionTooltip", "name"], [1, "fu-sort-wrapper", 3, "click"], ["class", "fu-sort-up"], [1, "fu-sort-up"], [3, "name"], [1, "fu-sort-down"], [3, "ngClass", "ngStyle", "width", "min-width", "top"], ["fusionTableBasic", "", 3, "rows", "columns", "options", "expandedRows", "testId", "rowSelected", "expandRow", "click"], ["tableBody", ""], [1, "fu-table-footer-wrapper"], [1, "expand-column"]], template: function TableV4Component_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵprojectionDef(_c7);
            i0.ɵɵtemplate(0, TableV4Component_Conditional_0_Template, 3, 1, "div", 0);
            i0.ɵɵelement(1, "div", 1);
            i0.ɵɵelementStart(2, "div", 2, 3);
            i0.ɵɵtemplate(4, TableV4Component_Conditional_4_Template, 6, 5, "table", 1);
            i0.ɵɵelementEnd();
            i0.ɵɵtemplate(5, TableV4Component_Conditional_5_Template, 2, 0, "div", 4)(6, TableV4Component_ng_template_6_Template, 2, 6, "ng-template", null, 5, i0.ɵɵtemplateRefExtractor);
        } if (rf & 2) {
            i0.ɵɵconditional(0, ctx.hasCustomHeader || (ctx.options == null ? null : ctx.options.tableLabel) ? 0 : -1);
            i0.ɵɵadvance();
            i0.ɵɵpropertyInterpolate1("id", "", ctx.id, "_tableTeleportWrapper");
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngClass", ctx.wrapperClasses);
            i0.ɵɵadvance(2);
            i0.ɵɵconditional(4, !ctx.tableMainError ? 4 : -1);
            i0.ɵɵadvance();
            i0.ɵɵconditional(5, ctx.hasCustomFooter ? 5 : -1);
        } }, dependencies: [CommonModule, i1$1.NgClass, i1$1.NgTemplateOutlet, i1$1.NgStyle, GenericPipe,
            ReactiveFormsModule, i2$2.NgControlStatus, i2$2.FormControlDirective, IconModule, i3.IconComponent, CheckboxComponent,
            SearchComponent,
            TooltipDirective,
            TableEmptyComponent,
            TableLoadingComponent,
            TableBasicComponent], styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";.font-v4-bold[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%], .font-v4-chart-2[_ngcontent-%COMP%], .font-v4-chart-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold[_ngcontent-%COMP%], .font-v4-chip-label[_ngcontent-%COMP%], [_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   tr[_ngcontent-%COMP%]   td[_ngcontent-%COMP%], .font-v4-table-label[_ngcontent-%COMP%], .font-v4-button[_ngcontent-%COMP%], .font-v4-heading-6[_ngcontent-%COMP%], .font-v4-heading-5[_ngcontent-%COMP%], .font-v4-heading-4[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-table-header-wrapper[_ngcontent-%COMP%]   .fu-table-label[_ngcontent-%COMP%]   .fu-table-label-text[_ngcontent-%COMP%], .font-v4-heading-3[_ngcontent-%COMP%], .font-v4-heading-2[_ngcontent-%COMP%], .font-v4-heading-1[_ngcontent-%COMP%], .font-v4-title[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium[_ngcontent-%COMP%], .font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-input-label[_ngcontent-%COMP%], .font-v4-overline[_ngcontent-%COMP%], .font-v4-subtitle-2[_ngcontent-%COMP%], .font-v4-subtitle-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular[_ngcontent-%COMP%], .font-v4-caption[_ngcontent-%COMP%], .font-v4-body-2[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-table-footer-wrapper[_ngcontent-%COMP%], .font-v4-body-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title[_ngcontent-%COMP%]{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2[_ngcontent-%COMP%]{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}[_nghost-%COMP%]   .fu-table-header-wrapper[_ngcontent-%COMP%]   .fu-table-label[_ngcontent-%COMP%]   .fu-table-label-text[_ngcontent-%COMP%], .font-v4-heading-3[_ngcontent-%COMP%]{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5[_ngcontent-%COMP%]{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6[_ngcontent-%COMP%]{font-size:.75rem;line-height:.75rem;letter-spacing:0}[_nghost-%COMP%]   .fu-table-footer-wrapper[_ngcontent-%COMP%], .font-v4-body-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-body-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2[_ngcontent-%COMP%]{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}.font-v4-caption[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   tr[_ngcontent-%COMP%]   td[_ngcontent-%COMP%], .font-v4-table-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem}.font-v4-chip-label[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:normal}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]{margin:0;padding:0;vertical-align:initial;text-align:initial}[_nghost-%COMP%]   .tableWrap.fu-table-sticky-header[_ngcontent-%COMP%]::-webkit-scrollbar{background-color:transparent;border-left:var(--fu-scroll-border, solid 0px transparent);border-top:var(--fu-scroll-border, solid 0px transparent);width:var(--fu-scroll-width, 4px);height:var(--fu-scroll-width, 4px)}[_nghost-%COMP%]   .tableWrap.fu-table-sticky-header[_ngcontent-%COMP%]::-webkit-scrollbar-track{background-color:var(--fu-scroll-bg-color, transparent)}[_nghost-%COMP%]   .tableWrap.fu-table-sticky-header[_ngcontent-%COMP%]::-webkit-scrollbar-thumb{background-color:var(--fu-scroll-button-bg-color, rgba(83, 87, 91, .3));border-radius:var(--fu-scroll-button-border-radius, 4px)}[_nghost-%COMP%]   .tableWrap.fu-table-sticky-header[_ngcontent-%COMP%]::-webkit-scrollbar-button{display:none}@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}[_nghost-%COMP%]{--fu-scroll-width: 6px;--fu-scroll-border: solid 1px var(--common-divider, hsl(0, 0%, 86.8%));--fu-scroll-button-bg-color: var(--default-light, hsl(0, 0%, 89.5%));--table-border-width: 1px;--table-border-type: solid;--table-border-radius: 4px;--table-border-color: var(--common-divider, hsl(0, 0%, 86.8%));--table-border: var(--table-border-width) var(--table-border-type) var(--table-border-color);--table-text-color: var(--text-primary, hsl(0, 0%, 12.5%));--table-header-bg-color: var(--background-paper-elevation-0, hsl(0, 0%, 97.5%));--table-header-search-width: 220px;--table-header-cell-height: 40px;--table-header-cell-padding: 0 16px;--table-header-cell-bg-color: var(--background-paper-elevation-0, hsl(0, 0%, 97.5%));--table-header-cell-gap: 4px;--table-header-text-color: var(--table-text-color);--table-header-sort-icon-color: var(--action-active, hsl(0, 0%, 50.3%));--table-header-sort-icon-size: 20px;--table-header-tooltip-icon-size: 16px;--table-header-tooltip-icon-color: var(--action-active, hsl(0, 0%, 50.3%));--table-footer-height: 48px;--table-footer-padding: 14px 16px;--table-footer-gap: 8px;--table-footer-text-color: var(--table-text-color);--table-footer-bg-color: var(--background-paper-elevation-0, hsl(0, 0%, 97.5%));--table-empty-state-padding: 48px;--table-checkbox-cell-width: 32px;--table-body-border: var(--table-border);--table-row-height: 48px;--table-row-cell-lr-padding: 16px;--table-row-cell-padding: 0 var(--table-row-cell-lr-padding);--table-expand-icon-color: var(--action-active, hsl(0, 0%, 50.3%));--table-expand-icon-size: 20px;--table-expand-cell-width: 46px;--table-row-hover-background-color: var(--background-paper-elevation-1, hsl(0, 0%, 94.6%));--table-odd-row-background-color: #FFFFFF;--table-even-row-background-color: #FFFFFF;--table-row-loading-opacity: .7;position:relative;width:100%;height:100%;display:flex;flex-direction:column;border:var(--table-border);border-radius:var(--table-border-radius)}[_nghost-%COMP%]   .fu-table-header-wrapper[_ngcontent-%COMP%]{display:flex;height:var(--spacing-800, 64px);padding:0px var(--spacing-300, 24px);align-items:center;gap:8px;border-top-left-radius:var(--table-border-radius);border-top-right-radius:var(--table-border-radius);border-bottom:var(--table-border);background-color:var(--table-header-bg-color)}[_nghost-%COMP%]   .fu-table-header-wrapper[_ngcontent-%COMP%]   .fu-table-label[_ngcontent-%COMP%]{display:flex;align-items:center;gap:4px;flex:1}[_nghost-%COMP%]   .fu-table-header-wrapper[_ngcontent-%COMP%]   .fu-table-label[_ngcontent-%COMP%]   .fu-table-label-text[_ngcontent-%COMP%]{color:var(--table-header-text-color)}[_nghost-%COMP%]   .fu-table-header-wrapper[_ngcontent-%COMP%]   .fu-table-label[_ngcontent-%COMP%]   .fu-header-tooltip-icon[_ngcontent-%COMP%]{width:var(--table-header-tooltip-icon-size);height:var(--table-header-tooltip-icon-size);color:var(--table-header-tooltip-icon-color)}[_nghost-%COMP%]   .fu-table-header-wrapper[_ngcontent-%COMP%]   fusion-search[_ngcontent-%COMP%]{width:var(--table-header-search-width)}[_nghost-%COMP%]   .fu-table-footer-wrapper[_ngcontent-%COMP%]{display:flex;align-items:center;height:var(--table-footer-height);padding:var(--table-footer-padding);gap:var(--table-footer-gap);background-color:var(--table-footer-bg-color);border-top:var(--table-border);border-bottom-left-radius:var(--table-border-radius);border-bottom-right-radius:var(--table-border-radius);color:var(--table-footer-text-color)}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]{flex-grow:1;display:block}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]{border:none;margin:0;border-collapse:collapse;border-spacing:0;width:100%}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   tr[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]{height:var(--table-header-cell-height);padding:var(--table-header-cell-padding);background-color:var(--table-header-cell-bg-color);border-bottom:var(--table-border)}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   tr[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]   .fu-header-cell-content[_ngcontent-%COMP%]{display:flex;align-items:center;gap:var(--table-header-cell-gap)}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   tr[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]   .fu-header-cell-content.right[_ngcontent-%COMP%]{justify-content:flex-end}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   tr[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]   .fu-header-cell-content.center[_ngcontent-%COMP%]{justify-content:center}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   tr[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]   .fu-sort-wrapper[_ngcontent-%COMP%]{display:none;width:var(--table-header-sort-icon-size);height:var(--table-header-sort-icon-size)}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   tr[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]   .fu-sort-wrapper[_ngcontent-%COMP%]:hover{cursor:pointer}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   tr[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]   .fu-sort-wrapper[_ngcontent-%COMP%]   fusion-icon[_ngcontent-%COMP%]{width:var(--table-header-sort-icon-size);height:var(--table-header-sort-icon-size);color:var(--table-header-sort-icon-color)}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   tr[_ngcontent-%COMP%]   td.is-sort.asc[_ngcontent-%COMP%]   .fu-sort-wrapper[_ngcontent-%COMP%], [_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   tr[_ngcontent-%COMP%]   td.is-sort.desc[_ngcontent-%COMP%]   .fu-sort-wrapper[_ngcontent-%COMP%]{display:inherit}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   tr[_ngcontent-%COMP%]   td.is-sort[_ngcontent-%COMP%] > div.fu-header-cell-content[_ngcontent-%COMP%]   .fu-header-text[_ngcontent-%COMP%]:hover{cursor:pointer}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   tr[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]   fusion-icon.fu-header-tooltip-icon[_ngcontent-%COMP%]{width:var(--table-header-tooltip-icon-size);height:var(--table-header-tooltip-icon-size);color:var(--table-header-tooltip-icon-color)}[_nghost-%COMP%]   .tableWrap[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   tr[_ngcontent-%COMP%]   td.is-checkbox-holder[_ngcontent-%COMP%]{width:var(--table-checkbox-cell-width)}[_nghost-%COMP%]   .tableWrap.fu-table-sticky-header[_ngcontent-%COMP%]{height:100%;overflow:auto}[_nghost-%COMP%]   .tableWrap.fu-table-sticky-header[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]{position:sticky;top:0;z-index:3;outline:var(--table-border)}[_nghost-%COMP%]   .tableWrap.fu-table-sticky-header[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.sticky-left[_ngcontent-%COMP%]{position:sticky;left:0;z-index:2}[_nghost-%COMP%]   .tableWrap.fu-table-sticky-header[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.sticky-left[_ngcontent-%COMP%]:after{content:\"\";position:absolute;top:0;right:-1px;height:100%;width:1px;border-right:var(--table-border)}[_nghost-%COMP%]   .tableWrap.fu-table-sticky-header[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.sticky-right[_ngcontent-%COMP%]{position:sticky;right:0;z-index:2}[_nghost-%COMP%]   .tableWrap.fu-table-sticky-header[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   thead[_ngcontent-%COMP%]   td.sticky-right[_ngcontent-%COMP%]:nth-child(1 of.sticky-right):before{content:\"\";position:absolute;top:0;left:-1px;height:100%;width:1px;border-left:var(--table-border)}[_nghost-%COMP%]:not(:has(.fu-table-header-wrapper))   .tableWrap[_ngcontent-%COMP%]{border-top-left-radius:var(--table-border-radius);border-top-right-radius:var(--table-border-radius)}[_nghost-%COMP%]:not(:has(.fu-table-footer-wrapper))   .tableWrap[_ngcontent-%COMP%]{border-bottom-left-radius:var(--table-border-radius);border-bottom-right-radius:var(--table-border-radius)}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TableV4Component, [{
        type: Component,
        args: [{ selector: 'fusion-table', standalone: true, host: { class: 'fusion-v4' }, imports: [
                    CommonModule,
                    GenericPipe,
                    ReactiveFormsModule,
                    IconModule,
                    CheckboxComponent,
                    SearchComponent,
                    TooltipDirective,
                    TooltipComponent,
                    TableEmptyComponent,
                    TableLoadingComponent,
                    TableBasicComponent
                ], providers: [TableService$1], changeDetection: ChangeDetectionStrategy.OnPush, template: "@if (hasCustomHeader || options?.tableLabel) {\n    <div class=\"fu-table-header-wrapper\">\n        @if (hasCustomHeader) {\n            <ng-content select=\".fu-table-header\"></ng-content>\n        } @else {\n            @if (options?.tableLabel) {\n                <div class=\"fu-table-label\">\n                    <div class=\"fu-table-label-text\"\n                         [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:tableTestIdModifiers.LABEL\">\n                        {{ options?.tableLabel?.text }}\n                    </div>\n                    @if (options?.tableLabel?.tooltip) {\n                        <fusion-icon class=\"fu-header-tooltip-icon\"\n                                     [name]=\"options?.tableLabel?.icon ?? iconTooltip\"\n                                     [fusionTooltip]=\"options?.tableLabel?.tooltip\"\n                                     [testId]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:tableTestIdModifiers.HEADER_TOOLTIP\"\n                        ></fusion-icon>\n                    }\n                </div>\n            }\n            @if (options?.searchOptions) {\n                <fusion-search\n                        [placeholder]=\"options?.searchOptions?.placeholder\"\n                        [formControl]=\"searchFormControl\"\n                        [testId]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:tableTestIdModifiers.SEARCH\"\n                ></fusion-search>\n            }\n        }\n    </div>\n}\n<div id=\"{{id}}_tableTeleportWrapper\"></div>\n<div #tableWrapper class=\"tableWrap\" [ngClass]=\"wrapperClasses\">\n    @if (!tableMainError) {\n        <table [id]=\"id\" #table>\n            <!-- region Table Header-->\n            @if (columns && options) {\n                @if (columns.length) {\n                    <thead [hidden]=\"(isEmpty || (loading && !isLoadingOverlay)) && hideHeaderOnEmpty\">\n                    <!-- region SubHeader-->\n                        @if (subHeader.length) {\n                            <tr>\n                                @if (!!options?.rowsExpandableOptions) {\n                                    <ng-container [ngTemplateOutlet]=\"headerExpandColumn\"\n                                                  [ngTemplateOutletContext]=\"{$implicit: true}\"\n                                    ></ng-container>\n                                }\n                                @for (subheader of subHeader; track subHeader; let isFirst = $first) {\n                                    <td class=\"fu-header-group\"\n                                        [class.fu-border-left]=\"!isFirst\"\n                                        [attr.colspan]=\"(isFirst && !!options?.rowsExpandableOptions) ? subheader.colspan + 1 : subheader.colspan\"\n                                    >\n                                        {{ subheader.name }}\n                                    </td>\n                                }\n                            </tr>\n                        }\n                    <!-- endregion SubHeader-->\n                    <!-- region Header-->\n                    <tr [ngStyle]=\"!!options.rowsOptions && !!options.rowsOptions.headerRow ? options.rowsOptions.headerRow.style : null\">\n                        @if (!!options?.rowsExpandableOptions) {\n                            <ng-container [ngTemplateOutlet]=\"headerExpandColumn\"></ng-container>\n                        }\n                        @for (column of columns; track trackByFunc; let isLast = $last; let isFirst = $first; let idx = $index) {\n                            <td\n                                    [attr.data-col-key]=\"column.key\"\n                                    [ngClass]=\"tableService.getColumnClasses(column, true)\"\n                                    [ngStyle]=\"tableService.getColumnStyle(column)\"\n                                    [style.width]=\"tableService.setWidth(isLast, column.width)\"\n                                    [style.min-width]=\"column.width\"\n                                    [style.top.px]=\"options?.stickyHeaderTopOffset\"\n                                    [attr.data-editable]=\"tableService.isTypeInputEdit(column)\"\n                                    [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:(tableTestIdModifiers.COLUMN_HEADER+idx)\"\n                            >\n                                <div class=\"fu-header-cell-content\"\n                                     [ngClass]=\"column.headerAlign ?? tableService.getCellAlignByColumnType(column)\"\n                                >\n                                @if (tableService.isTypeCheckbox(column) && isAllRowsSelectable && !isEmpty && isCheckboxTitleShown) {\n                                    <fusion-checkbox class=\"is-regular\" title=\"select / un-select all\"\n                                                     [checked]=\"tableService.isAllRowsSelected(rows)\"\n                                                     [isIndeterminate]=\"tableService.isPartialSelected(rows)\"\n                                                     (changed)=\"tableService.onRowsSelectChanged(options.isGroupedTable, rows, $event)\"\n                                                     [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:tableTestIdModifiers.COLUMN_HEADER_SELECT_ALL\"\n                                    ></fusion-checkbox>\n                                } @else if (column.filter && column.filter.options) {\n                                    <!-- todo: Add support for filter column -->\n                                            <!--<fusion-multi-dropdown\n                                                        placeholder=\"Please Select\"\n                                                        class=\"filter\"\n                                                        [selected]=\"column.filter.selected\"\n                                                        [options]=\"column.filter.options\"\n                                                        (selectedChange)=\"filterColumn(column, $event)\"\n                                                        [confirm]=\"true\"\n                                                        [search]=\"true\"\n                                                        selectAllLabel=\"Select All <span class='grey'>(No Filters)</span>\"\n                                                >\n                                                </fusion-multi-dropdown>-->\n                                } @else {\n                                    <div class=\"fu-header-text\"\n                                         (click)=\"onHeaderClicked(column)\"\n                                         [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:(tableTestIdModifiers.COLUMN_TITLE+idx)\"\n                                    >{{ column.title }}\n                                    </div>\n                                    @if (column.tooltip) {\n                                        <fusion-icon class=\"fu-header-tooltip-icon\"\n                                                     [fusionTooltip]=\"column.tooltip\"\n                                                     [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:(tableTestIdModifiers.COLUMN_TOOLTIP+idx)\"\n                                                     [name]=\"column.tooltipIcon || iconTooltip\"\n                                        ></fusion-icon>\n                                    }\n                                    @if (tableService.isColumnSortable(column)) {\n                                            <div class=\"fu-sort-wrapper\" (click)=\"onHeaderClicked(column)\">\n                                            @if (column.sort === 'asc') {\n                                                <div class=\"fu-sort-up\"\n                                                     [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:(tableTestIdModifiers.COLUMN_SORT_UP+idx)\">\n                                                    <fusion-icon [name]=\"iconArrowUp\"></fusion-icon>\n                                                </div>\n                                            } @else if (column.sort === 'desc') {\n                                                <div class=\"fu-sort-down\"\n                                                     [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:(tableTestIdModifiers.COLUMN_SORT_DOWN+idx)\">\n                                                    <fusion-icon [name]=\"iconArrowDown\"></fusion-icon>\n                                                </div>\n                                            }\n                                        </div>\n                                    }\n                                }\n                                </div>\n                            </td>\n                        }\n                    </tr>\n                    <!-- endregion Header-->\n                    </thead>\n                }\n            }\n            <!-- endregion Table Header-->\n            <!-- region Table Body-->\n            @if (!options.isGroupedTable && (!loading || isLoadingOverlay) && !isEmpty) {\n                <tbody #tableBody\n                       fusionTableBasic\n                       [rows]=\"tableRows\"\n                       [columns]=\"columns\"\n                       [options]=\"options\"\n                       [expandedRows]=\"expandedRows\"\n                       [testId]=\"testId\"\n                       (rowSelected)=\"selectionChanged.emit($event)\"\n                       (expandRow)=\"doExpandRow($event)\"\n                       (click)=\"onTableBodyClicked($event)\"\n                ></tbody>\n            }\n            <!-- region grouped Table Body-->\n            <!--\n                            <tbody\n                                    *ngIf=\"options.isGroupedTable && (!loading || isLoadingOverlay) && !isEmpty\"\n                                    fusionTableGrouped\n                                    [rows]=\"groupedTableRows\"\n                                    [columns]=\"columns\"\n                                    [options]=\"options\"\n                                    (rowSelected)=\"selectionChanged.emit($event)\"\n                            ></tbody>\n            -->\n            <!-- endregion grouped Table Body-->\n            <!-- region table empty-->\n            @if (!loading && isEmpty) {\n                <tbody\n                        [fusionTableEmpty]=\"colsCount\"\n                        [customContent]=\"options?.customNoData\"\n                        [type]=\"options?.emptyTableType\"\n                        [header]=\"options?.noDataMessage\"\n                        [subHeader]=\"options?.noDataSubMessage\"\n                ></tbody>\n            }\n            <!-- endregion table empty-->\n            <!-- region table loading-->\n            @if ((loading && !isLoadingOverlay) ||\n            (options?.pagination && options.pagination.loading) ||\n            (isEmpty && loading)) {\n                <tbody [fusionTableLoading]=\"colsCount\"></tbody>\n            }\n            <!-- endregion table loading-->\n            <!-- endregion Table Body-->\n        </table>\n    }\n</div>\n@if (hasCustomFooter) {\n    <div class=\"fu-table-footer-wrapper\">\n        <ng-content select=\".fu-table-footer\"></ng-content>\n    </div>\n}\n\n<ng-template #headerExpandColumn let-isSubHeader>\n    <td class=\"expand-column\"\n        [class.fu-header-group]=\"isSubHeader\"\n        [class.sticky-left]=\"options?.rowsExpandableOptions?.sticky\"\n        [style.top.px]=\"options?.stickyHeaderTopOffset\"\n    ><span></span></td>\n</ng-template>\n", styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";.font-v4-bold,.font-v4-tab-label-2,.font-v4-chart-2,.font-v4-chart-1{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold,.font-v4-chip-label,:host .tableWrap table thead tr td,.font-v4-table-label,.font-v4-button,.font-v4-heading-6,.font-v4-heading-5,.font-v4-heading-4,:host .fu-table-header-wrapper .fu-table-label .fu-table-label-text,.font-v4-heading-3,.font-v4-heading-2,.font-v4-heading-1,.font-v4-title{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium,.font-v4-tab-label-1,.font-v4-input-label,.font-v4-overline,.font-v4-subtitle-2,.font-v4-subtitle-1{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular,.font-v4-caption,.font-v4-body-2,:host .fu-table-footer-wrapper,.font-v4-body-1{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}:host .fu-table-header-wrapper .fu-table-label .fu-table-label-text,.font-v4-heading-3{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6{font-size:.75rem;line-height:.75rem;letter-spacing:0}:host .fu-table-footer-wrapper,.font-v4-body-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-body-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}.font-v4-caption{font-size:.75rem;line-height:1rem}:host .tableWrap table thead tr td,.font-v4-table-label{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1,.font-v4-tab-label-2{font-size:.875rem;line-height:1rem}.font-v4-chip-label{font-size:.75rem;line-height:1rem;letter-spacing:normal}:host *{box-sizing:border-box}:host{margin:0;padding:0;vertical-align:initial;text-align:initial}:host .tableWrap.fu-table-sticky-header::-webkit-scrollbar{background-color:transparent;border-left:var(--fu-scroll-border, solid 0px transparent);border-top:var(--fu-scroll-border, solid 0px transparent);width:var(--fu-scroll-width, 4px);height:var(--fu-scroll-width, 4px)}:host .tableWrap.fu-table-sticky-header::-webkit-scrollbar-track{background-color:var(--fu-scroll-bg-color, transparent)}:host .tableWrap.fu-table-sticky-header::-webkit-scrollbar-thumb{background-color:var(--fu-scroll-button-bg-color, rgba(83, 87, 91, .3));border-radius:var(--fu-scroll-button-border-radius, 4px)}:host .tableWrap.fu-table-sticky-header::-webkit-scrollbar-button{display:none}@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}:host{--fu-scroll-width: 6px;--fu-scroll-border: solid 1px var(--common-divider, hsl(0, 0%, 86.8%));--fu-scroll-button-bg-color: var(--default-light, hsl(0, 0%, 89.5%));--table-border-width: 1px;--table-border-type: solid;--table-border-radius: 4px;--table-border-color: var(--common-divider, hsl(0, 0%, 86.8%));--table-border: var(--table-border-width) var(--table-border-type) var(--table-border-color);--table-text-color: var(--text-primary, hsl(0, 0%, 12.5%));--table-header-bg-color: var(--background-paper-elevation-0, hsl(0, 0%, 97.5%));--table-header-search-width: 220px;--table-header-cell-height: 40px;--table-header-cell-padding: 0 16px;--table-header-cell-bg-color: var(--background-paper-elevation-0, hsl(0, 0%, 97.5%));--table-header-cell-gap: 4px;--table-header-text-color: var(--table-text-color);--table-header-sort-icon-color: var(--action-active, hsl(0, 0%, 50.3%));--table-header-sort-icon-size: 20px;--table-header-tooltip-icon-size: 16px;--table-header-tooltip-icon-color: var(--action-active, hsl(0, 0%, 50.3%));--table-footer-height: 48px;--table-footer-padding: 14px 16px;--table-footer-gap: 8px;--table-footer-text-color: var(--table-text-color);--table-footer-bg-color: var(--background-paper-elevation-0, hsl(0, 0%, 97.5%));--table-empty-state-padding: 48px;--table-checkbox-cell-width: 32px;--table-body-border: var(--table-border);--table-row-height: 48px;--table-row-cell-lr-padding: 16px;--table-row-cell-padding: 0 var(--table-row-cell-lr-padding);--table-expand-icon-color: var(--action-active, hsl(0, 0%, 50.3%));--table-expand-icon-size: 20px;--table-expand-cell-width: 46px;--table-row-hover-background-color: var(--background-paper-elevation-1, hsl(0, 0%, 94.6%));--table-odd-row-background-color: #FFFFFF;--table-even-row-background-color: #FFFFFF;--table-row-loading-opacity: .7;position:relative;width:100%;height:100%;display:flex;flex-direction:column;border:var(--table-border);border-radius:var(--table-border-radius)}:host .fu-table-header-wrapper{display:flex;height:var(--spacing-800, 64px);padding:0px var(--spacing-300, 24px);align-items:center;gap:8px;border-top-left-radius:var(--table-border-radius);border-top-right-radius:var(--table-border-radius);border-bottom:var(--table-border);background-color:var(--table-header-bg-color)}:host .fu-table-header-wrapper .fu-table-label{display:flex;align-items:center;gap:4px;flex:1}:host .fu-table-header-wrapper .fu-table-label .fu-table-label-text{color:var(--table-header-text-color)}:host .fu-table-header-wrapper .fu-table-label .fu-header-tooltip-icon{width:var(--table-header-tooltip-icon-size);height:var(--table-header-tooltip-icon-size);color:var(--table-header-tooltip-icon-color)}:host .fu-table-header-wrapper fusion-search{width:var(--table-header-search-width)}:host .fu-table-footer-wrapper{display:flex;align-items:center;height:var(--table-footer-height);padding:var(--table-footer-padding);gap:var(--table-footer-gap);background-color:var(--table-footer-bg-color);border-top:var(--table-border);border-bottom-left-radius:var(--table-border-radius);border-bottom-right-radius:var(--table-border-radius);color:var(--table-footer-text-color)}:host .tableWrap{flex-grow:1;display:block}:host .tableWrap table{border:none;margin:0;border-collapse:collapse;border-spacing:0;width:100%}:host .tableWrap table thead tr td{height:var(--table-header-cell-height);padding:var(--table-header-cell-padding);background-color:var(--table-header-cell-bg-color);border-bottom:var(--table-border)}:host .tableWrap table thead tr td .fu-header-cell-content{display:flex;align-items:center;gap:var(--table-header-cell-gap)}:host .tableWrap table thead tr td .fu-header-cell-content.right{justify-content:flex-end}:host .tableWrap table thead tr td .fu-header-cell-content.center{justify-content:center}:host .tableWrap table thead tr td .fu-sort-wrapper{display:none;width:var(--table-header-sort-icon-size);height:var(--table-header-sort-icon-size)}:host .tableWrap table thead tr td .fu-sort-wrapper:hover{cursor:pointer}:host .tableWrap table thead tr td .fu-sort-wrapper fusion-icon{width:var(--table-header-sort-icon-size);height:var(--table-header-sort-icon-size);color:var(--table-header-sort-icon-color)}:host .tableWrap table thead tr td.is-sort.asc .fu-sort-wrapper,:host .tableWrap table thead tr td.is-sort.desc .fu-sort-wrapper{display:inherit}:host .tableWrap table thead tr td.is-sort>div.fu-header-cell-content .fu-header-text:hover{cursor:pointer}:host .tableWrap table thead tr td fusion-icon.fu-header-tooltip-icon{width:var(--table-header-tooltip-icon-size);height:var(--table-header-tooltip-icon-size);color:var(--table-header-tooltip-icon-color)}:host .tableWrap table thead tr td.is-checkbox-holder{width:var(--table-checkbox-cell-width)}:host .tableWrap.fu-table-sticky-header{height:100%;overflow:auto}:host .tableWrap.fu-table-sticky-header table thead{position:sticky;top:0;z-index:3;outline:var(--table-border)}:host .tableWrap.fu-table-sticky-header table thead td.sticky-left{position:sticky;left:0;z-index:2}:host .tableWrap.fu-table-sticky-header table thead td.sticky-left:after{content:\"\";position:absolute;top:0;right:-1px;height:100%;width:1px;border-right:var(--table-border)}:host .tableWrap.fu-table-sticky-header table thead td.sticky-right{position:sticky;right:0;z-index:2}:host .tableWrap.fu-table-sticky-header table thead td.sticky-right:nth-child(1 of.sticky-right):before{content:\"\";position:absolute;top:0;left:-1px;height:100%;width:1px;border-left:var(--table-border)}:host:not(:has(.fu-table-header-wrapper)) .tableWrap{border-top-left-radius:var(--table-border-radius);border-top-right-radius:var(--table-border-radius)}:host:not(:has(.fu-table-footer-wrapper)) .tableWrap{border-bottom-left-radius:var(--table-border-radius);border-bottom-right-radius:var(--table-border-radius)}\n"] }]
    }], null, { testId: [{
            type: Input
        }], id: [{
            type: Input
        }], options: [{
            type: Input
        }], columns: [{
            type: Input
        }], rows: [{
            type: Input
        }], expandedRows: [{
            type: Input
        }], loading: [{
            type: Input
        }], sortTableOnDataChanges: [{
            type: Input
        }], hasCustomHeader: [{
            type: Input
        }], hasCustomFooter: [{
            type: Input
        }], sortChanged: [{
            type: Output
        }], selectionChanged: [{
            type: Output
        }], rowModelChange: [{
            type: Output
        }], rowClicked: [{
            type: Output
        }], scrollDown: [{
            type: Output
        }], rowActionClicked: [{
            type: Output
        }], expandRow: [{
            type: Output
        }], expandedRowsChange: [{
            type: Output
        }], stringCell: [{
            type: ViewChild,
            args: ['stringCell']
        }], checkboxCell: [{
            type: ViewChild,
            args: ['checkboxCell']
        }], templateCell: [{
            type: ViewChild,
            args: ['templateCell']
        }], tableElement: [{
            type: ViewChild,
            args: ['table']
        }], tableWrapperElement: [{
            type: ViewChild,
            args: ['tableWrapper', { static: true }]
        }], tableBodyComponent: [{
            type: ViewChild,
            args: ['tableBody']
        }], isFixedHeader: [{
            type: HostBinding,
            args: ['class.fixed-table']
        }], noTableFrame: [{
            type: HostBinding,
            args: ['class.fu-no-table-frame']
        }], noTableFooter: [{
            type: HostBinding,
            args: ['class.fu-no-table-footer']
        }], isEmpty: [{
            type: HostBinding,
            args: ['class.is-empty']
        }], isLoading: [{
            type: HostBinding,
            args: ['class.is-loading']
        }], isScrollRight: [{
            type: HostBinding,
            args: ['class.on-scroll-right']
        }], onVerticalScroll: [{
            type: HostBinding,
            args: ['class.on-vertical-scroll']
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(TableV4Component, { className: "TableV4Component", filePath: "table-v4.component.ts", lineNumber: 67 }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { TableV4Component as TableComponent };
//# sourceMappingURL=ironsource-fusion-ui-components-table-v4.mjs.map
